(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.unused_WDFDEVICE__ () boogieU)
(declare-fun T.unused_WDFDPC__ () boogieU)
(declare-fun T.unused_WDFDRIVER__ () boogieU)
(declare-fun T.unused_WDFIOTARGET__ () boogieU)
(declare-fun T.unused_WDFMEMORY__ () boogieU)
(declare-fun T.unused_WDFQUEUE__ () boogieU)
(declare-fun T.unused_WDFREQUEST__ () boogieU)
(declare-fun T.unused_WDFSPINLOCK__ () boogieU)
(declare-fun T.unused_WDFTIMER__ () boogieU)
(declare-fun T.unused_WDFWAITLOCK__ () boogieU)
(declare-fun T.unused_WDFWORKITEM__ () boogieU)
(declare-fun T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.ParentQueue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Queue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Notify__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Event__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun T.DefaultQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.ConfigurationLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ReConfigureQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.MultipleQueues__DEVICE_CONTEXT () boogieU)
(declare-fun T.AutoForwarding__DEVICE_CONTEXT () boogieU)
(declare-fun T.DispatchType__DEVICE_CONTEXT () boogieU)
(declare-fun T.PreviousReconfigurePurge__DEVICE_CONTEXT () boogieU)
(declare-fun T.Buffer__DEVICE_CONTEXT () boogieU)
(declare-fun T.Length__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceTimer__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItem__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItemState__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.QueueMode__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.__unnamed_4_dfcb1314__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.MappedUserBufferMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.MappedType3InputMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.QueueContext__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cleanup__REQUEST_CONTEXT () boogieU)
(declare-fun T.Presented__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cancellable__REQUEST_CONTEXT () boogieU)
(declare-fun T.Canceled__REQUEST_CONTEXT () boogieU)
(declare-fun T.CanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.ContextCleanupCalled__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerStopped__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerResumed__REQUEST_CONTEXT () boogieU)
(declare-fun T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.Dpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.TestDpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Driver__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverFlags__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverTag__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverName__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.Size__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Type__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Size__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Flags__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Timeout__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Buffer___unnamed_12_9675b19c () boogieU)
(declare-fun T.Offset___unnamed_12_9675b19c () boogieU)
(declare-fun T.Length___unnamed_12_9675b19c () boogieU)
(declare-fun T.Buffer___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Length___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Offset___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Buffer___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Length___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Offset___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Argument1___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument2___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument3___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument4___unnamed_16_28d48018 () boogieU)
(declare-fun T.Abandoned___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Absolute___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.NpxIrql___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Signalling___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Size___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Hand___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Inserted___unnamed_1_a536060f () boogieU)
(declare-fun T.DebugActive___unnamed_1_a536060f () boogieU)
(declare-fun T.DpcActive___unnamed_1_a536060f () boogieU)
(declare-fun T.IoControlCode___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Input___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Output___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Write___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Read___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ioctl___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Others___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Usb___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ptr___unnamed_4_442e007e () boogieU)
(declare-fun T.Value___unnamed_4_442e007e () boogieU)
(declare-fun T.Status___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Pointer___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Type___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a19e9f98___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a536060f___unnamed_4_b1953259 () boogieU)
(declare-fun T.Ptr___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Value___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Ptr___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Value___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Completion___unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_b1953259___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Lock___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Ptr___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Value___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Buffer___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.Offset___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.A13CHAR () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA13CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF1 () boogieU)
(declare-fun T.PF2 () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPPVOID () boogieU)
(declare-fun T.PPPWDFMEMORY__ () boogieU)
(declare-fun T.PPP_MDL () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PPWDFDEVICE__ () boogieU)
(declare-fun T.PPWDFIOTARGET__ () boogieU)
(declare-fun T.PPWDFMEMORY__ () boogieU)
(declare-fun T.PPWDFQUEUE__ () boogieU)
(declare-fun T.PPWDFREQUEST__ () boogieU)
(declare-fun T.PPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPWDFTIMER__ () boogieU)
(declare-fun T.PPWDFWORKITEM__ () boogieU)
(declare-fun T.PP_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.PP_DEVICE_CONTEXT () boogieU)
(declare-fun T.PP_KTHREAD () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.PP_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.PP_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.PP_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWDFDEVICE__ () boogieU)
(declare-fun T.PWDFDPC__ () boogieU)
(declare-fun T.PWDFDRIVER__ () boogieU)
(declare-fun T.PWDFIOTARGET__ () boogieU)
(declare-fun T.PWDFMEMORY__ () boogieU)
(declare-fun T.PWDFQUEUE__ () boogieU)
(declare-fun T.PWDFREQUEST__ () boogieU)
(declare-fun T.PWDFSPINLOCK__ () boogieU)
(declare-fun T.PWDFTIMER__ () boogieU)
(declare-fun T.PWDFWAITLOCK__ () boogieU)
(declare-fun T.PWDFWORKITEM__ () boogieU)
(declare-fun T.P_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.P_DEVICE_CONTEXT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_MM_PAGE_PRIORITY () boogieU)
(declare-fun T.P_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.P_WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T.P_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.P_WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T.P_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.P_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.P_WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T.P_WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WORKITEM_STATE () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WDFDEVICE__ () boogieU)
(declare-fun T.WDFDPC__ () boogieU)
(declare-fun T.WDFDRIVER__ () boogieU)
(declare-fun T.WDFIOTARGET__ () boogieU)
(declare-fun T.WDFMEMORY__ () boogieU)
(declare-fun T.WDFQUEUE__ () boogieU)
(declare-fun T.WDFREQUEST__ () boogieU)
(declare-fun T.WDFSPINLOCK__ () boogieU)
(declare-fun T.WDFTIMER__ () boogieU)
(declare-fun T.WDFWAITLOCK__ () boogieU)
(declare-fun T.WDFWORKITEM__ () boogieU)
(declare-fun T._CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T._DEVICE_CONTEXT () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._MM_PAGE_PRIORITY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._QUEUE_MODE () boogieU)
(declare-fun T._REQUEST_CONTEXT () boogieU)
(declare-fun T._TIMER_DPC_CONTEXT () boogieU)
(declare-fun T._WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T._WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T._WDF_IO_QUEUE_DISPATCH_TYPE () boogieU)
(declare-fun T._WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T._WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T._WDF_REQUEST_TYPE () boogieU)
(declare-fun T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T._WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WORKITEM_STATE () boogieU)
(declare-fun T.__unnamed_12_9675b19c () boogieU)
(declare-fun T.__unnamed_12_a41ee278 () boogieU)
(declare-fun T.__unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.__unnamed_16_28d48018 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.__unnamed_1_a19e9f98 () boogieU)
(declare-fun T.__unnamed_1_a536060f () boogieU)
(declare-fun T.__unnamed_24_52bbd12f () boogieU)
(declare-fun T.__unnamed_24_a2447d05 () boogieU)
(declare-fun T.__unnamed_4_442e007e () boogieU)
(declare-fun T.__unnamed_4_6a857cdd () boogieU)
(declare-fun T.__unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_4_d6f0159b () boogieU)
(declare-fun T.__unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_dfcb1314 () boogieU)
(declare-fun T.__unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.__unnamed_8_20ce6f92 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cdd (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cddInv (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun EvtRequestChildCancel () Int)
(declare-fun EvtRequestCompletionRoutine () Int)
(declare-fun G_ExecutionLevel () Int)
(declare-fun G_IoType () Int)
(declare-fun G_RandomNumberSeed () Int)
(declare-fun G_SynchronizationScope () Int)
(declare-fun WdfDriverGlobals () Int)
(declare-fun x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEVICE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO () Int)
(declare-fun hbuffer () Int)
(declare-fun hdctx () Int)
(declare-fun hdevice () Int)
(declare-fun hln () Int)
(declare-fun hlock () Int)
(declare-fun hmdl () Int)
(declare-fun hmemory () Int)
(declare-fun hqctx () Int)
(declare-fun hqueue () Int)
(declare-fun hrctx () Int)
(declare-fun hrequest () Int)
(declare-fun htctx () Int)
(declare-fun htimer () Int)
(declare-fun notused_4hbuffer () Int)
(declare-fun notused_4hmdl () Int)
(declare-fun notused_4hmemory () Int)
(declare-fun notused_ctx () Int)
(declare-fun notused_hrequest () Int)
(declare-fun pnotused () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (Int) Int)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun Buffer__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Buffer__DEVICE_CONTEXT (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXT (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXT (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXT (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun Device__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Device__DEVICE_CONTEXT (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXT (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMS (Int) Int)
(declare-fun Length__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Length__DEVICE_CONTEXT (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Presented__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Presented__REQUEST_CONTEXT (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXTInv (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXT (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXTInv (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXT (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun Status___unnamed_4_6a857cddInv (Int) Int)
(declare-fun Status___unnamed_4_6a857cdd (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun alloc.18 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun reqCompleted_0.30 () Int)
(declare-fun reqCompleted_s_1 () Int)
(declare-fun lockStatus_0.60 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun reqCancelSet_0.39 () Int)
(declare-fun reqCancelSet_s_1 () Int)
(declare-fun reqCancelStarted_0.1 () Int)
(declare-fun reqCancelStarted_s_1 () Int)
(declare-fun reqCompleteSet_0.4 () Int)
(declare-fun reqCompleteSet_s_1 () Int)
(declare-fun reqSent_0.6 () Int)
(declare-fun reqSent_s_1 () Int)
(declare-fun errorReached.208 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 () Int)
(declare-fun reqCancelSet_0.38 () Int)
(declare-fun reqSent_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 () Int)
(declare-fun reqCompleted_0.29 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 () Int)
(declare-fun call30762formal.ret.0 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun lockStatus_1.60 () Int)
(declare-fun lockStatus_1.59 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.11 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.0 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.17 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun reqSent_1.6 () Int)
(declare-fun reqSent_1.5 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun errorReached.207 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun reqCompleteSet_1.4 () Int)
(declare-fun reqCompleteSet_1.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun reqCancelSet_1.39 () Int)
(declare-fun reqCancelSet_1.38 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.20 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.19 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun reqCompleted_1.30 () Int)
(declare-fun reqCompleted_1.29 () Int)
(declare-fun lockStatus_0.59 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun k.276 () Int)
(declare-fun k.275 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun reqCompleteSet_0.3 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3. () Int)
(declare-fun reqSent_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2. () Int)
(declare-fun reqCompleted_0.23 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8. () Int)
(declare-fun errorReached.187 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun reqCompleteSet_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext () Int)
(declare-fun reqSent_1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget () Int)
(declare-fun reqCompleteSet_1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0 () Int)
(declare-fun reqCancelSet_1.32 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1. () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun reqCompleted_1.23 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0 () Int)
(declare-fun k.254 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9. () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3. () Int)
(declare-fun reqCancelSet_0.32 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 () Int)
(declare-fun reqSent_0.4 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 () Int)
(declare-fun reqCompleted_0.28 () Int)
(declare-fun call32141formal.ret.0 () Int)
(declare-fun errorReached.206 () Int)
(declare-fun reqCompleteSet_0.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun call32561formal.new.0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun reqSent_1.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 () Int)
(declare-fun reqCompleteSet_1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 () Int)
(declare-fun reqCancelSet_1.37 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.18 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun reqCompleted_1.28 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.1 () Int)
(declare-fun k.274 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun call32162formal.ret.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun reqCancelSet_0.37 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun call33115formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.205 () Int)
(declare-fun reqCancelSet_1.36 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 () Int)
(declare-fun reqCompleted_1.27 () Int)
(declare-fun k.273 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_0.36 () Int)
(declare-fun reqCompleted_0.27 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun errorReached.203 () Int)
(declare-fun k.271 () Int)
(declare-fun reqCompleted_1.26 () Int)
(declare-fun reqCancelSet_0.35 () Int)
(declare-fun reqCompleted_0.26 () Int)
(declare-fun reqCancelSet_1.35 () Int)
(declare-fun errorReached.204 () Int)
(declare-fun k.272 () Int)
(declare-fun call33457formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0 () Int)
(declare-fun k.269 () Int)
(declare-fun errorReached.201 () Int)
(declare-fun k.270 () Int)
(declare-fun call33306formal.ret.0 () Int)
(declare-fun errorReached.202 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun k.267 () Int)
(declare-fun errorReached.200 () Int)
(declare-fun k.268 () Int)
(declare-fun call33157formal.ret.0 () Int)
(declare-fun k.259 () Int)
(declare-fun call33580formal.ret.0 () Int)
(declare-fun reqSent_0.1 () Int)
(declare-fun errorReached.192 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 () Int)
(declare-fun reqCompleteSet_0.1 () Int)
(declare-fun reqSent_1.1 () Int)
(declare-fun reqCompleteSet_1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun k.257 () Int)
(declare-fun errorReached.189 () Int)
(declare-fun call33605formal.ret.0 () Int)
(declare-fun k.258 () Int)
(declare-fun errorReached.191 () Int)
(declare-fun reqSent_1.0 () Int)
(declare-fun reqSent_0.0 () Int)
(declare-fun call32626formal.ret.0 () Int)
(declare-fun k.255 () Int)
(declare-fun errorReached.188 () Int)
(declare-fun reqCompleteSet_1.0 () Int)
(declare-fun reqCompleteSet_0.0 () Int)
(declare-fun k.266 () Int)
(declare-fun reqSent_0.3 () Int)
(declare-fun call32949formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun errorReached.199 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqSent_1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.197 () Int)
(declare-fun k.264 () Int)
(declare-fun call32974formal.ret.0 () Int)
(declare-fun errorReached.198 () Int)
(declare-fun k.265 () Int)
(declare-fun reqSent_1.2 () Int)
(declare-fun reqSent_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0 () Int)
(declare-fun k.256 () Int)
(declare-fun errorReached.190 () Int)
(declare-fun call32789formal.ret.0 () Int)
(declare-fun Base (Int) Int)
(declare-fun BINARY_BOTH_INT (Int Int) Int)
(declare-fun reqCompleted_0.25 () Int)
(declare-fun errorReached.196 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_1.34 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_1.25 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.0 () Int)
(declare-fun k.263 () Int)
(declare-fun reqCancelSet_0.34 () Int)
(declare-fun errorReached.194 () Int)
(declare-fun k.261 () Int)
(declare-fun reqCancelSet_0.33 () Int)
(declare-fun call32418formal.ret.0 () Int)
(declare-fun reqCompleted_0.24 () Int)
(declare-fun reqCancelSet_1.33 () Int)
(declare-fun errorReached.195 () Int)
(declare-fun reqCompleted_1.24 () Int)
(declare-fun k.262 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0 () Int)
(declare-fun k.260 () Int)
(declare-fun errorReached.193 () Int)
(declare-fun call32267formal.ret.0 () Int)
(declare-fun lockStatus_0.56 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.3 () Int)
(declare-fun lockStatus_1.56 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1. () Int)
(declare-fun k.251 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun lockStatus_0.58 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.5 () Int)
(declare-fun lockStatus_1.58 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.253 () Int)
(declare-fun lockStatus_0.57 () Int)
(declare-fun lockStatus_1.57 () Int)
(declare-fun call31687formal.ret.0 () Int)
(declare-fun k.252 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0.2 () Int)
(declare-fun k.249 () Int)
(declare-fun errorReached.185 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.250 () Int)
(declare-fun errorReached.186 () Int)
(declare-fun call31526formal.ret.0 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7. () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.180 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun reqCancelSet_1.29 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun k.244 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun reqCancelSet_0.29 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.16 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3. () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.13 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.184 () Int)
(declare-fun call31910formal.ret.0 () Int)
(declare-fun reqCancelSet_1.31 () Int)
(declare-fun k.248 () Int)
(declare-fun reqCancelSet_0.31 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.14 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.15 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun errorReached.182 () Int)
(declare-fun k.246 () Int)
(declare-fun reqCancelSet_0.30 () Int)
(declare-fun reqCancelSet_1.30 () Int)
(declare-fun errorReached.183 () Int)
(declare-fun call31950formal.ret.0 () Int)
(declare-fun k.247 () Int)
(declare-fun reqCancelStarted_1.1 () Int)
(declare-fun k.245 () Int)
(declare-fun errorReached.181 () Int)
(declare-fun call31796formal.ret.0 () Int)
(declare-fun lockStatus_0.53 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.3 () Int)
(declare-fun lockStatus_1.53 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1. () Int)
(declare-fun k.241 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun lockStatus_0.55 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.5 () Int)
(declare-fun lockStatus_1.55 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun k.243 () Int)
(declare-fun call31427formal.ret.0 () Int)
(declare-fun lockStatus_0.54 () Int)
(declare-fun call31375formal.ret.0 () Int)
(declare-fun lockStatus_1.54 () Int)
(declare-fun k.242 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.239 () Int)
(declare-fun errorReached.178 () Int)
(declare-fun call31216formal.ret.0 () Int)
(declare-fun k.240 () Int)
(declare-fun errorReached.179 () Int)
(declare-fun k.237 () Int)
(declare-fun errorReached.176 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.238 () Int)
(declare-fun errorReached.177 () Int)
(declare-fun call31041formal.ret.0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.9 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.8 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.235 () Int)
(declare-fun errorReached.174 () Int)
(declare-fun call30850formal.ret.0 () Int)
(declare-fun k.236 () Int)
(declare-fun errorReached.175 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.5 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.4 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.3 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.2 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.233 () Int)
(declare-fun errorReached.172 () Int)
(declare-fun call30632formal.ret.0 () Int)
(declare-fun k.234 () Int)
(declare-fun errorReached.173 () Int)
(declare-fun call30529formal.ret.0 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2. () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1. () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5. () Int)
(declare-fun inline.ReleaseDpcLock.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun reqCancelSet_0.28 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun errorReached.171 () Int)
(declare-fun reqCancelSet_1.28 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun reqCompleted_1.22 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 () Int)
(declare-fun k.232 () Int)
(declare-fun k.231 () Int)
(declare-fun reqCompleted_0.22 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCancelSet_1.26 () Int)
(declare-fun reqCancelSet_0.26 () Int)
(declare-fun reqCompleted_0.20 () Int)
(declare-fun k.229 () Int)
(declare-fun errorReached.169 () Int)
(declare-fun reqCompleted_1.20 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1. () Int)
(declare-fun reqCancelSet_1.27 () Int)
(declare-fun reqCancelSet_0.27 () Int)
(declare-fun reqCompleted_0.21 () Int)
(declare-fun k.230 () Int)
(declare-fun errorReached.170 () Int)
(declare-fun reqCompleted_1.21 () Int)
(declare-fun call34004formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0 () Int)
(declare-fun k.227 () Int)
(declare-fun errorReached.167 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.228 () Int)
(declare-fun errorReached.168 () Int)
(declare-fun call33853formal.ret.0 () Int)
(declare-fun call30477formal.ret.0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.3 () Int)
(declare-fun reqCompleted_0.19 () Int)
(declare-fun reqCancelSet_0.25 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.166 () Int)
(declare-fun inline.AcquireEffectiveLock.7.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireEffectiveLock.7.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun lockStatus_1.52 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_1.25 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.19 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun reqCancelStarted_0.0 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.7.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseEffectiveLock.7.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun lockStatus_0.52 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun reqCancelStarted_1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun k.226 () Int)
(declare-fun k.225 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.5 () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun errorReached.161 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2. () Int)
(declare-fun reqCompleted_1.16 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1. () Int)
(declare-fun k.221 () Int)
(declare-fun reqCancelSet_1.22 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun reqCompleted_0.16 () Int)
(declare-fun inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_0.22 () Int)
(declare-fun k.218 () Int)
(declare-fun errorReached.159 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.220 () Int)
(declare-fun errorReached.160 () Int)
(declare-fun call35811formal.ret.0 () Int)
(declare-fun inline.GetRequestContext.17.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun errorReached.165 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_1.18 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun k.224 () Int)
(declare-fun reqCancelSet_1.24 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun reqCompleted_0.18 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0 () Int)
(declare-fun reqCancelSet_0.24 () Int)
(declare-fun k.222 () Int)
(declare-fun errorReached.163 () Int)
(declare-fun reqCancelSet_1.23 () Int)
(declare-fun reqCancelSet_0.23 () Int)
(declare-fun call36174formal.ret.0 () Int)
(declare-fun reqCompleted_0.17 () Int)
(declare-fun k.223 () Int)
(declare-fun errorReached.164 () Int)
(declare-fun reqCompleted_1.17 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.0 () Int)
(declare-fun k.219 () Int)
(declare-fun errorReached.162 () Int)
(declare-fun call36023formal.ret.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.7.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.7.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseEffectiveLock.7.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.7.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.216 () Int)
(declare-fun errorReached.157 () Int)
(declare-fun call35579formal.ret.0 () Int)
(declare-fun k.217 () Int)
(declare-fun errorReached.158 () Int)
(declare-fun lockStatus_0.49 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun lockStatus_1.49 () Int)
(declare-fun k.213 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.3 () Int)
(declare-fun lockStatus_0.51 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.5 () Int)
(declare-fun lockStatus_1.51 () Int)
(declare-fun k.215 () Int)
(declare-fun lockStatus_0.50 () Int)
(declare-fun call35468formal.ret.0 () Int)
(declare-fun lockStatus_1.50 () Int)
(declare-fun k.214 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.211 () Int)
(declare-fun errorReached.155 () Int)
(declare-fun call35307formal.ret.0 () Int)
(declare-fun k.212 () Int)
(declare-fun errorReached.156 () Int)
(declare-fun lockStatus_0.46 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1. () Int)
(declare-fun k.208 () Int)
(declare-fun lockStatus_1.46 () Int)
(declare-fun lockStatus_0.48 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.4 () Int)
(declare-fun call35223formal.ret.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun k.210 () Int)
(declare-fun lockStatus_1.48 () Int)
(declare-fun lockStatus_0.47 () Int)
(declare-fun lockStatus_1.47 () Int)
(declare-fun k.209 () Int)
(declare-fun call35171formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.206 () Int)
(declare-fun errorReached.153 () Int)
(declare-fun call35012formal.ret.0 () Int)
(declare-fun k.207 () Int)
(declare-fun errorReached.154 () Int)
(declare-fun inline.AcquireEffectiveLock.7.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.AcquireEffectiveLock.7.myNondetVar_0.4 () Int)
(declare-fun call34928formal.ret.0 () Int)
(declare-fun inline.AcquireEffectiveLock.7.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.7.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.204 () Int)
(declare-fun errorReached.151 () Int)
(declare-fun call34789formal.ret.0 () Int)
(declare-fun k.205 () Int)
(declare-fun errorReached.152 () Int)
(declare-fun k.202 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.149 () Int)
(declare-fun k.203 () Int)
(declare-fun call34614formal.ret.0 () Int)
(declare-fun errorReached.150 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.200 () Int)
(declare-fun errorReached.147 () Int)
(declare-fun call34459formal.ret.0 () Int)
(declare-fun k.201 () Int)
(declare-fun errorReached.148 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.198 () Int)
(declare-fun errorReached.145 () Int)
(declare-fun call34302formal.ret.0 () Int)
(declare-fun k.199 () Int)
(declare-fun errorReached.146 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2. () Int)
(declare-fun k.196 () Int)
(declare-fun errorReached.144 () Int)
(declare-fun call34191formal.ret.0 () Int)
(declare-fun k.197 () Int)
(declare-fun reqCancelStarted_0 () Int)
(declare-fun reqCancelStarted_1 () Int)
(declare-fun call30433formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.7.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.ReleaseEffectiveLock.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.8.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.9 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireEffectiveLock.6.myNondetVar_0.8 () Int)
(declare-fun inline.AcquireEffectiveLock.6.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5.myNondetVar_0.9 () Int)
(declare-fun inline.ReleaseEffectiveLock.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.10 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15. () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2. () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..4 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.12 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.3 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireEffectiveLock.3.myNondetVar_0.8 () Int)
(declare-fun inline.AcquireEffectiveLock.3.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..4 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.10 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.8 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.2.myNondetVar_0.9 () Int)
(declare-fun inline.ReleaseEffectiveLock.2.myNondetVar_0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.12 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.3 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.4 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.34 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.5 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.2 () Int)
(declare-fun myNondetVar_0.0 () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2. () Int)
(declare-fun inline.AcquireEffectiveLock.2.myNondetVar_0.8 () Int)
(declare-fun inline.AcquireEffectiveLock.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.9 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.7 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.5 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.14 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun reqCancelSet_0.1 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun k.195 () Int)
(declare-fun k.28 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.4 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.3 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.3.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.8 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9. () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.5 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.5 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.4 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17. () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.4 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.4 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1 () Int)
(declare-fun inline.AcquireEffectiveLock.4.myNondetVar_0.9 () Int)
(declare-fun inline.AcquireEffectiveLock.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.4 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.1.myNondetVar_0.8 () Int)
(declare-fun inline.ReleaseEffectiveLock.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.10 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6. () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..4 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.2 () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0.myNondetVar_0.6 () Int)
(declare-fun inline.ReleaseEffectiveLock.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.3 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.5 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.4 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.AcquireEffectiveLock.5.myNondetVar_0.8 () Int)
(declare-fun inline.AcquireEffectiveLock.5.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.3 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.3 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.4 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.9 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6. () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..4 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.3 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.9 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..5 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.0.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireEffectiveLock.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.9 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.3 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.9 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6. () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..4 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.10 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..4 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.9 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.9 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..4 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.3 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..5 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.3 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..4 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.4 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4. () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.4 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..4 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.3 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseEffectiveLock.4.myNondetVar_0.8 () Int)
(declare-fun inline.ReleaseEffectiveLock.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.3.myNondetVar_0.8 () Int)
(declare-fun inline.ReleaseEffectiveLock.3.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun reqCompleted_1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.3 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..5 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.3 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..4 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun reqCompleted_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.3 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.6.myNondetVar_0.8 () Int)
(declare-fun inline.ReleaseEffectiveLock.6.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11. () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.AcquireEffectiveLock.1.myNondetVar_0.9 () Int)
(declare-fun inline.AcquireEffectiveLock.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun reqCompleted_1 () Int)
(declare-fun reqCancelSet_0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1. () Int)
(declare-fun reqCancelSet_1 () Int)
(declare-fun errorReached.16 () Int)
(declare-fun reqCompleted_0 () Int)
(declare-fun k.18 () Int)
(declare-fun reqCompleted_1.0 () Int)
(declare-fun reqCancelSet_0.0 () Int)
(declare-fun call16806formal.ret.0 () Int)
(declare-fun reqCancelSet_1.0 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun reqCompleted_0.0 () Int)
(declare-fun k.27 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.13 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun call16655formal.ret.0 () Int)
(declare-fun k.17 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6.myNondetVar_0.7 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.5.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.32 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.33 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.9 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun lockStatus_1.45 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.6 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.3 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.3.myNondetVar_0.7 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.6 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.9 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 () Int)
(declare-fun inline.ReleaseEffectiveLock.2.myNondetVar_0.8 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1 () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.2.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.6 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.13 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun reqCancelSet_0.19 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun k.190 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.4 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun lockStatus_0.45 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.ReleaseEffectiveLock.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.AcquireEffectiveLock.5.myNondetVar_0.7 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0 () Int)
(declare-fun reqCancelSet_1.19 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..0 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.8 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun errorReached.139 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.9 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.9 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.4.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.ReleaseEffectiveLock.3.myNondetVar_0.7 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun reqCompleted_1.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun reqCompleted_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.6.myNondetVar_0.7 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCancelSet_0.21 () Int)
(declare-fun k.194 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 () Int)
(declare-fun reqCancelSet_1.21 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.0 () Int)
(declare-fun errorReached.143 () Int)
(declare-fun reqCompleted_1.15 () Int)
(declare-fun reqCompleted_0.15 () Int)
(declare-fun k.192 () Int)
(declare-fun errorReached.141 () Int)
(declare-fun reqCancelSet_1.20 () Int)
(declare-fun call18605formal.ret.0 () Int)
(declare-fun reqCancelSet_0.20 () Int)
(declare-fun reqCompleted_0.14 () Int)
(declare-fun k.193 () Int)
(declare-fun errorReached.142 () Int)
(declare-fun reqCompleted_1.14 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.1 () Int)
(declare-fun call18454formal.ret.0 () Int)
(declare-fun k.191 () Int)
(declare-fun errorReached.140 () Int)
(declare-fun inline.ReleaseEffectiveLock.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseEffectiveLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.0.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0.myNondetVar_0.0 () Int)
(declare-fun k.188 () Int)
(declare-fun errorReached.137 () Int)
(declare-fun k.189 () Int)
(declare-fun errorReached.138 () Int)
(declare-fun call18198formal.ret.0 () Int)
(declare-fun lockStatus_0.42 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.5 () Int)
(declare-fun lockStatus_1.42 () Int)
(declare-fun k.185 () Int)
(declare-fun lockStatus_0.44 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.4 () Int)
(declare-fun lockStatus_1.44 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.187 () Int)
(declare-fun lockStatus_0.43 () Int)
(declare-fun lockStatus_1.43 () Int)
(declare-fun call18087formal.ret.0 () Int)
(declare-fun k.186 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myNondetVar_0.0 () Int)
(declare-fun k.183 () Int)
(declare-fun errorReached.135 () Int)
(declare-fun call17926formal.ret.0 () Int)
(declare-fun k.184 () Int)
(declare-fun errorReached.136 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.31 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.11 () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun k.22 () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.8 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.10 () Int)
(declare-fun call17533formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.20 () Int)
(declare-fun inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0 () Int)
(declare-fun k.24 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 () Int)
(declare-fun errorReached.19 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 () Int)
(declare-fun call15876formal.new.0 () Int)
(declare-fun call29894formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 () Int)
(declare-fun k.26 () Int)
(declare-fun call29946formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun call30031formal.new.0 () Int)
(declare-fun call30096formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.24 () Int)
(declare-fun k.30 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun call30226formal.ret.0 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.25 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.28 () Int)
(declare-fun call30298formal.ret.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.2 () Int)
(declare-fun call17639formal.new.0 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.0 () Int)
(declare-fun call15873formal.new.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.18 () Int)
(declare-fun call17700formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.19 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun call17789formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6.myNondetVar_0.6 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.AcquireEffectiveLock.5.myNondetVar_0.6 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.8 () Int)
(declare-fun reqCompleted_1.12 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.3.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.8 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.2.myNondetVar_0.7 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.30 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.2.myNondetVar_0.6 () Int)
(declare-fun lockStatus_1.41 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.7 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.12 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun reqCancelSet_0.18 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun k.182 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.4.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun reqCompleted_0.12 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.8 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun lockStatus_0.41 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.7 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun errorReached.134 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun reqCancelSet_1.18 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.8 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1.myNondetVar_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.8 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.3.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.6.myNondetVar_0.6 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun lockStatus_0.24 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireEffectiveLock.6.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.5.myNondetVar_0.5 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_1.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun reqCompleted_0.5 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.8 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.7 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 () Int)
(declare-fun lockStatus_1.24 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun reqCancelSet_0.9 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun k.117 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun call25932formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.AcquireEffectiveLock.4.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeviceContext.34.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.6 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.33.myNondetVar_0.0 () Int)
(declare-fun errorReached.85 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun call29140formal.new.0 () Int)
(declare-fun reqCancelSet_1.9 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.6.myNondetVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.4.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun lockStatus_0.21 () Int)
(declare-fun k.114 () Int)
(declare-fun lockStatus_1.21 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.1 () Int)
(declare-fun lockStatus_0.23 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun call29664formal.ret.0 () Int)
(declare-fun k.116 () Int)
(declare-fun lockStatus_1.23 () Int)
(declare-fun lockStatus_0.22 () Int)
(declare-fun lockStatus_1.22 () Int)
(declare-fun k.115 () Int)
(declare-fun call29612formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myNondetVar_0.3 () Int)
(declare-fun errorReached.83 () Int)
(declare-fun k.112 () Int)
(declare-fun errorReached.84 () Int)
(declare-fun k.113 () Int)
(declare-fun call29453formal.ret.0 () Int)
(declare-fun inline.AcquireEffectiveLock.6.myNondetVar_0.3 () Int)
(declare-fun call29369formal.ret.0 () Int)
(declare-fun inline.AcquireEffectiveLock.6.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.6.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6.myNondetVar_0.0 () Int)
(declare-fun k.110 () Int)
(declare-fun errorReached.81 () Int)
(declare-fun call29230formal.ret.0 () Int)
(declare-fun k.111 () Int)
(declare-fun errorReached.82 () Int)
(declare-fun inline.ReleaseEffectiveLock.6.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.6.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseEffectiveLock.6.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.6.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.6.myNondetVar_0.1 () Int)
(declare-fun k.108 () Int)
(declare-fun errorReached.79 () Int)
(declare-fun call28996formal.ret.0 () Int)
(declare-fun k.109 () Int)
(declare-fun errorReached.80 () Int)
(declare-fun lockStatus_0.18 () Int)
(declare-fun lockStatus_1.18 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.3 () Int)
(declare-fun k.105 () Int)
(declare-fun lockStatus_0.20 () Int)
(declare-fun lockStatus_1.20 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.107 () Int)
(declare-fun lockStatus_0.19 () Int)
(declare-fun lockStatus_1.19 () Int)
(declare-fun call28884formal.ret.0 () Int)
(declare-fun k.106 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myNondetVar_0.1 () Int)
(declare-fun k.103 () Int)
(declare-fun errorReached.77 () Int)
(declare-fun call28723formal.ret.0 () Int)
(declare-fun k.104 () Int)
(declare-fun errorReached.78 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.5 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.3 () Int)
(declare-fun lockStatus_0.15 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.2 () Int)
(declare-fun k.100 () Int)
(declare-fun lockStatus_1.15 () Int)
(declare-fun lockStatus_0.17 () Int)
(declare-fun call28626formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun k.102 () Int)
(declare-fun lockStatus_1.17 () Int)
(declare-fun lockStatus_0.16 () Int)
(declare-fun call28574formal.ret.0 () Int)
(declare-fun lockStatus_1.16 () Int)
(declare-fun k.101 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.5.myNondetVar_0.0 () Int)
(declare-fun k.98 () Int)
(declare-fun errorReached.75 () Int)
(declare-fun call28415formal.ret.0 () Int)
(declare-fun k.99 () Int)
(declare-fun errorReached.76 () Int)
(declare-fun inline.AcquireEffectiveLock.5.myNondetVar_0.2 () Int)
(declare-fun call28331formal.ret.0 () Int)
(declare-fun inline.AcquireEffectiveLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.5.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.5.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5.myNondetVar_0.0 () Int)
(declare-fun k.96 () Int)
(declare-fun errorReached.73 () Int)
(declare-fun call28192formal.ret.0 () Int)
(declare-fun k.97 () Int)
(declare-fun errorReached.74 () Int)
(declare-fun errorReached.48 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun reqCancelSet_1.5 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 () Int)
(declare-fun k.63 () Int)
(declare-fun reqCancelSet_0.5 () Int)
(declare-fun k.61 () Int)
(declare-fun errorReached.46 () Int)
(declare-fun reqCancelSet_1.4 () Int)
(declare-fun call29698formal.ret.0 () Int)
(declare-fun reqCancelSet_0.4 () Int)
(declare-fun k.62 () Int)
(declare-fun errorReached.47 () Int)
(declare-fun call25956formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.1 () Int)
(declare-fun reqCompleted_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun errorReached.72 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun lockStatus_1.14 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun lockStatus_0.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_1.8 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.6 () Int)
(declare-fun reqCompleted_1.4 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4.myNondetVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun k.95 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun reqCancelSet_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.5 () Int)
(declare-fun errorReached.68 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.91 () Int)
(declare-fun k.88 () Int)
(declare-fun errorReached.65 () Int)
(declare-fun k.90 () Int)
(declare-fun errorReached.67 () Int)
(declare-fun call27646formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.71 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_1.7 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun k.94 () Int)
(declare-fun reqCompleted_1.3 () Int)
(declare-fun reqCompleted_0.3 () Int)
(declare-fun reqCancelSet_0.7 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.0 () Int)
(declare-fun k.92 () Int)
(declare-fun errorReached.69 () Int)
(declare-fun reqCancelSet_1.6 () Int)
(declare-fun reqCancelSet_0.6 () Int)
(declare-fun reqCompleted_0.2 () Int)
(declare-fun k.93 () Int)
(declare-fun call28009formal.ret.0 () Int)
(declare-fun reqCompleted_1.2 () Int)
(declare-fun errorReached.70 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.1 () Int)
(declare-fun k.89 () Int)
(declare-fun errorReached.66 () Int)
(declare-fun call27858formal.ret.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseEffectiveLock.5.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.5.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5.myNondetVar_0.0 () Int)
(declare-fun k.86 () Int)
(declare-fun errorReached.63 () Int)
(declare-fun call27414formal.ret.0 () Int)
(declare-fun k.87 () Int)
(declare-fun errorReached.64 () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun k.83 () Int)
(declare-fun lockStatus_0.13 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.5 () Int)
(declare-fun lockStatus_1.13 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.85 () Int)
(declare-fun lockStatus_0.12 () Int)
(declare-fun lockStatus_1.12 () Int)
(declare-fun k.84 () Int)
(declare-fun call27303formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myNondetVar_0.0 () Int)
(declare-fun k.81 () Int)
(declare-fun errorReached.61 () Int)
(declare-fun call27142formal.ret.0 () Int)
(declare-fun k.82 () Int)
(declare-fun errorReached.62 () Int)
(declare-fun k.78 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.5 () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun call27058formal.ret.0 () Int)
(declare-fun k.80 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun call27006formal.ret.0 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun k.79 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myNondetVar_0.3 () Int)
(declare-fun k.76 () Int)
(declare-fun errorReached.59 () Int)
(declare-fun k.77 () Int)
(declare-fun call26847formal.ret.0 () Int)
(declare-fun errorReached.60 () Int)
(declare-fun inline.AcquireEffectiveLock.4.myNondetVar_0.2 () Int)
(declare-fun call26763formal.ret.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.4.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.4.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.4.myNondetVar_0.0 () Int)
(declare-fun k.74 () Int)
(declare-fun errorReached.57 () Int)
(declare-fun k.75 () Int)
(declare-fun call26624formal.ret.0 () Int)
(declare-fun errorReached.58 () Int)
(declare-fun errorReached.55 () Int)
(declare-fun k.72 () Int)
(declare-fun call26449formal.ret.0 () Int)
(declare-fun errorReached.56 () Int)
(declare-fun k.73 () Int)
(declare-fun k.67 () Int)
(declare-fun errorReached.51 () Int)
(declare-fun call26294formal.ret.0 () Int)
(declare-fun k.71 () Int)
(declare-fun errorReached.54 () Int)
(declare-fun errorReached.49 () Int)
(declare-fun k.65 () Int)
(declare-fun call26137formal.ret.0 () Int)
(declare-fun errorReached.50 () Int)
(declare-fun k.66 () Int)
(declare-fun call26026formal.ret.0 () Int)
(declare-fun k.64 () Int)
(declare-fun call25918formal.new.0 () Int)
(declare-fun k.59 () Int)
(declare-fun errorReached.44 () Int)
(declare-fun k.60 () Int)
(declare-fun errorReached.45 () Int)
(declare-fun call25819formal.ret.0 () Int)
(declare-fun k.57 () Int)
(declare-fun errorReached.42 () Int)
(declare-fun call25663formal.ret.0 () Int)
(declare-fun k.58 () Int)
(declare-fun errorReached.43 () Int)
(declare-fun k.55 () Int)
(declare-fun errorReached.40 () Int)
(declare-fun call25509formal.ret.0 () Int)
(declare-fun k.56 () Int)
(declare-fun errorReached.41 () Int)
(declare-fun k.53 () Int)
(declare-fun errorReached.39 () Int)
(declare-fun call25399formal.ret.0 () Int)
(declare-fun k.54 () Int)
(declare-fun inline.ReleaseEffectiveLock.4.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseEffectiveLock.4.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.4.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.4.myNondetVar_0.3 () Int)
(declare-fun k.51 () Int)
(declare-fun errorReached.37 () Int)
(declare-fun k.52 () Int)
(declare-fun errorReached.38 () Int)
(declare-fun call25205formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.1 () Int)
(declare-fun k.48 () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.5 () Int)
(declare-fun k.50 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun k.49 () Int)
(declare-fun call25094formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myNondetVar_0.2 () Int)
(declare-fun k.37 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun k.38 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun call24933formal.ret.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.7 () Int)
(declare-fun call19360formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.6 () Int)
(declare-fun reqCancelSet_0.3 () Int)
(declare-fun k.42 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun reqCancelSet_1.3 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun lockStatus_0.40 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun reqCompleted_1.11 () Int)
(declare-fun reqCompleted_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5 () Int)
(declare-fun call21004formal.ret.0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2.myNondetVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.3.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2.myNondetVar_0.5 () Int)
(declare-fun lockStatus_1.40 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun reqCancelSet_0.17 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun k.181 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.7 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun call24212formal.new.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun errorReached.133 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun reqCancelSet_1.17 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun lockStatus_0.37 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.3 () Int)
(declare-fun k.178 () Int)
(declare-fun lockStatus_1.37 () Int)
(declare-fun lockStatus_0.39 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.5 () Int)
(declare-fun call24736formal.ret.0 () Int)
(declare-fun k.180 () Int)
(declare-fun lockStatus_1.39 () Int)
(declare-fun lockStatus_0.38 () Int)
(declare-fun call24684formal.ret.0 () Int)
(declare-fun lockStatus_1.38 () Int)
(declare-fun k.179 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.3.myNondetVar_0.1 () Int)
(declare-fun k.176 () Int)
(declare-fun errorReached.131 () Int)
(declare-fun call24525formal.ret.0 () Int)
(declare-fun k.177 () Int)
(declare-fun errorReached.132 () Int)
(declare-fun inline.AcquireEffectiveLock.3.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.3.myNondetVar_0.4 () Int)
(declare-fun call24441formal.ret.0 () Int)
(declare-fun inline.AcquireEffectiveLock.3.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.3.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.3.myNondetVar_0.1 () Int)
(declare-fun k.174 () Int)
(declare-fun errorReached.129 () Int)
(declare-fun call24302formal.ret.0 () Int)
(declare-fun k.175 () Int)
(declare-fun errorReached.130 () Int)
(declare-fun inline.ReleaseEffectiveLock.3.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseEffectiveLock.3.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.3.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.3.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.3.myNondetVar_0.1 () Int)
(declare-fun errorReached.127 () Int)
(declare-fun k.172 () Int)
(declare-fun call24068formal.ret.0 () Int)
(declare-fun errorReached.128 () Int)
(declare-fun k.173 () Int)
(declare-fun lockStatus_0.34 () Int)
(declare-fun lockStatus_1.34 () Int)
(declare-fun k.169 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.5 () Int)
(declare-fun lockStatus_0.36 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.36 () Int)
(declare-fun k.171 () Int)
(declare-fun lockStatus_0.35 () Int)
(declare-fun lockStatus_1.35 () Int)
(declare-fun k.170 () Int)
(declare-fun call23956formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myNondetVar_0.1 () Int)
(declare-fun k.167 () Int)
(declare-fun errorReached.125 () Int)
(declare-fun call23795formal.ret.0 () Int)
(declare-fun k.168 () Int)
(declare-fun errorReached.126 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.5 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.4 () Int)
(declare-fun lockStatus_0.31 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.2 () Int)
(declare-fun k.164 () Int)
(declare-fun lockStatus_1.31 () Int)
(declare-fun lockStatus_0.33 () Int)
(declare-fun call23698formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun k.166 () Int)
(declare-fun lockStatus_1.33 () Int)
(declare-fun lockStatus_0.32 () Int)
(declare-fun call23646formal.ret.0 () Int)
(declare-fun lockStatus_1.32 () Int)
(declare-fun k.165 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.2.myNondetVar_0.0 () Int)
(declare-fun k.162 () Int)
(declare-fun errorReached.123 () Int)
(declare-fun call23487formal.ret.0 () Int)
(declare-fun k.163 () Int)
(declare-fun errorReached.124 () Int)
(declare-fun inline.AcquireEffectiveLock.2.myNondetVar_0.2 () Int)
(declare-fun call23403formal.ret.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.2.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.2.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2.myNondetVar_0.1 () Int)
(declare-fun k.160 () Int)
(declare-fun errorReached.121 () Int)
(declare-fun call23264formal.ret.0 () Int)
(declare-fun k.161 () Int)
(declare-fun errorReached.122 () Int)
(declare-fun errorReached.98 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun reqCancelSet_1.13 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 () Int)
(declare-fun reqCompleted_1.7 () Int)
(declare-fun k.130 () Int)
(declare-fun reqCompleted_0.7 () Int)
(declare-fun reqCancelSet_0.13 () Int)
(declare-fun reqCancelSet_1.11 () Int)
(declare-fun reqCancelSet_0.11 () Int)
(declare-fun k.128 () Int)
(declare-fun errorReached.96 () Int)
(declare-fun reqCancelSet_1.12 () Int)
(declare-fun reqCancelSet_0.12 () Int)
(declare-fun call24770formal.ret.0 () Int)
(declare-fun k.129 () Int)
(declare-fun errorReached.97 () Int)
(declare-fun call21028formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.2 () Int)
(declare-fun errorReached.120 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.30 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.4 () Int)
(declare-fun lockStatus_0.30 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun reqCancelSet_1.16 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1.myNondetVar_0.5 () Int)
(declare-fun reqCompleted_1.10 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun k.159 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.6 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun reqCompleted_0.10 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun reqCancelSet_0.16 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.5 () Int)
(declare-fun errorReached.117 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0 () Int)
(declare-fun k.156 () Int)
(declare-fun k.152 () Int)
(declare-fun errorReached.113 () Int)
(declare-fun call22718formal.ret.0 () Int)
(declare-fun k.154 () Int)
(declare-fun errorReached.115 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.119 () Int)
(declare-fun reqCancelSet_1.15 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 () Int)
(declare-fun k.158 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.9 () Int)
(declare-fun reqCompleted_0.9 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun reqCancelSet_0.15 () Int)
(declare-fun k.155 () Int)
(declare-fun errorReached.116 () Int)
(declare-fun reqCancelSet_1.14 () Int)
(declare-fun reqCancelSet_0.14 () Int)
(declare-fun reqCompleted_0.8 () Int)
(declare-fun k.157 () Int)
(declare-fun errorReached.118 () Int)
(declare-fun reqCompleted_1.8 () Int)
(declare-fun call23081formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0 () Int)
(declare-fun call22930formal.ret.0 () Int)
(declare-fun k.153 () Int)
(declare-fun errorReached.114 () Int)
(declare-fun inline.ReleaseEffectiveLock.2.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.2.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseEffectiveLock.2.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.2.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2.myNondetVar_0.1 () Int)
(declare-fun k.150 () Int)
(declare-fun errorReached.111 () Int)
(declare-fun call22486formal.ret.0 () Int)
(declare-fun k.151 () Int)
(declare-fun errorReached.112 () Int)
(declare-fun lockStatus_0.27 () Int)
(declare-fun lockStatus_1.27 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.3 () Int)
(declare-fun k.147 () Int)
(declare-fun lockStatus_0.29 () Int)
(declare-fun lockStatus_1.29 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.5 () Int)
(declare-fun k.149 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.28 () Int)
(declare-fun lockStatus_1.28 () Int)
(declare-fun k.148 () Int)
(declare-fun call22375formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myNondetVar_0.1 () Int)
(declare-fun k.145 () Int)
(declare-fun errorReached.109 () Int)
(declare-fun k.146 () Int)
(declare-fun errorReached.110 () Int)
(declare-fun call22214formal.ret.0 () Int)
(declare-fun k.142 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.5 () Int)
(declare-fun lockStatus_0.26 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.4 () Int)
(declare-fun call22130formal.ret.0 () Int)
(declare-fun lockStatus_1.26 () Int)
(declare-fun k.144 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_0.25 () Int)
(declare-fun lockStatus_1.25 () Int)
(declare-fun call22078formal.ret.0 () Int)
(declare-fun k.143 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myNondetVar_0.1 () Int)
(declare-fun k.140 () Int)
(declare-fun errorReached.107 () Int)
(declare-fun k.141 () Int)
(declare-fun errorReached.108 () Int)
(declare-fun call21919formal.ret.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1.myNondetVar_0.4 () Int)
(declare-fun inline.AcquireEffectiveLock.1.myNondetVar_0.3 () Int)
(declare-fun call21835formal.ret.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.1.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1.myNondetVar_0.2 () Int)
(declare-fun k.138 () Int)
(declare-fun errorReached.105 () Int)
(declare-fun call21696formal.ret.0 () Int)
(declare-fun k.139 () Int)
(declare-fun errorReached.106 () Int)
(declare-fun k.136 () Int)
(declare-fun errorReached.103 () Int)
(declare-fun k.137 () Int)
(declare-fun errorReached.104 () Int)
(declare-fun call21521formal.ret.0 () Int)
(declare-fun k.134 () Int)
(declare-fun errorReached.101 () Int)
(declare-fun call21366formal.ret.0 () Int)
(declare-fun k.135 () Int)
(declare-fun errorReached.102 () Int)
(declare-fun k.132 () Int)
(declare-fun errorReached.99 () Int)
(declare-fun call21209formal.ret.0 () Int)
(declare-fun k.133 () Int)
(declare-fun errorReached.100 () Int)
(declare-fun k.131 () Int)
(declare-fun call21098formal.ret.0 () Int)
(declare-fun call20990formal.new.0 () Int)
(declare-fun k.126 () Int)
(declare-fun errorReached.94 () Int)
(declare-fun call20891formal.ret.0 () Int)
(declare-fun k.127 () Int)
(declare-fun errorReached.95 () Int)
(declare-fun k.124 () Int)
(declare-fun errorReached.92 () Int)
(declare-fun call20735formal.ret.0 () Int)
(declare-fun k.125 () Int)
(declare-fun errorReached.93 () Int)
(declare-fun k.122 () Int)
(declare-fun errorReached.90 () Int)
(declare-fun call20581formal.ret.0 () Int)
(declare-fun k.123 () Int)
(declare-fun errorReached.91 () Int)
(declare-fun k.120 () Int)
(declare-fun errorReached.89 () Int)
(declare-fun call20471formal.ret.0 () Int)
(declare-fun k.121 () Int)
(declare-fun k.118 () Int)
(declare-fun errorReached.87 () Int)
(declare-fun reqCancelSet_1.10 () Int)
(declare-fun reqCancelSet_0.10 () Int)
(declare-fun reqCompleted_0.6 () Int)
(declare-fun k.119 () Int)
(declare-fun errorReached.88 () Int)
(declare-fun reqCompleted_1.6 () Int)
(declare-fun call20313formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0 () Int)
(declare-fun errorReached.53 () Int)
(declare-fun k.69 () Int)
(declare-fun call20162formal.ret.0 () Int)
(declare-fun errorReached.86 () Int)
(declare-fun k.70 () Int)
(declare-fun inline.ReleaseEffectiveLock.1.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseEffectiveLock.1.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseEffectiveLock.1.myNondetVar_0.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1.myNondetVar_0.1 () Int)
(declare-fun k.47 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun call19917formal.ret.0 () Int)
(declare-fun k.68 () Int)
(declare-fun errorReached.52 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.2 () Int)
(declare-fun k.44 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.5 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun k.46 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun k.45 () Int)
(declare-fun call19806formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myNondetVar_0.1 () Int)
(declare-fun call19645formal.ret.0 () Int)
(declare-fun k.43 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun k.40 () Int)
(declare-fun reqCancelSet_0.2 () Int)
(declare-fun reqCancelSet_1.2 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun call19400formal.ret.0 () Int)
(declare-fun k.41 () Int)
(declare-fun call19246formal.ret.0 () Int)
(declare-fun k.39 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3 () Int)
(declare-fun k.35 () Int)
(declare-fun errorReached.27 () Int)
(declare-fun call19027formal.ret.0 () Int)
(declare-fun k.36 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun k.33 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun k.34 () Int)
(declare-fun call18871formal.ret.0 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun k.31 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun call18766formal.ret.0 () Int)
(declare-fun k.32 () Int)
(declare-fun inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.3 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.29 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun call30099formal.ret.0 () Int)
(declare-fun k.29 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.22 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.23 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0 () Int)
(declare-fun k.25 () Int)
(declare-fun call29897formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 () Int)
(declare-fun k.23 () Int)
(declare-fun call17536formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.17 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.16 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.13 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.15 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.14 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.12 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.9 () Int)
(declare-fun k.19 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.5 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun call17424formal.ret.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.4 () Int)
(declare-fun k.21 () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun call17372formal.ret.0 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun k.20 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.0.myNondetVar_0.0 () Int)
(declare-fun k.15 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun k.16 () Int)
(declare-fun call17213formal.ret.0 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun inline.AcquireEffectiveLock.0.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.0.myNondetVar_0.4 () Int)
(declare-fun call17129formal.ret.0 () Int)
(declare-fun inline.AcquireEffectiveLock.0.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.0.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireEffectiveLock.0.myNondetVar_0.1 () Int)
(declare-fun call16990formal.ret.0 () Int)
(declare-fun k.14 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2. () Int)
(declare-fun k.11 () Int)
(declare-fun errorReached.11 () Int)
(declare-fun call16461formal.ret.0 () Int)
(declare-fun k.12 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedIncrement.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.4 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.9 () Int)
(declare-fun k.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun call16279formal.ret.0 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun k.10 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.7 () Int)
(declare-fun errorReached.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildRead.0.myNondetVar_0.0 () Int)
(declare-fun call16125formal.ret.0 () Int)
(declare-fun k.8 () Int)
(declare-fun errorReached.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun call15969formal.ret.0 () Int)
(declare-fun errorReached.6 () Int)
(declare-fun k.6 () Int)
(declare-fun call15864formal.new.0 () Int)
(declare-fun call15867formal.new.0 () Int)
(declare-fun call15870formal.new.0 () Int)
(declare-fun inline.myInitDriver.0.myNondetVar_0.5 () Int)
(declare-fun inline.myInitDriver.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.5 () Int)
(declare-fun k.3 () Int)
(declare-fun errorReached.3 () Int)
(declare-fun call15723formal.ret.0 () Int)
(declare-fun k.4 () Int)
(declare-fun errorReached.4 () Int)
(declare-fun inline.myInitDriver.0.myNondetVar_0.3 () Int)
(declare-fun inline.myInitDriver.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.1 () Int)
(declare-fun errorReached.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.2 () Int)
(declare-fun errorReached.2 () Int)
(declare-fun call15555formal.ret.0 () Int)
(declare-fun inline.myInitDriver.0.myNondetVar_0.1 () Int)
(declare-fun inline.myInitDriver.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun call15387formal.ret.0 () Int)
(declare-fun k.0 () Int)
(declare-fun errorReached.0 () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.unused_WDFDEVICE__) nameType) (= (type T.unused_WDFDPC__) nameType) (= (type T.unused_WDFDRIVER__) nameType) (= (type T.unused_WDFIOTARGET__) nameType) (= (type T.unused_WDFMEMORY__) nameType) (= (type T.unused_WDFQUEUE__) nameType) (= (type T.unused_WDFREQUEST__) nameType) (= (type T.unused_WDFSPINLOCK__) nameType) (= (type T.unused_WDFTIMER__) nameType) (= (type T.unused_WDFWAITLOCK__) nameType) (= (type T.unused_WDFWORKITEM__) nameType) (= (type T.ParentDevice__CHILD_QUEUE_CONTEXT) nameType) (= (type T.ParentQueue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Queue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Notify__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Event__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequest__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT) nameType) (= (type T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.Device__DEVICE_CONTEXT) nameType) (= (type T.DefaultQueue__DEVICE_CONTEXT) nameType) (= (type T.ConfigurationLock__DEVICE_CONTEXT) nameType) (= (type T.ReConfigureQueue__DEVICE_CONTEXT) nameType) (= (type T.MultipleQueues__DEVICE_CONTEXT) nameType) (= (type T.AutoForwarding__DEVICE_CONTEXT) nameType) (= (type T.DispatchType__DEVICE_CONTEXT) nameType) (= (type T.PreviousReconfigurePurge__DEVICE_CONTEXT) nameType) (= (type T.Buffer__DEVICE_CONTEXT) nameType) (= (type T.Length__DEVICE_CONTEXT) nameType) (= (type T.DpcLock__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceTimer__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItem__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItemState__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.QueueMode__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.__unnamed_4_dfcb1314__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.MappedUserBufferMdl__REQUEST_CONTEXT) nameType) (= (type T.MappedType3InputMdl__REQUEST_CONTEXT) nameType) (= (type T.QueueContext__REQUEST_CONTEXT) nameType) (= (type T.Cleanup__REQUEST_CONTEXT) nameType) (= (type T.Presented__REQUEST_CONTEXT) nameType) (= (type T.Cancellable__REQUEST_CONTEXT) nameType) (= (type T.Canceled__REQUEST_CONTEXT) nameType) (= (type T.CanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.ContextCleanupCalled__REQUEST_CONTEXT) nameType) (= (type T.PowerStopped__REQUEST_CONTEXT) nameType) (= (type T.PowerResumed__REQUEST_CONTEXT) nameType) (= (type T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.Dpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Queue__TIMER_DPC_CONTEXT) nameType) (= (type T.TestDpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Driver__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverFlags__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverTag__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverName__WDF_DRIVER_GLOBALS) nameType) (= (type T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS) nameType) (= (type T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.Size__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Type__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Parameters__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Size__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Flags__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Timeout__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Buffer___unnamed_12_9675b19c) nameType) (= (type T.Offset___unnamed_12_9675b19c) nameType) (= (type T.Length___unnamed_12_9675b19c) nameType) (= (type T.Buffer___unnamed_12_a41ee278) nameType) (= (type T.Length___unnamed_12_a41ee278) nameType) (= (type T.Offset___unnamed_12_a41ee278) nameType) (= (type T.Buffer___unnamed_12_e5e4e6f3) nameType) (= (type T.Length___unnamed_12_e5e4e6f3) nameType) (= (type T.Offset___unnamed_12_e5e4e6f3) nameType) (= (type T.Argument1___unnamed_16_28d48018) nameType) (= (type T.Argument2___unnamed_16_28d48018) nameType) (= (type T.Argument3___unnamed_16_28d48018) nameType) (= (type T.Argument4___unnamed_16_28d48018) nameType) (= (type T.Abandoned___unnamed_1_7fe4cdbd) nameType) (= (type T.Absolute___unnamed_1_7fe4cdbd) nameType) (= (type T.NpxIrql___unnamed_1_7fe4cdbd) nameType) (= (type T.Signalling___unnamed_1_7fe4cdbd) nameType) (= (type T.Size___unnamed_1_a19e9f98) nameType) (= (type T.Hand___unnamed_1_a19e9f98) nameType) (= (type T.Inserted___unnamed_1_a536060f) nameType) (= (type T.DebugActive___unnamed_1_a536060f) nameType) (= (type T.DpcActive___unnamed_1_a536060f) nameType) (= (type T.IoControlCode___unnamed_24_52bbd12f) nameType) (= (type T.Input___unnamed_24_52bbd12f) nameType) (= (type T.Output___unnamed_24_52bbd12f) nameType) (= (type T.Write___unnamed_24_a2447d05) nameType) (= (type T.Read___unnamed_24_a2447d05) nameType) (= (type T.Ioctl___unnamed_24_a2447d05) nameType) (= (type T.Others___unnamed_24_a2447d05) nameType) (= (type T.Usb___unnamed_24_a2447d05) nameType) (= (type T.Ptr___unnamed_4_442e007e) nameType) (= (type T.Value___unnamed_4_442e007e) nameType) (= (type T.Status___unnamed_4_6a857cdd) nameType) (= (type T.Pointer___unnamed_4_6a857cdd) nameType) (= (type T.Type___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a19e9f98___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a536060f___unnamed_4_b1953259) nameType) (= (type T.Ptr___unnamed_4_b617aa5a) nameType) (= (type T.Value___unnamed_4_b617aa5a) nameType) (= (type T.Ptr___unnamed_4_d6f0159b) nameType) (= (type T.Value___unnamed_4_d6f0159b) nameType) (= (type T.Completion___unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_b1953259___unnamed_4_dfcb1314) nameType) (= (type T.Lock___unnamed_4_dfcb1314) nameType) (= (type T.Ptr___unnamed_4_fbcc5fb9) nameType) (= (type T.Value___unnamed_4_fbcc5fb9) nameType) (= (type T.Buffer___unnamed_8_20ce6f92) nameType) (= (type T.Offset___unnamed_8_20ce6f92) nameType) (= (type T.A13CHAR) nameType) (= (type T.A32CHAR) nameType) (= (type T.CHAR) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F2) nameType) (= (type T.FEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA13CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF1) nameType) (= (type T.PF2) nameType) (= (type T.PFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PINT4) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PPINT4) nameType) (= (type T.PPPVOID) nameType) (= (type T.PPPWDFMEMORY__) nameType) (= (type T.PPP_MDL) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PPWDFDEVICE__) nameType) (= (type T.PPWDFIOTARGET__) nameType) (= (type T.PPWDFMEMORY__) nameType) (= (type T.PPWDFQUEUE__) nameType) (= (type T.PPWDFREQUEST__) nameType) (= (type T.PPWDFSPINLOCK__) nameType) (= (type T.PPWDFTIMER__) nameType) (= (type T.PPWDFWORKITEM__) nameType) (= (type T.PP_CHILD_QUEUE_CONTEXT) nameType) (= (type T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.PP_DEVICE_CONTEXT) nameType) (= (type T.PP_KTHREAD) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_REQUEST_CONTEXT) nameType) (= (type T.PP_TIMER_DPC_CONTEXT) nameType) (= (type T.PP_WDF_DRIVER_GLOBALS) nameType) (= (type T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.PP_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.PP_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWDFDEVICE__) nameType) (= (type T.PWDFDPC__) nameType) (= (type T.PWDFDRIVER__) nameType) (= (type T.PWDFIOTARGET__) nameType) (= (type T.PWDFMEMORY__) nameType) (= (type T.PWDFQUEUE__) nameType) (= (type T.PWDFREQUEST__) nameType) (= (type T.PWDFSPINLOCK__) nameType) (= (type T.PWDFTIMER__) nameType) (= (type T.PWDFWAITLOCK__) nameType) (= (type T.PWDFWORKITEM__) nameType) (= (type T.P_CHILD_QUEUE_CONTEXT) nameType) (= (type T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.P_DEVICE_CONTEXT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_MM_PAGE_PRIORITY) nameType) (= (type T.P_REQUEST_CONTEXT) nameType) (= (type T.P_TIMER_DPC_CONTEXT) nameType) (= (type T.P_WDF_DEVICE_IO_TYPE) nameType) (= (type T.P_WDF_DRIVER_GLOBALS) nameType) (= (type T.P_WDF_EXECUTION_LEVEL) nameType) (= (type T.P_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.P_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.P_WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T.P_WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WORKITEM_STATE) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT4) nameType) (= (type T.VOID) nameType) (= (type T.WDFDEVICE__) nameType) (= (type T.WDFDPC__) nameType) (= (type T.WDFDRIVER__) nameType) (= (type T.WDFIOTARGET__) nameType) (= (type T.WDFMEMORY__) nameType) (= (type T.WDFQUEUE__) nameType) (= (type T.WDFREQUEST__) nameType) (= (type T.WDFSPINLOCK__) nameType) (= (type T.WDFTIMER__) nameType) (= (type T.WDFWAITLOCK__) nameType) (= (type T.WDFWORKITEM__) nameType) (= (type T._CHILD_QUEUE_CONTEXT) nameType) (= (type T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T._DEVICE_CONTEXT) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._EPROCESS) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._KEVENT) nameType) (= (type T._KTHREAD) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._MDL) nameType) (= (type T._MM_PAGE_PRIORITY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._QUEUE_MODE) nameType) (= (type T._REQUEST_CONTEXT) nameType) (= (type T._TIMER_DPC_CONTEXT) nameType) (= (type T._WDF_DEVICE_IO_TYPE) nameType) (= (type T._WDF_DRIVER_GLOBALS) nameType) (= (type T._WDF_EXECUTION_LEVEL) nameType) (= (type T._WDF_IO_QUEUE_DISPATCH_TYPE) nameType) (= (type T._WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T._WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T._WDF_REQUEST_TYPE) nameType) (= (type T._WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T._WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WORKITEM_STATE) nameType) (= (type T.__unnamed_12_9675b19c) nameType) (= (type T.__unnamed_12_a41ee278) nameType) (= (type T.__unnamed_12_e5e4e6f3) nameType) (= (type T.__unnamed_16_28d48018) nameType) (= (type T.__unnamed_1_7fe4cdbd) nameType) (= (type T.__unnamed_1_a19e9f98) nameType) (= (type T.__unnamed_1_a536060f) nameType) (= (type T.__unnamed_24_52bbd12f) nameType) (= (type T.__unnamed_24_a2447d05) nameType) (= (type T.__unnamed_4_442e007e) nameType) (= (type T.__unnamed_4_6a857cdd) nameType) (= (type T.__unnamed_4_b1953259) nameType) (= (type T.__unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_4_d6f0159b) nameType) (= (type T.__unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_dfcb1314) nameType) (= (type T.__unnamed_4_fbcc5fb9) nameType) (= (type T.__unnamed_8_20ce6f92) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXT ?arg020)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXT ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXT ?arg022)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXT ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXT ?arg024)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXT ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXT ?arg036)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXT ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXTInv ?arg037)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXTInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXT ?arg038)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXT ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXT ?arg044)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXT ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXT ?arg050)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXT ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXTInv ?arg051)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXTInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXT ?arg062)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXT ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXTInv ?arg063)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXTInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXT ?arg064)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXT ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cdd ?arg074)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cdd ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cddInv ?arg075)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cddInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.unused_WDFDEVICE__ T.unused_WDFDPC__ T.unused_WDFDRIVER__ T.unused_WDFIOTARGET__ T.unused_WDFMEMORY__ T.unused_WDFQUEUE__ T.unused_WDFREQUEST__ T.unused_WDFSPINLOCK__ T.unused_WDFTIMER__ T.unused_WDFWAITLOCK__ T.unused_WDFWORKITEM__ T.ParentDevice__CHILD_QUEUE_CONTEXT T.ParentQueue__CHILD_QUEUE_CONTEXT T.Queue__CHILD_QUEUE_CONTEXT T.Notify__CHILD_QUEUE_CONTEXT T.Event__CHILD_QUEUE_CONTEXT T.CurrentRequest__CHILD_QUEUE_CONTEXT T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.Device__DEVICE_CONTEXT T.DefaultQueue__DEVICE_CONTEXT T.ConfigurationLock__DEVICE_CONTEXT T.ReConfigureQueue__DEVICE_CONTEXT T.MultipleQueues__DEVICE_CONTEXT T.AutoForwarding__DEVICE_CONTEXT T.DispatchType__DEVICE_CONTEXT T.PreviousReconfigurePurge__DEVICE_CONTEXT T.Buffer__DEVICE_CONTEXT T.Length__DEVICE_CONTEXT T.DpcLock__DEVICE_CONTEXT T.ControlDeviceTimer__DEVICE_CONTEXT T.ControlDeviceWorkItem__DEVICE_CONTEXT T.ControlDeviceWorkItemState__DEVICE_CONTEXT T.DeviceLockOwningThread__DEVICE_CONTEXT T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT T.DpcLockOwningThread__DEVICE_CONTEXT T.DpcLockOwningCallersAddress__DEVICE_CONTEXT T.QueueMode__DEVICE_CONTEXT T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT T.__unnamed_4_dfcb1314__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Header__KEVENT T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.MappedUserBufferMdl__REQUEST_CONTEXT T.MappedType3InputMdl__REQUEST_CONTEXT T.QueueContext__REQUEST_CONTEXT T.Cleanup__REQUEST_CONTEXT T.Presented__REQUEST_CONTEXT T.Cancellable__REQUEST_CONTEXT T.Canceled__REQUEST_CONTEXT T.CanceledOnQueue__REQUEST_CONTEXT T.ContextCleanupCalled__REQUEST_CONTEXT T.PowerStopped__REQUEST_CONTEXT T.PowerResumed__REQUEST_CONTEXT T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT T.Dpc__TIMER_DPC_CONTEXT T.Queue__TIMER_DPC_CONTEXT T.TestDpc__TIMER_DPC_CONTEXT T.Driver__WDF_DRIVER_GLOBALS T.DriverFlags__WDF_DRIVER_GLOBALS T.DriverTag__WDF_DRIVER_GLOBALS T.DriverName__WDF_DRIVER_GLOBALS T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO T.Size__WDF_REQUEST_COMPLETION_PARAMS T.Type__WDF_REQUEST_COMPLETION_PARAMS T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS T.Parameters__WDF_REQUEST_COMPLETION_PARAMS T.Size__WDF_REQUEST_SEND_OPTIONS T.Flags__WDF_REQUEST_SEND_OPTIONS T.Timeout__WDF_REQUEST_SEND_OPTIONS T.Buffer___unnamed_12_9675b19c T.Offset___unnamed_12_9675b19c T.Length___unnamed_12_9675b19c T.Buffer___unnamed_12_a41ee278 T.Length___unnamed_12_a41ee278 T.Offset___unnamed_12_a41ee278 T.Buffer___unnamed_12_e5e4e6f3 T.Length___unnamed_12_e5e4e6f3 T.Offset___unnamed_12_e5e4e6f3 T.Argument1___unnamed_16_28d48018 T.Argument2___unnamed_16_28d48018 T.Argument3___unnamed_16_28d48018 T.Argument4___unnamed_16_28d48018 T.Abandoned___unnamed_1_7fe4cdbd T.Absolute___unnamed_1_7fe4cdbd T.NpxIrql___unnamed_1_7fe4cdbd T.Signalling___unnamed_1_7fe4cdbd T.Size___unnamed_1_a19e9f98 T.Hand___unnamed_1_a19e9f98 T.Inserted___unnamed_1_a536060f T.DebugActive___unnamed_1_a536060f T.DpcActive___unnamed_1_a536060f T.IoControlCode___unnamed_24_52bbd12f T.Input___unnamed_24_52bbd12f T.Output___unnamed_24_52bbd12f T.Write___unnamed_24_a2447d05 T.Read___unnamed_24_a2447d05 T.Ioctl___unnamed_24_a2447d05 T.Others___unnamed_24_a2447d05 T.Usb___unnamed_24_a2447d05 T.Ptr___unnamed_4_442e007e T.Value___unnamed_4_442e007e T.Status___unnamed_4_6a857cdd T.Pointer___unnamed_4_6a857cdd T.Type___unnamed_4_b1953259 T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 T.__unnamed_1_a19e9f98___unnamed_4_b1953259 T.__unnamed_1_a536060f___unnamed_4_b1953259 T.Ptr___unnamed_4_b617aa5a T.Value___unnamed_4_b617aa5a T.Ptr___unnamed_4_d6f0159b T.Value___unnamed_4_d6f0159b T.Completion___unnamed_4_de25a30d T.__unnamed_4_b1953259___unnamed_4_dfcb1314 T.Lock___unnamed_4_dfcb1314 T.Ptr___unnamed_4_fbcc5fb9 T.Value___unnamed_4_fbcc5fb9 T.Buffer___unnamed_8_20ce6f92 T.Offset___unnamed_8_20ce6f92 T.A13CHAR T.A32CHAR T.CHAR T.F0 T.F1 T.F2 T.FEVT_WDF_REQUEST_CANCEL T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE T.INT2 T.INT4 T.INT8 T.PA13CHAR T.PCHAR T.PF0 T.PF1 T.PF2 T.PFEVT_WDF_REQUEST_CANCEL T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PINT4 T.PPCHAR T.PPFEVT_WDF_REQUEST_CANCEL T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PPINT4 T.PPPVOID T.PPPWDFMEMORY__ T.PPP_MDL T.PPUINT4 T.PPVOID T.PPWDFDEVICE__ T.PPWDFIOTARGET__ T.PPWDFMEMORY__ T.PPWDFQUEUE__ T.PPWDFREQUEST__ T.PPWDFSPINLOCK__ T.PPWDFTIMER__ T.PPWDFWORKITEM__ T.PP_CHILD_QUEUE_CONTEXT T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.PP_DEVICE_CONTEXT T.PP_KTHREAD T.PP_MDL T.PP_REQUEST_CONTEXT T.PP_TIMER_DPC_CONTEXT T.PP_WDF_DRIVER_GLOBALS T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO T.PP_WDF_REQUEST_COMPLETION_PARAMS T.PP_WDF_REQUEST_SEND_OPTIONS T.PUCHAR T.PUINT4 T.PVOID T.PWDFDEVICE__ T.PWDFDPC__ T.PWDFDRIVER__ T.PWDFIOTARGET__ T.PWDFMEMORY__ T.PWDFQUEUE__ T.PWDFREQUEST__ T.PWDFSPINLOCK__ T.PWDFTIMER__ T.PWDFWAITLOCK__ T.PWDFWORKITEM__ T.P_CHILD_QUEUE_CONTEXT T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.P_DEVICE_CONTEXT T.P_EPROCESS T.P_KTHREAD T.P_LIST_ENTRY T.P_MDL T.P_MM_PAGE_PRIORITY T.P_REQUEST_CONTEXT T.P_TIMER_DPC_CONTEXT T.P_WDF_DEVICE_IO_TYPE T.P_WDF_DRIVER_GLOBALS T.P_WDF_EXECUTION_LEVEL T.P_WDF_OBJECT_CONTEXT_TYPE_INFO T.P_WDF_REQUEST_COMPLETION_PARAMS T.P_WDF_REQUEST_SEND_OPTIONS T.P_WDF_SYNCHRONIZATION_SCOPE T.P_WDF_USB_REQUEST_COMPLETION_PARAMS T.P_WORKITEM_STATE T.UCHAR T.UINT4 T.VOID T.WDFDEVICE__ T.WDFDPC__ T.WDFDRIVER__ T.WDFIOTARGET__ T.WDFMEMORY__ T.WDFQUEUE__ T.WDFREQUEST__ T.WDFSPINLOCK__ T.WDFTIMER__ T.WDFWAITLOCK__ T.WDFWORKITEM__ T._CHILD_QUEUE_CONTEXT T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T._DEVICE_CONTEXT T._DISPATCHER_HEADER T._EPROCESS T._IO_STATUS_BLOCK T._KEVENT T._KTHREAD T._LIST_ENTRY T._MDL T._MM_PAGE_PRIORITY T._POOL_TYPE T._QUEUE_MODE T._REQUEST_CONTEXT T._TIMER_DPC_CONTEXT T._WDF_DEVICE_IO_TYPE T._WDF_DRIVER_GLOBALS T._WDF_EXECUTION_LEVEL T._WDF_IO_QUEUE_DISPATCH_TYPE T._WDF_OBJECT_CONTEXT_TYPE_INFO T._WDF_REQUEST_COMPLETION_PARAMS T._WDF_REQUEST_SEND_OPTIONS T._WDF_REQUEST_TYPE T._WDF_SYNCHRONIZATION_SCOPE T._WDF_USB_REQUEST_COMPLETION_PARAMS T._WORKITEM_STATE T.__unnamed_12_9675b19c T.__unnamed_12_a41ee278 T.__unnamed_12_e5e4e6f3 T.__unnamed_16_28d48018 T.__unnamed_1_7fe4cdbd T.__unnamed_1_a19e9f98 T.__unnamed_1_a536060f T.__unnamed_24_52bbd12f T.__unnamed_24_a2447d05 T.__unnamed_4_442e007e T.__unnamed_4_6a857cdd T.__unnamed_4_b1953259 T.__unnamed_4_b617aa5a T.__unnamed_4_d6f0159b T.__unnamed_4_de25a30d T.__unnamed_4_dfcb1314 T.__unnamed_4_fbcc5fb9 T.__unnamed_8_20ce6f92 (int_2_U EvtRequestChildCancel) (int_2_U EvtRequestCompletionRoutine) (int_2_U G_ExecutionLevel) (int_2_U G_IoType) (int_2_U G_RandomNumberSeed) (int_2_U G_SynchronizationScope) (int_2_U WdfDriverGlobals) (int_2_U x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEVICE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO) (int_2_U hbuffer) (int_2_U hdctx) (int_2_U hdevice) (int_2_U hln) (int_2_U hlock) (int_2_U hmdl) (int_2_U hmemory) (int_2_U hqctx) (int_2_U hqueue) (int_2_U hrctx) (int_2_U hrequest) (int_2_U htctx) (int_2_U htimer) (int_2_U notused_4hbuffer) (int_2_U notused_4hmdl) (int_2_U notused_4hmemory) (int_2_U notused_ctx) (int_2_U notused_hrequest) (int_2_U pnotused)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25)) ?x25) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25))) )) (forall ((?x26 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) ?x26) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15)) )) (forall ((?x31 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31) (+ ?x31 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31)) )) (forall ((?x32 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32) (- ?x32 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 20) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 20)) )) (forall ((?x35 Int)) (! (= (Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35)) ?x35) :pattern ((Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35))) )) (forall ((?x36 Int)) (! (= (Buffer__DEVICE_CONTEXT (Buffer__DEVICE_CONTEXTInv ?x36)) ?x36) :pattern ((Buffer__DEVICE_CONTEXTInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S18) (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_Buffer__DEVICE_CONTEXT ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S19) (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_Buffer__DEVICE_CONTEXTInv ?S19)) )) (forall ((?x41 Int)) (! (= (Buffer__DEVICE_CONTEXT ?x41) (+ ?x41 28)) :pattern ((Buffer__DEVICE_CONTEXT ?x41)) )) (forall ((?x42 Int)) (! (= (Buffer__DEVICE_CONTEXTInv ?x42) (- ?x42 28)) :pattern ((Buffer__DEVICE_CONTEXTInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1) (Buffer__DEVICE_CONTEXTInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 28) (Buffer__DEVICE_CONTEXTInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 28)) )) (forall ((?x45 Int)) (! (= (Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45)) ?x45) :pattern ((Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45))) )) (forall ((?x46 Int)) (! (= (Canceled__REQUEST_CONTEXT (Canceled__REQUEST_CONTEXTInv ?x46)) ?x46) :pattern ((Canceled__REQUEST_CONTEXTInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S22) (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_Canceled__REQUEST_CONTEXT ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S23) (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_Canceled__REQUEST_CONTEXTInv ?S23)) )) (forall ((?x51 Int)) (! (= (Canceled__REQUEST_CONTEXT ?x51) (+ ?x51 15)) :pattern ((Canceled__REQUEST_CONTEXT ?x51)) )) (forall ((?x52 Int)) (! (= (Canceled__REQUEST_CONTEXTInv ?x52) (- ?x52 15)) :pattern ((Canceled__REQUEST_CONTEXTInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1) (Canceled__REQUEST_CONTEXTInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 15) (Canceled__REQUEST_CONTEXTInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 15)) )) (forall ((?x55 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55)) ?x55) :pattern ((Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55))) )) (forall ((?x56 Int)) (! (= (Cancellable__REQUEST_CONTEXT (Cancellable__REQUEST_CONTEXTInv ?x56)) ?x56) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S26) (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_Cancellable__REQUEST_CONTEXT ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S27) (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_Cancellable__REQUEST_CONTEXTInv ?S27)) )) (forall ((?x61 Int)) (! (= (Cancellable__REQUEST_CONTEXT ?x61) (+ ?x61 14)) :pattern ((Cancellable__REQUEST_CONTEXT ?x61)) )) (forall ((?x62 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv ?x62) (- ?x62 14)) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1) (Cancellable__REQUEST_CONTEXTInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 14) (Cancellable__REQUEST_CONTEXTInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 14)) )) (forall ((?x65 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65)) ?x65) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65))) )) (forall ((?x66 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT (ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) ?x66) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31)) )) (forall ((?x71 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT ?x71) (+ ?x71 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXT ?x71)) )) (forall ((?x72 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv ?x72) (- ?x72 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 17) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 17)) )) (forall ((?x75 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75)) ?x75) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75))) )) (forall ((?x76 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) ?x76) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35)) )) (forall ((?x81 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81) (+ ?x81 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81)) )) (forall ((?x82 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82) (- ?x82 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 36) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 36)) )) (forall ((?x85 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85)) ?x85) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85))) )) (forall ((?x86 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) ?x86) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39)) )) (forall ((?x91 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT ?x91) (+ ?x91 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXT ?x91)) )) (forall ((?x92 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92) (- ?x92 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 32) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 32)) )) (forall ((?x95 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95)) ?x95) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95))) )) (forall ((?x96 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) ?x96) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43)) )) (forall ((?x101 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101) (+ ?x101 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101)) )) (forall ((?x102 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102) (- ?x102 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 56) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 56)) )) (forall ((?x105 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105)) ?x105) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105))) )) (forall ((?x106 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) ?x106) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47)) )) (forall ((?x111 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT ?x111) (+ ?x111 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXT ?x111)) )) (forall ((?x112 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112) (- ?x112 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 52) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 52)) )) (forall ((?x115 Int)) (! (= (Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115)) ?x115) :pattern ((Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115))) )) (forall ((?x116 Int)) (! (= (Device__DEVICE_CONTEXT (Device__DEVICE_CONTEXTInv ?x116)) ?x116) :pattern ((Device__DEVICE_CONTEXTInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S50) (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_Device__DEVICE_CONTEXT ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S51) (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_Device__DEVICE_CONTEXTInv ?S51)) )) (forall ((?x121 Int)) (! (= (Device__DEVICE_CONTEXT ?x121) (+ ?x121 0)) :pattern ((Device__DEVICE_CONTEXT ?x121)) )) (forall ((?x122 Int)) (! (= (Device__DEVICE_CONTEXTInv ?x122) (- ?x122 0)) :pattern ((Device__DEVICE_CONTEXTInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1) (Device__DEVICE_CONTEXTInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 0) (Device__DEVICE_CONTEXTInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 0)) )) (forall ((?x125 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125)) ?x125) :pattern ((DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125))) )) (forall ((?x126 Int)) (! (= (DispatchType__DEVICE_CONTEXT (DispatchType__DEVICE_CONTEXTInv ?x126)) ?x126) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S54) (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_DispatchType__DEVICE_CONTEXT ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S55) (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_DispatchType__DEVICE_CONTEXTInv ?S55)) )) (forall ((?x131 Int)) (! (= (DispatchType__DEVICE_CONTEXT ?x131) (+ ?x131 20)) :pattern ((DispatchType__DEVICE_CONTEXT ?x131)) )) (forall ((?x132 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv ?x132) (- ?x132 20)) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1) (DispatchType__DEVICE_CONTEXTInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 20) (DispatchType__DEVICE_CONTEXTInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 20)) )) (forall ((?x135 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135)) ?x135) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135))) )) (forall ((?x136 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) ?x136) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59)) )) (forall ((?x141 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141) (+ ?x141 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141)) )) (forall ((?x142 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142) (- ?x142 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 64) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 64)) )) (forall ((?x145 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145)) ?x145) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145))) )) (forall ((?x146 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT (DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) ?x146) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63)) )) (forall ((?x151 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT ?x151) (+ ?x151 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXT ?x151)) )) (forall ((?x152 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv ?x152) (- ?x152 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 60) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 60)) )) (forall ((?x155 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155)) ?x155) :pattern ((DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155))) )) (forall ((?x156 Int)) (! (= (DpcLock__DEVICE_CONTEXT (DpcLock__DEVICE_CONTEXTInv ?x156)) ?x156) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S66) (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_DpcLock__DEVICE_CONTEXT ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S67) (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_DpcLock__DEVICE_CONTEXTInv ?S67)) )) (forall ((?x161 Int)) (! (= (DpcLock__DEVICE_CONTEXT ?x161) (+ ?x161 36)) :pattern ((DpcLock__DEVICE_CONTEXT ?x161)) )) (forall ((?x162 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv ?x162) (- ?x162 36)) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1) (DpcLock__DEVICE_CONTEXTInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 36) (DpcLock__DEVICE_CONTEXTInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 36)) )) (forall ((?x165 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165)) ?x165) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165))) )) (forall ((?x166 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) ?x166) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71)) )) (forall ((?x171 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS ?x171) (+ ?x171 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONS ?x171)) )) (forall ((?x172 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172) (- ?x172 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 4) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 4)) )) (forall ((?x175 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175)) ?x175) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175))) )) (forall ((?x176 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) ?x176) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75)) )) (forall ((?x181 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181) (+ ?x181 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181)) )) (forall ((?x182 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182) (- ?x182 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 8) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 8)) )) (forall ((?x185 Int)) (! (= (Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185)) ?x185) :pattern ((Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185))) )) (forall ((?x186 Int)) (! (= (Length__DEVICE_CONTEXT (Length__DEVICE_CONTEXTInv ?x186)) ?x186) :pattern ((Length__DEVICE_CONTEXTInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S78) (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_Length__DEVICE_CONTEXT ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S79) (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_Length__DEVICE_CONTEXTInv ?S79)) )) (forall ((?x191 Int)) (! (= (Length__DEVICE_CONTEXT ?x191) (+ ?x191 32)) :pattern ((Length__DEVICE_CONTEXT ?x191)) )) (forall ((?x192 Int)) (! (= (Length__DEVICE_CONTEXTInv ?x192) (- ?x192 32)) :pattern ((Length__DEVICE_CONTEXTInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1) (Length__DEVICE_CONTEXTInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 32) (Length__DEVICE_CONTEXTInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 32)) )) (forall ((?x195 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195)) ?x195) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195))) )) (forall ((?x196 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT (MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) ?x196) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83)) )) (forall ((?x201 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT ?x201) (+ ?x201 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXT ?x201)) )) (forall ((?x202 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv ?x202) (- ?x202 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 4) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 4)) )) (forall ((?x205 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205)) ?x205) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205))) )) (forall ((?x206 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) ?x206) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87)) )) (forall ((?x211 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT ?x211) (+ ?x211 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXT ?x211)) )) (forall ((?x212 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212) (- ?x212 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 0) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 0)) )) (forall ((?x215 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215)) ?x215) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215))) )) (forall ((?x216 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) ?x216) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91)) )) (forall ((?x221 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221) (+ ?x221 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221)) )) (forall ((?x222 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222) (- ?x222 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 40) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 40)) )) (forall ((?x225 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225)) ?x225) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225))) )) (forall ((?x226 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) ?x226) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95)) )) (forall ((?x231 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231) (+ ?x231 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231)) )) (forall ((?x232 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232) (- ?x232 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 44) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 44)) )) (forall ((?x235 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235)) ?x235) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235))) )) (forall ((?x236 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) ?x236) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99)) )) (forall ((?x241 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT ?x241) (+ ?x241 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXT ?x241)) )) (forall ((?x242 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242) (- ?x242 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 0) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 0)) )) (forall ((?x245 Int)) (! (= (Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245)) ?x245) :pattern ((Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245))) )) (forall ((?x246 Int)) (! (= (Presented__REQUEST_CONTEXT (Presented__REQUEST_CONTEXTInv ?x246)) ?x246) :pattern ((Presented__REQUEST_CONTEXTInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S102) (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_Presented__REQUEST_CONTEXT ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S103) (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_Presented__REQUEST_CONTEXTInv ?S103)) )) (forall ((?x251 Int)) (! (= (Presented__REQUEST_CONTEXT ?x251) (+ ?x251 13)) :pattern ((Presented__REQUEST_CONTEXT ?x251)) )) (forall ((?x252 Int)) (! (= (Presented__REQUEST_CONTEXTInv ?x252) (- ?x252 13)) :pattern ((Presented__REQUEST_CONTEXTInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1) (Presented__REQUEST_CONTEXTInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 13) (Presented__REQUEST_CONTEXTInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 13)) )) (forall ((?x255 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255)) ?x255) :pattern ((QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255))) )) (forall ((?x256 Int)) (! (= (QueueContext__REQUEST_CONTEXT (QueueContext__REQUEST_CONTEXTInv ?x256)) ?x256) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S106) (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_QueueContext__REQUEST_CONTEXT ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S107) (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_QueueContext__REQUEST_CONTEXTInv ?S107)) )) (forall ((?x261 Int)) (! (= (QueueContext__REQUEST_CONTEXT ?x261) (+ ?x261 8)) :pattern ((QueueContext__REQUEST_CONTEXT ?x261)) )) (forall ((?x262 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv ?x262) (- ?x262 8)) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1) (QueueContext__REQUEST_CONTEXTInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 8) (QueueContext__REQUEST_CONTEXTInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 8)) )) (forall ((?x265 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265)) ?x265) :pattern ((Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265))) )) (forall ((?x266 Int)) (! (= (Queue__TIMER_DPC_CONTEXT (Queue__TIMER_DPC_CONTEXTInv ?x266)) ?x266) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S110) (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_Queue__TIMER_DPC_CONTEXT ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111) (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111)) )) (forall ((?x271 Int)) (! (= (Queue__TIMER_DPC_CONTEXT ?x271) (+ ?x271 4)) :pattern ((Queue__TIMER_DPC_CONTEXT ?x271)) )) (forall ((?x272 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv ?x272) (- ?x272 4)) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1) (Queue__TIMER_DPC_CONTEXTInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 4) (Queue__TIMER_DPC_CONTEXTInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 4)) )) (forall ((?x275 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275)) ?x275) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275))) )) (forall ((?x276 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) ?x276) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115)) )) (forall ((?x281 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281) (+ ?x281 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281)) )) (forall ((?x282 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282) (- ?x282 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 48) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 48)) )) (forall ((?x285 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285)) ?x285) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285))) )) (forall ((?x286 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) ?x286) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119)) )) (forall ((?x291 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291) (+ ?x291 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291)) )) (forall ((?x292 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292) (- ?x292 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 0) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 0)) )) (forall ((?x295 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295)) ?x295) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295))) )) (forall ((?x296 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS (Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) ?x296) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123)) )) (forall ((?x301 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS ?x301) (+ ?x301 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONS ?x301)) )) (forall ((?x302 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv ?x302) (- ?x302 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 0) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 0)) )) (forall ((?x305 Int)) (! (= (Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305)) ?x305) :pattern ((Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305))) )) (forall ((?x306 Int)) (! (= (Status___unnamed_4_6a857cdd (Status___unnamed_4_6a857cddInv ?x306)) ?x306) :pattern ((Status___unnamed_4_6a857cddInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S126) (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_Status___unnamed_4_6a857cdd ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S127) (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_Status___unnamed_4_6a857cddInv ?S127)) )) (forall ((?x311 Int)) (! (= (Status___unnamed_4_6a857cdd ?x311) (+ ?x311 0)) :pattern ((Status___unnamed_4_6a857cdd ?x311)) )) (forall ((?x312 Int)) (! (= (Status___unnamed_4_6a857cddInv ?x312) (- ?x312 0)) :pattern ((Status___unnamed_4_6a857cddInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1) (Status___unnamed_4_6a857cddInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 0) (Status___unnamed_4_6a857cddInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 0)) )) (forall ((?x315 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315)) ?x315) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315))) )) (forall ((?x316 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) ?x316) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131)) )) (forall ((?x321 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321) (+ ?x321 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321)) )) (forall ((?x322 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322) (- ?x322 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 12) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 12)) )) (forall ((?x325 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325)) ?x325) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325))) )) (forall ((?x326 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) ?x326) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135)) )) (forall ((?x331 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331) (+ ?x331 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331)) )) (forall ((?x332 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332) (- ?x332 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 76) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 76)) )) (forall ((?x335 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335)) ?x335) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335))) )) (forall ((?x336 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) ?x336) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139)) )) (forall ((?x341 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341) (+ ?x341 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341)) )) (forall ((?x342 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342) (- ?x342 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 72) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 72)) )) (forall ((?x345 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345)) ?x345) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345))) )) (forall ((?x346 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) ?x346) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143)) )) (forall ((?x351 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351) (+ ?x351 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351)) )) (forall ((?x352 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352) (- ?x352 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 0) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 0)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= EvtRequestChildCancel 0)) (not (= EvtRequestCompletionRoutine 0)) (not (= G_ExecutionLevel 0)) (not (= G_IoType 0)) (not (= G_RandomNumberSeed 0)) (not (= G_SynchronizationScope 0)) (not (= WdfDriverGlobals 0)) (not (= x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEVICE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO 0)) (not (= hbuffer 0)) (not (= hdctx 0)) (not (= hdevice 0)) (not (= hln 0)) (not (= hlock 0)) (not (= hmdl 0)) (not (= hmemory 0)) (not (= hqctx 0)) (not (= hqueue 0)) (not (= hrctx 0)) (not (= hrequest 0)) (not (= htctx 0)) (not (= htimer 0)) (not (= notused_4hbuffer 0)) (not (= notused_4hmdl 0)) (not (= notused_4hmemory 0)) (not (= notused_ctx 0)) (not (= notused_hrequest 0)) (not (= pnotused 0))))
(assert (let ((?v_0 (MapType0Type intType nameType))) (and (= (type alloc.18) ?v_0) (= (type alloc.15) ?v_0) (= (type alloc.17) ?v_0) (= (type alloc.16) ?v_0) (= (type alloc.14) ?v_0) (= (type alloc.8) ?v_0) (= (type alloc.13) ?v_0) (= (type alloc.12) ?v_0) (= (type alloc.11) ?v_0) (= (type alloc.10) ?v_0) (= (type alloc.9) ?v_0) (= (type alloc.5) ?v_0) (= (type alloc.4) ?v_0) (= (type alloc.7) ?v_0) (= (type alloc.6) ?v_0) (= (type alloc.0) ?v_0) (= (type alloc) ?v_0) (= (type alloc.1) ?v_0) (= (type alloc.2) ?v_0) (= (type alloc.3) ?v_0))))
(assert (let ((?v_22 (not (not (= errorReached.208 0))))) (let ((?v_34 (=> true (=> (= reqCompleted_0.30 reqCompleted_s_1) (=> (= lockStatus_0.60 lockStatus_s_1) (=> (= reqCancelSet_0.39 reqCancelSet_s_1) (=> (= reqCancelStarted_0.1 reqCancelStarted_s_1) (=> (= reqCompleteSet_0.4 reqCompleteSet_s_1) (=> (= reqSent_0.6 reqSent_s_1) (and ?v_22 (=> ?v_22 true))))))))))) (let ((?v_65 (=> true (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1) (=> (= reqCancelSet_0.39 reqCancelSet_0.38) (=> (= reqSent_0.6 reqSent_0.5) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc.1) (=> (= reqCompleted_0.30 reqCompleted_0.29) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 call30762formal.ret.0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= lockStatus_1.60 lockStatus_1.59) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myNondetVar_0.11) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0.0) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myNondetVar_0.10) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.TimerDpc.0.myNondetVar_0.6) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myNondetVar_0.6) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myNondetVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 call30762formal.ret.0) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1) (=> (= reqSent_1.6 reqSent_1.5) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 htimer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myNondetVar_0.17) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myNondetVar_0.11) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.7 inline.AcquireDpcLock.7.myNondetVar_0.6) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myNondetVar_0.11) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.TimerDpc.0.myNondetVar_0.11) (=> (= errorReached.208 errorReached.207) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.7 inline.ReleaseDpcLock.7.myNondetVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myNondetVar_0.10) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myNondetVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myNondetVar_0.6) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myNondetVar_0.10) (=> (= reqCompleteSet_1.4 reqCompleteSet_1.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.TimerDpc.0.myNondetVar_0.17) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myNondetVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1) (=> (= reqCancelSet_1.39 reqCancelSet_1.38) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.TimerDpc.0.myNondetVar_0.17) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1) (=> (= alloc.18 alloc.17) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 htimer) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2) (=> (= inline.TimerDpc.0.myNondetVar_0.20 inline.TimerDpc.0.myNondetVar_0.19) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 htimer) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.TimerDpc.0.myNondetVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= reqCompleted_1.30 reqCompleted_1.29) (=> (= lockStatus_0.60 lockStatus_0.59) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 htimer) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0.1) (=> (= inline.GetRequestContext.14.myNondetVar_0.3 inline.GetRequestContext.14.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 htimer) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 call30762formal.ret.0) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myNondetVar_0.10) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.TimerDpc.0.myNondetVar_0.11) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8..0) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= k.276 k.275) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 htimer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9..0) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myNondetVar_0.11) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0.2) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= reqCompleteSet_0.4 reqCompleteSet_0.3) ?v_34)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_224 (=> true (=> true (=> true ?v_65)))) (?v_141 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.)) (?v_142 (= reqSent_0.5 reqSent_0)) (?v_143 (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion)) (?v_144 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.)) (?v_145 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_146 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_147 (= reqCompleteSet_0.3 reqCompleteSet_0)) (?v_148 (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1)) (?v_149 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1)) (?v_150 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_151 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_152 (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1)) (?v_153 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1)) (?v_154 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.)) (?v_155 (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.)) (?v_156 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_157 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_158 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_159 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_160 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1)) (?v_161 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.)) (?v_162 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_163 (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget)) (?v_164 (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext)) (?v_165 (= reqSent_1.5 reqSent_1)) (?v_166 (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_167 (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_168 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_169 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_170 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_171 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_172 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_173 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.)) (?v_174 (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_175 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_176 (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.)) (?v_177 (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0)) (?v_178 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext)) (?v_179 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget)) (?v_180 (= reqCompleteSet_1.3 reqCompleteSet_1)) (?v_181 (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0)) (?v_182 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_183 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10.)) (?v_184 (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.)) (?v_185 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete)) (?v_186 (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_187 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_188 (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_189 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_190 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget)) (?v_191 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext)) (?v_192 (= alloc.17 alloc.15)) (?v_193 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1)) (?v_194 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend)) (?v_195 (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.)) (?v_196 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_197 (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_198 (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0)) (?v_199 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1)) (?v_200 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_201 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.)) (?v_202 (= inline.TimerDpc.0.myNondetVar_0.19 inline.TimerDpc.0.myNondetVar_0.17)) (?v_203 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_204 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_205 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_206 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete)) (?v_207 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1)) (?v_208 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_209 (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion)) (?v_210 (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0)) (?v_211 (= inline.GetRequestContext.14.myNondetVar_0.2 inline.GetRequestContext.14.myNondetVar_0)) (?v_212 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_213 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1)) (?v_214 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_215 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget)) (?v_216 (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0)) (?v_217 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_218 (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.)) (?v_219 (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1)) (?v_220 (= inline.TimerDpc.0..result.Random.2119.36.9..0 inline.TimerDpc.0..result.Random.2119.36.9.)) (?v_221 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion)) (?v_222 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.)) (?v_223 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.)) (?v_140 (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 0)) (?v_64 (= inline.TimerDpc.0..result.Random.2116.18.8..0 call32141formal.ret.0))) (let ((?v_68 (=> true (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0) (=> (= reqSent_0.5 reqSent_0.4) (=> ?v_143 (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0) (=> (= reqCompleted_0.29 reqCompleted_0.28) (=> ?v_145 (=> ?v_64 (=> (= errorReached.207 errorReached.206) (=> ?v_146 (=> (= reqCompleteSet_0.3 reqCompleteSet_0.2) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0) (=> ?v_149 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> ?v_152 (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1) (=> ?v_155 (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> ?v_159 (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 call32561formal.new.0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0) (=> (= reqSent_1.5 reqSent_1.4) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> ?v_171 (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_176 (=> ?v_177 (=> ?v_178 (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0) (=> (= reqCompleteSet_1.3 reqCompleteSet_1.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4) (=> (= reqCancelSet_1.38 reqCancelSet_1.37) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0) (=> (= alloc.17 alloc.16) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1) (=> ?v_196 (=> ?v_197 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1) (=> (= inline.TimerDpc.0.myNondetVar_0.19 inline.TimerDpc.0.myNondetVar_0.18) (=> ?v_203 (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_206 (=> (= reqCompleted_1.29 reqCompleted_1.28) (=> ?v_207 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0) (=> ?v_210 (=> (= inline.GetRequestContext.14.myNondetVar_0.2 inline.GetRequestContext.14.myNondetVar_0.1) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0.1) (=> (= k.275 k.274) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..0 call32162formal.ret.0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1) (=> (= reqCancelSet_0.38 reqCancelSet_0.37) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0) ?v_224))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_81 (=> true (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 call33115formal.ret.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= errorReached.206 errorReached.205) (=> (= reqCancelSet_1.37 reqCancelSet_1.36) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0) (=> (= reqCompleted_1.28 reqCompleted_1.27) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 call33115formal.ret.0) (=> (= k.274 k.273) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3) (=> (= reqCancelSet_0.37 reqCancelSet_0.36) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= reqCompleted_0.28 reqCompleted_0.27) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> true (=> true (=> true ?v_68)))))))))))))))))))))))))))))))))) (?v_29 (= inline.TimerDpc.0.myNondetVar_0.12 hrequest))) (let ((?v_54 (not ?v_29)) (?v_70 (=> true (=> (= reqCompleted_1.27 reqCompleted_1.26) (=> (= reqCancelSet_0.36 reqCancelSet_0.35) (=> (= reqCompleted_0.27 reqCompleted_0.26) (=> (= reqCancelSet_1.36 reqCancelSet_1.35) (=> (= errorReached.205 errorReached.204) (=> (= k.273 k.272) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 call33457formal.ret.0) ?v_81)))))))))) (let ((?v_73 (=> true ?v_70)) (?v_71 (= reqCancelSet_0.35 reqCancelSet_0.32)) (?v_72 (= reqCancelSet_1.35 reqCancelSet_1.32)) (?v_69 (= k.272 1))) (let ((?v_76 (not ?v_69)) (?v_67 (= k.272 0))) (let ((?v_74 (not ?v_67))) (let ((?v_75 (and (=> true (=> ?v_67 (=> true (=> (= reqCancelSet_0.35 0) (=> ?v_72 ?v_70))))) (=> true (=> ?v_74 (and (=> true (=> ?v_69 (=> true (=> ?v_71 (=> (= reqCancelSet_1.35 0) ?v_73))))) (=> true (=> ?v_76 (=> true (=> ?v_71 (=> ?v_72 ?v_73))))))))))) (let ((?v_79 (=> true (=> true ?v_75))) (?v_77 (= reqCompleted_0.26 reqCompleted_0.23)) (?v_78 (= reqCompleted_1.26 reqCompleted_1.23))) (let ((?v_80 (and (=> true (=> ?v_67 (=> true (=> (= reqCompleted_0.26 1) (=> ?v_78 ?v_75))))) (=> true (=> ?v_74 (and (=> true (=> ?v_69 (=> true (=> ?v_77 (=> (= reqCompleted_1.26 1) ?v_79))))) (=> true (=> ?v_76 (=> true (=> ?v_77 (=> ?v_78 ?v_79)))))))))) (?v_46 (= reqCompleted_0.23 0)) (?v_47 (= reqCompleted_1.23 0))) (let ((?v_26 (not ?v_46)) (?v_27 (not ?v_47))) (let ((?v_82 (and (=> true (=> ?v_29 (=> true (=> (<= k.271 k.272) (=> (< k.272 2) (and (=> true (=> (=> ?v_67 ?v_26) (=> (=> ?v_69 ?v_27) (=> true (=> (= errorReached.204 1) ?v_80))))) (=> true (=> (=> ?v_67 ?v_46) (=> (=> ?v_69 ?v_47) (=> true (=> (= errorReached.204 errorReached.203) (=> true ?v_80)))))))))))) (=> true (=> ?v_54 (=> true (=> (= reqCompleted_1.27 reqCompleted_1.23) (=> (= reqCancelSet_0.36 reqCancelSet_0.32) (=> (= reqCompleted_0.27 reqCompleted_0.23) (=> (= reqCancelSet_1.36 reqCancelSet_1.32) (=> (= errorReached.205 errorReached.203) (=> (= k.273 k.271) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_81))))))))))))))))))) (let ((?v_86 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.2) ?v_82)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_82))))))))))))))))) (let ((?v_88 (=> (= k.271 k.269) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> (= errorReached.203 errorReached.201) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_86))))))))))))) (?v_59 (= inline.TimerDpc.0.myNondetVar_0.12 hdevice))) (let ((?v_90 (not ?v_59)) (?v_58 (= inline.TimerDpc.0.myNondetVar_0.12 hqueue))) (let ((?v_89 (not ?v_58)) (?v_56 (= inline.TimerDpc.0.myNondetVar_0.12 htimer))) (let ((?v_87 (not ?v_56)) (?v_85 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.271 k.270) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 call33306formal.ret.0) (=> (= errorReached.203 errorReached.202) ?v_86)))))) (?v_83 (= k.270 0)) (?v_84 (= k.270 1))) (let ((?v_92 (and (=> true (=> ?v_29 (=> true (=> (<= k.269 k.270) (=> (< k.270 2) (and (=> true (=> (=> ?v_83 ?v_26) (=> (=> ?v_84 ?v_27) (=> true (=> (= errorReached.202 1) ?v_85))))) (=> true (=> (=> ?v_83 ?v_46) (=> (=> ?v_84 ?v_47) (=> true (=> (= errorReached.202 errorReached.201) (=> true ?v_85)))))))))))) (=> true (=> ?v_54 (and (=> true (=> ?v_56 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_88)))) (=> true (=> ?v_87 (and (=> true (=> ?v_58 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_88)))) (=> true (=> ?v_89 (and (=> true (=> ?v_59 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_88)))) (=> true (=> ?v_90 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_88))))))))))))))) (?v_265 (- 0 1073741637)) (?v_91 (= call33115formal.ret.0 0))) (let ((?v_94 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_92))) (?v_93 (= call33115formal.ret.0 1))) (let ((?v_99 (and (=> true (=> (not ?v_91) (=> (not ?v_93) ?v_94))) (=> true (=> ?v_91 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 ?v_265) (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_92))))))))))))))))))))))))))))))) (=> true (=> ?v_93 (=> true ?v_94)))))) (let ((?v_100 (=> (= errorReached.201 errorReached.200) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_99))))))))) (?v_97 (= k.269 k.268)) (?v_98 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 call33157formal.ret.0)) (?v_95 (= k.268 0)) (?v_96 (= k.268 1)) (?v_66 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 0))) (let ((?v_122 (and (=> true (=> (not ?v_66) (=> true (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= errorReached.206 errorReached.200) (=> (= reqCancelSet_1.37 reqCancelSet_1.32) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) (=> (= reqCompleted_1.28 reqCompleted_1.23) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.) (=> (= k.274 k.267) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0) (=> (= reqCancelSet_0.37 reqCancelSet_0.32) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= reqCompleted_0.28 reqCompleted_0.23) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1) ?v_68)))))))))))))))))))))))))))))))) (=> true (=> ?v_66 (and (=> true (=> ?v_29 (=> true (=> (<= k.267 k.268) (=> (< k.268 2) (and (=> true (=> (=> ?v_95 ?v_26) (=> (=> ?v_96 ?v_27) (=> true (=> ?v_97 (=> ?v_98 (=> (= errorReached.201 1) ?v_99))))))) (=> true (=> (=> ?v_95 ?v_46) (=> (=> ?v_96 ?v_47) (=> true (=> ?v_97 (=> ?v_98 ?v_100)))))))))))) (=> true (=> ?v_54 (=> true (=> (= k.269 k.267) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) ?v_100))))))))))) (let ((?v_131 (=> true (=> (= k.267 k.259) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 call33580formal.ret.0) (=> (= reqSent_0.4 reqSent_0.1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 call33580formal.ret.0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 call33580formal.ret.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= errorReached.200 errorReached.192) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 call33580formal.ret.0) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCompleteSet_0.2 reqCompleteSet_0.1) (=> (= reqSent_1.4 reqSent_1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call33580formal.ret.0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= reqCompleteSet_1.2 reqCompleteSet_1.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> true ?v_122)))))))))))))))))))))))))))))))))))))))) (let ((?v_133 (=> (= reqSent_1.1 reqSent_1) (=> (= reqSent_0.1 reqSent_0) (=> true (=> true (=> true (=> true (=> true ?v_131)))))))) (?v_128 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 call33605formal.ret.0)) (?v_129 (= k.259 k.258)) (?v_130 (= errorReached.192 errorReached.191)) (?v_127 (= call33580formal.ret.0 0))) (let ((?v_124 (=> true (=> ?v_128 (=> ?v_129 (=> ?v_130 (=> (= reqSent_1.1 reqSent_1.0) (=> (= reqSent_0.1 reqSent_0.0) ?v_131))))))) (?v_125 (= reqSent_1.0 reqSent_1))) (let ((?v_126 (=> (= reqSent_0.0 reqSent_0) (=> true ?v_124))) (?v_123 (= k.258 1)) (?v_121 (= k.258 0))) (let ((?v_132 (and (=> true (=> (not ?v_127) (and (=> true (=> ?v_121 (=> true (=> ?v_125 (=> (= reqSent_0.0 1) ?v_124))))) (=> true (=> (not ?v_121) (and (=> true (=> ?v_123 (=> true (=> (= reqSent_1.0 1) ?v_126)))) (=> true (=> (not ?v_123) (=> true (=> ?v_125 ?v_126)))))))))) (=> true (=> ?v_127 (=> true (=> ?v_128 (=> ?v_129 (=> ?v_130 ?v_133))))))))) (let ((?v_139 (and (=> true (=> ?v_29 (=> true (=> (<= k.257 k.258) (=> (< k.258 2) (and (=> true (=> (=> ?v_121 ?v_26) (=> (=> ?v_123 ?v_27) (=> true (=> (= errorReached.191 1) ?v_132))))) (=> true (=> (=> ?v_121 ?v_46) (=> (=> ?v_123 ?v_47) (=> true (=> (= errorReached.191 errorReached.189) (=> true ?v_132)))))))))))) (=> true (=> ?v_54 (=> true (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) (=> (= k.259 k.257) (=> (= errorReached.192 errorReached.189) ?v_133))))))))) (let ((?v_135 (=> true (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 call32626formal.ret.0) (=> (= k.257 k.255) (=> (= errorReached.189 errorReached.188) (=> (= reqCompleteSet_1.1 reqCompleteSet_1.0) (=> (= reqCompleteSet_0.1 reqCompleteSet_0.0) ?v_139))))))) (?v_136 (= reqCompleteSet_1.0 reqCompleteSet_1))) (let ((?v_137 (=> (= reqCompleteSet_0.0 reqCompleteSet_0) (=> true ?v_135))) (?v_134 (= k.255 1)) (?v_120 (= k.255 0))) (let ((?v_138 (and (=> true (=> ?v_120 (=> true (=> ?v_136 (=> (= reqCompleteSet_0.0 1) ?v_135))))) (=> true (=> (not ?v_120) (and (=> true (=> ?v_134 (=> true (=> (= reqCompleteSet_1.0 1) ?v_137)))) (=> true (=> (not ?v_134) (=> true (=> ?v_136 ?v_137))))))))) (?v_119 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 0)) (?v_109 (=> true (=> (= k.267 k.266) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= reqSent_0.4 reqSent_0.3) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 call32949formal.ret.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 call32949formal.ret.0) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0) (=> (= errorReached.200 errorReached.199) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 call32949formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCompleteSet_0.2 reqCompleteSet_0) (=> (= reqSent_1.4 reqSent_1.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call32949formal.ret.0) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= reqCompleteSet_1.2 reqCompleteSet_1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 call32949formal.ret.0) ?v_122)))))))))))))))))))))))))))))))))))))) (?v_111 (= reqSent_1.3 reqSent_1))) (let ((?v_112 (=> (= reqSent_0.3 reqSent_0) (=> true (=> true (=> true (=> true (=> true ?v_109))))))) (?v_106 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 call32974formal.ret.0)) (?v_107 (= errorReached.199 errorReached.198)) (?v_108 (= k.266 k.265)) (?v_105 (= call32949formal.ret.0 0))) (let ((?v_102 (=> true (=> (= reqSent_1.3 reqSent_1.2) (=> ?v_106 (=> ?v_107 (=> ?v_108 (=> (= reqSent_0.3 reqSent_0.2) ?v_109))))))) (?v_103 (= reqSent_1.2 reqSent_1))) (let ((?v_104 (=> (= reqSent_0.2 reqSent_0) (=> true ?v_102))) (?v_101 (= k.265 1)) (?v_63 (= k.265 0))) (let ((?v_110 (and (=> true (=> (not ?v_105) (and (=> true (=> ?v_63 (=> true (=> ?v_103 (=> (= reqSent_0.2 1) ?v_102))))) (=> true (=> (not ?v_63) (and (=> true (=> ?v_101 (=> true (=> (= reqSent_1.2 1) ?v_104)))) (=> true (=> (not ?v_101) (=> true (=> ?v_103 ?v_104)))))))))) (=> true (=> ?v_105 (=> true (=> ?v_111 (=> ?v_106 (=> ?v_107 (=> ?v_108 ?v_112)))))))))) (let ((?v_113 (and (=> true (=> ?v_29 (=> true (=> (<= k.264 k.265) (=> (< k.265 2) (and (=> true (=> (=> ?v_63 ?v_26) (=> (=> ?v_101 ?v_27) (=> true (=> (= errorReached.198 1) ?v_110))))) (=> true (=> (=> ?v_63 ?v_46) (=> (=> ?v_101 ?v_47) (=> true (=> (= errorReached.198 errorReached.197) (=> true ?v_110)))))))))))) (=> true (=> ?v_54 (=> true (=> ?v_111 (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= errorReached.199 errorReached.197) (=> (= k.266 k.264) ?v_112)))))))))) (let ((?v_117 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.2) ?v_113)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_113)))))))))))))))))))))))))))))))))) (let ((?v_118 (=> (= k.264 k.254) (=> (= errorReached.197 errorReached.187) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_117))))))))))))) (?v_116 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.264 k.256) (=> (= errorReached.197 errorReached.190) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 call32789formal.ret.0) ?v_117)))))) (?v_114 (= k.256 0)) (?v_115 (= k.256 1)) (?v_61 (>= 16 0)) (?v_62 (int_2_U call32561formal.new.0)) (?v_60 (= (BINARY_BOTH_INT call32141formal.ret.0 13) 0)) (?v_49 (=> true (=> ?v_141 (=> ?v_142 (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0.myNondetVar_0.12) (=> ?v_144 (=> (= reqCompleted_0.29 reqCompleted_0.25) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0.myNondetVar_0.12) (=> ?v_64 (=> (= errorReached.207 errorReached.196) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myNondetVar_0.12) (=> ?v_147 (=> ?v_148 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> ?v_150 (=> ?v_151 (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> ?v_153 (=> ?v_154 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0) (=> ?v_156 (=> ?v_157 (=> ?v_158 (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> ?v_160 (=> ?v_161 (=> ?v_162 (=> ?v_163 (=> ?v_164 (=> ?v_165 (=> ?v_166 (=> ?v_167 (=> ?v_168 (=> ?v_169 (=> ?v_170 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0.myNondetVar_0.12) (=> ?v_172 (=> ?v_173 (=> ?v_174 (=> ?v_175 (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0.myNondetVar_0.12) (=> ?v_179 (=> ?v_180 (=> ?v_181 (=> (= reqCancelSet_1.38 reqCancelSet_1.34) (=> ?v_182 (=> ?v_183 (=> ?v_184 (=> ?v_185 (=> ?v_186 (=> ?v_187 (=> ?v_188 (=> ?v_189 (=> ?v_190 (=> ?v_191 (=> ?v_192 (=> ?v_193 (=> ?v_194 (=> ?v_195 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_198 (=> ?v_199 (=> ?v_200 (=> ?v_201 (=> ?v_202 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> ?v_204 (=> ?v_205 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0.myNondetVar_0.12) (=> (= reqCompleted_1.29 reqCompleted_1.25) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0.myNondetVar_0.12) (=> ?v_208 (=> ?v_209 (=> (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0.0) (=> ?v_211 (=> ?v_212 (=> ?v_213 (=> ?v_214 (=> ?v_215 (=> ?v_216 (=> (= k.275 k.263) (=> ?v_217 (=> ?v_218 (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> ?v_222 (=> (= reqCancelSet_0.38 reqCancelSet_0.34) (=> ?v_223 ?v_65))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_36 (=> true (=> (= reqCancelSet_0.34 reqCancelSet_0.33) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 call32418formal.ret.0) (=> (= reqCompleted_0.25 reqCompleted_0.24) (=> (= reqCancelSet_1.34 reqCancelSet_1.33) (=> (= errorReached.196 errorReached.195) (=> (= reqCompleted_1.25 reqCompleted_1.24) (=> (= k.263 k.262) ?v_49)))))))))) (let ((?v_39 (=> true ?v_36)) (?v_37 (= reqCancelSet_0.33 reqCancelSet_0.32)) (?v_38 (= reqCancelSet_1.33 reqCancelSet_1.32)) (?v_35 (= k.262 1))) (let ((?v_42 (not ?v_35)) (?v_33 (= k.262 0))) (let ((?v_40 (not ?v_33))) (let ((?v_41 (and (=> true (=> ?v_33 (=> true (=> (= reqCancelSet_0.33 0) (=> ?v_38 ?v_36))))) (=> true (=> ?v_40 (and (=> true (=> ?v_35 (=> true (=> ?v_37 (=> (= reqCancelSet_1.33 0) ?v_39))))) (=> true (=> ?v_42 (=> true (=> ?v_37 (=> ?v_38 ?v_39))))))))))) (let ((?v_45 (=> true (=> true ?v_41))) (?v_43 (= reqCompleted_0.24 reqCompleted_0.23)) (?v_44 (= reqCompleted_1.24 reqCompleted_1.23))) (let ((?v_48 (and (=> true (=> ?v_33 (=> true (=> (= reqCompleted_0.24 1) (=> ?v_44 ?v_41))))) (=> true (=> ?v_40 (and (=> true (=> ?v_35 (=> true (=> ?v_43 (=> (= reqCompleted_1.24 1) ?v_45))))) (=> true (=> ?v_42 (=> true (=> ?v_43 (=> ?v_44 ?v_45))))))))))) (let ((?v_50 (and (=> true (=> ?v_29 (=> true (=> (<= k.261 k.262) (=> (< k.262 2) (and (=> true (=> (=> ?v_33 ?v_26) (=> (=> ?v_35 ?v_27) (=> true (=> (= errorReached.195 1) ?v_48))))) (=> true (=> (=> ?v_33 ?v_46) (=> (=> ?v_35 ?v_47) (=> true (=> (= errorReached.195 errorReached.194) (=> true ?v_48)))))))))))) (=> true (=> ?v_54 (=> true (=> (= reqCancelSet_0.34 reqCancelSet_0.32) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.) (=> (= reqCompleted_0.25 reqCompleted_0.23) (=> (= reqCancelSet_1.34 reqCancelSet_1.32) (=> (= errorReached.196 errorReached.194) (=> (= reqCompleted_1.25 reqCompleted_1.23) (=> (= k.263 k.261) (=> true (=> true (=> true (=> true (=> true (=> true ?v_49))))))))))))))))))) (let ((?v_55 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.2) ?v_50)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_50))))))))))))))))) (let ((?v_57 (=> (= k.261 k.254) (=> (= errorReached.194 errorReached.187) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_55))))))))))))) (?v_53 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.261 k.260) (=> (= errorReached.194 errorReached.193) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 call32267formal.ret.0) ?v_55)))))) (?v_51 (= k.260 0)) (?v_52 (= k.260 1))) (let ((?v_234 (and (=> true (=> (not ?v_140) (and (=> true (=> (not ?v_60) (and (=> true (=> ?v_29 (=> true (=> (<= k.254 k.260) (=> (< k.260 2) (and (=> true (=> (=> ?v_51 ?v_26) (=> (=> ?v_52 ?v_27) (=> true (=> (= errorReached.193 1) ?v_53))))) (=> true (=> (=> ?v_51 ?v_46) (=> (=> ?v_52 ?v_47) (=> true (=> (= errorReached.193 errorReached.187) (=> true ?v_53)))))))))))) (=> true (=> ?v_54 (and (=> true (=> ?v_56 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_57)))) (=> true (=> ?v_87 (and (=> true (=> ?v_58 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_57)))) (=> true (=> ?v_89 (and (=> true (=> ?v_59 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_57)))) (=> true (=> ?v_90 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_57)))))))))))))))) (=> true (=> ?v_60 (=> true (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 (LIFT (IntEqual (BINARY_BOTH_INT call32162formal.ret.0 2) 0))) (=> true (and ?v_61 (=> ?v_61 (=> (> call32561formal.new.0 0) (=> (forall ((?x355 Int)) (! (=> (and (<= call32561formal.new.0 ?x355) (< ?x355 (+ call32561formal.new.0 16))) (= (Base ?x355) call32561formal.new.0)) :pattern ((Base ?x355)) )) (=> (forall ((?x356 boogieU)) (! (=> (= (type ?x356) intType) (or (= (U_2_int ?x356) call32561formal.new.0) (= (MapType0Select alloc.15 ?x356) (MapType0Select alloc.16 ?x356)))) :pattern ((MapType0Select alloc.16 ?x356)) )) (=> (and (= (MapType0Select alloc.15 ?v_62) UNALLOCATED) (= (MapType0Select alloc.16 ?v_62) ALLOCATED)) (and (=> true (=> (not ?v_119) (and (=> true (=> ?v_29 (=> true (=> (<= k.254 k.256) (=> (< k.256 2) (and (=> true (=> (=> ?v_114 ?v_26) (=> (=> ?v_115 ?v_27) (=> true (=> (= errorReached.190 1) ?v_116))))) (=> true (=> (=> ?v_114 ?v_46) (=> (=> ?v_115 ?v_47) (=> true (=> (= errorReached.190 errorReached.187) (=> true ?v_116)))))))))))) (=> true (=> ?v_54 (and (=> true (=> ?v_56 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_118)))) (=> true (=> ?v_87 (and (=> true (=> ?v_58 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_118)))) (=> true (=> ?v_89 (and (=> true (=> ?v_59 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_118)))) (=> true (=> ?v_90 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_118)))))))))))))))) (=> true (=> ?v_119 (and (=> true (=> ?v_29 (=> true (=> (<= k.254 k.255) (=> (< k.255 2) (and (=> true (=> (=> ?v_120 ?v_26) (=> (=> ?v_134 ?v_27) (=> true (=> (= errorReached.188 1) ?v_138))))) (=> true (=> (=> ?v_120 ?v_46) (=> (=> ?v_134 ?v_47) (=> true (=> (= errorReached.188 errorReached.187) (=> true ?v_138)))))))))))) (=> true (=> ?v_54 (=> true (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= k.257 k.254) (=> (= errorReached.189 errorReached.187) (=> (= reqCompleteSet_1.1 reqCompleteSet_1) (=> (= reqCompleteSet_0.1 reqCompleteSet_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_139)))))))))))))))))))))))))))))))))))) (=> true (=> ?v_140 (=> true (=> ?v_141 (=> ?v_142 (=> ?v_143 (=> ?v_144 (=> (= reqCompleted_0.29 reqCompleted_0.23) (=> ?v_145 (=> (= inline.TimerDpc.0..result.Random.2116.18.8..0 inline.TimerDpc.0..result.Random.2116.18.8.) (=> (= errorReached.207 errorReached.187) (=> ?v_146 (=> ?v_147 (=> ?v_148 (=> ?v_149 (=> ?v_150 (=> ?v_151 (=> ?v_152 (=> ?v_153 (=> ?v_154 (=> ?v_155 (=> ?v_156 (=> ?v_157 (=> ?v_158 (=> ?v_159 (=> ?v_160 (=> ?v_161 (=> ?v_162 (=> ?v_163 (=> ?v_164 (=> ?v_165 (=> ?v_166 (=> ?v_167 (=> ?v_168 (=> ?v_169 (=> ?v_170 (=> ?v_171 (=> ?v_172 (=> ?v_173 (=> ?v_174 (=> ?v_175 (=> ?v_176 (=> ?v_177 (=> ?v_178 (=> ?v_179 (=> ?v_180 (=> ?v_181 (=> (= reqCancelSet_1.38 reqCancelSet_1.32) (=> ?v_182 (=> ?v_183 (=> ?v_184 (=> ?v_185 (=> ?v_186 (=> ?v_187 (=> ?v_188 (=> ?v_189 (=> ?v_190 (=> ?v_191 (=> ?v_192 (=> ?v_193 (=> ?v_194 (=> ?v_195 (=> ?v_196 (=> ?v_197 (=> ?v_198 (=> ?v_199 (=> ?v_200 (=> ?v_201 (=> ?v_202 (=> ?v_203 (=> ?v_204 (=> ?v_205 (=> ?v_206 (=> (= reqCompleted_1.29 reqCompleted_1.23) (=> ?v_207 (=> ?v_208 (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> ?v_212 (=> ?v_213 (=> ?v_214 (=> ?v_215 (=> ?v_216 (=> (= k.275 k.254) (=> ?v_217 (=> ?v_218 (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> ?v_222 (=> (= reqCancelSet_0.38 reqCancelSet_0.32) (=> ?v_223 ?v_224)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_232 (=> true (=> (= lockStatus_0.59 lockStatus_0.58) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.6 inline.ReleaseDpcLock.7.myNondetVar_0.5) (=> (= lockStatus_1.59 lockStatus_1.58) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0) (=> (= k.254 k.253) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.7.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.7.myNondetVar_0.5) ?v_234))))))))) (?v_231 (= inline.ReleaseDpcLock.7.myNondetVar_0.5 hlock))) (let ((?v_226 (=> true (=> (= lockStatus_0.58 lockStatus_0.57) (=> (= lockStatus_1.58 lockStatus_1.57) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 call31687formal.ret.0) (=> (= k.253 k.252) ?v_232))))))) (let ((?v_230 (=> true ?v_226)) (?v_228 (= lockStatus_0.57 lockStatus_0.56)) (?v_229 (= lockStatus_1.57 lockStatus_1.56)) (?v_227 (= k.252 1)) (?v_225 (= k.252 0))) (let ((?v_233 (and (=> true (=> ?v_231 (=> true (=> (<= k.251 k.252) (=> (< k.252 2) (and (=> true (=> ?v_225 (=> true (=> (= lockStatus_0.57 0) (=> ?v_229 ?v_226))))) (=> true (=> (not ?v_225) (and (=> true (=> ?v_227 (=> true (=> ?v_228 (=> (= lockStatus_1.57 0) ?v_230))))) (=> true (=> (not ?v_227) (=> true (=> ?v_228 (=> ?v_229 ?v_230)))))))))))))) (=> true (=> (not ?v_231) (=> true (=> (= lockStatus_0.58 lockStatus_0.56) (=> (= lockStatus_1.58 lockStatus_1.56) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= k.253 k.251) (=> true (=> true (=> true ?v_232))))))))))))) (let ((?v_239 (and (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.2 2) (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.4 inline.ReleaseDpcLock.7.myNondetVar_0.2) ?v_233)))) (=> true (=> (not (= inline.ReleaseDpcLock.7.myNondetVar_0.0 2)) (and (=> true (=> (not (= inline.ReleaseDpcLock.7.myNondetVar_0.1 2)) (=> true (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.4 inline.ReleaseDpcLock.7.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_233)))))))))) (=> true (=> (not (not (= inline.ReleaseDpcLock.7.myNondetVar_0.3 2))) (=> true (=> (= lockStatus_0.59 lockStatus_0.56) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.6 inline.ReleaseDpcLock.7.myNondetVar_0.3) (=> (= lockStatus_1.59 lockStatus_1.56) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= k.254 k.251) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> true (=> true (=> true (=> true ?v_234)))))))))))))))))))) (let ((?v_241 (=> (= k.251 k.249) (=> (= errorReached.187 errorReached.185) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_239))))))))))))) (?v_243 (= inline.TimerDpc.0.myNondetVar_0.17 hdevice)) (?v_242 (= inline.TimerDpc.0.myNondetVar_0.17 hqueue)) (?v_240 (= inline.TimerDpc.0.myNondetVar_0.17 htimer)) (?v_238 (= inline.TimerDpc.0.myNondetVar_0.17 hrequest)) (?v_237 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.251 k.250) (=> (= errorReached.187 errorReached.186) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 call31526formal.ret.0) ?v_239)))))) (?v_235 (= k.250 0)) (?v_236 (= k.250 1))) (let ((?v_263 (and (=> true (=> ?v_238 (=> true (=> (<= k.249 k.250) (=> (< k.250 2) (and (=> true (=> (=> ?v_235 ?v_26) (=> (=> ?v_236 ?v_27) (=> true (=> (= errorReached.186 1) ?v_237))))) (=> true (=> (=> ?v_235 ?v_46) (=> (=> ?v_236 ?v_47) (=> true (=> (= errorReached.186 errorReached.185) (=> true ?v_237)))))))))))) (=> true (=> (not ?v_238) (and (=> true (=> ?v_240 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_241)))) (=> true (=> (not ?v_240) (and (=> true (=> ?v_242 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_241)))) (=> true (=> (not ?v_242) (and (=> true (=> ?v_243 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_241)))) (=> true (=> (not ?v_243) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_241)))))))))))))))) (let ((?v_289 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_263)))))))))))) (?v_291 (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.)) (?v_292 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1)) (?v_293 (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0)) (?v_294 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_295 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.)) (?v_296 (= errorReached.185 errorReached.180)) (?v_297 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.)) (?v_298 (= reqCancelSet_1.32 reqCancelSet_1.29)) (?v_299 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext)) (?v_300 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_301 (= k.249 k.244)) (?v_302 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_303 (= reqCancelSet_0.32 reqCancelSet_0.29)) (?v_304 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_305 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.))) (let ((?v_306 (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0..status.2.2038.18.TimerDpc.0) ?v_289))))) (?v_290 (= inline.TimerDpc.0.myNondetVar_0.12 0)) (?v_245 (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_246 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0.myNondetVar_0.12)) (?v_247 (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0.0)) (?v_248 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myNondetVar_0.12)) (?v_249 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0)) (?v_250 (= errorReached.185 errorReached.184)) (?v_251 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 call31910formal.ret.0)) (?v_252 (= reqCancelSet_1.32 reqCancelSet_1.31)) (?v_253 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0.myNondetVar_0.12)) (?v_254 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.TimerDpc.0.myNondetVar_0.12)) (?v_255 (= k.249 k.248)) (?v_256 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.TimerDpc.0.myNondetVar_0.12)) (?v_257 (= reqCancelSet_0.32 reqCancelSet_0.31)) (?v_258 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_259 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_260 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_261 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myNondetVar_0.12)) (?v_262 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0)) (?v_267 (- 0 1073741536))) (let ((?v_244 (not (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_267)))) (let ((?v_266 (and (=> true (=> ?v_244 (=> true (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 1) (=> ?v_254 (=> ?v_255 (=> ?v_256 (=> ?v_257 (=> ?v_258 (=> ?v_259 (=> (= inline.TimerDpc.0.myNondetVar_0.16 inline.TimerDpc.0.myNondetVar_0.15) (=> ?v_260 (=> ?v_261 (=> ?v_262 (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0.myNondetVar_0.15) ?v_263)))))))))))))))))))))))) (=> true (=> (not ?v_244) (=> true (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> ?v_140 (=> ?v_254 (=> ?v_255 (=> ?v_256 (=> ?v_257 (=> ?v_258 (=> ?v_259 (=> (= inline.TimerDpc.0.myNondetVar_0.16 inline.TimerDpc.0.myNondetVar_0.14) (=> ?v_260 (=> ?v_261 (=> ?v_262 (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2) ?v_289))))))))))))))))))))))))))) (let ((?v_268 (=> true (=> true (=> true (=> true (=> true ?v_266)))))) (?v_32 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_264 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_276 (and (=> true (=> (not ?v_264) (=> (not ?v_32) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_266))))) (=> true (=> ?v_264 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_265) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_268)))))) (=> true (=> ?v_32 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_267) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_268))))))))) (let ((?v_283 (=> true ?v_276)) (?v_282 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call31910formal.ret.0)) (?v_271 (= reqCancelSet_0.31 reqCancelSet_0.30)) (?v_272 (= reqCancelSet_1.31 reqCancelSet_1.30)) (?v_273 (= errorReached.184 errorReached.183)) (?v_274 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 call31950formal.ret.0)) (?v_275 (= k.248 k.247)) (?v_30 (= k.247 0)) (?v_269 (= reqCancelStarted_0.1 0)) (?v_31 (= k.247 1)) (?v_270 (= reqCancelStarted_1.1 0))) (let ((?v_277 (and (=> true (=> (=> ?v_30 (not ?v_269)) (=> (=> ?v_31 (not ?v_270)) (=> true (=> ?v_271 (=> ?v_272 (=> ?v_273 (=> ?v_274 (=> ?v_32 (=> ?v_275 ?v_276)))))))))) (=> true (=> (=> ?v_30 ?v_269) (=> (=> ?v_31 ?v_270) (=> true (=> ?v_271 (=> ?v_272 (=> ?v_273 (=> ?v_274 (=> ?v_282 (=> ?v_275 ?v_283))))))))))))) (let ((?v_280 (=> true (=> true ?v_277))) (?v_278 (= reqCancelSet_0.30 reqCancelSet_0.29)) (?v_279 (= reqCancelSet_1.30 reqCancelSet_1.29))) (let ((?v_281 (and (=> true (=> ?v_30 (=> true (=> (= reqCancelSet_0.30 0) (=> ?v_279 ?v_277))))) (=> true (=> (not ?v_30) (and (=> true (=> ?v_31 (=> true (=> ?v_278 (=> (= reqCancelSet_1.30 0) ?v_280))))) (=> true (=> (not ?v_31) (=> true (=> ?v_278 (=> ?v_279 ?v_280))))))))))) (let ((?v_287 (and (=> true (=> ?v_29 (=> true (=> (<= k.246 k.247) (=> (< k.247 2) (and (=> true (=> (=> ?v_30 ?v_26) (=> (=> ?v_31 ?v_27) (=> true (=> (= errorReached.183 1) ?v_281))))) (=> true (=> (=> ?v_30 ?v_46) (=> (=> ?v_31 ?v_47) (=> true (=> (= errorReached.183 errorReached.182) (=> true ?v_281)))))))))))) (=> true (=> ?v_54 (=> true (=> (= reqCancelSet_0.31 reqCancelSet_0.29) (=> (= reqCancelSet_1.31 reqCancelSet_1.29) (=> (= errorReached.184 errorReached.182) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> ?v_282 (=> (= k.248 k.246) ?v_283)))))))))))) (let ((?v_288 (=> (= k.246 k.244) (=> (= errorReached.182 errorReached.180) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_287))))))))))))))))))) (?v_286 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.246 k.245) (=> (= errorReached.182 errorReached.181) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 call31796formal.ret.0) ?v_287)))))) (?v_284 (= k.245 0)) (?v_285 (= k.245 1))) (let ((?v_315 (and (=> true (=> (not ?v_290) (and (=> true (=> (not (= inline.TimerDpc.0.myNondetVar_0.14 0)) (and (=> true (=> ?v_29 (=> true (=> (<= k.244 k.245) (=> (< k.245 2) (and (=> true (=> (=> ?v_284 ?v_26) (=> (=> ?v_285 ?v_27) (=> true (=> (= errorReached.181 1) ?v_286))))) (=> true (=> (=> ?v_284 ?v_46) (=> (=> ?v_285 ?v_47) (=> true (=> (= errorReached.181 errorReached.180) (=> true ?v_286)))))))))))) (=> true (=> ?v_54 (and (=> true (=> ?v_56 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_288)))) (=> true (=> ?v_87 (and (=> true (=> ?v_58 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_288)))) (=> true (=> ?v_89 (and (=> true (=> ?v_59 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_288)))) (=> true (=> ?v_90 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_288)))))))))))))))) (=> true (=> (= inline.TimerDpc.0.myNondetVar_0.13 0) (=> true (=> ?v_291 (=> ?v_292 (=> ?v_293 (=> ?v_294 (=> ?v_295 (=> ?v_296 (=> ?v_297 (=> ?v_298 (=> ?v_299 (=> ?v_140 (=> ?v_300 (=> ?v_301 (=> ?v_302 (=> ?v_303 (=> ?v_304 (=> ?v_305 (=> (= inline.TimerDpc.0.myNondetVar_0.16 inline.TimerDpc.0.myNondetVar_0.13) ?v_306))))))))))))))))))))))) (=> true (=> ?v_290 (=> true (=> ?v_291 (=> ?v_292 (=> ?v_293 (=> ?v_294 (=> ?v_295 (=> ?v_296 (=> ?v_297 (=> ?v_298 (=> ?v_299 (=> ?v_140 (=> ?v_300 (=> ?v_301 (=> ?v_302 (=> ?v_303 (=> ?v_304 (=> ?v_305 (=> (= inline.TimerDpc.0.myNondetVar_0.16 inline.TimerDpc.0.myNondetVar_0.12) ?v_306))))))))))))))))))))))) (let ((?v_313 (=> true (=> (= lockStatus_0.56 lockStatus_0.55) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.6 inline.AcquireDpcLock.7.myNondetVar_0.5) (=> (= lockStatus_1.56 lockStatus_1.55) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.7.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0) (=> (= k.244 k.243) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 call31427formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.7.myNondetVar_0.5) ?v_315)))))))))) (?v_312 (= inline.AcquireDpcLock.7.myNondetVar_0.5 hlock))) (let ((?v_308 (=> true (=> (= lockStatus_0.55 lockStatus_0.54) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 call31375formal.ret.0) (=> (= lockStatus_1.55 lockStatus_1.54) (=> (= k.243 k.242) ?v_313))))))) (let ((?v_311 (=> true ?v_308)) (?v_309 (= lockStatus_0.54 lockStatus_0.53)) (?v_310 (= lockStatus_1.54 lockStatus_1.53)) (?v_307 (= k.242 1)) (?v_28 (= k.242 0))) (let ((?v_314 (and (=> true (=> ?v_312 (=> true (=> (<= k.241 k.242) (=> (< k.242 2) (=> true (=> (=> ?v_28 (= lockStatus_0.53 0)) (=> (=> ?v_307 (= lockStatus_1.53 0)) (and (=> true (=> ?v_28 (=> true (=> (= lockStatus_0.54 1) (=> ?v_310 ?v_308))))) (=> true (=> (not ?v_28) (and (=> true (=> ?v_307 (=> true (=> ?v_309 (=> (= lockStatus_1.54 1) ?v_311))))) (=> true (=> (not ?v_307) (=> true (=> ?v_309 (=> ?v_310 ?v_311))))))))))))))))) (=> true (=> (not ?v_312) (=> true (=> (= lockStatus_0.55 lockStatus_0.53) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.55 lockStatus_1.53) (=> (= k.243 k.241) (=> true (=> true (=> true (=> true (=> true (=> true ?v_313)))))))))))))))) (let ((?v_320 (and (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.4 inline.AcquireDpcLock.7.myNondetVar_0.0) ?v_314)))) (=> true (=> (not (= inline.AcquireDpcLock.7.myNondetVar_0.1 2)) (and (=> true (=> (not (= inline.AcquireDpcLock.7.myNondetVar_0.2 2)) (=> true (=> (= inline.AcquireDpcLock.7.myNondetVar_0.4 inline.AcquireDpcLock.7.myNondetVar_0.2) (=> true (=> true (=> true (=> true ?v_314)))))))) (=> true (=> (not (not (= inline.AcquireDpcLock.7.myNondetVar_0.3 2))) (=> true (=> (= lockStatus_0.56 lockStatus_0.53) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.6 inline.AcquireDpcLock.7.myNondetVar_0.3) (=> (= lockStatus_1.56 lockStatus_1.53) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> (= k.244 k.241) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> true (=> true (=> true (=> true (=> true ?v_315)))))))))))))))))))))) (let ((?v_322 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.) (=> (= k.241 k.239) (=> (= errorReached.180 errorReached.178) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_320))))))))))))) (?v_324 (= inline.TimerDpc.0.myNondetVar_0.11 hdevice)) (?v_323 (= inline.TimerDpc.0.myNondetVar_0.11 hqueue)) (?v_321 (= inline.TimerDpc.0.myNondetVar_0.11 htimer)) (?v_319 (= inline.TimerDpc.0.myNondetVar_0.11 hrequest)) (?v_318 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 call31216formal.ret.0) (=> (= k.241 k.240) (=> (= errorReached.180 errorReached.179) ?v_320)))))) (?v_316 (= k.240 0)) (?v_317 (= k.240 1))) (let ((?v_329 (and (=> true (=> ?v_319 (=> true (=> (<= k.239 k.240) (=> (< k.240 2) (and (=> true (=> (=> ?v_316 ?v_26) (=> (=> ?v_317 ?v_27) (=> true (=> (= errorReached.179 1) ?v_318))))) (=> true (=> (=> ?v_316 ?v_46) (=> (=> ?v_317 ?v_47) (=> true (=> (= errorReached.179 errorReached.178) (=> true ?v_318)))))))))))) (=> true (=> (not ?v_319) (and (=> true (=> ?v_321 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_322)))) (=> true (=> (not ?v_321) (and (=> true (=> ?v_323 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_322)))) (=> true (=> (not ?v_323) (and (=> true (=> ?v_324 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_322)))) (=> true (=> (not ?v_324) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_322)))))))))))))))) (let ((?v_331 (=> (= k.239 k.237) (=> (= errorReached.178 errorReached.176) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_329)))))))))))))))))))))))) (?v_333 (= inline.TimerDpc.0.myNondetVar_0.10 hdevice)) (?v_332 (= inline.TimerDpc.0.myNondetVar_0.10 hqueue)) (?v_330 (= inline.TimerDpc.0.myNondetVar_0.10 htimer)) (?v_328 (= inline.TimerDpc.0.myNondetVar_0.10 hrequest)) (?v_327 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.239 k.238) (=> (= errorReached.178 errorReached.177) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 call31041formal.ret.0) ?v_329)))))) (?v_325 (= k.238 0)) (?v_326 (= k.238 1))) (let ((?v_334 (and (=> true (=> ?v_328 (=> true (=> (<= k.237 k.238) (=> (< k.238 2) (and (=> true (=> (=> ?v_325 ?v_26) (=> (=> ?v_326 ?v_27) (=> true (=> (= errorReached.177 1) ?v_327))))) (=> true (=> (=> ?v_325 ?v_46) (=> (=> ?v_326 ?v_47) (=> true (=> (= errorReached.177 errorReached.176) (=> true ?v_327)))))))))))) (=> true (=> (not ?v_328) (and (=> true (=> ?v_330 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_331)))) (=> true (=> (not ?v_330) (and (=> true (=> ?v_332 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_331)))) (=> true (=> (not ?v_332) (and (=> true (=> ?v_333 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_331)))) (=> true (=> (not ?v_333) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_331)))))))))))))))) (let ((?v_339 (and (=> true (=> (not (= inline.TimerDpc.0.myNondetVar_0.7 0)) (=> true (=> (= inline.TimerDpc.0.myNondetVar_0.9 inline.TimerDpc.0.myNondetVar_0.7) ?v_334)))) (=> true (=> (= inline.TimerDpc.0.myNondetVar_0.8 0) (=> true (=> (= inline.TimerDpc.0.myNondetVar_0.9 inline.TimerDpc.0.myNondetVar_0.8) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_334))))))))))))) (?v_341 (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2.))) (let ((?v_342 (=> (= k.237 k.235) (=> (= errorReached.176 errorReached.174) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_339)))))))))))) (?v_344 (= inline.TimerDpc.0.myNondetVar_0.6 hdevice)) (?v_343 (= inline.TimerDpc.0.myNondetVar_0.6 hqueue)) (?v_340 (= inline.TimerDpc.0.myNondetVar_0.6 htimer)) (?v_338 (= inline.TimerDpc.0.myNondetVar_0.6 hrequest)) (?v_337 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 call30850formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.237 k.236) (=> (= errorReached.176 errorReached.175) ?v_339)))))) (?v_335 (= k.236 0)) (?v_336 (= k.236 1))) (let ((?v_345 (and (=> true (=> ?v_338 (=> true (=> (<= k.235 k.236) (=> (< k.236 2) (and (=> true (=> (=> ?v_335 ?v_26) (=> (=> ?v_336 ?v_27) (=> true (=> (= errorReached.175 1) ?v_337))))) (=> true (=> (=> ?v_335 ?v_46) (=> (=> ?v_336 ?v_47) (=> true (=> (= errorReached.175 errorReached.174) (=> true ?v_337)))))))))))) (=> true (=> (not ?v_338) (and (=> true (=> ?v_340 (=> true (=> ?v_341 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_342))))) (=> true (=> (not ?v_340) (and (=> true (=> ?v_343 (=> true (=> ?v_341 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_342))))) (=> true (=> (not ?v_343) (and (=> true (=> ?v_344 (=> true (=> ?v_341 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_342))))) (=> true (=> (not ?v_344) (=> true (=> ?v_341 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_342))))))))))))))))) (let ((?v_346 (and (=> true (=> (not (= inline.TimerDpc.0.myNondetVar_0.3 call30762formal.ret.0)) (=> true (=> (= inline.TimerDpc.0.myNondetVar_0.5 inline.TimerDpc.0.myNondetVar_0.3) ?v_345)))) (=> true (=> (not (not (= inline.TimerDpc.0.myNondetVar_0.4 call30762formal.ret.0))) (=> true (=> (= inline.TimerDpc.0.myNondetVar_0.5 inline.TimerDpc.0.myNondetVar_0.4) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_345)))))))))))))) (let ((?v_350 (and (=> true (=> (not (= inline.TimerDpc.0.myNondetVar_0.1 0)) (=> true (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0.1) ?v_346)))) (=> true (=> (= inline.TimerDpc.0.myNondetVar_0.0 0) (=> true (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_346))))))))))))))) (?v_352 (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2.))) (let ((?v_353 (=> (= k.235 k.233) (=> (= errorReached.174 errorReached.172) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_350)))))))))))) (?v_355 (= htimer hdevice))) (let ((?v_3927 (not ?v_355)) (?v_354 (= htimer hqueue))) (let ((?v_3926 (not ?v_354)) (?v_351 (= htimer htimer))) (let ((?v_3923 (not ?v_351)) (?v_25 (= htimer hrequest))) (let ((?v_3921 (not ?v_25)) (?v_349 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 call30632formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.235 k.234) (=> (= errorReached.174 errorReached.173) ?v_350)))))) (?v_347 (= k.234 0)) (?v_348 (= k.234 1)) (?v_24 (- 0 1073741823)) (?v_23 (= call30529formal.ret.0 0))) (let ((?v_364 (=> true (=> (<= 0 k.233) (=> (< k.233 2) (and (=> true (=> (not ?v_23) (=> true (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= reqCancelSet_0.39 reqCancelSet_0.29) (=> (= reqSent_0.6 reqSent_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc) (=> (= reqCompleted_0.30 reqCompleted_0.23) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2.) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= lockStatus_1.60 lockStatus_1.53) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1.) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext) (=> (= reqSent_1.6 reqSent_1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.AcquireDpcLock.7.myNondetVar_0.7 inline.AcquireDpcLock.7.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock) (=> (= errorReached.208 errorReached.172) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5.) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myNondetVar_0) (=> (= inline.ReleaseDpcLock.7.myNondetVar_0.7 inline.ReleaseDpcLock.7.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1) (=> (= reqCompleteSet_1.4 reqCompleteSet_1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> (= reqCancelSet_1.39 reqCancelSet_1.29) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.7.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= alloc.18 alloc.15) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) (=> (= inline.TimerDpc.0.myNondetVar_0.20 inline.TimerDpc.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= reqCompleted_1.30 reqCompleted_1.23) (=> (= lockStatus_0.60 lockStatus_0.53) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0) (=> (= inline.GetRequestContext.14.myNondetVar_0.3 inline.GetRequestContext.14.myNondetVar_0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2.) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8.) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= k.276 k.233) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9.) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= reqCompleteSet_0.4 reqCompleteSet_0) ?v_34)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_23 (=> true (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 ?v_24) (and (=> true (=> ?v_25 (=> true (=> (<= k.233 k.234) (=> (< k.234 2) (and (=> true (=> (=> ?v_347 ?v_26) (=> (=> ?v_348 ?v_27) (=> true (=> (= errorReached.173 1) ?v_349))))) (=> true (=> (=> ?v_347 ?v_46) (=> (=> ?v_348 ?v_47) (=> true (=> (= errorReached.173 errorReached.172) (=> true ?v_349)))))))))))) (=> true (=> ?v_3921 (and (=> true (=> ?v_351 (=> true (=> ?v_352 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_353))))) (=> true (=> ?v_3923 (and (=> true (=> ?v_354 (=> true (=> ?v_352 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_353))))) (=> true (=> ?v_3926 (and (=> true (=> ?v_355 (=> true (=> ?v_352 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_353))))) (=> true (=> ?v_3927 (=> true (=> ?v_352 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_353))))))))))))))))))))))))) (let ((?v_379 (=> true (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= reqCancelSet_0.29 reqCancelSet_0.28) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= errorReached.172 errorReached.171) (=> (= reqCancelSet_1.29 reqCancelSet_1.28) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0.0) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= reqCompleted_1.23 reqCompleted_1.22) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 hrequest) (=> (= k.232 k.231) (=> (= reqCompleted_0.23 reqCompleted_0.22) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0) (=> true (=> true ?v_364)))))))))))))))))))))))))))))) (?v_13 (= hrequest hrequest))) (let ((?v_384 (not ?v_13)) (?v_366 (=> true (=> (= reqCancelSet_1.28 reqCancelSet_1.27) (=> (= reqCancelSet_0.28 reqCancelSet_0.27) (=> (= reqCompleted_0.22 reqCompleted_0.21) (=> (= k.231 k.230) (=> (= errorReached.171 errorReached.170) (=> (= reqCompleted_1.22 reqCompleted_1.21) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 call34004formal.ret.0) ?v_379)))))))))) (let ((?v_369 (=> true ?v_366)) (?v_367 (= reqCancelSet_0.27 reqCancelSet_0.26)) (?v_368 (= reqCancelSet_1.27 reqCancelSet_1.26)) (?v_365 (= k.230 1))) (let ((?v_372 (not ?v_365)) (?v_363 (= k.230 0))) (let ((?v_370 (not ?v_363))) (let ((?v_371 (and (=> true (=> ?v_363 (=> true (=> (= reqCancelSet_0.27 0) (=> ?v_368 ?v_366))))) (=> true (=> ?v_370 (and (=> true (=> ?v_365 (=> true (=> ?v_367 (=> (= reqCancelSet_1.27 0) ?v_369))))) (=> true (=> ?v_372 (=> true (=> ?v_367 (=> ?v_368 ?v_369))))))))))) (let ((?v_375 (=> true (=> true ?v_371))) (?v_373 (= reqCompleted_0.21 reqCompleted_0.20)) (?v_374 (= reqCompleted_1.21 reqCompleted_1.20))) (let ((?v_378 (and (=> true (=> ?v_363 (=> true (=> (= reqCompleted_0.21 1) (=> ?v_374 ?v_371))))) (=> true (=> ?v_370 (and (=> true (=> ?v_365 (=> true (=> ?v_373 (=> (= reqCompleted_1.21 1) ?v_375))))) (=> true (=> ?v_372 (=> true (=> ?v_373 (=> ?v_374 ?v_375)))))))))) (?v_376 (= reqCompleted_0.20 0)) (?v_377 (= reqCompleted_1.20 0))) (let ((?v_361 (not ?v_376)) (?v_362 (not ?v_377))) (let ((?v_380 (and (=> true (=> ?v_13 (=> true (=> (<= k.229 k.230) (=> (< k.230 2) (and (=> true (=> (=> ?v_363 ?v_361) (=> (=> ?v_365 ?v_362) (=> true (=> (= errorReached.170 1) ?v_378))))) (=> true (=> (=> ?v_363 ?v_376) (=> (=> ?v_365 ?v_377) (=> true (=> (= errorReached.170 errorReached.169) (=> true ?v_378)))))))))))) (=> true (=> ?v_384 (=> true (=> (= reqCancelSet_1.28 reqCancelSet_1.26) (=> (= reqCancelSet_0.28 reqCancelSet_0.26) (=> (= reqCompleted_0.22 reqCompleted_0.20) (=> (= k.231 k.229) (=> (= errorReached.171 errorReached.169) (=> (= reqCompleted_1.22 reqCompleted_1.20) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_379)))))))))))))))))))))) (let ((?v_385 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.1) ?v_380)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_380)))))))))))))))) (?v_387 (= k.229 k.227)) (?v_388 (= errorReached.169 errorReached.167))) (let ((?v_389 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_385))))))))))) (?v_391 (= hrequest hdevice))) (let ((?v_422 (not ?v_391)) (?v_390 (= hrequest hqueue))) (let ((?v_421 (not ?v_390)) (?v_386 (= hrequest htimer))) (let ((?v_419 (not ?v_386)) (?v_383 (=> true (=> (= k.229 k.228) (=> (= errorReached.169 errorReached.168) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 call33853formal.ret.0) ?v_385)))))) (?v_381 (= k.228 0)) (?v_382 (= k.228 1)) (?v_357 (= reqCompleteSet_0 0)) (?v_358 (= reqSent_0 0)) (?v_359 (= reqCompleteSet_1 0)) (?v_360 (= reqSent_1 0)) (?v_356 (= call30477formal.ret.0 0))) (let ((?v_398 (=> true (=> (<= 0 k.227) (=> (< k.227 2) (and (=> true (=> (not ?v_356) (=> true (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= reqCancelSet_0.29 reqCancelSet_0.26) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1) (=> (= errorReached.172 errorReached.167) (=> (= reqCancelSet_1.29 reqCancelSet_1.26) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= reqCompleted_1.23 reqCompleted_1.20) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1) (=> (= k.232 k.227) (=> (= reqCompleted_0.23 reqCompleted_0.20) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2.) ?v_364))))))))))))))))))))))))))))) (=> true (=> ?v_356 (=> true (=> (=> (= k.227 0) (and (not ?v_357) (not ?v_358))) (=> (=> (= k.227 1) (and (not ?v_359) (not ?v_360))) (and (=> true (=> ?v_13 (=> true (=> (<= k.227 k.228) (=> (< k.228 2) (and (=> true (=> (=> ?v_381 ?v_361) (=> (=> ?v_382 ?v_362) (=> true (=> (= errorReached.168 1) ?v_383))))) (=> true (=> (=> ?v_381 ?v_376) (=> (=> ?v_382 ?v_377) (=> true (=> (= errorReached.168 errorReached.167) (=> true ?v_383)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> ?v_387 (=> ?v_388 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_389)))))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> ?v_387 (=> ?v_388 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_389)))))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> ?v_387 (=> ?v_388 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_389)))))) (=> true (=> ?v_422 (=> true (=> ?v_387 (=> ?v_388 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_389))))))))))))))))))))))))))) (let ((?v_424 (=> true (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.2.myNondetVar_0.3) (=> (= reqCompleted_0.20 reqCompleted_0.19) (=> (= reqCancelSet_0.26 reqCancelSet_0.25) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= errorReached.167 errorReached.166) (=> (= inline.AcquireEffectiveLock.7.myNondetVar_0.6 inline.AcquireEffectiveLock.7.myNondetVar_0.5) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.4) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.3) (=> (= lockStatus_1.53 lockStatus_1.52) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.3) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myNondetVar_0.1) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.2.myNondetVar_0.1) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.GetRequestContext.17.myNondetVar_0.2 inline.GetRequestContext.17.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0.0) (=> (= reqCancelSet_1.26 reqCancelSet_1.25) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0.0) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0.0) (=> (= reqCompleted_1.20 reqCompleted_1.19) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.3) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myNondetVar_0.1) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myNondetVar_0.3) (=> (= reqCancelStarted_0.1 reqCancelStarted_0.0) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.2.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1) (=> (= inline.ReleaseEffectiveLock.7.myNondetVar_0.6 inline.ReleaseEffectiveLock.7.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.7 inline.AcquireDpcLock.8.myNondetVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.7 inline.EvtRequestChildCancel.2.myNondetVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0) (=> (= lockStatus_0.53 lockStatus_0.52) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.2.myNondetVar_0.4) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= reqCancelStarted_1.1 reqCancelStarted_1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myNondetVar_0.2) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= k.226 k.225) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.4) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.7 inline.ReleaseDpcLock.8.myNondetVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> true (=> true ?v_398)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_429 (=> true (=> (= inline.GetRequestContext.17.myNondetVar_0.1 inline.GetRequestContext.17.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.2.myNondetVar_0.5) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.5) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= errorReached.166 errorReached.161) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.5) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2.) (=> (= reqCompleted_1.19 reqCompleted_1.16) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= k.225 k.221) (=> (= reqCancelSet_1.25 reqCancelSet_1.22) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.5) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.6 inline.EvtRequestChildCancel.2.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= reqCompleted_0.19 reqCompleted_0.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myNondetVar_0.5) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.2.myNondetVar_0.5) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0) (=> (= reqCancelSet_0.25 reqCancelSet_0.22) (=> true (=> true (=> true ?v_424))))))))))))))))))))))))))))))))))))))) (let ((?v_431 (=> (= k.221 k.218) (=> (= errorReached.161 errorReached.159) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_429)))))))))))))))))))))) (?v_433 (= inline.EvtRequestChildCancel.2.myNondetVar_0.5 hdevice)) (?v_432 (= inline.EvtRequestChildCancel.2.myNondetVar_0.5 hqueue)) (?v_430 (= inline.EvtRequestChildCancel.2.myNondetVar_0.5 htimer)) (?v_428 (= inline.EvtRequestChildCancel.2.myNondetVar_0.5 hrequest)) (?v_427 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.221 k.220) (=> (= errorReached.161 errorReached.160) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 call35811formal.ret.0) ?v_429)))))) (?v_425 (= k.220 0)) (?v_410 (= reqCompleted_0.16 0)) (?v_426 (= k.220 1)) (?v_411 (= reqCompleted_1.16 0))) (let ((?v_394 (not ?v_410)) (?v_395 (not ?v_411)) (?v_423 (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_413 (=> true (=> (= inline.GetRequestContext.17.myNondetVar_0.1 inline.GetRequestContext.17.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= errorReached.166 errorReached.165) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0) (=> (= reqCompleted_1.19 reqCompleted_1.18) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0) (=> (= k.225 k.224) (=> (= reqCancelSet_1.25 reqCancelSet_1.24) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.6 inline.EvtRequestChildCancel.2.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= reqCompleted_0.19 reqCompleted_0.18) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= reqCancelSet_0.25 reqCancelSet_0.24) ?v_424)))))))))))))))))))))))))))))))))))) (let ((?v_400 (=> true (=> (= reqCancelSet_1.24 reqCancelSet_1.23) (=> (= reqCancelSet_0.24 reqCancelSet_0.23) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 call36174formal.ret.0) (=> (= reqCompleted_0.18 reqCompleted_0.17) (=> (= k.224 k.223) (=> (= errorReached.165 errorReached.164) (=> (= reqCompleted_1.18 reqCompleted_1.17) ?v_413)))))))))) (let ((?v_403 (=> true ?v_400)) (?v_401 (= reqCancelSet_0.23 reqCancelSet_0.22)) (?v_402 (= reqCancelSet_1.23 reqCancelSet_1.22)) (?v_399 (= k.223 1))) (let ((?v_406 (not ?v_399)) (?v_397 (= k.223 0))) (let ((?v_404 (not ?v_397))) (let ((?v_405 (and (=> true (=> ?v_397 (=> true (=> (= reqCancelSet_0.23 0) (=> ?v_402 ?v_400))))) (=> true (=> ?v_404 (and (=> true (=> ?v_399 (=> true (=> ?v_401 (=> (= reqCancelSet_1.23 0) ?v_403))))) (=> true (=> ?v_406 (=> true (=> ?v_401 (=> ?v_402 ?v_403))))))))))) (let ((?v_409 (=> true (=> true ?v_405))) (?v_407 (= reqCompleted_0.17 reqCompleted_0.16)) (?v_408 (= reqCompleted_1.17 reqCompleted_1.16))) (let ((?v_412 (and (=> true (=> ?v_397 (=> true (=> (= reqCompleted_0.17 1) (=> ?v_408 ?v_405))))) (=> true (=> ?v_404 (and (=> true (=> ?v_399 (=> true (=> ?v_407 (=> (= reqCompleted_1.17 1) ?v_409))))) (=> true (=> ?v_406 (=> true (=> ?v_407 (=> ?v_408 ?v_409))))))))))) (let ((?v_414 (and (=> true (=> ?v_13 (=> true (=> (<= k.222 k.223) (=> (< k.223 2) (and (=> true (=> (=> ?v_397 ?v_394) (=> (=> ?v_399 ?v_395) (=> true (=> (= errorReached.164 1) ?v_412))))) (=> true (=> (=> ?v_397 ?v_410) (=> (=> ?v_399 ?v_411) (=> true (=> (= errorReached.164 errorReached.163) (=> true ?v_412)))))))))))) (=> true (=> ?v_384 (=> true (=> (= reqCancelSet_1.24 reqCancelSet_1.22) (=> (= reqCancelSet_0.24 reqCancelSet_0.22) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= reqCompleted_0.18 reqCompleted_0.16) (=> (= k.224 k.222) (=> (= errorReached.165 errorReached.163) (=> (= reqCompleted_1.18 reqCompleted_1.16) (=> true (=> true (=> true (=> true (=> true (=> true ?v_413))))))))))))))))))) (let ((?v_418 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.1) ?v_414)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_414))))))))))))))))) (let ((?v_420 (=> (= k.222 k.218) (=> (= errorReached.163 errorReached.159) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_418))))))))))))) (?v_417 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.222 k.219) (=> (= errorReached.163 errorReached.162) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..0 call36023formal.ret.0) ?v_418)))))) (?v_415 (= k.219 0)) (?v_416 (= k.219 1))) (let ((?v_435 (and (=> true (=> (not ?v_423) (and (=> true (=> ?v_13 (=> true (=> (<= k.218 k.219) (=> (< k.219 2) (and (=> true (=> (=> ?v_415 ?v_394) (=> (=> ?v_416 ?v_395) (=> true (=> (= errorReached.162 1) ?v_417))))) (=> true (=> (=> ?v_415 ?v_410) (=> (=> ?v_416 ?v_411) (=> true (=> (= errorReached.162 errorReached.159) (=> true ?v_417)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_420)))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_420)))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_420)))) (=> true (=> ?v_422 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_420)))))))))))))))) (=> true (=> ?v_423 (and (=> true (=> ?v_428 (=> true (=> (<= k.218 k.220) (=> (< k.220 2) (and (=> true (=> (=> ?v_425 ?v_394) (=> (=> ?v_426 ?v_395) (=> true (=> (= errorReached.160 1) ?v_427))))) (=> true (=> (=> ?v_425 ?v_410) (=> (=> ?v_426 ?v_411) (=> true (=> (= errorReached.160 errorReached.159) (=> true ?v_427)))))))))))) (=> true (=> (not ?v_428) (and (=> true (=> ?v_430 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_431)))) (=> true (=> (not ?v_430) (and (=> true (=> ?v_432 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_431)))) (=> true (=> (not ?v_432) (and (=> true (=> ?v_433 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_431)))) (=> true (=> (not ?v_433) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_431))))))))))))))))))) (let ((?v_434 (=> true (=> (= inline.ReleaseEffectiveLock.7.myNondetVar_0.5 inline.ReleaseEffectiveLock.7.myNondetVar_0.4) ?v_435)))) (let ((?v_440 (and (=> true (=> (= inline.ReleaseEffectiveLock.7.myNondetVar_0.0 1) (=> true (=> (= inline.ReleaseEffectiveLock.7.myNondetVar_0.4 inline.ReleaseEffectiveLock.7.myNondetVar_0.0) ?v_434)))) (=> true (=> (not (= inline.ReleaseEffectiveLock.7.myNondetVar_0.1 1)) (and (=> true (=> (= inline.ReleaseEffectiveLock.7.myNondetVar_0.2 4) (=> true (=> (= inline.ReleaseEffectiveLock.7.myNondetVar_0.4 inline.ReleaseEffectiveLock.7.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_434)))))))))))) (=> true (=> (not (= inline.ReleaseEffectiveLock.7.myNondetVar_0.3 4)) (=> true (=> (= inline.ReleaseEffectiveLock.7.myNondetVar_0.5 inline.ReleaseEffectiveLock.7.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true ?v_435)))))))))))))))) (let ((?v_445 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_440)))))))))) (?v_442 (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.)) (?v_443 (= k.218 k.216)) (?v_444 (= errorReached.159 errorReached.157)) (?v_447 (= inline.EvtRequestChildCancel.2.myNondetVar_0.4 hdevice)) (?v_446 (= inline.EvtRequestChildCancel.2.myNondetVar_0.4 hqueue)) (?v_441 (= inline.EvtRequestChildCancel.2.myNondetVar_0.4 htimer)) (?v_439 (= inline.EvtRequestChildCancel.2.myNondetVar_0.4 hrequest)) (?v_438 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 call35579formal.ret.0) (=> (= k.218 k.217) (=> (= errorReached.159 errorReached.158) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_440)))))) (?v_436 (= k.217 0)) (?v_437 (= k.217 1))) (let ((?v_457 (and (=> true (=> ?v_439 (=> true (=> (<= k.216 k.217) (=> (< k.217 2) (and (=> true (=> (=> ?v_436 ?v_394) (=> (=> ?v_437 ?v_395) (=> true (=> (= errorReached.158 1) ?v_438))))) (=> true (=> (=> ?v_436 ?v_410) (=> (=> ?v_437 ?v_411) (=> true (=> (= errorReached.158 errorReached.157) (=> true ?v_438)))))))))))) (=> true (=> (not ?v_439) (and (=> true (=> ?v_441 (=> true (=> ?v_442 (=> ?v_443 (=> ?v_444 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_445))))))) (=> true (=> (not ?v_441) (and (=> true (=> ?v_446 (=> true (=> ?v_442 (=> ?v_443 (=> ?v_444 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_445))))))) (=> true (=> (not ?v_446) (and (=> true (=> ?v_447 (=> true (=> ?v_442 (=> ?v_443 (=> ?v_444 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_445))))))) (=> true (=> (not ?v_447) (=> true (=> ?v_442 (=> ?v_443 (=> ?v_444 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_445))))))))))))))))))) (let ((?v_455 (=> true (=> (= lockStatus_0.52 lockStatus_0.51) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.8.myNondetVar_0.5) (=> (= lockStatus_1.52 lockStatus_1.51) (=> (= k.216 k.215) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.8.myNondetVar_0.5) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.6 inline.ReleaseDpcLock.8.myNondetVar_0.5) ?v_457))))))))) (?v_454 (= inline.ReleaseDpcLock.8.myNondetVar_0.5 hlock))) (let ((?v_449 (=> true (=> (= lockStatus_0.51 lockStatus_0.50) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 call35468formal.ret.0) (=> (= lockStatus_1.51 lockStatus_1.50) (=> (= k.215 k.214) ?v_455))))))) (let ((?v_453 (=> true ?v_449)) (?v_451 (= lockStatus_0.50 lockStatus_0.49)) (?v_452 (= lockStatus_1.50 lockStatus_1.49)) (?v_450 (= k.214 1)) (?v_448 (= k.214 0))) (let ((?v_456 (and (=> true (=> ?v_454 (=> true (=> (<= k.213 k.214) (=> (< k.214 2) (and (=> true (=> ?v_448 (=> true (=> (= lockStatus_0.50 0) (=> ?v_452 ?v_449))))) (=> true (=> (not ?v_448) (and (=> true (=> ?v_450 (=> true (=> ?v_451 (=> (= lockStatus_1.50 0) ?v_453))))) (=> true (=> (not ?v_450) (=> true (=> ?v_451 (=> ?v_452 ?v_453)))))))))))))) (=> true (=> (not ?v_454) (=> true (=> (= lockStatus_0.51 lockStatus_0.49) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.51 lockStatus_1.49) (=> (= k.215 k.213) (=> true (=> true (=> true ?v_455))))))))))))) (let ((?v_462 (and (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.4 inline.ReleaseDpcLock.8.myNondetVar_0.0) ?v_456)))) (=> true (=> (not (= inline.ReleaseDpcLock.8.myNondetVar_0.1 2)) (and (=> true (=> (not (= inline.ReleaseDpcLock.8.myNondetVar_0.2 2)) (=> true (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.4 inline.ReleaseDpcLock.8.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true ?v_456)))))))))) (=> true (=> (not (not (= inline.ReleaseDpcLock.8.myNondetVar_0.3 2))) (=> true (=> (= lockStatus_0.52 lockStatus_0.49) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.52 lockStatus_1.49) (=> (= k.216 k.213) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.6 inline.ReleaseDpcLock.8.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_457)))))))))))))))))))))))))))))) (let ((?v_467 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_462)))))))))) (?v_464 (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2.)) (?v_465 (= k.213 k.211)) (?v_466 (= errorReached.157 errorReached.155)) (?v_469 (= inline.EvtRequestChildCancel.2.myNondetVar_0.3 hdevice)) (?v_468 (= inline.EvtRequestChildCancel.2.myNondetVar_0.3 hqueue)) (?v_463 (= inline.EvtRequestChildCancel.2.myNondetVar_0.3 htimer)) (?v_461 (= inline.EvtRequestChildCancel.2.myNondetVar_0.3 hrequest)) (?v_460 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 call35307formal.ret.0) (=> (= k.213 k.212) (=> (= errorReached.157 errorReached.156) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_462)))))) (?v_458 (= k.212 0)) (?v_459 (= k.212 1))) (let ((?v_478 (and (=> true (=> ?v_461 (=> true (=> (<= k.211 k.212) (=> (< k.212 2) (and (=> true (=> (=> ?v_458 ?v_394) (=> (=> ?v_459 ?v_395) (=> true (=> (= errorReached.156 1) ?v_460))))) (=> true (=> (=> ?v_458 ?v_410) (=> (=> ?v_459 ?v_411) (=> true (=> (= errorReached.156 errorReached.155) (=> true ?v_460)))))))))))) (=> true (=> (not ?v_461) (and (=> true (=> ?v_463 (=> true (=> ?v_464 (=> ?v_465 (=> ?v_466 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_467))))))) (=> true (=> (not ?v_463) (and (=> true (=> ?v_468 (=> true (=> ?v_464 (=> ?v_465 (=> ?v_466 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_467))))))) (=> true (=> (not ?v_468) (and (=> true (=> ?v_469 (=> true (=> ?v_464 (=> ?v_465 (=> ?v_466 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_467))))))) (=> true (=> (not ?v_469) (=> true (=> ?v_464 (=> ?v_465 (=> ?v_466 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_467))))))))))))))))))) (let ((?v_476 (=> true (=> (= lockStatus_0.49 lockStatus_0.48) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.6 inline.AcquireDpcLock.8.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.8.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.8.myNondetVar_0.4) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 call35223formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0) (=> (= k.211 k.210) (=> (= lockStatus_1.49 lockStatus_1.48) ?v_478)))))))))) (?v_475 (= inline.AcquireDpcLock.8.myNondetVar_0.4 hlock))) (let ((?v_471 (=> true (=> (= lockStatus_0.48 lockStatus_0.47) (=> (= lockStatus_1.48 lockStatus_1.47) (=> (= k.210 k.209) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 call35171formal.ret.0) ?v_476))))))) (let ((?v_474 (=> true ?v_471)) (?v_472 (= lockStatus_0.47 lockStatus_0.46)) (?v_473 (= lockStatus_1.47 lockStatus_1.46)) (?v_470 (= k.209 1)) (?v_396 (= k.209 0))) (let ((?v_477 (and (=> true (=> ?v_475 (=> true (=> (<= k.208 k.209) (=> (< k.209 2) (=> true (=> (=> ?v_396 (= lockStatus_0.46 0)) (=> (=> ?v_470 (= lockStatus_1.46 0)) (and (=> true (=> ?v_396 (=> true (=> (= lockStatus_0.47 1) (=> ?v_473 ?v_471))))) (=> true (=> (not ?v_396) (and (=> true (=> ?v_470 (=> true (=> ?v_472 (=> (= lockStatus_1.47 1) ?v_474))))) (=> true (=> (not ?v_470) (=> true (=> ?v_472 (=> ?v_473 ?v_474))))))))))))))))) (=> true (=> (not ?v_475) (=> true (=> (= lockStatus_0.48 lockStatus_0.46) (=> (= lockStatus_1.48 lockStatus_1.46) (=> (= k.210 k.208) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_476)))))))))))))))) (let ((?v_483 (and (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.3 inline.AcquireDpcLock.8.myNondetVar_0.0) ?v_477)))) (=> true (=> (not (= inline.AcquireDpcLock.8.myNondetVar_0.1 2)) (and (=> true (=> (not (= inline.AcquireDpcLock.8.myNondetVar_0.2 2)) (=> true (=> (= inline.AcquireDpcLock.8.myNondetVar_0.3 inline.AcquireDpcLock.8.myNondetVar_0.2) (=> true (=> true (=> true (=> true ?v_477)))))))) (=> true (=> (not (not (= inline.AcquireDpcLock.8.myNondetVar_0.5 2))) (=> true (=> (= lockStatus_0.49 lockStatus_0.46) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.6 inline.AcquireDpcLock.8.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= k.211 k.208) (=> (= lockStatus_1.49 lockStatus_1.46) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_478)))))))))))))))))))))))))))))))))) (let ((?v_485 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2.) (=> (= k.208 k.206) (=> (= errorReached.155 errorReached.153) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_483))))))))))))) (?v_487 (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 hdevice)) (?v_486 (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 hqueue)) (?v_484 (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 htimer)) (?v_482 (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 hrequest)) (?v_481 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 call35012formal.ret.0) (=> (= k.208 k.207) (=> (= errorReached.155 errorReached.154) ?v_483)))))) (?v_479 (= k.207 0)) (?v_480 (= k.207 1))) (let ((?v_489 (and (=> true (=> ?v_482 (=> true (=> (<= k.206 k.207) (=> (< k.207 2) (and (=> true (=> (=> ?v_479 ?v_394) (=> (=> ?v_480 ?v_395) (=> true (=> (= errorReached.154 1) ?v_481))))) (=> true (=> (=> ?v_479 ?v_410) (=> (=> ?v_480 ?v_411) (=> true (=> (= errorReached.154 errorReached.153) (=> true ?v_481)))))))))))) (=> true (=> (not ?v_482) (and (=> true (=> ?v_484 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_485)))) (=> true (=> (not ?v_484) (and (=> true (=> ?v_486 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_485)))) (=> true (=> (not ?v_486) (and (=> true (=> ?v_487 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_485)))) (=> true (=> (not ?v_487) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_485)))))))))))))))) (let ((?v_488 (=> true (=> (= inline.AcquireEffectiveLock.7.myNondetVar_0.5 inline.AcquireEffectiveLock.7.myNondetVar_0.4) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 call34928formal.ret.0) ?v_489))))) (let ((?v_494 (and (=> true (=> (= inline.AcquireEffectiveLock.7.myNondetVar_0.0 1) (=> true (=> (= inline.AcquireEffectiveLock.7.myNondetVar_0.4 inline.AcquireEffectiveLock.7.myNondetVar_0.0) ?v_488)))) (=> true (=> (not (= inline.AcquireEffectiveLock.7.myNondetVar_0.1 1)) (and (=> true (=> (= inline.AcquireEffectiveLock.7.myNondetVar_0.2 4) (=> true (=> (= inline.AcquireEffectiveLock.7.myNondetVar_0.4 inline.AcquireEffectiveLock.7.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_488))))))))))))) (=> true (=> (not (= inline.AcquireEffectiveLock.7.myNondetVar_0.3 4)) (=> true (=> (= inline.AcquireEffectiveLock.7.myNondetVar_0.5 inline.AcquireEffectiveLock.7.myNondetVar_0.3) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_489))))))))))))))))))))))))) (?v_496 (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2.)) (?v_497 (= k.206 k.204))) (let ((?v_498 (=> (= errorReached.153 errorReached.151) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_494))))))))))) (?v_500 (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 hdevice)) (?v_499 (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 hqueue)) (?v_495 (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 htimer)) (?v_493 (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 hrequest)) (?v_492 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 call34789formal.ret.0) (=> (= k.206 k.205) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.153 errorReached.152) ?v_494)))))) (?v_490 (= k.205 0)) (?v_491 (= k.205 1))) (let ((?v_504 (and (=> true (=> ?v_493 (=> true (=> (<= k.204 k.205) (=> (< k.205 2) (and (=> true (=> (=> ?v_490 ?v_394) (=> (=> ?v_491 ?v_395) (=> true (=> (= errorReached.152 1) ?v_492))))) (=> true (=> (=> ?v_490 ?v_410) (=> (=> ?v_491 ?v_411) (=> true (=> (= errorReached.152 errorReached.151) (=> true ?v_492)))))))))))) (=> true (=> (not ?v_493) (and (=> true (=> ?v_495 (=> true (=> ?v_496 (=> ?v_497 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_498)))))) (=> true (=> (not ?v_495) (and (=> true (=> ?v_499 (=> true (=> ?v_496 (=> ?v_497 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_498)))))) (=> true (=> (not ?v_499) (and (=> true (=> ?v_500 (=> true (=> ?v_496 (=> ?v_497 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_498)))))) (=> true (=> (not ?v_500) (=> true (=> ?v_496 (=> ?v_497 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_498)))))))))))))))))) (let ((?v_505 (=> (= k.204 k.202) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.) (=> (= errorReached.151 errorReached.149) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_504)))))))))))))))))))))))) (?v_503 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.204 k.203) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 call34614formal.ret.0) (=> (= errorReached.151 errorReached.150) ?v_504)))))) (?v_501 (= k.203 0)) (?v_502 (= k.203 1))) (let ((?v_510 (and (=> true (=> ?v_13 (=> true (=> (<= k.202 k.203) (=> (< k.203 2) (and (=> true (=> (=> ?v_501 ?v_394) (=> (=> ?v_502 ?v_395) (=> true (=> (= errorReached.150 1) ?v_503))))) (=> true (=> (=> ?v_501 ?v_410) (=> (=> ?v_502 ?v_411) (=> true (=> (= errorReached.150 errorReached.149) (=> true ?v_503)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_505)))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_505)))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_505)))) (=> true (=> ?v_422 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_505))))))))))))))) (?v_512 (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2.))) (let ((?v_513 (=> (= k.202 k.200) (=> (= errorReached.149 errorReached.147) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_510))))))))))))))))))) (?v_515 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hdevice)) (?v_514 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hqueue)) (?v_511 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 htimer)) (?v_509 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hrequest)) (?v_508 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 call34459formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.202 k.201) (=> (= errorReached.149 errorReached.148) ?v_510)))))) (?v_506 (= k.201 0)) (?v_507 (= k.201 1))) (let ((?v_519 (and (=> true (=> ?v_509 (=> true (=> (<= k.200 k.201) (=> (< k.201 2) (and (=> true (=> (=> ?v_506 ?v_394) (=> (=> ?v_507 ?v_395) (=> true (=> (= errorReached.148 1) ?v_508))))) (=> true (=> (=> ?v_506 ?v_410) (=> (=> ?v_507 ?v_411) (=> true (=> (= errorReached.148 errorReached.147) (=> true ?v_508)))))))))))) (=> true (=> (not ?v_509) (and (=> true (=> ?v_511 (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_513))))) (=> true (=> (not ?v_511) (and (=> true (=> ?v_514 (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_513))))) (=> true (=> (not ?v_514) (and (=> true (=> ?v_515 (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_513))))) (=> true (=> (not ?v_515) (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_513))))))))))))))))) (let ((?v_522 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.) (=> (= k.200 k.198) (=> (= errorReached.147 errorReached.145) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_519)))))))))))))))))))) (?v_524 (= hqueue hdevice))) (let ((?v_1859 (not ?v_524)) (?v_521 (= hqueue hqueue))) (let ((?v_523 (not ?v_521)) (?v_520 (= hqueue htimer))) (let ((?v_1854 (not ?v_520)) (?v_12 (= hqueue hrequest))) (let ((?v_1852 (not ?v_12)) (?v_518 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 call34302formal.ret.0) (=> (= k.200 k.199) (=> (= errorReached.147 errorReached.146) ?v_519)))))) (?v_516 (= k.199 0)) (?v_517 (= k.199 1))) (let ((?v_529 (and (=> true (=> ?v_12 (=> true (=> (<= k.198 k.199) (=> (< k.199 2) (and (=> true (=> (=> ?v_516 ?v_394) (=> (=> ?v_517 ?v_395) (=> true (=> (= errorReached.146 1) ?v_518))))) (=> true (=> (=> ?v_516 ?v_410) (=> (=> ?v_517 ?v_411) (=> true (=> (= errorReached.146 errorReached.145) (=> true ?v_518)))))))))))) (=> true (=> ?v_1852 (and (=> true (=> ?v_520 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_522)))) (=> true (=> ?v_1854 (and (=> true (=> ?v_521 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_522)))) (=> true (=> ?v_523 (and (=> true (=> ?v_524 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_522)))) (=> true (=> ?v_1859 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_522)))))))))))))))) (let ((?v_530 (=> (= errorReached.145 errorReached.144) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_529))))))))))))))) (?v_527 (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0 call34191formal.ret.0)) (?v_528 (= k.198 k.197)) (?v_525 (= k.197 0)) (?v_526 (= k.197 1))) (let ((?v_532 (and (=> true (=> ?v_13 (=> true (=> (<= k.196 k.197) (=> (< k.197 2) (and (=> true (=> (=> ?v_525 ?v_394) (=> (=> ?v_526 ?v_395) (=> true (=> ?v_527 (=> ?v_528 (=> (= errorReached.145 1) ?v_529))))))) (=> true (=> (=> ?v_525 ?v_410) (=> (=> ?v_526 ?v_411) (=> true (=> ?v_527 (=> ?v_528 ?v_530)))))))))))) (=> true (=> ?v_384 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2.) (=> (= k.198 k.196) ?v_530)))))))) (let ((?v_535 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_532)))))))))) (?v_533 (= reqCancelStarted_0.0 reqCancelStarted_0)) (?v_534 (= reqCancelStarted_1.0 reqCancelStarted_1)) (?v_531 (= k.196 1)) (?v_393 (= k.196 0)) (?v_392 (= call30433formal.ret.0 0))) (let ((?v_1240 (=> true (=> (<= 0 k.196) (=> (< k.196 2) (and (=> true (=> (not ?v_392) (=> true (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock) (=> (= reqCompleted_0.20 reqCompleted_0.16) (=> (= reqCancelSet_0.26 reqCancelSet_0.22) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.userContextSwitch.6841.4.2.) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= errorReached.167 errorReached.144) (=> (= inline.AcquireEffectiveLock.7.myNondetVar_0.6 inline.AcquireEffectiveLock.7.myNondetVar_0) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1) (=> (= lockStatus_1.53 lockStatus_1.46) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6.) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext1) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext) (=> (= inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.17..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.74..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2.) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetRequestContext.17.myNondetVar_0.2 inline.GetRequestContext.17.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0) (=> (= reqCancelSet_1.26 reqCancelSet_1.22) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0) (=> (= reqCompleted_1.20 reqCompleted_1.16) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext) (=> (= reqCancelStarted_0.1 reqCancelStarted_0) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= inline.ReleaseEffectiveLock.7.myNondetVar_0.6 inline.ReleaseEffectiveLock.7.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.8.myNondetVar_0.7 inline.AcquireDpcLock.8.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.74..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.7 inline.EvtRequestChildCancel.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.) (=> (= lockStatus_0.53 lockStatus_0.46) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.9.myNondetVar_0) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext) (=> (= reqCancelStarted_1.1 reqCancelStarted_1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.9..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.9..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= k.226 k.196) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.ReleaseDpcLock.8.myNondetVar_0.7 inline.ReleaseDpcLock.8.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) ?v_398)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_392 (=> true (=> (=> ?v_393 (not (= reqCancelSet_0.22 0))) (=> (=> ?v_531 (not (= reqCancelSet_1.22 0))) (and (=> true (=> ?v_393 (=> true (=> (= reqCancelStarted_0.0 1) (=> ?v_534 ?v_532))))) (=> true (=> (not ?v_393) (and (=> true (=> ?v_531 (=> true (=> ?v_533 (=> (= reqCancelStarted_1.0 1) ?v_535))))) (=> true (=> (not ?v_531) (=> true (=> ?v_533 (=> ?v_534 ?v_535)))))))))))))))))))) (let ((?v_3862 (=> true (=> true (=> true (=> true (=> true ?v_1240)))))) (?v_3845 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3846 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3847 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3848 (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.)) (?v_3849 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext)) (?v_3850 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete)) (?v_3851 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3852 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_3853 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_3854 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3855 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3856 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0)) (?v_3857 (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0)) (?v_3858 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1)) (?v_3859 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1)) (?v_3860 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3861 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete))) (let ((?v_3875 (=> true (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..1 inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.9 inline.ReleaseDpcLock.4.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireEffectiveLock.6.myNondetVar_0.8 inline.AcquireEffectiveLock.6.myNondetVar_0) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext) (=> ?v_3845 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1) (=> (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..2 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory) (=> (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0) (=> (= inline.ReleaseEffectiveLock.5.myNondetVar_0.9 inline.ReleaseEffectiveLock.5.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.) (=> ?v_3846 (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.10 inline.ReleaseDpcLock.2.myNondetVar_0) (=> ?v_3847 (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15.) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= lockStatus_1.46 lockStatus_1) (=> (= inline.GetChildQueueContext.2.myNondetVar_0.2 inline.GetChildQueueContext.2.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.10 inline.EvtRequestChildCancel.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1) (=> ?v_3848 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.7 inline.ReleaseDpcLock.0.myNondetVar_0) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..4 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetChildQueueContext.3.myNondetVar_0.3 inline.GetChildQueueContext.3.myNondetVar_0) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext) (=> (= inline.GetRequestContext.6.myNondetVar_0.4 inline.GetRequestContext.6.myNondetVar_0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1) (=> (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.12 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.GetDeviceContext.19.myNondetVar_0.3 inline.GetDeviceContext.19.myNondetVar_0) (=> (= alloc.15 alloc.4) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= inline.GetDeviceContext.20.myNondetVar_0.3 inline.GetDeviceContext.20.myNondetVar_0) (=> (= inline.GetDeviceContext.27.myNondetVar_0.4 inline.GetDeviceContext.27.myNondetVar_0) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock) (=> (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.GetDeviceContext.31.myNondetVar_0.3 inline.GetDeviceContext.31.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0) (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireEffectiveLock.3.myNondetVar_0.8 inline.AcquireEffectiveLock.3.myNondetVar_0) (=> (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.) (=> ?v_3849 (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.3 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.10 inline.AcquireDpcLock.4.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..4 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1.) (=> (= inline.ReleaseEffectiveLock.2.myNondetVar_0.9 inline.ReleaseEffectiveLock.2.myNondetVar_0) (=> ?v_3850 (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.) (=> ?v_3851 (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.) (=> (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.12 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0) (=> ?v_3852 (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.34 inline.EvtIoChildRead.0.myNondetVar_0.5) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3.) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.2 myNondetVar_0.0) (=> (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1.0 hrequest) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> ?v_3853 (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.GetDeviceContext.18.myNondetVar_0.3 inline.GetDeviceContext.18.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.) (=> (= inline.AcquireEffectiveLock.2.myNondetVar_0.8 inline.AcquireEffectiveLock.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.9 inline.ReleaseDpcLock.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.0.myNondetVar_0.7 inline.AcquireDpcLock.0.myNondetVar_0) (=> (= inline.GetRequestContext.7.myNondetVar_0.5 inline.GetRequestContext.7.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.7.myNondetVar_0.3 inline.GetDeviceContext.7.myNondetVar_0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.) (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1) (=> (= reqCancelSet_0.22 reqCancelSet_0.1) (=> (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0) (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3.) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked) (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext) (=> (= k.195 k.28) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.28.myNondetVar_0.4 inline.GetDeviceContext.28.myNondetVar_0) (=> (= inline.GetDeviceContext.3.myNondetVar_0.1 inline.GetDeviceContext.3.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9.) (=> (= inline.GetRequestContext.10.myNondetVar_0.5 inline.GetRequestContext.10.myNondetVar_0) (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.5 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.4 inline.GetChildQueueContext.4.myNondetVar_0) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.) (=> (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..1 inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1) (=> (= inline.AcquireEffectiveLock.4.myNondetVar_0.9 inline.AcquireEffectiveLock.4.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetDeviceContext.15.myNondetVar_0.3 inline.GetDeviceContext.15.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.) (=> ?v_3854 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.) (=> (= lockStatus_0.46 lockStatus_0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseEffectiveLock.1.myNondetVar_0.8 inline.ReleaseEffectiveLock.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.) (=> (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.10 inline.ReleaseDpcLock.5.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.) (=> (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.) (=> (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.2 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1) (=> ?v_3855 (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseEffectiveLock.0.myNondetVar_0.6 inline.ReleaseEffectiveLock.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.34.myNondetVar_0.3 inline.GetDeviceContext.34.myNondetVar_0) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.26.myNondetVar_0.4 inline.GetDeviceContext.26.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtIoChildRead.0.myNondetVar_1.5 inline.EvtIoChildRead.0.myNondetVar_1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext) (=> ?v_3856 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> (= inline.AcquireEffectiveLock.5.myNondetVar_0.8 inline.AcquireEffectiveLock.5.myNondetVar_0) (=> (= inline.GetDeviceContext.11.myNondetVar_0.4 inline.GetDeviceContext.11.myNondetVar_0) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0.0) (=> (= reqCancelSet_1.22 reqCancelSet_1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.GetRequestContext.9.myNondetVar_0.4 inline.GetRequestContext.9.myNondetVar_0) (=> (= inline.GetDeviceContext.13.myNondetVar_0.4 inline.GetDeviceContext.13.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.1 0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetDeviceContext.12.myNondetVar_0.4 inline.GetDeviceContext.12.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.) (=> (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.9 inline.AcquireDpcLock.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext) (=> (= inline.GetDeviceContext.32.myNondetVar_0.3 inline.GetDeviceContext.32.myNondetVar_0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..1 inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6.) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable) (=> (= inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..1 inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7.) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock) (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.9 inline.AcquireDpcLock.5.myNondetVar_0) (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1) (=> ?v_3857 (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= inline.GetDeviceContext.33.myNondetVar_0.3 inline.GetDeviceContext.33.myNondetVar_0) (=> (= inline.AcquireEffectiveLock.0.myNondetVar_0.6 inline.AcquireEffectiveLock.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1) (=> (= errorReached.144 errorReached.22) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.9 inline.AcquireDpcLock.3.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1) (=> ?v_3858 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.9 inline.AcquireDpcLock.6.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.10 inline.AcquireDpcLock.1.myNondetVar_0) (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext) (=> (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.) (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12.) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.9 inline.ReleaseDpcLock.6.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.9 inline.ReleaseDpcLock.3.myNondetVar_0) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.2 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.25.myNondetVar_0.4 inline.GetDeviceContext.25.myNondetVar_0) (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.GetDeviceContext.16.myNondetVar_0.3 inline.GetDeviceContext.16.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..5 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.3.myNondetVar_0.3 inline.GetRequestContext.3.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..4 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.24.myNondetVar_0.4 inline.GetDeviceContext.24.myNondetVar_0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.17.myNondetVar_0.3 inline.GetDeviceContext.17.myNondetVar_0) (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetChildQueueContext.5.myNondetVar_0.3 inline.GetChildQueueContext.5.myNondetVar_0) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.10 inline.EvtRequestChildCancel.1.myNondetVar_0) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.) (=> (= inline.GetChildQueueContext.6.myNondetVar_0.4 inline.GetChildQueueContext.6.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4.) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.21.myNondetVar_0.3 inline.GetDeviceContext.21.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> ?v_3859 (=> ?v_3860 (=> (= inline.GetDeviceContext.29.myNondetVar_0.3 inline.GetDeviceContext.29.myNondetVar_0) (=> (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseEffectiveLock.4.myNondetVar_0.8 inline.ReleaseEffectiveLock.4.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..4 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseEffectiveLock.3.myNondetVar_0.8 inline.ReleaseEffectiveLock.3.myNondetVar_0) (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1) (=> (= inline.GetDeviceContext.10.myNondetVar_0.4 inline.GetDeviceContext.10.myNondetVar_0) (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext) (=> (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock) (=> ?v_3861 (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1) (=> (= reqCompleted_1.16 reqCompleted_1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.) (=> (= reqCompleted_0.16 reqCompleted_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..2 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.14.myNondetVar_0.4 inline.GetDeviceContext.14.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..1 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1.) (=> (= inline.ReleaseEffectiveLock.6.myNondetVar_0.8 inline.ReleaseEffectiveLock.6.myNondetVar_0) (=> (= inline.GetDeviceContext.2.myNondetVar_0.1 inline.GetDeviceContext.2.myNondetVar_0) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11.) (=> (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0) (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.AcquireEffectiveLock.1.myNondetVar_0.9 inline.AcquireEffectiveLock.1.myNondetVar_0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1) (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.30.myNondetVar_0.3 inline.GetDeviceContext.30.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) ?v_3862))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3864 (=> true (=> (= reqCompleted_1.1 reqCompleted_1.0) (=> (= reqCancelSet_0.1 reqCancelSet_0.0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 call16806formal.ret.0) (=> (= reqCancelSet_1.1 reqCancelSet_1.0) (=> (= errorReached.22 errorReached.21) (=> (= reqCompleted_0.1 reqCompleted_0.0) (=> (= k.28 k.27) ?v_3875)))))))))) (let ((?v_3867 (=> true ?v_3864)) (?v_3865 (= reqCancelSet_0.0 reqCancelSet_0)) (?v_3866 (= reqCancelSet_1.0 reqCancelSet_1)) (?v_3863 (= k.27 1))) (let ((?v_3870 (not ?v_3863)) (?v_3844 (= k.27 0))) (let ((?v_3868 (not ?v_3844))) (let ((?v_3869 (and (=> true (=> ?v_3844 (=> true (=> (= reqCancelSet_0.0 0) (=> ?v_3866 ?v_3864))))) (=> true (=> ?v_3868 (and (=> true (=> ?v_3863 (=> true (=> ?v_3865 (=> (= reqCancelSet_1.0 0) ?v_3867))))) (=> true (=> ?v_3870 (=> true (=> ?v_3865 (=> ?v_3866 ?v_3867))))))))))) (let ((?v_3873 (=> true (=> true ?v_3869))) (?v_3871 (= reqCompleted_0.0 reqCompleted_0)) (?v_3872 (= reqCompleted_1.0 reqCompleted_1))) (let ((?v_3874 (and (=> true (=> ?v_3844 (=> true (=> (= reqCompleted_0.0 1) (=> ?v_3872 ?v_3869))))) (=> true (=> ?v_3868 (and (=> true (=> ?v_3863 (=> true (=> ?v_3871 (=> (= reqCompleted_1.0 1) ?v_3873))))) (=> true (=> ?v_3870 (=> true (=> ?v_3871 (=> ?v_3872 ?v_3873)))))))))) (?v_2 (= reqCompleted_0 0)) (?v_3 (= reqCompleted_1 0))) (let ((?v_4 (not ?v_2)) (?v_5 (not ?v_3))) (let ((?v_3876 (and (=> true (=> ?v_13 (=> true (=> (<= k.18 k.27) (=> (< k.27 2) (and (=> true (=> (=> ?v_3844 ?v_4) (=> (=> ?v_3863 ?v_5) (=> true (=> (= errorReached.21 1) ?v_3874))))) (=> true (=> (=> ?v_3844 ?v_2) (=> (=> ?v_3863 ?v_3) (=> true (=> (= errorReached.21 errorReached.16) (=> true ?v_3874)))))))))))) (=> true (=> ?v_384 (=> true (=> (= reqCompleted_1.1 reqCompleted_1) (=> (= reqCancelSet_0.1 reqCancelSet_0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1.) (=> (= reqCancelSet_1.1 reqCancelSet_1) (=> (= errorReached.22 errorReached.16) (=> (= reqCompleted_0.1 reqCompleted_0) (=> (= k.28 k.18) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3875))))))))))))))))))) (let ((?v_3880 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.2) ?v_3876)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3876)))))))))))))))) (?v_3881 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.)) (?v_3882 (= k.18 k.13))) (let ((?v_3883 (=> (= errorReached.16 errorReached.12) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3880))))))))))) (?v_3879 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 call16655formal.ret.0) (=> (= k.18 k.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.16 errorReached.15) ?v_3880)))))) (?v_3877 (= k.17 0)) (?v_3878 (= k.17 1)) (?v_3843 (= myNondetVar_0.0 0)) (?v_561 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_562 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1)) (?v_563 (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..1 inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0)) (?v_564 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_565 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_566 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_567 (= inline.ReleaseDpcLock.4.myNondetVar_0.9 inline.ReleaseDpcLock.4.myNondetVar_0.8)) (?v_568 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_569 (= inline.AcquireEffectiveLock.6.myNondetVar_0.8 inline.AcquireEffectiveLock.6.myNondetVar_0.7)) (?v_570 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1)) (?v_571 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_572 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1)) (?v_573 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_574 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1)) (?v_575 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..2 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1)) (?v_576 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_577 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1)) (?v_578 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3)) (?v_579 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2)) (?v_580 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1)) (?v_581 (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0.2)) (?v_582 (= inline.ReleaseEffectiveLock.5.myNondetVar_0.9 inline.ReleaseEffectiveLock.5.myNondetVar_0.8)) (?v_583 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_584 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3)) (?v_585 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_586 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myNondetVar_0.32)) (?v_587 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2)) (?v_588 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3)) (?v_589 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2)) (?v_590 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2)) (?v_591 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_592 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_593 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1)) (?v_594 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3)) (?v_595 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2)) (?v_596 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3)) (?v_597 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1)) (?v_598 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1)) (?v_599 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myNondetVar_0.33)) (?v_600 (= inline.ReleaseDpcLock.2.myNondetVar_0.10 inline.ReleaseDpcLock.2.myNondetVar_0.9)) (?v_601 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1)) (?v_602 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1)) (?v_603 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1)) (?v_604 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_605 (= lockStatus_1.46 lockStatus_1.45)) (?v_606 (= inline.GetChildQueueContext.2.myNondetVar_0.2 inline.GetChildQueueContext.2.myNondetVar_0.1)) (?v_607 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2)) (?v_608 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_609 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3)) (?v_610 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1)) (?v_611 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1)) (?v_612 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2)) (?v_613 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2)) (?v_614 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2)) (?v_615 (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myNondetVar_0.7)) (?v_616 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_617 (= inline.EvtRequestChildCancel.0.myNondetVar_0.10 inline.EvtRequestChildCancel.0.myNondetVar_0.9)) (?v_618 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4)) (?v_619 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_620 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_621 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_622 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1)) (?v_623 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_624 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_625 (= inline.ReleaseDpcLock.0.myNondetVar_0.7 inline.ReleaseDpcLock.0.myNondetVar_0.6)) (?v_626 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1)) (?v_627 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_628 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1)) (?v_629 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4)) (?v_630 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_631 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2)) (?v_632 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_633 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_634 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1)) (?v_635 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..4)) (?v_636 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3)) (?v_637 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..4 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3)) (?v_638 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_639 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_640 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_641 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1)) (?v_642 (= inline.GetChildQueueContext.3.myNondetVar_0.3 inline.GetChildQueueContext.3.myNondetVar_0.2)) (?v_643 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1)) (?v_644 (= inline.GetRequestContext.6.myNondetVar_0.4 inline.GetRequestContext.6.myNondetVar_0.3)) (?v_645 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1)) (?v_646 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_647 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_648 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2)) (?v_649 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.12 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.11)) (?v_650 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_651 (= inline.GetDeviceContext.19.myNondetVar_0.3 inline.GetDeviceContext.19.myNondetVar_0.2)) (?v_652 (= alloc.15 alloc.14)) (?v_653 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2)) (?v_654 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4)) (?v_655 (= inline.GetDeviceContext.20.myNondetVar_0.3 inline.GetDeviceContext.20.myNondetVar_0.2)) (?v_656 (= inline.GetDeviceContext.27.myNondetVar_0.4 inline.GetDeviceContext.27.myNondetVar_0.3)) (?v_657 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1)) (?v_658 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0)) (?v_659 (= inline.GetDeviceContext.31.myNondetVar_0.3 inline.GetDeviceContext.31.myNondetVar_0.2)) (?v_660 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4)) (?v_661 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_662 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2)) (?v_663 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2)) (?v_664 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0)) (?v_665 (= inline.AcquireEffectiveLock.3.myNondetVar_0.8 inline.AcquireEffectiveLock.3.myNondetVar_0.7)) (?v_666 (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtIoChildRead.0.myNondetVar_0.6)) (?v_667 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2)) (?v_668 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.3 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2)) (?v_669 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3)) (?v_670 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1)) (?v_671 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1)) (?v_672 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_673 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_674 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2)) (?v_675 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1)) (?v_676 (= inline.AcquireDpcLock.4.myNondetVar_0.10 inline.AcquireDpcLock.4.myNondetVar_0.9)) (?v_677 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5)) (?v_678 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2)) (?v_679 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3)) (?v_680 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7)) (?v_681 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_682 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4)) (?v_683 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_684 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..4 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3)) (?v_685 (= inline.ReleaseEffectiveLock.2.myNondetVar_0.9 inline.ReleaseEffectiveLock.2.myNondetVar_0.8)) (?v_686 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1)) (?v_687 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2)) (?v_688 (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1)) (?v_689 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3)) (?v_690 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.12 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.11)) (?v_691 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1)) (?v_692 (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0.2)) (?v_693 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2)) (?v_694 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_695 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1)) (?v_696 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2)) (?v_697 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2)) (?v_698 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtIoChildRead.0.myNondetVar_0.33)) (?v_699 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2)) (?v_700 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_701 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3)) (?v_702 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2)) (?v_703 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1)) (?v_704 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_705 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2)) (?v_706 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1)) (?v_707 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2)) (?v_708 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2)) (?v_709 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3)) (?v_710 (= inline.EvtIoChildRead.0.myNondetVar_0.34 inline.EvtIoChildRead.0.myNondetVar_0.33)) (?v_711 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_712 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2)) (?v_713 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1)) (?v_714 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1)) (?v_715 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_716 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1)) (?v_717 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_718 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1)) (?v_719 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2)) (?v_720 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_721 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2)) (?v_722 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_723 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_724 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1)) (?v_725 (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0)) (?v_726 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2)) (?v_727 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_728 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1)) (?v_729 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_730 (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.2 inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1)) (?v_731 (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1.0 inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation1)) (?v_732 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1)) (?v_733 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2)) (?v_734 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_735 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_736 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1)) (?v_737 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1)) (?v_738 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_739 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_740 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0)) (?v_741 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3)) (?v_742 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1)) (?v_743 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1)) (?v_744 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.3 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2)) (?v_745 (= inline.GetDeviceContext.18.myNondetVar_0.3 inline.GetDeviceContext.18.myNondetVar_0.2)) (?v_746 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_747 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_748 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_749 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2)) (?v_750 (= inline.AcquireEffectiveLock.2.myNondetVar_0.8 inline.AcquireEffectiveLock.2.myNondetVar_0.7)) (?v_751 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0)) (?v_752 (= inline.ReleaseDpcLock.1.myNondetVar_0.9 inline.ReleaseDpcLock.1.myNondetVar_0.8)) (?v_753 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_754 (= inline.AcquireDpcLock.0.myNondetVar_0.7 inline.AcquireDpcLock.0.myNondetVar_0.6)) (?v_755 (= inline.GetRequestContext.7.myNondetVar_0.5 inline.GetRequestContext.7.myNondetVar_0.4)) (?v_756 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0)) (?v_757 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0)) (?v_758 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.13)) (?v_759 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2)) (?v_760 (= inline.GetDeviceContext.7.myNondetVar_0.3 inline.GetDeviceContext.7.myNondetVar_0.2)) (?v_761 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2)) (?v_762 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1)) (?v_763 (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtIoChildRead.0.myNondetVar_0.7)) (?v_764 (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0.2)) (?v_765 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1)) (?v_766 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1)) (?v_767 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1)) (?v_768 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1)) (?v_769 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_770 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0)) (?v_771 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1)) (?v_772 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1)) (?v_773 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..3 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2)) (?v_774 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3)) (?v_775 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3)) (?v_776 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2)) (?v_777 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_778 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..2)) (?v_779 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1)) (?v_780 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2)) (?v_781 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myNondetVar_0.7)) (?v_782 (= inline.GetDeviceContext.28.myNondetVar_0.4 inline.GetDeviceContext.28.myNondetVar_0.3)) (?v_783 (= inline.GetDeviceContext.3.myNondetVar_0.1 inline.GetDeviceContext.3.myNondetVar_0.0)) (?v_784 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.8 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7)) (?v_785 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_786 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1)) (?v_787 (= inline.GetRequestContext.10.myNondetVar_0.5 inline.GetRequestContext.10.myNondetVar_0.4)) (?v_788 (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.5 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4)) (?v_789 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_790 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2)) (?v_791 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1)) (?v_792 (= inline.GetChildQueueContext.4.myNondetVar_0.4 inline.GetChildQueueContext.4.myNondetVar_0.3)) (?v_793 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1)) (?v_794 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..2 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1)) (?v_795 (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..1 inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0)) (?v_796 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3)) (?v_797 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_798 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3)) (?v_799 (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..3)) (?v_800 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0)) (?v_801 (= inline.AcquireEffectiveLock.4.myNondetVar_0.9 inline.AcquireEffectiveLock.4.myNondetVar_0.8)) (?v_802 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2)) (?v_803 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2)) (?v_804 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myNondetVar_0.32)) (?v_805 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2)) (?v_806 (= inline.GetDeviceContext.15.myNondetVar_0.3 inline.GetDeviceContext.15.myNondetVar_0.2)) (?v_807 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_808 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_809 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2)) (?v_810 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_811 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2)) (?v_812 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.4 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3)) (?v_813 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_814 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1)) (?v_815 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3)) (?v_816 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2)) (?v_817 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1)) (?v_818 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2)) (?v_819 (= lockStatus_0.46 lockStatus_0.45)) (?v_820 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.2 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1)) (?v_821 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2)) (?v_822 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3)) (?v_823 (= inline.ReleaseEffectiveLock.1.myNondetVar_0.8 inline.ReleaseEffectiveLock.1.myNondetVar_0.7)) (?v_824 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_825 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2)) (?v_826 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1)) (?v_827 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4)) (?v_828 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_829 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myNondetVar_0.33)) (?v_830 (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myNondetVar_0.6)) (?v_831 (= inline.ReleaseDpcLock.5.myNondetVar_0.10 inline.ReleaseDpcLock.5.myNondetVar_0.9)) (?v_832 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_833 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2)) (?v_834 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0)) (?v_835 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2)) (?v_836 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1)) (?v_837 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3)) (?v_838 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_839 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1)) (?v_840 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0)) (?v_841 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3)) (?v_842 (= inline.GetDeviceContext.2..Handle.1.137.0.GetDeviceContext.0 inline.EvtIoChildRead.0.myNondetVar_0.6)) (?v_843 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2)) (?v_844 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.2 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1)) (?v_845 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1)) (?v_846 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_847 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtIoChildRead.0.myNondetVar_0.32)) (?v_848 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2)) (?v_849 (= inline.ReleaseEffectiveLock.0.myNondetVar_0.6 inline.ReleaseEffectiveLock.0.myNondetVar_0.5)) (?v_850 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2)) (?v_851 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_852 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_853 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2)) (?v_854 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_855 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3)) (?v_856 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_857 (= inline.AcquireEffectiveLock.0..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtIoChildRead.0.myNondetVar_0.6)) (?v_858 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_859 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1)) (?v_860 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2)) (?v_861 (= inline.GetDeviceContext.34.myNondetVar_0.3 inline.GetDeviceContext.34.myNondetVar_0.2)) (?v_862 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2)) (?v_863 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_864 (= inline.GetDeviceContext.26.myNondetVar_0.4 inline.GetDeviceContext.26.myNondetVar_0.3)) (?v_865 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_866 (= inline.EvtIoChildRead.0.myNondetVar_1.5 inline.EvtIoChildRead.0.myNondetVar_1.4)) (?v_867 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_868 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1)) (?v_869 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_870 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2)) (?v_871 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1)) (?v_872 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3)) (?v_873 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3)) (?v_874 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_875 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1)) (?v_876 (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_877 (= inline.AcquireEffectiveLock.5.myNondetVar_0.8 inline.AcquireEffectiveLock.5.myNondetVar_0.7)) (?v_878 (= inline.GetDeviceContext.11.myNondetVar_0.4 inline.GetDeviceContext.11.myNondetVar_0.3)) (?v_879 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1)) (?v_880 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1)) (?v_881 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3)) (?v_882 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_883 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_884 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1)) (?v_885 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_886 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2)) (?v_887 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1)) (?v_888 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3)) (?v_889 (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0)) (?v_890 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_891 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2)) (?v_892 (= inline.GetRequestContext.9.myNondetVar_0.4 inline.GetRequestContext.9.myNondetVar_0.3)) (?v_893 (= inline.GetDeviceContext.13.myNondetVar_0.4 inline.GetDeviceContext.13.myNondetVar_0.3)) (?v_894 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_895 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1)) (?v_896 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.4 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3)) (?v_897 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_898 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1)) (?v_899 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_900 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0)) (?v_901 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_902 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2)) (?v_903 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1)) (?v_904 (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.1 inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0)) (?v_905 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_906 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_907 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0)) (?v_908 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.4 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3)) (?v_909 (= inline.GetDeviceContext.12.myNondetVar_0.4 inline.GetDeviceContext.12.myNondetVar_0.3)) (?v_910 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2)) (?v_911 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3)) (?v_912 (= inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation.0 inline.MyWdfRequestCompleteWithInformation.0..Request.1.238.15.MyWdfRequestCompleteWithInformation)) (?v_913 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_914 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3)) (?v_915 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3)) (?v_916 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2)) (?v_917 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_918 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1)) (?v_919 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2)) (?v_920 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3)) (?v_921 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_922 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3)) (?v_923 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.)) (?v_924 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2)) (?v_925 (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_926 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2)) (?v_927 (= inline.AcquireDpcLock.2.myNondetVar_0.9 inline.AcquireDpcLock.2.myNondetVar_0.8)) (?v_928 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_929 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3)) (?v_930 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1)) (?v_931 (= inline.GetDeviceContext.32.myNondetVar_0.3 inline.GetDeviceContext.32.myNondetVar_0.2)) (?v_932 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0)) (?v_933 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2)) (?v_934 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1)) (?v_935 (= inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..1 inline.EvtIoChildRead.0..result._ReturnAddress.1132.62.6..0)) (?v_936 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1)) (?v_937 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2)) (?v_938 (= inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..1 inline.EvtIoChildRead.0..result._ReturnAddress.1134.56.7..0)) (?v_939 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3)) (?v_940 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1)) (?v_941 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3)) (?v_942 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_943 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1)) (?v_944 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_945 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_946 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_947 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1)) (?v_948 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2)) (?v_949 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1)) (?v_950 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_951 (= inline.AcquireDpcLock.5.myNondetVar_0.9 inline.AcquireDpcLock.5.myNondetVar_0.8)) (?v_952 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1)) (?v_953 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2)) (?v_954 (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0.0)) (?v_955 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0)) (?v_956 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_957 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..2 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1)) (?v_958 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1)) (?v_959 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2)) (?v_960 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1)) (?v_961 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_962 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3)) (?v_963 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4)) (?v_964 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2)) (?v_965 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_966 (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1)) (?v_967 (= inline.GetDeviceContext.33.myNondetVar_0.3 inline.GetDeviceContext.33.myNondetVar_0.2)) (?v_968 (= inline.AcquireEffectiveLock.0.myNondetVar_0.6 inline.AcquireEffectiveLock.0.myNondetVar_0.5)) (?v_969 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_970 (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0)) (?v_971 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_972 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myNondetVar_0.33)) (?v_973 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_974 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3)) (?v_975 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.2 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1)) (?v_976 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_977 (= inline.AcquireDpcLock.3.myNondetVar_0.9 inline.AcquireDpcLock.3.myNondetVar_0.8)) (?v_978 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_979 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1)) (?v_980 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_981 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0)) (?v_982 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_983 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_984 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_985 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_986 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_987 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2)) (?v_988 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2)) (?v_989 (= inline.AcquireDpcLock.6.myNondetVar_0.9 inline.AcquireDpcLock.6.myNondetVar_0.8)) (?v_990 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..3 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2)) (?v_991 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..2 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1)) (?v_992 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_993 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_994 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..4 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3)) (?v_995 (= inline.AcquireDpcLock.1.myNondetVar_0.10 inline.AcquireDpcLock.1.myNondetVar_0.9)) (?v_996 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1)) (?v_997 (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0.0)) (?v_998 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.4 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3)) (?v_999 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1)) (?v_1000 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2)) (?v_1001 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1)) (?v_1002 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1)) (?v_1003 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1004 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3)) (?v_1005 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4)) (?v_1006 (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0.2)) (?v_1007 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1)) (?v_1008 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_1009 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1010 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1)) (?v_1011 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1012 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1)) (?v_1013 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2)) (?v_1014 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1)) (?v_1015 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2)) (?v_1016 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2)) (?v_1017 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.3 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2)) (?v_1018 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3)) (?v_1019 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2)) (?v_1020 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_1021 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0)) (?v_1022 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1023 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..4 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3)) (?v_1024 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1025 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1)) (?v_1026 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_1027 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtIoChildRead.0.myNondetVar_0.32)) (?v_1028 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..2 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1)) (?v_1029 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3)) (?v_1030 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1031 (= inline.ReleaseDpcLock.6.myNondetVar_0.9 inline.ReleaseDpcLock.6.myNondetVar_0.8)) (?v_1032 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1033 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3)) (?v_1034 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_1035 (= inline.ReleaseDpcLock.3.myNondetVar_0.9 inline.ReleaseDpcLock.3.myNondetVar_0.8)) (?v_1036 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3)) (?v_1037 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1)) (?v_1038 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1039 (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0.2)) (?v_1040 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_1041 (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1.)) (?v_1042 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1043 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..4 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3)) (?v_1044 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.2 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1)) (?v_1045 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1046 (= inline.GetDeviceContext.25.myNondetVar_0.4 inline.GetDeviceContext.25.myNondetVar_0.3)) (?v_1047 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1)) (?v_1048 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0)) (?v_1049 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1050 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2)) (?v_1051 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.3 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2)) (?v_1052 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2)) (?v_1053 (= inline.GetDeviceContext.16.myNondetVar_0.3 inline.GetDeviceContext.16.myNondetVar_0.2)) (?v_1054 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1055 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3)) (?v_1056 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1057 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1058 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3)) (?v_1059 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4)) (?v_1060 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..5 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4)) (?v_1061 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2)) (?v_1062 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myNondetVar_0.32)) (?v_1063 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1064 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2)) (?v_1065 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1066 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1067 (= inline.GetRequestContext.3.myNondetVar_0.3 inline.GetRequestContext.3.myNondetVar_0.2)) (?v_1068 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2)) (?v_1069 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1070 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0)) (?v_1071 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1072 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3)) (?v_1073 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1074 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4)) (?v_1075 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..4 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3)) (?v_1076 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1077 (= inline.GetDeviceContext.24.myNondetVar_0.4 inline.GetDeviceContext.24.myNondetVar_0.3)) (?v_1078 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0)) (?v_1079 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myNondetVar_0.33)) (?v_1080 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion)) (?v_1081 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1082 (= inline.GetDeviceContext.17.myNondetVar_0.3 inline.GetDeviceContext.17.myNondetVar_0.2)) (?v_1083 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3)) (?v_1084 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1)) (?v_1085 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2)) (?v_1086 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_1087 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1088 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3)) (?v_1089 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1090 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1091 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2)) (?v_1092 (= inline.GetChildQueueContext.5.myNondetVar_0.3 inline.GetChildQueueContext.5.myNondetVar_0.2)) (?v_1093 (= inline.EvtRequestChildCancel.1.myNondetVar_0.10 inline.EvtRequestChildCancel.1.myNondetVar_0.9)) (?v_1094 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1)) (?v_1095 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1)) (?v_1096 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.4 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3)) (?v_1097 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1098 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1099 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtIoChildRead.0.myNondetVar_0.6)) (?v_1100 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2)) (?v_1101 (= inline.GetChildQueueContext.6.myNondetVar_0.4 inline.GetChildQueueContext.6.myNondetVar_0.3)) (?v_1102 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3)) (?v_1103 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4)) (?v_1104 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1105 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1106 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2)) (?v_1107 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1108 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2)) (?v_1109 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.4 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3)) (?v_1110 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2)) (?v_1111 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1)) (?v_1112 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3)) (?v_1113 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1114 (= inline.GetDeviceContext.21.myNondetVar_0.3 inline.GetDeviceContext.21.myNondetVar_0.2)) (?v_1115 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1116 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1117 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1118 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.4 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3)) (?v_1119 (= inline.GetDeviceContext.29.myNondetVar_0.3 inline.GetDeviceContext.29.myNondetVar_0.2)) (?v_1120 (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0.1)) (?v_1121 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_1122 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2)) (?v_1123 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1)) (?v_1124 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myNondetVar_0.32)) (?v_1125 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.2 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1)) (?v_1126 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.4 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3)) (?v_1127 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1)) (?v_1128 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.4 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3)) (?v_1129 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.4 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3)) (?v_1130 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..3 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2)) (?v_1131 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2)) (?v_1132 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..4 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3)) (?v_1133 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2)) (?v_1134 (= inline.GetDeviceContext.3..Handle.1.137.0.GetDeviceContext1.0 inline.EvtIoChildRead.0.myNondetVar_0.7)) (?v_1135 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2)) (?v_1136 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1137 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3)) (?v_1138 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.5 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4)) (?v_1139 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1140 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3)) (?v_1141 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1142 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3)) (?v_1143 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2)) (?v_1144 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1)) (?v_1145 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2)) (?v_1146 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1147 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1148 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0)) (?v_1149 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1150 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1)) (?v_1151 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1)) (?v_1152 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1)) (?v_1153 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2)) (?v_1154 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3)) (?v_1155 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1156 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0)) (?v_1157 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3)) (?v_1158 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1)) (?v_1159 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1160 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2)) (?v_1161 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3)) (?v_1162 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1163 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_1164 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.3 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2)) (?v_1165 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1166 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3)) (?v_1167 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myNondetVar_0.6)) (?v_1168 (= inline.ReleaseEffectiveLock.4.myNondetVar_0.8 inline.ReleaseEffectiveLock.4.myNondetVar_0.7)) (?v_1169 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..4 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..3)) (?v_1170 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1171 (= inline.ReleaseEffectiveLock.3.myNondetVar_0.8 inline.ReleaseEffectiveLock.3.myNondetVar_0.7)) (?v_1172 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1)) (?v_1173 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1174 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1175 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1)) (?v_1176 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.2 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1)) (?v_1177 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1178 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.2 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1)) (?v_1179 (= inline.GetDeviceContext.10.myNondetVar_0.4 inline.GetDeviceContext.10.myNondetVar_0.3)) (?v_1180 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1181 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2)) (?v_1182 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1)) (?v_1183 (= inline.AcquireDpcLock.0..Device.1.2353.14.AcquireDpcLock.0 inline.EvtIoChildRead.0.myNondetVar_0.7)) (?v_1184 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1)) (?v_1185 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1186 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1187 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4)) (?v_1188 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1189 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.3 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2)) (?v_1190 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1)) (?v_1191 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3)) (?v_1192 (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0.2)) (?v_1193 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.3 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2)) (?v_1194 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3)) (?v_1195 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..5 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4)) (?v_1196 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1197 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1)) (?v_1198 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3)) (?v_1199 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1)) (?v_1200 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext)) (?v_1201 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1)) (?v_1202 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.3 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2)) (?v_1203 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1)) (?v_1204 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.3 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2)) (?v_1205 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..4 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3)) (?v_1206 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1207 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1208 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtIoChildRead.0.myNondetVar_0.7)) (?v_1209 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..2 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1)) (?v_1210 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1211 (= inline.GetDeviceContext.14.myNondetVar_0.4 inline.GetDeviceContext.14.myNondetVar_0.3)) (?v_1212 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2)) (?v_1213 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.3 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2)) (?v_1214 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..1 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0)) (?v_1215 (= inline.ReleaseEffectiveLock.6.myNondetVar_0.8 inline.ReleaseEffectiveLock.6.myNondetVar_0.7)) (?v_1216 (= inline.GetDeviceContext.2.myNondetVar_0.1 inline.GetDeviceContext.2.myNondetVar_0.0)) (?v_1217 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.3 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2)) (?v_1218 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1219 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..2 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1)) (?v_1220 (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0.2)) (?v_1221 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtIoChildRead.0.myNondetVar_0.33)) (?v_1222 (= inline.AcquireEffectiveLock.1.myNondetVar_0.9 inline.AcquireEffectiveLock.1.myNondetVar_0.8)) (?v_1223 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1)) (?v_1224 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1225 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..2 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1)) (?v_1226 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myNondetVar_0)) (?v_1227 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..3 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2)) (?v_1228 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2)) (?v_1229 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1)) (?v_1230 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1231 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4)) (?v_1232 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_1233 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1234 (= inline.GetDeviceContext.30.myNondetVar_0.3 inline.GetDeviceContext.30.myNondetVar_0.2)) (?v_1235 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0)) (?v_1236 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.4 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3)) (?v_1237 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1)) (?v_1238 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..3 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2)) (?v_1239 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_560 (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0 0))) (let ((?v_550 (=> true (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_565 (=> ?v_566 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> ?v_574 (=> ?v_575 (=> ?v_576 (=> ?v_577 (=> ?v_578 (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_582 (=> ?v_583 (=> ?v_584 (=> ?v_585 (=> ?v_586 (=> ?v_587 (=> ?v_588 (=> ?v_589 (=> ?v_590 (=> ?v_591 (=> ?v_592 (=> ?v_593 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_594 (=> ?v_595 (=> ?v_596 (=> ?v_597 (=> ?v_598 (=> ?v_599 (=> ?v_600 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> ?v_601 (=> ?v_602 (=> ?v_603 (=> ?v_604 (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> ?v_608 (=> ?v_609 (=> ?v_610 (=> ?v_611 (=> ?v_612 (=> ?v_613 (=> ?v_614 (=> ?v_615 (=> ?v_616 (=> ?v_617 (=> ?v_618 (=> ?v_619 (=> ?v_620 (=> ?v_621 (=> ?v_622 (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0) (=> ?v_623 (=> ?v_624 (=> ?v_625 (=> ?v_626 (=> ?v_627 (=> ?v_628 (=> ?v_629 (=> ?v_630 (=> ?v_631 (=> ?v_632 (=> ?v_633 (=> ?v_634 (=> ?v_635 (=> ?v_636 (=> ?v_637 (=> ?v_638 (=> ?v_639 (=> ?v_640 (=> ?v_641 (=> ?v_642 (=> ?v_643 (=> ?v_644 (=> ?v_645 (=> ?v_646 (=> ?v_647 (=> ?v_648 (=> ?v_649 (=> ?v_650 (=> ?v_651 (=> ?v_652 (=> ?v_653 (=> ?v_654 (=> ?v_655 (=> ?v_656 (=> ?v_657 (=> ?v_658 (=> ?v_659 (=> ?v_660 (=> ?v_661 (=> ?v_662 (=> ?v_663 (=> ?v_664 (=> ?v_665 (=> ?v_666 (=> ?v_667 (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 hrequest) (=> ?v_668 (=> ?v_669 (=> ?v_670 (=> ?v_671 (=> ?v_672 (=> ?v_673 (=> ?v_674 (=> ?v_675 (=> ?v_676 (=> ?v_677 (=> ?v_678 (=> ?v_679 (=> ?v_680 (=> ?v_681 (=> ?v_682 (=> ?v_683 (=> ?v_684 (=> ?v_685 (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> ?v_686 (=> ?v_687 (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> ?v_688 (=> ?v_689 (=> ?v_690 (=> ?v_691 (=> ?v_692 (=> ?v_693 (=> ?v_694 (=> ?v_695 (=> ?v_696 (=> ?v_697 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0) (=> ?v_698 (=> ?v_699 (=> ?v_700 (=> ?v_701 (=> ?v_702 (=> ?v_703 (=> ?v_704 (=> ?v_705 (=> ?v_706 (=> ?v_707 (=> ?v_708 (=> ?v_709 (=> ?v_710 (=> ?v_711 (=> ?v_712 (=> ?v_713 (=> ?v_714 (=> ?v_715 (=> ?v_716 (=> ?v_717 (=> ?v_718 (=> ?v_719 (=> ?v_720 (=> ?v_721 (=> ?v_722 (=> ?v_723 (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> (= reqCancelSet_0.22 reqCancelSet_0.21) (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> (= k.195 k.194) (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3) (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> (= reqCancelSet_1.22 reqCancelSet_1.21) (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0.0) (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> (= errorReached.144 errorReached.143) (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> ?v_1184 (=> (= reqCompleted_1.16 reqCompleted_1.15) (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> (= reqCompleted_0.16 reqCompleted_0.15) (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 ?v_1240))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_537 (=> true (=> (= reqCancelSet_1.21 reqCancelSet_1.20) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 call18605formal.ret.0) (=> (= reqCancelSet_0.21 reqCancelSet_0.20) (=> (= reqCompleted_0.15 reqCompleted_0.14) (=> (= k.194 k.193) (=> (= errorReached.143 errorReached.142) (=> (= reqCompleted_1.15 reqCompleted_1.14) ?v_550)))))))))) (let ((?v_540 (=> true ?v_537)) (?v_538 (= reqCancelSet_0.20 reqCancelSet_0.19)) (?v_539 (= reqCancelSet_1.20 reqCancelSet_1.19)) (?v_536 (= k.193 1))) (let ((?v_543 (not ?v_536)) (?v_21 (= k.193 0))) (let ((?v_541 (not ?v_21))) (let ((?v_542 (and (=> true (=> ?v_21 (=> true (=> (= reqCancelSet_0.20 0) (=> ?v_539 ?v_537))))) (=> true (=> ?v_541 (and (=> true (=> ?v_536 (=> true (=> ?v_538 (=> (= reqCancelSet_1.20 0) ?v_540))))) (=> true (=> ?v_543 (=> true (=> ?v_538 (=> ?v_539 ?v_540))))))))))) (let ((?v_546 (=> true (=> true ?v_542))) (?v_544 (= reqCompleted_0.14 reqCompleted_0.13)) (?v_545 (= reqCompleted_1.14 reqCompleted_1.13))) (let ((?v_549 (and (=> true (=> ?v_21 (=> true (=> (= reqCompleted_0.14 1) (=> ?v_545 ?v_542))))) (=> true (=> ?v_541 (and (=> true (=> ?v_536 (=> true (=> ?v_544 (=> (= reqCompleted_1.14 1) ?v_546))))) (=> true (=> ?v_543 (=> true (=> ?v_544 (=> ?v_545 ?v_546)))))))))) (?v_547 (= reqCompleted_0.13 0)) (?v_548 (= reqCompleted_1.13 0))) (let ((?v_19 (not ?v_547)) (?v_20 (not ?v_548))) (let ((?v_551 (and (=> true (=> ?v_13 (=> true (=> (<= k.192 k.193) (=> (< k.193 2) (and (=> true (=> (=> ?v_21 ?v_19) (=> (=> ?v_536 ?v_20) (=> true (=> (= errorReached.142 1) ?v_549))))) (=> true (=> (=> ?v_21 ?v_547) (=> (=> ?v_536 ?v_548) (=> true (=> (= errorReached.142 errorReached.141) (=> true ?v_549)))))))))))) (=> true (=> ?v_384 (=> true (=> (= reqCancelSet_1.21 reqCancelSet_1.19) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_0.21 reqCancelSet_0.19) (=> (= reqCompleted_0.15 reqCompleted_0.13) (=> (= k.194 k.192) (=> (= errorReached.143 errorReached.141) (=> (= reqCompleted_1.15 reqCompleted_1.13) (=> true (=> true (=> true (=> true (=> true (=> true ?v_550))))))))))))))))))) (let ((?v_555 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.2) ?v_551)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_551))))))))))))))))) (let ((?v_559 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_555)))))))))) (?v_556 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_557 (= k.192 k.190)) (?v_558 (= errorReached.141 errorReached.139)) (?v_554 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 call18454formal.ret.0) (=> (= k.192 k.191) (=> (= errorReached.141 errorReached.140) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_555)))))) (?v_552 (= k.191 0)) (?v_553 (= k.191 1))) (let ((?v_1242 (and (=> true (=> (not ?v_560) (and (=> true (=> ?v_13 (=> true (=> (<= k.190 k.191) (=> (< k.191 2) (and (=> true (=> (=> ?v_552 ?v_19) (=> (=> ?v_553 ?v_20) (=> true (=> (= errorReached.140 1) ?v_554))))) (=> true (=> (=> ?v_552 ?v_547) (=> (=> ?v_553 ?v_548) (=> true (=> (= errorReached.140 errorReached.139) (=> true ?v_554)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> ?v_556 (=> ?v_557 (=> ?v_558 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_559))))))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> ?v_556 (=> ?v_557 (=> ?v_558 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_559))))))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> ?v_556 (=> ?v_557 (=> ?v_558 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_559))))))) (=> true (=> ?v_422 (=> true (=> ?v_556 (=> ?v_557 (=> ?v_558 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_559))))))))))))))))))) (=> true (=> ?v_560 (=> true (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_565 (=> ?v_566 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> ?v_3845 (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> ?v_574 (=> ?v_575 (=> ?v_576 (=> ?v_577 (=> ?v_578 (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_582 (=> ?v_583 (=> ?v_584 (=> ?v_585 (=> ?v_586 (=> ?v_587 (=> ?v_588 (=> ?v_589 (=> ?v_590 (=> ?v_591 (=> ?v_592 (=> ?v_593 (=> ?v_3846 (=> ?v_594 (=> ?v_595 (=> ?v_596 (=> ?v_597 (=> ?v_598 (=> ?v_599 (=> ?v_600 (=> ?v_3847 (=> ?v_601 (=> ?v_602 (=> ?v_603 (=> ?v_604 (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> ?v_608 (=> ?v_609 (=> ?v_610 (=> ?v_611 (=> ?v_612 (=> ?v_613 (=> ?v_614 (=> ?v_615 (=> ?v_616 (=> ?v_617 (=> ?v_618 (=> ?v_619 (=> ?v_620 (=> ?v_621 (=> ?v_622 (=> ?v_3848 (=> ?v_623 (=> ?v_624 (=> ?v_625 (=> ?v_626 (=> ?v_627 (=> ?v_628 (=> ?v_629 (=> ?v_630 (=> ?v_631 (=> ?v_632 (=> ?v_633 (=> ?v_634 (=> ?v_635 (=> ?v_636 (=> ?v_637 (=> ?v_638 (=> ?v_639 (=> ?v_640 (=> ?v_641 (=> ?v_642 (=> ?v_643 (=> ?v_644 (=> ?v_645 (=> ?v_646 (=> ?v_647 (=> ?v_648 (=> ?v_649 (=> ?v_650 (=> ?v_651 (=> ?v_652 (=> ?v_653 (=> ?v_654 (=> ?v_655 (=> ?v_656 (=> ?v_657 (=> ?v_658 (=> ?v_659 (=> ?v_660 (=> ?v_661 (=> ?v_662 (=> ?v_663 (=> ?v_664 (=> ?v_665 (=> ?v_666 (=> ?v_667 (=> ?v_3849 (=> ?v_668 (=> ?v_669 (=> ?v_670 (=> ?v_671 (=> ?v_672 (=> ?v_673 (=> ?v_674 (=> ?v_675 (=> ?v_676 (=> ?v_677 (=> ?v_678 (=> ?v_679 (=> ?v_680 (=> ?v_681 (=> ?v_682 (=> ?v_683 (=> ?v_684 (=> ?v_685 (=> ?v_3850 (=> ?v_686 (=> ?v_687 (=> ?v_3851 (=> ?v_688 (=> ?v_689 (=> ?v_690 (=> ?v_691 (=> ?v_692 (=> ?v_693 (=> ?v_694 (=> ?v_695 (=> ?v_696 (=> ?v_697 (=> ?v_3852 (=> ?v_698 (=> ?v_699 (=> ?v_700 (=> ?v_701 (=> ?v_702 (=> ?v_703 (=> ?v_704 (=> ?v_705 (=> ?v_706 (=> ?v_707 (=> ?v_708 (=> ?v_709 (=> ?v_710 (=> ?v_711 (=> ?v_712 (=> ?v_713 (=> ?v_714 (=> ?v_715 (=> ?v_716 (=> ?v_717 (=> ?v_718 (=> ?v_719 (=> ?v_720 (=> ?v_721 (=> ?v_722 (=> ?v_723 (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_3853 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> (= reqCancelSet_0.22 reqCancelSet_0.19) (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> (= k.195 k.190) (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> ?v_791 (=> ?v_792 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 (=> ?v_805 (=> ?v_806 (=> ?v_807 (=> ?v_808 (=> ?v_809 (=> ?v_810 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_814 (=> ?v_815 (=> ?v_816 (=> ?v_3854 (=> ?v_817 (=> ?v_818 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_822 (=> ?v_823 (=> ?v_824 (=> ?v_825 (=> ?v_826 (=> ?v_827 (=> ?v_828 (=> ?v_829 (=> ?v_830 (=> ?v_831 (=> ?v_832 (=> ?v_833 (=> ?v_834 (=> ?v_835 (=> ?v_836 (=> ?v_837 (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> ?v_841 (=> ?v_842 (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_847 (=> ?v_3855 (=> ?v_848 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_854 (=> ?v_855 (=> ?v_856 (=> ?v_857 (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> ?v_3856 (=> ?v_869 (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> (= reqCancelSet_1.22 reqCancelSet_1.19) (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_3857 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> (= errorReached.144 errorReached.139) (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_3858 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_3859 (=> ?v_3860 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_3861 (=> ?v_1184 (=> (= reqCompleted_1.16 reqCompleted_1.13) (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> (= reqCompleted_0.16 reqCompleted_0.13) (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 ?v_3862)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1241 (=> true (=> (= inline.ReleaseEffectiveLock.0.myNondetVar_0.5 inline.ReleaseEffectiveLock.0.myNondetVar_0.4) ?v_1242)))) (let ((?v_1247 (and (=> true (=> (= inline.ReleaseEffectiveLock.0.myNondetVar_0.0 1) (=> true (=> (= inline.ReleaseEffectiveLock.0.myNondetVar_0.4 inline.ReleaseEffectiveLock.0.myNondetVar_0.0) ?v_1241)))) (=> true (=> (not (= inline.ReleaseEffectiveLock.0.myNondetVar_0.1 1)) (and (=> true (=> (= inline.ReleaseEffectiveLock.0.myNondetVar_0.3 4) (=> true (=> (= inline.ReleaseEffectiveLock.0.myNondetVar_0.4 inline.ReleaseEffectiveLock.0.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1241)))))))))))) (=> true (=> (not (= inline.ReleaseEffectiveLock.0.myNondetVar_0.2 4)) (=> true (=> (= inline.ReleaseEffectiveLock.0.myNondetVar_0.5 inline.ReleaseEffectiveLock.0.myNondetVar_0.2) (=> true (=> true (=> true (=> true ?v_1242))))))))))))) (?v_1249 (= k.190 k.188)) (?v_1250 (= errorReached.139 errorReached.137))) (let ((?v_1251 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1247))))))))))) (?v_1253 (= inline.EvtIoChildRead.0.myNondetVar_0.33 hdevice)) (?v_1252 (= inline.EvtIoChildRead.0.myNondetVar_0.33 hqueue)) (?v_1248 (= inline.EvtIoChildRead.0.myNondetVar_0.33 htimer)) (?v_1246 (= inline.EvtIoChildRead.0.myNondetVar_0.33 hrequest)) (?v_1245 (=> true (=> (= k.190 k.189) (=> (= errorReached.139 errorReached.138) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 call18198formal.ret.0) ?v_1247)))))) (?v_1243 (= k.189 0)) (?v_1244 (= k.189 1))) (let ((?v_1263 (and (=> true (=> ?v_1246 (=> true (=> (<= k.188 k.189) (=> (< k.189 2) (and (=> true (=> (=> ?v_1243 ?v_19) (=> (=> ?v_1244 ?v_20) (=> true (=> (= errorReached.138 1) ?v_1245))))) (=> true (=> (=> ?v_1243 ?v_547) (=> (=> ?v_1244 ?v_548) (=> true (=> (= errorReached.138 errorReached.137) (=> true ?v_1245)))))))))))) (=> true (=> (not ?v_1246) (and (=> true (=> ?v_1248 (=> true (=> ?v_1249 (=> ?v_1250 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1251)))))) (=> true (=> (not ?v_1248) (and (=> true (=> ?v_1252 (=> true (=> ?v_1249 (=> ?v_1250 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1251)))))) (=> true (=> (not ?v_1252) (and (=> true (=> ?v_1253 (=> true (=> ?v_1249 (=> ?v_1250 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1251)))))) (=> true (=> (not ?v_1253) (=> true (=> ?v_1249 (=> ?v_1250 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1251)))))))))))))))))) (let ((?v_1261 (=> true (=> (= lockStatus_0.45 lockStatus_0.44) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.0.myNondetVar_0.4) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.6 inline.ReleaseDpcLock.0.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.0.myNondetVar_0.4) (=> (= lockStatus_1.45 lockStatus_1.44) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0) (=> (= k.188 k.187) ?v_1263))))))))) (?v_1260 (= inline.ReleaseDpcLock.0.myNondetVar_0.4 hlock))) (let ((?v_1255 (=> true (=> (= lockStatus_0.44 lockStatus_0.43) (=> (= lockStatus_1.44 lockStatus_1.43) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 call18087formal.ret.0) (=> (= k.187 k.186) ?v_1261))))))) (let ((?v_1259 (=> true ?v_1255)) (?v_1257 (= lockStatus_0.43 lockStatus_0.42)) (?v_1258 (= lockStatus_1.43 lockStatus_1.42)) (?v_1256 (= k.186 1)) (?v_1254 (= k.186 0))) (let ((?v_1262 (and (=> true (=> ?v_1260 (=> true (=> (<= k.185 k.186) (=> (< k.186 2) (and (=> true (=> ?v_1254 (=> true (=> (= lockStatus_0.43 0) (=> ?v_1258 ?v_1255))))) (=> true (=> (not ?v_1254) (and (=> true (=> ?v_1256 (=> true (=> ?v_1257 (=> (= lockStatus_1.43 0) ?v_1259))))) (=> true (=> (not ?v_1256) (=> true (=> ?v_1257 (=> ?v_1258 ?v_1259)))))))))))))) (=> true (=> (not ?v_1260) (=> true (=> (= lockStatus_0.44 lockStatus_0.42) (=> (= lockStatus_1.44 lockStatus_1.42) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= k.187 k.185) (=> true (=> true (=> true ?v_1261))))))))))))) (let ((?v_1268 (and (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.3 inline.ReleaseDpcLock.0.myNondetVar_0.0) ?v_1262)))) (=> true (=> (not (= inline.ReleaseDpcLock.0.myNondetVar_0.1 2)) (and (=> true (=> (not (= inline.ReleaseDpcLock.0.myNondetVar_0.2 2)) (=> true (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.3 inline.ReleaseDpcLock.0.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1262)))))))))) (=> true (=> (not (not (= inline.ReleaseDpcLock.0.myNondetVar_0.5 2))) (=> true (=> (= lockStatus_0.45 lockStatus_0.42) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.ReleaseDpcLock.0.myNondetVar_0.6 inline.ReleaseDpcLock.0.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_1.45 lockStatus_1.42) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= k.188 k.185) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1263)))))))))))))))))))))))))))))) (let ((?v_1270 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.) (=> (= k.185 k.183) (=> (= errorReached.137 errorReached.135) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1268))))))))))))) (?v_1272 (= inline.EvtIoChildRead.0.myNondetVar_0.32 hdevice)) (?v_1271 (= inline.EvtIoChildRead.0.myNondetVar_0.32 hqueue)) (?v_1269 (= inline.EvtIoChildRead.0.myNondetVar_0.32 htimer)) (?v_1267 (= inline.EvtIoChildRead.0.myNondetVar_0.32 hrequest)) (?v_1266 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 call17926formal.ret.0) (=> (= k.185 k.184) (=> (= errorReached.137 errorReached.136) ?v_1268)))))) (?v_1264 (= k.184 0)) (?v_1265 (= k.184 1))) (let ((?v_1355 (and (=> true (=> ?v_1267 (=> true (=> (<= k.183 k.184) (=> (< k.184 2) (and (=> true (=> (=> ?v_1264 ?v_19) (=> (=> ?v_1265 ?v_20) (=> true (=> (= errorReached.136 1) ?v_1266))))) (=> true (=> (=> ?v_1264 ?v_547) (=> (=> ?v_1265 ?v_548) (=> true (=> (= errorReached.136 errorReached.135) (=> true ?v_1266)))))))))))) (=> true (=> (not ?v_1267) (and (=> true (=> ?v_1269 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1270)))) (=> true (=> (not ?v_1269) (and (=> true (=> ?v_1271 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1270)))) (=> true (=> (not ?v_1271) (and (=> true (=> ?v_1272 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1270)))) (=> true (=> (not ?v_1272) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1270)))))))))))))))) (let ((?v_3647 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1355)))))))))))) (?v_3097 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_3098 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3653 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_3654 (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0 inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16.)) (?v_3099 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3100 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3101 (= inline.ReleaseDpcLock.4.myNondetVar_0.8 inline.ReleaseDpcLock.4.myNondetVar_0)) (?v_3102 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3103 (= inline.AcquireEffectiveLock.6.myNondetVar_0.7 inline.AcquireEffectiveLock.6.myNondetVar_0)) (?v_3104 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_3105 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3106 (= inline.GetDeviceContext.33.myNondetVar_0.2 inline.GetDeviceContext.33.myNondetVar_0)) (?v_3107 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_3108 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3109 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_3655 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14.)) (?v_3110 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.)) (?v_3111 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_3112 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3113 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_3656 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory)) (?v_3114 (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0)) (?v_3115 (= inline.ReleaseEffectiveLock.5.myNondetVar_0.8 inline.ReleaseEffectiveLock.5.myNondetVar_0)) (?v_3116 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3117 (= inline.ReleaseDpcLock.5.myNondetVar_0.9 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_3118 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3119 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_3120 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_3121 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3122 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_3123 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_3124 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3125 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3126 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.)) (?v_3127 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3128 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked)) (?v_3129 (= inline.AcquireEffectiveLock.5.myNondetVar_0.7 inline.AcquireEffectiveLock.5.myNondetVar_0)) (?v_3657 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15.)) (?v_3130 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_3131 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_3132 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0)) (?v_3133 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3134 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_3708 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_3725 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.)) (?v_3135 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_3136 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.)) (?v_3137 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_3138 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3139 (= inline.EvtRequestChildCancel.0.myNondetVar_0.9 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_3808 (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 0)) (?v_3140 (= reqCompleted_1.13 reqCompleted_1)) (?v_3141 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3142 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_3143 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3144 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_3145 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_3146 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3659 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_3147 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_3148 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3149 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_3150 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_3151 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3152 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3153 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_3154 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_3155 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3156 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_3157 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_3158 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_3159 (= inline.GetRequestContext.6.myNondetVar_0.3 inline.GetRequestContext.6.myNondetVar_0)) (?v_3160 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3161 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3162 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3163 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0)) (?v_3164 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3165 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0)) (?v_3809 (= alloc.14 alloc.4)) (?v_3661 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_3166 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_3167 (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0)) (?v_3168 (= inline.GetDeviceContext.27.myNondetVar_0.3 inline.GetDeviceContext.27.myNondetVar_0)) (?v_3169 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_3170 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1)) (?v_3171 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0)) (?v_3662 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_3172 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_3173 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3174 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3175 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3176 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1)) (?v_3177 (= inline.AcquireEffectiveLock.3.myNondetVar_0.7 inline.AcquireEffectiveLock.3.myNondetVar_0)) (?v_3709 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_3178 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.)) (?v_3179 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3180 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_3730 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_3664 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1)) (?v_3181 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3182 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3183 (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_3184 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_3185 (= inline.AcquireDpcLock.4.myNondetVar_0.9 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_3186 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_3187 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3665 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_3188 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0)) (?v_3189 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3190 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3191 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_3192 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_3193 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3666 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1.)) (?v_3194 (= inline.ReleaseEffectiveLock.2.myNondetVar_0.8 inline.ReleaseEffectiveLock.2.myNondetVar_0)) (?v_3195 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_3196 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.)) (?v_3197 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0)) (?v_3198 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_3199 (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0)) (?v_3200 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_3201 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3667 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0)) (?v_3202 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3203 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_3204 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_3205 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3206 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3207 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3208 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_3209 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_3210 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3211 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3735 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0)) (?v_3669 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.)) (?v_3212 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_3213 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3784 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead)) (?v_3214 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3215 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.)) (?v_3671 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3.)) (?v_3216 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3217 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3218 (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0)) (?v_3219 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3220 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_3221 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext)) (?v_3222 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3223 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_3224 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3225 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3226 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_3227 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_3228 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3229 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_3230 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3738 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_3231 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.)) (?v_3232 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3233 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3234 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3235 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_3673 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_3236 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_3237 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3238 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3239 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_3240 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_3674 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3241 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_3242 (= inline.GetDeviceContext.13.myNondetVar_0.3 inline.GetDeviceContext.13.myNondetVar_0)) (?v_3243 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3244 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0)) (?v_3245 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_3246 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3247 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_3248 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3675 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.)) (?v_3249 (= inline.AcquireEffectiveLock.2.myNondetVar_0.7 inline.AcquireEffectiveLock.2.myNondetVar_0)) (?v_3250 (= lockStatus_1.42 lockStatus_1.2)) (?v_3251 (= inline.ReleaseDpcLock.1.myNondetVar_0.8 inline.ReleaseDpcLock.1.myNondetVar_0)) (?v_3252 (= inline.GetRequestContext.7.myNondetVar_0.4 inline.GetRequestContext.7.myNondetVar_0)) (?v_3253 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_3254 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext)) (?v_3255 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.13 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0)) (?v_3256 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_3257 (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0)) (?v_3258 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_3259 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_3260 (= reqCancelSet_0.19 reqCancelSet_0)) (?v_3261 (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0)) (?v_3262 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1)) (?v_3263 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_3264 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_3676 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10.)) (?v_3265 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3266 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3.)) (?v_3677 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_3267 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext)) (?v_3678 (= k.183 k.22)) (?v_3268 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_3269 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1)) (?v_3270 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_3271 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_3272 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3273 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2.)) (?v_3274 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.)) (?v_3275 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_3276 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_3277 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0)) (?v_3278 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3710 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9.)) (?v_3279 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_3280 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3281 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_3679 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer)) (?v_3282 (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_3283 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_3284 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_3285 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3286 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext)) (?v_3287 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3288 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_3289 (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.)) (?v_3290 (= inline.AcquireEffectiveLock.4.myNondetVar_0.8 inline.AcquireEffectiveLock.4.myNondetVar_0)) (?v_3291 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_3292 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3293 (= reqCompleted_0.13 reqCompleted_0)) (?v_3294 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_3295 (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0)) (?v_3296 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3297 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_3680 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_3298 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3299 (= inline.ReleaseDpcLock.2.myNondetVar_0.9 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_3300 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_3301 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3681 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.)) (?v_3302 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_3303 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3304 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_3682 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1)) (?v_3305 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_3306 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_3307 (= lockStatus_0.42 lockStatus_0.2)) (?v_3683 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory)) (?v_3684 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.)) (?v_3308 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_3309 (= inline.ReleaseEffectiveLock.1.myNondetVar_0.7 inline.ReleaseEffectiveLock.1.myNondetVar_0)) (?v_3310 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3311 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_3312 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_3313 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3314 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3315 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3316 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_3317 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_3685 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12)) (?v_3318 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.)) (?v_3319 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3320 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3321 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_3322 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3323 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3324 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_3325 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_3326 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_3327 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3328 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.)) (?v_3329 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3330 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3331 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_3332 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3333 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_3334 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3335 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3336 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_3337 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.)) (?v_3338 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.)) (?v_3339 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.)) (?v_3340 (= inline.GetDeviceContext.34.myNondetVar_0.2 inline.GetDeviceContext.34.myNondetVar_0)) (?v_3341 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_3342 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3343 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3344 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_3345 (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0)) (?v_3346 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_3347 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_3686 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4.)) (?v_3711 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3348 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_3349 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3350 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_3351 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3352 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0)) (?v_3712 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3687 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.)) (?v_3353 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_3354 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3355 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3356 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_3357 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_3358 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_3359 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_3360 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0)) (?v_3361 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3362 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_3363 (= inline.GetRequestContext.9.myNondetVar_0.3 inline.GetRequestContext.9.myNondetVar_0)) (?v_3364 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext)) (?v_3365 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_3366 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_3367 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3688 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.)) (?v_3689 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1)) (?v_3368 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_3369 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_3690 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer)) (?v_1632 (= inline.EvtIoChildRead.0..completeRequest.10.1101.12.EvtIoChildRead.0 1)) (?v_3370 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3371 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3372 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3373 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3374 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3375 (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0)) (?v_3376 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_3377 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_3378 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3379 (= inline.AcquireDpcLock.3.myNondetVar_0.8 inline.AcquireDpcLock.3.myNondetVar_0)) (?v_3380 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_3381 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_3382 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete)) (?v_3383 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_3384 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_3385 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_3386 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_3387 (= inline.AcquireDpcLock.2.myNondetVar_0.8 inline.AcquireDpcLock.2.myNondetVar_0)) (?v_3388 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3389 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_3390 (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0)) (?v_3391 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked)) (?v_3392 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1)) (?v_3393 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_3394 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3395 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_3396 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3397 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_3398 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3399 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_3400 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3691 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_3401 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3402 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3403 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3404 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3405 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_3406 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3407 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3408 (= inline.AcquireDpcLock.5.myNondetVar_0.8 inline.AcquireDpcLock.5.myNondetVar_0)) (?v_3409 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_3410 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3692 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_3411 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.)) (?v_3412 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_3413 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3414 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3415 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_3416 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.)) (?v_3417 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3418 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3693 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0)) (?v_3419 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3420 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3421 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_3694 (= errorReached.135 errorReached.18)) (?v_3422 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3423 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_3424 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3425 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3426 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3427 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3428 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_3429 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1)) (?v_3430 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3431 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3432 (= reqCancelSet_1.19 reqCancelSet_1)) (?v_3433 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3434 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3435 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_3436 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_3437 (= inline.AcquireDpcLock.6.myNondetVar_0.8 inline.AcquireDpcLock.6.myNondetVar_0)) (?v_3438 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3439 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_3440 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3441 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3442 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_3443 (= inline.AcquireDpcLock.1.myNondetVar_0.9 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_3444 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_3445 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3713 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.)) (?v_3446 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1)) (?v_3447 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_3448 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3449 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_3450 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_3451 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_3452 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3453 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_3454 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_3455 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3456 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_3695 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_3457 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_3458 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_3459 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_3460 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3696 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12.)) (?v_3461 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3462 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_3463 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock)) (?v_3464 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_3465 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_3466 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3467 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_3468 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3469 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3470 (= inline.ReleaseDpcLock.6.myNondetVar_0.8 inline.ReleaseDpcLock.6.myNondetVar_0)) (?v_3471 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3472 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_3473 (= inline.AcquireEffectiveLock.1.myNondetVar_0.8 inline.AcquireEffectiveLock.1.myNondetVar_0)) (?v_3474 (= inline.ReleaseDpcLock.3.myNondetVar_0.8 inline.ReleaseDpcLock.3.myNondetVar_0)) (?v_3697 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3475 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3476 (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0)) (?v_3477 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3478 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3479 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_3698 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_3480 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3481 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3482 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_3483 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion)) (?v_3484 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3485 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_3486 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_3487 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_3488 (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0)) (?v_3489 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3490 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3491 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3492 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3493 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3699 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0)) (?v_3494 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_3495 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_3496 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_3497 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_3498 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3499 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3500 (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0)) (?v_3501 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3700 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.)) (?v_3502 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3503 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3504 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3505 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_3506 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3507 (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0)) (?v_3508 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked)) (?v_3509 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3510 (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0)) (?v_3511 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_3512 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_3513 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3514 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3515 (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0 inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17.)) (?v_3516 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_3517 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3518 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_3519 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3520 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3521 (= inline.EvtRequestChildCancel.1.myNondetVar_0.9 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_3522 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_3701 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13.)) (?v_3523 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3524 (= inline.GetDeviceContext.28.myNondetVar_0.3 inline.GetDeviceContext.28.myNondetVar_0)) (?v_3525 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_3764 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8.)) (?v_3526 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_3527 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_3528 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3529 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_3530 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3531 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3532 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_3533 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3534 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.)) (?v_3765 (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.0)) (?v_3535 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3536 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3537 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_3538 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3539 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3540 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3541 (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0)) (?v_3542 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_3543 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3544 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_3545 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_3546 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_3547 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3548 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1)) (?v_3549 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3550 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3551 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_3552 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3553 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_3810 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.)) (?v_3554 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_3555 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3556 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_3557 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_3558 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_3559 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3560 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3561 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.)) (?v_3562 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_3563 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_3564 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_3565 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3566 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_3567 (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0)) (?v_3568 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.)) (?v_3569 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3570 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.)) (?v_3571 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_3572 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1)) (?v_3573 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext)) (?v_3574 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_3767 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_3575 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3576 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_3577 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3578 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_3579 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3580 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_3581 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3582 (= inline.GetRequestContext.10.myNondetVar_0.4 inline.GetRequestContext.10.myNondetVar_0)) (?v_3583 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3584 (= inline.ReleaseEffectiveLock.4.myNondetVar_0.7 inline.ReleaseEffectiveLock.4.myNondetVar_0)) (?v_3585 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.)) (?v_3586 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3587 (= inline.ReleaseEffectiveLock.3.myNondetVar_0.7 inline.ReleaseEffectiveLock.3.myNondetVar_0)) (?v_3588 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_3589 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3590 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_3591 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_3592 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_3593 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3594 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_3595 (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0)) (?v_3596 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3597 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_3598 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.)) (?v_3599 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_3600 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3601 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3602 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3714 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.)) (?v_3603 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3604 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3605 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.)) (?v_3606 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_3607 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_3608 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3609 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3610 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.)) (?v_3611 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3612 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_3613 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1)) (?v_3614 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3615 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_3616 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_3617 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_3618 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3619 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_3620 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_3621 (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0)) (?v_3622 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3623 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_3624 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3625 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_3626 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_3627 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1.)) (?v_3628 (= inline.ReleaseEffectiveLock.6.myNondetVar_0.7 inline.ReleaseEffectiveLock.6.myNondetVar_0)) (?v_3629 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_3630 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3631 (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0)) (?v_3769 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_3770 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_3632 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3633 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3634 (= inline.GetDeviceContext.14.myNondetVar_0.3 inline.GetDeviceContext.14.myNondetVar_0)) (?v_3635 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_3636 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3637 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_3638 (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0)) (?v_3639 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3640 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_3641 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3642 (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0)) (?v_3643 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3644 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3645 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3646 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1))) (let ((?v_3715 (=> ?v_3645 (=> ?v_3646 ?v_3647)))) (let ((?v_3797 (=> ?v_3575 (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> ?v_3587 (=> ?v_3588 (=> ?v_3589 (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_3714 (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11.) (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3769 (=> ?v_3770 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer) ?v_3715))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3811 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> ?v_3767 ?v_3797)))))))))))))))))))))))) (let ((?v_3812 (=> true (=> ?v_3097 (=> ?v_3098 (=> ?v_3653 (=> ?v_3654 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3655 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3656 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3657 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3708 (=> ?v_3725 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> ?v_3808 (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3659 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3809 (=> ?v_3661 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3662 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3709 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3730 (=> ?v_3664 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3665 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3666 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3667 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3735 (=> ?v_3669 (=> ?v_3212 (=> ?v_3213 (=> ?v_3784 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.31 inline.EvtIoChildRead.0.myNondetVar_0.11) (=> ?v_3214 (=> ?v_3215 (=> ?v_3671 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1 myNondetVar_0.0) (=> ?v_3738 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3673 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3674 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3675 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3676 (=> ?v_3265 (=> ?v_3266 (=> ?v_3677 (=> ?v_3267 (=> ?v_3678 (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3710 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3679 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3680 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3681 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3682 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3683 (=> ?v_3684 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3685 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3686 (=> ?v_3711 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3712 (=> ?v_3687 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3688 (=> ?v_3689 (=> ?v_3368 (=> ?v_3369 (=> ?v_3690 (=> ?v_1632 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3691 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3692 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3693 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3694 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3713 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3695 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3696 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3697 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3698 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3699 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3700 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3701 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3764 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3765 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3810 ?v_3811))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3724 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 call17533formal.ret.0)) (?v_3796 (= inline.EvtIoChildRead.0.myNondetVar_0.31 inline.EvtIoChildRead.0.myNondetVar_0.20)) (?v_1313 (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.1 inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0)) (?v_3741 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_3747 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 hrequest)) (?v_3748 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 hrequest)) (?v_3749 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0)) (?v_3752 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 call17533formal.ret.0)) (?v_3762 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2)) (?v_3766 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_3795 (<= 0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_3731 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 call15876formal.new.0)) (?v_3733 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1)) (?v_3737 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 call29894formal.ret.0)) (?v_3740 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0)) (?v_3744 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 call29946formal.new.0)) (?v_3750 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 call29946formal.new.0)) (?v_3753 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 hrequest)) (?v_3754 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 hrequest)) (?v_3757 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2)) (?v_3768 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1)) (?v_3771 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 call29894formal.ret.0) ?v_3715)))))))))))))))) (let ((?v_3785 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3764 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3765 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3766 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> ?v_3767 (=> ?v_3575 (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> ?v_3587 (=> ?v_3588 (=> ?v_3589 (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_3714 (=> ?v_3768 (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3769 (=> ?v_3770 ?v_3771)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3783 (<= 0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1)) (?v_3722 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest)) (?v_3726 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call30031formal.new.0)) (?v_3727 (= alloc.14 alloc.7)) (?v_3728 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 call30096formal.ret.0)) (?v_3729 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2)) (?v_3732 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_3734 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_3739 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call30096formal.ret.0)) (?v_3742 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_3743 (= k.183 k.30)) (?v_3745 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0)) (?v_3751 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 call30031formal.new.0)) (?v_3755 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call15876formal.new.0)) (?v_3758 (= errorReached.135 errorReached.23)) (?v_3759 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest)) (?v_3760 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_3763 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1))) (let ((?v_3773 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3762 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3700 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3763 ?v_3785))))))))))))))))))))))))))))))))))))))))))))))) (?v_3772 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_3723 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 call30226formal.ret.0)) (?v_3736 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 call30226formal.ret.0)) (?v_3746 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 call30226formal.ret.0)) (?v_3756 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call30226formal.ret.0)) (?v_3761 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call30226formal.ret.0)) (?v_3721 (- 0 1073741670)) (?v_3720 (= call30226formal.ret.0 0)) (?v_3707 (<= 0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_3658 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 call17639formal.new.0)) (?v_3660 (= alloc.14 alloc.5)) (?v_3663 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call15873formal.new.0)) (?v_3668 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_3670 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_3672 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_3702 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_3703 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3810 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call17639formal.new.0) ?v_3797))))))))))))))))))))))))))))))))))))))))))) (?v_3652 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 0)) (?v_3096 (<= 0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1357 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0)) (?v_1358 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1292 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_1293 (= inline.EvtIoChildRead.0..result.RtlCompareMemory.1264.24.16..0 call17789formal.ret.0)) (?v_1359 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1360 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1361 (= inline.ReleaseDpcLock.4.myNondetVar_0.8 inline.ReleaseDpcLock.4.myNondetVar_0.7)) (?v_1362 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1363 (= inline.AcquireEffectiveLock.6.myNondetVar_0.7 inline.AcquireEffectiveLock.6.myNondetVar_0.6)) (?v_1364 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0)) (?v_1365 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1366 (= inline.GetDeviceContext.33.myNondetVar_0.2 inline.GetDeviceContext.33.myNondetVar_0.1)) (?v_1367 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0)) (?v_1368 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1369 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0)) (?v_1294 (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..1 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0)) (?v_1370 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2)) (?v_1371 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0)) (?v_1372 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2)) (?v_1373 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1)) (?v_1295 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0)) (?v_1374 (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0.1)) (?v_1375 (= inline.ReleaseEffectiveLock.5.myNondetVar_0.8 inline.ReleaseEffectiveLock.5.myNondetVar_0.7)) (?v_1376 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1377 (= inline.ReleaseDpcLock.5.myNondetVar_0.9 inline.ReleaseDpcLock.5.myNondetVar_0.8)) (?v_1378 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1379 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0.2)) (?v_1380 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1)) (?v_1381 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2)) (?v_1382 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1)) (?v_1383 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1)) (?v_1384 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1385 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1386 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1)) (?v_1387 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2)) (?v_1388 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_1389 (= inline.AcquireEffectiveLock.5.myNondetVar_0.7 inline.AcquireEffectiveLock.5.myNondetVar_0.6)) (?v_1296 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0)) (?v_1390 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1391 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0)) (?v_1392 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0.0)) (?v_1393 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_1394 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2)) (?v_1297 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0)) (?v_1298 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0)) (?v_1395 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1)) (?v_1396 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1)) (?v_1397 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1)) (?v_1398 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1399 (= inline.EvtRequestChildCancel.0.myNondetVar_0.9 inline.EvtRequestChildCancel.0.myNondetVar_0.8)) (?v_1400 (= reqCompleted_1.13 reqCompleted_1.12)) (?v_1401 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1402 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3)) (?v_1403 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1404 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0)) (?v_1405 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0)) (?v_1406 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1299 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1407 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3)) (?v_1408 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1409 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1)) (?v_1410 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1411 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1412 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0)) (?v_1413 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2)) (?v_1414 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2)) (?v_1415 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue)) (?v_1416 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0)) (?v_1417 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0.1)) (?v_1418 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0)) (?v_1419 (= inline.GetRequestContext.6.myNondetVar_0.3 inline.GetRequestContext.6.myNondetVar_0.2)) (?v_1420 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1421 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1422 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1)) (?v_1423 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.10)) (?v_1424 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1425 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0.1)) (?v_1426 (= alloc.14 alloc.13)) (?v_1300 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0)) (?v_1427 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3)) (?v_1428 (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0.1)) (?v_1429 (= inline.GetDeviceContext.27.myNondetVar_0.3 inline.GetDeviceContext.27.myNondetVar_0.2)) (?v_1430 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0)) (?v_1431 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 hqueue)) (?v_1432 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0.1)) (?v_1301 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3)) (?v_1433 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2)) (?v_1434 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1435 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1436 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1437 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0)) (?v_1438 (= inline.AcquireEffectiveLock.3.myNondetVar_0.7 inline.AcquireEffectiveLock.3.myNondetVar_0.6)) (?v_1302 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_1439 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2)) (?v_1440 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1441 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2)) (?v_1303 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1304 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0)) (?v_1442 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1443 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1444 (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0.1)) (?v_1445 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0)) (?v_1446 (= inline.AcquireDpcLock.4.myNondetVar_0.9 inline.AcquireDpcLock.4.myNondetVar_0.8)) (?v_1447 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4)) (?v_1448 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1)) (?v_1305 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_1449 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6)) (?v_1450 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1451 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1)) (?v_1452 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3)) (?v_1453 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1)) (?v_1454 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1306 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2)) (?v_1455 (= inline.ReleaseEffectiveLock.2.myNondetVar_0.8 inline.ReleaseEffectiveLock.2.myNondetVar_0.7)) (?v_1456 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0)) (?v_1457 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1)) (?v_1458 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.10)) (?v_1459 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2)) (?v_1460 (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0.1)) (?v_1461 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1462 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1307 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1)) (?v_1463 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest)) (?v_1464 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2)) (?v_1465 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1)) (?v_1466 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1467 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_1468 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1469 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1470 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1)) (?v_1471 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1472 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1308 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1)) (?v_1309 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_1473 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1)) (?v_1474 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_1310 (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.1 inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0)) (?v_1311 (= inline.EvtIoChildRead.0.myNondetVar_0.31 inline.EvtIoChildRead.0.myNondetVar_0.30)) (?v_1475 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1476 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1)) (?v_1312 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0)) (?v_1477 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1478 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_1479 (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0.2)) (?v_1480 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1481 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0)) (?v_1482 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1)) (?v_1483 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1484 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1)) (?v_1485 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1486 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1487 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0)) (?v_1488 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1)) (?v_1489 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1490 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0)) (?v_1491 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1314 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1492 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1)) (?v_1493 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2)) (?v_1494 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1495 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1496 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1315 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1497 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0)) (?v_1498 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1499 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1500 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3)) (?v_1501 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2)) (?v_1316 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_1502 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0)) (?v_1503 (= inline.GetDeviceContext.13.myNondetVar_0.3 inline.GetDeviceContext.13.myNondetVar_0.2)) (?v_1504 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1505 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0.1)) (?v_1506 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0)) (?v_1507 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1508 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1509 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1317 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1)) (?v_1510 (= inline.AcquireEffectiveLock.2.myNondetVar_0.7 inline.AcquireEffectiveLock.2.myNondetVar_0.6)) (?v_1511 (= lockStatus_1.42 lockStatus_1.41)) (?v_1512 (= inline.ReleaseDpcLock.1.myNondetVar_0.8 inline.ReleaseDpcLock.1.myNondetVar_0.7)) (?v_1513 (= inline.GetRequestContext.7.myNondetVar_0.4 inline.GetRequestContext.7.myNondetVar_0.3)) (?v_1514 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0)) (?v_1515 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0)) (?v_1516 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.13 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.12)) (?v_1517 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1)) (?v_1518 (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0.1)) (?v_1519 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1)) (?v_1520 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0)) (?v_1521 (= reqCancelSet_0.19 reqCancelSet_0.18)) (?v_1522 (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0.1)) (?v_1523 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0)) (?v_1524 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0)) (?v_1525 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0)) (?v_1318 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0)) (?v_1526 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1527 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 hqueue)) (?v_1319 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1528 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0)) (?v_1529 (= k.183 k.182)) (?v_1530 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1)) (?v_1531 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2)) (?v_1532 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2)) (?v_1533 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1)) (?v_1534 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1535 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1)) (?v_1536 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0)) (?v_1537 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1)) (?v_1538 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0)) (?v_1539 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6)) (?v_1540 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1320 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0)) (?v_1541 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1)) (?v_1542 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1543 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1)) (?v_1321 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0)) (?v_1544 (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0.2)) (?v_1545 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0)) (?v_1546 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0)) (?v_1547 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0)) (?v_1548 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2)) (?v_1549 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1550 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2)) (?v_1551 (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2)) (?v_1552 (= inline.AcquireEffectiveLock.4.myNondetVar_0.8 inline.AcquireEffectiveLock.4.myNondetVar_0.7)) (?v_1553 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1)) (?v_1554 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1555 (= reqCompleted_0.13 reqCompleted_0.12)) (?v_1556 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1)) (?v_1557 (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0.1)) (?v_1558 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1559 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1)) (?v_1322 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1)) (?v_1560 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1561 (= inline.ReleaseDpcLock.2.myNondetVar_0.9 inline.ReleaseDpcLock.2.myNondetVar_0.8)) (?v_1562 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2)) (?v_1563 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1323 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0)) (?v_1564 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2)) (?v_1565 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_1566 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1)) (?v_1324 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0)) (?v_1567 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1)) (?v_1568 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0)) (?v_1569 (= lockStatus_0.42 lockStatus_0.41)) (?v_1325 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0)) (?v_1326 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1)) (?v_1570 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2)) (?v_1571 (= inline.ReleaseEffectiveLock.1.myNondetVar_0.7 inline.ReleaseEffectiveLock.1.myNondetVar_0.6)) (?v_1572 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1573 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1)) (?v_1574 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0)) (?v_1575 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2)) (?v_1576 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1577 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_1578 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0)) (?v_1579 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1)) (?v_1327 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 call17789formal.ret.0)) (?v_1580 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1)) (?v_1581 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2)) (?v_1582 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1583 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0)) (?v_1584 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1)) (?v_1585 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1586 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2)) (?v_1587 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2)) (?v_1588 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1)) (?v_1589 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_1590 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1)) (?v_1591 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1592 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1593 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1)) (?v_1594 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1595 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2)) (?v_1596 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1597 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_1598 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0)) (?v_1599 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1)) (?v_1600 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1)) (?v_1601 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0)) (?v_1602 (= inline.GetDeviceContext.34.myNondetVar_0.2 inline.GetDeviceContext.34.myNondetVar_0.1)) (?v_1603 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1)) (?v_1604 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1605 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1606 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0)) (?v_1607 (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0.1)) (?v_1608 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1)) (?v_1609 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1)) (?v_1328 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0)) (?v_1329 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_1610 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2)) (?v_1611 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1612 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0)) (?v_1613 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1614 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0.2)) (?v_1330 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_1331 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0)) (?v_1615 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2)) (?v_1616 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1617 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0)) (?v_1618 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2)) (?v_1619 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1620 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0)) (?v_1621 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2)) (?v_1622 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0.2)) (?v_1623 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1624 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1625 (= inline.GetRequestContext.9.myNondetVar_0.3 inline.GetRequestContext.9.myNondetVar_0.2)) (?v_1626 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0)) (?v_1627 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0)) (?v_1628 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2)) (?v_1629 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1332 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0)) (?v_1333 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0)) (?v_1630 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1631 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1)) (?v_1334 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0)) (?v_1335 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1336 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0)) (?v_1337 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3)) (?v_1338 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_1339 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1340 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0)) (?v_1341 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_1342 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0)) (?v_1343 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3)) (?v_1344 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 call17789formal.ret.0)) (?v_1345 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0)) (?v_1346 (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..1 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0)) (?v_1347 (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.3)) (?v_1348 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2)) (?v_1349 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1350 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 call17789formal.ret.0)) (?v_1351 (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..1 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0)) (?v_1352 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0)) (?v_1353 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_1354 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0))) (let ((?v_1633 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2) (=> (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2) (=> (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.8 inline.AcquireDpcLock.3.myNondetVar_0.7) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.8 inline.AcquireDpcLock.2.myNondetVar_0.7) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0.1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 hrequest) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_1335 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.8 inline.AcquireDpcLock.5.myNondetVar_0.7) (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_1336 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> ?v_1337 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0) (=> (= errorReached.135 errorReached.134) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2) (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3) (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= reqCancelSet_1.19 reqCancelSet_1.18) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1) (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.8 inline.AcquireDpcLock.6.myNondetVar_0.7) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.9 inline.AcquireDpcLock.1.myNondetVar_0.8) (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2) (=> ?v_1338 (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0) (=> ?v_1339 (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1) (=> ?v_1340 (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2) (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..3) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.8 inline.ReleaseDpcLock.6.myNondetVar_0.7) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2) (=> (= inline.AcquireEffectiveLock.1.myNondetVar_0.8 inline.AcquireEffectiveLock.1.myNondetVar_0.7) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.8 inline.ReleaseDpcLock.3.myNondetVar_0.7) (=> ?v_1341 (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0.1) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2) (=> ?v_1342 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1) (=> (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2) (=> ?v_1343 (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_1344 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0.2) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0.1) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.EvtIoChildRead.0..result.MakeNewRequestCurrentRequestLocked.1279.42.17..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.9 inline.EvtRequestChildCancel.1.myNondetVar_0.8) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0) (=> ?v_1345 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2) (=> (= inline.GetDeviceContext.28.myNondetVar_0.3 inline.GetDeviceContext.28.myNondetVar_0.2) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0) (=> ?v_1346 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1) (=> ?v_1347 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0.1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2) (=> ?v_1348 (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2) (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0) (=> (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2) (=> ?v_1349 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetRequestContext.10.myNondetVar_0.4 inline.GetRequestContext.10.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.ReleaseEffectiveLock.4.myNondetVar_0.7 inline.ReleaseEffectiveLock.4.myNondetVar_0.6) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.ReleaseEffectiveLock.3.myNondetVar_0.7 inline.ReleaseEffectiveLock.3.myNondetVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0) (=> (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0.2) (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_1350 (=> ?v_1351 (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0) (=> (= inline.ReleaseEffectiveLock.6.myNondetVar_0.7 inline.ReleaseEffectiveLock.6.myNondetVar_0.6) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0.1) (=> ?v_1352 (=> ?v_1353 (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.14.myNondetVar_0.3 inline.GetDeviceContext.14.myNondetVar_0.2) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2) (=> ?v_1354 (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) ?v_3647))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1356 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 0))) (let ((?v_2341 (and (=> true (=> (not ?v_1356) (=> true (=> ?v_1357 (=> ?v_1358 (=> ?v_1292 (=> ?v_1293 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1294 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1295 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1296 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1297 (=> ?v_1298 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2) (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1299 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1300 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1301 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1302 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1303 (=> ?v_1304 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1305 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_1306 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1307 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1308 (=> ?v_1309 (=> ?v_1473 (=> ?v_1474 (=> ?v_1310 (=> ?v_1311 (=> ?v_1475 (=> ?v_1476 (=> ?v_1312 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1313 (=> ?v_1314 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1315 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1316 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_1317 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1318 (=> ?v_1526 (=> ?v_1527 (=> ?v_1319 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1320 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1321 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1322 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> ?v_1563 (=> ?v_1323 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1324 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1325 (=> ?v_1326 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1327 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1328 (=> ?v_1329 (=> ?v_1610 (=> ?v_1611 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1330 (=> ?v_1331 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1332 (=> ?v_1333 (=> ?v_1630 (=> ?v_1631 (=> ?v_1334 (=> ?v_560 ?v_1633))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1356 (=> true (=> ?v_1357 (=> ?v_1358 (=> ?v_1292 (=> ?v_1293 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1294 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1295 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1296 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1297 (=> ?v_1298 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_3808 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1299 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1300 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1301 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1302 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1303 (=> ?v_1304 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1305 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_1306 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1307 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1308 (=> ?v_1309 (=> ?v_1473 (=> ?v_1474 (=> ?v_1310 (=> ?v_1311 (=> ?v_1475 (=> ?v_1476 (=> ?v_1312 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1313 (=> ?v_1314 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1315 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1316 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_1317 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1318 (=> ?v_1526 (=> ?v_1527 (=> ?v_1319 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1320 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1321 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1322 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> ?v_1563 (=> ?v_1323 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1324 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1325 (=> ?v_1326 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1327 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1328 (=> ?v_1329 (=> ?v_1610 (=> ?v_1611 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1330 (=> ?v_1331 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1332 (=> ?v_1333 (=> ?v_1630 (=> ?v_1631 (=> ?v_1334 (=> ?v_1632 ?v_1633)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2661 (=> true (=> true (=> true (=> true (=> true ?v_2341)))))) (?v_2369 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_2371 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2372 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2373 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_2374 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2375 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_2376 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_2377 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_2378 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_2379 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2380 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2381 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_2382 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_2383 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2384 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2636 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 1)) (?v_2385 (= inline.EvtRequestChildCancel.0.myNondetVar_0.8 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_2637 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_2386 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2387 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_2388 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2389 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2390 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2392 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_2394 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_2395 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2396 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_2397 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2398 (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_2399 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_2400 (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0)) (?v_2401 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2402 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2403 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.10 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0)) (?v_2404 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2405 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2407 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_2408 (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0)) (?v_2409 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_2410 (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0)) (?v_2411 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_2412 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2413 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_2414 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_2415 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_2416 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2417 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_2418 (= inline.ReleaseDpcLock.3.myNondetVar_0.7 inline.ReleaseDpcLock.3.myNondetVar_0)) (?v_2419 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2420 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2421 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2422 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_2423 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0)) (?v_2424 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2425 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0)) (?v_2426 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_2427 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2428 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_2429 (= inline.ReleaseEffectiveLock.2.myNondetVar_0.7 inline.ReleaseEffectiveLock.2.myNondetVar_0)) (?v_2430 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_2431 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_2432 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_2433 (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0)) (?v_2434 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_2435 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2436 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_2437 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2438 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_2439 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2638 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.)) (?v_2440 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_2441 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2442 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_2443 (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0)) (?v_2444 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2445 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2446 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_2447 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2448 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_2449 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_2450 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_2451 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2452 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2453 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_2454 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.)) (?v_2455 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2456 (= inline.AcquireEffectiveLock.3.myNondetVar_0.6 inline.AcquireEffectiveLock.3.myNondetVar_0)) (?v_2639 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2457 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2458 (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0)) (?v_2459 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_2460 (= inline.AcquireEffectiveLock.2.myNondetVar_0.6 inline.AcquireEffectiveLock.2.myNondetVar_0)) (?v_2462 (= inline.ReleaseDpcLock.1.myNondetVar_0.7 inline.ReleaseDpcLock.1.myNondetVar_0)) (?v_2463 (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0)) (?v_2464 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2465 (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0)) (?v_2466 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_2467 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_2468 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_2469 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2470 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2471 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_2472 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_2473 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_2474 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2.)) (?v_2475 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2476 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_2477 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2478 (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_2479 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_2480 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_2481 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_2482 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_2483 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_2484 (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0)) (?v_2485 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_2486 (= inline.ReleaseDpcLock.2.myNondetVar_0.8 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_2487 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_2488 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2489 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_2490 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_2491 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.)) (?v_2492 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_2493 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2494 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2495 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2496 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2497 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.)) (?v_2498 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2499 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_2500 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2501 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_2502 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.)) (?v_2503 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2504 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_2505 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_2506 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_2507 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_2508 (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0)) (?v_2509 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2510 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2640 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2511 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_2512 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2513 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_2514 (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0)) (?v_2515 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_2516 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2517 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2518 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_2519 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_2520 (= inline.AcquireDpcLock.1.myNondetVar_0.8 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_2521 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2522 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2523 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.)) (?v_2524 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_2525 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_2526 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_2527 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2528 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_2529 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_2530 (= inline.AcquireDpcLock.2.myNondetVar_0.7 inline.AcquireDpcLock.2.myNondetVar_0)) (?v_2531 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_2532 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_2533 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2641 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2534 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2535 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_2536 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2537 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2538 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_2539 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2540 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_2541 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_2542 (= inline.AcquireDpcLock.3.myNondetVar_0.7 inline.AcquireDpcLock.3.myNondetVar_0)) (?v_2543 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2544 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_2545 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2546 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_2547 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_2548 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_2549 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2642 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_2550 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2551 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_2643 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_2552 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2553 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_2554 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_2555 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_2556 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.)) (?v_2557 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2558 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_2559 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2560 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_2561 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2562 (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0)) (?v_2563 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2564 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2565 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_2644 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_2566 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion)) (?v_2567 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_2568 (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0)) (?v_2569 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2570 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2571 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_2645 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_2572 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_2573 (= inline.ReleaseEffectiveLock.1.myNondetVar_0.6 inline.ReleaseEffectiveLock.1.myNondetVar_0)) (?v_2646 (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0)) (?v_2574 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_2575 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2576 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2577 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2578 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_2579 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2580 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2581 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.)) (?v_2582 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2583 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_2584 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2585 (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0)) (?v_2647 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_2586 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2587 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2588 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_2589 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2590 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_2591 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2592 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_2593 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2594 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2595 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_2596 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_2597 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2598 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.)) (?v_2599 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_2600 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_2601 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_2602 (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0)) (?v_2603 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_2604 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2605 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_2606 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2607 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2608 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.)) (?v_2609 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2610 (= inline.ReleaseEffectiveLock.3.myNondetVar_0.6 inline.ReleaseEffectiveLock.3.myNondetVar_0)) (?v_2611 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_2612 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2648 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_2649 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_2613 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2614 (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0)) (?v_2615 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_2616 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2617 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2618 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2619 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_2620 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2621 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2622 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2623 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_2650 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_2624 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2651 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_2652 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2653 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2654 (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0)) (?v_2655 (= inline.AcquireEffectiveLock.1.myNondetVar_0.7 inline.AcquireEffectiveLock.1.myNondetVar_0)) (?v_2656 (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0)) (?v_2657 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_2658 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_2659 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2660 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.))) (let ((?v_2670 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_2369 (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= lockStatus_0.41 lockStatus_0.24) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2371 (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.7 inline.ReleaseDpcLock.4.myNondetVar_0.6) (=> ?v_2372 (=> (= inline.AcquireEffectiveLock.6.myNondetVar_0.6 inline.AcquireEffectiveLock.6.myNondetVar_0.5) (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1) (=> ?v_2377 (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> ?v_2378 (=> (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0.0) (=> (= inline.ReleaseEffectiveLock.5.myNondetVar_0.7 inline.ReleaseEffectiveLock.5.myNondetVar_0.6) (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1) (=> ?v_2383 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> ?v_2384 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0) (=> ?v_2636 (=> ?v_2385 (=> (= inline.AcquireEffectiveLock.5.myNondetVar_0.6 inline.AcquireEffectiveLock.5.myNondetVar_0.5) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.2) (=> ?v_2637 (=> ?v_2386 (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0) (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> (= reqCompleted_1.12 reqCompleted_1.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2) (=> ?v_2392 (=> (= reqCompleted_0.12 reqCompleted_0.5) (=> (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0.1) (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_2397 (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.1) (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.8) (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> (= alloc.13 alloc.10) (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0) (=> ?v_2411 (=> (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0.0) (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9) (=> ?v_2416 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0) (=> ?v_2417 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> ?v_2418 (=> ?v_2419 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> (= inline.AcquireDpcLock.4.myNondetVar_0.8 inline.AcquireDpcLock.4.myNondetVar_0.7) (=> ?v_2423 (=> ?v_2424 (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11) (=> ?v_2425 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2) (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.7 inline.AcquireDpcLock.6.myNondetVar_0.6) (=> (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.10 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9) (=> ?v_2432 (=> ?v_2433 (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0) (=> ?v_2434 (=> ?v_2435 (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1) (=> ?v_2436 (=> ?v_2437 (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> ?v_2438 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0.0) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2439 (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11) (=> ?v_2638 (=> ?v_2440 (=> ?v_2441 (=> (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0.1) (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2456 (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1) (=> ?v_2639 (=> ?v_2457 (=> ?v_2458 (=> (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> ?v_2459 (=> ?v_2460 (=> (= lockStatus_1.41 lockStatus_1.24) (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.12 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> (= reqCancelSet_0.18 reqCancelSet_0.9) (=> (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0.0) (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.8) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.2) (=> ?v_2468 (=> ?v_2469 (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2470 (=> (= k.182 k.117) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1) (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 call25932formal.ret.0) (=> ?v_2476 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.10.myNondetVar_0.3 inline.GetRequestContext.10.myNondetVar_0.2) (=> ?v_2477 (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2478 (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.2) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4) (=> ?v_2479 (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1) (=> ?v_2480 (=> (= inline.AcquireEffectiveLock.4.myNondetVar_0.7 inline.AcquireEffectiveLock.4.myNondetVar_0.6) (=> ?v_2481 (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4) (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4) (=> ?v_2485 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.6) (=> ?v_2489 (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_2490 (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.0) (=> ?v_2496 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.8 inline.EvtRequestChildCancel.1.myNondetVar_0.7) (=> ?v_2497 (=> ?v_2498 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> ?v_2499 (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.7 inline.ReleaseDpcLock.6.myNondetVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0) (=> ?v_2500 (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_2501 (=> ?v_2502 (=> (= inline.GetDeviceContext.34.myNondetVar_0.1 inline.GetDeviceContext.34.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2503 (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.0) (=> (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0.0) (=> ?v_2504 (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.8) (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2509 (=> ?v_2510 (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.8) (=> ?v_2640 (=> ?v_2511 (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2512 (=> ?v_2513 (=> (= inline.GetRequestContext.9.myNondetVar_0.2 inline.GetRequestContext.9.myNondetVar_0.1) (=> ?v_2514 (=> ?v_2515 (=> ?v_2516 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1) (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_2531 (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0) (=> ?v_2532 (=> ?v_2533 (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> ?v_2641 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2534 (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.7 inline.AcquireDpcLock.5.myNondetVar_0.6) (=> ?v_2535 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.7) (=> ?v_2536 (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.7) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> ?v_2537 (=> ?v_2538 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2539 (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.GetDeviceContext.33.myNondetVar_0.1 inline.GetDeviceContext.33.myNondetVar_0.0) (=> ?v_2540 (=> ?v_2541 (=> (= errorReached.134 errorReached.85) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 call29140formal.new.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.2) (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> (= reqCancelSet_1.18 reqCancelSet_1.9) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.0) (=> ?v_2546 (=> ?v_2547 (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> ?v_2548 (=> ?v_2549 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1) (=> ?v_2642 (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4) (=> ?v_2550 (=> ?v_2551 (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.1) (=> ?v_2643 (=> ?v_2552 (=> ?v_2553 (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.6) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.6) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1) (=> ?v_2558 (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> ?v_2559 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1) (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2644 (=> ?v_2566 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.2) (=> ?v_2567 (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0) (=> ?v_2568 (=> ?v_2569 (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> ?v_2570 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2571 (=> ?v_2645 (=> ?v_2572 (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.1) (=> ?v_2573 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.7) (=> ?v_2646 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2) (=> ?v_2577 (=> (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0.1) (=> ?v_2578 (=> ?v_2579 (=> (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9) (=> ?v_2580 (=> ?v_2581 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2582 (=> ?v_2583 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> ?v_2584 (=> (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0.1) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.6) (=> ?v_2585 (=> ?v_2647 (=> (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_2586 (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.8 inline.ReleaseDpcLock.5.myNondetVar_0.7) (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.7) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.8) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> ?v_2591 (=> ?v_2592 (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1) (=> ?v_2593 (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0) (=> (= inline.ReleaseEffectiveLock.6.myNondetVar_0.6 inline.ReleaseEffectiveLock.6.myNondetVar_0.5) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2594 (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_2598 (=> ?v_2599 (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 hrequest) (=> ?v_2600 (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> ?v_2601 (=> ?v_2602 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1) (=> (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.6) (=> ?v_2603 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_2604 (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.8) (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> (= inline.ReleaseEffectiveLock.4.myNondetVar_0.6 inline.ReleaseEffectiveLock.4.myNondetVar_0.5) (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0.1) (=> ?v_2648 (=> ?v_2649 (=> ?v_2613 (=> (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0.0) (=> ?v_2614 (=> (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.7) (=> (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0.0) (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1) (=> ?v_2620 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2) (=> ?v_2621 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1) (=> ?v_2622 (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> ?v_2623 (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.7) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0) (=> ?v_2650 (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11) (=> (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0.0) (=> ?v_2624 (=> ?v_2651 (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1) (=> ?v_2652 (=> ?v_2653 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_2658 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.1) (=> (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0.0) (=> ?v_2659 (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1) (=> ?v_2660 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.1) ?v_2661)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2668 (=> true (=> (= lockStatus_0.24 lockStatus_0.23) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.6.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.6.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 call29664formal.ret.0) (=> (= k.117 k.116) (=> (= lockStatus_1.24 lockStatus_1.23) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.6 inline.AcquireDpcLock.6.myNondetVar_0.5) ?v_2670)))))))))) (?v_2667 (= inline.AcquireDpcLock.6.myNondetVar_0.5 hlock))) (let ((?v_2663 (=> true (=> (= lockStatus_0.23 lockStatus_0.22) (=> (= lockStatus_1.23 lockStatus_1.22) (=> (= k.116 k.115) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0 call29612formal.ret.0) ?v_2668))))))) (let ((?v_2666 (=> true ?v_2663)) (?v_2664 (= lockStatus_0.22 lockStatus_0.21)) (?v_2665 (= lockStatus_1.22 lockStatus_1.21)) (?v_2662 (= k.115 1)) (?v_2635 (= k.115 0))) (let ((?v_2669 (and (=> true (=> ?v_2667 (=> true (=> (<= k.114 k.115) (=> (< k.115 2) (=> true (=> (=> ?v_2635 (= lockStatus_0.21 0)) (=> (=> ?v_2662 (= lockStatus_1.21 0)) (and (=> true (=> ?v_2635 (=> true (=> (= lockStatus_0.22 1) (=> ?v_2665 ?v_2663))))) (=> true (=> (not ?v_2635) (and (=> true (=> ?v_2662 (=> true (=> ?v_2664 (=> (= lockStatus_1.22 1) ?v_2666))))) (=> true (=> (not ?v_2662) (=> true (=> ?v_2664 (=> ?v_2665 ?v_2666))))))))))))))))) (=> true (=> (not ?v_2667) (=> true (=> (= lockStatus_0.23 lockStatus_0.21) (=> (= lockStatus_1.23 lockStatus_1.21) (=> (= k.116 k.114) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2668)))))))))))))))) (let ((?v_2677 (and (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.3 2) (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.4 inline.AcquireDpcLock.6.myNondetVar_0.3) ?v_2669)))) (=> true (=> (not (= inline.AcquireDpcLock.6.myNondetVar_0.0 2)) (and (=> true (=> (not (= inline.AcquireDpcLock.6.myNondetVar_0.2 2)) (=> true (=> (= inline.AcquireDpcLock.6.myNondetVar_0.4 inline.AcquireDpcLock.6.myNondetVar_0.2) (=> true (=> true (=> true (=> true ?v_2669)))))))) (=> true (=> (not (not (= inline.AcquireDpcLock.6.myNondetVar_0.1 2))) (=> true (=> (= lockStatus_0.24 lockStatus_0.21) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.) (=> (= k.117 k.114) (=> (= lockStatus_1.24 lockStatus_1.21) (=> (= inline.AcquireDpcLock.6.myNondetVar_0.6 inline.AcquireDpcLock.6.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2670)))))))))))))))))))))))) (let ((?v_2679 (=> (= errorReached.85 errorReached.83) (=> (= k.114 k.112) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2677))))))))))))) (?v_2681 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9 hdevice)) (?v_2680 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9 hqueue)) (?v_2678 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9 htimer)) (?v_2676 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.9 hrequest)) (?v_2675 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.85 errorReached.84) (=> (= k.114 k.113) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 call29453formal.ret.0) ?v_2677)))))) (?v_2671 (= k.113 0)) (?v_2672 (= reqCompleted_0.5 0)) (?v_2673 (= k.113 1)) (?v_2674 (= reqCompleted_1.5 0))) (let ((?v_2631 (not ?v_2672)) (?v_2632 (not ?v_2674))) (let ((?v_2683 (and (=> true (=> ?v_2676 (=> true (=> (<= k.112 k.113) (=> (< k.113 2) (and (=> true (=> (=> ?v_2671 ?v_2631) (=> (=> ?v_2673 ?v_2632) (=> true (=> (= errorReached.84 1) ?v_2675))))) (=> true (=> (=> ?v_2671 ?v_2672) (=> (=> ?v_2673 ?v_2674) (=> true (=> (= errorReached.84 errorReached.83) (=> true ?v_2675)))))))))))) (=> true (=> (not ?v_2676) (and (=> true (=> ?v_2678 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2679)))) (=> true (=> (not ?v_2678) (and (=> true (=> ?v_2680 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2679)))) (=> true (=> (not ?v_2680) (and (=> true (=> ?v_2681 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2679)))) (=> true (=> (not ?v_2681) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2679)))))))))))))))) (let ((?v_2682 (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 call29369formal.ret.0) (=> (= inline.AcquireEffectiveLock.6.myNondetVar_0.5 inline.AcquireEffectiveLock.6.myNondetVar_0.4) ?v_2683))))) (let ((?v_2688 (and (=> true (=> (= inline.AcquireEffectiveLock.6.myNondetVar_0.0 1) (=> true (=> (= inline.AcquireEffectiveLock.6.myNondetVar_0.4 inline.AcquireEffectiveLock.6.myNondetVar_0.0) ?v_2682)))) (=> true (=> (not (= inline.AcquireEffectiveLock.6.myNondetVar_0.1 1)) (and (=> true (=> (= inline.AcquireEffectiveLock.6.myNondetVar_0.2 4) (=> true (=> (= inline.AcquireEffectiveLock.6.myNondetVar_0.4 inline.AcquireEffectiveLock.6.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2682))))))))))))) (=> true (=> (not (= inline.AcquireEffectiveLock.6.myNondetVar_0.3 4)) (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.AcquireEffectiveLock.6.myNondetVar_0.5 inline.AcquireEffectiveLock.6.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2683)))))))))))))))))))))))))) (let ((?v_2690 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.) (=> (= k.112 k.110) (=> (= errorReached.83 errorReached.81) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2688))))))))))))) (?v_2692 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.8 hdevice)) (?v_2691 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.8 hqueue)) (?v_2689 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.8 htimer)) (?v_2687 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.8 hrequest)) (?v_2686 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 call29230formal.ret.0) (=> (= k.112 k.111) (=> (= errorReached.83 errorReached.82) ?v_2688)))))) (?v_2684 (= k.111 0)) (?v_2685 (= k.111 1)) (?v_1283 (>= 1 0)) (?v_2634 (int_2_U call29140formal.new.0))) (let ((?v_2694 (=> true (and ?v_1283 (=> ?v_1283 (=> (> call29140formal.new.0 0) (=> (forall ((?x357 Int)) (! (=> (and (<= call29140formal.new.0 ?x357) (< ?x357 (+ call29140formal.new.0 1))) (= (Base ?x357) call29140formal.new.0)) :pattern ((Base ?x357)) )) (=> (forall ((?x358 boogieU)) (! (=> (= (type ?x358) intType) (or (= (U_2_int ?x358) call29140formal.new.0) (= (MapType0Select alloc.9 ?x358) (MapType0Select alloc.10 ?x358)))) :pattern ((MapType0Select alloc.10 ?x358)) )) (=> (and (= (MapType0Select alloc.9 ?v_2634) UNALLOCATED) (= (MapType0Select alloc.10 ?v_2634) ALLOCATED)) (and (=> true (=> ?v_2687 (=> true (=> (<= k.110 k.111) (=> (< k.111 2) (and (=> true (=> (=> ?v_2684 ?v_2631) (=> (=> ?v_2685 ?v_2632) (=> true (=> (= errorReached.82 1) ?v_2686))))) (=> true (=> (=> ?v_2684 ?v_2672) (=> (=> ?v_2685 ?v_2674) (=> true (=> (= errorReached.82 errorReached.81) (=> true ?v_2686)))))))))))) (=> true (=> (not ?v_2687) (and (=> true (=> ?v_2689 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2690)))) (=> true (=> (not ?v_2689) (and (=> true (=> ?v_2691 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2690)))) (=> true (=> (not ?v_2691) (and (=> true (=> ?v_2692 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2690)))) (=> true (=> (not ?v_2692) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2690))))))))))))))))))))))) (let ((?v_2693 (=> true (=> (= inline.ReleaseEffectiveLock.6.myNondetVar_0.5 inline.ReleaseEffectiveLock.6.myNondetVar_0.4) ?v_2694)))) (let ((?v_2699 (and (=> true (=> (= inline.ReleaseEffectiveLock.6.myNondetVar_0.1 1) (=> true (=> (= inline.ReleaseEffectiveLock.6.myNondetVar_0.4 inline.ReleaseEffectiveLock.6.myNondetVar_0.1) ?v_2693)))) (=> true (=> (not (= inline.ReleaseEffectiveLock.6.myNondetVar_0.0 1)) (and (=> true (=> (= inline.ReleaseEffectiveLock.6.myNondetVar_0.2 4) (=> true (=> (= inline.ReleaseEffectiveLock.6.myNondetVar_0.4 inline.ReleaseEffectiveLock.6.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2693)))))))))))) (=> true (=> (not (= inline.ReleaseEffectiveLock.6.myNondetVar_0.3 4)) (=> true (=> (= inline.ReleaseEffectiveLock.6.myNondetVar_0.5 inline.ReleaseEffectiveLock.6.myNondetVar_0.3) (=> true (=> true (=> true ?v_2694))))))))))))) (let ((?v_2704 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2699)))))))))) (?v_2701 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.)) (?v_2702 (= k.110 k.108)) (?v_2703 (= errorReached.81 errorReached.79)) (?v_2706 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.7 hdevice)) (?v_2705 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.7 hqueue)) (?v_2700 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.7 htimer)) (?v_2698 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.7 hrequest)) (?v_2697 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 call28996formal.ret.0) (=> (= k.110 k.109) (=> (= errorReached.81 errorReached.80) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2699)))))) (?v_2695 (= k.109 0)) (?v_2696 (= k.109 1))) (let ((?v_2716 (and (=> true (=> ?v_2698 (=> true (=> (<= k.108 k.109) (=> (< k.109 2) (and (=> true (=> (=> ?v_2695 ?v_2631) (=> (=> ?v_2696 ?v_2632) (=> true (=> (= errorReached.80 1) ?v_2697))))) (=> true (=> (=> ?v_2695 ?v_2672) (=> (=> ?v_2696 ?v_2674) (=> true (=> (= errorReached.80 errorReached.79) (=> true ?v_2697)))))))))))) (=> true (=> (not ?v_2698) (and (=> true (=> ?v_2700 (=> true (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2704))))))) (=> true (=> (not ?v_2700) (and (=> true (=> ?v_2705 (=> true (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2704))))))) (=> true (=> (not ?v_2705) (and (=> true (=> ?v_2706 (=> true (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2704))))))) (=> true (=> (not ?v_2706) (=> true (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2704))))))))))))))))))) (let ((?v_2714 (=> true (=> (= lockStatus_0.21 lockStatus_0.20) (=> (= lockStatus_1.21 lockStatus_1.20) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.6 inline.ReleaseDpcLock.6.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.6.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.6.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0) (=> (= k.108 k.107) ?v_2716))))))))) (?v_2713 (= inline.ReleaseDpcLock.6.myNondetVar_0.5 hlock))) (let ((?v_2708 (=> true (=> (= lockStatus_0.20 lockStatus_0.19) (=> (= lockStatus_1.20 lockStatus_1.19) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 call28884formal.ret.0) (=> (= k.107 k.106) ?v_2714))))))) (let ((?v_2712 (=> true ?v_2708)) (?v_2710 (= lockStatus_0.19 lockStatus_0.18)) (?v_2711 (= lockStatus_1.19 lockStatus_1.18)) (?v_2709 (= k.106 1)) (?v_2707 (= k.106 0))) (let ((?v_2715 (and (=> true (=> ?v_2713 (=> true (=> (<= k.105 k.106) (=> (< k.106 2) (and (=> true (=> ?v_2707 (=> true (=> (= lockStatus_0.19 0) (=> ?v_2711 ?v_2708))))) (=> true (=> (not ?v_2707) (and (=> true (=> ?v_2709 (=> true (=> ?v_2710 (=> (= lockStatus_1.19 0) ?v_2712))))) (=> true (=> (not ?v_2709) (=> true (=> ?v_2710 (=> ?v_2711 ?v_2712)))))))))))))) (=> true (=> (not ?v_2713) (=> true (=> (= lockStatus_0.20 lockStatus_0.18) (=> (= lockStatus_1.20 lockStatus_1.18) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= k.107 k.105) (=> true (=> true (=> true ?v_2714))))))))))))) (let ((?v_2721 (and (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.4 inline.ReleaseDpcLock.6.myNondetVar_0.1) ?v_2715)))) (=> true (=> (not (= inline.ReleaseDpcLock.6.myNondetVar_0.0 2)) (and (=> true (=> (not (= inline.ReleaseDpcLock.6.myNondetVar_0.2 2)) (=> true (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.4 inline.ReleaseDpcLock.6.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2715)))))))))) (=> true (=> (not (not (= inline.ReleaseDpcLock.6.myNondetVar_0.3 2))) (=> true (=> (= lockStatus_0.21 lockStatus_0.18) (=> (= lockStatus_1.21 lockStatus_1.18) (=> (= inline.ReleaseDpcLock.6.myNondetVar_0.6 inline.ReleaseDpcLock.6.myNondetVar_0.3) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= k.108 k.105) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2716)))))))))))))))))))))))))))))) (let ((?v_2726 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2721)))))))))) (?v_2723 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.)) (?v_2724 (= k.105 k.103)) (?v_2725 (= errorReached.79 errorReached.77)) (?v_2728 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.6 hdevice)) (?v_2727 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.6 hqueue)) (?v_2722 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.6 htimer)) (?v_2720 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.6 hrequest)) (?v_2719 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 call28723formal.ret.0) (=> (= k.105 k.104) (=> (= errorReached.79 errorReached.78) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2721)))))) (?v_2717 (= k.104 0)) (?v_2718 (= k.104 1))) (let ((?v_2729 (and (=> true (=> ?v_2720 (=> true (=> (<= k.103 k.104) (=> (< k.104 2) (and (=> true (=> (=> ?v_2717 ?v_2631) (=> (=> ?v_2718 ?v_2632) (=> true (=> (= errorReached.78 1) ?v_2719))))) (=> true (=> (=> ?v_2717 ?v_2672) (=> (=> ?v_2718 ?v_2674) (=> true (=> (= errorReached.78 errorReached.77) (=> true ?v_2719)))))))))))) (=> true (=> (not ?v_2720) (and (=> true (=> ?v_2722 (=> true (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2726))))))) (=> true (=> (not ?v_2722) (and (=> true (=> ?v_2727 (=> true (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2726))))))) (=> true (=> (not ?v_2727) (and (=> true (=> ?v_2728 (=> true (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2726))))))) (=> true (=> (not ?v_2728) (=> true (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2726))))))))))))))))))) (let ((?v_2738 (and (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.3 hrequest) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.3) ?v_2729)))) (=> true (=> (not (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.4 hrequest)) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.4) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2729)))))))))))))))))) (let ((?v_2736 (=> true (=> (= lockStatus_0.18 lockStatus_0.17) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 call28626formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.5.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.5.myNondetVar_0.5) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.6 inline.AcquireDpcLock.5.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0) (=> (= k.103 k.102) (=> (= lockStatus_1.18 lockStatus_1.17) ?v_2738)))))))))) (?v_2735 (= inline.AcquireDpcLock.5.myNondetVar_0.5 hlock))) (let ((?v_2731 (=> true (=> (= lockStatus_0.17 lockStatus_0.16) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 call28574formal.ret.0) (=> (= lockStatus_1.17 lockStatus_1.16) (=> (= k.102 k.101) ?v_2736))))))) (let ((?v_2734 (=> true ?v_2731)) (?v_2732 (= lockStatus_0.16 lockStatus_0.15)) (?v_2733 (= lockStatus_1.16 lockStatus_1.15)) (?v_2730 (= k.101 1)) (?v_2633 (= k.101 0))) (let ((?v_2737 (and (=> true (=> ?v_2735 (=> true (=> (<= k.100 k.101) (=> (< k.101 2) (=> true (=> (=> ?v_2633 (= lockStatus_0.15 0)) (=> (=> ?v_2730 (= lockStatus_1.15 0)) (and (=> true (=> ?v_2633 (=> true (=> (= lockStatus_0.16 1) (=> ?v_2733 ?v_2731))))) (=> true (=> (not ?v_2633) (and (=> true (=> ?v_2730 (=> true (=> ?v_2732 (=> (= lockStatus_1.16 1) ?v_2734))))) (=> true (=> (not ?v_2730) (=> true (=> ?v_2732 (=> ?v_2733 ?v_2734))))))))))))))))) (=> true (=> (not ?v_2735) (=> true (=> (= lockStatus_0.17 lockStatus_0.15) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.17 lockStatus_1.15) (=> (= k.102 k.100) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2736)))))))))))))))) (let ((?v_2743 (and (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.4 inline.AcquireDpcLock.5.myNondetVar_0.0) ?v_2737)))) (=> true (=> (not (= inline.AcquireDpcLock.5.myNondetVar_0.1 2)) (and (=> true (=> (not (= inline.AcquireDpcLock.5.myNondetVar_0.3 2)) (=> true (=> (= inline.AcquireDpcLock.5.myNondetVar_0.4 inline.AcquireDpcLock.5.myNondetVar_0.3) (=> true (=> true (=> true (=> true ?v_2737)))))))) (=> true (=> (not (not (= inline.AcquireDpcLock.5.myNondetVar_0.2 2))) (=> true (=> (= lockStatus_0.18 lockStatus_0.15) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.5.myNondetVar_0.6 inline.AcquireDpcLock.5.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= k.103 k.100) (=> (= lockStatus_1.18 lockStatus_1.15) (=> true (=> true (=> true (=> true ?v_2738))))))))))))))))))))) (let ((?v_2748 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2743)))))))))) (?v_2745 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.)) (?v_2746 (= k.100 k.98)) (?v_2747 (= errorReached.77 errorReached.75)) (?v_2750 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.2 hdevice)) (?v_2749 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.2 hqueue)) (?v_2744 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.2 htimer)) (?v_2742 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.2 hrequest)) (?v_2741 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 call28415formal.ret.0) (=> (= k.100 k.99) (=> (= errorReached.77 errorReached.76) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2743)))))) (?v_2739 (= k.99 0)) (?v_2740 (= k.99 1))) (let ((?v_2752 (and (=> true (=> ?v_2742 (=> true (=> (<= k.98 k.99) (=> (< k.99 2) (and (=> true (=> (=> ?v_2739 ?v_2631) (=> (=> ?v_2740 ?v_2632) (=> true (=> (= errorReached.76 1) ?v_2741))))) (=> true (=> (=> ?v_2739 ?v_2672) (=> (=> ?v_2740 ?v_2674) (=> true (=> (= errorReached.76 errorReached.75) (=> true ?v_2741)))))))))))) (=> true (=> (not ?v_2742) (and (=> true (=> ?v_2744 (=> true (=> ?v_2745 (=> ?v_2746 (=> ?v_2747 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2748))))))) (=> true (=> (not ?v_2744) (and (=> true (=> ?v_2749 (=> true (=> ?v_2745 (=> ?v_2746 (=> ?v_2747 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2748))))))) (=> true (=> (not ?v_2749) (and (=> true (=> ?v_2750 (=> true (=> ?v_2745 (=> ?v_2746 (=> ?v_2747 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2748))))))) (=> true (=> (not ?v_2750) (=> true (=> ?v_2745 (=> ?v_2746 (=> ?v_2747 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2748))))))))))))))))))) (let ((?v_2751 (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 call28331formal.ret.0) (=> (= inline.AcquireEffectiveLock.5.myNondetVar_0.5 inline.AcquireEffectiveLock.5.myNondetVar_0.4) ?v_2752))))) (let ((?v_2757 (and (=> true (=> (= inline.AcquireEffectiveLock.5.myNondetVar_0.0 1) (=> true (=> (= inline.AcquireEffectiveLock.5.myNondetVar_0.4 inline.AcquireEffectiveLock.5.myNondetVar_0.0) ?v_2751)))) (=> true (=> (not (= inline.AcquireEffectiveLock.5.myNondetVar_0.1 1)) (and (=> true (=> (= inline.AcquireEffectiveLock.5.myNondetVar_0.3 4) (=> true (=> (= inline.AcquireEffectiveLock.5.myNondetVar_0.4 inline.AcquireEffectiveLock.5.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2751))))))))))))) (=> true (=> (not (= inline.AcquireEffectiveLock.5.myNondetVar_0.2 4)) (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.AcquireEffectiveLock.5.myNondetVar_0.5 inline.AcquireEffectiveLock.5.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2752))))))))))))))))))))))))) (?v_2759 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.))) (let ((?v_2760 (=> (= k.98 k.96) (=> (= errorReached.75 errorReached.73) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2757)))))))))))) (?v_2762 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.1 hdevice)) (?v_2761 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.1 hqueue)) (?v_2758 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.1 htimer)) (?v_2756 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.1 hrequest)) (?v_2755 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 call28192formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.98 k.97) (=> (= errorReached.75 errorReached.74) ?v_2757)))))) (?v_2753 (= k.97 0)) (?v_2754 (= k.97 1))) (let ((?v_2891 (and (=> true (=> ?v_2756 (=> true (=> (<= k.96 k.97) (=> (< k.97 2) (and (=> true (=> (=> ?v_2753 ?v_2631) (=> (=> ?v_2754 ?v_2632) (=> true (=> (= errorReached.74 1) ?v_2755))))) (=> true (=> (=> ?v_2753 ?v_2672) (=> (=> ?v_2754 ?v_2674) (=> true (=> (= errorReached.74 errorReached.73) (=> true ?v_2755)))))))))))) (=> true (=> (not ?v_2756) (and (=> true (=> ?v_2758 (=> true (=> ?v_2759 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2760))))) (=> true (=> (not ?v_2758) (and (=> true (=> ?v_2761 (=> true (=> ?v_2759 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2760))))) (=> true (=> (not ?v_2761) (and (=> true (=> ?v_2762 (=> true (=> ?v_2759 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2760))))) (=> true (=> (not ?v_2762) (=> true (=> ?v_2759 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2760))))))))))))))))) (let ((?v_3005 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2891))))))))))))) (?v_2894 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2895 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2896 (= reqCompleted_0.5 reqCompleted_0)) (?v_2897 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2898 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2899 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2900 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_2901 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_2902 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2903 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2904 (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0)) (?v_2905 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_2906 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2907 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_2908 (= lockStatus_1.15 lockStatus_1.8)) (?v_2909 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2910 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2911 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2912 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2913 (= lockStatus_0.15 lockStatus_0.8)) (?v_2914 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2915 (= inline.ReleaseDpcLock.5.myNondetVar_0.7 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_2916 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_2917 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1)) (?v_2918 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_2919 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2920 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2921 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2922 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2923 (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0)) (?v_2924 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2925 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.)) (?v_2926 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_2927 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete)) (?v_2928 (= inline.EvtRequestChildCancel.1.myNondetVar_0.7 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_2929 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_2930 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_2931 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_2932 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_2933 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_2934 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_2935 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2936 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2937 (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0)) (?v_2938 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_2939 (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0)) (?v_2940 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_2941 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_2942 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_2943 (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_2944 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_2945 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2946 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2947 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2948 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_2949 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2950 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_2951 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_2952 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2953 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_2954 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_2955 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2956 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2957 (= inline.AcquireDpcLock.4.myNondetVar_0.7 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_2958 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_2959 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_2960 (= reqCompleted_1.5 reqCompleted_1)) (?v_2961 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext)) (?v_2962 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_2963 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2964 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2965 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_2966 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_2967 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_2968 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_2969 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2970 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_2971 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2972 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2973 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2974 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2975 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_2976 (= inline.ReleaseEffectiveLock.5.myNondetVar_0.6 inline.ReleaseEffectiveLock.5.myNondetVar_0)) (?v_2977 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_2978 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2979 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_2980 (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0)) (?v_2981 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2982 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1)) (?v_2983 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0)) (?v_2984 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2985 (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0)) (?v_2986 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_2987 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2988 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_2989 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_2990 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_2991 (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0)) (?v_2992 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2993 (= inline.AcquireEffectiveLock.4.myNondetVar_0.6 inline.AcquireEffectiveLock.4.myNondetVar_0)) (?v_2994 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2995 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_2996 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1)) (?v_2997 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_2998 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext)) (?v_2999 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_3000 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3001 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_3002 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_3003 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3004 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1))) (let ((?v_3012 (=> true (=> ?v_2894 (=> ?v_2895 (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_2899 (=> ?v_2900 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> (= errorReached.73 errorReached.48) (=> ?v_2906 (=> ?v_2907 (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> ?v_2913 (=> ?v_2914 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 (=> ?v_2919 (=> (= reqCancelSet_1.9 reqCancelSet_1.5) (=> ?v_2920 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_2927 (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> ?v_2931 (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0) (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> ?v_2940 (=> ?v_2941 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> ?v_2945 (=> ?v_2946 (=> ?v_2947 (=> ?v_2948 (=> ?v_2949 (=> ?v_2950 (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2961 (=> ?v_2962 (=> ?v_2963 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) (=> ?v_2964 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_2968 (=> ?v_2969 (=> ?v_2970 (=> ?v_2971 (=> ?v_2972 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_2978 (=> ?v_2979 (=> ?v_2980 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> ?v_2985 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> ?v_2990 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2996 (=> ?v_2997 (=> (= k.96 k.63) (=> ?v_2998 (=> ?v_2999 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.) (=> ?v_3003 (=> (= reqCancelSet_0.9 reqCancelSet_0.5) (=> ?v_3004 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) ?v_3005)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3007 (=> true (=> (= reqCancelSet_1.5 reqCancelSet_1.4) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 call29698formal.ret.0) (=> (= reqCancelSet_0.5 reqCancelSet_0.4) (=> (= k.63 k.62) (=> (= errorReached.48 errorReached.47) ?v_3012)))))))) (let ((?v_3010 (=> true ?v_3007)) (?v_3008 (= reqCancelSet_0.4 reqCancelSet_0)) (?v_3009 (= reqCancelSet_1.4 reqCancelSet_1)) (?v_3006 (= k.62 1)) (?v_2893 (= k.62 0))) (let ((?v_3011 (and (=> true (=> ?v_2893 (=> true (=> (= reqCancelSet_0.4 1) (=> ?v_3009 ?v_3007))))) (=> true (=> (not ?v_2893) (and (=> true (=> ?v_3006 (=> true (=> ?v_3008 (=> (= reqCancelSet_1.4 1) ?v_3010))))) (=> true (=> (not ?v_3006) (=> true (=> ?v_3008 (=> ?v_3009 ?v_3010)))))))))) (?v_2892 (= (BINARY_BOTH_INT call25932formal.ret.0 2) 0)) (?v_2887 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_2888 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2889 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 call25956formal.ret.0)) (?v_2890 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2886 (= call25956formal.ret.0 ?v_267))) (let ((?v_2785 (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.1) (=> (= reqCompleted_0.5 reqCompleted_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.3) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.1.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1) (=> (= errorReached.73 errorReached.72) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0) (=> (= lockStatus_1.15 lockStatus_1.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= lockStatus_0.15 lockStatus_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.7 inline.ReleaseDpcLock.5.myNondetVar_0.6) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= reqCancelSet_1.9 reqCancelSet_1.8) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.7 inline.EvtRequestChildCancel.1.myNondetVar_0.6) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> ?v_2887 (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.1) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.2) (=> (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0.0) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.1.myNondetVar_0.1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0) (=> (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.2) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.1.myNondetVar_0.4) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.3) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.7 inline.AcquireDpcLock.4.myNondetVar_0.6) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.4) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myNondetVar_0.3) (=> (= reqCompleted_1.5 reqCompleted_1.4) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_2888 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.ReleaseEffectiveLock.5.myNondetVar_0.6 inline.ReleaseEffectiveLock.5.myNondetVar_0.5) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.1.myNondetVar_0.3) (=> (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myNondetVar_0.2) (=> (= inline.AcquireEffectiveLock.4.myNondetVar_0.6 inline.AcquireEffectiveLock.4.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myNondetVar_0.1) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0) (=> (= k.96 k.95) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.2) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.4) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1) (=> ?v_2889 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= reqCancelSet_0.9 reqCancelSet_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2890 ?v_2891)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2790 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.1.myNondetVar_0.5) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= errorReached.72 errorReached.68) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCancelSet_1.8 reqCancelSet_1) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion) (=> (= k.95 k.91) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.6 inline.EvtRequestChildCancel.1.myNondetVar_0.5) (=> (= reqCompleted_1.4 reqCompleted_1) (=> (= reqCompleted_0.4 reqCompleted_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.5) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= reqCancelSet_0.8 reqCancelSet_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.1.myNondetVar_0.5) (=> (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.5) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.5) (=> true (=> true (=> true ?v_2785))))))))))))))))))))))))))))))))))))))) (let ((?v_2792 (=> (= k.91 k.88) (=> (= errorReached.68 errorReached.65) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2790)))))))))))))))))))))) (?v_2794 (= inline.EvtRequestChildCancel.1.myNondetVar_0.5 hdevice)) (?v_2793 (= inline.EvtRequestChildCancel.1.myNondetVar_0.5 hqueue)) (?v_2791 (= inline.EvtRequestChildCancel.1.myNondetVar_0.5 htimer)) (?v_2789 (= inline.EvtRequestChildCancel.1.myNondetVar_0.5 hrequest)) (?v_2788 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.91 k.90) (=> (= errorReached.68 errorReached.67) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 call27646formal.ret.0) ?v_2790)))))) (?v_2786 (= k.90 0)) (?v_2787 (= k.90 1)) (?v_2784 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_2775 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= errorReached.72 errorReached.71) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelSet_1.8 reqCancelSet_1.7) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= k.95 k.94) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.6 inline.EvtRequestChildCancel.1.myNondetVar_0.4) (=> (= reqCompleted_1.4 reqCompleted_1.3) (=> (= reqCompleted_0.4 reqCompleted_0.3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= reqCancelSet_0.8 reqCancelSet_0.7) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) ?v_2785)))))))))))))))))))))))))))))))))))) (let ((?v_2764 (=> true (=> (= reqCancelSet_1.7 reqCancelSet_1.6) (=> (= reqCancelSet_0.7 reqCancelSet_0.6) (=> (= reqCompleted_0.3 reqCompleted_0.2) (=> (= k.94 k.93) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 call28009formal.ret.0) (=> (= reqCompleted_1.3 reqCompleted_1.2) (=> (= errorReached.71 errorReached.70) ?v_2775)))))))))) (let ((?v_2767 (=> true ?v_2764)) (?v_2765 (= reqCancelSet_0.6 reqCancelSet_0)) (?v_2766 (= reqCancelSet_1.6 reqCancelSet_1)) (?v_2763 (= k.93 1))) (let ((?v_2770 (not ?v_2763)) (?v_2630 (= k.93 0))) (let ((?v_2768 (not ?v_2630))) (let ((?v_2769 (and (=> true (=> ?v_2630 (=> true (=> (= reqCancelSet_0.6 0) (=> ?v_2766 ?v_2764))))) (=> true (=> ?v_2768 (and (=> true (=> ?v_2763 (=> true (=> ?v_2765 (=> (= reqCancelSet_1.6 0) ?v_2767))))) (=> true (=> ?v_2770 (=> true (=> ?v_2765 (=> ?v_2766 ?v_2767))))))))))) (let ((?v_2773 (=> true (=> true ?v_2769))) (?v_2771 (= reqCompleted_0.2 reqCompleted_0)) (?v_2772 (= reqCompleted_1.2 reqCompleted_1))) (let ((?v_2774 (and (=> true (=> ?v_2630 (=> true (=> (= reqCompleted_0.2 1) (=> ?v_2772 ?v_2769))))) (=> true (=> ?v_2768 (and (=> true (=> ?v_2763 (=> true (=> ?v_2771 (=> (= reqCompleted_1.2 1) ?v_2773))))) (=> true (=> ?v_2770 (=> true (=> ?v_2771 (=> ?v_2772 ?v_2773))))))))))) (let ((?v_2776 (and (=> true (=> ?v_13 (=> true (=> (<= k.92 k.93) (=> (< k.93 2) (and (=> true (=> (=> ?v_2630 ?v_4) (=> (=> ?v_2763 ?v_5) (=> true (=> (= errorReached.70 1) ?v_2774))))) (=> true (=> (=> ?v_2630 ?v_2) (=> (=> ?v_2763 ?v_3) (=> true (=> (= errorReached.70 errorReached.69) (=> true ?v_2774)))))))))))) (=> true (=> ?v_384 (=> true (=> (= reqCancelSet_1.7 reqCancelSet_1) (=> (= reqCancelSet_0.7 reqCancelSet_0) (=> (= reqCompleted_0.3 reqCompleted_0) (=> (= k.94 k.92) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= reqCompleted_1.3 reqCompleted_1) (=> (= errorReached.71 errorReached.69) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2775))))))))))))))))))) (let ((?v_2780 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.1 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.2) ?v_2776)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2776)))))))))))))))) (?v_2781 (= k.92 k.88)) (?v_2782 (= errorReached.69 errorReached.65))) (let ((?v_2783 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2780))))))))))) (?v_2779 (=> true (=> (= k.92 k.89) (=> (= errorReached.69 errorReached.66) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 call27858formal.ret.0) ?v_2780)))))) (?v_2777 (= k.89 0)) (?v_2778 (= k.89 1))) (let ((?v_2796 (and (=> true (=> (not ?v_2784) (and (=> true (=> ?v_13 (=> true (=> (<= k.88 k.89) (=> (< k.89 2) (and (=> true (=> (=> ?v_2777 ?v_4) (=> (=> ?v_2778 ?v_5) (=> true (=> (= errorReached.66 1) ?v_2779))))) (=> true (=> (=> ?v_2777 ?v_2) (=> (=> ?v_2778 ?v_3) (=> true (=> (= errorReached.66 errorReached.65) (=> true ?v_2779)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> ?v_2781 (=> ?v_2782 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2783)))))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> ?v_2781 (=> ?v_2782 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2783)))))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> ?v_2781 (=> ?v_2782 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2783)))))) (=> true (=> ?v_422 (=> true (=> ?v_2781 (=> ?v_2782 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2783)))))))))))))))))) (=> true (=> ?v_2784 (and (=> true (=> ?v_2789 (=> true (=> (<= k.88 k.90) (=> (< k.90 2) (and (=> true (=> (=> ?v_2786 ?v_4) (=> (=> ?v_2787 ?v_5) (=> true (=> (= errorReached.67 1) ?v_2788))))) (=> true (=> (=> ?v_2786 ?v_2) (=> (=> ?v_2787 ?v_3) (=> true (=> (= errorReached.67 errorReached.65) (=> true ?v_2788)))))))))))) (=> true (=> (not ?v_2789) (and (=> true (=> ?v_2791 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2792)))) (=> true (=> (not ?v_2791) (and (=> true (=> ?v_2793 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2792)))) (=> true (=> (not ?v_2793) (and (=> true (=> ?v_2794 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2792)))) (=> true (=> (not ?v_2794) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2792))))))))))))))))))) (let ((?v_2795 (=> true (=> (= inline.ReleaseEffectiveLock.5.myNondetVar_0.5 inline.ReleaseEffectiveLock.5.myNondetVar_0.4) ?v_2796)))) (let ((?v_2801 (and (=> true (=> (= inline.ReleaseEffectiveLock.5.myNondetVar_0.0 1) (=> true (=> (= inline.ReleaseEffectiveLock.5.myNondetVar_0.4 inline.ReleaseEffectiveLock.5.myNondetVar_0.0) ?v_2795)))) (=> true (=> (not (= inline.ReleaseEffectiveLock.5.myNondetVar_0.1 1)) (and (=> true (=> (= inline.ReleaseEffectiveLock.5.myNondetVar_0.3 4) (=> true (=> (= inline.ReleaseEffectiveLock.5.myNondetVar_0.4 inline.ReleaseEffectiveLock.5.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2795)))))))))))) (=> true (=> (not (= inline.ReleaseEffectiveLock.5.myNondetVar_0.2 4)) (=> true (=> (= inline.ReleaseEffectiveLock.5.myNondetVar_0.5 inline.ReleaseEffectiveLock.5.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2796)))))))))))))))) (let ((?v_2803 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.) (=> (= k.88 k.86) (=> (= errorReached.65 errorReached.63) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2801))))))))))))) (?v_2805 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 hdevice)) (?v_2804 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 hqueue)) (?v_2802 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 htimer)) (?v_2800 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 hrequest)) (?v_2799 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 call27414formal.ret.0) (=> (= k.88 k.87) (=> (= errorReached.65 errorReached.64) ?v_2801)))))) (?v_2797 (= k.87 0)) (?v_2798 (= k.87 1))) (let ((?v_2815 (and (=> true (=> ?v_2800 (=> true (=> (<= k.86 k.87) (=> (< k.87 2) (and (=> true (=> (=> ?v_2797 ?v_4) (=> (=> ?v_2798 ?v_5) (=> true (=> (= errorReached.64 1) ?v_2799))))) (=> true (=> (=> ?v_2797 ?v_2) (=> (=> ?v_2798 ?v_3) (=> true (=> (= errorReached.64 errorReached.63) (=> true ?v_2799)))))))))))) (=> true (=> (not ?v_2800) (and (=> true (=> ?v_2802 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2803)))) (=> true (=> (not ?v_2802) (and (=> true (=> ?v_2804 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2803)))) (=> true (=> (not ?v_2804) (and (=> true (=> ?v_2805 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2803)))) (=> true (=> (not ?v_2805) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2803)))))))))))))))) (let ((?v_2813 (=> true (=> (= lockStatus_0.14 lockStatus_0.13) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.6 inline.ReleaseDpcLock.5.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.5.myNondetVar_0.5) (=> (= lockStatus_1.14 lockStatus_1.13) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.5.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0) (=> (= k.86 k.85) ?v_2815))))))))) (?v_2812 (= inline.ReleaseDpcLock.5.myNondetVar_0.5 hlock))) (let ((?v_2807 (=> true (=> (= lockStatus_0.13 lockStatus_0.12) (=> (= lockStatus_1.13 lockStatus_1.12) (=> (= k.85 k.84) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 call27303formal.ret.0) ?v_2813))))))) (let ((?v_2811 (=> true ?v_2807)) (?v_2809 (= lockStatus_0.12 lockStatus_0.11)) (?v_2810 (= lockStatus_1.12 lockStatus_1.11)) (?v_2808 (= k.84 1)) (?v_2806 (= k.84 0))) (let ((?v_2814 (and (=> true (=> ?v_2812 (=> true (=> (<= k.83 k.84) (=> (< k.84 2) (and (=> true (=> ?v_2806 (=> true (=> (= lockStatus_0.12 0) (=> ?v_2810 ?v_2807))))) (=> true (=> (not ?v_2806) (and (=> true (=> ?v_2808 (=> true (=> ?v_2809 (=> (= lockStatus_1.12 0) ?v_2811))))) (=> true (=> (not ?v_2808) (=> true (=> ?v_2809 (=> ?v_2810 ?v_2811)))))))))))))) (=> true (=> (not ?v_2812) (=> true (=> (= lockStatus_0.13 lockStatus_0.11) (=> (= lockStatus_1.13 lockStatus_1.11) (=> (= k.85 k.83) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_2813))))))))))))) (let ((?v_2820 (and (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.0 2) (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.4 inline.ReleaseDpcLock.5.myNondetVar_0.0) ?v_2814)))) (=> true (=> (not (= inline.ReleaseDpcLock.5.myNondetVar_0.1 2)) (and (=> true (=> (not (= inline.ReleaseDpcLock.5.myNondetVar_0.3 2)) (=> true (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.4 inline.ReleaseDpcLock.5.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2814)))))))))) (=> true (=> (not (not (= inline.ReleaseDpcLock.5.myNondetVar_0.2 2))) (=> true (=> (= lockStatus_0.14 lockStatus_0.11) (=> (= inline.ReleaseDpcLock.5.myNondetVar_0.6 inline.ReleaseDpcLock.5.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.14 lockStatus_1.11) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> (= k.86 k.83) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2815)))))))))))))))))))))))))))))) (let ((?v_2822 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.) (=> (= k.83 k.81) (=> (= errorReached.63 errorReached.61) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2820))))))))))))) (?v_2824 (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 hdevice)) (?v_2823 (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 hqueue)) (?v_2821 (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 htimer)) (?v_2819 (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 hrequest)) (?v_2818 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 call27142formal.ret.0) (=> (= k.83 k.82) (=> (= errorReached.63 errorReached.62) ?v_2820)))))) (?v_2816 (= k.82 0)) (?v_2817 (= k.82 1))) (let ((?v_2833 (and (=> true (=> ?v_2819 (=> true (=> (<= k.81 k.82) (=> (< k.82 2) (and (=> true (=> (=> ?v_2816 ?v_4) (=> (=> ?v_2817 ?v_5) (=> true (=> (= errorReached.62 1) ?v_2818))))) (=> true (=> (=> ?v_2816 ?v_2) (=> (=> ?v_2817 ?v_3) (=> true (=> (= errorReached.62 errorReached.61) (=> true ?v_2818)))))))))))) (=> true (=> (not ?v_2819) (and (=> true (=> ?v_2821 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2822)))) (=> true (=> (not ?v_2821) (and (=> true (=> ?v_2823 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2822)))) (=> true (=> (not ?v_2823) (and (=> true (=> ?v_2824 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2822)))) (=> true (=> (not ?v_2824) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2822)))))))))))))))) (let ((?v_2831 (=> true (=> (= lockStatus_0.11 lockStatus_0.10) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.4.myNondetVar_0.5) (=> (= lockStatus_1.11 lockStatus_1.10) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.4.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 call27058formal.ret.0) (=> (= k.81 k.80) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.6 inline.AcquireDpcLock.4.myNondetVar_0.5) ?v_2833)))))))))) (?v_2830 (= inline.AcquireDpcLock.4.myNondetVar_0.5 hlock))) (let ((?v_2826 (=> true (=> (= lockStatus_0.10 lockStatus_0.9) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 call27006formal.ret.0) (=> (= lockStatus_1.10 lockStatus_1.9) (=> (= k.80 k.79) ?v_2831))))))) (let ((?v_2829 (=> true ?v_2826)) (?v_2827 (= lockStatus_0.9 lockStatus_0.8)) (?v_2828 (= lockStatus_1.9 lockStatus_1.8)) (?v_2825 (= k.79 1)) (?v_2629 (= k.79 0))) (let ((?v_2832 (and (=> true (=> ?v_2830 (=> true (=> (<= k.78 k.79) (=> (< k.79 2) (=> true (=> (=> ?v_2629 (= lockStatus_0.8 0)) (=> (=> ?v_2825 (= lockStatus_1.8 0)) (and (=> true (=> ?v_2629 (=> true (=> (= lockStatus_0.9 1) (=> ?v_2828 ?v_2826))))) (=> true (=> (not ?v_2629) (and (=> true (=> ?v_2825 (=> true (=> ?v_2827 (=> (= lockStatus_1.9 1) ?v_2829))))) (=> true (=> (not ?v_2825) (=> true (=> ?v_2827 (=> ?v_2828 ?v_2829))))))))))))))))) (=> true (=> (not ?v_2830) (=> true (=> (= lockStatus_0.10 lockStatus_0.8) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.10 lockStatus_1.8) (=> (= k.80 k.78) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2831)))))))))))))))) (let ((?v_2838 (and (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.3 2) (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.4 inline.AcquireDpcLock.4.myNondetVar_0.3) ?v_2832)))) (=> true (=> (not (= inline.AcquireDpcLock.4.myNondetVar_0.0 2)) (and (=> true (=> (not (= inline.AcquireDpcLock.4.myNondetVar_0.1 2)) (=> true (=> (= inline.AcquireDpcLock.4.myNondetVar_0.4 inline.AcquireDpcLock.4.myNondetVar_0.1) (=> true (=> true (=> true (=> true ?v_2832)))))))) (=> true (=> (not (not (= inline.AcquireDpcLock.4.myNondetVar_0.2 2))) (=> true (=> (= lockStatus_0.11 lockStatus_0.8) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_1.11 lockStatus_1.8) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.) (=> (= k.81 k.78) (=> (= inline.AcquireDpcLock.4.myNondetVar_0.6 inline.AcquireDpcLock.4.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2833))))))))))))))))))))))))))))))))) (?v_2840 (= k.78 k.76))) (let ((?v_2841 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.) (=> (= errorReached.61 errorReached.59) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2838)))))))))))) (?v_2843 (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 hdevice)) (?v_2842 (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 hqueue)) (?v_2839 (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 htimer)) (?v_2837 (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 hrequest)) (?v_2836 (=> true (=> (= k.78 k.77) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 call26847formal.ret.0) (=> (= errorReached.61 errorReached.60) ?v_2838)))))) (?v_2834 (= k.77 0)) (?v_2835 (= k.77 1))) (let ((?v_2845 (and (=> true (=> ?v_2837 (=> true (=> (<= k.76 k.77) (=> (< k.77 2) (and (=> true (=> (=> ?v_2834 ?v_4) (=> (=> ?v_2835 ?v_5) (=> true (=> (= errorReached.60 1) ?v_2836))))) (=> true (=> (=> ?v_2834 ?v_2) (=> (=> ?v_2835 ?v_3) (=> true (=> (= errorReached.60 errorReached.59) (=> true ?v_2836)))))))))))) (=> true (=> (not ?v_2837) (and (=> true (=> ?v_2839 (=> true (=> ?v_2840 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2841))))) (=> true (=> (not ?v_2839) (and (=> true (=> ?v_2842 (=> true (=> ?v_2840 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2841))))) (=> true (=> (not ?v_2842) (and (=> true (=> ?v_2843 (=> true (=> ?v_2840 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2841))))) (=> true (=> (not ?v_2843) (=> true (=> ?v_2840 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2841))))))))))))))))) (let ((?v_2844 (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 call26763formal.ret.0) (=> (= inline.AcquireEffectiveLock.4.myNondetVar_0.5 inline.AcquireEffectiveLock.4.myNondetVar_0.4) ?v_2845))))) (let ((?v_2850 (and (=> true (=> (= inline.AcquireEffectiveLock.4.myNondetVar_0.0 1) (=> true (=> (= inline.AcquireEffectiveLock.4.myNondetVar_0.4 inline.AcquireEffectiveLock.4.myNondetVar_0.0) ?v_2844)))) (=> true (=> (not (= inline.AcquireEffectiveLock.4.myNondetVar_0.1 1)) (and (=> true (=> (= inline.AcquireEffectiveLock.4.myNondetVar_0.3 4) (=> true (=> (= inline.AcquireEffectiveLock.4.myNondetVar_0.4 inline.AcquireEffectiveLock.4.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2844))))))))))))) (=> true (=> (not (= inline.AcquireEffectiveLock.4.myNondetVar_0.2 4)) (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.AcquireEffectiveLock.4.myNondetVar_0.5 inline.AcquireEffectiveLock.4.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2845))))))))))))))))))))))))) (?v_2852 (= k.76 k.74))) (let ((?v_2853 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.) (=> (= errorReached.59 errorReached.57) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2850)))))))))))) (?v_2855 (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 hdevice)) (?v_2854 (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 hqueue)) (?v_2851 (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 htimer)) (?v_2849 (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 hrequest)) (?v_2848 (=> true (=> (= k.76 k.75) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 call26624formal.ret.0) (=> (= errorReached.59 errorReached.58) ?v_2850)))))) (?v_2846 (= k.75 0)) (?v_2847 (= k.75 1))) (let ((?v_2859 (and (=> true (=> ?v_2849 (=> true (=> (<= k.74 k.75) (=> (< k.75 2) (and (=> true (=> (=> ?v_2846 ?v_4) (=> (=> ?v_2847 ?v_5) (=> true (=> (= errorReached.58 1) ?v_2848))))) (=> true (=> (=> ?v_2846 ?v_2) (=> (=> ?v_2847 ?v_3) (=> true (=> (= errorReached.58 errorReached.57) (=> true ?v_2848)))))))))))) (=> true (=> (not ?v_2849) (and (=> true (=> ?v_2851 (=> true (=> ?v_2852 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2853))))) (=> true (=> (not ?v_2851) (and (=> true (=> ?v_2854 (=> true (=> ?v_2852 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2853))))) (=> true (=> (not ?v_2854) (and (=> true (=> ?v_2855 (=> true (=> ?v_2852 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2853))))) (=> true (=> (not ?v_2855) (=> true (=> ?v_2852 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2853)))))))))))))))) (?v_2860 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.))) (let ((?v_2861 (=> (= errorReached.57 errorReached.55) (=> (= k.74 k.72) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2859))))))))))))))))))))))) (?v_2858 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 call26449formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.57 errorReached.56) (=> (= k.74 k.73) ?v_2859)))))) (?v_2856 (= k.73 0)) (?v_2857 (= k.73 1))) (let ((?v_2866 (and (=> true (=> ?v_13 (=> true (=> (<= k.72 k.73) (=> (< k.73 2) (and (=> true (=> (=> ?v_2856 ?v_4) (=> (=> ?v_2857 ?v_5) (=> true (=> (= errorReached.56 1) ?v_2858))))) (=> true (=> (=> ?v_2856 ?v_2) (=> (=> ?v_2857 ?v_3) (=> true (=> (= errorReached.56 errorReached.55) (=> true ?v_2858)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> ?v_2860 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2861))))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> ?v_2860 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2861))))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> ?v_2860 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2861))))) (=> true (=> ?v_422 (=> true (=> ?v_2860 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2861))))))))))))))))) (let ((?v_2871 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2866))))))))))))))))) (?v_2868 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_2869 (= k.72 k.67)) (?v_2870 (= errorReached.55 errorReached.51)) (?v_2873 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hdevice)) (?v_2872 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hqueue)) (?v_2867 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 htimer)) (?v_2865 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hrequest)) (?v_2864 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 call26294formal.ret.0) (=> (= k.72 k.71) (=> (= errorReached.55 errorReached.54) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2866)))))) (?v_2862 (= k.71 0)) (?v_2863 (= k.71 1))) (let ((?v_2877 (and (=> true (=> ?v_2865 (=> true (=> (<= k.67 k.71) (=> (< k.71 2) (and (=> true (=> (=> ?v_2862 ?v_4) (=> (=> ?v_2863 ?v_5) (=> true (=> (= errorReached.54 1) ?v_2864))))) (=> true (=> (=> ?v_2862 ?v_2) (=> (=> ?v_2863 ?v_3) (=> true (=> (= errorReached.54 errorReached.51) (=> true ?v_2864)))))))))))) (=> true (=> (not ?v_2865) (and (=> true (=> ?v_2867 (=> true (=> ?v_2868 (=> ?v_2869 (=> ?v_2870 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2871))))))) (=> true (=> (not ?v_2867) (and (=> true (=> ?v_2872 (=> true (=> ?v_2868 (=> ?v_2869 (=> ?v_2870 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2871))))))) (=> true (=> (not ?v_2872) (and (=> true (=> ?v_2873 (=> true (=> ?v_2868 (=> ?v_2869 (=> ?v_2870 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2871))))))) (=> true (=> (not ?v_2873) (=> true (=> ?v_2868 (=> ?v_2869 (=> ?v_2870 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2871)))))))))))))))))) (?v_2878 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.))) (let ((?v_2879 (=> (= errorReached.51 errorReached.49) (=> (= k.67 k.65) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2877))))))))))))))))))) (?v_2876 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 call26137formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.51 errorReached.50) (=> (= k.67 k.66) ?v_2877)))))) (?v_2874 (= k.66 0)) (?v_2875 (= k.66 1))) (let ((?v_2884 (and (=> true (=> ?v_12 (=> true (=> (<= k.65 k.66) (=> (< k.66 2) (and (=> true (=> (=> ?v_2874 ?v_4) (=> (=> ?v_2875 ?v_5) (=> true (=> (= errorReached.50 1) ?v_2876))))) (=> true (=> (=> ?v_2874 ?v_2) (=> (=> ?v_2875 ?v_3) (=> true (=> (= errorReached.50 errorReached.49) (=> true ?v_2876)))))))))))) (=> true (=> ?v_1852 (and (=> true (=> ?v_520 (=> true (=> ?v_2878 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2879))))) (=> true (=> ?v_1854 (and (=> true (=> ?v_521 (=> true (=> ?v_2878 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2879))))) (=> true (=> ?v_523 (and (=> true (=> ?v_524 (=> true (=> ?v_2878 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2879))))) (=> true (=> ?v_1859 (=> true (=> ?v_2878 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2879))))))))))))))))) (let ((?v_2885 (=> (= errorReached.49 errorReached.46) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2884))))))))))))))) (?v_2882 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 call26026formal.ret.0)) (?v_2883 (= k.65 k.64)) (?v_2880 (= k.64 0)) (?v_2881 (= k.64 1)) (?v_2628 (int_2_U call25918formal.new.0))) (let ((?v_3017 (=> true (and ?v_1283 (=> ?v_1283 (=> (> call25918formal.new.0 0) (=> (forall ((?x359 Int)) (! (=> (and (<= call25918formal.new.0 ?x359) (< ?x359 (+ call25918formal.new.0 1))) (= (Base ?x359) call25918formal.new.0)) :pattern ((Base ?x359)) )) (=> (forall ((?x360 boogieU)) (! (=> (= (type ?x360) intType) (or (= (U_2_int ?x360) call25918formal.new.0) (= (MapType0Select alloc.8 ?x360) (MapType0Select alloc.9 ?x360)))) :pattern ((MapType0Select alloc.9 ?x360)) )) (=> (and (= (MapType0Select alloc.8 ?v_2628) UNALLOCATED) (= (MapType0Select alloc.9 ?v_2628) ALLOCATED)) (and (=> true (=> (not ?v_2892) (and (=> true (=> ?v_2886 (and (=> true (=> ?v_13 (=> true (=> (<= k.61 k.64) (=> (< k.64 2) (and (=> true (=> (=> ?v_2880 ?v_4) (=> (=> ?v_2881 ?v_5) (=> true (=> ?v_2882 (=> ?v_2883 (=> (= errorReached.49 1) ?v_2884))))))) (=> true (=> (=> ?v_2880 ?v_2) (=> (=> ?v_2881 ?v_3) (=> true (=> ?v_2882 (=> ?v_2883 ?v_2885)))))))))))) (=> true (=> ?v_384 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.) (=> (= k.65 k.61) ?v_2885)))))))) (=> true (=> (not ?v_2886) (=> true (=> ?v_2894 (=> ?v_2895 (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_2899 (=> ?v_2900 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> (= errorReached.73 errorReached.46) (=> ?v_2906 (=> ?v_2907 (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> ?v_2913 (=> ?v_2914 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 (=> ?v_2919 (=> (= reqCancelSet_1.9 reqCancelSet_1) (=> ?v_2920 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_2927 (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> ?v_2931 (=> ?v_2887 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> ?v_2940 (=> ?v_2941 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> ?v_2945 (=> ?v_2946 (=> ?v_2947 (=> ?v_2948 (=> ?v_2949 (=> ?v_2950 (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2961 (=> ?v_2962 (=> ?v_2963 (=> ?v_2888 (=> ?v_2964 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_2968 (=> ?v_2969 (=> ?v_2970 (=> ?v_2971 (=> ?v_2972 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_2978 (=> ?v_2979 (=> ?v_2980 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> ?v_2985 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> ?v_2990 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2996 (=> ?v_2997 (=> (= k.96 k.61) (=> ?v_2998 (=> ?v_2999 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> ?v_2889 (=> ?v_3003 (=> (= reqCancelSet_0.9 reqCancelSet_0) (=> ?v_3004 (=> ?v_2890 ?v_3005))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2892 (and (=> true (=> ?v_13 (=> true (=> (<= k.61 k.62) (=> (< k.62 2) (and (=> true (=> (=> ?v_2893 ?v_4) (=> (=> ?v_3006 ?v_5) (=> true (=> (= errorReached.47 1) ?v_3011))))) (=> true (=> (=> ?v_2893 ?v_2) (=> (=> ?v_3006 ?v_3) (=> true (=> (= errorReached.47 errorReached.46) (=> true ?v_3011)))))))))))) (=> true (=> ?v_384 (=> true (=> (= reqCancelSet_1.5 reqCancelSet_1) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.) (=> (= reqCancelSet_0.5 reqCancelSet_0) (=> (= k.63 k.61) (=> (= errorReached.48 errorReached.46) (=> true (=> true (=> true ?v_3012)))))))))))))))))))))))) (let ((?v_3019 (=> (= k.61 k.59) (=> (= errorReached.46 errorReached.44) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3017)))))))))))) (?v_3021 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.0 hdevice)) (?v_3020 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.0 hqueue)) (?v_3018 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.0 htimer)) (?v_3016 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.0 hrequest)) (?v_3015 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.61 k.60) (=> (= errorReached.46 errorReached.45) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 call25819formal.ret.0) ?v_3017)))))) (?v_3013 (= k.60 0)) (?v_3014 (= k.60 1))) (let ((?v_3025 (and (=> true (=> ?v_3016 (=> true (=> (<= k.59 k.60) (=> (< k.60 2) (and (=> true (=> (=> ?v_3013 ?v_4) (=> (=> ?v_3014 ?v_5) (=> true (=> (= errorReached.45 1) ?v_3015))))) (=> true (=> (=> ?v_3013 ?v_2) (=> (=> ?v_3014 ?v_3) (=> true (=> (= errorReached.45 errorReached.44) (=> true ?v_3015)))))))))))) (=> true (=> (not ?v_3016) (and (=> true (=> ?v_3018 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3019)))) (=> true (=> (not ?v_3018) (and (=> true (=> ?v_3020 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3019)))) (=> true (=> (not ?v_3020) (and (=> true (=> ?v_3021 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3019)))) (=> true (=> (not ?v_3021) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3019))))))))))))))) (?v_3026 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.))) (let ((?v_3027 (=> (= k.59 k.57) (=> (= errorReached.44 errorReached.42) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3025)))))))))))))))))) (?v_3024 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 call25663formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.59 k.58) (=> (= errorReached.44 errorReached.43) ?v_3025)))))) (?v_3022 (= k.58 0)) (?v_3023 (= k.58 1))) (let ((?v_3031 (and (=> true (=> ?v_12 (=> true (=> (<= k.57 k.58) (=> (< k.58 2) (and (=> true (=> (=> ?v_3022 ?v_4) (=> (=> ?v_3023 ?v_5) (=> true (=> (= errorReached.43 1) ?v_3024))))) (=> true (=> (=> ?v_3022 ?v_2) (=> (=> ?v_3023 ?v_3) (=> true (=> (= errorReached.43 errorReached.42) (=> true ?v_3024)))))))))))) (=> true (=> ?v_1852 (and (=> true (=> ?v_520 (=> true (=> ?v_3026 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3027))))) (=> true (=> ?v_1854 (and (=> true (=> ?v_521 (=> true (=> ?v_3026 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3027))))) (=> true (=> ?v_523 (and (=> true (=> ?v_524 (=> true (=> ?v_3026 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3027))))) (=> true (=> ?v_1859 (=> true (=> ?v_3026 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3027)))))))))))))))) (?v_3032 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_3033 (= k.57 k.55))) (let ((?v_3034 (=> (= errorReached.42 errorReached.40) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3031))))))))))))))))) (?v_3030 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 call25509formal.ret.0) (=> (= k.57 k.56) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.42 errorReached.41) ?v_3031)))))) (?v_3028 (= k.56 0)) (?v_3029 (= k.56 1))) (let ((?v_3039 (and (=> true (=> ?v_13 (=> true (=> (<= k.55 k.56) (=> (< k.56 2) (and (=> true (=> (=> ?v_3028 ?v_4) (=> (=> ?v_3029 ?v_5) (=> true (=> (= errorReached.41 1) ?v_3030))))) (=> true (=> (=> ?v_3028 ?v_2) (=> (=> ?v_3029 ?v_3) (=> true (=> (= errorReached.41 errorReached.40) (=> true ?v_3030)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> ?v_3032 (=> ?v_3033 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3034)))))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> ?v_3032 (=> ?v_3033 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3034)))))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> ?v_3032 (=> ?v_3033 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3034)))))) (=> true (=> ?v_422 (=> true (=> ?v_3032 (=> ?v_3033 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3034)))))))))))))))))) (let ((?v_3040 (=> (= errorReached.40 errorReached.39) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3039)))))))))))))) (?v_3037 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 call25399formal.ret.0)) (?v_3038 (= k.55 k.54)) (?v_3035 (= k.54 0)) (?v_3036 (= k.54 1))) (let ((?v_3042 (and (=> true (=> ?v_13 (=> true (=> (<= k.53 k.54) (=> (< k.54 2) (and (=> true (=> (=> ?v_3035 ?v_4) (=> (=> ?v_3036 ?v_5) (=> true (=> ?v_3037 (=> ?v_3038 (=> (= errorReached.40 1) ?v_3039))))))) (=> true (=> (=> ?v_3035 ?v_2) (=> (=> ?v_3036 ?v_3) (=> true (=> ?v_3037 (=> ?v_3038 ?v_3040)))))))))))) (=> true (=> ?v_384 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.) (=> (= k.55 k.53) ?v_3040)))))))) (let ((?v_3041 (=> true (=> (= inline.ReleaseEffectiveLock.4.myNondetVar_0.5 inline.ReleaseEffectiveLock.4.myNondetVar_0.4) ?v_3042)))) (let ((?v_3047 (and (=> true (=> (= inline.ReleaseEffectiveLock.4.myNondetVar_0.3 1) (=> true (=> (= inline.ReleaseEffectiveLock.4.myNondetVar_0.4 inline.ReleaseEffectiveLock.4.myNondetVar_0.3) ?v_3041)))) (=> true (=> (not (= inline.ReleaseEffectiveLock.4.myNondetVar_0.0 1)) (and (=> true (=> (= inline.ReleaseEffectiveLock.4.myNondetVar_0.1 4) (=> true (=> (= inline.ReleaseEffectiveLock.4.myNondetVar_0.4 inline.ReleaseEffectiveLock.4.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3041)))))))))))) (=> true (=> (not (= inline.ReleaseEffectiveLock.4.myNondetVar_0.2 4)) (=> true (=> (= inline.ReleaseEffectiveLock.4.myNondetVar_0.5 inline.ReleaseEffectiveLock.4.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3042)))))))))))))))))))))))) (let ((?v_3052 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3047)))))))))) (?v_3049 (= k.53 k.51)) (?v_3050 (= errorReached.39 errorReached.37)) (?v_3051 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_3054 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11 hdevice)) (?v_3053 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11 hqueue)) (?v_3048 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11 htimer)) (?v_3046 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.11 hrequest)) (?v_3045 (=> true (=> (= k.53 k.52) (=> (= errorReached.39 errorReached.38) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 call25205formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3047)))))) (?v_3043 (= k.52 0)) (?v_3044 (= k.52 1))) (let ((?v_3064 (and (=> true (=> ?v_3046 (=> true (=> (<= k.51 k.52) (=> (< k.52 2) (and (=> true (=> (=> ?v_3043 ?v_4) (=> (=> ?v_3044 ?v_5) (=> true (=> (= errorReached.38 1) ?v_3045))))) (=> true (=> (=> ?v_3043 ?v_2) (=> (=> ?v_3044 ?v_3) (=> true (=> (= errorReached.38 errorReached.37) (=> true ?v_3045)))))))))))) (=> true (=> (not ?v_3046) (and (=> true (=> ?v_3048 (=> true (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3052))))))) (=> true (=> (not ?v_3048) (and (=> true (=> ?v_3053 (=> true (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3052))))))) (=> true (=> (not ?v_3053) (and (=> true (=> ?v_3054 (=> true (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3052))))))) (=> true (=> (not ?v_3054) (=> true (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3052))))))))))))))))))) (let ((?v_3062 (=> true (=> (= lockStatus_0.8 lockStatus_0.7) (=> (= lockStatus_1.8 lockStatus_1.7) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.6 inline.ReleaseDpcLock.4.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.4.myNondetVar_0.5) (=> (= k.51 k.50) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.4.myNondetVar_0.5) ?v_3064))))))))) (?v_3061 (= inline.ReleaseDpcLock.4.myNondetVar_0.5 hlock))) (let ((?v_3056 (=> true (=> (= lockStatus_0.7 lockStatus_0.6) (=> (= lockStatus_1.7 lockStatus_1.6) (=> (= k.50 k.49) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 call25094formal.ret.0) ?v_3062))))))) (let ((?v_3060 (=> true ?v_3056)) (?v_3058 (= lockStatus_0.6 lockStatus_0.2)) (?v_3059 (= lockStatus_1.6 lockStatus_1.2)) (?v_3057 (= k.49 1)) (?v_3055 (= k.49 0))) (let ((?v_3063 (and (=> true (=> ?v_3061 (=> true (=> (<= k.48 k.49) (=> (< k.49 2) (and (=> true (=> ?v_3055 (=> true (=> (= lockStatus_0.6 0) (=> ?v_3059 ?v_3056))))) (=> true (=> (not ?v_3055) (and (=> true (=> ?v_3057 (=> true (=> ?v_3058 (=> (= lockStatus_1.6 0) ?v_3060))))) (=> true (=> (not ?v_3057) (=> true (=> ?v_3058 (=> ?v_3059 ?v_3060)))))))))))))) (=> true (=> (not ?v_3061) (=> true (=> (= lockStatus_0.7 lockStatus_0.2) (=> (= lockStatus_1.7 lockStatus_1.2) (=> (= k.50 k.48) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_3062))))))))))))) (let ((?v_3069 (and (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.2 2) (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.4 inline.ReleaseDpcLock.4.myNondetVar_0.2) ?v_3063)))) (=> true (=> (not (= inline.ReleaseDpcLock.4.myNondetVar_0.0 2)) (and (=> true (=> (not (= inline.ReleaseDpcLock.4.myNondetVar_0.3 2)) (=> true (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.4 inline.ReleaseDpcLock.4.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3063)))))))))) (=> true (=> (not (not (= inline.ReleaseDpcLock.4.myNondetVar_0.1 2))) (=> true (=> (= lockStatus_0.8 lockStatus_0.2) (=> (= lockStatus_1.8 lockStatus_1.2) (=> (= inline.ReleaseDpcLock.4.myNondetVar_0.6 inline.ReleaseDpcLock.4.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= k.51 k.48) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3064)))))))))))))))))))))))))))))) (let ((?v_3071 (=> (= k.48 k.37) (=> (= errorReached.37 errorReached.29) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3069))))))))))))) (?v_3073 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 hdevice)) (?v_3072 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 hqueue)) (?v_3070 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 htimer)) (?v_3068 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 hrequest)) (?v_3067 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.48 k.38) (=> (= errorReached.37 errorReached.30) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 call24933formal.ret.0) ?v_3069)))))) (?v_3065 (= k.38 0)) (?v_3066 (= k.38 1)) (?v_2627 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 0)) (?v_2083 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2084 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2370 (= lockStatus_0.41 lockStatus_0.2)) (?v_2085 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2086 (= inline.ReleaseDpcLock.4.myNondetVar_0.7 inline.ReleaseDpcLock.4.myNondetVar_0)) (?v_2087 (= inline.AcquireEffectiveLock.6.myNondetVar_0.6 inline.AcquireEffectiveLock.6.myNondetVar_0)) (?v_2088 (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.)) (?v_2089 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2090 (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0)) (?v_2091 (= inline.ReleaseEffectiveLock.5.myNondetVar_0.7 inline.ReleaseEffectiveLock.5.myNondetVar_0)) (?v_2092 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_2093 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_2094 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_2095 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.)) (?v_2096 (= inline.AcquireEffectiveLock.5.myNondetVar_0.6 inline.AcquireEffectiveLock.5.myNondetVar_0)) (?v_2097 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_2099 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2100 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2101 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_2102 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.)) (?v_2391 (= reqCompleted_1.12 reqCompleted_1)) (?v_2103 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2104 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_2393 (= reqCompleted_0.12 reqCompleted_0)) (?v_2105 (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0)) (?v_2106 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2107 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_2108 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_2109 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_2110 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2111 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_2112 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2406 (= alloc.13 alloc.8)) (?v_2113 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext)) (?v_2114 (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0)) (?v_2115 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2116 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext1)) (?v_2117 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_2118 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2119 (= inline.AcquireDpcLock.4.myNondetVar_0.8 inline.AcquireDpcLock.4.myNondetVar_0)) (?v_2120 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_2121 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2122 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_2123 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.)) (?v_2124 (= inline.AcquireDpcLock.6.myNondetVar_0.7 inline.AcquireDpcLock.6.myNondetVar_0)) (?v_2125 (= inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0.10 inline.MarkRequestCancelableReturnLocked.1.myNondetVar_0)) (?v_2126 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_2127 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.)) (?v_2128 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_2129 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2130 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2131 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2132 (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0)) (?v_2133 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_2134 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2136 (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0)) (?v_2137 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2138 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2139 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2140 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_2141 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2142 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2143 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_2144 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_2146 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_2461 (= lockStatus_1.41 lockStatus_1.2)) (?v_2147 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_2148 (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0)) (?v_2149 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext1)) (?v_2150 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_2151 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2152 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2153 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_2154 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1)) (?v_2155 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_2156 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_2157 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.4.myNondetVar_0)) (?v_2158 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2159 (= inline.GetRequestContext.10.myNondetVar_0.3 inline.GetRequestContext.10.myNondetVar_0)) (?v_2160 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_2161 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_2162 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_2163 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext)) (?v_2164 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2165 (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.)) (?v_2166 (= inline.AcquireEffectiveLock.4.myNondetVar_0.7 inline.AcquireEffectiveLock.4.myNondetVar_0)) (?v_2167 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_2168 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2169 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2170 (= inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.52..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2171 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_2172 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_2173 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_2174 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_2175 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_2176 (= inline.EvtRequestChildCancel.1.myNondetVar_0.8 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_2177 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2178 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_2179 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2180 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_2181 (= inline.ReleaseDpcLock.6.myNondetVar_0.7 inline.ReleaseDpcLock.6.myNondetVar_0)) (?v_2182 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2183 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_2184 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_2185 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2186 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2187 (= inline.GetDeviceContext.34.myNondetVar_0.1 inline.GetDeviceContext.34.myNondetVar_0)) (?v_2188 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2189 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2190 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_2191 (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0)) (?v_2192 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_2193 (= inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.33..Handle.1.137.0.GetDeviceContext)) (?v_2194 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_2195 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2196 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_2198 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_2199 (= inline.GetRequestContext.9.myNondetVar_0.2 inline.GetRequestContext.9.myNondetVar_0)) (?v_2200 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2201 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_2202 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2203 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2204 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2205 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_2206 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_2207 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2208 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2209 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_2210 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_2211 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete)) (?v_2212 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2213 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2214 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.)) (?v_2215 (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1)) (?v_2216 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_2217 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_2218 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2219 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_2221 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2222 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2223 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_2224 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_2225 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2226 (= inline.AcquireDpcLock.5.myNondetVar_0.7 inline.AcquireDpcLock.5.myNondetVar_0)) (?v_2227 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2228 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_2229 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2230 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.)) (?v_2231 (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2232 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2233 (= inline.GetDeviceContext.33.myNondetVar_0.1 inline.GetDeviceContext.33.myNondetVar_0)) (?v_2234 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2235 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_2236 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2237 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2238 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2239 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2240 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2241 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2242 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_2244 (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2245 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1)) (?v_2246 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_2247 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_2248 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_2250 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_2251 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_2252 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock)) (?v_2253 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_2254 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2255 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2256 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_2257 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2258 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_2259 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2261 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2262 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_2263 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_2264 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2265 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2267 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_2268 (= inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.53..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2270 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2271 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_2272 (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0)) (?v_2273 (= inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.34..Handle.1.137.0.GetDeviceContext)) (?v_2274 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2275 (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2276 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_2277 (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0)) (?v_2278 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_2280 (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_2281 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2282 (= inline.ReleaseDpcLock.5.myNondetVar_0.8 inline.ReleaseDpcLock.5.myNondetVar_0)) (?v_2283 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2284 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2285 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2286 (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2287 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2288 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_2289 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2290 (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1)) (?v_2291 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_2292 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_2293 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_2294 (= inline.ReleaseEffectiveLock.6.myNondetVar_0.6 inline.ReleaseEffectiveLock.6.myNondetVar_0)) (?v_2295 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_2296 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_2297 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_2298 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_2299 (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2300 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_2301 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_2302 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2303 (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.)) (?v_2304 (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.)) (?v_2305 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_2306 (= inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.6..Device.1.2384.14.ReleaseDpcLock1)) (?v_2307 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_2308 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_2309 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2310 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2311 (= inline.ReleaseEffectiveLock.4.myNondetVar_0.6 inline.ReleaseEffectiveLock.4.myNondetVar_0)) (?v_2312 (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0)) (?v_2315 (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_2316 (= inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.6..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2317 (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0)) (?v_2318 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2319 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2320 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_2321 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2322 (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.)) (?v_2323 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_2324 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2325 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_2326 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_2327 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2329 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_2330 (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0)) (?v_2332 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_2333 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_2334 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2335 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2336 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2337 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2338 (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0)) (?v_2339 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2340 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1))) (let ((?v_2625 (=> ?v_2332 (=> ?v_2333 (=> ?v_2652 (=> ?v_2653 (=> ?v_2334 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2335 (=> ?v_2336 (=> ?v_2658 (=> ?v_2337 (=> ?v_2338 (=> ?v_2659 (=> ?v_2339 (=> ?v_2660 (=> ?v_2340 ?v_2661))))))))))))))))))) (?v_2098 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 call19360formal.ret.0)) (?v_2135 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0)) (?v_2145 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2197 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1)) (?v_2220 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1)) (?v_2243 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1)) (?v_2249 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2260 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1)) (?v_2266 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2269 (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0.0)) (?v_2279 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0)) (?v_2313 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1)) (?v_2314 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1)) (?v_2328 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_2331 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_2082 (not (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_267)))) (let ((?v_1642 (=> true (=> ?v_2083 (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> ?v_2084 (=> (= lockStatus_0.41 lockStatus_0.40) (=> ?v_2085 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9) (=> ?v_2086 (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_2087 (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.2) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> ?v_2088 (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9) (=> ?v_2089 (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0) (=> ?v_2090 (=> ?v_2091 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.0) (=> ?v_2092 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.6) (=> ?v_2093 (=> ?v_2094 (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_2095 (=> ?v_2636 (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.8 inline.EvtRequestChildCancel.0.myNondetVar_0.7) (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= reqCompleted_1.12 reqCompleted_1.11) (=> ?v_2103 (=> ?v_2104 (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.1) (=> (= reqCompleted_0.12 reqCompleted_0.11) (=> ?v_2105 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_2106 (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0.0) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0.1) (=> ?v_2112 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.10 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= alloc.13 alloc.12) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0) (=> (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2) (=> (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0.0) (=> ?v_2113 (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9) (=> ?v_2114 (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0) (=> ?v_2115 (=> ?v_2116 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.6) (=> ?v_2117 (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0) (=> ?v_2118 (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.7 inline.ReleaseDpcLock.3.myNondetVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.0) (=> ?v_2119 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> ?v_2120 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5) (=> ?v_2121 (=> ?v_2122 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 call21004formal.ret.0) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0) (=> (= inline.ReleaseEffectiveLock.2.myNondetVar_0.7 inline.ReleaseEffectiveLock.2.myNondetVar_0.6) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.6) (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1) (=> (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0.0) (=> ?v_2126 (=> ?v_2127 (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> ?v_2128 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9) (=> ?v_2129 (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> ?v_2134 (=> ?v_2135 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_2136 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2137 (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.9) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.2) (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> (= inline.AcquireEffectiveLock.3.myNondetVar_0.6 inline.AcquireEffectiveLock.3.myNondetVar_0.5) (=> ?v_2143 (=> ?v_2144 (=> ?v_2145 (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0.0) (=> ?v_2146 (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.8) (=> (= inline.AcquireEffectiveLock.2.myNondetVar_0.6 inline.AcquireEffectiveLock.2.myNondetVar_0.5) (=> (= lockStatus_1.41 lockStatus_1.40) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.7 inline.ReleaseDpcLock.1.myNondetVar_0.6) (=> (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0.2) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.12 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10) (=> ?v_2147 (=> (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.8) (=> (= reqCancelSet_0.18 reqCancelSet_0.17) (=> ?v_2148 (=> ?v_2149 (=> ?v_2150 (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.7) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10) (=> ?v_2151 (=> ?v_2152 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= k.182 k.181) (=> ?v_2153 (=> ?v_2154 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2155 (=> ?v_2156 (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.2) (=> ?v_2157 (=> ?v_2158 (=> ?v_2159 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2160 (=> (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0.1) (=> ?v_2161 (=> ?v_2162 (=> ?v_2163 (=> ?v_2164 (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1) (=> ?v_2165 (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2166 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0) (=> ?v_2167 (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0.0) (=> ?v_2168 (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0) (=> ?v_2169 (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.8 inline.ReleaseDpcLock.2.myNondetVar_0.7) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2170 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1) (=> ?v_2171 (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9) (=> ?v_2172 (=> ?v_2173 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0) (=> (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 call24212formal.new.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> ?v_2174 (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> ?v_2175 (=> ?v_2176 (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> ?v_2177 (=> ?v_2178 (=> ?v_2179 (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1) (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> ?v_2183 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> ?v_2184 (=> ?v_2185 (=> ?v_2186 (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.9) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0) (=> ?v_2187 (=> ?v_2188 (=> ?v_2189 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2190 (=> ?v_2191 (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2192 (=> ?v_2193 (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.6) (=> (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0.1) (=> ?v_2194 (=> ?v_2195 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2196 (=> ?v_2197 (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> ?v_2198 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.1) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0) (=> ?v_2199 (=> (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0.1) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.2) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> ?v_2200 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10) (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.1) (=> ?v_2201 (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> (= inline.AcquireDpcLock.1.myNondetVar_0.8 inline.AcquireDpcLock.1.myNondetVar_0.7) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> ?v_2205 (=> ?v_2206 (=> ?v_2207 (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0) (=> ?v_2208 (=> ?v_2209 (=> ?v_2210 (=> ?v_2211 (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.9) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.7 inline.AcquireDpcLock.2.myNondetVar_0.6) (=> ?v_2212 (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1) (=> ?v_2213 (=> ?v_2214 (=> ?v_2215 (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.9) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2216 (=> ?v_2217 (=> ?v_2218 (=> ?v_2219 (=> ?v_2220 (=> ?v_2221 (=> ?v_2222 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2223 (=> ?v_2224 (=> ?v_2225 (=> ?v_2226 (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9) (=> ?v_2227 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.7) (=> ?v_2228 (=> ?v_2229 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.9) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2) (=> ?v_2230 (=> ?v_2231 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_2232 (=> ?v_2233 (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.7) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.6) (=> (= errorReached.134 errorReached.133) (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> (= inline.AcquireDpcLock.3.myNondetVar_0.7 inline.AcquireDpcLock.3.myNondetVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.0) (=> (= reqCancelSet_1.18 reqCancelSet_1.17) (=> ?v_2237 (=> ?v_2238 (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0) (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_2239 (=> ?v_2240 (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.7) (=> ?v_2241 (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1) (=> ?v_2247 (=> ?v_2248 (=> ?v_2249 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2250 (=> ?v_2251 (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> ?v_2252 (=> ?v_2253 (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> ?v_2254 (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0.0) (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.7) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1) (=> ?v_2259 (=> ?v_2260 (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1) (=> ?v_2261 (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0) (=> ?v_2262 (=> ?v_2263 (=> (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2264 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.7) (=> ?v_2265 (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> ?v_2266 (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2267 (=> (= inline.ReleaseEffectiveLock.1.myNondetVar_0.6 inline.ReleaseEffectiveLock.1.myNondetVar_0.5) (=> ?v_2268 (=> ?v_2269 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> ?v_2270 (=> ?v_2271 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_2272 (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2273 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1) (=> ?v_2274 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2275 (=> ?v_2276 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> ?v_2277 (=> ?v_2278 (=> (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0.1) (=> ?v_2279 (=> ?v_2280 (=> ?v_2281 (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.1) (=> ?v_2282 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.9) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0) (=> ?v_2283 (=> ?v_2284 (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2298 (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1) (=> ?v_2299 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0) (=> ?v_2300 (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> ?v_2301 (=> ?v_2302 (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.6) (=> (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0.0) (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1) (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2310 (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_2311 (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.ReleaseEffectiveLock.3.myNondetVar_0.6 inline.ReleaseEffectiveLock.3.myNondetVar_0.5) (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2315 (=> (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0.1) (=> ?v_2316 (=> ?v_2317 (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.8) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2) (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.0) (=> ?v_2321 (=> ?v_2322 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2323 (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> ?v_2324 (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 hrequest) (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_2334 (=> (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0.0) (=> (= inline.AcquireEffectiveLock.1.myNondetVar_0.7 inline.AcquireEffectiveLock.1.myNondetVar_0.6) (=> (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0.1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0) (=> ?v_2335 (=> ?v_2336 (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) (=> ?v_2337 (=> ?v_2338 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> ?v_2339 (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> ?v_2340 ?v_2341)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1640 (=> true (=> (= lockStatus_0.40 lockStatus_0.39) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.3.myNondetVar_0.5) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.6 inline.AcquireDpcLock.3.myNondetVar_0.5) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 call24736formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.3.myNondetVar_0.5) (=> (= k.181 k.180) (=> (= lockStatus_1.40 lockStatus_1.39) ?v_1642)))))))))) (?v_1639 (= inline.AcquireDpcLock.3.myNondetVar_0.5 hlock))) (let ((?v_1635 (=> true (=> (= lockStatus_0.39 lockStatus_0.38) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 call24684formal.ret.0) (=> (= lockStatus_1.39 lockStatus_1.38) (=> (= k.180 k.179) ?v_1640))))))) (let ((?v_1638 (=> true ?v_1635)) (?v_1636 (= lockStatus_0.38 lockStatus_0.37)) (?v_1637 (= lockStatus_1.38 lockStatus_1.37)) (?v_1634 (= k.179 1)) (?v_1291 (= k.179 0))) (let ((?v_1641 (and (=> true (=> ?v_1639 (=> true (=> (<= k.178 k.179) (=> (< k.179 2) (=> true (=> (=> ?v_1291 (= lockStatus_0.37 0)) (=> (=> ?v_1634 (= lockStatus_1.37 0)) (and (=> true (=> ?v_1291 (=> true (=> (= lockStatus_0.38 1) (=> ?v_1637 ?v_1635))))) (=> true (=> (not ?v_1291) (and (=> true (=> ?v_1634 (=> true (=> ?v_1636 (=> (= lockStatus_1.38 1) ?v_1638))))) (=> true (=> (not ?v_1634) (=> true (=> ?v_1636 (=> ?v_1637 ?v_1638))))))))))))))))) (=> true (=> (not ?v_1639) (=> true (=> (= lockStatus_0.39 lockStatus_0.37) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.39 lockStatus_1.37) (=> (= k.180 k.178) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1640)))))))))))))))) (let ((?v_1649 (and (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.4 inline.AcquireDpcLock.3.myNondetVar_0.1) ?v_1641)))) (=> true (=> (not (= inline.AcquireDpcLock.3.myNondetVar_0.0 2)) (and (=> true (=> (not (= inline.AcquireDpcLock.3.myNondetVar_0.2 2)) (=> true (=> (= inline.AcquireDpcLock.3.myNondetVar_0.4 inline.AcquireDpcLock.3.myNondetVar_0.2) (=> true (=> true (=> true (=> true ?v_1641)))))))) (=> true (=> (not (not (= inline.AcquireDpcLock.3.myNondetVar_0.3 2))) (=> true (=> (= lockStatus_0.40 lockStatus_0.37) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.3.myNondetVar_0.6 inline.AcquireDpcLock.3.myNondetVar_0.3) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= k.181 k.178) (=> (= lockStatus_1.40 lockStatus_1.37) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1642)))))))))))))))))))))))) (let ((?v_1654 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1649)))))))))) (?v_1651 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2.)) (?v_1652 (= k.178 k.176)) (?v_1653 (= errorReached.133 errorReached.131)) (?v_1656 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9 hdevice)) (?v_1655 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9 hqueue)) (?v_1650 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9 htimer)) (?v_1648 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.9 hrequest)) (?v_1647 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0 call24525formal.ret.0) (=> (= k.178 k.177) (=> (= errorReached.133 errorReached.132) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_1649)))))) (?v_1643 (= k.177 0)) (?v_1644 (= reqCompleted_0.11 0)) (?v_1645 (= k.177 1)) (?v_1646 (= reqCompleted_1.11 0))) (let ((?v_1287 (not ?v_1644)) (?v_1288 (not ?v_1646))) (let ((?v_1658 (and (=> true (=> ?v_1648 (=> true (=> (<= k.176 k.177) (=> (< k.177 2) (and (=> true (=> (=> ?v_1643 ?v_1287) (=> (=> ?v_1645 ?v_1288) (=> true (=> (= errorReached.132 1) ?v_1647))))) (=> true (=> (=> ?v_1643 ?v_1644) (=> (=> ?v_1645 ?v_1646) (=> true (=> (= errorReached.132 errorReached.131) (=> true ?v_1647)))))))))))) (=> true (=> (not ?v_1648) (and (=> true (=> ?v_1650 (=> true (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1654))))))) (=> true (=> (not ?v_1650) (and (=> true (=> ?v_1655 (=> true (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1654))))))) (=> true (=> (not ?v_1655) (and (=> true (=> ?v_1656 (=> true (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1654))))))) (=> true (=> (not ?v_1656) (=> true (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1654))))))))))))))))))) (let ((?v_1657 (=> true (=> (= inline.AcquireEffectiveLock.3.myNondetVar_0.5 inline.AcquireEffectiveLock.3.myNondetVar_0.4) (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 call24441formal.ret.0) ?v_1658))))) (let ((?v_1663 (and (=> true (=> (= inline.AcquireEffectiveLock.3.myNondetVar_0.1 1) (=> true (=> (= inline.AcquireEffectiveLock.3.myNondetVar_0.4 inline.AcquireEffectiveLock.3.myNondetVar_0.1) ?v_1657)))) (=> true (=> (not (= inline.AcquireEffectiveLock.3.myNondetVar_0.0 1)) (and (=> true (=> (= inline.AcquireEffectiveLock.3.myNondetVar_0.3 4) (=> true (=> (= inline.AcquireEffectiveLock.3.myNondetVar_0.4 inline.AcquireEffectiveLock.3.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1657))))))))))))) (=> true (=> (not (= inline.AcquireEffectiveLock.3.myNondetVar_0.2 4)) (=> true (=> (= inline.AcquireEffectiveLock.3.myNondetVar_0.5 inline.AcquireEffectiveLock.3.myNondetVar_0.2) (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1658))))))))))))))))))))))))) (?v_1665 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.))) (let ((?v_1666 (=> (= k.176 k.174) (=> (= errorReached.131 errorReached.129) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1663)))))))))))) (?v_1668 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.8 hdevice)) (?v_1667 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.8 hqueue)) (?v_1664 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.8 htimer)) (?v_1662 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.8 hrequest)) (?v_1661 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 call24302formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.176 k.175) (=> (= errorReached.131 errorReached.130) ?v_1663)))))) (?v_1659 (= k.175 0)) (?v_1660 (= k.175 1)) (?v_1290 (int_2_U call24212formal.new.0))) (let ((?v_1670 (=> true (and ?v_1283 (=> ?v_1283 (=> (> call24212formal.new.0 0) (=> (forall ((?x361 Int)) (! (=> (and (<= call24212formal.new.0 ?x361) (< ?x361 (+ call24212formal.new.0 1))) (= (Base ?x361) call24212formal.new.0)) :pattern ((Base ?x361)) )) (=> (forall ((?x362 boogieU)) (! (=> (= (type ?x362) intType) (or (= (U_2_int ?x362) call24212formal.new.0) (= (MapType0Select alloc.11 ?x362) (MapType0Select alloc.12 ?x362)))) :pattern ((MapType0Select alloc.12 ?x362)) )) (=> (and (= (MapType0Select alloc.11 ?v_1290) UNALLOCATED) (= (MapType0Select alloc.12 ?v_1290) ALLOCATED)) (and (=> true (=> ?v_1662 (=> true (=> (<= k.174 k.175) (=> (< k.175 2) (and (=> true (=> (=> ?v_1659 ?v_1287) (=> (=> ?v_1660 ?v_1288) (=> true (=> (= errorReached.130 1) ?v_1661))))) (=> true (=> (=> ?v_1659 ?v_1644) (=> (=> ?v_1660 ?v_1646) (=> true (=> (= errorReached.130 errorReached.129) (=> true ?v_1661)))))))))))) (=> true (=> (not ?v_1662) (and (=> true (=> ?v_1664 (=> true (=> ?v_1665 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1666))))) (=> true (=> (not ?v_1664) (and (=> true (=> ?v_1667 (=> true (=> ?v_1665 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1666))))) (=> true (=> (not ?v_1667) (and (=> true (=> ?v_1668 (=> true (=> ?v_1665 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1666))))) (=> true (=> (not ?v_1668) (=> true (=> ?v_1665 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1666)))))))))))))))))))))))) (let ((?v_1669 (=> true (=> (= inline.ReleaseEffectiveLock.3.myNondetVar_0.5 inline.ReleaseEffectiveLock.3.myNondetVar_0.3) ?v_1670)))) (let ((?v_1675 (and (=> true (=> (= inline.ReleaseEffectiveLock.3.myNondetVar_0.1 1) (=> true (=> (= inline.ReleaseEffectiveLock.3.myNondetVar_0.3 inline.ReleaseEffectiveLock.3.myNondetVar_0.1) ?v_1669)))) (=> true (=> (not (= inline.ReleaseEffectiveLock.3.myNondetVar_0.0 1)) (and (=> true (=> (= inline.ReleaseEffectiveLock.3.myNondetVar_0.2 4) (=> true (=> (= inline.ReleaseEffectiveLock.3.myNondetVar_0.3 inline.ReleaseEffectiveLock.3.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1669)))))))))))) (=> true (=> (not (= inline.ReleaseEffectiveLock.3.myNondetVar_0.4 4)) (=> true (=> (= inline.ReleaseEffectiveLock.3.myNondetVar_0.5 inline.ReleaseEffectiveLock.3.myNondetVar_0.4) (=> true (=> true (=> true ?v_1670)))))))))))) (?v_1677 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.))) (let ((?v_1678 (=> (= errorReached.129 errorReached.127) (=> (= k.174 k.172) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1675)))))))))))) (?v_1680 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.7 hdevice)) (?v_1679 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.7 hqueue)) (?v_1676 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.7 htimer)) (?v_1674 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.7 hrequest)) (?v_1673 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 call24068formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.129 errorReached.128) (=> (= k.174 k.173) ?v_1675)))))) (?v_1671 (= k.173 0)) (?v_1672 (= k.173 1))) (let ((?v_1690 (and (=> true (=> ?v_1674 (=> true (=> (<= k.172 k.173) (=> (< k.173 2) (and (=> true (=> (=> ?v_1671 ?v_1287) (=> (=> ?v_1672 ?v_1288) (=> true (=> (= errorReached.128 1) ?v_1673))))) (=> true (=> (=> ?v_1671 ?v_1644) (=> (=> ?v_1672 ?v_1646) (=> true (=> (= errorReached.128 errorReached.127) (=> true ?v_1673)))))))))))) (=> true (=> (not ?v_1674) (and (=> true (=> ?v_1676 (=> true (=> ?v_1677 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1678))))) (=> true (=> (not ?v_1676) (and (=> true (=> ?v_1679 (=> true (=> ?v_1677 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1678))))) (=> true (=> (not ?v_1679) (and (=> true (=> ?v_1680 (=> true (=> ?v_1677 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1678))))) (=> true (=> (not ?v_1680) (=> true (=> ?v_1677 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1678))))))))))))))))) (let ((?v_1688 (=> true (=> (= lockStatus_0.37 lockStatus_0.36) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.3.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.3.myNondetVar_0.4) (=> (= lockStatus_1.37 lockStatus_1.36) (=> (= k.172 k.171) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.6 inline.ReleaseDpcLock.3.myNondetVar_0.4) ?v_1690))))))))) (?v_1687 (= inline.ReleaseDpcLock.3.myNondetVar_0.4 hlock))) (let ((?v_1682 (=> true (=> (= lockStatus_0.36 lockStatus_0.35) (=> (= lockStatus_1.36 lockStatus_1.35) (=> (= k.171 k.170) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 call23956formal.ret.0) ?v_1688))))))) (let ((?v_1686 (=> true ?v_1682)) (?v_1684 (= lockStatus_0.35 lockStatus_0.34)) (?v_1685 (= lockStatus_1.35 lockStatus_1.34)) (?v_1683 (= k.170 1)) (?v_1681 (= k.170 0))) (let ((?v_1689 (and (=> true (=> ?v_1687 (=> true (=> (<= k.169 k.170) (=> (< k.170 2) (and (=> true (=> ?v_1681 (=> true (=> (= lockStatus_0.35 0) (=> ?v_1685 ?v_1682))))) (=> true (=> (not ?v_1681) (and (=> true (=> ?v_1683 (=> true (=> ?v_1684 (=> (= lockStatus_1.35 0) ?v_1686))))) (=> true (=> (not ?v_1683) (=> true (=> ?v_1684 (=> ?v_1685 ?v_1686)))))))))))))) (=> true (=> (not ?v_1687) (=> true (=> (= lockStatus_0.36 lockStatus_0.34) (=> (= lockStatus_1.36 lockStatus_1.34) (=> (= k.171 k.169) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_1688))))))))))))) (let ((?v_1695 (and (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.3 inline.ReleaseDpcLock.3.myNondetVar_0.1) ?v_1689)))) (=> true (=> (not (= inline.ReleaseDpcLock.3.myNondetVar_0.0 2)) (and (=> true (=> (not (= inline.ReleaseDpcLock.3.myNondetVar_0.2 2)) (=> true (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.3 inline.ReleaseDpcLock.3.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1689)))))))))) (=> true (=> (not (not (= inline.ReleaseDpcLock.3.myNondetVar_0.5 2))) (=> true (=> (= lockStatus_0.37 lockStatus_0.34) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.37 lockStatus_1.34) (=> (= k.172 k.169) (=> (= inline.ReleaseDpcLock.3.myNondetVar_0.6 inline.ReleaseDpcLock.3.myNondetVar_0.5) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1690)))))))))))))))))))))))))))))) (let ((?v_1700 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1695)))))))))) (?v_1697 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_1698 (= k.169 k.167)) (?v_1699 (= errorReached.127 errorReached.125)) (?v_1702 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.6 hdevice)) (?v_1701 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.6 hqueue)) (?v_1696 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.6 htimer)) (?v_1694 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.6 hrequest)) (?v_1693 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 call23795formal.ret.0) (=> (= k.169 k.168) (=> (= errorReached.127 errorReached.126) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_1695)))))) (?v_1691 (= k.168 0)) (?v_1692 (= k.168 1))) (let ((?v_1703 (and (=> true (=> ?v_1694 (=> true (=> (<= k.167 k.168) (=> (< k.168 2) (and (=> true (=> (=> ?v_1691 ?v_1287) (=> (=> ?v_1692 ?v_1288) (=> true (=> (= errorReached.126 1) ?v_1693))))) (=> true (=> (=> ?v_1691 ?v_1644) (=> (=> ?v_1692 ?v_1646) (=> true (=> (= errorReached.126 errorReached.125) (=> true ?v_1693)))))))))))) (=> true (=> (not ?v_1694) (and (=> true (=> ?v_1696 (=> true (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1700))))))) (=> true (=> (not ?v_1696) (and (=> true (=> ?v_1701 (=> true (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1700))))))) (=> true (=> (not ?v_1701) (and (=> true (=> ?v_1702 (=> true (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1700))))))) (=> true (=> (not ?v_1702) (=> true (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1700))))))))))))))))))) (let ((?v_1712 (and (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.4 hrequest) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.4) ?v_1703)))) (=> true (=> (not (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.3 hrequest)) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1703)))))))))))))))))) (let ((?v_1710 (=> true (=> (= lockStatus_0.34 lockStatus_0.33) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 call23698formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.2.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.6 inline.AcquireDpcLock.2.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.2.myNondetVar_0.5) (=> (= k.167 k.166) (=> (= lockStatus_1.34 lockStatus_1.33) ?v_1712)))))))))) (?v_1709 (= inline.AcquireDpcLock.2.myNondetVar_0.5 hlock))) (let ((?v_1705 (=> true (=> (= lockStatus_0.33 lockStatus_0.32) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 call23646formal.ret.0) (=> (= lockStatus_1.33 lockStatus_1.32) (=> (= k.166 k.165) ?v_1710))))))) (let ((?v_1708 (=> true ?v_1705)) (?v_1706 (= lockStatus_0.32 lockStatus_0.31)) (?v_1707 (= lockStatus_1.32 lockStatus_1.31)) (?v_1704 (= k.165 1)) (?v_1289 (= k.165 0))) (let ((?v_1711 (and (=> true (=> ?v_1709 (=> true (=> (<= k.164 k.165) (=> (< k.165 2) (=> true (=> (=> ?v_1289 (= lockStatus_0.31 0)) (=> (=> ?v_1704 (= lockStatus_1.31 0)) (and (=> true (=> ?v_1289 (=> true (=> (= lockStatus_0.32 1) (=> ?v_1707 ?v_1705))))) (=> true (=> (not ?v_1289) (and (=> true (=> ?v_1704 (=> true (=> ?v_1706 (=> (= lockStatus_1.32 1) ?v_1708))))) (=> true (=> (not ?v_1704) (=> true (=> ?v_1706 (=> ?v_1707 ?v_1708))))))))))))))))) (=> true (=> (not ?v_1709) (=> true (=> (= lockStatus_0.33 lockStatus_0.31) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.33 lockStatus_1.31) (=> (= k.166 k.164) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1710)))))))))))))))) (let ((?v_1717 (and (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.4 inline.AcquireDpcLock.2.myNondetVar_0.0) ?v_1711)))) (=> true (=> (not (= inline.AcquireDpcLock.2.myNondetVar_0.1 2)) (and (=> true (=> (not (= inline.AcquireDpcLock.2.myNondetVar_0.3 2)) (=> true (=> (= inline.AcquireDpcLock.2.myNondetVar_0.4 inline.AcquireDpcLock.2.myNondetVar_0.3) (=> true (=> true (=> true (=> true ?v_1711)))))))) (=> true (=> (not (not (= inline.AcquireDpcLock.2.myNondetVar_0.2 2))) (=> true (=> (= lockStatus_0.34 lockStatus_0.31) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= inline.AcquireDpcLock.2.myNondetVar_0.6 inline.AcquireDpcLock.2.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= k.167 k.164) (=> (= lockStatus_1.34 lockStatus_1.31) (=> true (=> true (=> true (=> true ?v_1712)))))))))))))))))))) (?v_1719 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.))) (let ((?v_1720 (=> (= k.164 k.162) (=> (= errorReached.125 errorReached.123) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1717)))))))))))) (?v_1722 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.2 hdevice)) (?v_1721 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.2 hqueue)) (?v_1718 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.2 htimer)) (?v_1716 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.2 hrequest)) (?v_1715 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 call23487formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.164 k.163) (=> (= errorReached.125 errorReached.124) ?v_1717)))))) (?v_1713 (= k.163 0)) (?v_1714 (= k.163 1))) (let ((?v_1724 (and (=> true (=> ?v_1716 (=> true (=> (<= k.162 k.163) (=> (< k.163 2) (and (=> true (=> (=> ?v_1713 ?v_1287) (=> (=> ?v_1714 ?v_1288) (=> true (=> (= errorReached.124 1) ?v_1715))))) (=> true (=> (=> ?v_1713 ?v_1644) (=> (=> ?v_1714 ?v_1646) (=> true (=> (= errorReached.124 errorReached.123) (=> true ?v_1715)))))))))))) (=> true (=> (not ?v_1716) (and (=> true (=> ?v_1718 (=> true (=> ?v_1719 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1720))))) (=> true (=> (not ?v_1718) (and (=> true (=> ?v_1721 (=> true (=> ?v_1719 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1720))))) (=> true (=> (not ?v_1721) (and (=> true (=> ?v_1722 (=> true (=> ?v_1719 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1720))))) (=> true (=> (not ?v_1722) (=> true (=> ?v_1719 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1720))))))))))))))))) (let ((?v_1723 (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 call23403formal.ret.0) (=> (= inline.AcquireEffectiveLock.2.myNondetVar_0.5 inline.AcquireEffectiveLock.2.myNondetVar_0.4) ?v_1724))))) (let ((?v_1729 (and (=> true (=> (= inline.AcquireEffectiveLock.2.myNondetVar_0.1 1) (=> true (=> (= inline.AcquireEffectiveLock.2.myNondetVar_0.4 inline.AcquireEffectiveLock.2.myNondetVar_0.1) ?v_1723)))) (=> true (=> (not (= inline.AcquireEffectiveLock.2.myNondetVar_0.0 1)) (and (=> true (=> (= inline.AcquireEffectiveLock.2.myNondetVar_0.3 4) (=> true (=> (= inline.AcquireEffectiveLock.2.myNondetVar_0.4 inline.AcquireEffectiveLock.2.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1723))))))))))))) (=> true (=> (not (= inline.AcquireEffectiveLock.2.myNondetVar_0.2 4)) (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.AcquireEffectiveLock.2.myNondetVar_0.5 inline.AcquireEffectiveLock.2.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1724))))))))))))))))))))))))) (?v_1731 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.)) (?v_1732 (= k.162 k.160))) (let ((?v_1733 (=> (= errorReached.123 errorReached.121) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1729))))))))))) (?v_1735 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.1 hdevice)) (?v_1734 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.1 hqueue)) (?v_1730 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.1 htimer)) (?v_1728 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.1 hrequest)) (?v_1727 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 call23264formal.ret.0) (=> (= k.162 k.161) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.123 errorReached.122) ?v_1729)))))) (?v_1725 (= k.161 0)) (?v_1726 (= k.161 1))) (let ((?v_1872 (and (=> true (=> ?v_1728 (=> true (=> (<= k.160 k.161) (=> (< k.161 2) (and (=> true (=> (=> ?v_1725 ?v_1287) (=> (=> ?v_1726 ?v_1288) (=> true (=> (= errorReached.122 1) ?v_1727))))) (=> true (=> (=> ?v_1725 ?v_1644) (=> (=> ?v_1726 ?v_1646) (=> true (=> (= errorReached.122 errorReached.121) (=> true ?v_1727)))))))))))) (=> true (=> (not ?v_1728) (and (=> true (=> ?v_1730 (=> true (=> ?v_1731 (=> ?v_1732 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1733)))))) (=> true (=> (not ?v_1730) (and (=> true (=> ?v_1734 (=> true (=> ?v_1731 (=> ?v_1732 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1733)))))) (=> true (=> (not ?v_1734) (and (=> true (=> ?v_1735 (=> true (=> ?v_1731 (=> ?v_1732 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1733)))))) (=> true (=> (not ?v_1735) (=> true (=> ?v_1731 (=> ?v_1732 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1733))))))))))))))))) (?v_1875 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_1876 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_1877 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1878 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_1879 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_1880 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1881 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_1882 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1883 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1884 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_1885 (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0)) (?v_1886 (= lockStatus_1.31 lockStatus_1.5)) (?v_1887 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_1888 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_1889 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_1890 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1891 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1892 (= lockStatus_0.31 lockStatus_0.5)) (?v_1893 (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0)) (?v_1894 (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_1895 (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0)) (?v_1896 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_1897 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_1898 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1899 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_1900 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_1901 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_1902 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_1903 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_1904 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1905 (= inline.ReleaseEffectiveLock.2.myNondetVar_0.6 inline.ReleaseEffectiveLock.2.myNondetVar_0)) (?v_1906 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_1907 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_1908 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_1909 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_1910 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1911 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1912 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1913 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_1914 (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0)) (?v_1915 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1916 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1917 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_1918 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_1919 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1920 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_1921 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1922 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_1923 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1924 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_1925 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1926 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_1927 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_1928 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_1929 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1930 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_1931 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_1932 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_1933 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1934 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_1935 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_1936 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1937 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_1938 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1939 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1940 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_1941 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_1942 (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0)) (?v_1943 (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0)) (?v_1944 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_1945 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.)) (?v_1946 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_1947 (= inline.EvtRequestChildCancel.0.myNondetVar_0.7 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_1948 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1949 (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0)) (?v_1950 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1951 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.)) (?v_1952 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_1953 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_1954 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_1955 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1956 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1957 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_1958 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1959 (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0)) (?v_1960 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1961 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_1962 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1963 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_1964 (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_1965 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_1966 (= inline.AcquireEffectiveLock.1.myNondetVar_0.6 inline.AcquireEffectiveLock.1.myNondetVar_0)) (?v_1967 (= reqCompleted_1.11 reqCompleted_1.7)) (?v_1968 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1969 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_1970 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_1971 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_1972 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_1973 (= inline.ReleaseDpcLock.2.myNondetVar_0.7 inline.ReleaseDpcLock.2.myNondetVar_0)) (?v_1974 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1975 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1976 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_1977 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1)) (?v_1978 (= inline.AcquireDpcLock.1.myNondetVar_0.7 inline.AcquireDpcLock.1.myNondetVar_0)) (?v_1979 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_1980 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_1981 (= reqCompleted_0.11 reqCompleted_0.7)) (?v_1982 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1983 (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion)) (?v_1984 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1))) (let ((?v_1985 (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1872))))))))))))))) (let ((?v_1992 (=> true (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> (= errorReached.121 errorReached.98) (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> (= reqCancelSet_1.17 reqCancelSet_1.13) (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.) (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0) (=> ?v_1958 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> (= k.160 k.130) (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> (= reqCancelSet_0.17 reqCancelSet_0.13) ?v_1985))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1987 (=> true (=> (= reqCancelSet_1.13 reqCancelSet_1.12) (=> (= reqCancelSet_0.13 reqCancelSet_0.12) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 call24770formal.ret.0) (=> (= k.130 k.129) (=> (= errorReached.98 errorReached.97) ?v_1992)))))))) (let ((?v_1990 (=> true ?v_1987)) (?v_1988 (= reqCancelSet_0.12 reqCancelSet_0.11)) (?v_1989 (= reqCancelSet_1.12 reqCancelSet_1.11)) (?v_1986 (= k.129 1)) (?v_1874 (= k.129 0))) (let ((?v_1991 (and (=> true (=> ?v_1874 (=> true (=> (= reqCancelSet_0.12 1) (=> ?v_1989 ?v_1987))))) (=> true (=> (not ?v_1874) (and (=> true (=> ?v_1986 (=> true (=> ?v_1988 (=> (= reqCancelSet_1.12 1) ?v_1990))))) (=> true (=> (not ?v_1986) (=> true (=> ?v_1988 (=> ?v_1989 ?v_1990)))))))))) (?v_1747 (= reqCompleted_0.7 0)) (?v_1748 (= reqCompleted_1.7 0))) (let ((?v_1281 (not ?v_1747)) (?v_1282 (not ?v_1748)) (?v_1873 (= (BINARY_BOTH_INT call21004formal.ret.0 2) 0)) (?v_1868 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_1869 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 call21028formal.ret.0)) (?v_1870 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_1871 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_1867 (= call21028formal.ret.0 ?v_267))) (let ((?v_1761 (=> true (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myNondetVar_0.2) (=> (= errorReached.121 errorReached.120) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1) (=> (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0.0) (=> (= lockStatus_1.31 lockStatus_1.30) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.0.myNondetVar_0.4) (=> (= lockStatus_0.31 lockStatus_0.30) (=> (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myNondetVar_0.4) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myNondetVar_0.1) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.ReleaseEffectiveLock.2.myNondetVar_0.6 inline.ReleaseEffectiveLock.2.myNondetVar_0.5) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.4) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.1) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myNondetVar_0.3) (=> ?v_1868 (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.3) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= reqCancelSet_1.17 reqCancelSet_1.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.2) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.0.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4) (=> (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0.1) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.7 inline.EvtRequestChildCancel.0.myNondetVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_1869 (=> (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> ?v_1870 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.4) (=> ?v_1871 (=> (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myNondetVar_0.1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0.0) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.AcquireEffectiveLock.1.myNondetVar_0.6 inline.AcquireEffectiveLock.1.myNondetVar_0.5) (=> (= reqCompleted_1.11 reqCompleted_1.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.7 inline.ReleaseDpcLock.2.myNondetVar_0.6) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0) (=> (= k.160 k.159) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.7 inline.AcquireDpcLock.1.myNondetVar_0.6) (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= reqCompleted_0.11 reqCompleted_0.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= reqCancelSet_0.17 reqCancelSet_0.16) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) ?v_1872)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1766 (=> true (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.5) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.5) (=> (= errorReached.120 errorReached.117) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.5) (=> (= reqCancelSet_1.16 reqCancelSet_1.11) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0) (=> (= k.159 k.156) (=> (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0) (=> (= reqCompleted_1.10 reqCompleted_1.7) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.0.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= reqCompleted_0.10 reqCompleted_0.7) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.6 inline.EvtRequestChildCancel.0.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.0.myNondetVar_0.5) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= reqCancelSet_0.16 reqCancelSet_0.11) (=> true (=> true (=> true ?v_1761))))))))))))))))))))))))))))))))))))))) (let ((?v_1768 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.) (=> (= k.156 k.152) (=> (= errorReached.117 errorReached.113) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1766)))))))))))))))))))))) (?v_1770 (= inline.EvtRequestChildCancel.0.myNondetVar_0.5 hdevice)) (?v_1769 (= inline.EvtRequestChildCancel.0.myNondetVar_0.5 hqueue)) (?v_1767 (= inline.EvtRequestChildCancel.0.myNondetVar_0.5 htimer)) (?v_1765 (= inline.EvtRequestChildCancel.0.myNondetVar_0.5 hrequest)) (?v_1764 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 call22718formal.ret.0) (=> (= k.156 k.154) (=> (= errorReached.117 errorReached.115) ?v_1766)))))) (?v_1762 (= k.154 0)) (?v_1763 (= k.154 1)) (?v_1760 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_1750 (=> true (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= errorReached.120 errorReached.119) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= reqCancelSet_1.16 reqCancelSet_1.15) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3) (=> (= k.159 k.158) (=> (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0.0) (=> (= reqCompleted_1.10 reqCompleted_1.9) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= reqCompleted_0.10 reqCompleted_0.9) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.6 inline.EvtRequestChildCancel.0.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= reqCancelSet_0.16 reqCancelSet_0.15) ?v_1761)))))))))))))))))))))))))))))))))))) (let ((?v_1737 (=> true (=> (= reqCancelSet_1.15 reqCancelSet_1.14) (=> (= reqCancelSet_0.15 reqCancelSet_0.14) (=> (= reqCompleted_0.9 reqCompleted_0.8) (=> (= k.158 k.157) (=> (= errorReached.119 errorReached.118) (=> (= reqCompleted_1.9 reqCompleted_1.8) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 call23081formal.ret.0) ?v_1750)))))))))) (let ((?v_1740 (=> true ?v_1737)) (?v_1738 (= reqCancelSet_0.14 reqCancelSet_0.11)) (?v_1739 (= reqCancelSet_1.14 reqCancelSet_1.11)) (?v_1736 (= k.157 1))) (let ((?v_1743 (not ?v_1736)) (?v_1286 (= k.157 0))) (let ((?v_1741 (not ?v_1286))) (let ((?v_1742 (and (=> true (=> ?v_1286 (=> true (=> (= reqCancelSet_0.14 0) (=> ?v_1739 ?v_1737))))) (=> true (=> ?v_1741 (and (=> true (=> ?v_1736 (=> true (=> ?v_1738 (=> (= reqCancelSet_1.14 0) ?v_1740))))) (=> true (=> ?v_1743 (=> true (=> ?v_1738 (=> ?v_1739 ?v_1740))))))))))) (let ((?v_1746 (=> true (=> true ?v_1742))) (?v_1744 (= reqCompleted_0.8 reqCompleted_0.7)) (?v_1745 (= reqCompleted_1.8 reqCompleted_1.7))) (let ((?v_1749 (and (=> true (=> ?v_1286 (=> true (=> (= reqCompleted_0.8 1) (=> ?v_1745 ?v_1742))))) (=> true (=> ?v_1741 (and (=> true (=> ?v_1736 (=> true (=> ?v_1744 (=> (= reqCompleted_1.8 1) ?v_1746))))) (=> true (=> ?v_1743 (=> true (=> ?v_1744 (=> ?v_1745 ?v_1746))))))))))) (let ((?v_1751 (and (=> true (=> ?v_13 (=> true (=> (<= k.155 k.157) (=> (< k.157 2) (and (=> true (=> (=> ?v_1286 ?v_1281) (=> (=> ?v_1736 ?v_1282) (=> true (=> (= errorReached.118 1) ?v_1749))))) (=> true (=> (=> ?v_1286 ?v_1747) (=> (=> ?v_1736 ?v_1748) (=> true (=> (= errorReached.118 errorReached.116) (=> true ?v_1749)))))))))))) (=> true (=> ?v_384 (=> true (=> (= reqCancelSet_1.15 reqCancelSet_1.11) (=> (= reqCancelSet_0.15 reqCancelSet_0.11) (=> (= reqCompleted_0.9 reqCompleted_0.7) (=> (= k.158 k.155) (=> (= errorReached.119 errorReached.116) (=> (= reqCompleted_1.9 reqCompleted_1.7) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1750))))))))))))))))))) (let ((?v_1755 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.1) ?v_1751)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1751))))))))))))))))) (let ((?v_1759 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1755)))))))))) (?v_1756 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_1757 (= k.155 k.152)) (?v_1758 (= errorReached.116 errorReached.113)) (?v_1754 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 call22930formal.ret.0) (=> (= k.155 k.153) (=> (= errorReached.116 errorReached.114) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_1755)))))) (?v_1752 (= k.153 0)) (?v_1753 (= k.153 1))) (let ((?v_1772 (and (=> true (=> (not ?v_1760) (and (=> true (=> ?v_13 (=> true (=> (<= k.152 k.153) (=> (< k.153 2) (and (=> true (=> (=> ?v_1752 ?v_1281) (=> (=> ?v_1753 ?v_1282) (=> true (=> (= errorReached.114 1) ?v_1754))))) (=> true (=> (=> ?v_1752 ?v_1747) (=> (=> ?v_1753 ?v_1748) (=> true (=> (= errorReached.114 errorReached.113) (=> true ?v_1754)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1759))))))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1759))))))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1759))))))) (=> true (=> ?v_422 (=> true (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1759))))))))))))))))))) (=> true (=> ?v_1760 (and (=> true (=> ?v_1765 (=> true (=> (<= k.152 k.154) (=> (< k.154 2) (and (=> true (=> (=> ?v_1762 ?v_1281) (=> (=> ?v_1763 ?v_1282) (=> true (=> (= errorReached.115 1) ?v_1764))))) (=> true (=> (=> ?v_1762 ?v_1747) (=> (=> ?v_1763 ?v_1748) (=> true (=> (= errorReached.115 errorReached.113) (=> true ?v_1764)))))))))))) (=> true (=> (not ?v_1765) (and (=> true (=> ?v_1767 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1768)))) (=> true (=> (not ?v_1767) (and (=> true (=> ?v_1769 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1768)))) (=> true (=> (not ?v_1769) (and (=> true (=> ?v_1770 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1768)))) (=> true (=> (not ?v_1770) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1768))))))))))))))))))) (let ((?v_1771 (=> true (=> (= inline.ReleaseEffectiveLock.2.myNondetVar_0.5 inline.ReleaseEffectiveLock.2.myNondetVar_0.4) ?v_1772)))) (let ((?v_1777 (and (=> true (=> (= inline.ReleaseEffectiveLock.2.myNondetVar_0.1 1) (=> true (=> (= inline.ReleaseEffectiveLock.2.myNondetVar_0.4 inline.ReleaseEffectiveLock.2.myNondetVar_0.1) ?v_1771)))) (=> true (=> (not (= inline.ReleaseEffectiveLock.2.myNondetVar_0.0 1)) (and (=> true (=> (= inline.ReleaseEffectiveLock.2.myNondetVar_0.2 4) (=> true (=> (= inline.ReleaseEffectiveLock.2.myNondetVar_0.4 inline.ReleaseEffectiveLock.2.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1771)))))))))))) (=> true (=> (not (= inline.ReleaseEffectiveLock.2.myNondetVar_0.3 4)) (=> true (=> (= inline.ReleaseEffectiveLock.2.myNondetVar_0.5 inline.ReleaseEffectiveLock.2.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1772)))))))))))))))) (let ((?v_1779 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.) (=> (= k.152 k.150) (=> (= errorReached.113 errorReached.111) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1777))))))))))))) (?v_1781 (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 hdevice)) (?v_1780 (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 hqueue)) (?v_1778 (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 htimer)) (?v_1776 (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 hrequest)) (?v_1775 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 call22486formal.ret.0) (=> (= k.152 k.151) (=> (= errorReached.113 errorReached.112) ?v_1777)))))) (?v_1773 (= k.151 0)) (?v_1774 (= k.151 1))) (let ((?v_1791 (and (=> true (=> ?v_1776 (=> true (=> (<= k.150 k.151) (=> (< k.151 2) (and (=> true (=> (=> ?v_1773 ?v_1281) (=> (=> ?v_1774 ?v_1282) (=> true (=> (= errorReached.112 1) ?v_1775))))) (=> true (=> (=> ?v_1773 ?v_1747) (=> (=> ?v_1774 ?v_1748) (=> true (=> (= errorReached.112 errorReached.111) (=> true ?v_1775)))))))))))) (=> true (=> (not ?v_1776) (and (=> true (=> ?v_1778 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1779)))) (=> true (=> (not ?v_1778) (and (=> true (=> ?v_1780 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1779)))) (=> true (=> (not ?v_1780) (and (=> true (=> ?v_1781 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1779)))) (=> true (=> (not ?v_1781) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1779)))))))))))))))) (let ((?v_1789 (=> true (=> (= lockStatus_0.30 lockStatus_0.29) (=> (= lockStatus_1.30 lockStatus_1.29) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.2.myNondetVar_0.5) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.6 inline.ReleaseDpcLock.2.myNondetVar_0.5) (=> (= k.150 k.149) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.2.myNondetVar_0.5) ?v_1791))))))))) (?v_1788 (= inline.ReleaseDpcLock.2.myNondetVar_0.5 hlock))) (let ((?v_1783 (=> true (=> (= lockStatus_0.29 lockStatus_0.28) (=> (= lockStatus_1.29 lockStatus_1.28) (=> (= k.149 k.148) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 call22375formal.ret.0) ?v_1789))))))) (let ((?v_1787 (=> true ?v_1783)) (?v_1785 (= lockStatus_0.28 lockStatus_0.27)) (?v_1786 (= lockStatus_1.28 lockStatus_1.27)) (?v_1784 (= k.148 1)) (?v_1782 (= k.148 0))) (let ((?v_1790 (and (=> true (=> ?v_1788 (=> true (=> (<= k.147 k.148) (=> (< k.148 2) (and (=> true (=> ?v_1782 (=> true (=> (= lockStatus_0.28 0) (=> ?v_1786 ?v_1783))))) (=> true (=> (not ?v_1782) (and (=> true (=> ?v_1784 (=> true (=> ?v_1785 (=> (= lockStatus_1.28 0) ?v_1787))))) (=> true (=> (not ?v_1784) (=> true (=> ?v_1785 (=> ?v_1786 ?v_1787)))))))))))))) (=> true (=> (not ?v_1788) (=> true (=> (= lockStatus_0.29 lockStatus_0.27) (=> (= lockStatus_1.29 lockStatus_1.27) (=> (= k.149 k.147) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_1789))))))))))))) (let ((?v_1796 (and (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.4 inline.ReleaseDpcLock.2.myNondetVar_0.1) ?v_1790)))) (=> true (=> (not (= inline.ReleaseDpcLock.2.myNondetVar_0.0 2)) (and (=> true (=> (not (= inline.ReleaseDpcLock.2.myNondetVar_0.2 2)) (=> true (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.4 inline.ReleaseDpcLock.2.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1790)))))))))) (=> true (=> (not (not (= inline.ReleaseDpcLock.2.myNondetVar_0.3 2))) (=> true (=> (= lockStatus_0.30 lockStatus_0.27) (=> (= lockStatus_1.30 lockStatus_1.27) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.2.myNondetVar_0.6 inline.ReleaseDpcLock.2.myNondetVar_0.3) (=> (= k.150 k.147) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1791)))))))))))))))))))))))))))))) (let ((?v_1798 (=> (= k.147 k.145) (=> (= errorReached.111 errorReached.109) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1796))))))))))))) (?v_1800 (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 hdevice)) (?v_1799 (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 hqueue)) (?v_1797 (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 htimer)) (?v_1795 (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 hrequest)) (?v_1794 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.147 k.146) (=> (= errorReached.111 errorReached.110) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 call22214formal.ret.0) ?v_1796)))))) (?v_1792 (= k.146 0)) (?v_1793 (= k.146 1))) (let ((?v_1809 (and (=> true (=> ?v_1795 (=> true (=> (<= k.145 k.146) (=> (< k.146 2) (and (=> true (=> (=> ?v_1792 ?v_1281) (=> (=> ?v_1793 ?v_1282) (=> true (=> (= errorReached.110 1) ?v_1794))))) (=> true (=> (=> ?v_1792 ?v_1747) (=> (=> ?v_1793 ?v_1748) (=> true (=> (= errorReached.110 errorReached.109) (=> true ?v_1794)))))))))))) (=> true (=> (not ?v_1795) (and (=> true (=> ?v_1797 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1798)))) (=> true (=> (not ?v_1797) (and (=> true (=> ?v_1799 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1798)))) (=> true (=> (not ?v_1799) (and (=> true (=> ?v_1800 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1798)))) (=> true (=> (not ?v_1800) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1798)))))))))))))))) (let ((?v_1807 (=> true (=> (= lockStatus_0.27 lockStatus_0.26) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.1.myNondetVar_0.4) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 call22130formal.ret.0) (=> (= lockStatus_1.27 lockStatus_1.26) (=> (= k.145 k.144) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.6 inline.AcquireDpcLock.1.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.1.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0) ?v_1809)))))))))) (?v_1806 (= inline.AcquireDpcLock.1.myNondetVar_0.4 hlock))) (let ((?v_1802 (=> true (=> (= lockStatus_0.26 lockStatus_0.25) (=> (= lockStatus_1.26 lockStatus_1.25) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 call22078formal.ret.0) (=> (= k.144 k.143) ?v_1807))))))) (let ((?v_1805 (=> true ?v_1802)) (?v_1803 (= lockStatus_0.25 lockStatus_0.5)) (?v_1804 (= lockStatus_1.25 lockStatus_1.5)) (?v_1801 (= k.143 1)) (?v_1285 (= k.143 0))) (let ((?v_1808 (and (=> true (=> ?v_1806 (=> true (=> (<= k.142 k.143) (=> (< k.143 2) (=> true (=> (=> ?v_1285 (= lockStatus_0.5 0)) (=> (=> ?v_1801 (= lockStatus_1.5 0)) (and (=> true (=> ?v_1285 (=> true (=> (= lockStatus_0.25 1) (=> ?v_1804 ?v_1802))))) (=> true (=> (not ?v_1285) (and (=> true (=> ?v_1801 (=> true (=> ?v_1803 (=> (= lockStatus_1.25 1) ?v_1805))))) (=> true (=> (not ?v_1801) (=> true (=> ?v_1803 (=> ?v_1804 ?v_1805))))))))))))))))) (=> true (=> (not ?v_1806) (=> true (=> (= lockStatus_0.26 lockStatus_0.5) (=> (= lockStatus_1.26 lockStatus_1.5) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= k.144 k.142) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1807)))))))))))))))) (let ((?v_1814 (and (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.1 2) (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.3 inline.AcquireDpcLock.1.myNondetVar_0.1) ?v_1808)))) (=> true (=> (not (= inline.AcquireDpcLock.1.myNondetVar_0.0 2)) (and (=> true (=> (not (= inline.AcquireDpcLock.1.myNondetVar_0.2 2)) (=> true (=> (= inline.AcquireDpcLock.1.myNondetVar_0.3 inline.AcquireDpcLock.1.myNondetVar_0.2) (=> true (=> true (=> true (=> true ?v_1808)))))))) (=> true (=> (not (not (= inline.AcquireDpcLock.1.myNondetVar_0.5 2))) (=> true (=> (= lockStatus_0.27 lockStatus_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.) (=> (= lockStatus_1.27 lockStatus_1.5) (=> (= k.145 k.142) (=> (= inline.AcquireDpcLock.1.myNondetVar_0.6 inline.AcquireDpcLock.1.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1809)))))))))))))))))))))))))))))))))) (let ((?v_1816 (=> (= k.142 k.140) (=> (= errorReached.109 errorReached.107) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1814))))))))))))) (?v_1818 (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 hdevice)) (?v_1817 (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 hqueue)) (?v_1815 (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 htimer)) (?v_1813 (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 hrequest)) (?v_1812 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.142 k.141) (=> (= errorReached.109 errorReached.108) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0 call21919formal.ret.0) ?v_1814)))))) (?v_1810 (= k.141 0)) (?v_1811 (= k.141 1))) (let ((?v_1820 (and (=> true (=> ?v_1813 (=> true (=> (<= k.140 k.141) (=> (< k.141 2) (and (=> true (=> (=> ?v_1810 ?v_1281) (=> (=> ?v_1811 ?v_1282) (=> true (=> (= errorReached.108 1) ?v_1812))))) (=> true (=> (=> ?v_1810 ?v_1747) (=> (=> ?v_1811 ?v_1748) (=> true (=> (= errorReached.108 errorReached.107) (=> true ?v_1812)))))))))))) (=> true (=> (not ?v_1813) (and (=> true (=> ?v_1815 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1816)))) (=> true (=> (not ?v_1815) (and (=> true (=> ?v_1817 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1816)))) (=> true (=> (not ?v_1817) (and (=> true (=> ?v_1818 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1816)))) (=> true (=> (not ?v_1818) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1816)))))))))))))))) (let ((?v_1819 (=> true (=> (= inline.AcquireEffectiveLock.1.myNondetVar_0.5 inline.AcquireEffectiveLock.1.myNondetVar_0.3) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 call21835formal.ret.0) ?v_1820))))) (let ((?v_1825 (and (=> true (=> (= inline.AcquireEffectiveLock.1.myNondetVar_0.2 1) (=> true (=> (= inline.AcquireEffectiveLock.1.myNondetVar_0.3 inline.AcquireEffectiveLock.1.myNondetVar_0.2) ?v_1819)))) (=> true (=> (not (= inline.AcquireEffectiveLock.1.myNondetVar_0.0 1)) (and (=> true (=> (= inline.AcquireEffectiveLock.1.myNondetVar_0.1 4) (=> true (=> (= inline.AcquireEffectiveLock.1.myNondetVar_0.3 inline.AcquireEffectiveLock.1.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1819))))))))))))) (=> true (=> (not (= inline.AcquireEffectiveLock.1.myNondetVar_0.4 4)) (=> true (=> (= inline.AcquireEffectiveLock.1.myNondetVar_0.5 inline.AcquireEffectiveLock.1.myNondetVar_0.4) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1820)))))))))))))))))))))))))) (let ((?v_1830 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1825)))))))))) (?v_1827 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_1828 (= k.140 k.138)) (?v_1829 (= errorReached.107 errorReached.105)) (?v_1832 (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 hdevice)) (?v_1831 (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 hqueue)) (?v_1826 (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 htimer)) (?v_1824 (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 hrequest)) (?v_1823 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 call21696formal.ret.0) (=> (= k.140 k.139) (=> (= errorReached.107 errorReached.106) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_1825)))))) (?v_1821 (= k.139 0)) (?v_1822 (= k.139 1))) (let ((?v_1836 (and (=> true (=> ?v_1824 (=> true (=> (<= k.138 k.139) (=> (< k.139 2) (and (=> true (=> (=> ?v_1821 ?v_1281) (=> (=> ?v_1822 ?v_1282) (=> true (=> (= errorReached.106 1) ?v_1823))))) (=> true (=> (=> ?v_1821 ?v_1747) (=> (=> ?v_1822 ?v_1748) (=> true (=> (= errorReached.106 errorReached.105) (=> true ?v_1823)))))))))))) (=> true (=> (not ?v_1824) (and (=> true (=> ?v_1826 (=> true (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1830))))))) (=> true (=> (not ?v_1826) (and (=> true (=> ?v_1831 (=> true (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1830))))))) (=> true (=> (not ?v_1831) (and (=> true (=> ?v_1832 (=> true (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1830))))))) (=> true (=> (not ?v_1832) (=> true (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1830)))))))))))))))))) (?v_1837 (= k.138 k.136)) (?v_1838 (= errorReached.105 errorReached.103))) (let ((?v_1839 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1836)))))))))))))))))))))) (?v_1835 (=> true (=> (= k.138 k.137) (=> (= errorReached.105 errorReached.104) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 call21521formal.ret.0) ?v_1836)))))) (?v_1833 (= k.137 0)) (?v_1834 (= k.137 1))) (let ((?v_1844 (and (=> true (=> ?v_13 (=> true (=> (<= k.136 k.137) (=> (< k.137 2) (and (=> true (=> (=> ?v_1833 ?v_1281) (=> (=> ?v_1834 ?v_1282) (=> true (=> (= errorReached.104 1) ?v_1835))))) (=> true (=> (=> ?v_1833 ?v_1747) (=> (=> ?v_1834 ?v_1748) (=> true (=> (= errorReached.104 errorReached.103) (=> true ?v_1835)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> ?v_1837 (=> ?v_1838 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1839)))))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> ?v_1837 (=> ?v_1838 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1839)))))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> ?v_1837 (=> ?v_1838 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1839)))))) (=> true (=> ?v_422 (=> true (=> ?v_1837 (=> ?v_1838 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1839)))))))))))))))))) (let ((?v_1846 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.) (=> (= k.136 k.134) (=> (= errorReached.103 errorReached.101) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1844)))))))))))))))))))) (?v_1848 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hdevice)) (?v_1847 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hqueue)) (?v_1845 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 htimer)) (?v_1843 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hrequest)) (?v_1842 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 call21366formal.ret.0) (=> (= k.136 k.135) (=> (= errorReached.103 errorReached.102) ?v_1844)))))) (?v_1840 (= k.135 0)) (?v_1841 (= k.135 1))) (let ((?v_1853 (and (=> true (=> ?v_1843 (=> true (=> (<= k.134 k.135) (=> (< k.135 2) (and (=> true (=> (=> ?v_1840 ?v_1281) (=> (=> ?v_1841 ?v_1282) (=> true (=> (= errorReached.102 1) ?v_1842))))) (=> true (=> (=> ?v_1840 ?v_1747) (=> (=> ?v_1841 ?v_1748) (=> true (=> (= errorReached.102 errorReached.101) (=> true ?v_1842)))))))))))) (=> true (=> (not ?v_1843) (and (=> true (=> ?v_1845 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1846)))) (=> true (=> (not ?v_1845) (and (=> true (=> ?v_1847 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1846)))) (=> true (=> (not ?v_1847) (and (=> true (=> ?v_1848 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1846)))) (=> true (=> (not ?v_1848) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1846)))))))))))))))) (let ((?v_1858 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1853))))))))))))))))) (?v_1855 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_1856 (= k.134 k.132)) (?v_1857 (= errorReached.101 errorReached.99)) (?v_1851 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 call21209formal.ret.0) (=> (= k.134 k.133) (=> (= errorReached.101 errorReached.100) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_1853)))))) (?v_1849 (= k.133 0)) (?v_1850 (= k.133 1))) (let ((?v_1864 (and (=> true (=> ?v_12 (=> true (=> (<= k.132 k.133) (=> (< k.133 2) (and (=> true (=> (=> ?v_1849 ?v_1281) (=> (=> ?v_1850 ?v_1282) (=> true (=> (= errorReached.100 1) ?v_1851))))) (=> true (=> (=> ?v_1849 ?v_1747) (=> (=> ?v_1850 ?v_1748) (=> true (=> (= errorReached.100 errorReached.99) (=> true ?v_1851)))))))))))) (=> true (=> ?v_1852 (and (=> true (=> ?v_520 (=> true (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1858))))))) (=> true (=> ?v_1854 (and (=> true (=> ?v_521 (=> true (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1858))))))) (=> true (=> ?v_523 (and (=> true (=> ?v_524 (=> true (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1858))))))) (=> true (=> ?v_1859 (=> true (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1858))))))))))))))))))) (let ((?v_1866 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1864)))))))))))))) (?v_1865 (= errorReached.99 errorReached.96)) (?v_1862 (= k.132 k.131)) (?v_1863 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0 call21098formal.ret.0)) (?v_1860 (= k.131 0)) (?v_1861 (= k.131 1)) (?v_1284 (int_2_U call20990formal.new.0))) (let ((?v_1997 (=> true (and ?v_1283 (=> ?v_1283 (=> (> call20990formal.new.0 0) (=> (forall ((?x363 Int)) (! (=> (and (<= call20990formal.new.0 ?x363) (< ?x363 (+ call20990formal.new.0 1))) (= (Base ?x363) call20990formal.new.0)) :pattern ((Base ?x363)) )) (=> (forall ((?x364 boogieU)) (! (=> (= (type ?x364) intType) (or (= (U_2_int ?x364) call20990formal.new.0) (= (MapType0Select alloc.8 ?x364) (MapType0Select alloc.11 ?x364)))) :pattern ((MapType0Select alloc.11 ?x364)) )) (=> (and (= (MapType0Select alloc.8 ?v_1284) UNALLOCATED) (= (MapType0Select alloc.11 ?v_1284) ALLOCATED)) (and (=> true (=> (not ?v_1873) (and (=> true (=> ?v_1867 (and (=> true (=> ?v_13 (=> true (=> (<= k.128 k.131) (=> (< k.131 2) (and (=> true (=> (=> ?v_1860 ?v_1281) (=> (=> ?v_1861 ?v_1282) (=> true (=> ?v_1862 (=> (= errorReached.99 1) (=> ?v_1863 ?v_1864))))))) (=> true (=> (=> ?v_1860 ?v_1747) (=> (=> ?v_1861 ?v_1748) (=> true (=> ?v_1862 (=> ?v_1865 (=> ?v_1863 ?v_1866))))))))))))) (=> true (=> ?v_384 (=> true (=> (= k.132 k.128) (=> ?v_1865 (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.) ?v_1866))))))))) (=> true (=> (not ?v_1867) (=> true (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> (= errorReached.121 errorReached.96) (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1868 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> (= reqCancelSet_1.17 reqCancelSet_1.11) (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1869 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1870 (=> ?v_1958 (=> ?v_1871 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> (= k.160 k.128) (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> (= reqCancelSet_0.17 reqCancelSet_0.11) ?v_1985)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1873 (and (=> true (=> ?v_13 (=> true (=> (<= k.128 k.129) (=> (< k.129 2) (and (=> true (=> (=> ?v_1874 ?v_1281) (=> (=> ?v_1986 ?v_1282) (=> true (=> (= errorReached.97 1) ?v_1991))))) (=> true (=> (=> ?v_1874 ?v_1747) (=> (=> ?v_1986 ?v_1748) (=> true (=> (= errorReached.97 errorReached.96) (=> true ?v_1991)))))))))))) (=> true (=> ?v_384 (=> true (=> (= reqCancelSet_1.13 reqCancelSet_1.11) (=> (= reqCancelSet_0.13 reqCancelSet_0.11) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.) (=> (= k.130 k.128) (=> (= errorReached.98 errorReached.96) (=> true (=> true (=> true ?v_1992)))))))))))))))))))))))) (let ((?v_2002 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1997))))))))) (?v_1999 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_2000 (= k.128 k.126)) (?v_2001 (= errorReached.96 errorReached.94)) (?v_2004 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.0 hdevice)) (?v_2003 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.0 hqueue)) (?v_1998 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.0 htimer)) (?v_1996 (= inline.MarkRequestCancelableReturnLocked.0.myNondetVar_0.0 hrequest)) (?v_1995 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 call20891formal.ret.0) (=> (= k.128 k.127) (=> (= errorReached.96 errorReached.95) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_1997)))))) (?v_1993 (= k.127 0)) (?v_1994 (= k.127 1))) (let ((?v_2008 (and (=> true (=> ?v_1996 (=> true (=> (<= k.126 k.127) (=> (< k.127 2) (and (=> true (=> (=> ?v_1993 ?v_1281) (=> (=> ?v_1994 ?v_1282) (=> true (=> (= errorReached.95 1) ?v_1995))))) (=> true (=> (=> ?v_1993 ?v_1747) (=> (=> ?v_1994 ?v_1748) (=> true (=> (= errorReached.95 errorReached.94) (=> true ?v_1995)))))))))))) (=> true (=> (not ?v_1996) (and (=> true (=> ?v_1998 (=> true (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2002))))))) (=> true (=> (not ?v_1998) (and (=> true (=> ?v_2003 (=> true (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2002))))))) (=> true (=> (not ?v_2003) (and (=> true (=> ?v_2004 (=> true (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2002))))))) (=> true (=> (not ?v_2004) (=> true (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2002)))))))))))))))))) (?v_2009 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.))) (let ((?v_2010 (=> (= k.126 k.124) (=> (= errorReached.94 errorReached.92) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2008)))))))))))))))))) (?v_2007 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 call20735formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.126 k.125) (=> (= errorReached.94 errorReached.93) ?v_2008)))))) (?v_2005 (= k.125 0)) (?v_2006 (= k.125 1))) (let ((?v_2014 (and (=> true (=> ?v_12 (=> true (=> (<= k.124 k.125) (=> (< k.125 2) (and (=> true (=> (=> ?v_2005 ?v_1281) (=> (=> ?v_2006 ?v_1282) (=> true (=> (= errorReached.93 1) ?v_2007))))) (=> true (=> (=> ?v_2005 ?v_1747) (=> (=> ?v_2006 ?v_1748) (=> true (=> (= errorReached.93 errorReached.92) (=> true ?v_2007)))))))))))) (=> true (=> ?v_1852 (and (=> true (=> ?v_520 (=> true (=> ?v_2009 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2010))))) (=> true (=> ?v_1854 (and (=> true (=> ?v_521 (=> true (=> ?v_2009 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2010))))) (=> true (=> ?v_523 (and (=> true (=> ?v_524 (=> true (=> ?v_2009 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2010))))) (=> true (=> ?v_1859 (=> true (=> ?v_2009 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2010))))))))))))))))) (let ((?v_2018 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2014)))))))))))))))) (?v_2015 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_2016 (= k.124 k.122)) (?v_2017 (= errorReached.92 errorReached.90)) (?v_2013 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 call20581formal.ret.0) (=> (= k.124 k.123) (=> (= errorReached.92 errorReached.91) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2014)))))) (?v_2011 (= k.123 0)) (?v_2012 (= k.123 1))) (let ((?v_2023 (and (=> true (=> ?v_13 (=> true (=> (<= k.122 k.123) (=> (< k.123 2) (and (=> true (=> (=> ?v_2011 ?v_1281) (=> (=> ?v_2012 ?v_1282) (=> true (=> (= errorReached.91 1) ?v_2013))))) (=> true (=> (=> ?v_2011 ?v_1747) (=> (=> ?v_2012 ?v_1748) (=> true (=> (= errorReached.91 errorReached.90) (=> true ?v_2013)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2018))))))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2018))))))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2018))))))) (=> true (=> ?v_422 (=> true (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2018))))))))))))))))))) (let ((?v_2024 (=> (= errorReached.90 errorReached.89) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2023)))))))))))))) (?v_2021 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 call20471formal.ret.0)) (?v_2022 (= k.122 k.121)) (?v_2019 (= k.121 0)) (?v_2020 (= k.121 1))) (let ((?v_2037 (and (=> true (=> ?v_13 (=> true (=> (<= k.120 k.121) (=> (< k.121 2) (and (=> true (=> (=> ?v_2019 ?v_1281) (=> (=> ?v_2020 ?v_1282) (=> true (=> ?v_2021 (=> ?v_2022 (=> (= errorReached.90 1) ?v_2023))))))) (=> true (=> (=> ?v_2019 ?v_1747) (=> (=> ?v_2020 ?v_1748) (=> true (=> ?v_2021 (=> ?v_2022 ?v_2024)))))))))))) (=> true (=> ?v_384 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.) (=> (= k.122 k.120) ?v_2024))))))) (?v_1274 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 hrequest))) (let ((?v_2042 (not ?v_1274)) (?v_2026 (=> true (=> (= reqCancelSet_1.11 reqCancelSet_1.10) (=> (= reqCancelSet_0.11 reqCancelSet_0.10) (=> (= reqCompleted_0.7 reqCompleted_0.6) (=> (= k.120 k.119) (=> (= errorReached.89 errorReached.88) (=> (= reqCompleted_1.7 reqCompleted_1.6) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 call20313formal.ret.0) ?v_2037)))))))))) (let ((?v_2029 (=> true ?v_2026)) (?v_2027 (= reqCancelSet_0.10 reqCancelSet_0.3)) (?v_2028 (= reqCancelSet_1.10 reqCancelSet_1.3)) (?v_2025 (= k.119 1))) (let ((?v_2032 (not ?v_2025)) (?v_1280 (= k.119 0))) (let ((?v_2030 (not ?v_1280))) (let ((?v_2031 (and (=> true (=> ?v_1280 (=> true (=> (= reqCancelSet_0.10 0) (=> ?v_2028 ?v_2026))))) (=> true (=> ?v_2030 (and (=> true (=> ?v_2025 (=> true (=> ?v_2027 (=> (= reqCancelSet_1.10 0) ?v_2029))))) (=> true (=> ?v_2032 (=> true (=> ?v_2027 (=> ?v_2028 ?v_2029))))))))))) (let ((?v_2035 (=> true (=> true ?v_2031))) (?v_2033 (= reqCompleted_0.6 reqCompleted_0)) (?v_2034 (= reqCompleted_1.6 reqCompleted_1))) (let ((?v_2036 (and (=> true (=> ?v_1280 (=> true (=> (= reqCompleted_0.6 1) (=> ?v_2034 ?v_2031))))) (=> true (=> ?v_2030 (and (=> true (=> ?v_2025 (=> true (=> ?v_2033 (=> (= reqCompleted_1.6 1) ?v_2035))))) (=> true (=> ?v_2032 (=> true (=> ?v_2033 (=> ?v_2034 ?v_2035))))))))))) (let ((?v_2038 (and (=> true (=> ?v_1274 (=> true (=> (<= k.118 k.119) (=> (< k.119 2) (and (=> true (=> (=> ?v_1280 ?v_4) (=> (=> ?v_2025 ?v_5) (=> true (=> (= errorReached.88 1) ?v_2036))))) (=> true (=> (=> ?v_1280 ?v_2) (=> (=> ?v_2025 ?v_3) (=> true (=> (= errorReached.88 errorReached.87) (=> true ?v_2036)))))))))))) (=> true (=> ?v_2042 (=> true (=> (= reqCancelSet_1.11 reqCancelSet_1.3) (=> (= reqCancelSet_0.11 reqCancelSet_0.3) (=> (= reqCompleted_0.7 reqCompleted_0) (=> (= k.120 k.118) (=> (= errorReached.89 errorReached.87) (=> (= reqCompleted_1.7 reqCompleted_1) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2037)))))))))))))))))))))))))))))) (let ((?v_2043 (and (=> true (=> (not (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.0 0)) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.1) ?v_2038)))) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2 0) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2038)))))))))))))))) (?v_2045 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.))) (let ((?v_2046 (=> (= errorReached.87 errorReached.53) (=> (= k.118 k.69) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2043)))))))))))) (?v_2048 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 hdevice))) (let ((?v_2368 (not ?v_2048)) (?v_2047 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 hqueue))) (let ((?v_2367 (not ?v_2047)) (?v_2044 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 htimer))) (let ((?v_2362 (not ?v_2044)) (?v_2041 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 call20162formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.87 errorReached.86) (=> (= k.118 k.70) ?v_2043)))))) (?v_2039 (= k.70 0)) (?v_2040 (= k.70 1))) (let ((?v_2050 (and (=> true (=> ?v_1274 (=> true (=> (<= k.69 k.70) (=> (< k.70 2) (and (=> true (=> (=> ?v_2039 ?v_4) (=> (=> ?v_2040 ?v_5) (=> true (=> (= errorReached.86 1) ?v_2041))))) (=> true (=> (=> ?v_2039 ?v_2) (=> (=> ?v_2040 ?v_3) (=> true (=> (= errorReached.86 errorReached.53) (=> true ?v_2041)))))))))))) (=> true (=> ?v_2042 (and (=> true (=> ?v_2044 (=> true (=> ?v_2045 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2046))))) (=> true (=> ?v_2362 (and (=> true (=> ?v_2047 (=> true (=> ?v_2045 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2046))))) (=> true (=> ?v_2367 (and (=> true (=> ?v_2048 (=> true (=> ?v_2045 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2046))))) (=> true (=> ?v_2368 (=> true (=> ?v_2045 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2046))))))))))))))))) (let ((?v_2049 (=> true (=> (= inline.ReleaseEffectiveLock.1.myNondetVar_0.5 inline.ReleaseEffectiveLock.1.myNondetVar_0.4) ?v_2050)))) (let ((?v_2055 (and (=> true (=> (= inline.ReleaseEffectiveLock.1.myNondetVar_0.1 1) (=> true (=> (= inline.ReleaseEffectiveLock.1.myNondetVar_0.4 inline.ReleaseEffectiveLock.1.myNondetVar_0.1) ?v_2049)))) (=> true (=> (not (= inline.ReleaseEffectiveLock.1.myNondetVar_0.0 1)) (and (=> true (=> (= inline.ReleaseEffectiveLock.1.myNondetVar_0.2 4) (=> true (=> (= inline.ReleaseEffectiveLock.1.myNondetVar_0.4 inline.ReleaseEffectiveLock.1.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2049)))))))))))) (=> true (=> (not (= inline.ReleaseEffectiveLock.1.myNondetVar_0.3 4)) (=> true (=> (= inline.ReleaseEffectiveLock.1.myNondetVar_0.5 inline.ReleaseEffectiveLock.1.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2050)))))))))))))))))))))))))))))) (let ((?v_2057 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.) (=> (= k.69 k.47) (=> (= errorReached.53 errorReached.36) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2055))))))))))))) (?v_2059 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10 hdevice)) (?v_2058 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10 hqueue)) (?v_2056 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10 htimer)) (?v_2054 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.10 hrequest)) (?v_2053 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 call19917formal.ret.0) (=> (= k.69 k.68) (=> (= errorReached.53 errorReached.52) ?v_2055)))))) (?v_2051 (= k.68 0)) (?v_2052 (= k.68 1))) (let ((?v_2069 (and (=> true (=> ?v_2054 (=> true (=> (<= k.47 k.68) (=> (< k.68 2) (and (=> true (=> (=> ?v_2051 ?v_4) (=> (=> ?v_2052 ?v_5) (=> true (=> (= errorReached.52 1) ?v_2053))))) (=> true (=> (=> ?v_2051 ?v_2) (=> (=> ?v_2052 ?v_3) (=> true (=> (= errorReached.52 errorReached.36) (=> true ?v_2053)))))))))))) (=> true (=> (not ?v_2054) (and (=> true (=> ?v_2056 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2057)))) (=> true (=> (not ?v_2056) (and (=> true (=> ?v_2058 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2057)))) (=> true (=> (not ?v_2058) (and (=> true (=> ?v_2059 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2057)))) (=> true (=> (not ?v_2059) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2057)))))))))))))))) (let ((?v_2067 (=> true (=> (= lockStatus_0.5 lockStatus_0.4) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.6 inline.ReleaseDpcLock.1.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.1.myNondetVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.1.myNondetVar_0.5) (=> (= lockStatus_1.5 lockStatus_1.4) (=> (= k.47 k.46) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0) ?v_2069))))))))) (?v_2066 (= inline.ReleaseDpcLock.1.myNondetVar_0.5 hlock))) (let ((?v_2061 (=> true (=> (= lockStatus_0.4 lockStatus_0.3) (=> (= lockStatus_1.4 lockStatus_1.3) (=> (= k.46 k.45) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 call19806formal.ret.0) ?v_2067))))))) (let ((?v_2065 (=> true ?v_2061)) (?v_2063 (= lockStatus_0.3 lockStatus_0.2)) (?v_2064 (= lockStatus_1.3 lockStatus_1.2)) (?v_2062 (= k.45 1)) (?v_2060 (= k.45 0))) (let ((?v_2068 (and (=> true (=> ?v_2066 (=> true (=> (<= k.44 k.45) (=> (< k.45 2) (and (=> true (=> ?v_2060 (=> true (=> (= lockStatus_0.3 0) (=> ?v_2064 ?v_2061))))) (=> true (=> (not ?v_2060) (and (=> true (=> ?v_2062 (=> true (=> ?v_2063 (=> (= lockStatus_1.3 0) ?v_2065))))) (=> true (=> (not ?v_2062) (=> true (=> ?v_2063 (=> ?v_2064 ?v_2065)))))))))))))) (=> true (=> (not ?v_2066) (=> true (=> (= lockStatus_0.4 lockStatus_0.2) (=> (= lockStatus_1.4 lockStatus_1.2) (=> (= k.46 k.44) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_2067))))))))))))) (let ((?v_2074 (and (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.1 2) (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.4 inline.ReleaseDpcLock.1.myNondetVar_0.1) ?v_2068)))) (=> true (=> (not (= inline.ReleaseDpcLock.1.myNondetVar_0.0 2)) (and (=> true (=> (not (= inline.ReleaseDpcLock.1.myNondetVar_0.3 2)) (=> true (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.4 inline.ReleaseDpcLock.1.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2068)))))))))) (=> true (=> (not (not (= inline.ReleaseDpcLock.1.myNondetVar_0.2 2))) (=> true (=> (= lockStatus_0.5 lockStatus_0.2) (=> (= inline.ReleaseDpcLock.1.myNondetVar_0.6 inline.ReleaseDpcLock.1.myNondetVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.5 lockStatus_1.2) (=> (= k.47 k.44) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2069)))))))))))))))))))))))))))))) (let ((?v_2079 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2074)))))))))) (?v_2076 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_2077 (= k.44 k.42)) (?v_2078 (= errorReached.36 errorReached.34)) (?v_2081 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.9 hdevice)) (?v_2080 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.9 hqueue)) (?v_2075 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.9 htimer)) (?v_2073 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.9 hrequest)) (?v_2072 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 call19645formal.ret.0) (=> (= k.44 k.43) (=> (= errorReached.36 errorReached.35) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2074)))))) (?v_2070 (= k.43 0)) (?v_2071 (= k.43 1))) (let ((?v_2343 (and (=> true (=> ?v_2082 (and (=> true (=> ?v_2073 (=> true (=> (<= k.42 k.43) (=> (< k.43 2) (and (=> true (=> (=> ?v_2070 ?v_4) (=> (=> ?v_2071 ?v_5) (=> true (=> (= errorReached.35 1) ?v_2072))))) (=> true (=> (=> ?v_2070 ?v_2) (=> (=> ?v_2071 ?v_3) (=> true (=> (= errorReached.35 errorReached.34) (=> true ?v_2072)))))))))))) (=> true (=> (not ?v_2073) (and (=> true (=> ?v_2075 (=> true (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2079))))))) (=> true (=> (not ?v_2075) (and (=> true (=> ?v_2080 (=> true (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2079))))))) (=> true (=> (not ?v_2080) (and (=> true (=> ?v_2081 (=> true (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2079))))))) (=> true (=> (not ?v_2081) (=> true (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2079))))))))))))))))))) (=> true (=> (not ?v_2082) (=> true (=> ?v_2083 (=> ?v_2369 (=> ?v_2084 (=> ?v_2370 (=> ?v_2085 (=> ?v_2371 (=> ?v_2086 (=> ?v_2372 (=> ?v_2087 (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2088 (=> ?v_2377 (=> ?v_2089 (=> ?v_2378 (=> ?v_2090 (=> ?v_2091 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> ?v_2092 (=> ?v_2383 (=> ?v_2093 (=> ?v_2094 (=> ?v_2384 (=> ?v_2095 (=> ?v_1356 (=> ?v_2385 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2386 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> ?v_2391 (=> ?v_2103 (=> ?v_2104 (=> ?v_2392 (=> ?v_2393 (=> ?v_2105 (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> ?v_2106 (=> ?v_2397 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2112 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2113 (=> ?v_2411 (=> ?v_2114 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> ?v_2115 (=> ?v_2116 (=> ?v_2416 (=> ?v_2117 (=> ?v_2417 (=> ?v_2118 (=> ?v_2418 (=> ?v_2419 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> ?v_2119 (=> ?v_2423 (=> ?v_2424 (=> ?v_2120 (=> ?v_2425 (=> ?v_2121 (=> ?v_2122 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_2432 (=> ?v_2433 (=> ?v_2126 (=> ?v_2127 (=> ?v_2434 (=> ?v_2435 (=> ?v_2128 (=> ?v_2436 (=> ?v_2437 (=> ?v_2129 (=> ?v_2438 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> ?v_2439 (=> ?v_2134 (=> ?v_2135 (=> ?v_2440 (=> ?v_2441 (=> ?v_2136 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2137 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2456 (=> ?v_2143 (=> ?v_2144 (=> ?v_2145 (=> ?v_2457 (=> ?v_2458 (=> ?v_2146 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.12 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.6) (=> ?v_2147 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> (= reqCancelSet_0.18 reqCancelSet_0.3) (=> ?v_2148 (=> ?v_2149 (=> ?v_2150 (=> ?v_2468 (=> ?v_2469 (=> ?v_2151 (=> ?v_2152 (=> ?v_2470 (=> (= k.182 k.42) (=> ?v_2153 (=> ?v_2154 (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2155 (=> ?v_2156 (=> ?v_2476 (=> ?v_2157 (=> ?v_2158 (=> ?v_2159 (=> ?v_2477 (=> ?v_2160 (=> ?v_2478 (=> ?v_2161 (=> ?v_2162 (=> ?v_2163 (=> ?v_2164 (=> ?v_2479 (=> ?v_2165 (=> ?v_2480 (=> ?v_2166 (=> ?v_2481 (=> ?v_2167 (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2168 (=> ?v_2485 (=> ?v_2169 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> ?v_2170 (=> ?v_2489 (=> ?v_2171 (=> ?v_2490 (=> ?v_2172 (=> ?v_2173 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2174 (=> ?v_2496 (=> ?v_2175 (=> ?v_2176 (=> ?v_2497 (=> ?v_2498 (=> ?v_2177 (=> ?v_2178 (=> ?v_2179 (=> ?v_2499 (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> ?v_2183 (=> ?v_2500 (=> ?v_2184 (=> ?v_2185 (=> ?v_2186 (=> ?v_2501 (=> ?v_2502 (=> ?v_2187 (=> ?v_2188 (=> ?v_2189 (=> ?v_2503 (=> ?v_2190 (=> ?v_2191 (=> ?v_2504 (=> ?v_2192 (=> ?v_2193 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2194 (=> ?v_2195 (=> ?v_2509 (=> ?v_2510 (=> ?v_2196 (=> ?v_2197 (=> ?v_2511 (=> ?v_2198 (=> ?v_2512 (=> ?v_2513 (=> ?v_2199 (=> ?v_2514 (=> ?v_2515 (=> ?v_2516 (=> ?v_2200 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2201 (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2205 (=> ?v_2206 (=> ?v_2207 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2208 (=> ?v_2209 (=> ?v_2210 (=> ?v_2211 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2212 (=> ?v_2531 (=> ?v_2213 (=> ?v_2214 (=> ?v_2215 (=> ?v_2532 (=> ?v_2533 (=> ?v_2216 (=> ?v_2217 (=> ?v_2218 (=> ?v_2219 (=> ?v_2220 (=> ?v_2221 (=> ?v_2222 (=> ?v_2534 (=> ?v_2223 (=> ?v_2224 (=> ?v_2225 (=> ?v_2226 (=> ?v_2535 (=> ?v_2227 (=> ?v_2536 (=> ?v_2228 (=> ?v_2229 (=> ?v_2537 (=> ?v_2538 (=> ?v_2230 (=> ?v_2231 (=> ?v_2539 (=> ?v_2232 (=> ?v_2233 (=> ?v_2540 (=> ?v_2541 (=> (= errorReached.134 errorReached.34) (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> (= reqCancelSet_1.18 reqCancelSet_1.3) (=> ?v_2237 (=> ?v_2238 (=> ?v_2546 (=> ?v_2547 (=> ?v_2239 (=> ?v_2240 (=> ?v_2548 (=> ?v_2549 (=> ?v_2241 (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> ?v_2550 (=> ?v_2551 (=> ?v_2247 (=> ?v_2248 (=> ?v_2249 (=> ?v_2552 (=> ?v_2553 (=> ?v_2250 (=> ?v_2251 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2252 (=> ?v_2253 (=> ?v_2558 (=> ?v_2254 (=> ?v_2559 (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2259 (=> ?v_2260 (=> ?v_2566 (=> ?v_2261 (=> ?v_2567 (=> ?v_2262 (=> ?v_2263 (=> ?v_2568 (=> ?v_2569 (=> ?v_2264 (=> ?v_2570 (=> ?v_2265 (=> ?v_2571 (=> ?v_2266 (=> ?v_2572 (=> ?v_2267 (=> ?v_2573 (=> ?v_2268 (=> ?v_2269 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2270 (=> ?v_2271 (=> ?v_2577 (=> ?v_2272 (=> ?v_2578 (=> ?v_2579 (=> ?v_2273 (=> ?v_2580 (=> ?v_2581 (=> ?v_2274 (=> ?v_2582 (=> ?v_2583 (=> ?v_2275 (=> ?v_2276 (=> ?v_2584 (=> ?v_2277 (=> ?v_2278 (=> ?v_2585 (=> ?v_2279 (=> ?v_2280 (=> ?v_2281 (=> ?v_2586 (=> ?v_2282 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2283 (=> ?v_2284 (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> ?v_2591 (=> ?v_2592 (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> ?v_2593 (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> ?v_2594 (=> ?v_2298 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2299 (=> ?v_2598 (=> ?v_2599 (=> ?v_2300 (=> ?v_2600 (=> ?v_2301 (=> ?v_2302 (=> ?v_2601 (=> ?v_2602 (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> ?v_2603 (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2604 (=> ?v_2310 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2311 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> ?v_2613 (=> ?v_2315 (=> ?v_2614 (=> ?v_2316 (=> ?v_2317 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> ?v_2620 (=> ?v_2321 (=> ?v_2322 (=> ?v_2621 (=> ?v_2323 (=> ?v_2622 (=> ?v_2324 (=> ?v_2623 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> ?v_2624 (=> ?v_2331 ?v_2625))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2344 (=> true (=> true (=> true (=> true (=> true ?v_2343)))))) (?v_1279 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_2342 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_2350 (and (=> true (=> (not ?v_2342) (=> (not ?v_1279) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_2343))))) (=> true (=> ?v_2342 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_265) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_2344)))))) (=> true (=> ?v_1279 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_267) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_2344))))))))) (let ((?v_2357 (=> true ?v_2350)) (?v_2356 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call19360formal.ret.0)) (?v_2345 (= reqCancelSet_0.3 reqCancelSet_0.2)) (?v_2346 (= reqCancelSet_1.3 reqCancelSet_1.2)) (?v_2347 (= errorReached.34 errorReached.33)) (?v_2348 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 call19400formal.ret.0)) (?v_2349 (= k.42 k.41)) (?v_1275 (= k.41 0)) (?v_1276 (= reqCancelStarted_0 0)) (?v_1277 (= k.41 1)) (?v_1278 (= reqCancelStarted_1 0))) (let ((?v_2351 (and (=> true (=> (=> ?v_1275 (not ?v_1276)) (=> (=> ?v_1277 (not ?v_1278)) (=> true (=> ?v_1279 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> ?v_2349 ?v_2350)))))))))) (=> true (=> (=> ?v_1275 ?v_1276) (=> (=> ?v_1277 ?v_1278) (=> true (=> ?v_2356 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> ?v_2349 ?v_2357))))))))))))) (let ((?v_2354 (=> true (=> true ?v_2351))) (?v_2352 (= reqCancelSet_0.2 reqCancelSet_0)) (?v_2353 (= reqCancelSet_1.2 reqCancelSet_1))) (let ((?v_2355 (and (=> true (=> ?v_1275 (=> true (=> (= reqCancelSet_0.2 0) (=> ?v_2353 ?v_2351))))) (=> true (=> (not ?v_1275) (and (=> true (=> ?v_1277 (=> true (=> ?v_2352 (=> (= reqCancelSet_1.2 0) ?v_2354))))) (=> true (=> (not ?v_1277) (=> true (=> ?v_2352 (=> ?v_2353 ?v_2354))))))))))) (let ((?v_2361 (and (=> true (=> ?v_1274 (=> true (=> (<= k.40 k.41) (=> (< k.41 2) (and (=> true (=> (=> ?v_1275 ?v_4) (=> (=> ?v_1277 ?v_5) (=> true (=> (= errorReached.33 1) ?v_2355))))) (=> true (=> (=> ?v_1275 ?v_2) (=> (=> ?v_1277 ?v_3) (=> true (=> (= errorReached.33 errorReached.32) (=> true ?v_2355)))))))))))) (=> true (=> ?v_2042 (=> true (=> ?v_2356 (=> (= reqCancelSet_0.3 reqCancelSet_0) (=> (= reqCancelSet_1.3 reqCancelSet_1) (=> (= errorReached.34 errorReached.32) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.) (=> (= k.42 k.40) ?v_2357)))))))))))) (let ((?v_2366 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2361)))))))))))))))) (?v_2363 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_2364 (= k.40 k.37)) (?v_2365 (= errorReached.32 errorReached.29)) (?v_2360 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 call19246formal.ret.0) (=> (= k.40 k.39) (=> (= errorReached.32 errorReached.31) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2361)))))) (?v_2358 (= k.39 0)) (?v_2359 (= k.39 1))) (let ((?v_2626 (and (=> true (=> (not (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.6 0)) (and (=> true (=> ?v_1274 (=> true (=> (<= k.37 k.39) (=> (< k.39 2) (and (=> true (=> (=> ?v_2358 ?v_4) (=> (=> ?v_2359 ?v_5) (=> true (=> (= errorReached.31 1) ?v_2360))))) (=> true (=> (=> ?v_2358 ?v_2) (=> (=> ?v_2359 ?v_3) (=> true (=> (= errorReached.31 errorReached.29) (=> true ?v_2360)))))))))))) (=> true (=> ?v_2042 (and (=> true (=> ?v_2044 (=> true (=> ?v_2363 (=> ?v_2364 (=> ?v_2365 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2366))))))) (=> true (=> ?v_2362 (and (=> true (=> ?v_2047 (=> true (=> ?v_2363 (=> ?v_2364 (=> ?v_2365 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2366))))))) (=> true (=> ?v_2367 (and (=> true (=> ?v_2048 (=> true (=> ?v_2363 (=> ?v_2364 (=> ?v_2365 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2366))))))) (=> true (=> ?v_2368 (=> true (=> ?v_2363 (=> ?v_2364 (=> ?v_2365 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2366))))))))))))))))))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.7 0) (=> true (=> ?v_2083 (=> ?v_2369 (=> ?v_2084 (=> ?v_2370 (=> ?v_2085 (=> ?v_2371 (=> ?v_2086 (=> ?v_2372 (=> ?v_2087 (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2088 (=> ?v_2377 (=> ?v_2089 (=> ?v_2378 (=> ?v_2090 (=> ?v_2091 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> ?v_2092 (=> ?v_2383 (=> ?v_2093 (=> ?v_2094 (=> ?v_2384 (=> ?v_2095 (=> ?v_1356 (=> ?v_2385 (=> ?v_2096 (=> ?v_2097 (=> ?v_2637 (=> ?v_2386 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> ?v_2391 (=> ?v_2103 (=> ?v_2104 (=> ?v_2392 (=> ?v_2393 (=> ?v_2105 (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> ?v_2106 (=> ?v_2397 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2112 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2113 (=> ?v_2411 (=> ?v_2114 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> ?v_2115 (=> ?v_2116 (=> ?v_2416 (=> ?v_2117 (=> ?v_2417 (=> ?v_2118 (=> ?v_2418 (=> ?v_2419 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> ?v_2119 (=> ?v_2423 (=> ?v_2424 (=> ?v_2120 (=> ?v_2425 (=> ?v_2121 (=> ?v_2122 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_2432 (=> ?v_2433 (=> ?v_2126 (=> ?v_2127 (=> ?v_2434 (=> ?v_2435 (=> ?v_2128 (=> ?v_2436 (=> ?v_2437 (=> ?v_2129 (=> ?v_2438 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> ?v_2439 (=> ?v_2134 (=> ?v_2638 (=> ?v_2440 (=> ?v_2441 (=> ?v_2136 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2137 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2456 (=> ?v_2143 (=> ?v_2144 (=> ?v_2639 (=> ?v_2457 (=> ?v_2458 (=> ?v_2146 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.12 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.7) (=> ?v_2147 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> (= reqCancelSet_0.18 reqCancelSet_0) (=> ?v_2148 (=> ?v_2149 (=> ?v_2150 (=> ?v_2468 (=> ?v_2469 (=> ?v_2151 (=> ?v_2152 (=> ?v_2470 (=> (= k.182 k.37) (=> ?v_2153 (=> ?v_2154 (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2155 (=> ?v_2156 (=> ?v_2476 (=> ?v_2157 (=> ?v_2158 (=> ?v_2159 (=> ?v_2477 (=> ?v_2160 (=> ?v_2478 (=> ?v_2161 (=> ?v_2162 (=> ?v_2163 (=> ?v_2164 (=> ?v_2479 (=> ?v_2165 (=> ?v_2480 (=> ?v_2166 (=> ?v_2481 (=> ?v_2167 (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2168 (=> ?v_2485 (=> ?v_2169 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> ?v_2170 (=> ?v_2489 (=> ?v_2171 (=> ?v_2490 (=> ?v_2172 (=> ?v_2173 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2174 (=> ?v_2496 (=> ?v_2175 (=> ?v_2176 (=> ?v_2497 (=> ?v_2498 (=> ?v_2177 (=> ?v_2178 (=> ?v_2179 (=> ?v_2499 (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> ?v_2183 (=> ?v_2500 (=> ?v_2184 (=> ?v_2185 (=> ?v_2186 (=> ?v_2501 (=> ?v_2502 (=> ?v_2187 (=> ?v_2188 (=> ?v_2189 (=> ?v_2503 (=> ?v_2190 (=> ?v_2191 (=> ?v_2504 (=> ?v_2192 (=> ?v_2193 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2194 (=> ?v_2195 (=> ?v_2509 (=> ?v_2510 (=> ?v_2196 (=> ?v_2640 (=> ?v_2511 (=> ?v_2198 (=> ?v_2512 (=> ?v_2513 (=> ?v_2199 (=> ?v_2514 (=> ?v_2515 (=> ?v_2516 (=> ?v_2200 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2201 (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2205 (=> ?v_2206 (=> ?v_2207 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2208 (=> ?v_2209 (=> ?v_2210 (=> ?v_2211 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2212 (=> ?v_2531 (=> ?v_2213 (=> ?v_2214 (=> ?v_2215 (=> ?v_2532 (=> ?v_2533 (=> ?v_2216 (=> ?v_2217 (=> ?v_2218 (=> ?v_2219 (=> ?v_2641 (=> ?v_2221 (=> ?v_2222 (=> ?v_2534 (=> ?v_2223 (=> ?v_2224 (=> ?v_2225 (=> ?v_2226 (=> ?v_2535 (=> ?v_2227 (=> ?v_2536 (=> ?v_2228 (=> ?v_2229 (=> ?v_2537 (=> ?v_2538 (=> ?v_2230 (=> ?v_2231 (=> ?v_2539 (=> ?v_2232 (=> ?v_2233 (=> ?v_2540 (=> ?v_2541 (=> (= errorReached.134 errorReached.29) (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> (= reqCancelSet_1.18 reqCancelSet_1) (=> ?v_2237 (=> ?v_2238 (=> ?v_2546 (=> ?v_2547 (=> ?v_2239 (=> ?v_2240 (=> ?v_2548 (=> ?v_2549 (=> ?v_2241 (=> ?v_2242 (=> ?v_2642 (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> ?v_2550 (=> ?v_2551 (=> ?v_2247 (=> ?v_2248 (=> ?v_2643 (=> ?v_2552 (=> ?v_2553 (=> ?v_2250 (=> ?v_2251 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2252 (=> ?v_2253 (=> ?v_2558 (=> ?v_2254 (=> ?v_2559 (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2259 (=> ?v_2644 (=> ?v_2566 (=> ?v_2261 (=> ?v_2567 (=> ?v_2262 (=> ?v_2263 (=> ?v_2568 (=> ?v_2569 (=> ?v_2264 (=> ?v_2570 (=> ?v_2265 (=> ?v_2571 (=> ?v_2645 (=> ?v_2572 (=> ?v_2267 (=> ?v_2573 (=> ?v_2268 (=> ?v_2646 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2270 (=> ?v_2271 (=> ?v_2577 (=> ?v_2272 (=> ?v_2578 (=> ?v_2579 (=> ?v_2273 (=> ?v_2580 (=> ?v_2581 (=> ?v_2274 (=> ?v_2582 (=> ?v_2583 (=> ?v_2275 (=> ?v_2276 (=> ?v_2584 (=> ?v_2277 (=> ?v_2278 (=> ?v_2585 (=> ?v_2647 (=> ?v_2280 (=> ?v_2281 (=> ?v_2586 (=> ?v_2282 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2283 (=> ?v_2284 (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> ?v_2591 (=> ?v_2592 (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> ?v_2593 (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> ?v_2594 (=> ?v_2298 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2299 (=> ?v_2598 (=> ?v_2599 (=> ?v_2300 (=> ?v_2600 (=> ?v_2301 (=> ?v_2302 (=> ?v_2601 (=> ?v_2602 (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> ?v_2603 (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2604 (=> ?v_2310 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2311 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2312 (=> ?v_2648 (=> ?v_2649 (=> ?v_2613 (=> ?v_2315 (=> ?v_2614 (=> ?v_2316 (=> ?v_2317 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> ?v_2620 (=> ?v_2321 (=> ?v_2322 (=> ?v_2621 (=> ?v_2323 (=> ?v_2622 (=> ?v_2324 (=> ?v_2623 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2650 (=> ?v_2329 (=> ?v_2330 (=> ?v_2624 (=> ?v_2651 ?v_2625))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3078 (and (=> true (=> (not ?v_2627) (and (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3 1) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3) ?v_2626)))) (=> true (=> (not (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 1)) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2) (=> true ?v_2626)))))))) (=> true (=> ?v_2627 (and (=> true (=> ?v_3068 (=> true (=> (<= k.37 k.38) (=> (< k.38 2) (and (=> true (=> (=> ?v_3065 ?v_4) (=> (=> ?v_3066 ?v_5) (=> true (=> (= errorReached.30 1) ?v_3067))))) (=> true (=> (=> ?v_3065 ?v_2) (=> (=> ?v_3066 ?v_3) (=> true (=> (= errorReached.30 errorReached.29) (=> true ?v_3067)))))))))))) (=> true (=> (not ?v_3068) (and (=> true (=> ?v_3070 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3071)))) (=> true (=> (not ?v_3070) (and (=> true (=> ?v_3072 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3071)))) (=> true (=> (not ?v_3072) (and (=> true (=> ?v_3073 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3071)))) (=> true (=> (not ?v_3073) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3071)))))))))))))))))) (?v_3080 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.))) (let ((?v_3081 (=> (= k.37 k.35) (=> (= errorReached.29 errorReached.27) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3078))))))))))))) (?v_3083 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 hdevice)) (?v_3082 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 hqueue)) (?v_3079 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 htimer)) (?v_3077 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 hrequest)) (?v_3076 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 call19027formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.37 k.36) (=> (= errorReached.29 errorReached.28) ?v_3078)))))) (?v_3074 (= k.36 0)) (?v_3075 (= k.36 1))) (let ((?v_3087 (and (=> true (=> ?v_3077 (=> true (=> (<= k.35 k.36) (=> (< k.36 2) (and (=> true (=> (=> ?v_3074 ?v_4) (=> (=> ?v_3075 ?v_5) (=> true (=> (= errorReached.28 1) ?v_3076))))) (=> true (=> (=> ?v_3074 ?v_2) (=> (=> ?v_3075 ?v_3) (=> true (=> (= errorReached.28 errorReached.27) (=> true ?v_3076)))))))))))) (=> true (=> (not ?v_3077) (and (=> true (=> ?v_3079 (=> true (=> ?v_3080 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3081))))) (=> true (=> (not ?v_3079) (and (=> true (=> ?v_3082 (=> true (=> ?v_3080 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3081))))) (=> true (=> (not ?v_3082) (and (=> true (=> ?v_3083 (=> true (=> ?v_3080 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3081))))) (=> true (=> (not ?v_3083) (=> true (=> ?v_3080 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3081)))))))))))))))) (?v_3088 (= k.35 k.33))) (let ((?v_3089 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.) (=> (= errorReached.27 errorReached.25) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3087)))))))))))))))))) (?v_3086 (=> true (=> (= k.35 k.34) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 call18871formal.ret.0) (=> (= errorReached.27 errorReached.26) ?v_3087)))))) (?v_3084 (= k.34 0)) (?v_3085 (= k.34 1))) (let ((?v_3094 (and (=> true (=> ?v_12 (=> true (=> (<= k.33 k.34) (=> (< k.34 2) (and (=> true (=> (=> ?v_3084 ?v_4) (=> (=> ?v_3085 ?v_5) (=> true (=> (= errorReached.26 1) ?v_3086))))) (=> true (=> (=> ?v_3084 ?v_2) (=> (=> ?v_3085 ?v_3) (=> true (=> (= errorReached.26 errorReached.25) (=> true ?v_3086)))))))))))) (=> true (=> ?v_1852 (and (=> true (=> ?v_520 (=> true (=> ?v_3088 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3089))))) (=> true (=> ?v_1854 (and (=> true (=> ?v_521 (=> true (=> ?v_3088 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3089))))) (=> true (=> ?v_523 (and (=> true (=> ?v_524 (=> true (=> ?v_3088 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3089))))) (=> true (=> ?v_1859 (=> true (=> ?v_3088 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3089))))))))))))))))) (let ((?v_3095 (=> (= errorReached.25 errorReached.24) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3094))))))))))))) (?v_3092 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 call18766formal.ret.0)) (?v_3093 (= k.33 k.32)) (?v_3090 (= k.32 0)) (?v_3091 (= k.32 1)) (?v_1273 (not (= call17789formal.ret.0 inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0)))) (let ((?v_3706 (and (=> true (=> ?v_1273 (=> true (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.3 ?v_24) (=> true (=> ?v_3097 (=> ?v_3098 (=> ?v_1292 (=> ?v_1293 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_1294 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_1295 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_1296 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_1297 (=> ?v_1298 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.3) (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_1299 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> (= alloc.14 alloc.8) (=> ?v_1300 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_1301 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_1302 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_1303 (=> ?v_1304 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_1305 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_1306 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_1307 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_1308 (=> ?v_1309 (=> ?v_3212 (=> ?v_3213 (=> ?v_1310 (=> ?v_1311 (=> ?v_3214 (=> ?v_3215 (=> ?v_1312 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_1313 (=> ?v_1314 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_1315 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_1316 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_1317 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_1318 (=> ?v_3265 (=> ?v_3266 (=> ?v_1319 (=> ?v_3267 (=> (= k.183 k.31) (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_1320 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_1321 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_1322 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_1323 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_1324 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_1325 (=> ?v_1326 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_1327 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_1328 (=> ?v_1329 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_1330 (=> ?v_1331 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_1332 (=> ?v_1333 (=> ?v_3368 (=> ?v_3369 (=> ?v_1334 (=> ?v_1632 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_1335 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_1336 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_1337 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> (= errorReached.135 errorReached.24) (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_1338 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_1339 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_1340 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_1341 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_1342 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_1343 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_1344 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_1345 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_1346 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_1347 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_1348 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> ?v_1349 (=> ?v_3575 (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> ?v_3587 (=> ?v_3588 (=> ?v_3589 (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_1350 (=> ?v_1351 (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_1352 (=> ?v_1353 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_1354 (=> ?v_3645 (=> ?v_3646 ?v_1355))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_1273) (and (=> true (=> ?v_13 (=> true (=> (<= k.31 k.32) (=> (< k.32 2) (and (=> true (=> (=> ?v_3090 ?v_4) (=> (=> ?v_3091 ?v_5) (=> true (=> ?v_3092 (=> ?v_3093 (=> (= errorReached.25 1) ?v_3094))))))) (=> true (=> (=> ?v_3090 ?v_2) (=> (=> ?v_3091 ?v_3) (=> true (=> ?v_3092 (=> ?v_3093 ?v_3095)))))))))))) (=> true (=> ?v_384 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.) (=> (= k.33 k.31) ?v_3095))))))))))) (let ((?v_3717 (and (=> true (=> ?v_3707 (=> true (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call15876formal.new.0) (=> (= k.31 k.30) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 call29894formal.ret.0) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.29 inline.EvtIoChildRead.0.myNondetVar_0.28) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call30226formal.ret.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 hrequest) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 call30226formal.ret.0) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 call15876formal.new.0) (=> (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0 call30226formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call30031formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 call17533formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 call30096formal.ret.0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= errorReached.24 errorReached.23) (=> (= alloc.8 alloc.7) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 call30031formal.new.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call30226formal.ret.0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 hrequest) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 hrequest) (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 call17533formal.ret.0) (=> (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0 call30226formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> (= inline.EvtIoChildRead.0.myNondetVar_1.3 inline.EvtIoChildRead.0.myNondetVar_1.2) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 call29946formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 call29946formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 call29894formal.ret.0) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 call30298formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call30096formal.ret.0) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 call30298formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3706)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_3707) (=> true (=> ?v_3097 (=> ?v_3098 (=> ?v_3722 (=> ?v_3654 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3723 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3724 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3708 (=> ?v_3725 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3726 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3727 (=> ?v_3728 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3729 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3709 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3730 (=> ?v_3731 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3732 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3733 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3734 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3735 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3212 (=> ?v_3213 (=> ?v_3736 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.31 inline.EvtIoChildRead.0.myNondetVar_0.28) (=> ?v_3214 (=> ?v_3215 (=> ?v_3737 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_1313 (=> ?v_3738 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3739 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 call30298formal.ret.0) (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3740 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3741 (=> ?v_3265 (=> ?v_3266 (=> ?v_3742 (=> ?v_3267 (=> ?v_3743 (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3710 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3744 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3745 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3746 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3747 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3748 (=> ?v_3749 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3685 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3750 (=> ?v_3711 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3712 (=> ?v_3751 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3752 (=> ?v_3753 (=> ?v_3368 (=> ?v_3369 (=> ?v_3754 (=> ?v_1632 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3755 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3756 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3757 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3758 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3713 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3759 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3760 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3761 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3762 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3700 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3763 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3764 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.2) (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3766 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> ?v_3767 (=> ?v_3575 (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> ?v_3587 (=> ?v_3588 (=> ?v_3589 (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_3714 (=> ?v_3768 (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 call30298formal.ret.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) ?v_3771))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3716 (= call30298formal.ret.0 0))) (let ((?v_3719 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_3717))) (?v_3718 (= call30298formal.ret.0 1))) (let ((?v_3775 (and (=> true (=> ?v_3772 (and (=> true (=> (not ?v_3720) (and (=> true (=> (not ?v_3716) (=> (not ?v_3718) ?v_3719))) (=> true (=> ?v_3716 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 ?v_265) (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3717))))))))))))))))))))) (=> true (=> ?v_3718 (=> true ?v_3719)))))) (=> true (=> ?v_3720 (=> true (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.1 ?v_3721) (=> true (=> ?v_3097 (=> ?v_3098 (=> ?v_3722 (=> ?v_3654 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3723 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3724 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3657 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3708 (=> ?v_3725 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.1) (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3726 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3727 (=> ?v_3728 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3729 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3709 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3730 (=> ?v_3731 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3732 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3733 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3734 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3735 (=> ?v_3669 (=> ?v_3212 (=> ?v_3213 (=> ?v_3736 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.31 inline.EvtIoChildRead.0.myNondetVar_0.25) (=> ?v_3214 (=> ?v_3215 (=> ?v_3737 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_1313 (=> ?v_3738 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3739 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3674 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3740 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3741 (=> ?v_3265 (=> ?v_3266 (=> ?v_3742 (=> ?v_3267 (=> ?v_3743 (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3710 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3744 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3745 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3746 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3747 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3748 (=> ?v_3749 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3685 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3750 (=> ?v_3711 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3712 (=> ?v_3751 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3752 (=> ?v_3753 (=> ?v_3368 (=> ?v_3369 (=> ?v_3754 (=> ?v_1632 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3755 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3756 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3757 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3758 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3713 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3759 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3760 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3697 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3761 ?v_3773))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_3772) (=> true (=> ?v_3097 (=> ?v_3098 (=> ?v_3722 (=> ?v_3654 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3655 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3724 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3657 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3708 (=> ?v_3725 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3726 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3727 (=> ?v_3728 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3729 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3709 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3730 (=> ?v_3731 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3732 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3733 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3734 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3735 (=> ?v_3669 (=> ?v_3212 (=> ?v_3213 (=> ?v_3784 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.31 inline.EvtIoChildRead.0.myNondetVar_0.24) (=> ?v_3214 (=> ?v_3215 (=> ?v_3737 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_1313 (=> ?v_3738 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3739 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3674 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3740 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3741 (=> ?v_3265 (=> ?v_3266 (=> ?v_3742 (=> ?v_3267 (=> ?v_3743 (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3710 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3744 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3745 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3681 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3747 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3748 (=> ?v_3749 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3685 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3750 (=> ?v_3711 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3712 (=> ?v_3751 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3752 (=> ?v_3753 (=> ?v_3368 (=> ?v_3369 (=> ?v_3754 (=> ?v_1632 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3755 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3692 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3757 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3758 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3713 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3759 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3760 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3697 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3698 ?v_3773)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3774 (= call30096formal.ret.0 0))) (let ((?v_3780 (and (=> true (=> (not ?v_3774) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_265) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1) ?v_3775))))))) (=> true (=> ?v_3774 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_3775))))))))))))) (let ((?v_3781 (=> (= errorReached.23 errorReached.20) (=> true (=> true (=> true ?v_3780))))) (?v_3778 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 call30099formal.ret.0)) (?v_3779 (= k.30 k.29)) (?v_3776 (= k.29 0)) (?v_3777 (= k.29 1))) (let ((?v_3782 (and (=> true (=> ?v_13 (=> true (=> (<= k.26 k.29) (=> (< k.29 2) (and (=> true (=> (=> ?v_3776 ?v_4) (=> (=> ?v_3777 ?v_5) (=> true (=> ?v_3778 (=> ?v_3779 (=> (= errorReached.23 1) ?v_3780))))))) (=> true (=> (=> ?v_3776 ?v_2) (=> (=> ?v_3777 ?v_3) (=> true (=> ?v_3778 (=> ?v_3779 ?v_3781)))))))))))) (=> true (=> ?v_384 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> (= k.30 k.26) ?v_3781))))))) (?v_17 (>= 0 0)) (?v_3705 (int_2_U call30031formal.new.0))) (let ((?v_3787 (and (=> true (=> ?v_3783 (=> true (and ?v_17 (=> ?v_17 (=> (> call30031formal.new.0 0) (=> (forall ((?x365 Int)) (! (=> (and (<= call30031formal.new.0 ?x365) (< ?x365 (+ call30031formal.new.0 0))) (= (Base ?x365) call30031formal.new.0)) :pattern ((Base ?x365)) )) (=> (forall ((?x366 boogieU)) (! (=> (= (type ?x366) intType) (or (= (U_2_int ?x366) call30031formal.new.0) (= (MapType0Select alloc.6 ?x366) (MapType0Select alloc.7 ?x366)))) :pattern ((MapType0Select alloc.7 ?x366)) )) (=> (and (= (MapType0Select alloc.6 ?v_3705) UNALLOCATED) (= (MapType0Select alloc.7 ?v_3705) ALLOCATED)) (and (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.23 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.24 inline.EvtIoChildRead.0.myNondetVar_0.23) ?v_3782)))) (=> true (=> (not (not (= inline.EvtIoChildRead.0.myNondetVar_0.22 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0))) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.24 inline.EvtIoChildRead.0.myNondetVar_0.22) (=> true (=> true (=> true (=> true (=> true ?v_3782))))))))))))))))))) (=> true (=> (not ?v_3783) (=> true (=> ?v_3097 (=> ?v_3098 (=> ?v_3653 (=> ?v_3654 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3655 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3724 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3657 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3708 (=> ?v_3725 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1) (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3659 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> (= alloc.14 alloc.6) (=> ?v_3661 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3662 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3709 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3730 (=> ?v_3731 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3665 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3733 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3667 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3735 (=> ?v_3669 (=> ?v_3212 (=> ?v_3213 (=> ?v_3784 (=> ?v_3796 (=> ?v_3214 (=> ?v_3215 (=> ?v_3737 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_1313 (=> ?v_3738 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3673 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3674 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3740 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3741 (=> ?v_3265 (=> ?v_3266 (=> ?v_3677 (=> ?v_3267 (=> (= k.183 k.26) (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3710 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3744 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3680 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3681 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3747 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3748 (=> ?v_3749 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3685 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3750 (=> ?v_3711 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3712 (=> ?v_3687 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3752 (=> ?v_3753 (=> ?v_3368 (=> ?v_3369 (=> ?v_3754 (=> ?v_1632 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3691 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3692 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3757 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> (= errorReached.135 errorReached.20) (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3713 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3695 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3696 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3697 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3698 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3762 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3700 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3701 ?v_3785)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3786 (= call29894formal.ret.0 0)) (?v_3704 (int_2_U call29946formal.new.0))) (let ((?v_3792 (=> true (and ?v_17 (=> ?v_17 (=> (> call29946formal.new.0 0) (=> (forall ((?x367 Int)) (! (=> (and (<= call29946formal.new.0 ?x367) (< ?x367 (+ call29946formal.new.0 0))) (= (Base ?x367) call29946formal.new.0)) :pattern ((Base ?x367)) )) (=> (forall ((?x368 boogieU)) (! (=> (= (type ?x368) intType) (or (= (U_2_int ?x368) call29946formal.new.0) (= (MapType0Select alloc.4 ?x368) (MapType0Select alloc.6 ?x368)))) :pattern ((MapType0Select alloc.6 ?x368)) )) (=> (and (= (MapType0Select alloc.4 ?v_3704) UNALLOCATED) (= (MapType0Select alloc.6 ?v_3704) ALLOCATED)) (and (=> true (=> (not ?v_3786) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0 ?v_24) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0) ?v_3787))))))) (=> true (=> ?v_3786 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_3787)))))))))))))))))))) (let ((?v_3794 (=> true (=> true ?v_3792))) (?v_3793 (= errorReached.20 errorReached.19)) (?v_3790 (= k.26 k.25)) (?v_3791 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 call29897formal.ret.0)) (?v_3788 (= k.25 0)) (?v_3789 (= k.25 1))) (let ((?v_3799 (and (=> true (=> ?v_3795 (and (=> true (=> ?v_13 (=> true (=> (<= k.24 k.25) (=> (< k.25 2) (and (=> true (=> (=> ?v_3788 ?v_4) (=> (=> ?v_3789 ?v_5) (=> true (=> ?v_3790 (=> (= errorReached.20 1) (=> ?v_3791 ?v_3792))))))) (=> true (=> (=> ?v_3788 ?v_2) (=> (=> ?v_3789 ?v_3) (=> true (=> ?v_3790 (=> ?v_3793 (=> ?v_3791 ?v_3794))))))))))))) (=> true (=> ?v_384 (=> true (=> (= k.26 k.24) (=> ?v_3793 (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.) ?v_3794))))))))) (=> true (=> (not ?v_3795) (=> true (=> ?v_3097 (=> ?v_3098 (=> ?v_3653 (=> ?v_3654 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3655 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3724 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3657 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3708 (=> ?v_3725 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3659 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3809 (=> ?v_3661 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3662 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3709 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3730 (=> ?v_3664 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3665 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3666 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3667 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3735 (=> ?v_3669 (=> ?v_3212 (=> ?v_3213 (=> ?v_3784 (=> ?v_3796 (=> ?v_3214 (=> ?v_3215 (=> ?v_3671 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_1313 (=> ?v_3738 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3673 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3674 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3675 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3741 (=> ?v_3265 (=> ?v_3266 (=> ?v_3677 (=> ?v_3267 (=> (= k.183 k.24) (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3710 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3679 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3680 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3681 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3747 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3748 (=> ?v_3749 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3685 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3686 (=> ?v_3711 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3712 (=> ?v_3687 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3752 (=> ?v_3689 (=> ?v_3368 (=> ?v_3369 (=> ?v_3690 (=> ?v_1632 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3691 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3692 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3693 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> (= errorReached.135 errorReached.19) (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3713 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3695 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3696 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3697 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3698 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3762 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3700 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3701 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3764 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3765 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3766 ?v_3811)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3798 (= call17533formal.ret.0 0))) (let ((?v_3804 (and (=> true (=> (not ?v_3798) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 ?v_265) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0) ?v_3799))))))) (=> true (=> ?v_3798 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_3799))))))))))))) (let ((?v_3806 (=> true (=> true (=> true ?v_3804)))) (?v_3805 (= errorReached.19 errorReached.18)) (?v_3802 (= k.24 k.23)) (?v_3803 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 call17536formal.ret.0)) (?v_3800 (= k.23 0)) (?v_3801 (= k.23 1)) (?v_3649 (and (=> true (=> ?v_3096 (=> true (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= k.31 k.22) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1159.42.8..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 call17639formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.29 inline.EvtIoChildRead.0.myNondetVar_0.19) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13..0 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1222.47.13.) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11..0 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputBuffer.1206.51.11.) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 call17700formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1) (=> (= inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14..0 inline.EvtIoChildRead.0..result.sdv_MmGetSystemAddressForMdlSafe.1235.52.14.) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= errorReached.24 errorReached.18) (=> (= alloc.8 alloc.5) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryGetBuffer.1213.44.12.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1) (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10..0 inline.EvtIoChildRead.0..result.sdv_WdfRequestRetrieveOutputMemory.1190.47.10.) (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15..0 inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1251.40.15.) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call15873formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.) (=> (= inline.EvtIoChildRead.0..SystemAddress.7.1098.10.EvtIoChildRead.0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0) (=> (= inline.EvtIoChildRead.0.myNondetVar_1.3 inline.EvtIoChildRead.0.myNondetVar_1.1) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 call17700formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3.) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call17639formal.new.0) (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.) ?v_3706))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_3096) (=> true (=> ?v_3097 (=> ?v_3098 (=> ?v_3653 (=> ?v_3654 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3655 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3656 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3657 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 call17700formal.ret.0) (=> ?v_3658 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3659 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3660 (=> ?v_3661 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3662 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3663 (=> ?v_3664 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3665 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3666 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3667 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3668 (=> ?v_3669 (=> ?v_3212 (=> ?v_3213 (=> ?v_3670 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.31 inline.EvtIoChildRead.0.myNondetVar_0.19) (=> ?v_3214 (=> ?v_3215 (=> ?v_3671 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_1313 (=> ?v_3672 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3673 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3674 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3675 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3676 (=> ?v_3265 (=> ?v_3266 (=> ?v_3677 (=> ?v_3267 (=> ?v_3678 (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> (= inline.EvtIoChildRead.0..result.sdv_WdfMemoryCopyFromBuffer.1174.40.9..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3679 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3680 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3681 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3682 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3683 (=> ?v_3684 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3685 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3686 (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 call17700formal.ret.0) (=> ?v_3687 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3688 (=> ?v_3689 (=> ?v_3368 (=> ?v_3369 (=> ?v_3690 (=> ?v_1632 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3691 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3692 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3693 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3694 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3695 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3696 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3697 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3698 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3699 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3700 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3701 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3702 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> (= inline.EvtIoChildRead.0.myNondetVar_1.4 inline.EvtIoChildRead.0.myNondetVar_1.1) ?v_3703)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3648 (= call17700formal.ret.0 0))) (let ((?v_3651 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_3649))) (?v_3650 (= call17700formal.ret.0 1)) (?v_18 (int_2_U call17639formal.new.0))) (let ((?v_3807 (and (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.17 1) (=> true (and ?v_17 (=> ?v_17 (=> (> call17639formal.new.0 0) (=> (forall ((?x369 Int)) (! (=> (and (<= call17639formal.new.0 ?x369) (< ?x369 (+ call17639formal.new.0 0))) (= (Base ?x369) call17639formal.new.0)) :pattern ((Base ?x369)) )) (=> (forall ((?x370 boogieU)) (! (=> (= (type ?x370) intType) (or (= (U_2_int ?x370) call17639formal.new.0) (= (MapType0Select alloc.4 ?x370) (MapType0Select alloc.5 ?x370)))) :pattern ((MapType0Select alloc.5 ?x370)) )) (=> (and (= (MapType0Select alloc.4 ?v_18) UNALLOCATED) (= (MapType0Select alloc.5 ?v_18) ALLOCATED)) (and (=> true (=> (not ?v_3652) (and (=> true (=> (not ?v_3648) (=> (not ?v_3650) ?v_3651))) (=> true (=> ?v_3648 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 ?v_265) (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3649))))))))))))))) (=> true (=> ?v_3650 (=> true ?v_3651)))))) (=> true (=> ?v_3652 (=> true (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.0 ?v_3721) (=> true (=> ?v_3097 (=> ?v_3098 (=> ?v_3653 (=> ?v_3654 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3655 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3656 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3657 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3708 (=> ?v_3658 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.4 inline.EvtIoChildRead.0..status.8.1099.13.EvtIoChildRead.0) (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3659 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3660 (=> ?v_3661 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3662 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3709 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3663 (=> ?v_3664 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3665 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3666 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3667 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3668 (=> ?v_3669 (=> ?v_3212 (=> ?v_3213 (=> ?v_3670 (=> (= inline.EvtIoChildRead.0.myNondetVar_0.31 inline.EvtIoChildRead.0.myNondetVar_0.18) (=> ?v_3214 (=> ?v_3215 (=> ?v_3671 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_1313 (=> ?v_3672 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3673 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3674 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3675 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3676 (=> ?v_3265 (=> ?v_3266 (=> ?v_3677 (=> ?v_3267 (=> ?v_3678 (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3710 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3679 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3680 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3681 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3682 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3683 (=> ?v_3684 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3685 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3686 (=> ?v_3711 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3712 (=> ?v_3687 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3688 (=> ?v_3689 (=> ?v_3368 (=> ?v_3369 (=> ?v_3690 (=> ?v_1632 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3691 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3692 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3693 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3694 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3713 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3695 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3696 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3697 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3698 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3699 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3700 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3701 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3702 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3765 ?v_3703)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.20 1)) (and (=> true (=> ?v_13 (=> true (=> (<= k.22 k.23) (=> (< k.23 2) (and (=> true (=> (=> ?v_3800 ?v_4) (=> (=> ?v_3801 ?v_5) (=> true (=> ?v_3802 (=> (= errorReached.19 1) (=> ?v_3803 ?v_3804))))))) (=> true (=> (=> ?v_3800 ?v_2) (=> (=> ?v_3801 ?v_3) (=> true (=> ?v_3802 (=> ?v_3805 (=> ?v_3803 ?v_3806))))))))))))) (=> true (=> ?v_384 (=> true (=> (= k.24 k.22) (=> ?v_3805 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.) ?v_3806)))))))))))) (let ((?v_3821 (and (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.9 0)) (and (=> true (=> (not (= inline.EvtIoChildRead.0.myNondetVar_0.12 0)) (and (=> true (=> (< inline.EvtIoChildRead.0.myNondetVar_0.14 myNondetVar_0.0) (=> true (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0 inline.EvtIoChildRead.0.myNondetVar_0.15) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.16 inline.EvtIoChildRead.0.myNondetVar_0.15) ?v_3807))))) (=> true (=> (not (< inline.EvtIoChildRead.0.myNondetVar_0.13 myNondetVar_0.0)) (=> true (=> (= inline.EvtIoChildRead.0..Length.3.1087.19.EvtIoChildRead.0 myNondetVar_0.0) (=> (= inline.EvtIoChildRead.0.myNondetVar_0.16 inline.EvtIoChildRead.0.myNondetVar_0.13) (=> true ?v_3807))))))))) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.10 0) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.11 inline.EvtIoChildRead.0.myNondetVar_0.10) ?v_3812))))))) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.8 0) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.11 inline.EvtIoChildRead.0.myNondetVar_0.8) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3812)))))))))))))))) (let ((?v_3819 (=> true (=> (= lockStatus_0.2 lockStatus_0.1) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 call17424formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.0.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.0.myNondetVar_0.4) (=> (= k.22 k.21) (=> (= lockStatus_1.2 lockStatus_1.1) (=> (= inline.AcquireDpcLock.0.myNondetVar_0.6 inline.AcquireDpcLock.0.myNondetVar_0.4) ?v_3821)))))))))) (?v_3818 (= inline.AcquireDpcLock.0.myNondetVar_0.4 hlock))) (let ((?v_3814 (=> true (=> (= lockStatus_0.1 lockStatus_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 call17372formal.ret.0) (=> (= lockStatus_1.1 lockStatus_1.0) (=> (= k.21 k.20) ?v_3819))))))) (let ((?v_3817 (=> true ?v_3814)) (?v_3815 (= lockStatus_0.0 lockStatus_0)) (?v_3816 (= lockStatus_1.0 lockStatus_1)) (?v_3813 (= k.20 1)) (?v_16 (= k.20 0)) (?v_14 (= lockStatus_0 0)) (?v_15 (= lockStatus_1 0))) (let ((?v_3820 (and (=> true (=> ?v_3818 (=> true (=> (<= k.19 k.20) (=> (< k.20 2) (=> true (=> (=> ?v_16 ?v_14) (=> (=> ?v_3813 ?v_15) (and (=> true (=> ?v_16 (=> true (=> (= lockStatus_0.0 1) (=> ?v_3816 ?v_3814))))) (=> true (=> (not ?v_16) (and (=> true (=> ?v_3813 (=> true (=> ?v_3815 (=> (= lockStatus_1.0 1) ?v_3817))))) (=> true (=> (not ?v_3813) (=> true (=> ?v_3815 (=> ?v_3816 ?v_3817))))))))))))))))) (=> true (=> (not ?v_3818) (=> true (=> (= lockStatus_0.1 lockStatus_0) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.1 lockStatus_1) (=> (= k.21 k.19) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3819)))))))))))))))) (let ((?v_3826 (and (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.0 2) (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.3 inline.AcquireDpcLock.0.myNondetVar_0.0) ?v_3820)))) (=> true (=> (not (= inline.AcquireDpcLock.0.myNondetVar_0.1 2)) (and (=> true (=> (not (= inline.AcquireDpcLock.0.myNondetVar_0.2 2)) (=> true (=> (= inline.AcquireDpcLock.0.myNondetVar_0.3 inline.AcquireDpcLock.0.myNondetVar_0.2) (=> true (=> true (=> true (=> true ?v_3820)))))))) (=> true (=> (not (not (= inline.AcquireDpcLock.0.myNondetVar_0.5 2))) (=> true (=> (= lockStatus_0.2 lockStatus_0) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= k.22 k.19) (=> (= lockStatus_1.2 lockStatus_1) (=> (= inline.AcquireDpcLock.0.myNondetVar_0.6 inline.AcquireDpcLock.0.myNondetVar_0.5) (=> true (=> true (=> true (=> true ?v_3821))))))))))))))))))))) (let ((?v_3828 (=> (= k.19 k.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.) (=> (= errorReached.18 errorReached.14) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3826))))))))))))) (?v_3830 (= inline.EvtIoChildRead.0.myNondetVar_0.7 hdevice)) (?v_3829 (= inline.EvtIoChildRead.0.myNondetVar_0.7 hqueue)) (?v_3827 (= inline.EvtIoChildRead.0.myNondetVar_0.7 htimer)) (?v_3825 (= inline.EvtIoChildRead.0.myNondetVar_0.7 hrequest)) (?v_3824 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.19 k.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 call17213formal.ret.0) (=> (= errorReached.18 errorReached.17) ?v_3826)))))) (?v_3822 (= k.16 0)) (?v_3823 (= k.16 1))) (let ((?v_3832 (and (=> true (=> ?v_3825 (=> true (=> (<= k.15 k.16) (=> (< k.16 2) (and (=> true (=> (=> ?v_3822 ?v_4) (=> (=> ?v_3823 ?v_5) (=> true (=> (= errorReached.17 1) ?v_3824))))) (=> true (=> (=> ?v_3822 ?v_2) (=> (=> ?v_3823 ?v_3) (=> true (=> (= errorReached.17 errorReached.14) (=> true ?v_3824)))))))))))) (=> true (=> (not ?v_3825) (and (=> true (=> ?v_3827 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3828)))) (=> true (=> (not ?v_3827) (and (=> true (=> ?v_3829 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3828)))) (=> true (=> (not ?v_3829) (and (=> true (=> ?v_3830 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3828)))) (=> true (=> (not ?v_3830) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3828)))))))))))))))) (let ((?v_3831 (=> true (=> (= inline.AcquireEffectiveLock.0.myNondetVar_0.5 inline.AcquireEffectiveLock.0.myNondetVar_0.4) (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 call17129formal.ret.0) ?v_3832))))) (let ((?v_3837 (and (=> true (=> (= inline.AcquireEffectiveLock.0.myNondetVar_0.1 1) (=> true (=> (= inline.AcquireEffectiveLock.0.myNondetVar_0.4 inline.AcquireEffectiveLock.0.myNondetVar_0.1) ?v_3831)))) (=> true (=> (not (= inline.AcquireEffectiveLock.0.myNondetVar_0.0 1)) (and (=> true (=> (= inline.AcquireEffectiveLock.0.myNondetVar_0.3 4) (=> true (=> (= inline.AcquireEffectiveLock.0.myNondetVar_0.4 inline.AcquireEffectiveLock.0.myNondetVar_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3831))))))))))))) (=> true (=> (not (= inline.AcquireEffectiveLock.0.myNondetVar_0.2 4)) (=> true (=> (= inline.AcquireEffectiveLock.0.myNondetVar_0.5 inline.AcquireEffectiveLock.0.myNondetVar_0.2) (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3832))))))))))))))))))))))))) (?v_3839 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2.))) (let ((?v_3840 (=> (= k.15 k.13) (=> (= errorReached.14 errorReached.12) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3837)))))))))))) (?v_3842 (= inline.EvtIoChildRead.0.myNondetVar_0.6 hdevice)) (?v_3841 (= inline.EvtIoChildRead.0.myNondetVar_0.6 hqueue)) (?v_3838 (= inline.EvtIoChildRead.0.myNondetVar_0.6 htimer)) (?v_3836 (= inline.EvtIoChildRead.0.myNondetVar_0.6 hrequest)) (?v_3835 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 call16990formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.15 k.14) (=> (= errorReached.14 errorReached.13) ?v_3837)))))) (?v_3833 (= k.14 0)) (?v_3834 (= k.14 1))) (let ((?v_3884 (and (=> true (=> (not ?v_3843) (and (=> true (=> ?v_3836 (=> true (=> (<= k.13 k.14) (=> (< k.14 2) (and (=> true (=> (=> ?v_3833 ?v_4) (=> (=> ?v_3834 ?v_5) (=> true (=> (= errorReached.13 1) ?v_3835))))) (=> true (=> (=> ?v_3833 ?v_2) (=> (=> ?v_3834 ?v_3) (=> true (=> (= errorReached.13 errorReached.12) (=> true ?v_3835)))))))))))) (=> true (=> (not ?v_3836) (and (=> true (=> ?v_3838 (=> true (=> ?v_3839 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3840))))) (=> true (=> (not ?v_3838) (and (=> true (=> ?v_3841 (=> true (=> ?v_3839 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3840))))) (=> true (=> (not ?v_3841) (and (=> true (=> ?v_3842 (=> true (=> ?v_3839 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3840))))) (=> true (=> (not ?v_3842) (=> true (=> ?v_3839 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3840))))))))))))))))) (=> true (=> ?v_3843 (and (=> true (=> ?v_13 (=> true (=> (<= k.13 k.17) (=> (< k.17 2) (and (=> true (=> (=> ?v_3877 ?v_4) (=> (=> ?v_3878 ?v_5) (=> true (=> (= errorReached.15 1) ?v_3879))))) (=> true (=> (=> ?v_3877 ?v_2) (=> (=> ?v_3878 ?v_3) (=> true (=> (= errorReached.15 errorReached.12) (=> true ?v_3879)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> ?v_3881 (=> ?v_3882 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3883)))))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> ?v_3881 (=> ?v_3882 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3883)))))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> ?v_3881 (=> ?v_3882 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3883)))))) (=> true (=> ?v_422 (=> true (=> ?v_3881 (=> ?v_3882 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3883))))))))))))))))))))) (let ((?v_3889 (and (=> true (=> ?v_523 ?v_3884)) (=> true (=> (not ?v_523) (=> true ?v_3884)))))) (let ((?v_3890 (=> (= errorReached.12 errorReached.11) (=> true (=> true (=> true (=> true (=> true ?v_3889))))))) (?v_3887 (= inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 call16461formal.ret.0)) (?v_3888 (= k.13 k.12)) (?v_3885 (= k.12 0)) (?v_3886 (= k.12 1))) (let ((?v_3891 (and (=> true (=> ?v_13 (=> true (=> (<= k.11 k.12) (=> (< k.12 2) (and (=> true (=> (=> ?v_3885 ?v_4) (=> (=> ?v_3886 ?v_5) (=> true (=> ?v_3887 (=> ?v_3888 (=> (= errorReached.12 1) ?v_3889))))))) (=> true (=> (=> ?v_3885 ?v_2) (=> (=> ?v_3886 ?v_3) (=> true (=> ?v_3887 (=> ?v_3888 ?v_3890)))))))))))) (=> true (=> ?v_384 (=> true (=> (= inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2.) (=> (= k.13 k.11) ?v_3890)))))))) (let ((?v_3895 (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.1 inline.EvtIoChildRead.0.myNondetVar_1.0) (and (=> true (=> (< inline.EvtIoChildRead.0.myNondetVar_0.4 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.5 inline.EvtIoChildRead.0.myNondetVar_0.4) ?v_3891)))) (=> true (=> (not (< inline.EvtIoChildRead.0.myNondetVar_0.3 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1)) (=> true (=> (= inline.EvtIoChildRead.0.myNondetVar_0.5 inline.EvtIoChildRead.0.myNondetVar_0.3) (=> true (=> true (=> true (=> true ?v_3891))))))))))))) (let ((?v_3899 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3895)))))))))))) (?v_3896 (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2.)) (?v_3897 (= errorReached.11 errorReached.9)) (?v_3898 (= k.11 k.9)) (?v_3894 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 call16279formal.ret.0) (=> (= errorReached.11 errorReached.10) (=> (= k.11 k.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3895)))))) (?v_3892 (= k.10 0)) (?v_3893 (= k.10 1))) (let ((?v_3904 (and (=> true (=> ?v_13 (=> true (=> (<= k.9 k.10) (=> (< k.10 2) (and (=> true (=> (=> ?v_3892 ?v_4) (=> (=> ?v_3893 ?v_5) (=> true (=> (= errorReached.10 1) ?v_3894))))) (=> true (=> (=> ?v_3892 ?v_2) (=> (=> ?v_3893 ?v_3) (=> true (=> (= errorReached.10 errorReached.9) (=> true ?v_3894)))))))))))) (=> true (=> ?v_384 (and (=> true (=> ?v_386 (=> true (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3899))))))) (=> true (=> ?v_419 (and (=> true (=> ?v_390 (=> true (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3899))))))) (=> true (=> ?v_421 (and (=> true (=> ?v_391 (=> true (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3899))))))) (=> true (=> ?v_422 (=> true (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3899))))))))))))))))))) (let ((?v_3909 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3904)))))))))))))))) (?v_3906 (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.)) (?v_3907 (= k.9 k.7)) (?v_3908 (= errorReached.9 errorReached.7)) (?v_3911 (= inline.EvtIoChildRead.0.myNondetVar_0.0 hdevice)) (?v_3910 (= inline.EvtIoChildRead.0.myNondetVar_0.0 hqueue)) (?v_3905 (= inline.EvtIoChildRead.0.myNondetVar_0.0 htimer)) (?v_3903 (= inline.EvtIoChildRead.0.myNondetVar_0.0 hrequest)) (?v_3902 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 call16125formal.ret.0) (=> (= k.9 k.8) (=> (= errorReached.9 errorReached.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3904)))))) (?v_3900 (= k.8 0)) (?v_3901 (= k.8 1))) (let ((?v_3915 (and (=> true (=> ?v_3903 (=> true (=> (<= k.7 k.8) (=> (< k.8 2) (and (=> true (=> (=> ?v_3900 ?v_4) (=> (=> ?v_3901 ?v_5) (=> true (=> (= errorReached.8 1) ?v_3902))))) (=> true (=> (=> ?v_3900 ?v_2) (=> (=> ?v_3901 ?v_3) (=> true (=> (= errorReached.8 errorReached.7) (=> true ?v_3902)))))))))))) (=> true (=> (not ?v_3903) (and (=> true (=> ?v_3905 (=> true (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3909))))))) (=> true (=> (not ?v_3905) (and (=> true (=> ?v_3910 (=> true (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3909))))))) (=> true (=> (not ?v_3910) (and (=> true (=> ?v_3911 (=> true (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3909))))))) (=> true (=> (not ?v_3911) (=> true (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3909)))))))))))))))))) (?v_3916 (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2.))) (let ((?v_3917 (=> (= errorReached.7 errorReached.5) (=> (= k.7 0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3915)))))))))))))))))) (?v_3914 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 call15969formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.7 errorReached.6) (=> (= k.7 k.6) ?v_3915)))))) (?v_3912 (= k.6 0)) (?v_3913 (= k.6 1)) (?v_6 (>= 4 0)) (?v_7 (int_2_U call15864formal.new.0)) (?v_8 (int_2_U call15867formal.new.0)) (?v_9 (int_2_U call15870formal.new.0)) (?v_10 (int_2_U call15873formal.new.0)) (?v_11 (int_2_U call15876formal.new.0))) (let ((?v_3922 (=> true (=> (= inline.myInitDriver.0.myNondetVar_0.4 hqueue) (=> true (=> (not (= inline.myInitDriver.0.myNondetVar_0.5 2)) (=> true (and ?v_6 (=> ?v_6 (=> (> call15864formal.new.0 0) (=> (forall ((?x371 Int)) (! (=> (and (<= call15864formal.new.0 ?x371) (< ?x371 (+ call15864formal.new.0 4))) (= (Base ?x371) call15864formal.new.0)) :pattern ((Base ?x371)) )) (=> (forall ((?x372 boogieU)) (! (=> (= (type ?x372) intType) (or (= (U_2_int ?x372) call15864formal.new.0) (= (MapType0Select alloc ?x372) (MapType0Select alloc.0 ?x372)))) :pattern ((MapType0Select alloc.0 ?x372)) )) (=> (and (= (MapType0Select alloc ?v_7) UNALLOCATED) (= (MapType0Select alloc.0 ?v_7) ALLOCATED)) (and ?v_6 (=> ?v_6 (=> (> call15867formal.new.0 0) (=> (forall ((?x373 Int)) (! (=> (and (<= call15867formal.new.0 ?x373) (< ?x373 (+ call15867formal.new.0 4))) (= (Base ?x373) call15867formal.new.0)) :pattern ((Base ?x373)) )) (=> (forall ((?x374 boogieU)) (! (=> (= (type ?x374) intType) (or (= (U_2_int ?x374) call15867formal.new.0) (= (MapType0Select alloc.0 ?x374) (MapType0Select alloc.1 ?x374)))) :pattern ((MapType0Select alloc.1 ?x374)) )) (=> (and (= (MapType0Select alloc.0 ?v_8) UNALLOCATED) (= (MapType0Select alloc.1 ?v_8) ALLOCATED)) (and ?v_6 (=> ?v_6 (=> (> call15870formal.new.0 0) (=> (forall ((?x375 Int)) (! (=> (and (<= call15870formal.new.0 ?x375) (< ?x375 (+ call15870formal.new.0 4))) (= (Base ?x375) call15870formal.new.0)) :pattern ((Base ?x375)) )) (=> (forall ((?x376 boogieU)) (! (=> (= (type ?x376) intType) (or (= (U_2_int ?x376) call15870formal.new.0) (= (MapType0Select alloc.1 ?x376) (MapType0Select alloc.2 ?x376)))) :pattern ((MapType0Select alloc.2 ?x376)) )) (=> (and (= (MapType0Select alloc.1 ?v_9) UNALLOCATED) (= (MapType0Select alloc.2 ?v_9) ALLOCATED)) (and ?v_6 (=> ?v_6 (=> (> call15873formal.new.0 0) (=> (forall ((?x377 Int)) (! (=> (and (<= call15873formal.new.0 ?x377) (< ?x377 (+ call15873formal.new.0 4))) (= (Base ?x377) call15873formal.new.0)) :pattern ((Base ?x377)) )) (=> (forall ((?x378 boogieU)) (! (=> (= (type ?x378) intType) (or (= (U_2_int ?x378) call15873formal.new.0) (= (MapType0Select alloc.2 ?x378) (MapType0Select alloc.3 ?x378)))) :pattern ((MapType0Select alloc.3 ?x378)) )) (=> (and (= (MapType0Select alloc.2 ?v_10) UNALLOCATED) (= (MapType0Select alloc.3 ?v_10) ALLOCATED)) (and ?v_6 (=> ?v_6 (=> (> call15876formal.new.0 0) (=> (forall ((?x379 Int)) (! (=> (and (<= call15876formal.new.0 ?x379) (< ?x379 (+ call15876formal.new.0 4))) (= (Base ?x379) call15876formal.new.0)) :pattern ((Base ?x379)) )) (=> (forall ((?x380 boogieU)) (! (=> (= (type ?x380) intType) (or (= (U_2_int ?x380) call15876formal.new.0) (= (MapType0Select alloc.3 ?x380) (MapType0Select alloc.4 ?x380)))) :pattern ((MapType0Select alloc.4 ?x380)) )) (=> (and (= (MapType0Select alloc.3 ?v_11) UNALLOCATED) (= (MapType0Select alloc.4 ?v_11) ALLOCATED)) (and (=> true (=> ?v_12 (=> true (=> (<= 0 k.6) (=> (< k.6 2) (and (=> true (=> (=> ?v_3912 ?v_4) (=> (=> ?v_3913 ?v_5) (=> true (=> (= errorReached.6 1) ?v_3914))))) (=> true (=> (=> ?v_3912 ?v_2) (=> (=> ?v_3913 ?v_3) (=> true (=> (= errorReached.6 errorReached.5) (=> true ?v_3914)))))))))))) (=> true (=> ?v_1852 (and (=> true (=> ?v_520 (=> true (=> ?v_3916 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3917))))) (=> true (=> ?v_1854 (and (=> true (=> ?v_521 (=> true (=> ?v_3916 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3917))))) (=> true (=> ?v_523 (and (=> true (=> ?v_524 (=> true (=> ?v_3916 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3917))))) (=> true (=> ?v_1859 (=> true (=> ?v_3916 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3917))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3924 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2.))) (let ((?v_3925 (=> (= k.5 k.3) (=> (= errorReached.5 errorReached.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3922))))))))))) (?v_3920 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 call15723formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.5 k.4) (=> (= errorReached.5 errorReached.4) ?v_3922)))))) (?v_3918 (= k.4 0)) (?v_3919 (= k.4 1))) (let ((?v_3932 (=> true (=> (= inline.myInitDriver.0.myNondetVar_0.2 hdevice) (=> true (=> (= inline.myInitDriver.0.myNondetVar_0.3 hlock) (and (=> true (=> ?v_25 (=> true (=> (<= k.3 k.4) (=> (< k.4 2) (and (=> true (=> (=> ?v_3918 ?v_4) (=> (=> ?v_3919 ?v_5) (=> true (=> (= errorReached.4 1) ?v_3920))))) (=> true (=> (=> ?v_3918 ?v_2) (=> (=> ?v_3919 ?v_3) (=> true (=> (= errorReached.4 errorReached.3) (=> true ?v_3920)))))))))))) (=> true (=> ?v_3921 (and (=> true (=> ?v_351 (=> true (=> ?v_3924 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3925))))) (=> true (=> ?v_3923 (and (=> true (=> ?v_354 (=> true (=> ?v_3924 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3925))))) (=> true (=> ?v_3926 (and (=> true (=> ?v_355 (=> true (=> ?v_3924 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3925))))) (=> true (=> ?v_3927 (=> true (=> ?v_3924 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3925))))))))))))))))))))) (let ((?v_3934 (=> (= k.3 k.1) (=> (= errorReached.3 errorReached.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3932)))))))))))) (?v_3936 (= hdevice hdevice)) (?v_3935 (= hdevice hqueue)) (?v_3933 (= hdevice htimer)) (?v_3931 (= hdevice hrequest)) (?v_3930 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.3 k.2) (=> (= errorReached.3 errorReached.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 call15555formal.ret.0) ?v_3932)))))) (?v_3928 (= k.2 0)) (?v_3929 (= k.2 1))) (let ((?v_3940 (=> true (=> (= inline.myInitDriver.0.myNondetVar_0.0 hdevice) (=> true (=> (= inline.myInitDriver.0.myNondetVar_0.1 notused_hrequest) (and (=> true (=> ?v_3931 (=> true (=> (<= k.1 k.2) (=> (< k.2 2) (and (=> true (=> (=> ?v_3928 ?v_4) (=> (=> ?v_3929 ?v_5) (=> true (=> (= errorReached.2 1) ?v_3930))))) (=> true (=> (=> ?v_3928 ?v_2) (=> (=> ?v_3929 ?v_3) (=> true (=> (= errorReached.2 errorReached.1) (=> true ?v_3930)))))))))))) (=> true (=> (not ?v_3931) (and (=> true (=> ?v_3933 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3934)))) (=> true (=> (not ?v_3933) (and (=> true (=> ?v_3935 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3934)))) (=> true (=> (not ?v_3935) (and (=> true (=> ?v_3936 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3934)))) (=> true (=> (not ?v_3936) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3934)))))))))))))))))))) (let ((?v_3944 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3940))))))))) (?v_3941 (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2.)) (?v_3942 (= k.1 0)) (?v_3943 (= errorReached.1 0)) (?v_3939 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 call15387formal.ret.0) (=> (= k.1 k.0) (=> (= errorReached.1 errorReached.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3940)))))) (?v_3937 (= k.0 0)) (?v_3938 (= k.0 1)) (?v_0 (= 0 0)) (?v_1 (= 0 1))) (not (=> true (=> (= reqCompleted_1 reqCompleted_s_1) (=> (= lockStatus_1 lockStatus_s_1) (=> (= reqCancelSet_1 reqCancelSet_s_1) (=> (= reqCancelStarted_1 reqCancelStarted_s_1) (=> (= reqCompleteSet_1 reqCompleteSet_s_1) (=> (= reqSent_1 reqSent_s_1) (=> true (=> (=> ?v_0 ?v_2) (=> (=> ?v_1 ?v_3) (=> true (=> (=> ?v_0 (= reqCancelSet_0 0)) (=> (=> ?v_1 (= reqCancelSet_1 0)) (=> true (=> (=> ?v_0 ?v_1276) (=> (=> ?v_1 ?v_1278) (=> true (=> (=> ?v_0 ?v_14) (=> (=> ?v_1 ?v_15) (=> true (=> (=> ?v_0 ?v_357) (=> (=> ?v_1 ?v_359) (=> true (=> (=> ?v_0 ?v_358) (=> (=> ?v_1 ?v_360) (and (=> true (=> ?v_12 (=> true (=> (<= 0 k.0) (=> (< k.0 2) (and (=> true (=> (=> ?v_3937 ?v_4) (=> (=> ?v_3938 ?v_5) (=> true (=> (= errorReached.0 1) ?v_3939))))) (=> true (=> (=> ?v_3937 ?v_2) (=> (=> ?v_3938 ?v_3) (=> true (=> (= errorReached.0 0) (=> true ?v_3939)))))))))))) (=> true (=> ?v_1852 (and (=> true (=> ?v_520 (=> true (=> ?v_3941 (=> ?v_3942 (=> ?v_3943 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3944))))))) (=> true (=> ?v_1854 (and (=> true (=> ?v_521 (=> true (=> ?v_3941 (=> ?v_3942 (=> ?v_3943 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3944))))))) (=> true (=> ?v_523 (and (=> true (=> ?v_524 (=> true (=> ?v_3941 (=> ?v_3942 (=> ?v_3943 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3944))))))) (=> true (=> ?v_1859 (=> true (=> ?v_3941 (=> ?v_3942 (=> ?v_3943 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3944))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
