(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.unused_WDFDEVICE__ () boogieU)
(declare-fun T.unused_WDFDPC__ () boogieU)
(declare-fun T.unused_WDFDRIVER__ () boogieU)
(declare-fun T.unused_WDFIOTARGET__ () boogieU)
(declare-fun T.unused_WDFMEMORY__ () boogieU)
(declare-fun T.unused_WDFQUEUE__ () boogieU)
(declare-fun T.unused_WDFREQUEST__ () boogieU)
(declare-fun T.unused_WDFSPINLOCK__ () boogieU)
(declare-fun T.unused_WDFTIMER__ () boogieU)
(declare-fun T.unused_WDFWAITLOCK__ () boogieU)
(declare-fun T.unused_WDFWORKITEM__ () boogieU)
(declare-fun T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.ParentQueue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Queue__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Notify__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Event__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun T.DefaultQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.ConfigurationLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ReConfigureQueue__DEVICE_CONTEXT () boogieU)
(declare-fun T.MultipleQueues__DEVICE_CONTEXT () boogieU)
(declare-fun T.AutoForwarding__DEVICE_CONTEXT () boogieU)
(declare-fun T.DispatchType__DEVICE_CONTEXT () boogieU)
(declare-fun T.PreviousReconfigurePurge__DEVICE_CONTEXT () boogieU)
(declare-fun T.Buffer__DEVICE_CONTEXT () boogieU)
(declare-fun T.Length__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceTimer__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItem__DEVICE_CONTEXT () boogieU)
(declare-fun T.ControlDeviceWorkItemState__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningThread__DEVICE_CONTEXT () boogieU)
(declare-fun T.DpcLockOwningCallersAddress__DEVICE_CONTEXT () boogieU)
(declare-fun T.QueueMode__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT () boogieU)
(declare-fun T.__unnamed_4_dfcb1314__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.MappedUserBufferMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.MappedType3InputMdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.QueueContext__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cleanup__REQUEST_CONTEXT () boogieU)
(declare-fun T.Presented__REQUEST_CONTEXT () boogieU)
(declare-fun T.Cancellable__REQUEST_CONTEXT () boogieU)
(declare-fun T.Canceled__REQUEST_CONTEXT () boogieU)
(declare-fun T.CanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.ContextCleanupCalled__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerStopped__REQUEST_CONTEXT () boogieU)
(declare-fun T.PowerResumed__REQUEST_CONTEXT () boogieU)
(declare-fun T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun T.Dpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.TestDpc__TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.Driver__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverFlags__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverTag__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverName__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.Size__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Type__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Size__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Flags__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Timeout__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Buffer___unnamed_12_9675b19c () boogieU)
(declare-fun T.Offset___unnamed_12_9675b19c () boogieU)
(declare-fun T.Length___unnamed_12_9675b19c () boogieU)
(declare-fun T.Buffer___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Length___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Offset___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Buffer___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Length___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Offset___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Argument1___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument2___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument3___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument4___unnamed_16_28d48018 () boogieU)
(declare-fun T.Abandoned___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Absolute___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.NpxIrql___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Signalling___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Size___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Hand___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Inserted___unnamed_1_a536060f () boogieU)
(declare-fun T.DebugActive___unnamed_1_a536060f () boogieU)
(declare-fun T.DpcActive___unnamed_1_a536060f () boogieU)
(declare-fun T.IoControlCode___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Input___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Output___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Write___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Read___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ioctl___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Others___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Usb___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ptr___unnamed_4_442e007e () boogieU)
(declare-fun T.Value___unnamed_4_442e007e () boogieU)
(declare-fun T.Status___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Pointer___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Type___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a19e9f98___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a536060f___unnamed_4_b1953259 () boogieU)
(declare-fun T.Ptr___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Value___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Ptr___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Value___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Completion___unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_b1953259___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Lock___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Ptr___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Value___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Buffer___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.Offset___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.A13CHAR () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA13CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF1 () boogieU)
(declare-fun T.PF2 () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPPVOID () boogieU)
(declare-fun T.PPPWDFMEMORY__ () boogieU)
(declare-fun T.PPP_MDL () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PPWDFDEVICE__ () boogieU)
(declare-fun T.PPWDFIOTARGET__ () boogieU)
(declare-fun T.PPWDFMEMORY__ () boogieU)
(declare-fun T.PPWDFQUEUE__ () boogieU)
(declare-fun T.PPWDFREQUEST__ () boogieU)
(declare-fun T.PPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPWDFTIMER__ () boogieU)
(declare-fun T.PPWDFWORKITEM__ () boogieU)
(declare-fun T.PP_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.PP_DEVICE_CONTEXT () boogieU)
(declare-fun T.PP_KTHREAD () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.PP_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.PP_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.PP_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWDFDEVICE__ () boogieU)
(declare-fun T.PWDFDPC__ () boogieU)
(declare-fun T.PWDFDRIVER__ () boogieU)
(declare-fun T.PWDFIOTARGET__ () boogieU)
(declare-fun T.PWDFMEMORY__ () boogieU)
(declare-fun T.PWDFQUEUE__ () boogieU)
(declare-fun T.PWDFREQUEST__ () boogieU)
(declare-fun T.PWDFSPINLOCK__ () boogieU)
(declare-fun T.PWDFTIMER__ () boogieU)
(declare-fun T.PWDFWAITLOCK__ () boogieU)
(declare-fun T.PWDFWORKITEM__ () boogieU)
(declare-fun T.P_CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T.P_DEVICE_CONTEXT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_MM_PAGE_PRIORITY () boogieU)
(declare-fun T.P_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_TIMER_DPC_CONTEXT () boogieU)
(declare-fun T.P_WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T.P_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.P_WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T.P_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.P_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.P_WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T.P_WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WORKITEM_STATE () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WDFDEVICE__ () boogieU)
(declare-fun T.WDFDPC__ () boogieU)
(declare-fun T.WDFDRIVER__ () boogieU)
(declare-fun T.WDFIOTARGET__ () boogieU)
(declare-fun T.WDFMEMORY__ () boogieU)
(declare-fun T.WDFQUEUE__ () boogieU)
(declare-fun T.WDFREQUEST__ () boogieU)
(declare-fun T.WDFSPINLOCK__ () boogieU)
(declare-fun T.WDFTIMER__ () boogieU)
(declare-fun T.WDFWAITLOCK__ () boogieU)
(declare-fun T.WDFWORKITEM__ () boogieU)
(declare-fun T._CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT () boogieU)
(declare-fun T._DEVICE_CONTEXT () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._MM_PAGE_PRIORITY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._QUEUE_MODE () boogieU)
(declare-fun T._REQUEST_CONTEXT () boogieU)
(declare-fun T._TIMER_DPC_CONTEXT () boogieU)
(declare-fun T._WDF_DEVICE_IO_TYPE () boogieU)
(declare-fun T._WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T._WDF_IO_QUEUE_DISPATCH_TYPE () boogieU)
(declare-fun T._WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T._WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T._WDF_REQUEST_TYPE () boogieU)
(declare-fun T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T._WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WORKITEM_STATE () boogieU)
(declare-fun T.__unnamed_12_9675b19c () boogieU)
(declare-fun T.__unnamed_12_a41ee278 () boogieU)
(declare-fun T.__unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.__unnamed_16_28d48018 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.__unnamed_1_a19e9f98 () boogieU)
(declare-fun T.__unnamed_1_a536060f () boogieU)
(declare-fun T.__unnamed_24_52bbd12f () boogieU)
(declare-fun T.__unnamed_24_a2447d05 () boogieU)
(declare-fun T.__unnamed_4_442e007e () boogieU)
(declare-fun T.__unnamed_4_6a857cdd () boogieU)
(declare-fun T.__unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_4_d6f0159b () boogieU)
(declare-fun T.__unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_dfcb1314 () boogieU)
(declare-fun T.__unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.__unnamed_8_20ce6f92 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Buffer__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Canceled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Cancellable__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ContextCleanupCalled__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Device__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DispatchType__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLockOwningThread__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_DpcLock__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Length__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedType3InputMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Presented__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_QueueContext__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Queue__TIMER_DPC_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONS (boogieU) boogieU)
(declare-fun x_S_Size__WDF_REQUEST_SEND_OPTIONSInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cdd (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cddInv (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun EvtRequestChildCancel () Int)
(declare-fun EvtRequestCompletionRoutine () Int)
(declare-fun G_ExecutionLevel () Int)
(declare-fun G_IoType () Int)
(declare-fun G_RandomNumberSeed () Int)
(declare-fun G_SynchronizationScope () Int)
(declare-fun WdfDriverGlobals () Int)
(declare-fun x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_DEVICE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO () Int)
(declare-fun hbuffer () Int)
(declare-fun hdctx () Int)
(declare-fun hdevice () Int)
(declare-fun hln () Int)
(declare-fun hln2 () Int)
(declare-fun hln3 () Int)
(declare-fun hlock () Int)
(declare-fun hmdl () Int)
(declare-fun hmemory () Int)
(declare-fun hqctx () Int)
(declare-fun hqueue () Int)
(declare-fun hrctx () Int)
(declare-fun hrequest () Int)
(declare-fun htctx () Int)
(declare-fun htimer () Int)
(declare-fun notused_4hbuffer () Int)
(declare-fun notused_4hmdl () Int)
(declare-fun notused_4hmemory () Int)
(declare-fun notused_ctx () Int)
(declare-fun notused_hrequest () Int)
(declare-fun pnotused () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (Int) Int)
(declare-fun BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun Buffer__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Buffer__DEVICE_CONTEXT (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Canceled__REQUEST_CONTEXT (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Cancellable__REQUEST_CONTEXT (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXTInv (Int) Int)
(declare-fun ContextCleanupCalled__REQUEST_CONTEXT (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequestStatus__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun CurrentRequest__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DeviceLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun Device__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Device__DEVICE_CONTEXT (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DispatchType__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningCallersAddress__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLockOwningThread__DEVICE_CONTEXT (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXTInv (Int) Int)
(declare-fun DpcLock__DEVICE_CONTEXT (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Flags__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMS (Int) Int)
(declare-fun Length__DEVICE_CONTEXTInv (Int) Int)
(declare-fun Length__DEVICE_CONTEXT (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedType3InputMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun MappedUserBufferMdl__REQUEST_CONTEXT (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun ParentDevice__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Presented__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Presented__REQUEST_CONTEXT (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXTInv (Int) Int)
(declare-fun QueueContext__REQUEST_CONTEXT (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXTInv (Int) Int)
(declare-fun Queue__TIMER_DPC_CONTEXT (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (Int) Int)
(declare-fun RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONSInv (Int) Int)
(declare-fun Size__WDF_REQUEST_SEND_OPTIONS (Int) Int)
(declare-fun Status___unnamed_4_6a857cddInv (Int) Int)
(declare-fun Status___unnamed_4_6a857cdd (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.40 () boogieU)
(declare-fun Mem_s_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_0_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_s_1_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 () boogieU)
(declare-fun Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun Mem_s_1_T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun Mem_0_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun alloc.21 () boogieU)
(declare-fun alloc.18 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.40 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun alloc.20 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.33 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.33 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.32 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.32 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.31 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.31 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.38 () boogieU)
(declare-fun alloc.19 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.38 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.37 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.37 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.36 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.36 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.35 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.35 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.30 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.30 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.29 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.29 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.28 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.28 () boogieU)
(declare-fun Mem_1_T.Device__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_1_T.DpcLock__DEVICE_CONTEXT () boogieU)
(declare-fun Mem_1_T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun Mem_1_T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_1_T.Queue__TIMER_DPC_CONTEXT () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.26 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.26 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.25 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.25 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.24 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.24 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.22 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.22 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.21 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.21 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.20 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.20 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.19 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.19 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.17 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.17 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.16 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.16 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.15 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.15 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.11 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.11 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.9 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.9 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.6 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.6 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.5 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.5 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.3 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.3 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.2 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.0 () boogieU)
(declare-fun Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.0 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 () boogieU)
(declare-fun Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun reqCompleted_0.28 () Int)
(declare-fun reqCompleted_s_1 () Int)
(declare-fun lockStatus_0.59 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun reqCancelSet_0.37 () Int)
(declare-fun reqCancelSet_s_1 () Int)
(declare-fun reqCancelStarted_0.1 () Int)
(declare-fun reqCancelStarted_s_1 () Int)
(declare-fun reqCompleteSet_0.4 () Int)
(declare-fun reqCompleteSet_s_1 () Int)
(declare-fun reqSent_0.6 () Int)
(declare-fun reqSent_s_1 () Int)
(declare-fun errorReached.207 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 () Int)
(declare-fun call37389formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 () Int)
(declare-fun inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun reqSent_1.6 () Int)
(declare-fun reqSent_1.5 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun reqSent_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.8 () Int)
(declare-fun inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.16 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.15 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.1 () Int)
(declare-fun lockStatus_1.59 () Int)
(declare-fun lockStatus_1.58 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun k.385 () Int)
(declare-fun k.384 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun reqCancelSet_0.36 () Int)
(declare-fun reqCompleted_0.27 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.GetRequestContext.11..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 () Int)
(declare-fun inline.GetRequestContext.11..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1..1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 () Int)
(declare-fun inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 () Int)
(declare-fun reqCompleteSet_0.3 () Int)
(declare-fun inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 () Int)
(declare-fun errorReached.206 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.2 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 () Int)
(declare-fun inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.12..result.GetRequestContext.56.0.1..2 () Int)
(declare-fun inline.GetRequestContext.12..result.GetRequestContext.56.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1..1 () Int)
(declare-fun inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.6 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..result.GetRequestContext.183.34.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..result.GetRequestContext.183.34.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun reqCompleteSet_1.4 () Int)
(declare-fun reqCompleteSet_1.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8..0 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.13..result.GetRequestContext.56.0.1..2 () Int)
(declare-fun inline.GetRequestContext.13..result.GetRequestContext.56.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun reqCompleted_1.28 () Int)
(declare-fun reqCompleted_1.27 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..1 () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun reqCancelSet_1.37 () Int)
(declare-fun reqCancelSet_1.36 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun lockStatus_0.58 () Int)
(declare-fun inline.GetRequestContext.11..result.GetRequestContext.56.0.1..1 () Int)
(declare-fun inline.GetRequestContext.11..result.GetRequestContext.56.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget () Int)
(declare-fun inline.GetRequestContext.11..result.GetRequestContext.56.0.1. () Int)
(declare-fun reqCompleteSet_0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.TimerDpc.0..result.Random.2116.18.8. () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun reqCompleteSet_1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3. () Int)
(declare-fun reqCompleted_0.21 () Int)
(declare-fun inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2. () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetRequestContext.12..result.GetRequestContext.56.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.GetRequestContext.11..result.sdv_WdfObjectGetTypedContextWorker.56.0.2. () Int)
(declare-fun reqCancelSet_1.30 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2. () Int)
(declare-fun reqSent_1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun reqSent_0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1. () Int)
(declare-fun inline.GetRequestContext.13..result.GetRequestContext.56.0.1. () Int)
(declare-fun reqCancelSet_0.30 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun k.353 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1. () Int)
(declare-fun errorReached.186 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4..result.GetRequestContext.183.34.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1. () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2. () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.TimerDpc.0..result.Random.2119.36.9. () Int)
(declare-fun reqCompleted_1.21 () Int)
(declare-fun inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.14 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun reqCompleteSet_0.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun call39385formal.ret.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun reqCompleteSet_1.2 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun reqCompleted_0.26 () Int)
(declare-fun inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.12..result.GetRequestContext.56.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun reqCancelSet_1.35 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 () Int)
(declare-fun reqSent_1.4 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun reqSent_0.4 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 () Int)
(declare-fun inline.GetRequestContext.13..result.GetRequestContext.56.0.1..0 () Int)
(declare-fun reqCancelSet_0.35 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun k.383 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun call39969formal.new.0 () Int)
(declare-fun inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun errorReached.205 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1..0 () Int)
(declare-fun inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun call39406formal.ret.0 () Int)
(declare-fun reqCompleted_1.26 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun reqCompleted_1.25 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun reqCancelSet_0.34 () Int)
(declare-fun reqCompleted_0.25 () Int)
(declare-fun errorReached.204 () Int)
(declare-fun call40651formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.3 () Int)
(declare-fun reqCancelSet_1.34 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun k.382 () Int)
(declare-fun inline.GetRequestContext.13.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 () Int)
(declare-fun k.380 () Int)
(declare-fun errorReached.202 () Int)
(declare-fun k.381 () Int)
(declare-fun reqCancelSet_1.33 () Int)
(declare-fun reqCompleted_0.24 () Int)
(declare-fun call41121formal.ret.0 () Int)
(declare-fun errorReached.203 () Int)
(declare-fun reqCancelSet_0.33 () Int)
(declare-fun reqCompleted_1.24 () Int)
(declare-fun k.377 () Int)
(declare-fun k.379 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.2 () Int)
(declare-fun k.378 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.0 () Int)
(declare-fun k.375 () Int)
(declare-fun errorReached.200 () Int)
(declare-fun k.376 () Int)
(declare-fun call40842formal.ret.0 () Int)
(declare-fun errorReached.201 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun k.373 () Int)
(declare-fun errorReached.199 () Int)
(declare-fun k.374 () Int)
(declare-fun call40693formal.ret.0 () Int)
(declare-fun reqCompleteSet_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 () Int)
(declare-fun reqSent_1.3 () Int)
(declare-fun call41244formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun k.372 () Int)
(declare-fun reqSent_0.3 () Int)
(declare-fun reqCompleteSet_1.1 () Int)
(declare-fun errorReached.198 () Int)
(declare-fun k.370 () Int)
(declare-fun errorReached.196 () Int)
(declare-fun k.371 () Int)
(declare-fun errorReached.197 () Int)
(declare-fun call41269formal.ret.0 () Int)
(declare-fun reqSent_0.2 () Int)
(declare-fun reqSent_1.2 () Int)
(declare-fun k.354 () Int)
(declare-fun reqCompleteSet_1.0 () Int)
(declare-fun call40034formal.ret.0 () Int)
(declare-fun errorReached.195 () Int)
(declare-fun k.364 () Int)
(declare-fun reqCompleteSet_0.0 () Int)
(declare-fun reqSent_1.1 () Int)
(declare-fun inline.GetRequestContext.12.myNondetVar_0.0 () Int)
(declare-fun call40485formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.363 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqSent_0.1 () Int)
(declare-fun errorReached.192 () Int)
(declare-fun k.361 () Int)
(declare-fun errorReached.190 () Int)
(declare-fun k.362 () Int)
(declare-fun errorReached.191 () Int)
(declare-fun call40510formal.ret.0 () Int)
(declare-fun reqSent_0.0 () Int)
(declare-fun reqSent_1.0 () Int)
(declare-fun k.358 () Int)
(declare-fun k.360 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.2 () Int)
(declare-fun k.359 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.1 () Int)
(declare-fun k.357 () Int)
(declare-fun errorReached.189 () Int)
(declare-fun call40197formal.ret.0 () Int)
(declare-fun Base (Int) Int)
(declare-fun inline.TimerDpc.0.myVar_0.13 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.12 () Int)
(declare-fun BINARY_BOTH_INT (Int Int) Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.11.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_0.23 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCancelSet_1.32 () Int)
(declare-fun reqCancelSet_0.32 () Int)
(declare-fun k.369 () Int)
(declare-fun inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun errorReached.194 () Int)
(declare-fun reqCompleted_1.23 () Int)
(declare-fun k.367 () Int)
(declare-fun errorReached.188 () Int)
(declare-fun call39790formal.ret.0 () Int)
(declare-fun reqCancelSet_1.31 () Int)
(declare-fun reqCompleted_0.22 () Int)
(declare-fun k.368 () Int)
(declare-fun errorReached.193 () Int)
(declare-fun reqCancelSet_0.31 () Int)
(declare-fun reqCompleted_1.22 () Int)
(declare-fun k.356 () Int)
(declare-fun k.366 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.2 () Int)
(declare-fun k.365 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.0 () Int)
(declare-fun k.355 () Int)
(declare-fun errorReached.187 () Int)
(declare-fun call39511formal.ret.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun k.349 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun lockStatus_1.55 () Int)
(declare-fun lockStatus_0.55 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.2 () Int)
(declare-fun k.352 () Int)
(declare-fun lockStatus_1.57 () Int)
(declare-fun lockStatus_0.57 () Int)
(declare-fun k.350 () Int)
(declare-fun k.351 () Int)
(declare-fun lockStatus_0.56 () Int)
(declare-fun lockStatus_1.56 () Int)
(declare-fun call38815formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.7.myVar_0.1 () Int)
(declare-fun k.347 () Int)
(declare-fun errorReached.184 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.348 () Int)
(declare-fun errorReached.185 () Int)
(declare-fun call38544formal.ret.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.10 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.9 () Int)
(declare-fun k.346 () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3. () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun reqCancelSet_1.27 () Int)
(declare-fun k.339 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun reqCancelSet_0.27 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun errorReached.179 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 () Int)
(declare-fun inline.GetRequestContext.10.myNondetVar_0.0 () Int)
(declare-fun call39074formal.ret.0 () Int)
(declare-fun reqCancelSet_1.29 () Int)
(declare-fun k.343 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun reqCancelSet_0.29 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.183 () Int)
(declare-fun inline.TimerDpc.0.myNondetVar_0.0 () Int)
(declare-fun k.345 () Int)
(declare-fun k.344 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun k.341 () Int)
(declare-fun errorReached.181 () Int)
(declare-fun call39114formal.ret.0 () Int)
(declare-fun reqCancelSet_1.28 () Int)
(declare-fun k.342 () Int)
(declare-fun errorReached.182 () Int)
(declare-fun reqCancelSet_0.28 () Int)
(declare-fun reqCancelStarted_1.1 () Int)
(declare-fun k.340 () Int)
(declare-fun call38960formal.ret.0 () Int)
(declare-fun errorReached.180 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.1 () Int)
(declare-fun inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 () Int)
(declare-fun k.338 () Int)
(declare-fun inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0 () Int)
(declare-fun k.334 () Int)
(declare-fun lockStatus_1.52 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun lockStatus_0.52 () Int)
(declare-fun call38377formal.ret.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.2 () Int)
(declare-fun k.337 () Int)
(declare-fun lockStatus_1.54 () Int)
(declare-fun lockStatus_0.54 () Int)
(declare-fun k.335 () Int)
(declare-fun k.336 () Int)
(declare-fun lockStatus_0.53 () Int)
(declare-fun lockStatus_1.53 () Int)
(declare-fun call38325formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.7.myVar_0.0 () Int)
(declare-fun k.332 () Int)
(declare-fun errorReached.177 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.333 () Int)
(declare-fun errorReached.178 () Int)
(declare-fun call38056formal.ret.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.7 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.6 () Int)
(declare-fun k.331 () Int)
(declare-fun k.329 () Int)
(declare-fun errorReached.175 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.330 () Int)
(declare-fun errorReached.176 () Int)
(declare-fun call37829formal.ret.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.4 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.3 () Int)
(declare-fun k.328 () Int)
(declare-fun k.326 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.173 () Int)
(declare-fun k.327 () Int)
(declare-fun call37550formal.ret.0 () Int)
(declare-fun errorReached.174 () Int)
(declare-fun inline.TimerDpc.0.myVar_0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.0 () Int)
(declare-fun inline.TimerDpc.0.myVar_0.1 () Int)
(declare-fun k.325 () Int)
(declare-fun k.323 () Int)
(declare-fun errorReached.171 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.324 () Int)
(declare-fun errorReached.172 () Int)
(declare-fun call37207formal.ret.0 () Int)
(declare-fun call37104formal.ret.0 () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1 () Int)
(declare-fun inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2. () Int)
(declare-fun inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1. () Int)
(declare-fun inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.35.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetDeviceContext.37.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.7.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.TimerDpc.0..result._ReturnAddress.2075.56.5. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc () Int)
(declare-fun inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc () Int)
(declare-fun inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetTimerDpcContext.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2. () Int)
(declare-fun inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1 () Int)
(declare-fun inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1. () Int)
(declare-fun inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3. () Int)
(declare-fun inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.TimerDpc.0..status.2.2038.18.TimerDpc () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc () Int)
(declare-fun inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.TimerDpc.0..result.GetDeviceContext.2073.36.4. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1. () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.36.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetRequestContext.14..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun reqCancelSet_1.26 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun reqCancelSet_0.26 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..result.GetRequestContext.183.34.1..0 () Int)
(declare-fun inline.GetRequestContext.14..result.GetRequestContext.56.0.1..0 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun reqCompleted_1.20 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun k.322 () Int)
(declare-fun k.321 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun errorReached.170 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_0.20 () Int)
(declare-fun k.319 () Int)
(declare-fun reqCancelSet_1.24 () Int)
(declare-fun reqCompleted_0.18 () Int)
(declare-fun reqCompleted_1.18 () Int)
(declare-fun errorReached.168 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1. () Int)
(declare-fun reqCancelSet_0.24 () Int)
(declare-fun k.320 () Int)
(declare-fun reqCancelSet_1.25 () Int)
(declare-fun reqCompleted_0.19 () Int)
(declare-fun reqCompleted_1.19 () Int)
(declare-fun errorReached.169 () Int)
(declare-fun call41832formal.ret.0 () Int)
(declare-fun reqCancelSet_0.25 () Int)
(declare-fun k.316 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0 () Int)
(declare-fun k.318 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.2 () Int)
(declare-fun k.317 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.1 () Int)
(declare-fun k.314 () Int)
(declare-fun errorReached.166 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.315 () Int)
(declare-fun errorReached.167 () Int)
(declare-fun call41553formal.ret.0 () Int)
(declare-fun call37052formal.ret.0 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetRequestContext.14..result.sdv_WdfObjectGetTypedContextWorker.56.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.GetRequestContext.14.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..result.GetRequestContext.183.34.1. () Int)
(declare-fun inline.GetRequestContext.14..result.GetRequestContext.56.0.1. () Int)
(declare-fun inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.EvtRequestCompletionRoutine.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun lockStatus_0.51 () Int)
(declare-fun reqCancelSet_0.23 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.313 () Int)
(declare-fun k.312 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.11 () Int)
(declare-fun inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..result.GetRequestContext.183.34.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..result.GetRequestContext.183.34.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.14 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.5 () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetRequestContext.16..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 () Int)
(declare-fun inline.GetRequestContext.16..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.1 () Int)
(declare-fun reqCancelStarted_1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.15 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun reqCancelSet_1.23 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun errorReached.165 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun reqCompleted_0.17 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.4 () Int)
(declare-fun reqCompleted_1.17 () Int)
(declare-fun lockStatus_1.51 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.GetRequestContext.16..result.GetRequestContext.56.0.1..1 () Int)
(declare-fun inline.GetRequestContext.16..result.GetRequestContext.56.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCancelStarted_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.14 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun reqCancelSet_0.20 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext () Int)
(declare-fun reqCompleted_0.14 () Int)
(declare-fun inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetRequestContext.16..result.sdv_WdfObjectGetTypedContextWorker.56.0.2. () Int)
(declare-fun k.311 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..result.GetRequestContext.183.34.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun reqCancelSet_1.20 () Int)
(declare-fun inline.GetRequestContext.16..result.GetRequestContext.56.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0 () Int)
(declare-fun errorReached.164 () Int)
(declare-fun k.302 () Int)
(declare-fun errorReached.158 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.303 () Int)
(declare-fun errorReached.163 () Int)
(declare-fun call44267formal.ret.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun reqCompleted_1.16 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.16.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_0.22 () Int)
(declare-fun reqCompleted_0.16 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun k.310 () Int)
(declare-fun inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun reqCancelSet_1.22 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun errorReached.162 () Int)
(declare-fun k.308 () Int)
(declare-fun errorReached.160 () Int)
(declare-fun k.309 () Int)
(declare-fun reqCancelSet_1.21 () Int)
(declare-fun reqCompleted_0.15 () Int)
(declare-fun reqCompleted_1.15 () Int)
(declare-fun errorReached.161 () Int)
(declare-fun call44758formal.ret.0 () Int)
(declare-fun reqCancelSet_0.21 () Int)
(declare-fun k.305 () Int)
(declare-fun k.307 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.2 () Int)
(declare-fun k.306 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.0 () Int)
(declare-fun k.304 () Int)
(declare-fun errorReached.159 () Int)
(declare-fun call44479formal.ret.0 () Int)
(declare-fun k.300 () Int)
(declare-fun errorReached.156 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.301 () Int)
(declare-fun errorReached.157 () Int)
(declare-fun call43977formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.13 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.12 () Int)
(declare-fun k.299 () Int)
(declare-fun k.295 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1. () Int)
(declare-fun lockStatus_0.48 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0 () Int)
(declare-fun lockStatus_1.48 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun k.298 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.50 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.2 () Int)
(declare-fun lockStatus_1.50 () Int)
(declare-fun k.296 () Int)
(declare-fun k.297 () Int)
(declare-fun call43830formal.ret.0 () Int)
(declare-fun lockStatus_1.49 () Int)
(declare-fun lockStatus_0.49 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.8.myVar_0.0 () Int)
(declare-fun k.293 () Int)
(declare-fun errorReached.154 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.294 () Int)
(declare-fun errorReached.155 () Int)
(declare-fun call43559formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.9 () Int)
(declare-fun k.292 () Int)
(declare-fun k.291 () Int)
(declare-fun k.290 () Int)
(declare-fun k.286 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0 () Int)
(declare-fun lockStatus_1.45 () Int)
(declare-fun inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun lockStatus_0.45 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun k.289 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.2 () Int)
(declare-fun lockStatus_1.47 () Int)
(declare-fun call43359formal.ret.0 () Int)
(declare-fun lockStatus_0.47 () Int)
(declare-fun k.287 () Int)
(declare-fun k.288 () Int)
(declare-fun call43307formal.ret.0 () Int)
(declare-fun lockStatus_1.46 () Int)
(declare-fun lockStatus_0.46 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.8.myVar_0.1 () Int)
(declare-fun k.284 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.152 () Int)
(declare-fun k.285 () Int)
(declare-fun call43038formal.ret.0 () Int)
(declare-fun errorReached.153 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.6 () Int)
(declare-fun k.283 () Int)
(declare-fun inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun call42918formal.ret.0 () Int)
(declare-fun errorReached.150 () Int)
(declare-fun k.281 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.151 () Int)
(declare-fun k.282 () Int)
(declare-fun call42721formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.3 () Int)
(declare-fun k.280 () Int)
(declare-fun k.278 () Int)
(declare-fun errorReached.148 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.279 () Int)
(declare-fun errorReached.149 () Int)
(declare-fun call42510formal.ret.0 () Int)
(declare-fun k.276 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.146 () Int)
(declare-fun k.277 () Int)
(declare-fun call42339formal.ret.0 () Int)
(declare-fun errorReached.147 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.2.myVar_0.0 () Int)
(declare-fun k.275 () Int)
(declare-fun k.273 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.144 () Int)
(declare-fun k.274 () Int)
(declare-fun call42130formal.ret.0 () Int)
(declare-fun errorReached.145 () Int)
(declare-fun k.271 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2. () Int)
(declare-fun errorReached.143 () Int)
(declare-fun k.272 () Int)
(declare-fun call42019formal.ret.0 () Int)
(declare-fun reqCancelStarted_0 () Int)
(declare-fun reqCancelStarted_1 () Int)
(declare-fun call37008formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.GetRequestContext.15.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.GetDeviceContext.42.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.38.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.40.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.8.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.41.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.39.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun k.270 () Int)
(declare-fun k.262 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..result.GetRequestContext.183.34.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..result.GetRequestContext.183.34.1. () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.GetRequestContext.9..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 () Int)
(declare-fun inline.GetRequestContext.9..result.sdv_WdfObjectGetTypedContextWorker.56.0.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetRequestContext.9..result.GetRequestContext.56.0.1..0 () Int)
(declare-fun inline.GetRequestContext.9..result.GetRequestContext.56.0.1. () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun reqCompleted_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2. () Int)
(declare-fun reqCompleted_1.11 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1. () Int)
(declare-fun reqCancelSet_0.17 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.4 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun errorReached.138 () Int)
(declare-fun reqCancelSet_1.17 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..completeRequest.22.1539.12.EvtIoChildDeviceControl.0 () Int)
(declare-fun k.269 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_1.13 () Int)
(declare-fun inline.GetRequestContext.9.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun reqCancelSet_0.19 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.3 () Int)
(declare-fun errorReached.142 () Int)
(declare-fun reqCancelSet_1.19 () Int)
(declare-fun k.267 () Int)
(declare-fun errorReached.140 () Int)
(declare-fun k.268 () Int)
(declare-fun reqCancelSet_1.18 () Int)
(declare-fun reqCompleted_0.12 () Int)
(declare-fun reqCompleted_1.12 () Int)
(declare-fun call34997formal.ret.0 () Int)
(declare-fun reqCancelSet_0.18 () Int)
(declare-fun errorReached.141 () Int)
(declare-fun k.264 () Int)
(declare-fun k.266 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.2 () Int)
(declare-fun k.265 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.1 () Int)
(declare-fun k.263 () Int)
(declare-fun errorReached.139 () Int)
(declare-fun call34718formal.ret.0 () Int)
(declare-fun k.260 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.136 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.14 () Int)
(declare-fun k.261 () Int)
(declare-fun call34404formal.ret.0 () Int)
(declare-fun errorReached.137 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.11 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.12 () Int)
(declare-fun k.259 () Int)
(declare-fun k.255 () Int)
(declare-fun lockStatus_0.42 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1. () Int)
(declare-fun lockStatus_1.42 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun k.258 () Int)
(declare-fun lockStatus_0.44 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.44 () Int)
(declare-fun k.256 () Int)
(declare-fun k.257 () Int)
(declare-fun lockStatus_0.43 () Int)
(declare-fun call34257formal.ret.0 () Int)
(declare-fun lockStatus_1.43 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.6.myVar_0.0 () Int)
(declare-fun k.253 () Int)
(declare-fun errorReached.134 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.254 () Int)
(declare-fun errorReached.135 () Int)
(declare-fun call33986formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.8 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.10 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.9 () Int)
(declare-fun k.252 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2. () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2. () Int)
(declare-fun reqCompleted_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23. () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.5 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2. () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 () Int)
(declare-fun inline.GetRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.56.0.2. () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3. () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0 () Int)
(declare-fun inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.3 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun reqCancelSet_0 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun call33843formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4. () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.GetRequestContext.2..result.GetRequestContext.56.0.1..1 () Int)
(declare-fun inline.GetRequestContext.2..result.GetRequestContext.56.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3. () Int)
(declare-fun inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3. () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1. () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2. () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.3 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6. () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2. () Int)
(declare-fun inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..3 () Int)
(declare-fun inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2. () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1. () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.GetRequestContext.8..result.GetRequestContext.56.0.1..3 () Int)
(declare-fun inline.GetRequestContext.8..result.GetRequestContext.56.0.1. () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2. () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28. () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 () Int)
(declare-fun inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..result.GetRequestContext.183.34.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..result.GetRequestContext.183.34.1. () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.6 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.3 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3. () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.17 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0 () Int)
(declare-fun inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.17 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.7 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.7 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun k.24 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8. () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun errorReached.16 () Int)
(declare-fun inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.4 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.GetRequestContext.5..result.GetRequestContext.56.0.1..3 () Int)
(declare-fun inline.GetRequestContext.5..result.GetRequestContext.56.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun reqCompleted_1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2. () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21. () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.5 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.5 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.6 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..3 () Int)
(declare-fun inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2. () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12. () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.3 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5. () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10. () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1. () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer () Int)
(declare-fun inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1. () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1 () Int)
(declare-fun inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7. () Int)
(declare-fun inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.6 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 () Int)
(declare-fun inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2. () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22. () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3. () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6. () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1. () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1. () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1. () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1. () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1. () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.3 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun reqCancelSet_1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13. () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30. () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun call16954formal.new.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2. () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0 () Int)
(declare-fun call35145formal.new.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.7 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.6 () Int)
(declare-fun call16957formal.new.0 () Int)
(declare-fun call35208formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.7 () Int)
(declare-fun call35295formal.ret.0 () Int)
(declare-fun myNondetVar_1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2. () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.5 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun myNondetVar_2.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0 () Int)
(declare-fun call35423formal.ret.0 () Int)
(declare-fun k.26 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 () Int)
(declare-fun call35617formal.ret.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 () Int)
(declare-fun call35563formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 () Int)
(declare-fun k.29 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.8 () Int)
(declare-fun call16960formal.new.0 () Int)
(declare-fun call35745formal.new.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0 () Int)
(declare-fun call35799formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun k.31 () Int)
(declare-fun errorReached.19 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun call35919formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.8 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun k.33 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun call35989formal.ret.0 () Int)
(declare-fun call36109formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.9 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call36180formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.12 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0 () Int)
(declare-fun call36245formal.ret.0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun call36284formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.12 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.13 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.11 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..0 () Int)
(declare-fun call36481formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0 () Int)
(declare-fun k.34 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun k.36 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun call36619formal.ret.0 () Int)
(declare-fun call36739formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.13 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.14 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call36842formal.ret.0 () Int)
(declare-fun call36799formal.new.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.16 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun reqCompleted_0.10 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.2 () Int)
(declare-fun inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 () Int)
(declare-fun reqCancelSet_0.16 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.4 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetChildQueueContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 () Int)
(declare-fun inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.GetRequestContext.2..result.GetRequestContext.56.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 () Int)
(declare-fun inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 () Int)
(declare-fun inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 () Int)
(declare-fun inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.4 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 () Int)
(declare-fun inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.GetRequestContext.8..result.GetRequestContext.56.0.1..2 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0 () Int)
(declare-fun inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 () Int)
(declare-fun inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..result.GetRequestContext.183.34.1..0 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.16 () Int)
(declare-fun inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.16 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun lockStatus_1.41 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.6 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun k.251 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0 () Int)
(declare-fun inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun errorReached.133 () Int)
(declare-fun inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.GetRequestContext.5..result.GetRequestContext.56.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun reqCompleted_1.10 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 () Int)
(declare-fun inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.GetDeviceContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.4 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 () Int)
(declare-fun inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 () Int)
(declare-fun inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0 () Int)
(declare-fun inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.4 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 () Int)
(declare-fun lockStatus_0.41 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 () Int)
(declare-fun inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0 () Int)
(declare-fun inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 () Int)
(declare-fun inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 () Int)
(declare-fun inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0 () Int)
(declare-fun inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 () Int)
(declare-fun inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun reqCancelSet_1.16 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 () Int)
(declare-fun inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 () Int)
(declare-fun inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 () Int)
(declare-fun inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.20.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.31.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.29.myNondetVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.GetDeviceContext.28.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun reqCancelSet_0.7 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 () Int)
(declare-fun inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.19.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun lockStatus_0.24 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.32.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.1 () Int)
(declare-fun inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun call28395formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.GetRequestContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.GetRequestContext.8..result.GetRequestContext.56.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun errorReached.83 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.1 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.15 () Int)
(declare-fun inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun k.157 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun reqCompleted_1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun call32916formal.new.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..1 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.GetDeviceContext.30.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.27.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.4 () Int)
(declare-fun inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.21.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun lockStatus_1.24 () Int)
(declare-fun inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun reqCancelSet_1.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun k.153 () Int)
(declare-fun lockStatus_1.21 () Int)
(declare-fun lockStatus_0.21 () Int)
(declare-fun k.156 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.2 () Int)
(declare-fun lockStatus_1.23 () Int)
(declare-fun call33680formal.ret.0 () Int)
(declare-fun lockStatus_0.23 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun k.154 () Int)
(declare-fun k.155 () Int)
(declare-fun lockStatus_0.22 () Int)
(declare-fun call33628formal.ret.0 () Int)
(declare-fun lockStatus_1.22 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.6.myVar_0.0 () Int)
(declare-fun k.151 () Int)
(declare-fun errorReached.81 () Int)
(declare-fun k.152 () Int)
(declare-fun call33359formal.ret.0 () Int)
(declare-fun errorReached.82 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.18 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.19 () Int)
(declare-fun k.150 () Int)
(declare-fun call33239formal.ret.0 () Int)
(declare-fun k.148 () Int)
(declare-fun errorReached.79 () Int)
(declare-fun k.149 () Int)
(declare-fun errorReached.80 () Int)
(declare-fun call33042formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.16 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.15 () Int)
(declare-fun k.147 () Int)
(declare-fun k.145 () Int)
(declare-fun errorReached.77 () Int)
(declare-fun k.146 () Int)
(declare-fun errorReached.78 () Int)
(declare-fun call32714formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.13 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.12 () Int)
(declare-fun k.144 () Int)
(declare-fun k.140 () Int)
(declare-fun lockStatus_1.18 () Int)
(declare-fun lockStatus_0.18 () Int)
(declare-fun k.143 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.2 () Int)
(declare-fun lockStatus_1.20 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.20 () Int)
(declare-fun k.141 () Int)
(declare-fun k.142 () Int)
(declare-fun lockStatus_0.19 () Int)
(declare-fun call32526formal.ret.0 () Int)
(declare-fun lockStatus_1.19 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.5.myVar_0.0 () Int)
(declare-fun errorReached.75 () Int)
(declare-fun k.138 () Int)
(declare-fun call32255formal.ret.0 () Int)
(declare-fun errorReached.76 () Int)
(declare-fun k.139 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.10 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.9 () Int)
(declare-fun k.137 () Int)
(declare-fun k.135 () Int)
(declare-fun k.136 () Int)
(declare-fun lockStatus_0.15 () Int)
(declare-fun lockStatus_1.15 () Int)
(declare-fun k.131 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.2 () Int)
(declare-fun lockStatus_0.17 () Int)
(declare-fun call32085formal.ret.0 () Int)
(declare-fun lockStatus_1.17 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun k.134 () Int)
(declare-fun k.132 () Int)
(declare-fun k.133 () Int)
(declare-fun lockStatus_0.16 () Int)
(declare-fun lockStatus_1.16 () Int)
(declare-fun call32033formal.ret.0 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.5.myVar_0.0 () Int)
(declare-fun k.129 () Int)
(declare-fun errorReached.73 () Int)
(declare-fun k.130 () Int)
(declare-fun call31764formal.ret.0 () Int)
(declare-fun errorReached.74 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.7 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.6 () Int)
(declare-fun k.128 () Int)
(declare-fun call31644formal.ret.0 () Int)
(declare-fun errorReached.71 () Int)
(declare-fun k.126 () Int)
(declare-fun errorReached.72 () Int)
(declare-fun k.127 () Int)
(declare-fun call31447formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.4 () Int)
(declare-fun k.125 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun reqCancelSet_1.1 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun reqCancelSet_0.1 () Int)
(declare-fun k.70 () Int)
(declare-fun errorReached.42 () Int)
(declare-fun k.66 () Int)
(declare-fun errorReached.39 () Int)
(declare-fun k.69 () Int)
(declare-fun reqCancelSet_1.0 () Int)
(declare-fun errorReached.41 () Int)
(declare-fun reqCancelSet_0.0 () Int)
(declare-fun call33714formal.ret.0 () Int)
(declare-fun call28419formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.25.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.14 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.2 () Int)
(declare-fun inline.GetRequestContext.8..result.GetRequestContext.56.0.1..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun lockStatus_0.14 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun reqCompleted_0.2 () Int)
(declare-fun inline.GetDeviceContext.22.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.11 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.GetDeviceContext.23.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetChildQueueContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 () Int)
(declare-fun reqCancelSet_1.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun lockStatus_1.14 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.GetDeviceContext.26.myNondetVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun reqCancelSet_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun k.124 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.1 () Int)
(declare-fun reqCompleted_1.2 () Int)
(declare-fun errorReached.70 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun inline.GetRequestContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.24.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun k.123 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.69 () Int)
(declare-fun k.114 () Int)
(declare-fun errorReached.63 () Int)
(declare-fun k.115 () Int)
(declare-fun errorReached.68 () Int)
(declare-fun call30737formal.ret.0 () Int)
(declare-fun reqCompleted_1.1 () Int)
(declare-fun k.122 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_0.5 () Int)
(declare-fun reqCompleted_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCancelSet_1.5 () Int)
(declare-fun inline.GetRequestContext.8.myNondetVar_0.0 () Int)
(declare-fun errorReached.67 () Int)
(declare-fun k.120 () Int)
(declare-fun errorReached.65 () Int)
(declare-fun k.121 () Int)
(declare-fun reqCancelSet_1.4 () Int)
(declare-fun reqCompleted_0.0 () Int)
(declare-fun reqCompleted_1.0 () Int)
(declare-fun errorReached.66 () Int)
(declare-fun reqCancelSet_0.4 () Int)
(declare-fun call31228formal.ret.0 () Int)
(declare-fun k.117 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.2 () Int)
(declare-fun k.119 () Int)
(declare-fun k.118 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.0 () Int)
(declare-fun k.116 () Int)
(declare-fun errorReached.64 () Int)
(declare-fun call30949formal.ret.0 () Int)
(declare-fun k.112 () Int)
(declare-fun errorReached.61 () Int)
(declare-fun k.113 () Int)
(declare-fun errorReached.62 () Int)
(declare-fun call30447formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.12 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.13 () Int)
(declare-fun k.111 () Int)
(declare-fun k.107 () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun k.110 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.2 () Int)
(declare-fun lockStatus_0.13 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.13 () Int)
(declare-fun k.108 () Int)
(declare-fun k.109 () Int)
(declare-fun lockStatus_0.12 () Int)
(declare-fun call30300formal.ret.0 () Int)
(declare-fun lockStatus_1.12 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.4.myVar_0.0 () Int)
(declare-fun k.105 () Int)
(declare-fun errorReached.59 () Int)
(declare-fun k.106 () Int)
(declare-fun errorReached.60 () Int)
(declare-fun call30029formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.9 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.10 () Int)
(declare-fun k.104 () Int)
(declare-fun k.103 () Int)
(declare-fun k.102 () Int)
(declare-fun k.98 () Int)
(declare-fun k.101 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.2 () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun call29829formal.ret.0 () Int)
(declare-fun k.99 () Int)
(declare-fun call29777formal.ret.0 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun k.100 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.4.myVar_0.0 () Int)
(declare-fun k.96 () Int)
(declare-fun errorReached.57 () Int)
(declare-fun k.97 () Int)
(declare-fun errorReached.58 () Int)
(declare-fun call29508formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.6 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.7 () Int)
(declare-fun k.95 () Int)
(declare-fun call29388formal.ret.0 () Int)
(declare-fun k.93 () Int)
(declare-fun errorReached.55 () Int)
(declare-fun k.94 () Int)
(declare-fun errorReached.56 () Int)
(declare-fun call29191formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.4 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.3 () Int)
(declare-fun k.92 () Int)
(declare-fun errorReached.53 () Int)
(declare-fun k.90 () Int)
(declare-fun call28980formal.ret.0 () Int)
(declare-fun errorReached.54 () Int)
(declare-fun k.91 () Int)
(declare-fun k.88 () Int)
(declare-fun errorReached.51 () Int)
(declare-fun k.89 () Int)
(declare-fun errorReached.52 () Int)
(declare-fun call28809formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.1.myVar_0.1 () Int)
(declare-fun k.87 () Int)
(declare-fun k.68 () Int)
(declare-fun errorReached.40 () Int)
(declare-fun k.86 () Int)
(declare-fun errorReached.50 () Int)
(declare-fun call28600formal.ret.0 () Int)
(declare-fun k.67 () Int)
(declare-fun call28489formal.ret.0 () Int)
(declare-fun call28381formal.new.0 () Int)
(declare-fun errorReached.37 () Int)
(declare-fun k.64 () Int)
(declare-fun call28266formal.ret.0 () Int)
(declare-fun errorReached.38 () Int)
(declare-fun k.65 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.1.myVar_0.1 () Int)
(declare-fun k.63 () Int)
(declare-fun k.61 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun k.62 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun call28058formal.ret.0 () Int)
(declare-fun k.59 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun k.60 () Int)
(declare-fun call27904formal.ret.0 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun k.57 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun k.58 () Int)
(declare-fun call27794formal.ret.0 () Int)
(declare-fun k.55 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun k.56 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun call27542formal.ret.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7 () Int)
(declare-fun k.54 () Int)
(declare-fun k.50 () Int)
(declare-fun k.53 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.2 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.51 () Int)
(declare-fun k.52 () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun call27395formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.3.myVar_0.0 () Int)
(declare-fun k.48 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun k.49 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun call27124formal.ret.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3 () Int)
(declare-fun k.47 () Int)
(declare-fun k.46 () Int)
(declare-fun k.45 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 () Int)
(declare-fun reqCancelSet_0.3 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.0 () Int)
(declare-fun errorReached.46 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.74 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 () Int)
(declare-fun call19406formal.ret.0 () Int)
(declare-fun reqCancelSet_1.3 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_0.9 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.GetDeviceContext.18.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 () Int)
(declare-fun reqCancelSet_0.15 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.GetDeviceContext.14.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun call26087formal.new.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 () Int)
(declare-fun call21566formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun lockStatus_0.40 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.4 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 () Int)
(declare-fun inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 () Int)
(declare-fun inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0 () Int)
(declare-fun inline.GetChildQueueContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.7.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 () Int)
(declare-fun inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun errorReached.132 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.1 () Int)
(declare-fun inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 () Int)
(declare-fun inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.5.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 () Int)
(declare-fun inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.15 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.13.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 () Int)
(declare-fun inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 () Int)
(declare-fun inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.16.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 () Int)
(declare-fun k.250 () Int)
(declare-fun inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.17.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.5..result.GetRequestContext.56.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun reqCompleted_1.9 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.15.myNondetVar_0.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.3 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 () Int)
(declare-fun inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun lockStatus_1.40 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.1 () Int)
(declare-fun reqCancelSet_1.15 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 () Int)
(declare-fun inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 () Int)
(declare-fun lockStatus_0.37 () Int)
(declare-fun lockStatus_1.37 () Int)
(declare-fun k.246 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.2 () Int)
(declare-fun lockStatus_0.39 () Int)
(declare-fun lockStatus_1.39 () Int)
(declare-fun call26851formal.ret.0 () Int)
(declare-fun k.249 () Int)
(declare-fun k.247 () Int)
(declare-fun k.248 () Int)
(declare-fun lockStatus_0.38 () Int)
(declare-fun call26799formal.ret.0 () Int)
(declare-fun lockStatus_1.38 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.1 () Int)
(declare-fun inline.AcquireDpcLock.3.myVar_0.0 () Int)
(declare-fun k.244 () Int)
(declare-fun errorReached.130 () Int)
(declare-fun k.245 () Int)
(declare-fun call26530formal.ret.0 () Int)
(declare-fun errorReached.131 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.19 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.18 () Int)
(declare-fun k.243 () Int)
(declare-fun call26410formal.ret.0 () Int)
(declare-fun k.241 () Int)
(declare-fun errorReached.128 () Int)
(declare-fun k.242 () Int)
(declare-fun call26213formal.ret.0 () Int)
(declare-fun errorReached.129 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.16 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.15 () Int)
(declare-fun k.240 () Int)
(declare-fun k.238 () Int)
(declare-fun errorReached.126 () Int)
(declare-fun k.239 () Int)
(declare-fun call25885formal.ret.0 () Int)
(declare-fun errorReached.127 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.13 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.12 () Int)
(declare-fun k.237 () Int)
(declare-fun k.233 () Int)
(declare-fun lockStatus_0.34 () Int)
(declare-fun lockStatus_1.34 () Int)
(declare-fun k.236 () Int)
(declare-fun lockStatus_0.36 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_1.36 () Int)
(declare-fun k.234 () Int)
(declare-fun k.235 () Int)
(declare-fun lockStatus_0.35 () Int)
(declare-fun call25697formal.ret.0 () Int)
(declare-fun lockStatus_1.35 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.2.myVar_0.1 () Int)
(declare-fun k.231 () Int)
(declare-fun errorReached.124 () Int)
(declare-fun k.232 () Int)
(declare-fun call25426formal.ret.0 () Int)
(declare-fun errorReached.125 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.10 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.9 () Int)
(declare-fun k.230 () Int)
(declare-fun k.228 () Int)
(declare-fun k.229 () Int)
(declare-fun k.224 () Int)
(declare-fun lockStatus_1.31 () Int)
(declare-fun lockStatus_0.31 () Int)
(declare-fun k.227 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_1.33 () Int)
(declare-fun call25256formal.ret.0 () Int)
(declare-fun lockStatus_0.33 () Int)
(declare-fun k.225 () Int)
(declare-fun k.226 () Int)
(declare-fun call25204formal.ret.0 () Int)
(declare-fun lockStatus_0.32 () Int)
(declare-fun lockStatus_1.32 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.2.myVar_0.1 () Int)
(declare-fun k.222 () Int)
(declare-fun errorReached.122 () Int)
(declare-fun k.223 () Int)
(declare-fun errorReached.123 () Int)
(declare-fun call24935formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.7 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.6 () Int)
(declare-fun k.221 () Int)
(declare-fun call24815formal.ret.0 () Int)
(declare-fun k.219 () Int)
(declare-fun errorReached.120 () Int)
(declare-fun k.220 () Int)
(declare-fun errorReached.121 () Int)
(declare-fun call24618formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.4 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.3 () Int)
(declare-fun k.218 () Int)
(declare-fun reqCancelSet_0.11 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 () Int)
(declare-fun reqCancelSet_1.11 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun reqCompleted_0.5 () Int)
(declare-fun k.184 () Int)
(declare-fun errorReached.102 () Int)
(declare-fun reqCompleted_1.5 () Int)
(declare-fun k.174 () Int)
(declare-fun reqCancelSet_1.9 () Int)
(declare-fun errorReached.95 () Int)
(declare-fun reqCancelSet_0.9 () Int)
(declare-fun k.175 () Int)
(declare-fun reqCancelSet_1.10 () Int)
(declare-fun errorReached.96 () Int)
(declare-fun call26885formal.ret.0 () Int)
(declare-fun reqCancelSet_0.10 () Int)
(declare-fun call21590formal.ret.0 () Int)
(declare-fun inline.GetDeviceContext.10.myNondetVar_0.0 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0 () Int)
(declare-fun reqCancelSet_0.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 () Int)
(declare-fun inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetRequestContext.5..result.GetRequestContext.56.0.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..0 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.8 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.GetChildQueueContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.GetDeviceContext.11.myNondetVar_0.0 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.2 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.14 () Int)
(declare-fun inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.5 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 () Int)
(declare-fun lockStatus_0.30 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun reqCancelSet_1.14 () Int)
(declare-fun lockStatus_1.30 () Int)
(declare-fun inline.GetDeviceContext.9.myNondetVar_0.0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 () Int)
(declare-fun reqCompleted_0.8 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.3 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.1 () Int)
(declare-fun inline.GetDeviceContext.12.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeviceContext.8.myNondetVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.3 () Int)
(declare-fun k.217 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 () Int)
(declare-fun inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun errorReached.119 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun reqCompleted_1.8 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0 () Int)
(declare-fun k.209 () Int)
(declare-fun errorReached.114 () Int)
(declare-fun k.207 () Int)
(declare-fun errorReached.112 () Int)
(declare-fun k.208 () Int)
(declare-fun call23908formal.ret.0 () Int)
(declare-fun errorReached.113 () Int)
(declare-fun inline.GetRequestContext.5.myNondetVar_0.0 () Int)
(declare-fun reqCompleted_1.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCancelSet_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleted_0.7 () Int)
(declare-fun inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.3 () Int)
(declare-fun reqCancelSet_1.13 () Int)
(declare-fun k.216 () Int)
(declare-fun errorReached.118 () Int)
(declare-fun errorReached.116 () Int)
(declare-fun k.214 () Int)
(declare-fun call24399formal.ret.0 () Int)
(declare-fun reqCancelSet_1.12 () Int)
(declare-fun reqCompleted_0.6 () Int)
(declare-fun reqCompleted_1.6 () Int)
(declare-fun errorReached.117 () Int)
(declare-fun reqCancelSet_0.12 () Int)
(declare-fun k.215 () Int)
(declare-fun k.211 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.2 () Int)
(declare-fun k.213 () Int)
(declare-fun k.212 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.0 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.1 () Int)
(declare-fun errorReached.115 () Int)
(declare-fun k.210 () Int)
(declare-fun call24120formal.ret.0 () Int)
(declare-fun errorReached.110 () Int)
(declare-fun k.205 () Int)
(declare-fun call23618formal.ret.0 () Int)
(declare-fun errorReached.111 () Int)
(declare-fun k.206 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.13 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.12 () Int)
(declare-fun k.204 () Int)
(declare-fun k.200 () Int)
(declare-fun lockStatus_0.27 () Int)
(declare-fun lockStatus_1.27 () Int)
(declare-fun k.203 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.2 () Int)
(declare-fun lockStatus_0.29 () Int)
(declare-fun lockStatus_1.29 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.201 () Int)
(declare-fun k.202 () Int)
(declare-fun lockStatus_0.28 () Int)
(declare-fun lockStatus_1.28 () Int)
(declare-fun call23471formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.0 () Int)
(declare-fun inline.ReleaseDpcLock.1.myVar_0.1 () Int)
(declare-fun errorReached.108 () Int)
(declare-fun k.198 () Int)
(declare-fun call23200formal.ret.0 () Int)
(declare-fun errorReached.109 () Int)
(declare-fun k.199 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.10 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.9 () Int)
(declare-fun k.197 () Int)
(declare-fun k.196 () Int)
(declare-fun k.195 () Int)
(declare-fun k.191 () Int)
(declare-fun k.194 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.2 () Int)
(declare-fun lockStatus_1.26 () Int)
(declare-fun lockStatus_0.26 () Int)
(declare-fun call23000formal.ret.0 () Int)
(declare-fun k.192 () Int)
(declare-fun k.193 () Int)
(declare-fun lockStatus_0.25 () Int)
(declare-fun call22948formal.ret.0 () Int)
(declare-fun lockStatus_1.25 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.0 () Int)
(declare-fun inline.AcquireDpcLock.1.myVar_0.1 () Int)
(declare-fun k.189 () Int)
(declare-fun errorReached.106 () Int)
(declare-fun k.190 () Int)
(declare-fun errorReached.107 () Int)
(declare-fun call22679formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.7 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.6 () Int)
(declare-fun k.188 () Int)
(declare-fun call22559formal.ret.0 () Int)
(declare-fun k.186 () Int)
(declare-fun errorReached.104 () Int)
(declare-fun k.187 () Int)
(declare-fun errorReached.105 () Int)
(declare-fun call22362formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.3 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.4 () Int)
(declare-fun k.185 () Int)
(declare-fun k.182 () Int)
(declare-fun errorReached.101 () Int)
(declare-fun k.183 () Int)
(declare-fun call22151formal.ret.0 () Int)
(declare-fun errorReached.103 () Int)
(declare-fun k.180 () Int)
(declare-fun errorReached.99 () Int)
(declare-fun k.181 () Int)
(declare-fun errorReached.100 () Int)
(declare-fun call21980formal.ret.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.0 () Int)
(declare-fun inline.EvtRequestChildCancel.0.myVar_0.1 () Int)
(declare-fun k.179 () Int)
(declare-fun k.177 () Int)
(declare-fun errorReached.97 () Int)
(declare-fun k.178 () Int)
(declare-fun errorReached.98 () Int)
(declare-fun call21771formal.ret.0 () Int)
(declare-fun k.176 () Int)
(declare-fun call21660formal.ret.0 () Int)
(declare-fun call21552formal.new.0 () Int)
(declare-fun k.172 () Int)
(declare-fun errorReached.93 () Int)
(declare-fun k.173 () Int)
(declare-fun errorReached.94 () Int)
(declare-fun call21437formal.ret.0 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.1 () Int)
(declare-fun inline.MarkRequestCancelableReturnLocked.0.myVar_0.0 () Int)
(declare-fun k.171 () Int)
(declare-fun k.169 () Int)
(declare-fun errorReached.91 () Int)
(declare-fun k.170 () Int)
(declare-fun call21229formal.ret.0 () Int)
(declare-fun errorReached.92 () Int)
(declare-fun k.167 () Int)
(declare-fun errorReached.89 () Int)
(declare-fun k.168 () Int)
(declare-fun call21075formal.ret.0 () Int)
(declare-fun errorReached.90 () Int)
(declare-fun k.165 () Int)
(declare-fun errorReached.88 () Int)
(declare-fun k.166 () Int)
(declare-fun call20965formal.ret.0 () Int)
(declare-fun k.163 () Int)
(declare-fun errorReached.86 () Int)
(declare-fun k.164 () Int)
(declare-fun reqCancelSet_1.8 () Int)
(declare-fun reqCompleted_0.4 () Int)
(declare-fun reqCompleted_1.4 () Int)
(declare-fun errorReached.87 () Int)
(declare-fun call20807formal.ret.0 () Int)
(declare-fun reqCancelSet_0.8 () Int)
(declare-fun k.160 () Int)
(declare-fun k.162 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.2 () Int)
(declare-fun k.161 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.1 () Int)
(declare-fun inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.0 () Int)
(declare-fun k.158 () Int)
(declare-fun errorReached.84 () Int)
(declare-fun k.159 () Int)
(declare-fun call20528formal.ret.0 () Int)
(declare-fun errorReached.85 () Int)
(declare-fun k.84 () Int)
(declare-fun errorReached.48 () Int)
(declare-fun k.85 () Int)
(declare-fun call20225formal.ret.0 () Int)
(declare-fun errorReached.49 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13 () Int)
(declare-fun k.83 () Int)
(declare-fun k.79 () Int)
(declare-fun k.82 () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.2 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun k.80 () Int)
(declare-fun k.81 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun call20078formal.ret.0 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.1 () Int)
(declare-fun inline.ReleaseDpcLock.0.myVar_0.0 () Int)
(declare-fun k.77 () Int)
(declare-fun k.78 () Int)
(declare-fun errorReached.47 () Int)
(declare-fun call19807formal.ret.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9 () Int)
(declare-fun k.76 () Int)
(declare-fun k.75 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 () Int)
(declare-fun k.72 () Int)
(declare-fun errorReached.44 () Int)
(declare-fun k.73 () Int)
(declare-fun reqCancelSet_1.2 () Int)
(declare-fun call19446formal.ret.0 () Int)
(declare-fun errorReached.45 () Int)
(declare-fun reqCancelSet_0.2 () Int)
(declare-fun k.71 () Int)
(declare-fun errorReached.43 () Int)
(declare-fun call19292formal.ret.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 () Int)
(declare-fun k.44 () Int)
(declare-fun k.42 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun k.43 () Int)
(declare-fun call18949formal.ret.0 () Int)
(declare-fun errorReached.27 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1 () Int)
(declare-fun inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0 () Int)
(declare-fun k.41 () Int)
(declare-fun k.39 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun k.40 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun call18741formal.ret.0 () Int)
(declare-fun k.37 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun k.38 () Int)
(declare-fun call18636formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun myNondetVar_0.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.10 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun k.32 () Int)
(declare-fun call35992formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun k.30 () Int)
(declare-fun call35802formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 () Int)
(declare-fun k.28 () Int)
(declare-fun call35620formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.1 () Int)
(declare-fun k.25 () Int)
(declare-fun call35426formal.ret.0 () Int)
(declare-fun call36930formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.14 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun k.35 () Int)
(declare-fun call36622formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 () Int)
(declare-fun k.27 () Int)
(declare-fun call36484formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.4 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.1 () Int)
(declare-fun k.20 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 () Int)
(declare-fun inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1. () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.3 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0 () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun k.23 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.2 () Int)
(declare-fun call18488formal.ret.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun k.21 () Int)
(declare-fun k.22 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun call18436formal.ret.0 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.AcquireDpcLock.0.myVar_0.0 () Int)
(declare-fun k.18 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.19 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun call18167formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.5 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.7 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.6 () Int)
(declare-fun k.17 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 () Int)
(declare-fun inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2. () Int)
(declare-fun call18047formal.ret.0 () Int)
(declare-fun k.15 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.16 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun call17850formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.3 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.4 () Int)
(declare-fun k.14 () Int)
(declare-fun k.12 () Int)
(declare-fun errorReached.11 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2. () Int)
(declare-fun k.13 () Int)
(declare-fun call17656formal.ret.0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedIncrement.0.myNondetVar_0.1 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.2 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myNondetVar_0.0 () Int)
(declare-fun k.10 () Int)
(declare-fun errorReached.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.11 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun call17469formal.ret.0 () Int)
(declare-fun k.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.7 () Int)
(declare-fun k.9 () Int)
(declare-fun call17299formal.ret.0 () Int)
(declare-fun errorReached.8 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.EvtIoChildDeviceControl.0.myVar_0.0 () Int)
(declare-fun k.7 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.6 () Int)
(declare-fun errorReached.6 () Int)
(declare-fun call17091formal.ret.0 () Int)
(declare-fun call16942formal.new.0 () Int)
(declare-fun call16945formal.new.0 () Int)
(declare-fun call16948formal.new.0 () Int)
(declare-fun call16951formal.new.0 () Int)
(declare-fun k.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.3 () Int)
(declare-fun k.3 () Int)
(declare-fun call16741formal.ret.0 () Int)
(declare-fun errorReached.4 () Int)
(declare-fun k.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.1 () Int)
(declare-fun errorReached.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.2 () Int)
(declare-fun errorReached.2 () Int)
(declare-fun call16521formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.0 () Int)
(declare-fun errorReached.0 () Int)
(declare-fun call16301formal.ret.0 () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.unused_WDFDEVICE__) nameType) (= (type T.unused_WDFDPC__) nameType) (= (type T.unused_WDFDRIVER__) nameType) (= (type T.unused_WDFIOTARGET__) nameType) (= (type T.unused_WDFMEMORY__) nameType) (= (type T.unused_WDFQUEUE__) nameType) (= (type T.unused_WDFREQUEST__) nameType) (= (type T.unused_WDFSPINLOCK__) nameType) (= (type T.unused_WDFTIMER__) nameType) (= (type T.unused_WDFWAITLOCK__) nameType) (= (type T.unused_WDFWORKITEM__) nameType) (= (type T.ParentDevice__CHILD_QUEUE_CONTEXT) nameType) (= (type T.ParentQueue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Queue__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Notify__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Event__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequest__CHILD_QUEUE_CONTEXT) nameType) (= (type T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT) nameType) (= (type T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT) nameType) (= (type T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT) nameType) (= (type T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT) nameType) (= (type T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.Device__DEVICE_CONTEXT) nameType) (= (type T.DefaultQueue__DEVICE_CONTEXT) nameType) (= (type T.ConfigurationLock__DEVICE_CONTEXT) nameType) (= (type T.ReConfigureQueue__DEVICE_CONTEXT) nameType) (= (type T.MultipleQueues__DEVICE_CONTEXT) nameType) (= (type T.AutoForwarding__DEVICE_CONTEXT) nameType) (= (type T.DispatchType__DEVICE_CONTEXT) nameType) (= (type T.PreviousReconfigurePurge__DEVICE_CONTEXT) nameType) (= (type T.Buffer__DEVICE_CONTEXT) nameType) (= (type T.Length__DEVICE_CONTEXT) nameType) (= (type T.DpcLock__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceTimer__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItem__DEVICE_CONTEXT) nameType) (= (type T.ControlDeviceWorkItemState__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningThread__DEVICE_CONTEXT) nameType) (= (type T.DpcLockOwningCallersAddress__DEVICE_CONTEXT) nameType) (= (type T.QueueMode__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT) nameType) (= (type T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT) nameType) (= (type T.__unnamed_4_dfcb1314__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.MappedUserBufferMdl__REQUEST_CONTEXT) nameType) (= (type T.MappedType3InputMdl__REQUEST_CONTEXT) nameType) (= (type T.QueueContext__REQUEST_CONTEXT) nameType) (= (type T.Cleanup__REQUEST_CONTEXT) nameType) (= (type T.Presented__REQUEST_CONTEXT) nameType) (= (type T.Cancellable__REQUEST_CONTEXT) nameType) (= (type T.Canceled__REQUEST_CONTEXT) nameType) (= (type T.CanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.ContextCleanupCalled__REQUEST_CONTEXT) nameType) (= (type T.PowerStopped__REQUEST_CONTEXT) nameType) (= (type T.PowerResumed__REQUEST_CONTEXT) nameType) (= (type T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) nameType) (= (type T.Dpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Queue__TIMER_DPC_CONTEXT) nameType) (= (type T.TestDpc__TIMER_DPC_CONTEXT) nameType) (= (type T.Driver__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverFlags__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverTag__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverName__WDF_DRIVER_GLOBALS) nameType) (= (type T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS) nameType) (= (type T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.Size__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Type__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Parameters__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Size__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Flags__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Timeout__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Buffer___unnamed_12_9675b19c) nameType) (= (type T.Offset___unnamed_12_9675b19c) nameType) (= (type T.Length___unnamed_12_9675b19c) nameType) (= (type T.Buffer___unnamed_12_a41ee278) nameType) (= (type T.Length___unnamed_12_a41ee278) nameType) (= (type T.Offset___unnamed_12_a41ee278) nameType) (= (type T.Buffer___unnamed_12_e5e4e6f3) nameType) (= (type T.Length___unnamed_12_e5e4e6f3) nameType) (= (type T.Offset___unnamed_12_e5e4e6f3) nameType) (= (type T.Argument1___unnamed_16_28d48018) nameType) (= (type T.Argument2___unnamed_16_28d48018) nameType) (= (type T.Argument3___unnamed_16_28d48018) nameType) (= (type T.Argument4___unnamed_16_28d48018) nameType) (= (type T.Abandoned___unnamed_1_7fe4cdbd) nameType) (= (type T.Absolute___unnamed_1_7fe4cdbd) nameType) (= (type T.NpxIrql___unnamed_1_7fe4cdbd) nameType) (= (type T.Signalling___unnamed_1_7fe4cdbd) nameType) (= (type T.Size___unnamed_1_a19e9f98) nameType) (= (type T.Hand___unnamed_1_a19e9f98) nameType) (= (type T.Inserted___unnamed_1_a536060f) nameType) (= (type T.DebugActive___unnamed_1_a536060f) nameType) (= (type T.DpcActive___unnamed_1_a536060f) nameType) (= (type T.IoControlCode___unnamed_24_52bbd12f) nameType) (= (type T.Input___unnamed_24_52bbd12f) nameType) (= (type T.Output___unnamed_24_52bbd12f) nameType) (= (type T.Write___unnamed_24_a2447d05) nameType) (= (type T.Read___unnamed_24_a2447d05) nameType) (= (type T.Ioctl___unnamed_24_a2447d05) nameType) (= (type T.Others___unnamed_24_a2447d05) nameType) (= (type T.Usb___unnamed_24_a2447d05) nameType) (= (type T.Ptr___unnamed_4_442e007e) nameType) (= (type T.Value___unnamed_4_442e007e) nameType) (= (type T.Status___unnamed_4_6a857cdd) nameType) (= (type T.Pointer___unnamed_4_6a857cdd) nameType) (= (type T.Type___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a19e9f98___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a536060f___unnamed_4_b1953259) nameType) (= (type T.Ptr___unnamed_4_b617aa5a) nameType) (= (type T.Value___unnamed_4_b617aa5a) nameType) (= (type T.Ptr___unnamed_4_d6f0159b) nameType) (= (type T.Value___unnamed_4_d6f0159b) nameType) (= (type T.Completion___unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_b1953259___unnamed_4_dfcb1314) nameType) (= (type T.Lock___unnamed_4_dfcb1314) nameType) (= (type T.Ptr___unnamed_4_fbcc5fb9) nameType) (= (type T.Value___unnamed_4_fbcc5fb9) nameType) (= (type T.Buffer___unnamed_8_20ce6f92) nameType) (= (type T.Offset___unnamed_8_20ce6f92) nameType) (= (type T.A13CHAR) nameType) (= (type T.A32CHAR) nameType) (= (type T.CHAR) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F2) nameType) (= (type T.FEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA13CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF1) nameType) (= (type T.PF2) nameType) (= (type T.PFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PINT4) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PPINT4) nameType) (= (type T.PPPVOID) nameType) (= (type T.PPPWDFMEMORY__) nameType) (= (type T.PPP_MDL) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PPWDFDEVICE__) nameType) (= (type T.PPWDFIOTARGET__) nameType) (= (type T.PPWDFMEMORY__) nameType) (= (type T.PPWDFQUEUE__) nameType) (= (type T.PPWDFREQUEST__) nameType) (= (type T.PPWDFSPINLOCK__) nameType) (= (type T.PPWDFTIMER__) nameType) (= (type T.PPWDFWORKITEM__) nameType) (= (type T.PP_CHILD_QUEUE_CONTEXT) nameType) (= (type T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.PP_DEVICE_CONTEXT) nameType) (= (type T.PP_KTHREAD) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_REQUEST_CONTEXT) nameType) (= (type T.PP_TIMER_DPC_CONTEXT) nameType) (= (type T.PP_WDF_DRIVER_GLOBALS) nameType) (= (type T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.PP_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.PP_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWDFDEVICE__) nameType) (= (type T.PWDFDPC__) nameType) (= (type T.PWDFDRIVER__) nameType) (= (type T.PWDFIOTARGET__) nameType) (= (type T.PWDFMEMORY__) nameType) (= (type T.PWDFQUEUE__) nameType) (= (type T.PWDFREQUEST__) nameType) (= (type T.PWDFSPINLOCK__) nameType) (= (type T.PWDFTIMER__) nameType) (= (type T.PWDFWAITLOCK__) nameType) (= (type T.PWDFWORKITEM__) nameType) (= (type T.P_CHILD_QUEUE_CONTEXT) nameType) (= (type T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T.P_DEVICE_CONTEXT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_MM_PAGE_PRIORITY) nameType) (= (type T.P_REQUEST_CONTEXT) nameType) (= (type T.P_TIMER_DPC_CONTEXT) nameType) (= (type T.P_WDF_DEVICE_IO_TYPE) nameType) (= (type T.P_WDF_DRIVER_GLOBALS) nameType) (= (type T.P_WDF_EXECUTION_LEVEL) nameType) (= (type T.P_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.P_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.P_WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T.P_WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WORKITEM_STATE) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT4) nameType) (= (type T.VOID) nameType) (= (type T.WDFDEVICE__) nameType) (= (type T.WDFDPC__) nameType) (= (type T.WDFDRIVER__) nameType) (= (type T.WDFIOTARGET__) nameType) (= (type T.WDFMEMORY__) nameType) (= (type T.WDFQUEUE__) nameType) (= (type T.WDFREQUEST__) nameType) (= (type T.WDFSPINLOCK__) nameType) (= (type T.WDFTIMER__) nameType) (= (type T.WDFWAITLOCK__) nameType) (= (type T.WDFWORKITEM__) nameType) (= (type T._CHILD_QUEUE_CONTEXT) nameType) (= (type T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT) nameType) (= (type T._DEVICE_CONTEXT) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._EPROCESS) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._KEVENT) nameType) (= (type T._KTHREAD) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._MDL) nameType) (= (type T._MM_PAGE_PRIORITY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._QUEUE_MODE) nameType) (= (type T._REQUEST_CONTEXT) nameType) (= (type T._TIMER_DPC_CONTEXT) nameType) (= (type T._WDF_DEVICE_IO_TYPE) nameType) (= (type T._WDF_DRIVER_GLOBALS) nameType) (= (type T._WDF_EXECUTION_LEVEL) nameType) (= (type T._WDF_IO_QUEUE_DISPATCH_TYPE) nameType) (= (type T._WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T._WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T._WDF_REQUEST_TYPE) nameType) (= (type T._WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T._WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WORKITEM_STATE) nameType) (= (type T.__unnamed_12_9675b19c) nameType) (= (type T.__unnamed_12_a41ee278) nameType) (= (type T.__unnamed_12_e5e4e6f3) nameType) (= (type T.__unnamed_16_28d48018) nameType) (= (type T.__unnamed_1_7fe4cdbd) nameType) (= (type T.__unnamed_1_a19e9f98) nameType) (= (type T.__unnamed_1_a536060f) nameType) (= (type T.__unnamed_24_52bbd12f) nameType) (= (type T.__unnamed_24_a2447d05) nameType) (= (type T.__unnamed_4_442e007e) nameType) (= (type T.__unnamed_4_6a857cdd) nameType) (= (type T.__unnamed_4_b1953259) nameType) (= (type T.__unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_4_d6f0159b) nameType) (= (type T.__unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_dfcb1314) nameType) (= (type T.__unnamed_4_fbcc5fb9) nameType) (= (type T.__unnamed_8_20ce6f92) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) ?v_0) :pattern ((x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXT ?arg020)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXT ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) ?v_0) :pattern ((x_S_Buffer__DEVICE_CONTEXTInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXT ?arg022)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXT ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) ?v_0) :pattern ((x_S_Canceled__REQUEST_CONTEXTInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXT ?arg024)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXT ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) ?v_0) :pattern ((x_S_Cancellable__REQUEST_CONTEXTInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXT ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) ?v_0) :pattern ((x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) ?v_0) :pattern ((x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) ?v_0) :pattern ((x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) ?v_0) :pattern ((x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) ?v_0) :pattern ((x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXT ?arg036)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXT ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_Device__DEVICE_CONTEXTInv ?arg037)) ?v_0) :pattern ((x_S_Device__DEVICE_CONTEXTInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXT ?arg038)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXT ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) ?v_0) :pattern ((x_S_DispatchType__DEVICE_CONTEXTInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) ?v_0) :pattern ((x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXT ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) ?v_0) :pattern ((x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXT ?arg044)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXT ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) ?v_0) :pattern ((x_S_DpcLock__DEVICE_CONTEXTInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) ?v_0) :pattern ((x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXT ?arg050)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXT ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_Length__DEVICE_CONTEXTInv ?arg051)) ?v_0) :pattern ((x_S_Length__DEVICE_CONTEXTInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXT ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) ?v_0) :pattern ((x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) ?v_0) :pattern ((x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) ?v_0) :pattern ((x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) ?v_0) :pattern ((x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) ?v_0) :pattern ((x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXT ?arg062)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXT ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_Presented__REQUEST_CONTEXTInv ?arg063)) ?v_0) :pattern ((x_S_Presented__REQUEST_CONTEXTInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXT ?arg064)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXT ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) ?v_0) :pattern ((x_S_QueueContext__REQUEST_CONTEXTInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXT ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) ?v_0) :pattern ((x_S_Queue__TIMER_DPC_CONTEXTInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) ?v_0) :pattern ((x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) ?v_0) :pattern ((x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONS ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) ?v_0) :pattern ((x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cdd ?arg074)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cdd ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cddInv ?arg075)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cddInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) ?v_0) :pattern ((x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) ?v_0) :pattern ((x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg083)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.unused_WDFDEVICE__ T.unused_WDFDPC__ T.unused_WDFDRIVER__ T.unused_WDFIOTARGET__ T.unused_WDFMEMORY__ T.unused_WDFQUEUE__ T.unused_WDFREQUEST__ T.unused_WDFSPINLOCK__ T.unused_WDFTIMER__ T.unused_WDFWAITLOCK__ T.unused_WDFWORKITEM__ T.ParentDevice__CHILD_QUEUE_CONTEXT T.ParentQueue__CHILD_QUEUE_CONTEXT T.Queue__CHILD_QUEUE_CONTEXT T.Notify__CHILD_QUEUE_CONTEXT T.Event__CHILD_QUEUE_CONTEXT T.CurrentRequest__CHILD_QUEUE_CONTEXT T.CurrentRequestStatus__CHILD_QUEUE_CONTEXT T.MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT T.NumberOfPowerStop__CHILD_QUEUE_CONTEXT T.NumberOfPowerResume__CHILD_QUEUE_CONTEXT T.Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.Device__DEVICE_CONTEXT T.DefaultQueue__DEVICE_CONTEXT T.ConfigurationLock__DEVICE_CONTEXT T.ReConfigureQueue__DEVICE_CONTEXT T.MultipleQueues__DEVICE_CONTEXT T.AutoForwarding__DEVICE_CONTEXT T.DispatchType__DEVICE_CONTEXT T.PreviousReconfigurePurge__DEVICE_CONTEXT T.Buffer__DEVICE_CONTEXT T.Length__DEVICE_CONTEXT T.DpcLock__DEVICE_CONTEXT T.ControlDeviceTimer__DEVICE_CONTEXT T.ControlDeviceWorkItem__DEVICE_CONTEXT T.ControlDeviceWorkItemState__DEVICE_CONTEXT T.DeviceLockOwningThread__DEVICE_CONTEXT T.DeviceLockOwningCallersAddress__DEVICE_CONTEXT T.DpcLockOwningThread__DEVICE_CONTEXT T.DpcLockOwningCallersAddress__DEVICE_CONTEXT T.QueueMode__DEVICE_CONTEXT T.WorkItemToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT T.WorkItemToChangeQueueConfiguration__DEVICE_CONTEXT T.WorkItemStateToChangeQueueConfiguration__DEVICE_CONTEXT T.__unnamed_4_dfcb1314__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Header__KEVENT T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.MappedUserBufferMdl__REQUEST_CONTEXT T.MappedType3InputMdl__REQUEST_CONTEXT T.QueueContext__REQUEST_CONTEXT T.Cleanup__REQUEST_CONTEXT T.Presented__REQUEST_CONTEXT T.Cancellable__REQUEST_CONTEXT T.Canceled__REQUEST_CONTEXT T.CanceledOnQueue__REQUEST_CONTEXT T.ContextCleanupCalled__REQUEST_CONTEXT T.PowerStopped__REQUEST_CONTEXT T.PowerResumed__REQUEST_CONTEXT T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT T.Dpc__TIMER_DPC_CONTEXT T.Queue__TIMER_DPC_CONTEXT T.TestDpc__TIMER_DPC_CONTEXT T.Driver__WDF_DRIVER_GLOBALS T.DriverFlags__WDF_DRIVER_GLOBALS T.DriverTag__WDF_DRIVER_GLOBALS T.DriverName__WDF_DRIVER_GLOBALS T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO T.Size__WDF_REQUEST_COMPLETION_PARAMS T.Type__WDF_REQUEST_COMPLETION_PARAMS T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS T.Parameters__WDF_REQUEST_COMPLETION_PARAMS T.Size__WDF_REQUEST_SEND_OPTIONS T.Flags__WDF_REQUEST_SEND_OPTIONS T.Timeout__WDF_REQUEST_SEND_OPTIONS T.Buffer___unnamed_12_9675b19c T.Offset___unnamed_12_9675b19c T.Length___unnamed_12_9675b19c T.Buffer___unnamed_12_a41ee278 T.Length___unnamed_12_a41ee278 T.Offset___unnamed_12_a41ee278 T.Buffer___unnamed_12_e5e4e6f3 T.Length___unnamed_12_e5e4e6f3 T.Offset___unnamed_12_e5e4e6f3 T.Argument1___unnamed_16_28d48018 T.Argument2___unnamed_16_28d48018 T.Argument3___unnamed_16_28d48018 T.Argument4___unnamed_16_28d48018 T.Abandoned___unnamed_1_7fe4cdbd T.Absolute___unnamed_1_7fe4cdbd T.NpxIrql___unnamed_1_7fe4cdbd T.Signalling___unnamed_1_7fe4cdbd T.Size___unnamed_1_a19e9f98 T.Hand___unnamed_1_a19e9f98 T.Inserted___unnamed_1_a536060f T.DebugActive___unnamed_1_a536060f T.DpcActive___unnamed_1_a536060f T.IoControlCode___unnamed_24_52bbd12f T.Input___unnamed_24_52bbd12f T.Output___unnamed_24_52bbd12f T.Write___unnamed_24_a2447d05 T.Read___unnamed_24_a2447d05 T.Ioctl___unnamed_24_a2447d05 T.Others___unnamed_24_a2447d05 T.Usb___unnamed_24_a2447d05 T.Ptr___unnamed_4_442e007e T.Value___unnamed_4_442e007e T.Status___unnamed_4_6a857cdd T.Pointer___unnamed_4_6a857cdd T.Type___unnamed_4_b1953259 T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 T.__unnamed_1_a19e9f98___unnamed_4_b1953259 T.__unnamed_1_a536060f___unnamed_4_b1953259 T.Ptr___unnamed_4_b617aa5a T.Value___unnamed_4_b617aa5a T.Ptr___unnamed_4_d6f0159b T.Value___unnamed_4_d6f0159b T.Completion___unnamed_4_de25a30d T.__unnamed_4_b1953259___unnamed_4_dfcb1314 T.Lock___unnamed_4_dfcb1314 T.Ptr___unnamed_4_fbcc5fb9 T.Value___unnamed_4_fbcc5fb9 T.Buffer___unnamed_8_20ce6f92 T.Offset___unnamed_8_20ce6f92 T.A13CHAR T.A32CHAR T.CHAR T.F0 T.F1 T.F2 T.FEVT_WDF_REQUEST_CANCEL T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE T.INT2 T.INT4 T.INT8 T.PA13CHAR T.PCHAR T.PF0 T.PF1 T.PF2 T.PFEVT_WDF_REQUEST_CANCEL T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PINT4 T.PPCHAR T.PPFEVT_WDF_REQUEST_CANCEL T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PPINT4 T.PPPVOID T.PPPWDFMEMORY__ T.PPP_MDL T.PPUINT4 T.PPVOID T.PPWDFDEVICE__ T.PPWDFIOTARGET__ T.PPWDFMEMORY__ T.PPWDFQUEUE__ T.PPWDFREQUEST__ T.PPWDFSPINLOCK__ T.PPWDFTIMER__ T.PPWDFWORKITEM__ T.PP_CHILD_QUEUE_CONTEXT T.PP_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.PP_DEVICE_CONTEXT T.PP_KTHREAD T.PP_MDL T.PP_REQUEST_CONTEXT T.PP_TIMER_DPC_CONTEXT T.PP_WDF_DRIVER_GLOBALS T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO T.PP_WDF_REQUEST_COMPLETION_PARAMS T.PP_WDF_REQUEST_SEND_OPTIONS T.PUCHAR T.PUINT4 T.PVOID T.PWDFDEVICE__ T.PWDFDPC__ T.PWDFDRIVER__ T.PWDFIOTARGET__ T.PWDFMEMORY__ T.PWDFQUEUE__ T.PWDFREQUEST__ T.PWDFSPINLOCK__ T.PWDFTIMER__ T.PWDFWAITLOCK__ T.PWDFWORKITEM__ T.P_CHILD_QUEUE_CONTEXT T.P_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T.P_DEVICE_CONTEXT T.P_EPROCESS T.P_KTHREAD T.P_LIST_ENTRY T.P_MDL T.P_MM_PAGE_PRIORITY T.P_REQUEST_CONTEXT T.P_TIMER_DPC_CONTEXT T.P_WDF_DEVICE_IO_TYPE T.P_WDF_DRIVER_GLOBALS T.P_WDF_EXECUTION_LEVEL T.P_WDF_OBJECT_CONTEXT_TYPE_INFO T.P_WDF_REQUEST_COMPLETION_PARAMS T.P_WDF_REQUEST_SEND_OPTIONS T.P_WDF_SYNCHRONIZATION_SCOPE T.P_WDF_USB_REQUEST_COMPLETION_PARAMS T.P_WORKITEM_STATE T.UCHAR T.UINT4 T.VOID T.WDFDEVICE__ T.WDFDPC__ T.WDFDRIVER__ T.WDFIOTARGET__ T.WDFMEMORY__ T.WDFQUEUE__ T.WDFREQUEST__ T.WDFSPINLOCK__ T.WDFTIMER__ T.WDFWAITLOCK__ T.WDFWORKITEM__ T._CHILD_QUEUE_CONTEXT T._DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT T._DEVICE_CONTEXT T._DISPATCHER_HEADER T._EPROCESS T._IO_STATUS_BLOCK T._KEVENT T._KTHREAD T._LIST_ENTRY T._MDL T._MM_PAGE_PRIORITY T._POOL_TYPE T._QUEUE_MODE T._REQUEST_CONTEXT T._TIMER_DPC_CONTEXT T._WDF_DEVICE_IO_TYPE T._WDF_DRIVER_GLOBALS T._WDF_EXECUTION_LEVEL T._WDF_IO_QUEUE_DISPATCH_TYPE T._WDF_OBJECT_CONTEXT_TYPE_INFO T._WDF_REQUEST_COMPLETION_PARAMS T._WDF_REQUEST_SEND_OPTIONS T._WDF_REQUEST_TYPE T._WDF_SYNCHRONIZATION_SCOPE T._WDF_USB_REQUEST_COMPLETION_PARAMS T._WORKITEM_STATE T.__unnamed_12_9675b19c T.__unnamed_12_a41ee278 T.__unnamed_12_e5e4e6f3 T.__unnamed_16_28d48018 T.__unnamed_1_7fe4cdbd T.__unnamed_1_a19e9f98 T.__unnamed_1_a536060f T.__unnamed_24_52bbd12f T.__unnamed_24_a2447d05 T.__unnamed_4_442e007e T.__unnamed_4_6a857cdd T.__unnamed_4_b1953259 T.__unnamed_4_b617aa5a T.__unnamed_4_d6f0159b T.__unnamed_4_de25a30d T.__unnamed_4_dfcb1314 T.__unnamed_4_fbcc5fb9 T.__unnamed_8_20ce6f92 (int_2_U EvtRequestChildCancel) (int_2_U EvtRequestCompletionRoutine) (int_2_U G_ExecutionLevel) (int_2_U G_IoType) (int_2_U G_RandomNumberSeed) (int_2_U G_SynchronizationScope) (int_2_U WdfDriverGlobals) (int_2_U x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO) (int_2_U x_WDF_DEVICE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO) (int_2_U hbuffer) (int_2_U hdctx) (int_2_U hdevice) (int_2_U hln) (int_2_U hln2) (int_2_U hln3) (int_2_U hlock) (int_2_U hmdl) (int_2_U hmemory) (int_2_U hqctx) (int_2_U hqueue) (int_2_U hrctx) (int_2_U hrequest) (int_2_U htctx) (int_2_U htimer) (int_2_U notused_4hbuffer) (int_2_U notused_4hmdl) (int_2_U notused_4hmemory) (int_2_U notused_ctx) (int_2_U notused_hrequest) (int_2_U pnotused)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25)) ?x25) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x25))) )) (forall ((?x26 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) ?x26) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15) (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?S15)) )) (forall ((?x31 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31) (+ ?x31 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?x31)) )) (forall ((?x32 Int)) (! (= (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32) (- ?x32 20)) :pattern ((BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 20 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 20) (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXTInv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 20)) )) (forall ((?x35 Int)) (! (= (Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35)) ?x35) :pattern ((Buffer__DEVICE_CONTEXTInv (Buffer__DEVICE_CONTEXT ?x35))) )) (forall ((?x36 Int)) (! (= (Buffer__DEVICE_CONTEXT (Buffer__DEVICE_CONTEXTInv ?x36)) ?x36) :pattern ((Buffer__DEVICE_CONTEXTInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXT ?S18) (int_2_U (Buffer__DEVICE_CONTEXT (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_Buffer__DEVICE_CONTEXT ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Buffer__DEVICE_CONTEXTInv ?S19) (int_2_U (Buffer__DEVICE_CONTEXTInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_Buffer__DEVICE_CONTEXTInv ?S19)) )) (forall ((?x41 Int)) (! (= (Buffer__DEVICE_CONTEXT ?x41) (+ ?x41 28)) :pattern ((Buffer__DEVICE_CONTEXT ?x41)) )) (forall ((?x42 Int)) (! (= (Buffer__DEVICE_CONTEXTInv ?x42) (- ?x42 28)) :pattern ((Buffer__DEVICE_CONTEXTInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1) (Buffer__DEVICE_CONTEXTInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 28) (Buffer__DEVICE_CONTEXTInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 28)) )) (forall ((?x45 Int)) (! (= (Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45)) ?x45) :pattern ((Canceled__REQUEST_CONTEXTInv (Canceled__REQUEST_CONTEXT ?x45))) )) (forall ((?x46 Int)) (! (= (Canceled__REQUEST_CONTEXT (Canceled__REQUEST_CONTEXTInv ?x46)) ?x46) :pattern ((Canceled__REQUEST_CONTEXTInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXT ?S22) (int_2_U (Canceled__REQUEST_CONTEXT (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_Canceled__REQUEST_CONTEXT ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Canceled__REQUEST_CONTEXTInv ?S23) (int_2_U (Canceled__REQUEST_CONTEXTInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_Canceled__REQUEST_CONTEXTInv ?S23)) )) (forall ((?x51 Int)) (! (= (Canceled__REQUEST_CONTEXT ?x51) (+ ?x51 15)) :pattern ((Canceled__REQUEST_CONTEXT ?x51)) )) (forall ((?x52 Int)) (! (= (Canceled__REQUEST_CONTEXTInv ?x52) (- ?x52 15)) :pattern ((Canceled__REQUEST_CONTEXTInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1) (Canceled__REQUEST_CONTEXTInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 15 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 15) (Canceled__REQUEST_CONTEXTInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 15)) )) (forall ((?x55 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55)) ?x55) :pattern ((Cancellable__REQUEST_CONTEXTInv (Cancellable__REQUEST_CONTEXT ?x55))) )) (forall ((?x56 Int)) (! (= (Cancellable__REQUEST_CONTEXT (Cancellable__REQUEST_CONTEXTInv ?x56)) ?x56) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXT ?S26) (int_2_U (Cancellable__REQUEST_CONTEXT (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_Cancellable__REQUEST_CONTEXT ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancellable__REQUEST_CONTEXTInv ?S27) (int_2_U (Cancellable__REQUEST_CONTEXTInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_Cancellable__REQUEST_CONTEXTInv ?S27)) )) (forall ((?x61 Int)) (! (= (Cancellable__REQUEST_CONTEXT ?x61) (+ ?x61 14)) :pattern ((Cancellable__REQUEST_CONTEXT ?x61)) )) (forall ((?x62 Int)) (! (= (Cancellable__REQUEST_CONTEXTInv ?x62) (- ?x62 14)) :pattern ((Cancellable__REQUEST_CONTEXTInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1) (Cancellable__REQUEST_CONTEXTInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 14 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 14) (Cancellable__REQUEST_CONTEXTInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 14)) )) (forall ((?x65 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65)) ?x65) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv (ContextCleanupCalled__REQUEST_CONTEXT ?x65))) )) (forall ((?x66 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT (ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) ?x66) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXT (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_ContextCleanupCalled__REQUEST_CONTEXT ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31) (int_2_U (ContextCleanupCalled__REQUEST_CONTEXTInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_ContextCleanupCalled__REQUEST_CONTEXTInv ?S31)) )) (forall ((?x71 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXT ?x71) (+ ?x71 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXT ?x71)) )) (forall ((?x72 Int)) (! (= (ContextCleanupCalled__REQUEST_CONTEXTInv ?x72) (- ?x72 17)) :pattern ((ContextCleanupCalled__REQUEST_CONTEXTInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 17 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 17) (ContextCleanupCalled__REQUEST_CONTEXTInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 17)) )) (forall ((?x75 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75)) ?x75) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x75))) )) (forall ((?x76 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) ?x76) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXT (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35) (int_2_U (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?S35)) )) (forall ((?x81 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81) (+ ?x81 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXT ?x81)) )) (forall ((?x82 Int)) (! (= (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82) (- ?x82 36)) :pattern ((CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 36 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 36) (CurrentRequestStatus__CHILD_QUEUE_CONTEXTInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 36)) )) (forall ((?x85 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85)) ?x85) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv (CurrentRequest__CHILD_QUEUE_CONTEXT ?x85))) )) (forall ((?x86 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) ?x86) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXT ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39) (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXTInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_CurrentRequest__CHILD_QUEUE_CONTEXTInv ?S39)) )) (forall ((?x91 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXT ?x91) (+ ?x91 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXT ?x91)) )) (forall ((?x92 Int)) (! (= (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92) (- ?x92 32)) :pattern ((CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 32 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 32) (CurrentRequest__CHILD_QUEUE_CONTEXTInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 32)) )) (forall ((?x95 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95)) ?x95) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x95))) )) (forall ((?x96 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) ?x96) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43) (int_2_U (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?S43)) )) (forall ((?x101 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101) (+ ?x101 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXT ?x101)) )) (forall ((?x102 Int)) (! (= (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102) (- ?x102 56)) :pattern ((DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 56 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 56) (DeviceLockOwningCallersAddress__DEVICE_CONTEXTInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 56)) )) (forall ((?x105 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105)) ?x105) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv (DeviceLockOwningThread__DEVICE_CONTEXT ?x105))) )) (forall ((?x106 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) ?x106) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXT (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_DeviceLockOwningThread__DEVICE_CONTEXT ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47) (int_2_U (DeviceLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_DeviceLockOwningThread__DEVICE_CONTEXTInv ?S47)) )) (forall ((?x111 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXT ?x111) (+ ?x111 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXT ?x111)) )) (forall ((?x112 Int)) (! (= (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112) (- ?x112 52)) :pattern ((DeviceLockOwningThread__DEVICE_CONTEXTInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 52 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 52) (DeviceLockOwningThread__DEVICE_CONTEXTInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 52)) )) (forall ((?x115 Int)) (! (= (Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115)) ?x115) :pattern ((Device__DEVICE_CONTEXTInv (Device__DEVICE_CONTEXT ?x115))) )) (forall ((?x116 Int)) (! (= (Device__DEVICE_CONTEXT (Device__DEVICE_CONTEXTInv ?x116)) ?x116) :pattern ((Device__DEVICE_CONTEXTInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXT ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXT ?S50) (int_2_U (Device__DEVICE_CONTEXT (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_Device__DEVICE_CONTEXT ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__DEVICE_CONTEXTInv ?S51) (int_2_U (Device__DEVICE_CONTEXTInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_Device__DEVICE_CONTEXTInv ?S51)) )) (forall ((?x121 Int)) (! (= (Device__DEVICE_CONTEXT ?x121) (+ ?x121 0)) :pattern ((Device__DEVICE_CONTEXT ?x121)) )) (forall ((?x122 Int)) (! (= (Device__DEVICE_CONTEXTInv ?x122) (- ?x122 0)) :pattern ((Device__DEVICE_CONTEXTInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1) (Device__DEVICE_CONTEXTInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 0 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 0) (Device__DEVICE_CONTEXTInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 0)) )) (forall ((?x125 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125)) ?x125) :pattern ((DispatchType__DEVICE_CONTEXTInv (DispatchType__DEVICE_CONTEXT ?x125))) )) (forall ((?x126 Int)) (! (= (DispatchType__DEVICE_CONTEXT (DispatchType__DEVICE_CONTEXTInv ?x126)) ?x126) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXT ?S54) (int_2_U (DispatchType__DEVICE_CONTEXT (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_DispatchType__DEVICE_CONTEXT ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DispatchType__DEVICE_CONTEXTInv ?S55) (int_2_U (DispatchType__DEVICE_CONTEXTInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_DispatchType__DEVICE_CONTEXTInv ?S55)) )) (forall ((?x131 Int)) (! (= (DispatchType__DEVICE_CONTEXT ?x131) (+ ?x131 20)) :pattern ((DispatchType__DEVICE_CONTEXT ?x131)) )) (forall ((?x132 Int)) (! (= (DispatchType__DEVICE_CONTEXTInv ?x132) (- ?x132 20)) :pattern ((DispatchType__DEVICE_CONTEXTInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1) (DispatchType__DEVICE_CONTEXTInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 20 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 20) (DispatchType__DEVICE_CONTEXTInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 20)) )) (forall ((?x135 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135)) ?x135) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x135))) )) (forall ((?x136 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) ?x136) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXT (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXT ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59) (int_2_U (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?S59)) )) (forall ((?x141 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141) (+ ?x141 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXT ?x141)) )) (forall ((?x142 Int)) (! (= (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142) (- ?x142 64)) :pattern ((DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 64 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 64) (DpcLockOwningCallersAddress__DEVICE_CONTEXTInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 64)) )) (forall ((?x145 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145)) ?x145) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv (DpcLockOwningThread__DEVICE_CONTEXT ?x145))) )) (forall ((?x146 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT (DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) ?x146) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXT (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_DpcLockOwningThread__DEVICE_CONTEXT ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63) (int_2_U (DpcLockOwningThread__DEVICE_CONTEXTInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_DpcLockOwningThread__DEVICE_CONTEXTInv ?S63)) )) (forall ((?x151 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXT ?x151) (+ ?x151 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXT ?x151)) )) (forall ((?x152 Int)) (! (= (DpcLockOwningThread__DEVICE_CONTEXTInv ?x152) (- ?x152 60)) :pattern ((DpcLockOwningThread__DEVICE_CONTEXTInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 60 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 60) (DpcLockOwningThread__DEVICE_CONTEXTInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 60)) )) (forall ((?x155 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155)) ?x155) :pattern ((DpcLock__DEVICE_CONTEXTInv (DpcLock__DEVICE_CONTEXT ?x155))) )) (forall ((?x156 Int)) (! (= (DpcLock__DEVICE_CONTEXT (DpcLock__DEVICE_CONTEXTInv ?x156)) ?x156) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXT ?S66) (int_2_U (DpcLock__DEVICE_CONTEXT (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_DpcLock__DEVICE_CONTEXT ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcLock__DEVICE_CONTEXTInv ?S67) (int_2_U (DpcLock__DEVICE_CONTEXTInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_DpcLock__DEVICE_CONTEXTInv ?S67)) )) (forall ((?x161 Int)) (! (= (DpcLock__DEVICE_CONTEXT ?x161) (+ ?x161 36)) :pattern ((DpcLock__DEVICE_CONTEXT ?x161)) )) (forall ((?x162 Int)) (! (= (DpcLock__DEVICE_CONTEXTInv ?x162) (- ?x162 36)) :pattern ((DpcLock__DEVICE_CONTEXTInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1) (DpcLock__DEVICE_CONTEXTInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 36 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 36) (DpcLock__DEVICE_CONTEXTInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 36)) )) (forall ((?x165 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165)) ?x165) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv (Flags__WDF_REQUEST_SEND_OPTIONS ?x165))) )) (forall ((?x166 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) ?x166) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Flags__WDF_REQUEST_SEND_OPTIONS ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71) (int_2_U (Flags__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Flags__WDF_REQUEST_SEND_OPTIONSInv ?S71)) )) (forall ((?x171 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONS ?x171) (+ ?x171 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONS ?x171)) )) (forall ((?x172 Int)) (! (= (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172) (- ?x172 4)) :pattern ((Flags__WDF_REQUEST_SEND_OPTIONSInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 4) (Flags__WDF_REQUEST_SEND_OPTIONSInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 4)) )) (forall ((?x175 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175)) ?x175) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x175))) )) (forall ((?x176 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) ?x176) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S75)) )) (forall ((?x181 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181) (+ ?x181 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x181)) )) (forall ((?x182 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182) (- ?x182 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 8 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 8) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 8)) )) (forall ((?x185 Int)) (! (= (Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185)) ?x185) :pattern ((Length__DEVICE_CONTEXTInv (Length__DEVICE_CONTEXT ?x185))) )) (forall ((?x186 Int)) (! (= (Length__DEVICE_CONTEXT (Length__DEVICE_CONTEXTInv ?x186)) ?x186) :pattern ((Length__DEVICE_CONTEXTInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXT ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXT ?S78) (int_2_U (Length__DEVICE_CONTEXT (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_Length__DEVICE_CONTEXT ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__DEVICE_CONTEXTInv ?S79) (int_2_U (Length__DEVICE_CONTEXTInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_Length__DEVICE_CONTEXTInv ?S79)) )) (forall ((?x191 Int)) (! (= (Length__DEVICE_CONTEXT ?x191) (+ ?x191 32)) :pattern ((Length__DEVICE_CONTEXT ?x191)) )) (forall ((?x192 Int)) (! (= (Length__DEVICE_CONTEXTInv ?x192) (- ?x192 32)) :pattern ((Length__DEVICE_CONTEXTInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1) (Length__DEVICE_CONTEXTInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 32 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 32) (Length__DEVICE_CONTEXTInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 32)) )) (forall ((?x195 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195)) ?x195) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv (MappedType3InputMdl__REQUEST_CONTEXT ?x195))) )) (forall ((?x196 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT (MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) ?x196) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXT (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_MappedType3InputMdl__REQUEST_CONTEXT ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83) (int_2_U (MappedType3InputMdl__REQUEST_CONTEXTInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_MappedType3InputMdl__REQUEST_CONTEXTInv ?S83)) )) (forall ((?x201 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXT ?x201) (+ ?x201 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXT ?x201)) )) (forall ((?x202 Int)) (! (= (MappedType3InputMdl__REQUEST_CONTEXTInv ?x202) (- ?x202 4)) :pattern ((MappedType3InputMdl__REQUEST_CONTEXTInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 4 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 4) (MappedType3InputMdl__REQUEST_CONTEXTInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 4)) )) (forall ((?x205 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205)) ?x205) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv (MappedUserBufferMdl__REQUEST_CONTEXT ?x205))) )) (forall ((?x206 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) ?x206) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXT (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_MappedUserBufferMdl__REQUEST_CONTEXT ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87) (int_2_U (MappedUserBufferMdl__REQUEST_CONTEXTInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_MappedUserBufferMdl__REQUEST_CONTEXTInv ?S87)) )) (forall ((?x211 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXT ?x211) (+ ?x211 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXT ?x211)) )) (forall ((?x212 Int)) (! (= (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212) (- ?x212 0)) :pattern ((MappedUserBufferMdl__REQUEST_CONTEXTInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 0) (MappedUserBufferMdl__REQUEST_CONTEXTInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 0)) )) (forall ((?x215 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215)) ?x215) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x215))) )) (forall ((?x216 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) ?x216) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91) (int_2_U (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S91)) )) (forall ((?x221 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221) (+ ?x221 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x221)) )) (forall ((?x222 Int)) (! (= (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222) (- ?x222 40)) :pattern ((MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 40 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 40) (MaxNumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 40)) )) (forall ((?x225 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225)) ?x225) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x225))) )) (forall ((?x226 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) ?x226) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95) (int_2_U (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?S95)) )) (forall ((?x231 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231) (+ ?x231 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXT ?x231)) )) (forall ((?x232 Int)) (! (= (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232) (- ?x232 44)) :pattern ((NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 44 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 44) (NumberOfPresentedRequests__CHILD_QUEUE_CONTEXTInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 44)) )) (forall ((?x235 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235)) ?x235) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv (ParentDevice__CHILD_QUEUE_CONTEXT ?x235))) )) (forall ((?x236 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) ?x236) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_ParentDevice__CHILD_QUEUE_CONTEXT ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99) (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXTInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_ParentDevice__CHILD_QUEUE_CONTEXTInv ?S99)) )) (forall ((?x241 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXT ?x241) (+ ?x241 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXT ?x241)) )) (forall ((?x242 Int)) (! (= (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242) (- ?x242 0)) :pattern ((ParentDevice__CHILD_QUEUE_CONTEXTInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 0 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 0) (ParentDevice__CHILD_QUEUE_CONTEXTInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 0)) )) (forall ((?x245 Int)) (! (= (Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245)) ?x245) :pattern ((Presented__REQUEST_CONTEXTInv (Presented__REQUEST_CONTEXT ?x245))) )) (forall ((?x246 Int)) (! (= (Presented__REQUEST_CONTEXT (Presented__REQUEST_CONTEXTInv ?x246)) ?x246) :pattern ((Presented__REQUEST_CONTEXTInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXT ?S102) (int_2_U (Presented__REQUEST_CONTEXT (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_Presented__REQUEST_CONTEXT ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Presented__REQUEST_CONTEXTInv ?S103) (int_2_U (Presented__REQUEST_CONTEXTInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_Presented__REQUEST_CONTEXTInv ?S103)) )) (forall ((?x251 Int)) (! (= (Presented__REQUEST_CONTEXT ?x251) (+ ?x251 13)) :pattern ((Presented__REQUEST_CONTEXT ?x251)) )) (forall ((?x252 Int)) (! (= (Presented__REQUEST_CONTEXTInv ?x252) (- ?x252 13)) :pattern ((Presented__REQUEST_CONTEXTInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1) (Presented__REQUEST_CONTEXTInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 13 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 13) (Presented__REQUEST_CONTEXTInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 13)) )) (forall ((?x255 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255)) ?x255) :pattern ((QueueContext__REQUEST_CONTEXTInv (QueueContext__REQUEST_CONTEXT ?x255))) )) (forall ((?x256 Int)) (! (= (QueueContext__REQUEST_CONTEXT (QueueContext__REQUEST_CONTEXTInv ?x256)) ?x256) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXT ?S106) (int_2_U (QueueContext__REQUEST_CONTEXT (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_QueueContext__REQUEST_CONTEXT ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QueueContext__REQUEST_CONTEXTInv ?S107) (int_2_U (QueueContext__REQUEST_CONTEXTInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_QueueContext__REQUEST_CONTEXTInv ?S107)) )) (forall ((?x261 Int)) (! (= (QueueContext__REQUEST_CONTEXT ?x261) (+ ?x261 8)) :pattern ((QueueContext__REQUEST_CONTEXT ?x261)) )) (forall ((?x262 Int)) (! (= (QueueContext__REQUEST_CONTEXTInv ?x262) (- ?x262 8)) :pattern ((QueueContext__REQUEST_CONTEXTInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1) (QueueContext__REQUEST_CONTEXTInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 8 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 8) (QueueContext__REQUEST_CONTEXTInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 8)) )) (forall ((?x265 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265)) ?x265) :pattern ((Queue__TIMER_DPC_CONTEXTInv (Queue__TIMER_DPC_CONTEXT ?x265))) )) (forall ((?x266 Int)) (! (= (Queue__TIMER_DPC_CONTEXT (Queue__TIMER_DPC_CONTEXTInv ?x266)) ?x266) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXT ?S110) (int_2_U (Queue__TIMER_DPC_CONTEXT (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_Queue__TIMER_DPC_CONTEXT ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111) (int_2_U (Queue__TIMER_DPC_CONTEXTInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_Queue__TIMER_DPC_CONTEXTInv ?S111)) )) (forall ((?x271 Int)) (! (= (Queue__TIMER_DPC_CONTEXT ?x271) (+ ?x271 4)) :pattern ((Queue__TIMER_DPC_CONTEXT ?x271)) )) (forall ((?x272 Int)) (! (= (Queue__TIMER_DPC_CONTEXTInv ?x272) (- ?x272 4)) :pattern ((Queue__TIMER_DPC_CONTEXTInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1) (Queue__TIMER_DPC_CONTEXTInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 4) (Queue__TIMER_DPC_CONTEXTInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 4)) )) (forall ((?x275 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275)) ?x275) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x275))) )) (forall ((?x276 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) ?x276) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115) (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?S115)) )) (forall ((?x281 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281) (+ ?x281 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?x281)) )) (forall ((?x282 Int)) (! (= (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282) (- ?x282 48)) :pattern ((RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 48) (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXTInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 48)) )) (forall ((?x285 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285)) ?x285) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x285))) )) (forall ((?x286 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) ?x286) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119) (int_2_U (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?S119)) )) (forall ((?x291 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291) (+ ?x291 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT ?x291)) )) (forall ((?x292 Int)) (! (= (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292) (- ?x292 0)) :pattern ((Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 0) (Request__DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXTInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 0)) )) (forall ((?x295 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295)) ?x295) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv (Size__WDF_REQUEST_SEND_OPTIONS ?x295))) )) (forall ((?x296 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS (Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) ?x296) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONS (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_Size__WDF_REQUEST_SEND_OPTIONS ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123) (int_2_U (Size__WDF_REQUEST_SEND_OPTIONSInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_Size__WDF_REQUEST_SEND_OPTIONSInv ?S123)) )) (forall ((?x301 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONS ?x301) (+ ?x301 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONS ?x301)) )) (forall ((?x302 Int)) (! (= (Size__WDF_REQUEST_SEND_OPTIONSInv ?x302) (- ?x302 0)) :pattern ((Size__WDF_REQUEST_SEND_OPTIONSInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 0) (Size__WDF_REQUEST_SEND_OPTIONSInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 0)) )) (forall ((?x305 Int)) (! (= (Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305)) ?x305) :pattern ((Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x305))) )) (forall ((?x306 Int)) (! (= (Status___unnamed_4_6a857cdd (Status___unnamed_4_6a857cddInv ?x306)) ?x306) :pattern ((Status___unnamed_4_6a857cddInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S126) (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_Status___unnamed_4_6a857cdd ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S127) (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_Status___unnamed_4_6a857cddInv ?S127)) )) (forall ((?x311 Int)) (! (= (Status___unnamed_4_6a857cdd ?x311) (+ ?x311 0)) :pattern ((Status___unnamed_4_6a857cdd ?x311)) )) (forall ((?x312 Int)) (! (= (Status___unnamed_4_6a857cddInv ?x312) (- ?x312 0)) :pattern ((Status___unnamed_4_6a857cddInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1) (Status___unnamed_4_6a857cddInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 0 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 0) (Status___unnamed_4_6a857cddInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 0)) )) (forall ((?x315 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315)) ?x315) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x315))) )) (forall ((?x316 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) ?x316) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S131)) )) (forall ((?x321 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321) (+ ?x321 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x321)) )) (forall ((?x322 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322) (- ?x322 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 12 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 12) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 12)) )) (forall ((?x325 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325)) ?x325) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x325))) )) (forall ((?x326 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) ?x326) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135) (int_2_U (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?S135)) )) (forall ((?x331 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331) (+ ?x331 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXT ?x331)) )) (forall ((?x332 Int)) (! (= (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332) (- ?x332 76)) :pattern ((WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 76 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 76) (WorkItemStateToDeferRequestCompletion__DEVICE_CONTEXTInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 76)) )) (forall ((?x335 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335)) ?x335) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x335))) )) (forall ((?x336 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) ?x336) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139) (int_2_U (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?S139)) )) (forall ((?x341 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341) (+ ?x341 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXT ?x341)) )) (forall ((?x342 Int)) (! (= (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342) (- ?x342 72)) :pattern ((WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 72 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 72) (WorkItemToDeferRequestCompletion__DEVICE_CONTEXTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 72)) )) (forall ((?x345 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345)) ?x345) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x345))) )) (forall ((?x346 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) ?x346) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S143)) )) (forall ((?x351 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351) (+ ?x351 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x351)) )) (forall ((?x352 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352) (- ?x352 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 0) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 0)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= EvtRequestChildCancel 0)) (not (= EvtRequestCompletionRoutine 0)) (not (= G_ExecutionLevel 0)) (not (= G_IoType 0)) (not (= G_RandomNumberSeed 0)) (not (= G_SynchronizationScope 0)) (not (= WdfDriverGlobals 0)) (not (= x_WDF_CHILD_QUEUE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEFER_REQUEST_COMPLETION_WORKITEM_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_DEVICE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_TIMER_DPC_CONTEXT_TYPE_INFO 0)) (not (= hbuffer 0)) (not (= hdctx 0)) (not (= hdevice 0)) (not (= hln 0)) (not (= hln2 0)) (not (= hln3 0)) (not (= hlock 0)) (not (= hmdl 0)) (not (= hmemory 0)) (not (= hqctx 0)) (not (= hqueue 0)) (not (= hrctx 0)) (not (= hrequest 0)) (not (= htctx 0)) (not (= htimer 0)) (not (= notused_4hbuffer 0)) (not (= notused_4hmdl 0)) (not (= notused_4hmemory 0)) (not (= notused_ctx 0)) (not (= notused_hrequest 0)) (not (= pnotused 0))))
(assert (let ((?v_0 (MapType0Type intType intType)) (?v_1 (MapType0Type intType nameType))) (and (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.40) ?v_0) (= (type Mem_s_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_s_1_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_0_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_s_1_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) ?v_0) (= (type Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T._WDF_EXECUTION_LEVEL) ?v_0) (= (type Mem_s_1_T._WDF_EXECUTION_LEVEL) ?v_0) (= (type Mem_0_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type alloc.21) ?v_1) (= (type alloc.18) ?v_1) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.40) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type alloc.20) ?v_1) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.33) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.33) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.32) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.32) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.31) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.31) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.38) ?v_0) (= (type alloc.19) ?v_1) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.38) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.37) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.37) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.36) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.36) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.35) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.35) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.30) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.30) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.29) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.29) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.28) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.28) ?v_0) (= (type Mem_1_T.Device__DEVICE_CONTEXT) ?v_0) (= (type Mem_1_T.DpcLock__DEVICE_CONTEXT) ?v_0) (= (type Mem_1_T._WDF_EXECUTION_LEVEL) ?v_0) (= (type Mem_1_T._WDF_SYNCHRONIZATION_SCOPE) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_1_T.Queue__TIMER_DPC_CONTEXT) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.26) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.26) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.25) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.25) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.24) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.24) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.22) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.22) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.21) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.21) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.20) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.20) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.19) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.19) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.17) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.17) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.16) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.16) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.15) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.15) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type alloc.6) ?v_1) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) ?v_0) (= (type alloc.11) ?v_1) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type alloc.17) ?v_1) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type alloc.16) ?v_1) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.12) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.12) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) ?v_0) (= (type alloc.15) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.11) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.11) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.10) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.10) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.9) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.9) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.8) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.8) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type alloc.12) ?v_1) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.6) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.6) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.5) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.5) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type alloc.14) ?v_1) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.4) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.4) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) ?v_0) (= (type alloc.13) ?v_1) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.3) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.3) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.2) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.2) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.1) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.1) ?v_0) (= (type Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.0) ?v_0) (= (type Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.0) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_0) (= (type Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_0) (= (type alloc.10) ?v_1) (= (type alloc.9) ?v_1) (= (type alloc.8) ?v_1) (= (type alloc.7) ?v_1) (= (type alloc.0) ?v_1) (= (type alloc) ?v_1) (= (type alloc.1) ?v_1) (= (type alloc.2) ?v_1) (= (type alloc.3) ?v_1) (= (type alloc.4) ?v_1) (= (type alloc.5) ?v_1))))
(assert (let ((?v_31 (int_2_U G_ExecutionLevel)) (?v_17 (int_2_U G_SynchronizationScope)) (?v_2762 (int_2_U hrequest)) (?v_45 (not (not (= errorReached.207 0))))) (let ((?v_70 (=> true (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.40 Mem_s_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T.Device__DEVICE_CONTEXT Mem_s_1_T.Device__DEVICE_CONTEXT) (=> (= Mem_0_T.DpcLock__DEVICE_CONTEXT Mem_s_1_T.DpcLock__DEVICE_CONTEXT) (=> (= Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T.Queue__TIMER_DPC_CONTEXT Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= Mem_0_T._WDF_EXECUTION_LEVEL Mem_s_1_T._WDF_EXECUTION_LEVEL) (=> (= Mem_0_T._WDF_SYNCHRONIZATION_SCOPE Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) (=> (= reqCompleted_0.28 reqCompleted_s_1) (=> (= lockStatus_0.59 lockStatus_s_1) (=> (= reqCancelSet_0.37 reqCancelSet_s_1) (=> (= reqCancelStarted_0.1 reqCancelStarted_s_1) (=> (= reqCompleteSet_0.4 reqCompleteSet_s_1) (=> (= reqSent_0.6 reqSent_s_1) (and ?v_45 (=> ?v_45 true)))))))))))))))))))) (let ((?v_117 (=> true (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.2) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 htimer) (=> (= inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 call37389formal.ret.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.12.myNondetVar_0.3 inline.GetRequestContext.12.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0) (=> (= inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10..1) (=> (= inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqSent_1.6 reqSent_1.5) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= reqSent_0.6 reqSent_0.5) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 htimer) (=> (= inline.TimerDpc.0.myVar_0.16 inline.TimerDpc.0.myVar_0.15) (=> (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0.1) (=> (= lockStatus_1.59 lockStatus_1.58) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0) (=> (= k.385 k.384) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1) (=> (= reqCancelSet_0.37 reqCancelSet_0.36) (=> (= reqCompleted_0.28 reqCompleted_0.27) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.5) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.GetRequestContext.11..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.11..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5..0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1..2 inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1..1) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 htimer) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) (=> (= alloc.21 alloc.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 htimer) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0) (=> (= reqCompleteSet_0.4 reqCompleteSet_0.3) (=> (= inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= errorReached.207 errorReached.206) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0) (=> (= inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0.1) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 call37389formal.ret.0) (=> (= inline.ReleaseDpcLock.7.myVar_0.4 inline.ReleaseDpcLock.7.myVar_0.3) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.12..result.GetRequestContext.56.0.1..2 inline.GetRequestContext.12..result.GetRequestContext.56.0.1..1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3) (=> (= inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.2) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.AcquireDpcLock.7.myVar_0.4 inline.AcquireDpcLock.7.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.40 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 htimer) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1..2 inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1..1) (=> (= inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.5) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.4..result.GetRequestContext.183.34.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0) (=> (= inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.40 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39) (=> (= reqCompleteSet_1.4 reqCompleteSet_1.3) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8..0) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0.1) (=> (= inline.GetRequestContext.13..result.GetRequestContext.56.0.1..2 inline.GetRequestContext.13..result.GetRequestContext.56.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.11) (=> (= inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1) (=> (= reqCompleted_1.28 reqCompleted_1.27) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9..0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 htimer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0.myVar_0.5) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 call37389formal.ret.0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= reqCancelSet_1.37 reqCancelSet_1.36) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.TimerDpc.0.myVar_0.11) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23) (=> (= lockStatus_0.59 lockStatus_0.58) (=> (= inline.GetRequestContext.11..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.11..result.GetRequestContext.56.0.1..0) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.TimerDpc.0.myVar_0.8) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) ?v_70))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_328 (=> true (=> true (=> true ?v_117)))) (?v_233 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext)) (?v_234 (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus)) (?v_235 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_236 (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0)) (?v_237 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_238 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_239 (= inline.TimerDpc.0.myVar_0.15 inline.TimerDpc.0.myVar_0.11)) (?v_240 (= inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0)) (?v_241 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1)) (?v_242 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget)) (?v_243 (= inline.GetRequestContext.11..result.GetRequestContext.56.0.1..0 inline.GetRequestContext.11..result.GetRequestContext.56.0.1.)) (?v_244 (= reqCompleteSet_0.3 reqCompleteSet_0)) (?v_245 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_246 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1)) (?v_247 (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.)) (?v_248 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.)) (?v_249 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_250 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1)) (?v_251 (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0)) (?v_252 (= inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1.)) (?v_253 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.)) (?v_254 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_255 (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.)) (?v_256 (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0)) (?v_257 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_258 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_259 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_260 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1)) (?v_261 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion)) (?v_262 (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0)) (?v_263 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_264 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_265 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_266 (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_267 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_268 (= reqCompleteSet_1.3 reqCompleteSet_1)) (?v_269 (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1)) (?v_270 (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0)) (?v_271 (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.)) (?v_272 (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.)) (?v_273 (= inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer)) (?v_274 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.)) (?v_275 (= inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.)) (?v_276 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext)) (?v_277 (= inline.GetRequestContext.12..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.12..result.GetRequestContext.56.0.1.)) (?v_278 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend)) (?v_279 (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.)) (?v_280 (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_281 (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete)) (?v_282 (= inline.GetRequestContext.11..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.GetRequestContext.11..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.)) (?v_283 (= inline.FreeVerifyCanceledOnQueueBuffer.4..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.4..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer)) (?v_284 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.)) (?v_285 (= reqSent_1.5 reqSent_1)) (?v_286 (= alloc.20 alloc.18)) (?v_287 (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.)) (?v_288 (= reqSent_0.5 reqSent_0)) (?v_289 (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.)) (?v_290 (= inline.GetRequestContext.13..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.13..result.GetRequestContext.56.0.1.)) (?v_291 (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_292 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_293 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_294 (= inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer)) (?v_295 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_296 (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1)) (?v_297 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.)) (?v_298 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_299 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_300 (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget)) (?v_301 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget)) (?v_302 (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_303 (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_304 (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_305 (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget)) (?v_306 (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.)) (?v_307 (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_308 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10.)) (?v_309 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.)) (?v_310 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_311 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_312 (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_313 (= inline.FreeVerifyCanceledOnQueueBuffer.4..result.GetRequestContext.183.34.1..0 inline.FreeVerifyCanceledOnQueueBuffer.4..result.GetRequestContext.183.34.1.)) (?v_314 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.)) (?v_315 (= inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1.)) (?v_316 (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1)) (?v_317 (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion)) (?v_318 (= inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.)) (?v_319 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext)) (?v_320 (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1)) (?v_321 (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion)) (?v_322 (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1)) (?v_323 (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_324 (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete)) (?v_325 (= inline.TimerDpc.0..result.Random.2119.36.9..0 inline.TimerDpc.0..result.Random.2119.36.9.)) (?v_326 (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1)) (?v_327 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_232 (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 0)) (?v_116 (= inline.TimerDpc.0..result.Random.2116.18.8..0 call39385formal.ret.0))) (let ((?v_122 (=> true (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= inline.GetRequestContext.13.myNondetVar_0.2 inline.GetRequestContext.13.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.TimerDpc.0.myVar_0.15 inline.TimerDpc.0.myVar_0.14) (=> ?v_240 (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_243 (=> (= reqCompleteSet_0.3 reqCompleteSet_0.2) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0) (=> ?v_116 (=> ?v_250 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.4) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1..0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.GetRequestContext.12.myNondetVar_0.2 inline.GetRequestContext.12.myNondetVar_0.1) (=> ?v_257 (=> ?v_258 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0) (=> ?v_261 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.4) (=> ?v_263 (=> ?v_264 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= reqCompleteSet_1.3 reqCompleteSet_1.2) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0) (=> ?v_270 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..1 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1) (=> (= reqCompleted_0.27 reqCompleted_0.26) (=> (= inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetRequestContext.12..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.12..result.GetRequestContext.56.0.1..0) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0) (=> ?v_279 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_281 (=> ?v_282 (=> (= reqCancelSet_1.36 reqCancelSet_1.35) (=> ?v_283 (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.38) (=> (= reqSent_1.5 reqSent_1.4) (=> (= alloc.20 alloc.19) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0) (=> (= reqSent_0.5 reqSent_0.4) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1) (=> (= inline.GetRequestContext.13..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.13..result.GetRequestContext.56.0.1..0) (=> (= reqCancelSet_0.36 reqCancelSet_0.35) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= k.384 k.383) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.0 call39969formal.new.0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.1 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.38) (=> ?v_303 (=> ?v_304 (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.0 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> ?v_306 (=> (= errorReached.206 errorReached.205) (=> ?v_307 (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..1 inline.TimerDpc.0..ForwardToTarget.arg.3.10..0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_313 (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1..0) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0) (=> ?v_319 (=> ?v_320 (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..0 call39406formal.ret.0) (=> (= reqCompleted_1.27 reqCompleted_1.26) (=> ?v_326 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0) ?v_328))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_134 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleted_1.26 reqCompleted_1.25) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.38 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.37) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.13..result.GetRequestContext.56.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCancelSet_0.35 reqCancelSet_0.34) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleted_0.26 reqCompleted_0.25) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= errorReached.205 errorReached.204) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 call40651formal.ret.0) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 call40651formal.ret.0) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.38 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.37) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.3) (=> (= inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1..0 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelSet_1.35 reqCancelSet_1.34) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= k.383 k.382) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0) (=> true (=> true (=> true ?v_122)))))))))))))))))))))))))))))))))))))))) (?v_60 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hrequest))) (let ((?v_103 (not ?v_60)) (?v_124 (=> true (=> (= k.382 k.381) (=> (= reqCancelSet_1.34 reqCancelSet_1.33) (=> (= reqCompleted_0.25 reqCompleted_0.24) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 call41121formal.ret.0) (=> (= errorReached.204 errorReached.203) (=> (= reqCancelSet_0.34 reqCancelSet_0.33) (=> (= reqCompleted_1.25 reqCompleted_1.24) ?v_134))))))))) (?v_125 (= reqCancelSet_1.33 reqCancelSet_1.30))) (let ((?v_126 (=> (= reqCancelSet_0.33 reqCancelSet_0.30) (=> true ?v_124))) (?v_123 (= k.381 1))) (let ((?v_129 (not ?v_123)) (?v_121 (= k.381 0))) (let ((?v_127 (not ?v_121))) (let ((?v_128 (and (=> true (=> ?v_121 (=> true (=> ?v_125 (=> (= reqCancelSet_0.33 0) ?v_124))))) (=> true (=> ?v_127 (and (=> true (=> ?v_123 (=> true (=> (= reqCancelSet_1.33 0) ?v_126)))) (=> true (=> ?v_129 (=> true (=> ?v_125 ?v_126)))))))))) (let ((?v_132 (=> true (=> true ?v_128))) (?v_130 (= reqCompleted_0.24 reqCompleted_0.21)) (?v_131 (= reqCompleted_1.24 reqCompleted_1.21))) (let ((?v_133 (and (=> true (=> ?v_121 (=> true (=> (= reqCompleted_0.24 1) (=> ?v_131 ?v_128))))) (=> true (=> ?v_127 (and (=> true (=> ?v_123 (=> true (=> ?v_130 (=> (= reqCompleted_1.24 1) ?v_132))))) (=> true (=> ?v_129 (=> true (=> ?v_130 (=> ?v_131 ?v_132)))))))))) (?v_81 (= reqCompleted_0.21 0)) (?v_82 (= reqCompleted_1.21 0))) (let ((?v_53 (not ?v_81)) (?v_54 (not ?v_82))) (let ((?v_149 (and (=> true (=> ?v_60 (=> true (=> (<= k.380 k.381) (=> (< k.381 2) (and (=> true (=> (=> ?v_121 ?v_53) (=> (=> ?v_123 ?v_54) (=> true (=> (= errorReached.203 1) ?v_133))))) (=> true (=> (=> ?v_121 ?v_81) (=> (=> ?v_123 ?v_82) (=> true (=> (= errorReached.203 errorReached.202) (=> true ?v_133)))))))))))) (=> true (=> ?v_103 (=> true (=> (= k.382 k.380) (=> (= reqCancelSet_1.34 reqCancelSet_1.30) (=> (= reqCompleted_0.25 reqCompleted_0.21) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> (= errorReached.204 errorReached.202) (=> (= reqCancelSet_0.34 reqCancelSet_0.30) (=> (= reqCompleted_1.25 reqCompleted_1.21) (=> true (=> true (=> true (=> true (=> true (=> true ?v_134)))))))))))))))))) (?v_145 (= k.377 0)) (?v_119 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_120 (U_2_int (MapType0Select Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34 ?v_119)))) (let ((?v_146 (= ?v_120 0)) (?v_147 (= k.377 1)) (?v_141 (U_2_int (MapType0Select Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34 ?v_119)))) (let ((?v_148 (= ?v_141 0)) (?v_136 (=> true (=> (= k.380 k.379) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.37 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.36) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.2) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.37 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.36) ?v_149)))))) (?v_138 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.36 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34))) (let ((?v_139 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.36 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34) (=> true ?v_136))) (?v_137 (= k.379 1)) (?v_65 (int_2_U 0)) (?v_135 (= k.379 0))) (let ((?v_142 (=> true (=> (<= k.378 k.379) (=> (< k.379 2) (and (=> true (=> ?v_135 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.35 (MapType0Store Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34 ?v_119 ?v_65)) (=> true (=> ?v_138 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.36 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.35) ?v_136)))))) (=> true (=> (not ?v_135) (and (=> true (=> ?v_137 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.35 (MapType0Store Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34 ?v_119 ?v_65)) (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.36 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.35) ?v_139))))) (=> true (=> (not ?v_137) (=> true (=> ?v_138 ?v_139))))))))))))) (let ((?v_144 (=> true ?v_142)) (?v_143 (= k.378 1)) (?v_140 (= k.378 0))) (let ((?v_153 (and (=> true (=> (=> ?v_145 (not ?v_146)) (=> (=> ?v_147 (not ?v_148)) (=> true (=> (<= k.377 k.378) (=> (< k.378 2) (and (=> true (=> ?v_140 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.0 ?v_120) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.0) ?v_142))))) (=> true (=> (not ?v_140) (and (=> true (=> ?v_143 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.1 ?v_141) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.1) ?v_144))))) (=> true (=> (not ?v_143) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0) ?v_144)))))))))))))) (=> true (=> (=> ?v_145 ?v_146) (=> (=> ?v_147 ?v_148) (=> true (=> (= k.380 k.377) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.37 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.37 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_149))))))))))))))))))))) (let ((?v_158 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_153)))))))))) (?v_155 (= k.377 k.375)) (?v_156 (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.)) (?v_157 (= errorReached.202 errorReached.200)) (?v_109 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hdevice))) (let ((?v_160 (not ?v_109)) (?v_108 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 hqueue))) (let ((?v_159 (not ?v_108)) (?v_105 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 htimer))) (let ((?v_154 (not ?v_105)) (?v_152 (=> true (=> (= k.377 k.376) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..0 call40842formal.ret.0) (=> (= errorReached.202 errorReached.201) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_153)))))) (?v_150 (= k.376 0)) (?v_151 (= k.376 1))) (let ((?v_162 (and (=> true (=> ?v_60 (=> true (=> (<= k.375 k.376) (=> (< k.376 2) (and (=> true (=> (=> ?v_150 ?v_53) (=> (=> ?v_151 ?v_54) (=> true (=> (= errorReached.201 1) ?v_152))))) (=> true (=> (=> ?v_150 ?v_81) (=> (=> ?v_151 ?v_82) (=> true (=> (= errorReached.201 errorReached.200) (=> true ?v_152)))))))))))) (=> true (=> ?v_103 (and (=> true (=> ?v_105 (=> true (=> ?v_155 (=> ?v_156 (=> ?v_157 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_158))))))) (=> true (=> ?v_154 (and (=> true (=> ?v_108 (=> true (=> ?v_155 (=> ?v_156 (=> ?v_157 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_158))))))) (=> true (=> ?v_159 (and (=> true (=> ?v_109 (=> true (=> ?v_155 (=> ?v_156 (=> ?v_157 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_158))))))) (=> true (=> ?v_160 (=> true (=> ?v_155 (=> ?v_156 (=> ?v_157 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_158)))))))))))))))))) (?v_390 (- 0 1073741637)) (?v_161 (= call40651formal.ret.0 0))) (let ((?v_164 (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_162))) (?v_163 (= call40651formal.ret.0 1))) (let ((?v_169 (and (=> true (=> (not ?v_161) (=> (not ?v_163) ?v_164))) (=> true (=> ?v_161 (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0 ?v_390) (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_162))))))))))))))))))))))))))))))) (=> true (=> ?v_163 (=> true ?v_164)))))) (let ((?v_171 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_169)))))))) (?v_170 (= errorReached.200 errorReached.199)) (?v_167 (= k.375 k.374)) (?v_168 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 call40693formal.ret.0)) (?v_165 (= k.374 0)) (?v_166 (= k.374 1)) (?v_118 (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 0))) (let ((?v_208 (and (=> true (=> (not ?v_118) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= reqCompleted_1.26 reqCompleted_1.21) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.38 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetRequestContext.13..result.GetRequestContext.56.0.1..0 inline.GetRequestContext.13..result.GetRequestContext.56.0.1.) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= reqCancelSet_0.35 reqCancelSet_0.30) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= reqCompleted_0.26 reqCompleted_0.21) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= errorReached.205 errorReached.199) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.38 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0) (=> (= inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1..0 inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1.) (=> (= reqCancelSet_1.35 reqCancelSet_1.30) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= k.383 k.373) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetRequestContext.13.myNondetVar_0.1 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) ?v_122)))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_118 (and (=> true (=> ?v_60 (=> true (=> (<= k.373 k.374) (=> (< k.374 2) (and (=> true (=> (=> ?v_165 ?v_53) (=> (=> ?v_166 ?v_54) (=> true (=> ?v_167 (=> (= errorReached.200 1) (=> ?v_168 ?v_169))))))) (=> true (=> (=> ?v_165 ?v_81) (=> (=> ?v_166 ?v_82) (=> true (=> ?v_167 (=> ?v_170 (=> ?v_168 ?v_171))))))))))))) (=> true (=> ?v_103 (=> true (=> (= k.375 k.373) (=> ?v_170 (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) ?v_171)))))))))))) (let ((?v_217 (=> true (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= reqCompleteSet_0.2 reqCompleteSet_0.1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0) (=> (= reqSent_1.4 reqSent_1.3) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call41244formal.ret.0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1..0 inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1.) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 call41244formal.ret.0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 call41244formal.ret.0) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= k.373 k.372) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 call41244formal.ret.0) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 call41244formal.ret.0) (=> (= inline.GetRequestContext.12..result.GetRequestContext.56.0.1..0 inline.GetRequestContext.12..result.GetRequestContext.56.0.1.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= reqSent_0.4 reqSent_0.3) (=> (= reqCompleteSet_1.2 reqCompleteSet_1.1) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext) (=> (= errorReached.199 errorReached.198) (=> true ?v_208))))))))))))))))))))))))))))))))))))))))))))) (?v_219 (= reqSent_0.3 reqSent_0))) (let ((?v_220 (=> (= reqSent_1.3 reqSent_1) (=> true (=> true (=> true (=> true (=> true ?v_217))))))) (?v_214 (= k.372 k.371)) (?v_215 (= errorReached.198 errorReached.197)) (?v_216 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 call41269formal.ret.0)) (?v_213 (= call41244formal.ret.0 0))) (let ((?v_210 (=> true (=> ?v_214 (=> ?v_215 (=> (= reqSent_0.3 reqSent_0.2) (=> ?v_216 (=> (= reqSent_1.3 reqSent_1.2) ?v_217))))))) (?v_211 (= reqSent_1.2 reqSent_1))) (let ((?v_212 (=> (= reqSent_0.2 reqSent_0) (=> true ?v_210))) (?v_209 (= k.371 1)) (?v_207 (= k.371 0))) (let ((?v_218 (and (=> true (=> (not ?v_213) (and (=> true (=> ?v_207 (=> true (=> ?v_211 (=> (= reqSent_0.2 1) ?v_210))))) (=> true (=> (not ?v_207) (and (=> true (=> ?v_209 (=> true (=> (= reqSent_1.2 1) ?v_212)))) (=> true (=> (not ?v_209) (=> true (=> ?v_211 ?v_212)))))))))) (=> true (=> ?v_213 (=> true (=> ?v_214 (=> ?v_215 (=> ?v_219 (=> ?v_216 ?v_220)))))))))) (let ((?v_226 (and (=> true (=> ?v_60 (=> true (=> (<= k.370 k.371) (=> (< k.371 2) (and (=> true (=> (=> ?v_207 ?v_53) (=> (=> ?v_209 ?v_54) (=> true (=> (= errorReached.197 1) ?v_218))))) (=> true (=> (=> ?v_207 ?v_81) (=> (=> ?v_209 ?v_82) (=> true (=> (= errorReached.197 errorReached.196) (=> true ?v_218)))))))))))) (=> true (=> ?v_103 (=> true (=> (= k.372 k.370) (=> (= errorReached.198 errorReached.196) (=> ?v_219 (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) ?v_220)))))))))) (let ((?v_222 (=> true (=> (= reqCompleteSet_1.1 reqCompleteSet_1.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 call40034formal.ret.0) (=> (= errorReached.196 errorReached.195) (=> (= k.370 k.364) (=> (= reqCompleteSet_0.1 reqCompleteSet_0.0) ?v_226))))))) (?v_223 (= reqCompleteSet_1.0 reqCompleteSet_1))) (let ((?v_224 (=> (= reqCompleteSet_0.0 reqCompleteSet_0) (=> true ?v_222))) (?v_221 (= k.364 1)) (?v_206 (= k.364 0))) (let ((?v_225 (and (=> true (=> ?v_206 (=> true (=> ?v_223 (=> (= reqCompleteSet_0.0 1) ?v_222))))) (=> true (=> (not ?v_206) (and (=> true (=> ?v_221 (=> true (=> (= reqCompleteSet_1.0 1) ?v_224)))) (=> true (=> (not ?v_221) (=> true (=> ?v_223 ?v_224))))))))) (?v_205 (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 0)) (?v_180 (=> true (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= reqCompleteSet_0.2 reqCompleteSet_0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= reqSent_1.4 reqSent_1.1) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.30) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.12.myNondetVar_0.1 inline.GetRequestContext.12.myNondetVar_0.0) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.0 call40485formal.ret.0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1..0 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.34 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.30) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..0 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 call40485formal.ret.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= k.373 k.363) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..0 call40485formal.ret.0) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.3) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= inline.GetRequestContext.12..result.GetRequestContext.56.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 call40485formal.ret.0) (=> (= reqSent_0.4 reqSent_0.1) (=> (= reqCompleteSet_1.2 reqCompleteSet_1) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 call40485formal.ret.0) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= errorReached.199 errorReached.192) ?v_208))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_182 (=> (= reqSent_0.1 reqSent_0) (=> (= reqSent_1.1 reqSent_1) (=> true (=> true (=> true (=> true (=> true ?v_180)))))))) (?v_177 (= k.363 k.362)) (?v_178 (= errorReached.192 errorReached.191)) (?v_179 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 call40510formal.ret.0)) (?v_176 (= call40485formal.ret.0 0))) (let ((?v_173 (=> true (=> ?v_177 (=> ?v_178 (=> ?v_179 (=> (= reqSent_0.1 reqSent_0.0) (=> (= reqSent_1.1 reqSent_1.0) ?v_180))))))) (?v_174 (= reqSent_1.0 reqSent_1))) (let ((?v_175 (=> (= reqSent_0.0 reqSent_0) (=> true ?v_173))) (?v_172 (= k.362 1)) (?v_115 (= k.362 0))) (let ((?v_181 (and (=> true (=> (not ?v_176) (and (=> true (=> ?v_115 (=> true (=> ?v_174 (=> (= reqSent_0.0 1) ?v_173))))) (=> true (=> (not ?v_115) (and (=> true (=> ?v_172 (=> true (=> (= reqSent_1.0 1) ?v_175)))) (=> true (=> (not ?v_172) (=> true (=> ?v_174 ?v_175)))))))))) (=> true (=> ?v_176 (=> true (=> ?v_177 (=> ?v_178 (=> ?v_179 ?v_182))))))))) (let ((?v_197 (and (=> true (=> ?v_60 (=> true (=> (<= k.361 k.362) (=> (< k.362 2) (and (=> true (=> (=> ?v_115 ?v_53) (=> (=> ?v_172 ?v_54) (=> true (=> (= errorReached.191 1) ?v_181))))) (=> true (=> (=> ?v_115 ?v_81) (=> (=> ?v_172 ?v_82) (=> true (=> (= errorReached.191 errorReached.190) (=> true ?v_181)))))))))))) (=> true (=> ?v_103 (=> true (=> (= k.363 k.361) (=> (= errorReached.192 errorReached.190) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) ?v_182)))))))) (?v_193 (= k.358 0)) (?v_113 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_114 (U_2_int (MapType0Select Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 ?v_113)))) (let ((?v_194 (= ?v_114 0)) (?v_195 (= k.358 1)) (?v_189 (U_2_int (MapType0Select Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 ?v_113)))) (let ((?v_196 (= ?v_189 0)) (?v_184 (=> true (=> (= k.361 k.360) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.30 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.29) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.30 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.29) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.2) ?v_197)))))) (?v_186 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.29 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27))) (let ((?v_187 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.29 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> true ?v_184))) (?v_185 (= k.360 1)) (?v_183 (= k.360 0))) (let ((?v_190 (=> true (=> (<= k.359 k.360) (=> (< k.360 2) (and (=> true (=> ?v_183 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.28 (MapType0Store Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 ?v_113 ?v_65)) (=> true (=> ?v_186 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.29 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.28) ?v_184)))))) (=> true (=> (not ?v_183) (and (=> true (=> ?v_185 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.28 (MapType0Store Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 ?v_113 ?v_65)) (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.29 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.28) ?v_187))))) (=> true (=> (not ?v_185) (=> true (=> ?v_186 ?v_187))))))))))))) (let ((?v_192 (=> true ?v_190)) (?v_191 (= k.359 1)) (?v_188 (= k.359 0))) (let ((?v_201 (and (=> true (=> (=> ?v_193 (not ?v_194)) (=> (=> ?v_195 (not ?v_196)) (=> true (=> (<= k.358 k.359) (=> (< k.359 2) (and (=> true (=> ?v_188 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.1 ?v_114) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.1) ?v_190))))) (=> true (=> (not ?v_188) (and (=> true (=> ?v_191 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.0 ?v_189) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.0) ?v_192))))) (=> true (=> (not ?v_191) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0) ?v_192)))))))))))))) (=> true (=> (=> ?v_193 ?v_194) (=> (=> ?v_195 ?v_196) (=> true (=> (= k.361 k.358) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.30 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.30 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_197))))))))))))))))))))))))))))))))))))) (?v_202 (= k.358 k.354)) (?v_203 (= errorReached.190 errorReached.186))) (let ((?v_204 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_201))))))))))) (?v_200 (=> true (=> (= k.358 k.357) (=> (= errorReached.190 errorReached.189) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..0 call40197formal.ret.0) ?v_201)))))) (?v_198 (= k.357 0)) (?v_199 (= k.357 1)) (?v_111 (>= 16 0)) (?v_112 (int_2_U call39969formal.new.0))) (let ((?v_229 (=> true (and ?v_111 (=> ?v_111 (=> (> call39969formal.new.0 0) (=> (forall ((?x355 Int)) (! (=> (and (<= call39969formal.new.0 ?x355) (< ?x355 (+ call39969formal.new.0 16))) (= (Base ?x355) call39969formal.new.0)) :pattern ((Base ?x355)) )) (=> (forall ((?x356 boogieU)) (! (=> (= (type ?x356) intType) (or (= (U_2_int ?x356) call39969formal.new.0) (= (MapType0Select alloc.18 ?x356) (MapType0Select alloc.19 ?x356)))) :pattern ((MapType0Select alloc.19 ?x356)) )) (=> (and (= (MapType0Select alloc.18 ?v_112) UNALLOCATED) (= (MapType0Select alloc.19 ?v_112) ALLOCATED)) (and (=> true (=> (not ?v_205) (and (=> true (=> ?v_60 (=> true (=> (<= k.354 k.357) (=> (< k.357 2) (and (=> true (=> (=> ?v_198 ?v_53) (=> (=> ?v_199 ?v_54) (=> true (=> (= errorReached.189 1) ?v_200))))) (=> true (=> (=> ?v_198 ?v_81) (=> (=> ?v_199 ?v_82) (=> true (=> (= errorReached.189 errorReached.186) (=> true ?v_200)))))))))))) (=> true (=> ?v_103 (and (=> true (=> ?v_105 (=> true (=> ?v_202 (=> ?v_203 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_204)))))) (=> true (=> ?v_154 (and (=> true (=> ?v_108 (=> true (=> ?v_202 (=> ?v_203 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_204)))))) (=> true (=> ?v_159 (and (=> true (=> ?v_109 (=> true (=> ?v_202 (=> ?v_203 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_204)))))) (=> true (=> ?v_160 (=> true (=> ?v_202 (=> ?v_203 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_204)))))))))))))))))) (=> true (=> ?v_205 (and (=> true (=> ?v_60 (=> true (=> (<= k.354 k.364) (=> (< k.364 2) (and (=> true (=> (=> ?v_206 ?v_53) (=> (=> ?v_221 ?v_54) (=> true (=> (= errorReached.195 1) ?v_225))))) (=> true (=> (=> ?v_206 ?v_81) (=> (=> ?v_221 ?v_82) (=> true (=> (= errorReached.195 errorReached.186) (=> true ?v_225)))))))))))) (=> true (=> ?v_103 (=> true (=> (= reqCompleteSet_1.1 reqCompleteSet_1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= errorReached.196 errorReached.186) (=> (= k.370 k.354) (=> (= reqCompleteSet_0.1 reqCompleteSet_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_226))))))))))))))))))))))))))))))) (let ((?v_231 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_229))))))))))) (?v_230 (= k.354 1)) (?v_228 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_360 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_228))) (?v_227 (= k.354 0)) (?v_66 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_228))) (?v_110 (= (BINARY_BOTH_INT call39385formal.ret.0 13) 0)) (?v_84 (=> true (=> ?v_233 (=> ?v_234 (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.3) (=> ?v_241 (=> ?v_242 (=> (= inline.GetRequestContext.11..result.GetRequestContext.56.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_244 (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_116 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> ?v_254 (=> ?v_255 (=> ?v_256 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_259 (=> ?v_260 (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_262 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_265 (=> ?v_266 (=> ?v_267 (=> ?v_268 (=> ?v_269 (=> (= inline.GetRequestContext.11.myNondetVar_0.1 inline.GetRequestContext.11.myNondetVar_0.0) (=> ?v_271 (=> ?v_272 (=> ?v_273 (=> ?v_274 (=> (= reqCompleted_0.27 reqCompleted_0.23) (=> ?v_275 (=> ?v_276 (=> ?v_277 (=> ?v_278 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0) (=> ?v_280 (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.11..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelSet_1.36 reqCancelSet_1.32) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_284 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.33) (=> ?v_285 (=> ?v_286 (=> ?v_287 (=> ?v_288 (=> ?v_289 (=> ?v_290 (=> (= reqCancelSet_0.36 reqCancelSet_0.32) (=> ?v_291 (=> ?v_292 (=> (= k.384 k.369) (=> ?v_293 (=> ?v_294 (=> ?v_295 (=> ?v_296 (=> ?v_297 (=> ?v_298 (=> ?v_299 (=> ?v_300 (=> ?v_301 (=> ?v_302 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.33) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_305 (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0) (=> (= errorReached.206 errorReached.194) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_308 (=> ?v_309 (=> ?v_310 (=> ?v_311 (=> ?v_312 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..result.GetRequestContext.183.34.1..0 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_321 (=> ?v_322 (=> ?v_323 (=> ?v_324 (=> ?v_325 (=> (= reqCompleted_1.27 reqCompleted_1.23) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> ?v_327 ?v_117))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_72 (=> true (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 call39790formal.ret.0) (=> (= reqCancelSet_1.32 reqCancelSet_1.31) (=> (= reqCompleted_0.23 reqCompleted_0.22) (=> (= k.369 k.368) (=> (= errorReached.194 errorReached.193) (=> (= reqCancelSet_0.32 reqCancelSet_0.31) (=> (= reqCompleted_1.23 reqCompleted_1.22) ?v_84))))))))) (?v_73 (= reqCancelSet_1.31 reqCancelSet_1.30))) (let ((?v_74 (=> (= reqCancelSet_0.31 reqCancelSet_0.30) (=> true ?v_72))) (?v_71 (= k.368 1))) (let ((?v_77 (not ?v_71)) (?v_69 (= k.368 0))) (let ((?v_75 (not ?v_69))) (let ((?v_76 (and (=> true (=> ?v_69 (=> true (=> ?v_73 (=> (= reqCancelSet_0.31 0) ?v_72))))) (=> true (=> ?v_75 (and (=> true (=> ?v_71 (=> true (=> (= reqCancelSet_1.31 0) ?v_74)))) (=> true (=> ?v_77 (=> true (=> ?v_73 ?v_74)))))))))) (let ((?v_80 (=> true (=> true ?v_76))) (?v_78 (= reqCompleted_0.22 reqCompleted_0.21)) (?v_79 (= reqCompleted_1.22 reqCompleted_1.21))) (let ((?v_83 (and (=> true (=> ?v_69 (=> true (=> (= reqCompleted_0.22 1) (=> ?v_79 ?v_76))))) (=> true (=> ?v_75 (and (=> true (=> ?v_71 (=> true (=> ?v_78 (=> (= reqCompleted_1.22 1) ?v_80))))) (=> true (=> ?v_77 (=> true (=> ?v_78 (=> ?v_79 ?v_80))))))))))) (let ((?v_99 (and (=> true (=> ?v_60 (=> true (=> (<= k.367 k.368) (=> (< k.368 2) (and (=> true (=> (=> ?v_69 ?v_53) (=> (=> ?v_71 ?v_54) (=> true (=> (= errorReached.193 1) ?v_83))))) (=> true (=> (=> ?v_69 ?v_81) (=> (=> ?v_71 ?v_82) (=> true (=> (= errorReached.193 errorReached.188) (=> true ?v_83)))))))))))) (=> true (=> ?v_103 (=> true (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_1.32 reqCancelSet_1.30) (=> (= reqCompleted_0.23 reqCompleted_0.21) (=> (= k.369 k.367) (=> (= errorReached.194 errorReached.188) (=> (= reqCancelSet_0.32 reqCancelSet_0.30) (=> (= reqCompleted_1.23 reqCompleted_1.21) (=> true (=> true (=> true (=> true (=> true (=> true ?v_84)))))))))))))))))) (?v_95 (= k.356 0)) (?v_67 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_68 (U_2_int (MapType0Select Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 ?v_67)))) (let ((?v_96 (= ?v_68 0)) (?v_97 (= k.356 1)) (?v_91 (U_2_int (MapType0Select Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 ?v_67)))) (let ((?v_98 (= ?v_91 0)) (?v_86 (=> true (=> (= k.367 k.366) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.2) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.33 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.32) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.33 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.32) ?v_99)))))) (?v_88 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.32 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27))) (let ((?v_89 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.32 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> true ?v_86))) (?v_87 (= k.366 1)) (?v_85 (= k.366 0))) (let ((?v_92 (=> true (=> (<= k.365 k.366) (=> (< k.366 2) (and (=> true (=> ?v_85 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.31 (MapType0Store Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 ?v_67 ?v_65)) (=> true (=> ?v_88 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.32 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.31) ?v_86)))))) (=> true (=> (not ?v_85) (and (=> true (=> ?v_87 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.31 (MapType0Store Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 ?v_67 ?v_65)) (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.32 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.31) ?v_89))))) (=> true (=> (not ?v_87) (=> true (=> ?v_88 ?v_89))))))))))))) (let ((?v_94 (=> true ?v_92)) (?v_93 (= k.365 1)) (?v_90 (= k.365 0))) (let ((?v_104 (and (=> true (=> (=> ?v_95 (not ?v_96)) (=> (=> ?v_97 (not ?v_98)) (=> true (=> (<= k.356 k.365) (=> (< k.365 2) (and (=> true (=> ?v_90 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.0 ?v_68) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.0) ?v_92))))) (=> true (=> (not ?v_90) (and (=> true (=> ?v_93 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.1 ?v_91) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.1) ?v_94))))) (=> true (=> (not ?v_93) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0) ?v_94)))))))))))))) (=> true (=> (=> ?v_95 ?v_96) (=> (=> ?v_97 ?v_98) (=> true (=> (= k.367 k.356) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.33 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.33 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_99)))))))))))))))))))) (?v_106 (= k.356 k.353))) (let ((?v_107 (=> (= errorReached.188 errorReached.186) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_104)))))))))))) (?v_102 (=> true (=> (= k.356 k.355) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.188 errorReached.187) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..0 call39511formal.ret.0) ?v_104)))))) (?v_100 (= k.355 0)) (?v_101 (= k.355 1))) (let ((?v_347 (and (=> true (=> (not ?v_232) (and (=> true (=> (not ?v_110) (and (=> true (=> ?v_60 (=> true (=> (<= k.353 k.355) (=> (< k.355 2) (and (=> true (=> (=> ?v_100 ?v_53) (=> (=> ?v_101 ?v_54) (=> true (=> (= errorReached.187 1) ?v_102))))) (=> true (=> (=> ?v_100 ?v_81) (=> (=> ?v_101 ?v_82) (=> true (=> (= errorReached.187 errorReached.186) (=> true ?v_102)))))))))))) (=> true (=> ?v_103 (and (=> true (=> ?v_105 (=> true (=> ?v_106 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_107))))) (=> true (=> ?v_154 (and (=> true (=> ?v_108 (=> true (=> ?v_106 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_107))))) (=> true (=> ?v_159 (and (=> true (=> ?v_109 (=> true (=> ?v_106 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_107))))) (=> true (=> ?v_160 (=> true (=> ?v_106 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_107))))))))))))))))) (=> true (=> ?v_110 (=> true (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..0 (LIFT (IntEqual (BINARY_BOTH_INT call39406formal.ret.0 2) 0))) (=> true (=> (<= k.353 k.354) (=> (< k.354 2) (and (=> true (=> ?v_227 (=> (= inline.TimerDpc.0.myVar_0.12 ?v_66) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.12) ?v_229))))) (=> true (=> (not ?v_227) (and (=> true (=> ?v_230 (=> (= inline.TimerDpc.0.myVar_0.13 ?v_360) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.13) ?v_231))))) (=> true (=> (not ?v_230) (=> true (=> (= inline.TimerDpc.0.myVar_0.14 inline.TimerDpc.0.myVar_0.11) ?v_231)))))))))))))))))) (=> true (=> ?v_232 (=> true (=> ?v_233 (=> ?v_234 (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> (= inline.TimerDpc.0..result.Random.2116.18.8..0 inline.TimerDpc.0..result.Random.2116.18.8.) (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> ?v_254 (=> ?v_255 (=> ?v_256 (=> ?v_257 (=> ?v_258 (=> ?v_259 (=> ?v_260 (=> ?v_261 (=> ?v_262 (=> ?v_263 (=> ?v_264 (=> ?v_265 (=> ?v_266 (=> ?v_267 (=> ?v_268 (=> ?v_269 (=> ?v_270 (=> ?v_271 (=> ?v_272 (=> ?v_273 (=> ?v_274 (=> (= reqCompleted_0.27 reqCompleted_0.21) (=> ?v_275 (=> ?v_276 (=> ?v_277 (=> ?v_278 (=> ?v_279 (=> ?v_280 (=> ?v_281 (=> ?v_282 (=> (= reqCancelSet_1.36 reqCancelSet_1.30) (=> ?v_283 (=> ?v_284 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> ?v_285 (=> ?v_286 (=> ?v_287 (=> ?v_288 (=> ?v_289 (=> ?v_290 (=> (= reqCancelSet_0.36 reqCancelSet_0.30) (=> ?v_291 (=> ?v_292 (=> (= k.384 k.353) (=> ?v_293 (=> ?v_294 (=> ?v_295 (=> ?v_296 (=> ?v_297 (=> ?v_298 (=> ?v_299 (=> ?v_300 (=> ?v_301 (=> ?v_302 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.39 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> ?v_303 (=> ?v_304 (=> ?v_305 (=> ?v_306 (=> (= errorReached.206 errorReached.186) (=> ?v_307 (=> ?v_308 (=> ?v_309 (=> ?v_310 (=> ?v_311 (=> ?v_312 (=> ?v_313 (=> ?v_314 (=> ?v_315 (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> ?v_319 (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> ?v_323 (=> ?v_324 (=> ?v_325 (=> (= reqCompleted_1.27 reqCompleted_1.21) (=> ?v_326 (=> ?v_327 ?v_328))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_342 (= k.349 0)) (?v_28 (U_2_int (MapType0Select Mem_0_T._WDF_SYNCHRONIZATION_SCOPE ?v_17)))) (let ((?v_344 (not (= ?v_28 2)))) (let ((?v_446 (not ?v_344)) (?v_343 (= k.349 1)) (?v_29 (U_2_int (MapType0Select Mem_1_T._WDF_SYNCHRONIZATION_SCOPE ?v_17)))) (let ((?v_345 (not (= ?v_29 2)))) (let ((?v_447 (not ?v_345)) (?v_336 (=> true (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= k.353 k.352) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.7.myVar_0.2) (=> (= lockStatus_1.58 lockStatus_1.57) (=> (= lockStatus_0.58 lockStatus_0.57) (=> (= inline.ReleaseDpcLock.7.myVar_0.3 inline.ReleaseDpcLock.7.myVar_0.2) ?v_347))))))))) (?v_335 (= inline.ReleaseDpcLock.7.myVar_0.2 hlock))) (let ((?v_330 (=> true (=> (= k.352 k.351) (=> (= lockStatus_0.57 lockStatus_0.56) (=> (= lockStatus_1.57 lockStatus_1.56) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 call38815formal.ret.0) ?v_336))))))) (let ((?v_334 (=> true ?v_330)) (?v_332 (= lockStatus_0.56 lockStatus_0.55)) (?v_333 (= lockStatus_1.56 lockStatus_1.55)) (?v_331 (= k.351 1)) (?v_329 (= k.351 0))) (let ((?v_339 (and (=> true (=> ?v_335 (=> true (=> (<= k.350 k.351) (=> (< k.351 2) (and (=> true (=> ?v_329 (=> true (=> (= lockStatus_0.56 0) (=> ?v_333 ?v_330))))) (=> true (=> (not ?v_329) (and (=> true (=> ?v_331 (=> true (=> ?v_332 (=> (= lockStatus_1.56 0) ?v_334))))) (=> true (=> (not ?v_331) (=> true (=> ?v_332 (=> ?v_333 ?v_334)))))))))))))) (=> true (=> (not ?v_335) (=> true (=> (= k.352 k.350) (=> (= lockStatus_0.57 lockStatus_0.55) (=> (= lockStatus_1.57 lockStatus_1.55) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_336))))))))))))) (let ((?v_341 (=> true (=> true (=> true (=> true ?v_339))))) (?v_340 (= k.350 1)) (?v_338 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_337 (= k.350 0))) (let ((?v_346 (=> true (=> (<= k.349 k.350) (=> (< k.350 2) (and (=> true (=> ?v_337 (=> (= inline.ReleaseDpcLock.7.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_338))) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0.1) ?v_339))))) (=> true (=> (not ?v_337) (and (=> true (=> ?v_340 (=> (= inline.ReleaseDpcLock.7.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_338))) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0.0) ?v_341))))) (=> true (=> (not ?v_340) (=> true (=> (= inline.ReleaseDpcLock.7.myVar_0.2 inline.ReleaseDpcLock.7.myVar_0) ?v_341)))))))))))) (?v_36 (= (U_2_int (MapType0Select Mem_0_T._WDF_EXECUTION_LEVEL ?v_31)) 2))) (let ((?v_442 (not ?v_36)) (?v_37 (= (U_2_int (MapType0Select Mem_1_T._WDF_EXECUTION_LEVEL ?v_31)) 2))) (let ((?v_444 (not ?v_37))) (let ((?v_352 (and (=> true (=> (=> ?v_342 ?v_36) (=> (=> ?v_343 ?v_37) ?v_346))) (=> true (=> (=> ?v_342 ?v_442) (=> (=> ?v_343 ?v_444) (and (=> true (=> (=> ?v_342 ?v_344) (=> (=> ?v_343 ?v_345) (=> true (=> true ?v_346))))) (=> true (=> (=> ?v_342 ?v_446) (=> (=> ?v_343 ?v_447) (=> true (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= k.353 k.349) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.58 lockStatus_1.55) (=> (= lockStatus_0.58 lockStatus_0.55) (=> (= inline.ReleaseDpcLock.7.myVar_0.3 inline.ReleaseDpcLock.7.myVar_0) (=> true (=> true (=> true (=> true ?v_347))))))))))))))))))))) (?v_354 (= k.349 k.347)) (?v_355 (= errorReached.186 errorReached.184))) (let ((?v_356 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_352))))))))))) (?v_358 (= inline.TimerDpc.0.myVar_0.11 hdevice)) (?v_357 (= inline.TimerDpc.0.myVar_0.11 hqueue)) (?v_353 (= inline.TimerDpc.0.myVar_0.11 htimer)) (?v_351 (= inline.TimerDpc.0.myVar_0.11 hrequest)) (?v_350 (=> true (=> (= k.349 k.348) (=> (= errorReached.186 errorReached.185) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..0 call38544formal.ret.0) ?v_352)))))) (?v_348 (= k.348 0)) (?v_349 (= k.348 1))) (let ((?v_361 (and (=> true (=> ?v_351 (=> true (=> (<= k.347 k.348) (=> (< k.348 2) (and (=> true (=> (=> ?v_348 ?v_53) (=> (=> ?v_349 ?v_54) (=> true (=> (= errorReached.185 1) ?v_350))))) (=> true (=> (=> ?v_348 ?v_81) (=> (=> ?v_349 ?v_82) (=> true (=> (= errorReached.185 errorReached.184) (=> true ?v_350)))))))))))) (=> true (=> (not ?v_351) (and (=> true (=> ?v_353 (=> true (=> ?v_354 (=> ?v_355 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_356)))))) (=> true (=> (not ?v_353) (and (=> true (=> ?v_357 (=> true (=> ?v_354 (=> ?v_355 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_356)))))) (=> true (=> (not ?v_357) (and (=> true (=> ?v_358 (=> true (=> ?v_354 (=> ?v_355 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_356)))))) (=> true (=> (not ?v_358) (=> true (=> ?v_354 (=> ?v_355 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_356)))))))))))))))))) (let ((?v_363 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_361)))))))))))) (?v_362 (= k.347 1)) (?v_359 (= k.347 0))) (let ((?v_424 (=> true (=> (<= k.346 k.347) (=> (< k.347 2) (and (=> true (=> ?v_359 (=> (= inline.TimerDpc.0.myVar_0.9 ?v_66) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.9) ?v_361))))) (=> true (=> (not ?v_359) (and (=> true (=> ?v_362 (=> (= inline.TimerDpc.0.myVar_0.10 ?v_360) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.10) ?v_363))))) (=> true (=> (not ?v_362) (=> true (=> (= inline.TimerDpc.0.myVar_0.11 inline.TimerDpc.0.myVar_0.8) ?v_363)))))))))))) (?v_419 (= inline.TimerDpc.0.myNondetVar_0.1 inline.TimerDpc.0.myNondetVar_0)) (?v_420 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14)) (?v_421 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20)) (?v_422 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20)) (?v_423 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14))) (let ((?v_426 (=> true (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0..status.2.2038.18.TimerDpc.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0) (=> ?v_419 (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) (=> ?v_420 (=> ?v_421 (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.) (=> ?v_422 (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.) (=> (= reqCancelSet_1.30 reqCancelSet_1.27) (=> (= k.346 k.339) (=> ?v_232 (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= reqCancelSet_0.30 reqCancelSet_0.27) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> ?v_423 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= errorReached.184 errorReached.179) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) ?v_424))))))))))))))))))))))))))) (?v_425 (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 0)) (?v_58 (= k.339 0)) (?v_59 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_416 (= (U_2_int (MapType0Select Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_59)) 0)) (?v_417 (= k.339 1)) (?v_418 (= (U_2_int (MapType0Select Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_59)) 0)) (?v_376 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0)) (?v_377 (= inline.GetRequestContext.10.myNondetVar_0.1 inline.GetRequestContext.10.myNondetVar_0.0)) (?v_378 (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_379 (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_380 (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2)) (?v_381 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..0 call39074formal.ret.0)) (?v_382 (= reqCancelSet_1.30 reqCancelSet_1.29)) (?v_383 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_384 (= reqCancelSet_0.30 reqCancelSet_0.29)) (?v_385 (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0)) (?v_386 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_387 (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_388 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= errorReached.184 errorReached.183) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.TimerDpc.0..request.3.2039.19.TimerDpc.2) ?v_424)))))) (?v_392 (- 0 1073741536))) (let ((?v_375 (not (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_392))) (?v_365 (=> true (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.TimerDpc.0.myNondetVar_0.0) (=> ?v_376 (=> ?v_377 (=> (= inline.TimerDpc.0.myNondetVar_0.1 inline.TimerDpc.0.myNondetVar_0.0) (=> ?v_378 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) (=> ?v_379 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.23 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22) (=> ?v_380 (=> ?v_381 (=> ?v_382 (=> (= k.346 k.345) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.0 1) (=> ?v_383 (=> ?v_384 (=> ?v_385 (=> ?v_386 (=> ?v_387 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.17 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16) ?v_388))))))))))))))))))))))) (let ((?v_369 (=> true ?v_365)) (?v_367 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20)) (?v_368 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20)) (?v_366 (= k.345 1)) (?v_364 (= k.345 0))) (let ((?v_371 (=> true (=> (<= k.344 k.345) (=> (< k.345 2) (and (=> true (=> ?v_364 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_59 ?v_65)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) (=> ?v_368 ?v_365)))))) (=> true (=> (not ?v_364) (and (=> true (=> ?v_366 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 ?v_59 ?v_65)) (=> true (=> ?v_367 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.22 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.21) ?v_369)))))) (=> true (=> (not ?v_366) (=> true (=> ?v_367 (=> ?v_368 ?v_369))))))))))))) (?v_373 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14))) (let ((?v_374 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> true (=> true (=> true ?v_371))))) (?v_372 (= k.344 1)) (?v_64 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_370 (= k.344 0))) (let ((?v_391 (and (=> true (=> ?v_375 (=> true (=> (<= k.343 k.344) (=> (< k.344 2) (and (=> true (=> ?v_370 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_64 ?v_65)) (=> true (=> ?v_373 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_371)))))) (=> true (=> (not ?v_370) (and (=> true (=> ?v_372 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_64 ?v_65)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.16 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.15) ?v_374))))) (=> true (=> (not ?v_372) (=> true (=> ?v_373 ?v_374))))))))))))) (=> true (=> (not ?v_375) (=> true (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.1 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2) (=> ?v_376 (=> ?v_377 (=> ?v_419 (=> ?v_378 (=> ?v_420 (=> ?v_421 (=> ?v_379 (=> ?v_422 (=> ?v_380 (=> ?v_381 (=> ?v_382 (=> (= k.346 k.343) (=> ?v_232 (=> ?v_383 (=> ?v_384 (=> ?v_385 (=> ?v_386 (=> ?v_387 (=> ?v_423 ?v_388)))))))))))))))))))))))))) (let ((?v_393 (=> true (=> true (=> true (=> true (=> true ?v_391)))))) (?v_63 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_389 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_401 (and (=> true (=> (not ?v_389) (=> (not ?v_63) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_391))))) (=> true (=> ?v_389 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_390) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_393)))))) (=> true (=> ?v_63 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_392) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_393))))))))) (let ((?v_407 (=> true ?v_401)) (?v_406 (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call39074formal.ret.0)) (?v_396 (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 call39114formal.ret.0)) (?v_397 (= reqCancelSet_1.29 reqCancelSet_1.28)) (?v_398 (= k.343 k.342)) (?v_399 (= errorReached.183 errorReached.182)) (?v_400 (= reqCancelSet_0.29 reqCancelSet_0.28)) (?v_61 (= k.342 0)) (?v_394 (= reqCancelStarted_0.1 0)) (?v_62 (= k.342 1)) (?v_395 (= reqCancelStarted_1.1 0))) (let ((?v_402 (and (=> true (=> (=> ?v_61 (not ?v_394)) (=> (=> ?v_62 (not ?v_395)) (=> true (=> ?v_396 (=> ?v_397 (=> ?v_63 (=> ?v_398 (=> ?v_399 (=> ?v_400 ?v_401)))))))))) (=> true (=> (=> ?v_61 ?v_394) (=> (=> ?v_62 ?v_395) (=> true (=> ?v_396 (=> ?v_397 (=> ?v_406 (=> ?v_398 (=> ?v_399 (=> ?v_400 ?v_407)))))))))))) (?v_403 (= reqCancelSet_1.28 reqCancelSet_1.27))) (let ((?v_404 (=> (= reqCancelSet_0.28 reqCancelSet_0.27) (=> true (=> true ?v_402))))) (let ((?v_405 (and (=> true (=> ?v_61 (=> true (=> ?v_403 (=> (= reqCancelSet_0.28 0) ?v_402))))) (=> true (=> (not ?v_61) (and (=> true (=> ?v_62 (=> true (=> (= reqCancelSet_1.28 0) ?v_404)))) (=> true (=> (not ?v_62) (=> true (=> ?v_403 ?v_404)))))))))) (let ((?v_411 (and (=> true (=> ?v_60 (=> true (=> (<= k.341 k.342) (=> (< k.342 2) (and (=> true (=> (=> ?v_61 ?v_53) (=> (=> ?v_62 ?v_54) (=> true (=> (= errorReached.182 1) ?v_405))))) (=> true (=> (=> ?v_61 ?v_81) (=> (=> ?v_62 ?v_82) (=> true (=> (= errorReached.182 errorReached.181) (=> true ?v_405)))))))))))) (=> true (=> ?v_103 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..0 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= reqCancelSet_1.29 reqCancelSet_1.27) (=> ?v_406 (=> (= k.343 k.341) (=> (= errorReached.183 errorReached.181) (=> (= reqCancelSet_0.29 reqCancelSet_0.27) ?v_407)))))))))))) (let ((?v_415 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_411)))))))))))))))) (?v_412 (= k.341 k.339)) (?v_413 (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.)) (?v_414 (= errorReached.181 errorReached.179)) (?v_410 (=> true (=> (= k.341 k.340) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..0 call38960formal.ret.0) (=> (= errorReached.181 errorReached.180) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_411)))))) (?v_408 (= k.340 0)) (?v_409 (= k.340 1))) (let ((?v_427 (and (=> true (=> (not ?v_425) (and (=> true (=> (=> ?v_58 (not ?v_416)) (=> (=> ?v_417 (not ?v_418)) (and (=> true (=> ?v_60 (=> true (=> (<= k.339 k.340) (=> (< k.340 2) (and (=> true (=> (=> ?v_408 ?v_53) (=> (=> ?v_409 ?v_54) (=> true (=> (= errorReached.180 1) ?v_410))))) (=> true (=> (=> ?v_408 ?v_81) (=> (=> ?v_409 ?v_82) (=> true (=> (= errorReached.180 errorReached.179) (=> true ?v_410)))))))))))) (=> true (=> ?v_103 (and (=> true (=> ?v_105 (=> true (=> ?v_412 (=> ?v_413 (=> ?v_414 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_415))))))) (=> true (=> ?v_154 (and (=> true (=> ?v_108 (=> true (=> ?v_412 (=> ?v_413 (=> ?v_414 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_415))))))) (=> true (=> ?v_159 (and (=> true (=> ?v_109 (=> true (=> ?v_412 (=> ?v_413 (=> ?v_414 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_415))))))) (=> true (=> ?v_160 (=> true (=> ?v_412 (=> ?v_413 (=> ?v_414 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_415)))))))))))))))))))) (=> true (=> (=> ?v_58 ?v_416) (=> (=> ?v_417 ?v_418) ?v_426)))))) (=> true (=> ?v_425 ?v_426))))) (let ((?v_428 (=> true (=> true ?v_427)))) (let ((?v_448 (=> true (=> (<= k.338 k.339) (=> (< k.339 2) (and (=> true (=> ?v_58 (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.0 (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_64))) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc.0) ?v_427))))) (=> true (=> (not ?v_58) (and (=> true (=> ?v_417 (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.1 (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 ?v_64))) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc.1) ?v_428))))) (=> true (=> (not ?v_417) (=> true (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.2 inline.TimerDpc.0..request.3.2039.19.TimerDpc) ?v_428)))))))))))) (?v_441 (= k.334 0)) (?v_443 (= k.334 1))) (let ((?v_435 (=> true (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 call38377formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.7.myVar_0.2) (=> (= inline.AcquireDpcLock.7.myVar_0.3 inline.AcquireDpcLock.7.myVar_0.2) (=> (= k.338 k.337) (=> (= lockStatus_1.55 lockStatus_1.54) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.7.myVar_0.2) (=> (= lockStatus_0.55 lockStatus_0.54) ?v_448)))))))))) (?v_434 (= inline.AcquireDpcLock.7.myVar_0.2 hlock))) (let ((?v_430 (=> true (=> (= k.337 k.336) (=> (= lockStatus_0.54 lockStatus_0.53) (=> (= lockStatus_1.54 lockStatus_1.53) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 call38325formal.ret.0) ?v_435))))))) (let ((?v_433 (=> true ?v_430)) (?v_431 (= lockStatus_0.53 lockStatus_0.52)) (?v_432 (= lockStatus_1.53 lockStatus_1.52)) (?v_429 (= k.336 1)) (?v_57 (= k.336 0))) (let ((?v_438 (and (=> true (=> ?v_434 (=> true (=> (<= k.335 k.336) (=> (< k.336 2) (=> true (=> (=> ?v_57 (= lockStatus_0.52 0)) (=> (=> ?v_429 (= lockStatus_1.52 0)) (and (=> true (=> ?v_57 (=> true (=> (= lockStatus_0.53 1) (=> ?v_432 ?v_430))))) (=> true (=> (not ?v_57) (and (=> true (=> ?v_429 (=> true (=> ?v_431 (=> (= lockStatus_1.53 1) ?v_433))))) (=> true (=> (not ?v_429) (=> true (=> ?v_431 (=> ?v_432 ?v_433))))))))))))))))) (=> true (=> (not ?v_434) (=> true (=> (= k.337 k.335) (=> (= lockStatus_0.54 lockStatus_0.52) (=> (= lockStatus_1.54 lockStatus_1.52) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_435)))))))))))))))) (let ((?v_440 (=> true (=> true (=> true (=> true ?v_438))))) (?v_439 (= k.335 1)) (?v_437 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_436 (= k.335 0))) (let ((?v_445 (=> true (=> (<= k.334 k.335) (=> (< k.335 2) (and (=> true (=> ?v_436 (=> (= inline.AcquireDpcLock.7.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_437))) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0.0) ?v_438))))) (=> true (=> (not ?v_436) (and (=> true (=> ?v_439 (=> (= inline.AcquireDpcLock.7.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_437))) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0.1) ?v_440))))) (=> true (=> (not ?v_439) (=> true (=> (= inline.AcquireDpcLock.7.myVar_0.2 inline.AcquireDpcLock.7.myVar_0) ?v_440))))))))))))) (let ((?v_453 (and (=> true (=> (=> ?v_441 ?v_36) (=> (=> ?v_443 ?v_37) ?v_445))) (=> true (=> (=> ?v_441 ?v_442) (=> (=> ?v_443 ?v_444) (and (=> true (=> (=> ?v_441 ?v_344) (=> (=> ?v_443 ?v_345) ?v_445))) (=> true (=> (=> ?v_441 ?v_446) (=> (=> ?v_443 ?v_447) (=> true (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.7.myVar_0.3 inline.AcquireDpcLock.7.myVar_0) (=> (= k.338 k.334) (=> (= lockStatus_1.55 lockStatus_1.52) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_0.55 lockStatus_0.52) (=> true (=> true (=> true ?v_448)))))))))))))))))))))) (let ((?v_458 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_453)))))))))) (?v_455 (= k.334 k.332)) (?v_456 (= errorReached.179 errorReached.177)) (?v_457 (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.)) (?v_460 (= inline.TimerDpc.0.myVar_0.8 hdevice)) (?v_459 (= inline.TimerDpc.0.myVar_0.8 hqueue)) (?v_454 (= inline.TimerDpc.0.myVar_0.8 htimer)) (?v_452 (= inline.TimerDpc.0.myVar_0.8 hrequest)) (?v_451 (=> true (=> (= k.334 k.333) (=> (= errorReached.179 errorReached.178) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..0 call38056formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_453)))))) (?v_449 (= k.333 0)) (?v_450 (= k.333 1))) (let ((?v_462 (and (=> true (=> ?v_452 (=> true (=> (<= k.332 k.333) (=> (< k.333 2) (and (=> true (=> (=> ?v_449 ?v_53) (=> (=> ?v_450 ?v_54) (=> true (=> (= errorReached.178 1) ?v_451))))) (=> true (=> (=> ?v_449 ?v_81) (=> (=> ?v_450 ?v_82) (=> true (=> (= errorReached.178 errorReached.177) (=> true ?v_451)))))))))))) (=> true (=> (not ?v_452) (and (=> true (=> ?v_454 (=> true (=> ?v_455 (=> ?v_456 (=> ?v_457 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_458))))))) (=> true (=> (not ?v_454) (and (=> true (=> ?v_459 (=> true (=> ?v_455 (=> ?v_456 (=> ?v_457 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_458))))))) (=> true (=> (not ?v_459) (and (=> true (=> ?v_460 (=> true (=> ?v_455 (=> ?v_456 (=> ?v_457 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_458))))))) (=> true (=> (not ?v_460) (=> true (=> ?v_455 (=> ?v_456 (=> ?v_457 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_458))))))))))))))))))) (let ((?v_464 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_462)))))))))))) (?v_463 (= k.332 1)) (?v_461 (= k.332 0))) (let ((?v_469 (=> true (=> (<= k.331 k.332) (=> (< k.332 2) (and (=> true (=> ?v_461 (=> (= inline.TimerDpc.0.myVar_0.6 ?v_66) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.6) ?v_462))))) (=> true (=> (not ?v_461) (and (=> true (=> ?v_463 (=> (= inline.TimerDpc.0.myVar_0.7 ?v_360) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.7) ?v_464))))) (=> true (=> (not ?v_463) (=> true (=> (= inline.TimerDpc.0.myVar_0.8 inline.TimerDpc.0.myVar_0.5) ?v_464))))))))))))) (let ((?v_474 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_469)))))))))) (?v_471 (= k.331 k.329)) (?v_472 (= errorReached.177 errorReached.175)) (?v_473 (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2.)) (?v_476 (= inline.TimerDpc.0.myVar_0.5 hdevice)) (?v_475 (= inline.TimerDpc.0.myVar_0.5 hqueue)) (?v_470 (= inline.TimerDpc.0.myVar_0.5 htimer)) (?v_468 (= inline.TimerDpc.0.myVar_0.5 hrequest)) (?v_467 (=> true (=> (= k.331 k.330) (=> (= errorReached.177 errorReached.176) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..0 call37829formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_469)))))) (?v_465 (= k.330 0)) (?v_466 (= k.330 1))) (let ((?v_479 (and (=> true (=> ?v_468 (=> true (=> (<= k.329 k.330) (=> (< k.330 2) (and (=> true (=> (=> ?v_465 ?v_53) (=> (=> ?v_466 ?v_54) (=> true (=> (= errorReached.176 1) ?v_467))))) (=> true (=> (=> ?v_465 ?v_81) (=> (=> ?v_466 ?v_82) (=> true (=> (= errorReached.176 errorReached.175) (=> true ?v_467)))))))))))) (=> true (=> (not ?v_468) (and (=> true (=> ?v_470 (=> true (=> ?v_471 (=> ?v_472 (=> ?v_473 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_474))))))) (=> true (=> (not ?v_470) (and (=> true (=> ?v_475 (=> true (=> ?v_471 (=> ?v_472 (=> ?v_473 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_474))))))) (=> true (=> (not ?v_475) (and (=> true (=> ?v_476 (=> true (=> ?v_471 (=> ?v_472 (=> ?v_473 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_474))))))) (=> true (=> (not ?v_476) (=> true (=> ?v_471 (=> ?v_472 (=> ?v_473 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_474))))))))))))))))))) (let ((?v_481 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_479)))))))) (?v_480 (= k.329 1)) (?v_55 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_478 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_55))) (?v_477 (= k.329 0)) (?v_56 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_55)))) (let ((?v_486 (=> true (=> (<= k.328 k.329) (=> (< k.329 2) (and (=> true (=> ?v_477 (=> (= inline.TimerDpc.0.myVar_0.3 ?v_56) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.3) ?v_479))))) (=> true (=> (not ?v_477) (and (=> true (=> ?v_480 (=> (= inline.TimerDpc.0.myVar_0.4 ?v_478) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.4) ?v_481))))) (=> true (=> (not ?v_480) (=> true (=> (= inline.TimerDpc.0.myVar_0.5 inline.TimerDpc.0.myVar_0.2) ?v_481)))))))))))) (?v_482 (= k.328 0)) (?v_483 (= ?v_56 0)) (?v_484 (= k.328 1)) (?v_485 (= ?v_478 0))) (let ((?v_491 (and (=> true (=> (=> ?v_482 (not ?v_483)) (=> (=> ?v_484 (not ?v_485)) ?v_486))) (=> true (=> (=> ?v_482 ?v_483) (=> (=> ?v_484 ?v_485) ?v_486))))) (?v_493 (= k.328 k.326))) (let ((?v_494 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2.) (=> (= errorReached.175 errorReached.173) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_491)))))))))))) (?v_496 (= inline.TimerDpc.0.myVar_0.2 hdevice)) (?v_495 (= inline.TimerDpc.0.myVar_0.2 hqueue)) (?v_492 (= inline.TimerDpc.0.myVar_0.2 htimer)) (?v_490 (= inline.TimerDpc.0.myVar_0.2 hrequest)) (?v_489 (=> true (=> (= k.328 k.327) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..0 call37550formal.ret.0) (=> (= errorReached.175 errorReached.174) ?v_491)))))) (?v_487 (= k.327 0)) (?v_488 (= k.327 1))) (let ((?v_498 (and (=> true (=> ?v_490 (=> true (=> (<= k.326 k.327) (=> (< k.327 2) (and (=> true (=> (=> ?v_487 ?v_53) (=> (=> ?v_488 ?v_54) (=> true (=> (= errorReached.174 1) ?v_489))))) (=> true (=> (=> ?v_487 ?v_81) (=> (=> ?v_488 ?v_82) (=> true (=> (= errorReached.174 errorReached.173) (=> true ?v_489)))))))))))) (=> true (=> (not ?v_490) (and (=> true (=> ?v_492 (=> true (=> ?v_493 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_494))))) (=> true (=> (not ?v_492) (and (=> true (=> ?v_495 (=> true (=> ?v_493 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_494))))) (=> true (=> (not ?v_495) (and (=> true (=> ?v_496 (=> true (=> ?v_493 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_494))))) (=> true (=> (not ?v_496) (=> true (=> ?v_493 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_494))))))))))))))))) (let ((?v_500 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_498)))))))) (?v_499 (= k.326 1)) (?v_48 (int_2_U (Queue__TIMER_DPC_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_52 (U_2_int (MapType0Select Mem_1_T.Queue__TIMER_DPC_CONTEXT ?v_48))) (?v_497 (= k.326 0)) (?v_50 (U_2_int (MapType0Select Mem_0_T.Queue__TIMER_DPC_CONTEXT ?v_48)))) (let ((?v_503 (=> true (=> (<= k.325 k.326) (=> (< k.326 2) (and (=> true (=> ?v_497 (=> (= inline.TimerDpc.0.myVar_0.1 ?v_50) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0.1) ?v_498))))) (=> true (=> (not ?v_497) (and (=> true (=> ?v_499 (=> (= inline.TimerDpc.0.myVar_0.0 ?v_52) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0.0) ?v_500))))) (=> true (=> (not ?v_499) (=> true (=> (= inline.TimerDpc.0.myVar_0.2 inline.TimerDpc.0.myVar_0) ?v_500)))))))))))) (?v_49 (= k.325 0)) (?v_501 (not (= ?v_50 call37389formal.ret.0))) (?v_51 (= k.325 1)) (?v_502 (not (= ?v_52 call37389formal.ret.0)))) (let ((?v_506 (and (=> true (=> (=> ?v_49 ?v_501) (=> (=> ?v_51 ?v_502) ?v_503))) (=> true (=> (=> ?v_49 (not ?v_501)) (=> (=> ?v_51 (not ?v_502)) ?v_503))))) (?v_504 (= ?v_50 0)) (?v_505 (= ?v_52 0))) (let ((?v_510 (and (=> true (=> (=> ?v_49 (not ?v_504)) (=> (=> ?v_51 (not ?v_505)) ?v_506))) (=> true (=> (=> ?v_49 ?v_504) (=> (=> ?v_51 ?v_505) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_506)))))))))))))) (?v_512 (= k.325 k.323))) (let ((?v_513 (=> (= errorReached.173 errorReached.171) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_510)))))))))))) (?v_515 (= htimer hdevice))) (let ((?v_4599 (not ?v_515)) (?v_514 (= htimer hqueue))) (let ((?v_4598 (not ?v_514)) (?v_511 (= htimer htimer))) (let ((?v_4593 (not ?v_511)) (?v_47 (= htimer hrequest))) (let ((?v_4591 (not ?v_47)) (?v_509 (=> true (=> (= k.325 k.324) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.173 errorReached.172) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..0 call37207formal.ret.0) ?v_510)))))) (?v_507 (= k.324 0)) (?v_508 (= k.324 1)) (?v_35 (- 0 1073741823)) (?v_46 (= call37104formal.ret.0 0))) (let ((?v_526 (=> true (=> (<= 0 k.323) (=> (< k.323 2) (and (=> true (=> (not ?v_46) (=> true (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.60..result.userContextSwitch.6841.4.2.) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext1) (=> (= inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.7..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.1..result.SdvMakeChoice.7719.29.2.) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.37..result.GetDeviceContext.137.0.1.) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2..0 inline.sdv_WdfTimerGetParentObject.0..result.SdvMakeChoice.6910.62.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.12.myNondetVar_0.3 inline.GetRequestContext.12.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.62..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1..0 inline.GetTimerDpcContext.1..result.GetTimerDpcContext.50.0.1.) (=> (= inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7..1 inline.TimerDpc.0..result.sdv_WdfRequestUnmarkCancelable.2089.47.7.) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2002.29.2.) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.userContextSwitch.6841.4.2.) (=> (= inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.7..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc.0 inline.TimerDpc.0..childQueueContext.5.2041.25.TimerDpc) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.56..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.TimerDpc.0..ForwardToTarget.arg.3.10..2 inline.TimerDpc.0..ForwardToTarget.arg.3.10.) (=> (= inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.7..result.GetChildQueueContext.62.0.1.) (=> (= inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.36..result.GetDeviceContext.137.0.1.) (=> (= reqSent_1.6 reqSent_1) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.5..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= reqSent_0.6 reqSent_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.5..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.7..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.6..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.35..result.GetDeviceContext.137.0.1.) (=> (= inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.7..result.GetDeviceContext.2362.52.1.) (=> (= inline.GetRequestContext.13.myNondetVar_0.3 inline.GetRequestContext.13.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.4..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.TimerDpc.0.myVar_0.16 inline.TimerDpc.0.myVar_0) (=> (= inline.GetRequestContext.10.myNondetVar_0.2 inline.GetRequestContext.10.myNondetVar_0) (=> (= lockStatus_1.59 lockStatus_1.52) (=> (= inline.TimerDpc.0..request.3.2039.19.TimerDpc.3 inline.TimerDpc.0..request.3.2039.19.TimerDpc) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget) (=> (= inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3..2 inline.ForwardToTarget.0..result.sdv_WdfRequestSend.2011.29.3.) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.6..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext) (=> (= k.385 k.323) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.62..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.35.myNondetVar_0.1 inline.GetDeviceContext.35.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget.2 inline.ForwardToTarget.0..ret.5.1989.12.ForwardToTarget) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1) (=> (= inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.13..Handle.1.56.0.GetRequestContext) (=> (= inline.GetDeviceContext.37.myNondetVar_0.1 inline.GetDeviceContext.37.myNondetVar_0) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.7..result.userContextSwitch.8650.4.1.) (=> (= reqCancelSet_0.37 reqCancelSet_0.27) (=> (= reqCompleted_0.28 reqCompleted_0.21) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.1..result.userContextSwitch.7722.4.3.) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetChildQueueContext.7.myNondetVar_0.1 inline.GetChildQueueContext.7.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.5.myVar_0) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetRequestContext.11..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.11..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.) (=> (= inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.11..Handle.1.56.0.GetRequestContext1) (=> (= inline.TimerDpc.0..result._ReturnAddress.2075.56.5..1 inline.TimerDpc.0..result._ReturnAddress.2075.56.5.) (=> (= inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.12..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.61..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.60..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1..2 inline.FreeVerifyCanceledOnQueueBuffer.6..result.GetRequestContext.183.34.1.) (=> (= inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.7..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.62..result.userContextSwitch.6841.4.2.) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 inline.GetRequestContext.12..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.55..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> (= alloc.21 alloc.18) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.58..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc) (=> (= inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc.1 inline.TimerDpc.0..completeRequest.7.2043.12.TimerDpc) (=> (= reqCompleteSet_0.4 reqCompleteSet_0) (=> (= inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.35..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.37..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2..0 inline.GetTimerDpcContext.1..result.sdv_WdfObjectGetTypedContextWorker.50.0.2.) (=> (= errorReached.207 errorReached.171) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.10..Handle.1.56.0.GetRequestContext) (=> (= inline.GetTimerDpcContext.1.myNondetVar_0.1 inline.GetTimerDpcContext.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.61..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.4..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.7..result.GetDeviceContext.2392.52.1.) (=> (= inline.TimerDpc.0.myNondetVar_0.2 inline.TimerDpc.0.myNondetVar_0) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.35..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 inline.GetRequestContext.13..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.) (=> (= inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget.1 inline.ForwardToTarget.0..FireAndForget.3.1977.12.ForwardToTarget) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.5..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2..0 inline.TimerDpc.0..result.sdv_WdfTimerGetParentObject.2057.54.2.) (=> (= inline.ReleaseDpcLock.7.myVar_0.4 inline.ReleaseDpcLock.7.myVar_0) (=> (= inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.36..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.57..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.12..result.GetRequestContext.56.0.1..2 inline.GetRequestContext.12..result.GetRequestContext.56.0.1.) (=> (= inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.7..Handle.1.62.0.GetChildQueueContext) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.1..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.) (=> (= inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.36..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc.0 inline.TimerDpc.0..deviceContext.6.2042.24.TimerDpc) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.63..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.63..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.56..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.6..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.4..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.AcquireDpcLock.7.myVar_0.4 inline.AcquireDpcLock.7.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.60..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.40 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> (= inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.5..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.4..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1.0 inline.TimerDpc.0..Timer.1.2026.19.TimerDpc1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1..2 inline.FreeVerifyCanceledOnQueueBuffer.5..result.GetRequestContext.183.34.1.) (=> (= inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1..0 inline.TimerDpc.0..result.GetTimerDpcContext.2048.37.1.) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.1..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.6.myVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.4..result.GetRequestContext.183.34.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.4.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.59..result.userContextSwitch.6841.4.2.) (=> (= inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3..0 inline.TimerDpc.0..result.GetChildQueueContext.2065.44.3.) (=> (= inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.37..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.1..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.40 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27) (=> (= reqCompleteSet_1.4 reqCompleteSet_1) (=> (= inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.5..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.TimerDpc.0..result.Random.2116.18.8..1 inline.TimerDpc.0..result.Random.2116.18.8.) (=> (= inline.GetRequestContext.11.myNondetVar_0.2 inline.GetRequestContext.11.myNondetVar_0) (=> (= inline.GetRequestContext.13..result.GetRequestContext.56.0.1..2 inline.GetRequestContext.13..result.GetRequestContext.56.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.2 inline.TimerDpc.0..status.2.2038.18.TimerDpc) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.59..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc.0 inline.TimerDpc.0..notifyRecord.4.2040.23.TimerDpc) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.18 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14) (=> (= inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.4..result.userContextSwitch.7639.4.1.) (=> (= reqCompleted_1.28 reqCompleted_1.21) (=> (= inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.7..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.5..result.userContextSwitch.7639.4.1.) (=> (= inline.TimerDpc.0..result.Random.2119.36.9..1 inline.TimerDpc.0..result.Random.2119.36.9.) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget.1 inline.ForwardToTarget.0..options.6.1995.33.ForwardToTarget) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.7..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext.0 inline.GetTimerDpcContext.1..Handle.1.50.0.GetTimerDpcContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.58..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.TimerDpc.0..result.GetDeviceContext.2073.36.4..0 inline.TimerDpc.0..result.GetDeviceContext.2073.36.4.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.57..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1..0 inline.sdv_WdfTimerGetParentObject.0..result.sdv_WdfTimerGetParentObject.6906.0.1.) (=> (= inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1.1 inline.ForwardToTarget.0..Request.2.1976.15.ForwardToTarget1) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= reqCancelSet_1.37 reqCancelSet_1.27) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock) (=> (= inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.7..Device.1.2384.14.ReleaseDpcLock1) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.24 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20) (=> (= lockStatus_0.59 lockStatus_0.52) (=> (= inline.GetRequestContext.11..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.11..result.GetRequestContext.56.0.1.) (=> (= inline.GetDeviceContext.36.myNondetVar_0.1 inline.GetDeviceContext.36.myNondetVar_0) (=> (= inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.7..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.7..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) ?v_70))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_46 (=> true (=> (= inline.TimerDpc.0..status.2.2038.18.TimerDpc.0 ?v_35) (and (=> true (=> ?v_47 (=> true (=> (<= k.323 k.324) (=> (< k.324 2) (and (=> true (=> (=> ?v_507 ?v_53) (=> (=> ?v_508 ?v_54) (=> true (=> (= errorReached.172 1) ?v_509))))) (=> true (=> (=> ?v_507 ?v_81) (=> (=> ?v_508 ?v_82) (=> true (=> (= errorReached.172 errorReached.171) (=> true ?v_509)))))))))))) (=> true (=> ?v_4591 (and (=> true (=> ?v_511 (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_513))))) (=> true (=> ?v_4593 (and (=> true (=> ?v_514 (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_513))))) (=> true (=> ?v_4598 (and (=> true (=> ?v_515 (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_513))))) (=> true (=> ?v_4599 (=> true (=> ?v_512 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.55..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_513))))))))))))))))))))))))) (let ((?v_540 (=> true (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 hrequest) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetRequestContext.14..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= reqCancelSet_1.27 reqCancelSet_1.26) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.26) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.3) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.26) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= reqCancelSet_0.27 reqCancelSet_0.26) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..result.GetRequestContext.183.34.1..0 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.14..result.GetRequestContext.56.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= reqCompleted_1.21 reqCompleted_1.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= k.322 k.321) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= errorReached.171 errorReached.170) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0.0) (=> (= reqCompleted_0.21 reqCompleted_0.20) (=> true (=> true ?v_526)))))))))))))))))))))))))))))))))))) (?v_27 (= hrequest hrequest))) (let ((?v_559 (not ?v_27)) (?v_528 (=> true (=> (= k.321 k.320) (=> (= reqCancelSet_1.26 reqCancelSet_1.25) (=> (= reqCompleted_0.20 reqCompleted_0.19) (=> (= reqCompleted_1.20 reqCompleted_1.19) (=> (= errorReached.170 errorReached.169) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 call41832formal.ret.0) (=> (= reqCancelSet_0.26 reqCancelSet_0.25) ?v_540))))))))) (?v_529 (= reqCancelSet_1.25 reqCancelSet_1.24))) (let ((?v_530 (=> (= reqCancelSet_0.25 reqCancelSet_0.24) (=> true ?v_528))) (?v_527 (= k.320 1))) (let ((?v_533 (not ?v_527)) (?v_525 (= k.320 0))) (let ((?v_531 (not ?v_525))) (let ((?v_532 (and (=> true (=> ?v_525 (=> true (=> ?v_529 (=> (= reqCancelSet_0.25 0) ?v_528))))) (=> true (=> ?v_531 (and (=> true (=> ?v_527 (=> true (=> (= reqCancelSet_1.25 0) ?v_530)))) (=> true (=> ?v_533 (=> true (=> ?v_529 ?v_530)))))))))) (let ((?v_536 (=> true (=> true ?v_532))) (?v_534 (= reqCompleted_0.19 reqCompleted_0.18)) (?v_535 (= reqCompleted_1.19 reqCompleted_1.18))) (let ((?v_539 (and (=> true (=> ?v_525 (=> true (=> (= reqCompleted_0.19 1) (=> ?v_535 ?v_532))))) (=> true (=> ?v_531 (and (=> true (=> ?v_527 (=> true (=> ?v_534 (=> (= reqCompleted_1.19 1) ?v_536))))) (=> true (=> ?v_533 (=> true (=> ?v_534 (=> ?v_535 ?v_536)))))))))) (?v_537 (= reqCompleted_0.18 0)) (?v_538 (= reqCompleted_1.18 0))) (let ((?v_523 (not ?v_537)) (?v_524 (not ?v_538))) (let ((?v_555 (and (=> true (=> ?v_27 (=> true (=> (<= k.319 k.320) (=> (< k.320 2) (and (=> true (=> (=> ?v_525 ?v_523) (=> (=> ?v_527 ?v_524) (=> true (=> (= errorReached.169 1) ?v_539))))) (=> true (=> (=> ?v_525 ?v_537) (=> (=> ?v_527 ?v_538) (=> true (=> (= errorReached.169 errorReached.168) (=> true ?v_539)))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.321 k.319) (=> (= reqCancelSet_1.26 reqCancelSet_1.24) (=> (= reqCompleted_0.20 reqCompleted_0.18) (=> (= reqCompleted_1.20 reqCompleted_1.18) (=> (= errorReached.170 errorReached.168) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_0.26 reqCancelSet_0.24) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_540))))))))))))))))))))) (?v_551 (= k.316 0)) (?v_521 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_522 (U_2_int (MapType0Select Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23 ?v_521)))) (let ((?v_552 (= ?v_522 0)) (?v_553 (= k.316 1)) (?v_547 (U_2_int (MapType0Select Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23 ?v_521)))) (let ((?v_554 (= ?v_547 0)) (?v_542 (=> true (=> (= k.319 k.318) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.26 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.25) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.2) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.26 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.25) ?v_555)))))) (?v_544 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.25 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23))) (let ((?v_545 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.25 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23) (=> true ?v_542))) (?v_543 (= k.318 1)) (?v_541 (= k.318 0))) (let ((?v_548 (=> true (=> (<= k.317 k.318) (=> (< k.318 2) (and (=> true (=> ?v_541 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.24 (MapType0Store Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23 ?v_521 ?v_65)) (=> true (=> ?v_544 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.25 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.24) ?v_542)))))) (=> true (=> (not ?v_541) (and (=> true (=> ?v_543 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.24 (MapType0Store Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23 ?v_521 ?v_65)) (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.25 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.24) ?v_545))))) (=> true (=> (not ?v_543) (=> true (=> ?v_544 ?v_545))))))))))))) (let ((?v_550 (=> true ?v_548)) (?v_549 (= k.317 1)) (?v_546 (= k.317 0))) (let ((?v_560 (and (=> true (=> (=> ?v_551 (not ?v_552)) (=> (=> ?v_553 (not ?v_554)) (=> true (=> (<= k.316 k.317) (=> (< k.317 2) (and (=> true (=> ?v_546 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.1 ?v_522) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.1) ?v_548))))) (=> true (=> (not ?v_546) (and (=> true (=> ?v_549 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.0 ?v_547) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.0) ?v_550))))) (=> true (=> (not ?v_549) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0) ?v_550)))))))))))))) (=> true (=> (=> ?v_551 ?v_552) (=> (=> ?v_553 ?v_554) (=> true (=> (= k.319 k.316) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.26 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.26 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_555)))))))))))))))))))) (?v_562 (= k.316 k.314)) (?v_563 (= errorReached.168 errorReached.166))) (let ((?v_564 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_560))))))))))) (?v_566 (= hrequest hdevice))) (let ((?v_615 (not ?v_566)) (?v_565 (= hrequest hqueue))) (let ((?v_614 (not ?v_565)) (?v_561 (= hrequest htimer))) (let ((?v_610 (not ?v_561)) (?v_558 (=> true (=> (= k.316 k.315) (=> (= errorReached.168 errorReached.167) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..0 call41553formal.ret.0) ?v_560)))))) (?v_556 (= k.315 0)) (?v_557 (= k.315 1)) (?v_517 (= reqCompleteSet_0 0)) (?v_518 (= reqSent_0 0)) (?v_519 (= reqCompleteSet_1 0)) (?v_520 (= reqSent_1 0)) (?v_516 (= call37052formal.ret.0 0))) (let ((?v_576 (=> true (=> (<= 0 k.314) (=> (< k.314 2) (and (=> true (=> (not ?v_516) (=> true (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine) (=> (= inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1.0 inline.EvtRequestCompletionRoutine.0..Request.1.1946.35.EvtRequestCompletionRoutine1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.userContextSwitch.6841.4.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.7..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetRequestContext.14..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.GetRequestContext.14..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= reqCancelSet_1.27 reqCancelSet_1.24) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.7.myVar_0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.27 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23) (=> (= inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.6..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.6..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetRequestContext.14.myNondetVar_0.1 inline.GetRequestContext.14.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion1) (=> (= reqCancelSet_0.27 reqCancelSet_0.24) (=> (= inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.7..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..result.GetRequestContext.183.34.1..0 inline.FreeVerifyCanceledOnQueueBuffer.7..result.GetRequestContext.183.34.1.) (=> (= inline.GetRequestContext.14..result.GetRequestContext.56.0.1..0 inline.GetRequestContext.14..result.GetRequestContext.56.0.1.) (=> (= inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.6..Request.1.212.15.MyWdfRequestComplete1) (=> (= reqCompleted_1.21 reqCompleted_1.18) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.14..Handle.1.56.0.GetRequestContext) (=> (= k.322 k.314) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.64..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= errorReached.171 errorReached.166) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.7..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.EvtRequestCompletionRoutine.0.myNondetVar_0.1 inline.EvtRequestCompletionRoutine.0.myNondetVar_0) (=> (= reqCompleted_0.21 reqCompleted_0.18) ?v_526))))))))))))))))))))))))))))))))))) (=> true (=> ?v_516 (=> true (=> (=> (= k.314 0) (and (not ?v_517) (not ?v_518))) (=> (=> (= k.314 1) (and (not ?v_519) (not ?v_520))) (and (=> true (=> ?v_27 (=> true (=> (<= k.314 k.315) (=> (< k.315 2) (and (=> true (=> (=> ?v_556 ?v_523) (=> (=> ?v_557 ?v_524) (=> true (=> (= errorReached.167 1) ?v_558))))) (=> true (=> (=> ?v_556 ?v_537) (=> (=> ?v_557 ?v_538) (=> true (=> (= errorReached.167 errorReached.166) (=> true ?v_558)))))))))))) (=> true (=> ?v_559 (and (=> true (=> ?v_561 (=> true (=> ?v_562 (=> ?v_563 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_564)))))) (=> true (=> ?v_610 (and (=> true (=> ?v_565 (=> true (=> ?v_562 (=> ?v_563 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_564)))))) (=> true (=> ?v_614 (and (=> true (=> ?v_566 (=> true (=> ?v_562 (=> ?v_563 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_564)))))) (=> true (=> ?v_615 (=> true (=> ?v_562 (=> ?v_563 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.64..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_564))))))))))))))))))))))))))) (let ((?v_617 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= lockStatus_0.52 lockStatus_0.51) (=> (= reqCancelSet_0.24 reqCancelSet_0.23) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.ReleaseDpcLock.8.myVar_0.4 inline.ReleaseDpcLock.8.myVar_0.3) (=> (= inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= k.313 k.312) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.AcquireDpcLock.8.myVar_0.4 inline.AcquireDpcLock.8.myVar_0.3) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0.0) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.8..result.GetRequestContext.183.34.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.16..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.16..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0) (=> (= inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..0) (=> (= inline.GetRequestContext.16.myNondetVar_0.2 inline.GetRequestContext.16.myNondetVar_0.1) (=> (= reqCancelStarted_1.1 reqCancelStarted_1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.EvtRequestChildCancel.2.myVar_0.15 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= reqCancelSet_1.24 reqCancelSet_1.23) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0) (=> (= errorReached.166 errorReached.165) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.8..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0) (=> (= reqCompleted_0.18 reqCompleted_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) (=> (= inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.22) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.14) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.4) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.22) (=> (= reqCompleted_1.18 reqCompleted_1.17) (=> (= lockStatus_1.52 lockStatus_1.51) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.2) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..0) (=> (= inline.GetRequestContext.16..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.16..result.GetRequestContext.56.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0.0) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0.0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 inline.EvtRequestChildCancel.2.myNondetVar_0.1) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.2.myVar_0.5) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0) (=> (= reqCancelStarted_0.1 reqCancelStarted_0.0) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.2.myVar_0.11) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.2.myVar_0.8) (=> (= inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> true (=> true ?v_576))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_622 (=> true (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= reqCompleted_1.17 reqCompleted_1.14) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.8..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion) (=> (= reqCancelSet_0.23 reqCancelSet_0.20) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext) (=> (= reqCompleted_0.17 reqCompleted_0.14) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.GetRequestContext.16..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.GetRequestContext.16..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.) (=> (= k.312 k.311) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..result.GetRequestContext.183.34.1..0 inline.FreeVerifyCanceledOnQueueBuffer.8..result.GetRequestContext.183.34.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= reqCancelSet_1.23 reqCancelSet_1.20) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.22 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18) (=> (= inline.GetRequestContext.16..result.GetRequestContext.56.0.1..0 inline.GetRequestContext.16..result.GetRequestContext.56.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.22 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.2.myNondetVar_0.0) (=> (= errorReached.165 errorReached.164) (=> true (=> true (=> true ?v_617)))))))))))))))))))))))))))))))))))))))))))) (?v_624 (= k.311 k.302))) (let ((?v_625 (=> (= errorReached.164 errorReached.158) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_622))))))))))))))))))))) (?v_627 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hdevice)) (?v_626 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hqueue)) (?v_623 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 htimer)) (?v_621 (= inline.EvtRequestChildCancel.2.myNondetVar_0.0 hrequest)) (?v_620 (=> true (=> (= k.311 k.303) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.164 errorReached.163) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..0 call44267formal.ret.0) ?v_622)))))) (?v_618 (= k.303 0)) (?v_587 (= reqCompleted_0.14 0)) (?v_619 (= k.303 1)) (?v_588 (= reqCompleted_1.14 0))) (let ((?v_569 (not ?v_587)) (?v_570 (not ?v_588)) (?v_616 (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_590 (=> true (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= reqCompleted_1.17 reqCompleted_1.16) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.1 inline.EvtRequestChildCancel.2.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetRequestContext.16.myNondetVar_0.1 inline.GetRequestContext.16.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= reqCancelSet_0.23 reqCancelSet_0.22) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= reqCompleted_0.17 reqCompleted_0.16) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.GetRequestContext.16..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= k.312 k.310) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..result.GetRequestContext.183.34.1..0 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= reqCancelSet_1.23 reqCancelSet_1.22) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.22 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.21) (=> (= inline.GetRequestContext.16..result.GetRequestContext.56.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.22 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.21) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= errorReached.165 errorReached.162) ?v_617)))))))))))))))))))))))))))))))))))))))))) (let ((?v_578 (=> true (=> (= k.310 k.309) (=> (= reqCancelSet_1.22 reqCancelSet_1.21) (=> (= reqCompleted_0.16 reqCompleted_0.15) (=> (= reqCompleted_1.16 reqCompleted_1.15) (=> (= errorReached.162 errorReached.161) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 call44758formal.ret.0) (=> (= reqCancelSet_0.22 reqCancelSet_0.21) ?v_590))))))))) (?v_579 (= reqCancelSet_1.21 reqCancelSet_1.20))) (let ((?v_580 (=> (= reqCancelSet_0.21 reqCancelSet_0.20) (=> true ?v_578))) (?v_577 (= k.309 1))) (let ((?v_583 (not ?v_577)) (?v_575 (= k.309 0))) (let ((?v_581 (not ?v_575))) (let ((?v_582 (and (=> true (=> ?v_575 (=> true (=> ?v_579 (=> (= reqCancelSet_0.21 0) ?v_578))))) (=> true (=> ?v_581 (and (=> true (=> ?v_577 (=> true (=> (= reqCancelSet_1.21 0) ?v_580)))) (=> true (=> ?v_583 (=> true (=> ?v_579 ?v_580)))))))))) (let ((?v_586 (=> true (=> true ?v_582))) (?v_584 (= reqCompleted_0.15 reqCompleted_0.14)) (?v_585 (= reqCompleted_1.15 reqCompleted_1.14))) (let ((?v_589 (and (=> true (=> ?v_575 (=> true (=> (= reqCompleted_0.15 1) (=> ?v_585 ?v_582))))) (=> true (=> ?v_581 (and (=> true (=> ?v_577 (=> true (=> ?v_584 (=> (= reqCompleted_1.15 1) ?v_586))))) (=> true (=> ?v_583 (=> true (=> ?v_584 (=> ?v_585 ?v_586))))))))))) (let ((?v_605 (and (=> true (=> ?v_27 (=> true (=> (<= k.308 k.309) (=> (< k.309 2) (and (=> true (=> (=> ?v_575 ?v_569) (=> (=> ?v_577 ?v_570) (=> true (=> (= errorReached.161 1) ?v_589))))) (=> true (=> (=> ?v_575 ?v_587) (=> (=> ?v_577 ?v_588) (=> true (=> (= errorReached.161 errorReached.160) (=> true ?v_589)))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.310 k.308) (=> (= reqCancelSet_1.22 reqCancelSet_1.20) (=> (= reqCompleted_0.16 reqCompleted_0.14) (=> (= reqCompleted_1.16 reqCompleted_1.14) (=> (= errorReached.162 errorReached.160) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_0.22 reqCancelSet_0.20) (=> true (=> true (=> true (=> true (=> true (=> true ?v_590)))))))))))))))))) (?v_601 (= k.305 0)) (?v_573 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_574 (U_2_int (MapType0Select Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18 ?v_573)))) (let ((?v_602 (= ?v_574 0)) (?v_603 (= k.305 1)) (?v_597 (U_2_int (MapType0Select Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18 ?v_573)))) (let ((?v_604 (= ?v_597 0)) (?v_592 (=> true (=> (= k.308 k.307) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.2) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.21 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.20) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.21 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.20) ?v_605)))))) (?v_594 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.20 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18))) (let ((?v_595 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.20 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18) (=> true ?v_592))) (?v_593 (= k.307 1)) (?v_591 (= k.307 0))) (let ((?v_598 (=> true (=> (<= k.306 k.307) (=> (< k.307 2) (and (=> true (=> ?v_591 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.19 (MapType0Store Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18 ?v_573 ?v_65)) (=> true (=> ?v_594 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.20 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.19) ?v_592)))))) (=> true (=> (not ?v_591) (and (=> true (=> ?v_593 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.19 (MapType0Store Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18 ?v_573 ?v_65)) (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.20 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.19) ?v_595))))) (=> true (=> (not ?v_593) (=> true (=> ?v_594 ?v_595))))))))))))) (let ((?v_600 (=> true ?v_598)) (?v_599 (= k.306 1)) (?v_596 (= k.306 0))) (let ((?v_609 (and (=> true (=> (=> ?v_601 (not ?v_602)) (=> (=> ?v_603 (not ?v_604)) (=> true (=> (<= k.305 k.306) (=> (< k.306 2) (and (=> true (=> ?v_596 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.0 ?v_574) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.0) ?v_598))))) (=> true (=> (not ?v_596) (and (=> true (=> ?v_599 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.1 ?v_597) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.1) ?v_600))))) (=> true (=> (not ?v_599) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0) ?v_600)))))))))))))) (=> true (=> (=> ?v_601 ?v_602) (=> (=> ?v_603 ?v_604) (=> true (=> (= k.308 k.305) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.21 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.21 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_605)))))))))))))))))))) (?v_611 (= k.305 k.302)) (?v_612 (= errorReached.160 errorReached.158))) (let ((?v_613 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_609))))))))))) (?v_608 (=> true (=> (= k.305 k.304) (=> (= errorReached.160 errorReached.159) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..0 call44479formal.ret.0) ?v_609)))))) (?v_606 (= k.304 0)) (?v_607 (= k.304 1))) (let ((?v_630 (and (=> true (=> (not ?v_616) (and (=> true (=> ?v_27 (=> true (=> (<= k.302 k.304) (=> (< k.304 2) (and (=> true (=> (=> ?v_606 ?v_569) (=> (=> ?v_607 ?v_570) (=> true (=> (= errorReached.159 1) ?v_608))))) (=> true (=> (=> ?v_606 ?v_587) (=> (=> ?v_607 ?v_588) (=> true (=> (= errorReached.159 errorReached.158) (=> true ?v_608)))))))))))) (=> true (=> ?v_559 (and (=> true (=> ?v_561 (=> true (=> ?v_611 (=> ?v_612 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_613)))))) (=> true (=> ?v_610 (and (=> true (=> ?v_565 (=> true (=> ?v_611 (=> ?v_612 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_613)))))) (=> true (=> ?v_614 (and (=> true (=> ?v_566 (=> true (=> ?v_611 (=> ?v_612 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_613)))))) (=> true (=> ?v_615 (=> true (=> ?v_611 (=> ?v_612 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_613)))))))))))))))))) (=> true (=> ?v_616 (and (=> true (=> ?v_621 (=> true (=> (<= k.302 k.303) (=> (< k.303 2) (and (=> true (=> (=> ?v_618 ?v_569) (=> (=> ?v_619 ?v_570) (=> true (=> (= errorReached.163 1) ?v_620))))) (=> true (=> (=> ?v_618 ?v_587) (=> (=> ?v_619 ?v_588) (=> true (=> (= errorReached.163 errorReached.158) (=> true ?v_620)))))))))))) (=> true (=> (not ?v_621) (and (=> true (=> ?v_623 (=> true (=> ?v_624 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_625))))) (=> true (=> (not ?v_623) (and (=> true (=> ?v_626 (=> true (=> ?v_624 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_625))))) (=> true (=> (not ?v_626) (and (=> true (=> ?v_627 (=> true (=> ?v_624 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_625))))) (=> true (=> (not ?v_627) (=> true (=> ?v_624 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_625)))))))))))))))))))) (let ((?v_633 (=> true (=> true (=> true (=> true (=> true (=> true ?v_630))))))) (?v_628 (= k.302 0)) (?v_631 (= ?v_28 4))) (let ((?v_730 (not ?v_631)) (?v_629 (= k.302 1)) (?v_632 (= ?v_29 4))) (let ((?v_731 (not ?v_632)) (?v_40 (= ?v_28 1))) (let ((?v_726 (not ?v_40)) (?v_41 (= ?v_29 1))) (let ((?v_728 (not ?v_41))) (let ((?v_638 (and (=> true (=> (=> ?v_628 ?v_40) (=> (=> ?v_629 ?v_41) ?v_630))) (=> true (=> (=> ?v_628 ?v_726) (=> (=> ?v_629 ?v_728) (and (=> true (=> (=> ?v_628 ?v_631) (=> (=> ?v_629 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_633)))))))))))) (=> true (=> (=> ?v_628 ?v_730) (=> (=> ?v_629 ?v_731) ?v_633))))))))) (?v_640 (= k.302 k.300)) (?v_641 (= errorReached.158 errorReached.156))) (let ((?v_642 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_638))))))))))) (?v_644 (= inline.EvtRequestChildCancel.2.myVar_0.14 hdevice)) (?v_643 (= inline.EvtRequestChildCancel.2.myVar_0.14 hqueue)) (?v_639 (= inline.EvtRequestChildCancel.2.myVar_0.14 htimer)) (?v_637 (= inline.EvtRequestChildCancel.2.myVar_0.14 hrequest)) (?v_636 (=> true (=> (= k.302 k.301) (=> (= errorReached.158 errorReached.157) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..0 call43977formal.ret.0) ?v_638)))))) (?v_634 (= k.301 0)) (?v_635 (= k.301 1))) (let ((?v_647 (and (=> true (=> ?v_637 (=> true (=> (<= k.300 k.301) (=> (< k.301 2) (and (=> true (=> (=> ?v_634 ?v_569) (=> (=> ?v_635 ?v_570) (=> true (=> (= errorReached.157 1) ?v_636))))) (=> true (=> (=> ?v_634 ?v_587) (=> (=> ?v_635 ?v_588) (=> true (=> (= errorReached.157 errorReached.156) (=> true ?v_636)))))))))))) (=> true (=> (not ?v_637) (and (=> true (=> ?v_639 (=> true (=> ?v_640 (=> ?v_641 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_642)))))) (=> true (=> (not ?v_639) (and (=> true (=> ?v_643 (=> true (=> ?v_640 (=> ?v_641 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_642)))))) (=> true (=> (not ?v_643) (and (=> true (=> ?v_644 (=> true (=> ?v_640 (=> ?v_641 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_642)))))) (=> true (=> (not ?v_644) (=> true (=> ?v_640 (=> ?v_641 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_642)))))))))))))))))) (let ((?v_649 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_647)))))))))))) (?v_648 (= k.300 1)) (?v_646 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_678 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_646))) (?v_645 (= k.300 0)) (?v_571 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_646)))) (let ((?v_666 (=> true (=> (<= k.299 k.300) (=> (< k.300 2) (and (=> true (=> ?v_645 (=> (= inline.EvtRequestChildCancel.2.myVar_0.12 ?v_571) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.12) ?v_647))))) (=> true (=> (not ?v_645) (and (=> true (=> ?v_648 (=> (= inline.EvtRequestChildCancel.2.myVar_0.13 ?v_678) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.13) ?v_649))))) (=> true (=> (not ?v_648) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.14 inline.EvtRequestChildCancel.2.myVar_0.11) ?v_649)))))))))))) (?v_663 (= k.295 0)) (?v_664 (= k.295 1))) (let ((?v_657 (=> true (=> (= k.299 k.298) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_0.51 lockStatus_0.50) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= inline.ReleaseDpcLock.8.myVar_0.3 inline.ReleaseDpcLock.8.myVar_0.2) (=> (= lockStatus_1.51 lockStatus_1.50) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.8.myVar_0.2) ?v_666))))))))) (?v_656 (= inline.ReleaseDpcLock.8.myVar_0.2 hlock))) (let ((?v_651 (=> true (=> (= k.298 k.297) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 call43830formal.ret.0) (=> (= lockStatus_1.50 lockStatus_1.49) (=> (= lockStatus_0.50 lockStatus_0.49) ?v_657))))))) (let ((?v_655 (=> true ?v_651)) (?v_653 (= lockStatus_0.49 lockStatus_0.48)) (?v_654 (= lockStatus_1.49 lockStatus_1.48)) (?v_652 (= k.297 1)) (?v_650 (= k.297 0))) (let ((?v_660 (and (=> true (=> ?v_656 (=> true (=> (<= k.296 k.297) (=> (< k.297 2) (and (=> true (=> ?v_650 (=> true (=> (= lockStatus_0.49 0) (=> ?v_654 ?v_651))))) (=> true (=> (not ?v_650) (and (=> true (=> ?v_652 (=> true (=> ?v_653 (=> (= lockStatus_1.49 0) ?v_655))))) (=> true (=> (not ?v_652) (=> true (=> ?v_653 (=> ?v_654 ?v_655)))))))))))))) (=> true (=> (not ?v_656) (=> true (=> (= k.298 k.296) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.50 lockStatus_1.48) (=> (= lockStatus_0.50 lockStatus_0.48) (=> true (=> true (=> true ?v_657))))))))))))) (let ((?v_662 (=> true (=> true (=> true (=> true ?v_660))))) (?v_661 (= k.296 1)) (?v_659 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_658 (= k.296 0))) (let ((?v_665 (=> true (=> (<= k.295 k.296) (=> (< k.296 2) (and (=> true (=> ?v_658 (=> (= inline.ReleaseDpcLock.8.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_659))) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0.0) ?v_660))))) (=> true (=> (not ?v_658) (and (=> true (=> ?v_661 (=> (= inline.ReleaseDpcLock.8.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_659))) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0.1) ?v_662))))) (=> true (=> (not ?v_661) (=> true (=> (= inline.ReleaseDpcLock.8.myVar_0.2 inline.ReleaseDpcLock.8.myVar_0) ?v_662))))))))))))) (let ((?v_671 (and (=> true (=> (=> ?v_663 ?v_36) (=> (=> ?v_664 ?v_37) ?v_665))) (=> true (=> (=> ?v_663 ?v_442) (=> (=> ?v_664 ?v_444) (and (=> true (=> (=> ?v_663 ?v_344) (=> (=> ?v_664 ?v_345) (=> true (=> true ?v_665))))) (=> true (=> (=> ?v_663 ?v_446) (=> (=> ?v_664 ?v_447) (=> true (=> (= k.299 k.295) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_0.51 lockStatus_0.48) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.8.myVar_0.3 inline.ReleaseDpcLock.8.myVar_0) (=> (= lockStatus_1.51 lockStatus_1.48) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> true (=> true (=> true ?v_666)))))))))))))))))))) (?v_673 (= k.295 k.293))) (let ((?v_674 (=> (= errorReached.156 errorReached.154) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_671)))))))))))) (?v_676 (= inline.EvtRequestChildCancel.2.myVar_0.11 hdevice)) (?v_675 (= inline.EvtRequestChildCancel.2.myVar_0.11 hqueue)) (?v_672 (= inline.EvtRequestChildCancel.2.myVar_0.11 htimer)) (?v_670 (= inline.EvtRequestChildCancel.2.myVar_0.11 hrequest)) (?v_669 (=> true (=> (= k.295 k.294) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.156 errorReached.155) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..0 call43559formal.ret.0) ?v_671)))))) (?v_667 (= k.294 0)) (?v_668 (= k.294 1))) (let ((?v_679 (and (=> true (=> ?v_670 (=> true (=> (<= k.293 k.294) (=> (< k.294 2) (and (=> true (=> (=> ?v_667 ?v_569) (=> (=> ?v_668 ?v_570) (=> true (=> (= errorReached.155 1) ?v_669))))) (=> true (=> (=> ?v_667 ?v_587) (=> (=> ?v_668 ?v_588) (=> true (=> (= errorReached.155 errorReached.154) (=> true ?v_669)))))))))))) (=> true (=> (not ?v_670) (and (=> true (=> ?v_672 (=> true (=> ?v_673 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_674))))) (=> true (=> (not ?v_672) (and (=> true (=> ?v_675 (=> true (=> ?v_673 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_674))))) (=> true (=> (not ?v_675) (and (=> true (=> ?v_676 (=> true (=> ?v_673 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_674))))) (=> true (=> (not ?v_676) (=> true (=> ?v_673 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_674))))))))))))))))) (let ((?v_681 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_679)))))))))))) (?v_680 (= k.293 1)) (?v_677 (= k.293 0))) (let ((?v_684 (=> true (=> (<= k.292 k.293) (=> (< k.293 2) (and (=> true (=> ?v_677 (=> (= inline.EvtRequestChildCancel.2.myVar_0.9 ?v_571) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.9) ?v_679))))) (=> true (=> (not ?v_677) (and (=> true (=> ?v_680 (=> (= inline.EvtRequestChildCancel.2.myVar_0.10 ?v_678) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.10) ?v_681))))) (=> true (=> (not ?v_680) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.11 inline.EvtRequestChildCancel.2.myVar_0.8) ?v_681))))))))))))) (let ((?v_688 (=> true (=> true ?v_684))) (?v_686 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17)) (?v_687 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17)) (?v_685 (= k.292 1)) (?v_683 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_682 (= k.292 0))) (let ((?v_691 (=> true (=> (<= k.291 k.292) (=> (< k.292 2) (and (=> true (=> ?v_682 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 ?v_683 ?v_65)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) (=> ?v_687 ?v_684)))))) (=> true (=> (not ?v_682) (and (=> true (=> ?v_685 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 ?v_683 ?v_65)) (=> true (=> ?v_686 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.19 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.18) ?v_688)))))) (=> true (=> (not ?v_685) (=> true (=> ?v_686 (=> ?v_687 ?v_688))))))))))))) (?v_693 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11))) (let ((?v_694 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) (=> true ?v_691))) (?v_692 (= k.291 1)) (?v_690 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_689 (= k.291 0))) (let ((?v_710 (=> true (=> (<= k.290 k.291) (=> (< k.291 2) (and (=> true (=> ?v_689 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 ?v_690 ?v_65)) (=> true (=> ?v_693 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_691)))))) (=> true (=> (not ?v_689) (and (=> true (=> ?v_692 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 ?v_690 ?v_65)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.13 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.12) ?v_694))))) (=> true (=> (not ?v_692) (=> true (=> ?v_693 ?v_694)))))))))))) (?v_707 (= k.286 0)) (?v_708 (= k.286 1))) (let ((?v_701 (=> true (=> (= k.290 k.289) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.8.myVar_0.2) (=> (= inline.AcquireDpcLock.8.myVar_0.3 inline.AcquireDpcLock.8.myVar_0.2) (=> (= lockStatus_1.48 lockStatus_1.47) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 call43359formal.ret.0) (=> (= lockStatus_0.48 lockStatus_0.47) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.8.myVar_0.2) ?v_710)))))))))) (?v_700 (= inline.AcquireDpcLock.8.myVar_0.2 hlock))) (let ((?v_696 (=> true (=> (= k.289 k.288) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 call43307formal.ret.0) (=> (= lockStatus_1.47 lockStatus_1.46) (=> (= lockStatus_0.47 lockStatus_0.46) ?v_701))))))) (let ((?v_699 (=> true ?v_696)) (?v_697 (= lockStatus_0.46 lockStatus_0.45)) (?v_698 (= lockStatus_1.46 lockStatus_1.45)) (?v_695 (= k.288 1)) (?v_572 (= k.288 0))) (let ((?v_704 (and (=> true (=> ?v_700 (=> true (=> (<= k.287 k.288) (=> (< k.288 2) (=> true (=> (=> ?v_572 (= lockStatus_0.45 0)) (=> (=> ?v_695 (= lockStatus_1.45 0)) (and (=> true (=> ?v_572 (=> true (=> (= lockStatus_0.46 1) (=> ?v_698 ?v_696))))) (=> true (=> (not ?v_572) (and (=> true (=> ?v_695 (=> true (=> ?v_697 (=> (= lockStatus_1.46 1) ?v_699))))) (=> true (=> (not ?v_695) (=> true (=> ?v_697 (=> ?v_698 ?v_699))))))))))))))))) (=> true (=> (not ?v_700) (=> true (=> (= k.289 k.287) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.47 lockStatus_1.45) (=> (= lockStatus_0.47 lockStatus_0.45) (=> true (=> true (=> true (=> true (=> true (=> true ?v_701)))))))))))))))) (let ((?v_706 (=> true (=> true (=> true (=> true ?v_704))))) (?v_705 (= k.287 1)) (?v_703 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_702 (= k.287 0))) (let ((?v_709 (=> true (=> (<= k.286 k.287) (=> (< k.287 2) (and (=> true (=> ?v_702 (=> (= inline.AcquireDpcLock.8.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_703))) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0.1) ?v_704))))) (=> true (=> (not ?v_702) (and (=> true (=> ?v_705 (=> (= inline.AcquireDpcLock.8.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_703))) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0.0) ?v_706))))) (=> true (=> (not ?v_705) (=> true (=> (= inline.AcquireDpcLock.8.myVar_0.2 inline.AcquireDpcLock.8.myVar_0) ?v_706))))))))))))) (let ((?v_715 (and (=> true (=> (=> ?v_707 ?v_36) (=> (=> ?v_708 ?v_37) ?v_709))) (=> true (=> (=> ?v_707 ?v_442) (=> (=> ?v_708 ?v_444) (and (=> true (=> (=> ?v_707 ?v_344) (=> (=> ?v_708 ?v_345) ?v_709))) (=> true (=> (=> ?v_707 ?v_446) (=> (=> ?v_708 ?v_447) (=> true (=> (= k.290 k.286) (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.8.myVar_0.3 inline.AcquireDpcLock.8.myVar_0) (=> (= lockStatus_1.48 lockStatus_1.45) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> (= lockStatus_0.48 lockStatus_0.45) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> true (=> true (=> true ?v_710))))))))))))))))))))) (?v_717 (= k.286 k.284))) (let ((?v_718 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2.) (=> (= errorReached.154 errorReached.152) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_715)))))))))))) (?v_720 (= inline.EvtRequestChildCancel.2.myVar_0.8 hdevice)) (?v_719 (= inline.EvtRequestChildCancel.2.myVar_0.8 hqueue)) (?v_716 (= inline.EvtRequestChildCancel.2.myVar_0.8 htimer)) (?v_714 (= inline.EvtRequestChildCancel.2.myVar_0.8 hrequest)) (?v_713 (=> true (=> (= k.286 k.285) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..0 call43038formal.ret.0) (=> (= errorReached.154 errorReached.153) ?v_715)))))) (?v_711 (= k.285 0)) (?v_712 (= k.285 1))) (let ((?v_722 (and (=> true (=> ?v_714 (=> true (=> (<= k.284 k.285) (=> (< k.285 2) (and (=> true (=> (=> ?v_711 ?v_569) (=> (=> ?v_712 ?v_570) (=> true (=> (= errorReached.153 1) ?v_713))))) (=> true (=> (=> ?v_711 ?v_587) (=> (=> ?v_712 ?v_588) (=> true (=> (= errorReached.153 errorReached.152) (=> true ?v_713)))))))))))) (=> true (=> (not ?v_714) (and (=> true (=> ?v_716 (=> true (=> ?v_717 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_718))))) (=> true (=> (not ?v_716) (and (=> true (=> ?v_719 (=> true (=> ?v_717 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_718))))) (=> true (=> (not ?v_719) (and (=> true (=> ?v_720 (=> true (=> ?v_717 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_718))))) (=> true (=> (not ?v_720) (=> true (=> ?v_717 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_718))))))))))))))))) (let ((?v_724 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_722)))))))))))) (?v_723 (= k.284 1)) (?v_721 (= k.284 0))) (let ((?v_732 (=> true (=> (<= k.283 k.284) (=> (< k.284 2) (and (=> true (=> ?v_721 (=> (= inline.EvtRequestChildCancel.2.myVar_0.6 ?v_571) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.6) ?v_722))))) (=> true (=> (not ?v_721) (and (=> true (=> ?v_723 (=> (= inline.EvtRequestChildCancel.2.myVar_0.7 ?v_678) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.7) ?v_724))))) (=> true (=> (not ?v_723) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.8 inline.EvtRequestChildCancel.2.myVar_0.5) ?v_724)))))))))))) (?v_725 (= k.283 0)) (?v_727 (= k.283 1))) (let ((?v_729 (=> true (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 call42918formal.ret.0) ?v_732)))) (let ((?v_737 (and (=> true (=> (=> ?v_725 ?v_40) (=> (=> ?v_727 ?v_41) ?v_729))) (=> true (=> (=> ?v_725 ?v_726) (=> (=> ?v_727 ?v_728) (and (=> true (=> (=> ?v_725 ?v_631) (=> (=> ?v_727 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_729)))))))))))) (=> true (=> (=> ?v_725 ?v_730) (=> (=> ?v_727 ?v_731) (=> true (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_732)))))))))))))))) (let ((?v_739 (=> (= errorReached.152 errorReached.150) (=> (= k.283 k.281) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_737))))))))))))) (?v_741 (= inline.EvtRequestChildCancel.2.myVar_0.5 hdevice)) (?v_740 (= inline.EvtRequestChildCancel.2.myVar_0.5 hqueue)) (?v_738 (= inline.EvtRequestChildCancel.2.myVar_0.5 htimer)) (?v_736 (= inline.EvtRequestChildCancel.2.myVar_0.5 hrequest)) (?v_735 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.152 errorReached.151) (=> (= k.283 k.282) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..0 call42721formal.ret.0) ?v_737)))))) (?v_733 (= k.282 0)) (?v_734 (= k.282 1))) (let ((?v_743 (and (=> true (=> ?v_736 (=> true (=> (<= k.281 k.282) (=> (< k.282 2) (and (=> true (=> (=> ?v_733 ?v_569) (=> (=> ?v_734 ?v_570) (=> true (=> (= errorReached.151 1) ?v_735))))) (=> true (=> (=> ?v_733 ?v_587) (=> (=> ?v_734 ?v_588) (=> true (=> (= errorReached.151 errorReached.150) (=> true ?v_735)))))))))))) (=> true (=> (not ?v_736) (and (=> true (=> ?v_738 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_739)))) (=> true (=> (not ?v_738) (and (=> true (=> ?v_740 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_739)))) (=> true (=> (not ?v_740) (and (=> true (=> ?v_741 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_739)))) (=> true (=> (not ?v_741) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_739)))))))))))))))) (let ((?v_745 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_743)))))))))))) (?v_744 (= k.281 1)) (?v_742 (= k.281 0))) (let ((?v_749 (=> true (=> (<= k.280 k.281) (=> (< k.281 2) (and (=> true (=> ?v_742 (=> (= inline.EvtRequestChildCancel.2.myVar_0.3 ?v_571) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.3) ?v_743))))) (=> true (=> (not ?v_742) (and (=> true (=> ?v_744 (=> (= inline.EvtRequestChildCancel.2.myVar_0.4 ?v_678) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.4) ?v_745))))) (=> true (=> (not ?v_744) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.5 inline.EvtRequestChildCancel.2.myVar_0.2) ?v_745))))))))))))) (let ((?v_753 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_749)))))))))) (?v_750 (= k.280 k.278)) (?v_751 (= errorReached.150 errorReached.148)) (?v_752 (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2.)) (?v_748 (=> true (=> (= k.280 k.279) (=> (= errorReached.150 errorReached.149) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..0 call42510formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_749)))))) (?v_746 (= k.279 0)) (?v_747 (= k.279 1))) (let ((?v_758 (and (=> true (=> ?v_27 (=> true (=> (<= k.278 k.279) (=> (< k.279 2) (and (=> true (=> (=> ?v_746 ?v_569) (=> (=> ?v_747 ?v_570) (=> true (=> (= errorReached.149 1) ?v_748))))) (=> true (=> (=> ?v_746 ?v_587) (=> (=> ?v_747 ?v_588) (=> true (=> (= errorReached.149 errorReached.148) (=> true ?v_748)))))))))))) (=> true (=> ?v_559 (and (=> true (=> ?v_561 (=> true (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_753))))))) (=> true (=> ?v_610 (and (=> true (=> ?v_565 (=> true (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_753))))))) (=> true (=> ?v_614 (and (=> true (=> ?v_566 (=> true (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_753))))))) (=> true (=> ?v_615 (=> true (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_753)))))))))))))))))) (?v_760 (= k.278 k.276))) (let ((?v_761 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.) (=> (= errorReached.148 errorReached.146) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_758))))))))))))))))))) (?v_763 (= inline.EvtRequestChildCancel.2.myVar_0.2 hdevice)) (?v_762 (= inline.EvtRequestChildCancel.2.myVar_0.2 hqueue)) (?v_759 (= inline.EvtRequestChildCancel.2.myVar_0.2 htimer)) (?v_757 (= inline.EvtRequestChildCancel.2.myVar_0.2 hrequest)) (?v_756 (=> true (=> (= k.278 k.277) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..0 call42339formal.ret.0) (=> (= errorReached.148 errorReached.147) ?v_758)))))) (?v_754 (= k.277 0)) (?v_755 (= k.277 1))) (let ((?v_766 (and (=> true (=> ?v_757 (=> true (=> (<= k.276 k.277) (=> (< k.277 2) (and (=> true (=> (=> ?v_754 ?v_569) (=> (=> ?v_755 ?v_570) (=> true (=> (= errorReached.147 1) ?v_756))))) (=> true (=> (=> ?v_754 ?v_587) (=> (=> ?v_755 ?v_588) (=> true (=> (= errorReached.147 errorReached.146) (=> true ?v_756)))))))))))) (=> true (=> (not ?v_757) (and (=> true (=> ?v_759 (=> true (=> ?v_760 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_761))))) (=> true (=> (not ?v_759) (and (=> true (=> ?v_762 (=> true (=> ?v_760 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_761))))) (=> true (=> (not ?v_762) (and (=> true (=> ?v_763 (=> true (=> ?v_760 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_761))))) (=> true (=> (not ?v_763) (=> true (=> ?v_760 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_761))))))))))))))))) (let ((?v_768 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_766)))))))) (?v_767 (= k.276 1)) (?v_765 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_764 (= k.276 0))) (let ((?v_772 (=> true (=> (<= k.275 k.276) (=> (< k.276 2) (and (=> true (=> ?v_764 (=> (= inline.EvtRequestChildCancel.2.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_765))) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0.0) ?v_766))))) (=> true (=> (not ?v_764) (and (=> true (=> ?v_767 (=> (= inline.EvtRequestChildCancel.2.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_765))) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0.1) ?v_768))))) (=> true (=> (not ?v_767) (=> true (=> (= inline.EvtRequestChildCancel.2.myVar_0.2 inline.EvtRequestChildCancel.2.myVar_0) ?v_768)))))))))))) (?v_775 (= k.275 k.273)) (?v_776 (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2.))) (let ((?v_777 (=> (= errorReached.146 errorReached.144) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_772))))))))))) (?v_779 (= hqueue hdevice))) (let ((?v_2494 (not ?v_779)) (?v_774 (= hqueue hqueue))) (let ((?v_778 (not ?v_774)) (?v_773 (= hqueue htimer))) (let ((?v_2491 (not ?v_773)) (?v_26 (= hqueue hrequest))) (let ((?v_2489 (not ?v_26)) (?v_771 (=> true (=> (= k.275 k.274) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..0 call42130formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.146 errorReached.145) ?v_772)))))) (?v_769 (= k.274 0)) (?v_770 (= k.274 1))) (let ((?v_784 (and (=> true (=> ?v_26 (=> true (=> (<= k.273 k.274) (=> (< k.274 2) (and (=> true (=> (=> ?v_769 ?v_569) (=> (=> ?v_770 ?v_570) (=> true (=> (= errorReached.145 1) ?v_771))))) (=> true (=> (=> ?v_769 ?v_587) (=> (=> ?v_770 ?v_588) (=> true (=> (= errorReached.145 errorReached.144) (=> true ?v_771)))))))))))) (=> true (=> ?v_2489 (and (=> true (=> ?v_773 (=> true (=> ?v_775 (=> ?v_776 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_777)))))) (=> true (=> ?v_2491 (and (=> true (=> ?v_774 (=> true (=> ?v_775 (=> ?v_776 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_777)))))) (=> true (=> ?v_778 (and (=> true (=> ?v_779 (=> true (=> ?v_775 (=> ?v_776 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_777)))))) (=> true (=> ?v_2494 (=> true (=> ?v_775 (=> ?v_776 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_777)))))))))))))))))) (let ((?v_785 (=> (= errorReached.144 errorReached.143) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_784))))))))))))))) (?v_782 (= k.273 k.272)) (?v_783 (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0 call42019formal.ret.0)) (?v_780 (= k.272 0)) (?v_781 (= k.272 1))) (let ((?v_787 (and (=> true (=> ?v_27 (=> true (=> (<= k.271 k.272) (=> (< k.272 2) (and (=> true (=> (=> ?v_780 ?v_569) (=> (=> ?v_781 ?v_570) (=> true (=> ?v_782 (=> ?v_783 (=> (= errorReached.144 1) ?v_784))))))) (=> true (=> (=> ?v_780 ?v_587) (=> (=> ?v_781 ?v_588) (=> true (=> ?v_782 (=> ?v_783 ?v_785)))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.273 k.271) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2.) ?v_785)))))))) (let ((?v_790 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_787)))))))))) (?v_788 (= reqCancelStarted_0.0 reqCancelStarted_0)) (?v_789 (= reqCancelStarted_1.0 reqCancelStarted_1)) (?v_786 (= k.271 1)) (?v_568 (= k.271 0)) (?v_567 (= call37008formal.ret.0 0))) (let ((?v_827 (=> true (=> (<= 0 k.271) (=> (< k.271 2) (and (=> true (=> (not ?v_567) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.8..result.userContextSwitch.8650.4.1.) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= lockStatus_0.52 lockStatus_0.45) (=> (= reqCancelSet_0.24 reqCancelSet_0.20) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.ReleaseDpcLock.8.myVar_0.4 inline.ReleaseDpcLock.8.myVar_0) (=> (= inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.2..result.GetChildQueueContext.812.65.2.) (=> (= k.313 k.271) (=> (= inline.GetRequestContext.15.myNondetVar_0.1 inline.GetRequestContext.15.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.41..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.38..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.8..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.AcquireDpcLock.8.myVar_0.4 inline.AcquireDpcLock.8.myVar_0) (=> (= inline.GetDeviceContext.42.myNondetVar_0.1 inline.GetDeviceContext.42.myNondetVar_0) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.8..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..childQueueContext.3.812.25.EvtRequestChildCancel) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.41..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.72..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.8..result.GetRequestContext.183.34.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeviceContext.38.myNondetVar_0.1 inline.GetDeviceContext.38.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.73..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.40..result.GetDeviceContext.137.0.1.) (=> (= inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.42..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.userContextSwitch.6841.4.2.) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext1) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.8..Handle.1.62.0.GetChildQueueContext) (=> (= inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.2..result._InterlockedCompareExchange.842.34.7.) (=> (= inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.8..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.40..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.) (=> (= inline.GetRequestContext.16..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.16..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.) (=> (= inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.2..result.GetDeviceContext.813.52.3.) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.820.56.6.) (=> (= inline.GetRequestContext.16.myNondetVar_0.2 inline.GetRequestContext.16.myNondetVar_0) (=> (= reqCancelStarted_1.1 reqCancelStarted_1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.7..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtRequestChildCancel.2.myVar_0.15 inline.EvtRequestChildCancel.2.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.8..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.69..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= reqCancelSet_1.24 reqCancelSet_1.20) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.38..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.userContextSwitch.6841.4.2.) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock) (=> (= inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.8..result.KeGetCurrentThread.2376.63.2.) (=> (= errorReached.166 errorReached.143) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.8..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer) (=> (= reqCompleted_0.18 reqCompleted_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.69..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.7..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) (=> (= inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.8..result.GetDeviceContext.2392.52.1.) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock1) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.20 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.70..result.userContextSwitch.6841.4.2.) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.72..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.8..deviceContext.2.2392.20.ReleaseDpcLock) (=> (= inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Queue.2.811.13.EvtRequestChildCancel) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.8..result.GetChildQueueContext.62.0.1.) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.2..result.sdv_WdfRequestGetIoQueue.811.41.1.) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.73..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.71..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.6..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..Request.1.802.18.EvtRequestChildCancel) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.8.myVar_0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.23 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18) (=> (= reqCompleted_1.18 reqCompleted_1.14) (=> (= lockStatus_1.52 lockStatus_1.45) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.66..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.65..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.66..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.8..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.16..Handle.1.56.0.GetRequestContext) (=> (= inline.GetDeviceContext.40.myNondetVar_0.1 inline.GetDeviceContext.40.myNondetVar_0) (=> (= inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.2..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.39..Handle.1.137.0.GetDeviceContext1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.2..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.40..Handle.1.137.0.GetDeviceContext) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.7..result.userContextSwitch.7639.4.1.) (=> (= inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.2..result._ReturnAddress.818.62.5.) (=> (= inline.GetRequestContext.16..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.16..result.GetRequestContext.56.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.71..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.67..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.6..result.sdv_WdfRequestGetIoQueue.7785.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.38..result.GetDeviceContext.137.0.1.) (=> (= inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.8..result.GetDeviceContext.2362.52.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.68..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetChildQueueContext.8.myNondetVar_0.1 inline.GetChildQueueContext.8.myNondetVar_0) (=> (= inline.GetDeviceContext.41.myNondetVar_0.1 inline.GetDeviceContext.41.myNondetVar_0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.14 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11) (=> (= inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.15..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.68..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.65..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.39.myNondetVar_0.1 inline.GetDeviceContext.39.myNondetVar_0) (=> (= inline.EvtRequestChildCancel.2.myNondetVar_0.2 inline.EvtRequestChildCancel.2.myNondetVar_0) (=> (= inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.7..Device.1.2305.14.AcquireEffectiveLock) (=> (= inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.7..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.2..deviceContext.4.813.20.EvtRequestChildCancel) (=> (= inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.8..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.67..result.userContextSwitch.6841.4.2.) (=> (= reqCancelStarted_0.1 reqCancelStarted_0) (=> (= inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.6..result.userContextSwitch.7790.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.70..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.8..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.72..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.41..Handle.1.137.0.GetDeviceContext1) (=> (= inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.7..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.8..Device.1.2353.14.AcquireDpcLock) (=> (= inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.8..deviceContext.3.2362.20.AcquireDpcLock) ?v_576))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_567 (=> true (=> (=> ?v_568 (not (= reqCancelSet_0.20 0))) (=> (=> ?v_786 (not (= reqCancelSet_1.20 0))) (and (=> true (=> ?v_568 (=> true (=> (= reqCancelStarted_0.0 1) (=> ?v_789 ?v_787))))) (=> true (=> (not ?v_568) (and (=> true (=> ?v_786 (=> true (=> ?v_788 (=> (= reqCancelStarted_1.0 1) ?v_790))))) (=> true (=> (not ?v_786) (=> true (=> ?v_788 (=> ?v_789 ?v_790))))))))))))))))))) (?v_826 (= inline.EvtIoChildDeviceControl.0..completeRequest.22.1539.12.EvtIoChildDeviceControl.0 0))) (let ((?v_804 (=> true (=> (= k.270 k.269) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..result.GetRequestContext.183.34.1..0 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.GetRequestContext.9..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetRequestContext.9..result.GetRequestContext.56.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= reqCompleted_0.14 reqCompleted_0.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0) (=> (= reqCompleted_1.14 reqCompleted_1.13) (=> (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0.0) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.17) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0) (=> (= reqCancelSet_0.20 reqCancelSet_0.19) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= errorReached.143 errorReached.142) (=> (= reqCancelSet_1.20 reqCancelSet_1.19) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) ?v_827)))))))))))))))))))))))))))))))) (let ((?v_792 (=> true (=> (= k.269 k.268) (=> (= reqCancelSet_1.19 reqCancelSet_1.18) (=> (= reqCompleted_0.13 reqCompleted_0.12) (=> (= reqCompleted_1.13 reqCompleted_1.12) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 call34997formal.ret.0) (=> (= reqCancelSet_0.19 reqCancelSet_0.18) (=> (= errorReached.142 errorReached.141) ?v_804))))))))) (?v_793 (= reqCancelSet_1.18 reqCancelSet_1.17))) (let ((?v_794 (=> (= reqCancelSet_0.18 reqCancelSet_0.17) (=> true ?v_792))) (?v_791 (= k.268 1))) (let ((?v_797 (not ?v_791)) (?v_44 (= k.268 0))) (let ((?v_795 (not ?v_44))) (let ((?v_796 (and (=> true (=> ?v_44 (=> true (=> ?v_793 (=> (= reqCancelSet_0.18 0) ?v_792))))) (=> true (=> ?v_795 (and (=> true (=> ?v_791 (=> true (=> (= reqCancelSet_1.18 0) ?v_794)))) (=> true (=> ?v_797 (=> true (=> ?v_793 ?v_794)))))))))) (let ((?v_800 (=> true (=> true ?v_796))) (?v_798 (= reqCompleted_0.12 reqCompleted_0.11)) (?v_799 (= reqCompleted_1.12 reqCompleted_1.11))) (let ((?v_803 (and (=> true (=> ?v_44 (=> true (=> (= reqCompleted_0.12 1) (=> ?v_799 ?v_796))))) (=> true (=> ?v_795 (and (=> true (=> ?v_791 (=> true (=> ?v_798 (=> (= reqCompleted_1.12 1) ?v_800))))) (=> true (=> ?v_797 (=> true (=> ?v_798 (=> ?v_799 ?v_800)))))))))) (?v_801 (= reqCompleted_0.11 0)) (?v_802 (= reqCompleted_1.11 0))) (let ((?v_38 (not ?v_801)) (?v_39 (not ?v_802))) (let ((?v_819 (and (=> true (=> ?v_27 (=> true (=> (<= k.267 k.268) (=> (< k.268 2) (and (=> true (=> (=> ?v_44 ?v_38) (=> (=> ?v_791 ?v_39) (=> true (=> (= errorReached.141 1) ?v_803))))) (=> true (=> (=> ?v_44 ?v_801) (=> (=> ?v_791 ?v_802) (=> true (=> (= errorReached.141 errorReached.140) (=> true ?v_803)))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.269 k.267) (=> (= reqCancelSet_1.19 reqCancelSet_1.17) (=> (= reqCompleted_0.13 reqCompleted_0.11) (=> (= reqCompleted_1.13 reqCompleted_1.11) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_0.19 reqCancelSet_0.17) (=> (= errorReached.142 errorReached.140) (=> true (=> true (=> true (=> true (=> true (=> true ?v_804)))))))))))))))))) (?v_815 (= k.264 0)) (?v_42 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_43 (U_2_int (MapType0Select Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14 ?v_42)))) (let ((?v_816 (= ?v_43 0)) (?v_817 (= k.264 1)) (?v_811 (U_2_int (MapType0Select Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14 ?v_42)))) (let ((?v_818 (= ?v_811 0)) (?v_806 (=> true (=> (= k.267 k.266) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.2) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.17 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.16) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.17 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.16) ?v_819)))))) (?v_808 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.16 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14))) (let ((?v_809 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.16 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14) (=> true ?v_806))) (?v_807 (= k.266 1)) (?v_805 (= k.266 0))) (let ((?v_812 (=> true (=> (<= k.265 k.266) (=> (< k.266 2) (and (=> true (=> ?v_805 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.15 (MapType0Store Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14 ?v_42 ?v_65)) (=> true (=> ?v_808 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.16 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.15) ?v_806)))))) (=> true (=> (not ?v_805) (and (=> true (=> ?v_807 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.15 (MapType0Store Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14 ?v_42 ?v_65)) (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.16 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.15) ?v_809))))) (=> true (=> (not ?v_807) (=> true (=> ?v_808 ?v_809))))))))))))) (let ((?v_814 (=> true ?v_812)) (?v_813 (= k.265 1)) (?v_810 (= k.265 0))) (let ((?v_823 (and (=> true (=> (=> ?v_815 (not ?v_816)) (=> (=> ?v_817 (not ?v_818)) (=> true (=> (<= k.264 k.265) (=> (< k.265 2) (and (=> true (=> ?v_810 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.1 ?v_43) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.1) ?v_812))))) (=> true (=> (not ?v_810) (and (=> true (=> ?v_813 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.0 ?v_811) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.0) ?v_814))))) (=> true (=> (not ?v_813) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0) ?v_814)))))))))))))) (=> true (=> (=> ?v_815 ?v_816) (=> (=> ?v_817 ?v_818) (=> true (=> (= k.267 k.264) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.17 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.17 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_819)))))))))))))))))))) (?v_824 (= k.264 k.262))) (let ((?v_825 (=> (= errorReached.140 errorReached.138) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_823)))))))))))) (?v_822 (=> true (=> (= k.264 k.263) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.140 errorReached.139) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..0 call34718formal.ret.0) ?v_823)))))) (?v_820 (= k.263 0)) (?v_821 (= k.263 1))) (let ((?v_830 (and (=> true (=> (not ?v_826) (and (=> true (=> ?v_27 (=> true (=> (<= k.262 k.263) (=> (< k.263 2) (and (=> true (=> (=> ?v_820 ?v_38) (=> (=> ?v_821 ?v_39) (=> true (=> (= errorReached.139 1) ?v_822))))) (=> true (=> (=> ?v_820 ?v_801) (=> (=> ?v_821 ?v_802) (=> true (=> (= errorReached.139 errorReached.138) (=> true ?v_822)))))))))))) (=> true (=> ?v_559 (and (=> true (=> ?v_561 (=> true (=> ?v_824 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_825))))) (=> true (=> ?v_610 (and (=> true (=> ?v_565 (=> true (=> ?v_824 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_825))))) (=> true (=> ?v_614 (and (=> true (=> ?v_566 (=> true (=> ?v_824 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_825))))) (=> true (=> ?v_615 (=> true (=> ?v_824 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_825))))))))))))))))) (=> true (=> ?v_826 (=> true (=> (= k.270 k.262) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..result.GetRequestContext.183.34.1..0 inline.FreeVerifyCanceledOnQueueBuffer.3..result.GetRequestContext.183.34.1.) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.GetRequestContext.9..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.GetRequestContext.9..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.9..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetRequestContext.9..result.GetRequestContext.56.0.1..0 inline.GetRequestContext.9..result.GetRequestContext.56.0.1.) (=> (= inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.3..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= reqCompleted_0.14 reqCompleted_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.userContextSwitch.6841.4.2.) (=> (= reqCompleted_1.14 reqCompleted_1.11) (=> (= inline.GetRequestContext.9.myNondetVar_0.1 inline.GetRequestContext.9.myNondetVar_0) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14) (=> (= inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.3..Request.1.196.20.PrepareRequestForCompletion1) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.18 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.54..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.3..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_0.20 reqCancelSet_0.17) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.3.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.54..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= errorReached.143 errorReached.138) (=> (= reqCancelSet_1.20 reqCancelSet_1.17) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.3..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.3..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.3..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.3..Request.1.7634.18.sdv_WdfRequestComplete) (=> true (=> true (=> true (=> true (=> true ?v_827)))))))))))))))))))))))))))))))))))))))) (let ((?v_831 (=> true (=> true (=> true (=> true ?v_830))))) (?v_828 (= k.262 0)) (?v_829 (= k.262 1))) (let ((?v_836 (and (=> true (=> (=> ?v_828 ?v_40) (=> (=> ?v_829 ?v_41) ?v_830))) (=> true (=> (=> ?v_828 ?v_726) (=> (=> ?v_829 ?v_728) (and (=> true (=> (=> ?v_828 ?v_631) (=> (=> ?v_829 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_831)))))))))))) (=> true (=> (=> ?v_828 ?v_730) (=> (=> ?v_829 ?v_731) ?v_831)))))))))) (let ((?v_841 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_836)))))))))) (?v_838 (= k.262 k.260)) (?v_839 (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2.)) (?v_840 (= errorReached.138 errorReached.136)) (?v_843 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 hdevice)) (?v_842 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 hqueue)) (?v_837 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 htimer)) (?v_835 (= inline.EvtIoChildDeviceControl.0.myVar_0.14 hrequest)) (?v_834 (=> true (=> (= k.262 k.261) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.userContextSwitch.6841.4.2..0 call34404formal.ret.0) (=> (= errorReached.138 errorReached.137) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_836)))))) (?v_832 (= k.261 0)) (?v_833 (= k.261 1))) (let ((?v_846 (and (=> true (=> ?v_835 (=> true (=> (<= k.260 k.261) (=> (< k.261 2) (and (=> true (=> (=> ?v_832 ?v_38) (=> (=> ?v_833 ?v_39) (=> true (=> (= errorReached.137 1) ?v_834))))) (=> true (=> (=> ?v_832 ?v_801) (=> (=> ?v_833 ?v_802) (=> true (=> (= errorReached.137 errorReached.136) (=> true ?v_834)))))))))))) (=> true (=> (not ?v_835) (and (=> true (=> ?v_837 (=> true (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_841))))))) (=> true (=> (not ?v_837) (and (=> true (=> ?v_842 (=> true (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_841))))))) (=> true (=> (not ?v_842) (and (=> true (=> ?v_843 (=> true (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_841))))))) (=> true (=> (not ?v_843) (=> true (=> ?v_838 (=> ?v_839 (=> ?v_840 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.53..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_841))))))))))))))))))) (let ((?v_848 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_846)))))))))))) (?v_847 (= k.260 1)) (?v_845 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_877 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_845))) (?v_844 (= k.260 0)) (?v_30 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_845)))) (let ((?v_865 (=> true (=> (<= k.259 k.260) (=> (< k.260 2) (and (=> true (=> ?v_844 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.12 ?v_30) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.14 inline.EvtIoChildDeviceControl.0.myVar_0.12) ?v_846))))) (=> true (=> (not ?v_844) (and (=> true (=> ?v_847 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.13 ?v_877) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.14 inline.EvtIoChildDeviceControl.0.myVar_0.13) ?v_848))))) (=> true (=> (not ?v_847) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.14 inline.EvtIoChildDeviceControl.0.myVar_0.11) ?v_848)))))))))))) (?v_862 (= k.255 0)) (?v_863 (= k.255 1))) (let ((?v_856 (=> true (=> (= k.259 k.258) (=> (= lockStatus_0.45 lockStatus_0.44) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_1.45 lockStatus_1.44) (=> (= inline.ReleaseDpcLock.6.myVar_0.3 inline.ReleaseDpcLock.6.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.6.myVar_0.2) ?v_865))))))))) (?v_855 (= inline.ReleaseDpcLock.6.myVar_0.2 hlock))) (let ((?v_850 (=> true (=> (= k.258 k.257) (=> (= lockStatus_0.44 lockStatus_0.43) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 call34257formal.ret.0) (=> (= lockStatus_1.44 lockStatus_1.43) ?v_856))))))) (let ((?v_854 (=> true ?v_850)) (?v_852 (= lockStatus_0.43 lockStatus_0.42)) (?v_853 (= lockStatus_1.43 lockStatus_1.42)) (?v_851 (= k.257 1)) (?v_849 (= k.257 0))) (let ((?v_859 (and (=> true (=> ?v_855 (=> true (=> (<= k.256 k.257) (=> (< k.257 2) (and (=> true (=> ?v_849 (=> true (=> (= lockStatus_0.43 0) (=> ?v_853 ?v_850))))) (=> true (=> (not ?v_849) (and (=> true (=> ?v_851 (=> true (=> ?v_852 (=> (= lockStatus_1.43 0) ?v_854))))) (=> true (=> (not ?v_851) (=> true (=> ?v_852 (=> ?v_853 ?v_854)))))))))))))) (=> true (=> (not ?v_855) (=> true (=> (= k.258 k.256) (=> (= lockStatus_0.44 lockStatus_0.42) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.44 lockStatus_1.42) (=> true (=> true (=> true ?v_856))))))))))))) (let ((?v_861 (=> true (=> true (=> true (=> true ?v_859))))) (?v_860 (= k.256 1)) (?v_858 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_857 (= k.256 0))) (let ((?v_864 (=> true (=> (<= k.255 k.256) (=> (< k.256 2) (and (=> true (=> ?v_857 (=> (= inline.ReleaseDpcLock.6.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_858))) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0.0) ?v_859))))) (=> true (=> (not ?v_857) (and (=> true (=> ?v_860 (=> (= inline.ReleaseDpcLock.6.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_858))) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0.1) ?v_861))))) (=> true (=> (not ?v_860) (=> true (=> (= inline.ReleaseDpcLock.6.myVar_0.2 inline.ReleaseDpcLock.6.myVar_0) ?v_861))))))))))))) (let ((?v_870 (and (=> true (=> (=> ?v_862 ?v_36) (=> (=> ?v_863 ?v_37) ?v_864))) (=> true (=> (=> ?v_862 ?v_442) (=> (=> ?v_863 ?v_444) (and (=> true (=> (=> ?v_862 ?v_344) (=> (=> ?v_863 ?v_345) (=> true (=> true ?v_864))))) (=> true (=> (=> ?v_862 ?v_446) (=> (=> ?v_863 ?v_447) (=> true (=> (= k.259 k.255) (=> (= lockStatus_0.45 lockStatus_0.42) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.6..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.45 lockStatus_1.42) (=> (= inline.ReleaseDpcLock.6.myVar_0.3 inline.ReleaseDpcLock.6.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.6..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> true (=> true (=> true ?v_865)))))))))))))))))))) (?v_872 (= k.255 k.253))) (let ((?v_873 (=> (= errorReached.136 errorReached.134) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_870)))))))))))) (?v_875 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 hdevice)) (?v_874 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 hqueue)) (?v_871 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 htimer)) (?v_869 (= inline.EvtIoChildDeviceControl.0.myVar_0.11 hrequest)) (?v_868 (=> true (=> (= k.255 k.254) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.136 errorReached.135) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.userContextSwitch.6841.4.2..0 call33986formal.ret.0) ?v_870)))))) (?v_866 (= k.254 0)) (?v_867 (= k.254 1))) (let ((?v_878 (and (=> true (=> ?v_869 (=> true (=> (<= k.253 k.254) (=> (< k.254 2) (and (=> true (=> (=> ?v_866 ?v_38) (=> (=> ?v_867 ?v_39) (=> true (=> (= errorReached.135 1) ?v_868))))) (=> true (=> (=> ?v_866 ?v_801) (=> (=> ?v_867 ?v_802) (=> true (=> (= errorReached.135 errorReached.134) (=> true ?v_868)))))))))))) (=> true (=> (not ?v_869) (and (=> true (=> ?v_871 (=> true (=> ?v_872 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_873))))) (=> true (=> (not ?v_871) (and (=> true (=> ?v_874 (=> true (=> ?v_872 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_873))))) (=> true (=> (not ?v_874) (and (=> true (=> ?v_875 (=> true (=> ?v_872 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_873))))) (=> true (=> (not ?v_875) (=> true (=> ?v_872 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.52..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_873))))))))))))))))) (let ((?v_880 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_878)))))))))))) (?v_879 (= k.253 1)) (?v_876 (= k.253 0))) (let ((?v_1669 (=> true (=> (<= k.252 k.253) (=> (< k.253 2) (and (=> true (=> ?v_876 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.9 ?v_30) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.11 inline.EvtIoChildDeviceControl.0.myVar_0.9) ?v_878))))) (=> true (=> (not ?v_876) (and (=> true (=> ?v_879 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.10 ?v_877) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.11 inline.EvtIoChildDeviceControl.0.myVar_0.10) ?v_880))))) (=> true (=> (not ?v_879) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.11 inline.EvtIoChildDeviceControl.0.myVar_0.8) ?v_880)))))))))))) (?v_882 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_883 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_884 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2.)) (?v_885 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1)) (?v_886 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_887 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_888 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_889 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_890 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_891 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_892 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.)) (?v_893 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_894 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext)) (?v_895 (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_896 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_897 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_898 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_899 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_900 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext)) (?v_901 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_902 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_903 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_904 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.)) (?v_905 (= reqCompleted_0.11 reqCompleted_0)) (?v_906 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_907 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2.)) (?v_908 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_909 (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0)) (?v_910 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_911 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked)) (?v_912 (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1.)) (?v_913 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_914 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_915 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_916 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_917 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_918 (= inline.ReleaseDpcLock.3.myVar_0.5 inline.ReleaseDpcLock.3.myVar_0)) (?v_919 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_920 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_921 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_922 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_923 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_924 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_925 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_926 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23.)) (?v_927 (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0)) (?v_928 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_929 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0)) (?v_930 (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0)) (?v_931 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_932 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_933 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_934 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_935 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_936 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.)) (?v_937 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_938 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_939 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_940 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_941 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_942 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_943 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_944 (= inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer)) (?v_945 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_946 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_947 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_948 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0)) (?v_949 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0)) (?v_950 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_951 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.)) (?v_952 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory)) (?v_953 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_954 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_955 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_956 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_4466 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_958 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_959 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0)) (?v_960 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_961 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_962 (= inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer)) (?v_963 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_964 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2.)) (?v_965 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_966 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_967 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_968 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_969 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_970 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_971 (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1.)) (?v_972 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_973 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_974 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_975 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_976 (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked)) (?v_977 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock)) (?v_978 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_979 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_980 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_981 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 0)) (?v_982 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_983 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12)) (?v_984 (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0)) (?v_985 (= inline.GetRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.)) (?v_986 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_987 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_988 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_989 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.)) (?v_4467 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_991 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext)) (?v_992 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18.)) (?v_993 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2.)) (?v_994 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_995 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.)) (?v_996 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_997 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_998 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0)) (?v_999 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.)) (?v_1000 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1001 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1002 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1003 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_1004 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1005 (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0)) (?v_1006 (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0)) (?v_1007 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16.)) (?v_1008 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.)) (?v_1009 (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0)) (?v_1010 (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1.)) (?v_1011 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0)) (?v_1012 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1013 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_1014 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1)) (?v_1015 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.)) (?v_1016 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0)) (?v_1017 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_1018 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_1019 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1020 (= inline.GetRequestContext.2.myNondetVar_0.2 inline.GetRequestContext.2.myNondetVar_0)) (?v_1021 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1022 (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1.)) (?v_1023 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15.)) (?v_1024 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_1025 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_1026 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_1027 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_1028 (= reqCancelSet_0.17 reqCancelSet_0)) (?v_1029 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_1030 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1031 (= inline.AcquireDpcLock.6.myVar_0.5 inline.AcquireDpcLock.6.myVar_0)) (?v_1032 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_1033 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_1034 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.)) (?v_1035 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1036 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_1037 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_1038 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_1039 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_1040 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1041 (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1042 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0)) (?v_1043 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_1044 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1045 (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0)) (?v_1046 (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT)) (?v_1047 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_1048 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_1049 (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.)) (?v_1050 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1051 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext)) (?v_4468 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_1053 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_1054 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_1055 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_1056 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_1057 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4.)) (?v_1058 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1059 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2.)) (?v_1060 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0)) (?v_1061 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1)) (?v_1062 (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1.)) (?v_1063 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0)) (?v_1064 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_1065 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1066 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1067 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_1068 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_1069 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4470 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call33843formal.new.0)) (?v_1071 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2.)) (?v_1072 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1073 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_1074 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_1075 (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2.)) (?v_1076 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_1077 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_1078 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1079 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_1080 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext)) (?v_1081 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0)) (?v_1082 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1083 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_1084 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_1085 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1)) (?v_1086 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_1087 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1088 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_1089 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_1090 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_1091 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_1092 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1093 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11.)) (?v_1094 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_1095 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.)) (?v_1096 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1097 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory)) (?v_1098 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1099 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_1100 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1101 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1102 (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1.)) (?v_1103 (= inline.AcquireDpcLock.1.myVar_0.6 inline.AcquireDpcLock.1.myVar_0)) (?v_1104 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1105 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.)) (?v_1106 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.)) (?v_1107 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_1108 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.)) (?v_1109 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_1110 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_1111 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3.)) (?v_1112 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT)) (?v_1113 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1114 (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1115 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2.)) (?v_1116 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1117 (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2.)) (?v_1118 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1119 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_1120 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_1121 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1122 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0)) (?v_1123 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_1124 (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0)) (?v_1125 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1126 (= inline.GetRequestContext.2..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.2..result.GetRequestContext.56.0.1.)) (?v_1127 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_1128 (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1.)) (?v_1129 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_1130 (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1.)) (?v_1131 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1132 (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0)) (?v_1133 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_1134 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.)) (?v_1135 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_1136 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.)) (?v_1137 (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12)) (?v_1138 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_1139 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_1140 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1)) (?v_1141 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3.)) (?v_1142 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_1143 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1144 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1145 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4472 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_1147 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1148 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_1149 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_1150 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1)) (?v_1151 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1152 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_1153 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_1154 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_1155 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_1156 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_1157 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_1158 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1159 (= inline.ReleaseDpcLock.5.myVar_0.5 inline.ReleaseDpcLock.5.myVar_0)) (?v_1160 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1161 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1162 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.)) (?v_1163 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_1164 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_1165 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_1166 (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1.)) (?v_1167 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.)) (?v_1168 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_1169 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1170 (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0)) (?v_1171 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_1172 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1173 (= inline.ReleaseDpcLock.4.myVar_0.6 inline.ReleaseDpcLock.4.myVar_0)) (?v_1174 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1175 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_1176 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1177 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_1178 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1179 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1180 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_1181 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1182 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_1183 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1184 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_1185 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_1186 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_1187 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12.)) (?v_1188 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1189 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_1190 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_1191 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_1192 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_1193 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.)) (?v_1194 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1195 (= inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1196 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_1197 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 inline.MarkRequestCancelableReturnLocked.1.myVar_0)) (?v_1198 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1)) (?v_1199 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.)) (?v_1200 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.)) (?v_1201 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.)) (?v_1202 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_1203 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_1204 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_1205 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.)) (?v_1206 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1207 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_1208 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.)) (?v_1209 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_1210 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_1211 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_1212 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_1213 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_1214 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1215 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_1216 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_1217 (= inline.AcquireDpcLock.5.myVar_0.5 inline.AcquireDpcLock.5.myVar_0)) (?v_1218 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_1219 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_1220 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1221 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1222 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1223 (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1.)) (?v_1224 (= inline.AcquireDpcLock.2.myVar_0.5 inline.AcquireDpcLock.2.myVar_0)) (?v_1225 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1226 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0)) (?v_1227 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_1228 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_1229 (= inline.GetRequestContext.1.myNondetVar_0.2 inline.GetRequestContext.1.myNondetVar_0)) (?v_1230 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1231 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1232 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1233 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_1234 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1235 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_1236 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_1237 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1238 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1239 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1240 (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0)) (?v_1241 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1242 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_1243 (= inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..3 inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1.)) (?v_1244 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_1245 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1246 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17.)) (?v_1247 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1.)) (?v_1248 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2.)) (?v_1249 (= inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..3 inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.)) (?v_1250 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_1251 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_1252 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_1253 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_1254 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1255 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_1256 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_1257 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1258 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1259 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_1260 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1261 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2.)) (?v_1262 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1263 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1264 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_1265 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_1266 (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1267 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1268 (= inline.EvtIoChildDeviceControl.0..completeRequest.22.1539.12.EvtIoChildDeviceControl.0 1)) (?v_1269 (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0)) (?v_1270 (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.)) (?v_1271 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.)) (?v_1272 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_1273 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_1274 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1275 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_1276 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_1277 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_1278 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1279 (= inline.GetRequestContext.8..result.GetRequestContext.56.0.1..3 inline.GetRequestContext.8..result.GetRequestContext.56.0.1.)) (?v_1280 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_1281 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_1282 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.)) (?v_1283 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1284 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.)) (?v_1285 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_1286 (= inline.GetRequestContext.8.myNondetVar_0.4 inline.GetRequestContext.8.myNondetVar_0)) (?v_1287 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1288 (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0)) (?v_1289 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1290 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_1291 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_1292 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_1293 (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0)) (?v_1294 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1295 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.)) (?v_1296 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2.)) (?v_1297 (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0)) (?v_1298 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_1299 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1300 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_1301 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1303 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_1304 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1305 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_1306 (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2.)) (?v_1307 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12)) (?v_1308 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28.)) (?v_1309 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_1310 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.)) (?v_1311 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_1312 (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.)) (?v_1313 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.)) (?v_1314 (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12)) (?v_1315 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1316 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion)) (?v_1317 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1318 (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl)) (?v_1319 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_1320 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1321 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext)) (?v_1322 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_1323 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1324 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_1325 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_1326 (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0)) (?v_1327 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27.)) (?v_1328 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9.)) (?v_1329 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_1330 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.)) (?v_1331 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.)) (?v_1332 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_1333 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_1334 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20.)) (?v_1335 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4478 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 call33843formal.new.0)) (?v_1337 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1338 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_1339 (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1340 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.)) (?v_1341 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1342 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1343 (= inline.FreeVerifyCanceledOnQueueBuffer.0..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.0..result.GetRequestContext.183.34.1.)) (?v_1344 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_1345 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_1351 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.)) (?v_1352 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_1353 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1354 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1355 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_1356 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked)) (?v_1357 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.)) (?v_1358 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_1359 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1360 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0)) (?v_1361 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1)) (?v_1362 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24.)) (?v_1363 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1364 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_1365 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_1366 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock)) (?v_1367 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_1368 (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1.)) (?v_1369 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_1370 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_1371 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_1372 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_1373 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_1374 (= inline.EvtRequestChildCancel.1.myVar_0.17 inline.EvtRequestChildCancel.1.myVar_0)) (?v_1375 (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1376 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1377 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.)) (?v_1378 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1379 (= inline.EvtRequestChildCancel.0.myVar_0.17 inline.EvtRequestChildCancel.0.myVar_0)) (?v_1380 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_1381 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1382 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.)) (?v_1383 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1384 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1385 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1386 (= lockStatus_1.42 lockStatus_1.2)) (?v_1387 (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0)) (?v_1388 (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0)) (?v_1389 (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1390 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1391 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_1392 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_1393 (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_1394 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0)) (?v_1395 (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0)) (?v_1396 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_1397 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_1398 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.)) (?v_1399 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_1400 (= inline.FreeVerifyCanceledOnQueueBuffer.0..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.0..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer)) (?v_1401 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1402 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext)) (?v_1403 (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_1404 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_1405 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_1406 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1407 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_1408 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1409 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1410 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_1411 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1412 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1413 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_1414 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0)) (?v_1415 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1416 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_1417 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_1418 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1419 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_1420 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1)) (?v_1421 (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0)) (?v_1422 (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 inline.EvtIoChildDeviceControl.0.myNondetVar_1.0)) (?v_1423 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1424 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_1425 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_4457 (= k.252 k.24)) (?v_1426 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_1427 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1428 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4262 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8.)) (?v_1429 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1430 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1431 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1432 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_4458 (= errorReached.134 errorReached.16)) (?v_1433 (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1434 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete)) (?v_1435 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.)) (?v_1436 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_1437 (= inline.GetRequestContext.5.myNondetVar_0.4 inline.GetRequestContext.5.myNondetVar_0)) (?v_1438 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1439 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1440 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1441 (= inline.GetRequestContext.5..result.GetRequestContext.56.0.1..3 inline.GetRequestContext.5..result.GetRequestContext.56.0.1.)) (?v_1442 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1443 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1444 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_1445 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1446 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1447 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1448 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2.)) (?v_1449 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19.)) (?v_1450 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_1451 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 0)) (?v_1452 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_1453 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_1454 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_4263 (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0)) (?v_1455 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_1456 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_1457 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1458 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1459 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_1460 (= reqCompleted_1.11 reqCompleted_1)) (?v_1461 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1462 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1463 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_1464 (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0)) (?v_1465 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1466 (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1467 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_1468 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_1469 (= inline.GetDeviceContext.5.myNondetVar_0.2 inline.GetDeviceContext.5.myNondetVar_0)) (?v_1470 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1471 (= inline.ReleaseDpcLock.0.myVar_0.5 inline.ReleaseDpcLock.0.myVar_0)) (?v_1472 (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 0)) (?v_1473 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_1474 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1475 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 inline.MarkRequestCancelableReturnLocked.0.myVar_0)) (?v_1476 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1477 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_1478 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1479 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_1480 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_1481 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1482 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1483 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_1484 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_1485 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1486 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1)) (?v_1487 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_4130 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_1488 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_1489 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_1490 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_1491 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21.)) (?v_1492 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_1493 (= inline.ReleaseDpcLock.2.myVar_0.5 inline.ReleaseDpcLock.2.myVar_0)) (?v_1494 (= inline.AcquireDpcLock.3.myVar_0.5 inline.AcquireDpcLock.3.myVar_0)) (?v_1495 (= inline.ReleaseDpcLock.1.myVar_0.6 inline.ReleaseDpcLock.1.myVar_0)) (?v_1496 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_1497 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_1498 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_1499 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_1500 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_1501 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1502 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_1503 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_1504 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_4146 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_1505 (= inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..3 inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.)) (?v_1506 (= lockStatus_0.42 lockStatus_0.2)) (?v_1507 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_1508 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_1509 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_4147 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1510 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_1511 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock)) (?v_1512 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_1513 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_1514 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1515 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_1516 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_1517 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1518 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0)) (?v_1519 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_1520 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1521 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_1522 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_1523 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_1524 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_1525 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1526 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_1527 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1528 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_1529 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_1530 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_1531 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29.)) (?v_1532 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_1533 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_1534 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_1535 (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1536 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1537 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1538 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_1539 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_1540 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.)) (?v_1541 (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1.)) (?v_1542 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1543 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_1544 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_1545 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1546 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_1547 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1548 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_1549 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25.)) (?v_1550 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1551 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_1552 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1553 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1554 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_1555 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_1556 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_1557 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1558 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_4148 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_1559 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_1560 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_1561 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4134 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10.)) (?v_1562 (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1563 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.)) (?v_1564 (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0)) (?v_1565 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_1566 (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1.)) (?v_1567 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_1568 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.)) (?v_1569 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_1570 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1571 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_1572 (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1.)) (?v_1573 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1)) (?v_1574 (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1.)) (?v_1575 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1576 (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0)) (?v_4149 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_1577 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_1578 (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1.)) (?v_1579 (= inline.AcquireDpcLock.4.myVar_0.6 inline.AcquireDpcLock.4.myVar_0)) (?v_1580 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_1581 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_1582 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1583 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0)) (?v_1584 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_1585 (= inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..3 inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1.)) (?v_4264 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_1586 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_1587 (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2.)) (?v_1588 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_1589 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1590 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1591 (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked)) (?v_1592 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_1593 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_1594 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_1595 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_1596 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1597 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22.)) (?v_1598 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_1599 (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_1600 (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0)) (?v_1601 (= inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1.)) (?v_1602 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3.)) (?v_1603 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_1604 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_1605 (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_1606 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1607 (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_1608 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_1609 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_1610 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_1611 (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0)) (?v_4265 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_1612 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.)) (?v_1613 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1614 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_1615 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1616 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_1617 (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0)) (?v_1618 (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1.)) (?v_1619 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_1620 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_1621 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked)) (?v_1622 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_1623 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_1624 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_1625 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_1626 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.)) (?v_1627 (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_1628 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_1629 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_1630 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_1631 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1632 (= reqCancelSet_1.17 reqCancelSet_1)) (?v_1633 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1)) (?v_1634 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_1635 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_1636 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock)) (?v_1637 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_4266 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13.)) (?v_4267 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1)) (?v_4268 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4269 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_4270 (= inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30..0 inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30.)) (?v_4271 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_4272 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_4273 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_4274 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_4275 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4276 (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_4494 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16954formal.new.0)) (?v_4278 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_4279 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_4280 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_4281 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.)) (?v_4401 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.))) (let ((?v_4459 (=> ?v_4401 (=> (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) ?v_1669)))) (let ((?v_4495 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 ?v_4459)))))) (let ((?v_4497 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_4264 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_4265 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4494 ?v_4495))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4496 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 0)) (?v_4469 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4471 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 call35145formal.new.0)) (?v_4474 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4475 (= alloc.18 alloc.8)) (?v_4477 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4484 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0)) (?v_4486 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call35145formal.new.0)) (?v_4487 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16957formal.new.0)) (?v_4493 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0 0)) (?v_4473 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 call35208formal.ret.0)) (?v_4476 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4479 (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4480 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4481 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4482 (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 inline.EvtIoChildDeviceControl.0.myNondetVar_1.1)) (?v_4483 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 call35208formal.ret.0)) (?v_4485 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.7)) (?v_4488 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_4264 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_4265 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4494 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) ?v_4459)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4465 (<= 0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4460 (not (= call35295formal.ret.0 myNondetVar_1.0))) (?v_957 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0)) (?v_990 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 0)) (?v_1052 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26.)) (?v_1070 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_1146 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_1302 (= alloc.18 alloc.6)) (?v_1336 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.)) (?v_4133 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.4)) (?v_4277 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1))) (let ((?v_1638 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 ?v_4495))))))))))))) (let ((?v_4124 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_4266 ?v_1638))))))))))))))))))))))))))))) (let ((?v_4131 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_4265 ?v_4124))))))))))))))))))))))))))))) (let ((?v_4440 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_4264 ?v_4131)))))))))))))))))))))))))) (let ((?v_1346 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4457 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4458 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4133 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_1563 ?v_4440)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1347 (not (= myNondetVar_1.0 myNondetVar_2.0))) (?v_4298 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2)) (?v_4299 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_4303 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0)) (?v_4307 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 call35423formal.ret.0)) (?v_4315 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 hrequest)) (?v_4322 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 hrequest)) (?v_4329 (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 call35423formal.ret.0)) (?v_4344 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_4439 (<= 0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_4285 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2)) (?v_4286 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 call35617formal.ret.0)) (?v_4289 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4295 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4296 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4305 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 hrequest)) (?v_4306 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 hrequest)) (?v_4309 (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 call35563formal.new.0)) (?v_4314 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4317 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4318 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 call35617formal.ret.0)) (?v_4320 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0)) (?v_4328 (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0)) (?v_4333 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call35563formal.new.0)) (?v_4402 (=> (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16960formal.new.0) ?v_1669))) (let ((?v_4418 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 (=> ?v_4401 ?v_4402)))))))))))))))))))))))))))))))) (let ((?v_4429 (=> ?v_1584 (=> ?v_1585 (=> ?v_4264 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_4265 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 ?v_4418)))))))))))))))))))))))))))))))))))))))))))) (?v_4428 (<= 0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1)) (?v_4288 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call35745formal.new.0)) (?v_4293 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0)) (?v_4294 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 call35745formal.new.0)) (?v_4302 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0)) (?v_4304 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest)) (?v_4311 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16960formal.new.0)) (?v_4312 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 call35799formal.ret.0)) (?v_4313 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0)) (?v_4316 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0)) (?v_4319 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call35799formal.ret.0)) (?v_4323 (= alloc.18 alloc.10)) (?v_4327 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest)) (?v_4416 (= k.252 k.31)) (?v_4417 (= errorReached.134 errorReached.19)) (?v_4335 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4339 (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0)) (?v_4345 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4346 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2)) (?v_4415 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4287 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call35919formal.ret.0)) (?v_4292 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 call35919formal.ret.0)) (?v_4321 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 call35919formal.ret.0)) (?v_4325 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 call35919formal.ret.0)) (?v_4413 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.10)) (?v_4392 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call35919formal.ret.0))) (let ((?v_4414 (=> ?v_1611 (=> ?v_4265 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_4392 ?v_4418)))))))))))))))) (?v_4399 (- 0 1073741670)) (?v_4412 (= call35919formal.ret.0 0)) (?v_4301 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0)) (?v_4330 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest)) (?v_4332 (= k.252 k.33)) (?v_4334 (= errorReached.134 errorReached.20)) (?v_4337 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2)) (?v_4340 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest)) (?v_4341 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4342 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 call35989formal.ret.0)) (?v_4343 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4391 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call35989formal.ret.0)) (?v_4400 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_4283 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call36109formal.ret.0)) (?v_4308 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 call36109formal.ret.0)) (?v_4336 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 call36109formal.ret.0)) (?v_4390 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 call36109formal.ret.0)) (?v_4393 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_4280 (=> ?v_4281 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call36109formal.ret.0) ?v_4402))))))))))))))))))))) (?v_4398 (= call36109formal.ret.0 0)) (?v_4389 (<= 0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4284 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0)) (?v_4290 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 call36245formal.ret.0)) (?v_4291 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_4297 (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 call36245formal.ret.0)) (?v_4300 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_4310 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_4324 (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 call36245formal.ret.0)) (?v_4326 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 call36245formal.ret.0)) (?v_4331 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0)) (?v_4338 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.13))) (let ((?v_4347 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_4390 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_4391 (=> ?v_1611 (=> ?v_4265 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_4392 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0) ?v_4393))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4348 (not (= call36284formal.ret.0 myNondetVar_1.0))) (?v_4282 (not (= call36245formal.ret.0 myNondetVar_1.0))) (?v_4085 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..0)) (?v_4093 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 call36481formal.ret.0)) (?v_4097 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 call36481formal.ret.0)) (?v_4099 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 hrequest)) (?v_4100 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_4109 (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0)) (?v_4112 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_4114 (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2)) (?v_4122 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 hrequest))) (let ((?v_4150 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_4122 ?v_4131))))))))))) (?v_4145 (<= 0 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1)) (?v_4087 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest)) (?v_4088 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2)) (?v_4106 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..0)) (?v_4110 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4111 (= k.252 k.36)) (?v_4113 (= errorReached.134 errorReached.22)) (?v_4117 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 call36619formal.ret.0)) (?v_4118 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call36619formal.ret.0)) (?v_4119 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4121 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest))) (let ((?v_4135 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4121 ?v_4150))))))))))))))))) (?v_4132 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_4086 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 call36739formal.ret.0)) (?v_4090 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 call36739formal.ret.0)) (?v_4092 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 call36739formal.ret.0)) (?v_4096 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 call36739formal.ret.0)) (?v_4120 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 call36739formal.ret.0)) (?v_4129 (= call36739formal.ret.0 0)) (?v_4089 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_4091 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4094 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_4095 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_4098 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 call36842formal.ret.0)) (?v_4101 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0)) (?v_4102 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4103 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call36799formal.new.0)) (?v_4104 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 call36799formal.new.0)) (?v_4105 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 call36842formal.ret.0)) (?v_4107 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4108 (= alloc.18 alloc.11)) (?v_4115 (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.16)) (?v_4116 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 call16960formal.new.0)) (?v_4123 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_4084 (<= 0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1671 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1672 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2)) (?v_1673 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..1)) (?v_1674 (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext1.0 hqueue)) (?v_1675 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0)) (?v_1676 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1677 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1678 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1)) (?v_1679 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1)) (?v_1680 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0)) (?v_1681 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1)) (?v_1682 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0)) (?v_1683 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0)) (?v_1684 (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1685 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1686 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1687 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0)) (?v_1688 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0)) (?v_1689 (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_1690 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_1691 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0)) (?v_1692 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1693 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1)) (?v_1694 (= reqCompleted_0.11 reqCompleted_0.10)) (?v_1695 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1696 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0)) (?v_1697 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1)) (?v_1698 (= inline.GetDeviceContext.10.myNondetVar_0.3 inline.GetDeviceContext.10.myNondetVar_0.2)) (?v_1699 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1700 (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked.0 hrequest)) (?v_1701 (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0)) (?v_1702 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_1703 (= inline.EvtRequestChildCancel.1.myNondetVar_0.4 inline.EvtRequestChildCancel.1.myNondetVar_0.3)) (?v_1704 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1)) (?v_1705 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_1706 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1)) (?v_1707 (= inline.ReleaseDpcLock.3.myVar_0.5 inline.ReleaseDpcLock.3.myVar_0.4)) (?v_1708 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1709 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1)) (?v_1710 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1711 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0)) (?v_1712 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0)) (?v_1713 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0)) (?v_1714 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1715 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1)) (?v_1716 (= inline.GetDeviceContext.20.myNondetVar_0.2 inline.GetDeviceContext.20.myNondetVar_0.1)) (?v_1717 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1718 (= inline.GetDeviceContext.31.myNondetVar_0.2 inline.GetDeviceContext.31.myNondetVar_0.1)) (?v_1719 (= inline.GetDeviceContext.14.myNondetVar_0.2 inline.GetDeviceContext.14.myNondetVar_0.1)) (?v_1720 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0)) (?v_1721 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1722 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0)) (?v_1723 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1724 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0)) (?v_1725 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0)) (?v_1726 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1)) (?v_1727 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1728 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0)) (?v_1729 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1)) (?v_1730 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1)) (?v_1731 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3)) (?v_1732 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0)) (?v_1733 (= inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2)) (?v_1734 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1)) (?v_1735 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_1736 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1737 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3)) (?v_1738 (= inline.GetDeviceContext.19.myNondetVar_0.2 inline.GetDeviceContext.19.myNondetVar_0.1)) (?v_1739 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2)) (?v_1740 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1)) (?v_1741 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0)) (?v_1742 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1743 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1744 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0)) (?v_1745 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1)) (?v_1746 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1)) (?v_1747 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1748 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.4)) (?v_1749 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1750 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1)) (?v_1751 (= inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2)) (?v_1752 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1)) (?v_1753 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1)) (?v_1754 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2)) (?v_1755 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2)) (?v_1756 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..2 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1)) (?v_1757 (= inline.GetChildQueueContext.6.myNondetVar_0.3 inline.GetChildQueueContext.6.myNondetVar_0.2)) (?v_1758 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1759 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1760 (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1)) (?v_1761 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3)) (?v_1762 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2)) (?v_1763 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1764 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3)) (?v_1765 (= inline.MakeNewRequestCurrentRequestLocked.0..childQueueContext.7.682.25.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1766 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1767 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2)) (?v_1768 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1769 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1770 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0)) (?v_1771 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2)) (?v_1772 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0)) (?v_1773 (= inline.GetDeviceContext.28.myNondetVar_0.2 inline.GetDeviceContext.28.myNondetVar_0.1)) (?v_1774 (= inline.GetRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0)) (?v_1775 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0)) (?v_1776 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1777 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1778 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1)) (?v_1779 (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0)) (?v_1780 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0)) (?v_1781 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0)) (?v_1782 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0)) (?v_1783 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1784 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0)) (?v_1785 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1)) (?v_1786 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1787 (= inline.GetDeviceContext.25.myNondetVar_0.3 inline.GetDeviceContext.25.myNondetVar_0.2)) (?v_1788 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..3 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2)) (?v_1789 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1790 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_1791 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2)) (?v_1792 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1)) (?v_1793 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1794 (= inline.GetDeviceContext.8.myNondetVar_0.3 inline.GetDeviceContext.8.myNondetVar_0.2)) (?v_1795 (= inline.GetRequestContext.4.myNondetVar_0.3 inline.GetRequestContext.4.myNondetVar_0.2)) (?v_1796 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0)) (?v_1797 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1)) (?v_1798 (= inline.GetDeviceContext.24.myNondetVar_0.3 inline.GetDeviceContext.24.myNondetVar_0.2)) (?v_1799 (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0)) (?v_1800 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3)) (?v_1801 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1802 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1)) (?v_1803 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0)) (?v_1804 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2)) (?v_1805 (= inline.GetDeviceContext.18.myNondetVar_0.2 inline.GetDeviceContext.18.myNondetVar_0.1)) (?v_1806 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0)) (?v_1807 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_1808 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1809 (= inline.GetRequestContext.2.myNondetVar_0.2 inline.GetRequestContext.2.myNondetVar_0.1)) (?v_1810 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1)) (?v_1811 (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0)) (?v_1812 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0)) (?v_1813 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0)) (?v_1814 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0)) (?v_1815 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1816 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2)) (?v_1817 (= reqCancelSet_0.17 reqCancelSet_0.16)) (?v_1818 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0)) (?v_1819 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2)) (?v_1820 (= inline.AcquireDpcLock.6.myVar_0.5 inline.AcquireDpcLock.6.myVar_0.4)) (?v_1821 (= inline.GetChildQueueContext.3.myNondetVar_0.2 inline.GetChildQueueContext.3.myNondetVar_0.1)) (?v_1822 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest)) (?v_1823 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0)) (?v_1824 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1825 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0)) (?v_1826 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0)) (?v_1827 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1)) (?v_1828 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1)) (?v_1829 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3)) (?v_1830 (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1831 (= inline.GetDeviceContext.11.myNondetVar_0.3 inline.GetDeviceContext.11.myNondetVar_0.2)) (?v_1832 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0)) (?v_1833 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1834 (= inline.GetDeviceContext.23.myNondetVar_0.3 inline.GetDeviceContext.23.myNondetVar_0.2)) (?v_1835 (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13)) (?v_1836 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2)) (?v_1837 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1838 (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1)) (?v_1839 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2)) (?v_1840 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0)) (?v_1841 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0)) (?v_1842 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1)) (?v_1843 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1)) (?v_1844 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1)) (?v_1845 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0)) (?v_1846 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetDeviceContext.686.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1847 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1848 (= inline.MakeNewRequestCurrentRequestLocked.0..result.GetChildQueueContext.685.44.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1849 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1)) (?v_1850 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0)) (?v_1851 (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0)) (?v_1852 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1)) (?v_1853 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2)) (?v_1854 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1855 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2)) (?v_1856 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1)) (?v_1857 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2)) (?v_1858 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_1859 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1860 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1)) (?v_1861 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1862 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1)) (?v_1863 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1)) (?v_1864 (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0)) (?v_1865 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1)) (?v_1866 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_1867 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1868 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.2 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1)) (?v_1869 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0)) (?v_1870 (= inline.GetChildQueueContext.2.myNondetVar_0.1 inline.GetChildQueueContext.2.myNondetVar_0.0)) (?v_1871 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1872 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3)) (?v_1873 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_1874 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0)) (?v_1875 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0)) (?v_1876 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1877 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0)) (?v_1878 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3)) (?v_1879 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1)) (?v_1880 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1881 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_1882 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0)) (?v_1883 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2)) (?v_1884 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0)) (?v_1885 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1886 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.1 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0)) (?v_1887 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_1888 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2)) (?v_1889 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1890 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_1891 (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1)) (?v_1892 (= inline.AcquireDpcLock.1.myVar_0.6 inline.AcquireDpcLock.1.myVar_0.5)) (?v_1893 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1894 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0)) (?v_1895 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0)) (?v_1896 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1)) (?v_1897 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0)) (?v_1898 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0)) (?v_1899 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1)) (?v_1900 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0)) (?v_1901 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.14 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13)) (?v_1902 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1903 (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_1904 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0)) (?v_1905 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1906 (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0)) (?v_1907 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1908 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2)) (?v_1909 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1)) (?v_1910 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1911 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1)) (?v_1912 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2)) (?v_1913 (= inline.GetDeviceContext.32.myNondetVar_0.2 inline.GetDeviceContext.32.myNondetVar_0.1)) (?v_1914 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1)) (?v_1915 (= inline.GetRequestContext.2..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.2..result.GetRequestContext.56.0.1..0)) (?v_1916 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1)) (?v_1917 (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0)) (?v_1918 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0)) (?v_1919 (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0)) (?v_1920 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1921 (= inline.GetDeviceContext.6.myNondetVar_0.2 inline.GetDeviceContext.6.myNondetVar_0.1)) (?v_1922 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1)) (?v_1923 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..1 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0)) (?v_1924 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.1 inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0)) (?v_1925 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..1 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0)) (?v_1926 (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0)) (?v_1927 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2)) (?v_1928 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1)) (?v_1929 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0)) (?v_1930 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0)) (?v_1931 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2)) (?v_1932 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1933 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0)) (?v_1934 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1935 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1936 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_1937 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0)) (?v_1938 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0)) (?v_1939 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0)) (?v_1940 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_1941 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2)) (?v_1942 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0)) (?v_1943 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0)) (?v_1944 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2)) (?v_1945 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..3 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2)) (?v_1946 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0)) (?v_1947 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1948 (= inline.ReleaseDpcLock.5.myVar_0.5 inline.ReleaseDpcLock.5.myVar_0.4)) (?v_1949 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_1950 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1)) (?v_1951 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1)) (?v_1952 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1)) (?v_1953 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1)) (?v_1954 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..4 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3)) (?v_1955 (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1)) (?v_1956 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2)) (?v_1957 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0)) (?v_1958 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_1959 (= inline.GetDeviceContext.12.myNondetVar_0.3 inline.GetDeviceContext.12.myNondetVar_0.2)) (?v_1960 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1)) (?v_1961 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1962 (= inline.ReleaseDpcLock.4.myVar_0.6 inline.ReleaseDpcLock.4.myVar_0.5)) (?v_1963 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1964 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0)) (?v_1965 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_1966 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16)) (?v_1967 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_1968 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1969 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1970 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0)) (?v_1971 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0)) (?v_1972 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1973 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0)) (?v_1974 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2)) (?v_1975 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0)) (?v_1976 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0)) (?v_1977 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_1978 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0)) (?v_1979 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1)) (?v_1980 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1)) (?v_1981 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1)) (?v_1982 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0)) (?v_1983 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_1984 (= inline.GetDeviceContext.4..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1985 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0)) (?v_1986 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.22 inline.MarkRequestCancelableReturnLocked.1.myVar_0.21)) (?v_1987 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0)) (?v_1988 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1)) (?v_1989 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1)) (?v_1990 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0)) (?v_1991 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0)) (?v_1992 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_1993 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.2 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1)) (?v_1994 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0)) (?v_1995 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_1996 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1)) (?v_1997 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0)) (?v_1998 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3)) (?v_1999 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1)) (?v_2000 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1)) (?v_2001 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0)) (?v_2002 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1)) (?v_2003 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0)) (?v_2004 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0)) (?v_2005 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3)) (?v_2006 (= inline.AcquireDpcLock.5.myVar_0.5 inline.AcquireDpcLock.5.myVar_0.4)) (?v_2007 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.3 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2)) (?v_2008 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1)) (?v_2009 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2010 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2011 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2012 (= inline.GetChildQueueContext.2..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2013 (= inline.AcquireDpcLock.2.myVar_0.5 inline.AcquireDpcLock.2.myVar_0.4)) (?v_2014 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..2 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1)) (?v_2015 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1)) (?v_2016 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2)) (?v_2017 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0)) (?v_2018 (= inline.GetRequestContext.1.myNondetVar_0.2 inline.GetRequestContext.1.myNondetVar_0.1)) (?v_2019 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2020 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1)) (?v_2021 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2022 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0)) (?v_2023 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1)) (?v_2024 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1)) (?v_2025 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2)) (?v_2026 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_2027 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2028 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0)) (?v_2029 (= inline.GetDeviceContext.7.myNondetVar_0.2 inline.GetDeviceContext.7.myNondetVar_0.1)) (?v_2030 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1)) (?v_2031 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2)) (?v_2032 (= inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..3 inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..2)) (?v_2033 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..1 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0)) (?v_2034 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0)) (?v_2035 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0)) (?v_2036 (= inline.MakeNewRequestCurrentRequestLocked.0..result.MakeNewRequestCurrentRequestLocked.662.0.1..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0)) (?v_2037 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0)) (?v_2038 (= inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..3 inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2)) (?v_2039 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0)) (?v_2040 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1)) (?v_2041 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0)) (?v_2042 (= inline.sdv_WdfRequestGetIoQueue.1..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest)) (?v_2043 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2044 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0)) (?v_2045 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2)) (?v_2046 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0)) (?v_2047 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2048 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..2 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1)) (?v_2049 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2050 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..1)) (?v_2051 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2)) (?v_2052 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2053 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1)) (?v_2054 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1)) (?v_2055 (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0)) (?v_2056 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3)) (?v_2057 (= inline.GetRequestContext.6.myNondetVar_0.2 inline.GetRequestContext.6.myNondetVar_0.1)) (?v_2058 (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2)) (?v_2059 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0)) (?v_2060 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..2 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1)) (?v_2061 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1)) (?v_2062 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2063 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10)) (?v_2064 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1)) (?v_2065 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2)) (?v_2066 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1)) (?v_2067 (= inline.GetRequestContext.8..result.GetRequestContext.56.0.1..3 inline.GetRequestContext.8..result.GetRequestContext.56.0.1..2)) (?v_2068 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..2 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1)) (?v_2069 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0)) (?v_2070 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0)) (?v_2071 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_2072 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1)) (?v_2073 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2)) (?v_2074 (= inline.GetRequestContext.8.myNondetVar_0.4 inline.GetRequestContext.8.myNondetVar_0.3)) (?v_2075 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1)) (?v_2076 (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0.1)) (?v_2077 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2078 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.2 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1)) (?v_2079 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..3 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2)) (?v_2080 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1)) (?v_2081 (= inline.GetDeviceContext.22.myNondetVar_0.3 inline.GetDeviceContext.22.myNondetVar_0.2)) (?v_2082 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0)) (?v_2083 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0)) (?v_2084 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0)) (?v_2085 (= inline.GetDeviceContext.29.myNondetVar_0.2 inline.GetDeviceContext.29.myNondetVar_0.1)) (?v_2086 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0)) (?v_2087 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2088 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_2089 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2090 (= alloc.18 alloc.17)) (?v_2091 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1)) (?v_2092 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_2093 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1)) (?v_2094 (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0)) (?v_2095 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0)) (?v_2096 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0)) (?v_2097 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0)) (?v_2098 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0)) (?v_2099 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.2 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1)) (?v_2100 (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2)) (?v_2101 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1)) (?v_2102 (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0)) (?v_2103 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1)) (?v_2104 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0)) (?v_2105 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1)) (?v_2106 (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.2 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1)) (?v_2107 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1)) (?v_2108 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2109 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0)) (?v_2110 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.2 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1)) (?v_2111 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1)) (?v_2112 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2)) (?v_2113 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2)) (?v_2114 (= inline.GetDeviceContext.9.myNondetVar_0.3 inline.GetDeviceContext.9.myNondetVar_0.2)) (?v_2115 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0)) (?v_2116 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0)) (?v_2117 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2)) (?v_2118 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1)) (?v_2119 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3)) (?v_2120 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2)) (?v_2121 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1)) (?v_2122 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0)) (?v_2123 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0)) (?v_2124 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0)) (?v_2125 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2)) (?v_2126 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0)) (?v_2127 (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1)) (?v_2128 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1)) (?v_2129 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1)) (?v_2130 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2)) (?v_2131 (= inline.FreeVerifyCanceledOnQueueBuffer.0..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.0..result.GetRequestContext.183.34.1..0)) (?v_2132 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0)) (?v_2133 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0)) (?v_2134 (=> (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.16 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15) (=> (= inline.GetDeviceContext.4..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0) (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0) (=> (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1) (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.3 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.3 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..2 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1) (=> (= inline.EvtRequestChildCancel.1.myVar_0.17 inline.EvtRequestChildCancel.1.myVar_0.16) (=> (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.EvtRequestChildCancel.0.myVar_0.17 inline.EvtRequestChildCancel.0.myVar_0.16) (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..2 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0) (=> (= lockStatus_1.42 lockStatus_1.41) (=> (= inline.GetDeviceContext.13.myNondetVar_0.2 inline.GetDeviceContext.13.myNondetVar_0.1) (=> (= inline.GetDeviceContext.16.myNondetVar_0.2 inline.GetDeviceContext.16.myNondetVar_0.1) (=> (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..1 inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.6) (=> (= inline.GetRequestContext.7.myNondetVar_0.3 inline.GetRequestContext.7.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.0..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.GetChildQueueContext.2..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.4 inline.EvtRequestChildCancel.0.myNondetVar_0.3) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2) (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.2 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..1 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.7 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..2 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2) (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.GetDeviceContext.15.myNondetVar_0.2 inline.GetDeviceContext.15.myNondetVar_0.1) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.3 inline.EvtIoChildDeviceControl.0.myNondetVar_1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1) (=> (= k.252 k.251) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0) (=> (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0) (=> (= errorReached.134 errorReached.133) (=> (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2) (=> (= inline.GetRequestContext.5.myNondetVar_0.4 inline.GetRequestContext.5.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.GetRequestContext.5..result.GetRequestContext.56.0.1..3 inline.GetRequestContext.5..result.GetRequestContext.56.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0) (=> (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.3 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2) (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.2 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.2 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1) (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1) (=> (= reqCompleted_1.11 reqCompleted_1.10) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.17) (=> (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0) (=> (= inline.GetDeviceContext.4.myNondetVar_0.1 inline.GetDeviceContext.4.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.GetDeviceContext.5.myNondetVar_0.2 inline.GetDeviceContext.5.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.ReleaseDpcLock.0.myVar_0.5 inline.ReleaseDpcLock.0.myVar_0.4) (=> (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.22 inline.MarkRequestCancelableReturnLocked.0.myVar_0.21) (=> (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..2 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..3 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2) (=> (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.4 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0) (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1) (=> (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.ReleaseDpcLock.2.myVar_0.5 inline.ReleaseDpcLock.2.myVar_0.4) (=> (= inline.AcquireDpcLock.3.myVar_0.5 inline.AcquireDpcLock.3.myVar_0.4) (=> (= inline.ReleaseDpcLock.1.myVar_0.6 inline.ReleaseDpcLock.1.myVar_0.5) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.3 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0) (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..2 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0) (=> (= inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..3 inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2) (=> (= lockStatus_0.42 lockStatus_0.41) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2) (=> (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0) (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.1 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..2 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.2 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.3 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2) (=> (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.11 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0) (=> (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0) (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.3 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.2 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0) (=> (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..3 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2) (=> (= inline.GetDeviceContext.27.myNondetVar_0.2 inline.GetDeviceContext.27.myNondetVar_0.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.3 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2) (=> (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0) (=> (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..Request.1.663.15.MakeNewRequestCurrentRequestLocked1.0 hrequest) (=> (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetDeviceContext.30.myNondetVar_0.2 inline.GetDeviceContext.30.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0) (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..3 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2) (=> (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0) (=> (= inline.AcquireDpcLock.4.myVar_0.6 inline.AcquireDpcLock.4.myVar_0.5) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.17 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.2 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..3 inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..2) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.1 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1) (=> (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0) (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..deviceContext.2.677.20.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..2 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.1 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.3 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..1 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0) (=> (= inline.GetChildQueueContext.5.myNondetVar_0.2 inline.GetChildQueueContext.5.myNondetVar_0.1) (=> (= inline.GetDeviceContext.21.myNondetVar_0.2 inline.GetDeviceContext.21.myNondetVar_0.1) (=> (= inline.GetDeviceContext.4..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestGetIoQueue.685.65.3..0 hqueue) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..1 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.GetChildQueueContext.2..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2) (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0) (=> (= inline.GetDeviceContext.17.myNondetVar_0.2 inline.GetDeviceContext.17.myNondetVar_0.1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0) (=> (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.2 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..2 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeviceContext.26.myNondetVar_0.3 inline.GetDeviceContext.26.myNondetVar_0.2) (=> (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0) (=> (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2) (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.3 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..4 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.3 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.3 inline.GetChildQueueContext.4.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.3 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) (=> (= reqCancelSet_1.17 reqCancelSet_1.16) (=> (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.2 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1) (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.1 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0) (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.EvtIoChildDeviceControl.0..result.MakeNewRequestCurrentRequestLocked.1928.42.30..0 inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..3 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.1 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.2 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..1 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0) (=> (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0) ?v_1669))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1670 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 0))) (let ((?v_3065 (and (=> true (=> (not ?v_1670) (=> true (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1675 (=> ?v_1676 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> ?v_1726 (=> ?v_1727 (=> ?v_1728 (=> ?v_1729 (=> ?v_1730 (=> ?v_1731 (=> ?v_1732 (=> ?v_1733 (=> ?v_1734 (=> ?v_1735 (=> ?v_1736 (=> ?v_1737 (=> ?v_1738 (=> ?v_1739 (=> ?v_1740 (=> ?v_1741 (=> ?v_1742 (=> ?v_1743 (=> ?v_1744 (=> ?v_1745 (=> ?v_1746 (=> ?v_1747 (=> ?v_1748 (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> ?v_1759 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> ?v_1783 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1858 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_826 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2116 (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> ?v_2120 (=> ?v_2121 (=> ?v_2122 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_2126 (=> ?v_2127 (=> ?v_2128 (=> ?v_2129 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15) ?v_2134)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1670 (=> true (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1675 (=> ?v_1676 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1700 (=> ?v_1701 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_1705 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> ?v_1726 (=> ?v_1727 (=> ?v_1728 (=> ?v_1729 (=> ?v_1730 (=> ?v_1731 (=> ?v_1732 (=> ?v_1733 (=> ?v_1734 (=> ?v_1735 (=> ?v_1736 (=> ?v_1737 (=> ?v_1738 (=> ?v_1739 (=> ?v_1740 (=> ?v_1741 (=> ?v_1742 (=> ?v_1743 (=> ?v_1744 (=> ?v_1745 (=> ?v_1746 (=> ?v_1747 (=> ?v_1748 (=> ?v_1749 (=> ?v_1750 (=> ?v_1751 (=> ?v_1752 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> ?v_1759 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> ?v_1783 (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1858 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_1268 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2116 (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> ?v_2120 (=> ?v_2121 (=> ?v_2122 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_2126 (=> ?v_2127 (=> ?v_2128 (=> ?v_2129 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 0) ?v_2134))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3442 (=> true (=> true (=> true (=> true (=> true ?v_3065)))))) (?v_3092 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1)) (?v_3093 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock)) (?v_3095 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11.)) (?v_3096 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8.)) (?v_3097 (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_3098 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3100 (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3101 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_3102 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock)) (?v_3103 (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0)) (?v_3104 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext)) (?v_3105 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3106 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3107 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.)) (?v_3417 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2.)) (?v_3108 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_3109 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_3110 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1)) (?v_3111 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3112 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3113 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.)) (?v_3114 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3115 (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3418 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3116 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_3117 (= inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0)) (?v_3118 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.)) (?v_3119 (= inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer)) (?v_3120 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_3121 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext)) (?v_3122 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3123 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_3124 (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3.)) (?v_3125 (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3126 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3127 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3128 (= inline.GetRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.GetRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.)) (?v_3129 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock)) (?v_3130 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext)) (?v_3132 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3133 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3134 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.)) (?v_3135 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3136 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3137 (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0)) (?v_3138 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_3419 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.)) (?v_3139 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1)) (?v_3140 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.)) (?v_3141 (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0)) (?v_3142 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_3143 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3144 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3145 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3146 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3147 (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1.)) (?v_3148 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_3149 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3150 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3151 (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0)) (?v_3152 (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1.)) (?v_3420 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable)) (?v_3153 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_3154 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1)) (?v_3156 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1)) (?v_3157 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3158 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext)) (?v_3159 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.)) (?v_3160 (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1)) (?v_3161 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3162 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3163 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.)) (?v_3164 (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1.)) (?v_3165 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3166 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3167 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3168 (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp)) (?v_3169 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3170 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3171 (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion)) (?v_3172 (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3173 (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6.)) (?v_3174 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_3175 (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1)) (?v_3176 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_3177 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3179 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_3180 (= inline.AcquireDpcLock.1.myVar_0.5 inline.AcquireDpcLock.1.myVar_0)) (?v_3181 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3182 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_3183 (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3184 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext)) (?v_3185 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1)) (?v_3186 (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3187 (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext)) (?v_3188 (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3189 (= inline.GetRequestContext.2..result.GetRequestContext.56.0.1..0 inline.GetRequestContext.2..result.GetRequestContext.56.0.1.)) (?v_3190 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_3191 (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1.)) (?v_3192 (= inline.FreeVerifyCanceledOnQueueBuffer.0..result.GetRequestContext.183.34.1..0 inline.FreeVerifyCanceledOnQueueBuffer.0..result.GetRequestContext.183.34.1.)) (?v_3193 (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0)) (?v_3194 (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4.)) (?v_3195 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_3196 (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3197 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_3198 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_3199 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_3200 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3201 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3202 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1)) (?v_3203 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_3204 (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.)) (?v_3205 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3206 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3207 (= inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.)) (?v_3208 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_3209 (= inline.AcquireDpcLock.2.myVar_0.4 inline.AcquireDpcLock.2.myVar_0)) (?v_3210 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_3211 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1)) (?v_3212 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3213 (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1)) (?v_3215 (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3216 (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3218 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1)) (?v_3219 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_3220 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_3221 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock)) (?v_3222 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_3223 (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1.)) (?v_3224 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3421 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable)) (?v_3225 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_3226 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_3227 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_3228 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3229 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_3230 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3231 (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3232 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3233 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12.)) (?v_3234 (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0)) (?v_3235 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3236 (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3237 (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0)) (?v_3238 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3239 (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3240 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_3241 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3242 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3243 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext)) (?v_3244 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_3245 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3246 (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9.)) (?v_3247 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_3248 (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.)) (?v_3249 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3422 (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0)) (?v_3250 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3251 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext)) (?v_3252 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3253 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_3254 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3255 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3256 (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3257 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3258 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_3423 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext)) (?v_3259 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3260 (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0)) (?v_3261 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_3262 (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3263 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_3264 (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0)) (?v_3265 (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1.)) (?v_3266 (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3267 (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0)) (?v_3268 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.)) (?v_3269 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_3270 (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1)) (?v_3271 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.)) (?v_3272 (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0)) (?v_3273 (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3274 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3275 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3276 (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1)) (?v_3277 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3278 (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1.)) (?v_3279 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_3280 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3281 (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3424 (= inline.MakeNewRequestCurrentRequestLocked.0..result.8.683.12.MakeNewRequestCurrentRequestLocked.0 1)) (?v_3282 (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_3284 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3285 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3425 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3286 (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock)) (?v_3287 (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1.)) (?v_3288 (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_3289 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3290 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_3291 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.)) (?v_3292 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3293 (= inline.EvtRequestChildCancel.0.myVar_0.16 inline.EvtRequestChildCancel.0.myVar_0)) (?v_3294 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3295 (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0)) (?v_3296 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3297 (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_3298 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0)) (?v_3299 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3300 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.)) (?v_3301 (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.)) (?v_3302 (= inline.FreeVerifyCanceledOnQueueBuffer.0..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.0..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer)) (?v_3303 (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_3304 (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext)) (?v_3305 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3306 (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3307 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3308 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3309 (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.)) (?v_3310 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.)) (?v_3311 (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1.)) (?v_3312 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3313 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1)) (?v_3314 (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0)) (?v_3315 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_3316 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3317 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.)) (?v_3318 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock)) (?v_3319 (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete)) (?v_3320 (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0)) (?v_3321 (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0)) (?v_3322 (= inline.GetRequestContext.5..result.GetRequestContext.56.0.1..2 inline.GetRequestContext.5..result.GetRequestContext.56.0.1.)) (?v_3323 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3324 (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0)) (?v_3325 (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0)) (?v_3326 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3327 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3329 (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3330 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3426 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3331 (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3332 (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3333 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3334 (= inline.ReleaseDpcLock.0.myVar_0.4 inline.ReleaseDpcLock.0.myVar_0)) (?v_3335 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 inline.MarkRequestCancelableReturnLocked.0.myVar_0)) (?v_3336 (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3337 (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3338 (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0)) (?v_3339 (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext)) (?v_3340 (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0)) (?v_3341 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_3342 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3343 (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_3344 (= inline.ReleaseDpcLock.2.myVar_0.4 inline.ReleaseDpcLock.2.myVar_0)) (?v_3345 (= inline.AcquireDpcLock.3.myVar_0.4 inline.AcquireDpcLock.3.myVar_0)) (?v_3346 (= inline.ReleaseDpcLock.1.myVar_0.5 inline.ReleaseDpcLock.1.myVar_0)) (?v_3347 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3348 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3349 (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3427 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1.)) (?v_3350 (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3352 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3353 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3354 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3355 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3356 (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_3358 (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1)) (?v_3359 (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1.)) (?v_3360 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_3361 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3362 (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1)) (?v_3363 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3364 (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext)) (?v_3365 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_3366 (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3367 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.)) (?v_3368 (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3369 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_3370 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3371 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3372 (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.)) (?v_3373 (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1.)) (?v_3375 (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1)) (?v_3376 (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext)) (?v_3377 (= inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..2 inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1.)) (?v_3378 (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext)) (?v_3379 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3380 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3428 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked)) (?v_3381 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_3382 (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3429 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6.)) (?v_3383 (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.)) (?v_3384 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3386 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_3387 (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1.)) (?v_3430 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2.)) (?v_3388 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3389 (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3390 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_3391 (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.)) (?v_3392 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3393 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.)) (?v_3394 (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_3395 (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1)) (?v_3431 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1)) (?v_3396 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3397 (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3398 (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1)) (?v_3432 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1)) (?v_3433 (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1)) (?v_3434 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3435 (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.)) (?v_3436 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_3437 (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3438 (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock)) (?v_3439 (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.)) (?v_3440 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3441 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1))) (let ((?v_3458 (=> true (=> (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> ?v_3092 (=> (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3093 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) (=> ?v_3095 (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0) (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0) (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_3096 (=> ?v_3097 (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> ?v_3098 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCompleted_0.10 reqCompleted_0.3) (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 inline.EvtRequestChildCancel.1.myNondetVar_0.2) (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3103 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0.0) (=> ?v_3107 (=> (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3417 (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_3108 (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1) (=> ?v_3109 (=> ?v_3110 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1) (=> ?v_3111 (=> ?v_3112 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3113 (=> ?v_3114 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0) (=> ?v_3115 (=> ?v_3418 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1) (=> ?v_3121 (=> ?v_3122 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3126 (=> (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0.0) (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3130 (=> (= alloc.17 alloc.14) (=> ?v_3132 (=> ?v_3133 (=> (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3134 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1) (=> ?v_3419 (=> (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0) (=> ?v_3139 (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0) (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3147 (=> ?v_3148 (=> (= reqCancelSet_0.16 reqCancelSet_0.7) (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> ?v_3420 (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_3153 (=> (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0.1) (=> ?v_3154 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.4) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> (= inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1) (=> ?v_3159 (=> (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> ?v_3164 (=> ?v_3165 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3166 (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0) (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3170 (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0) (=> ?v_3171 (=> ?v_3172 (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0) (=> ?v_3173 (=> ?v_3174 (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0) (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> (= lockStatus_0.41 lockStatus_0.24) (=> ?v_3179 (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0) (=> ?v_3180 (=> ?v_3181 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3182 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0) (=> ?v_3183 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..0) (=> ?v_3184 (=> ?v_3185 (=> (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> ?v_3186 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3187 (=> (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0.0) (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0) (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3200 (=> ?v_3201 (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3202 (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> (= inline.ReleaseDpcLock.5.myVar_0.4 inline.ReleaseDpcLock.5.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0) (=> ?v_3207 (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1) (=> ?v_3208 (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1) (=> (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0.1) (=> ?v_3209 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_3210 (=> ?v_3211 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.ReleaseDpcLock.4.myVar_0.5 inline.ReleaseDpcLock.4.myVar_0.4) (=> ?v_3212 (=> ?v_3213 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) (=> ?v_3215 (=> ?v_3216 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.4) (=> (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3218 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3219 (=> (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0.1) (=> ?v_3220 (=> ?v_3221 (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> ?v_3222 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..0) (=> ?v_3223 (=> (= inline.AcquireDpcLock.5.myVar_0.4 inline.AcquireDpcLock.5.myVar_0.3) (=> ?v_3224 (=> ?v_3421 (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> ?v_3225 (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3226 (=> (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3230 (=> ?v_3231 (=> (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> ?v_3232 (=> ?v_3233 (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1) (=> ?v_3234 (=> ?v_3235 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1) (=> (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 call28395formal.ret.0) (=> (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1) (=> ?v_3240 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0) (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3247 (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> ?v_3248 (=> ?v_3249 (=> ?v_3422 (=> (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1) (=> ?v_3250 (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..0) (=> ?v_3254 (=> ?v_3255 (=> (= inline.GetRequestContext.8..result.GetRequestContext.56.0.1..2 inline.GetRequestContext.8..result.GetRequestContext.56.0.1..1) (=> ?v_3256 (=> ?v_3257 (=> (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1) (=> (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0.2) (=> ?v_3258 (=> ?v_3423 (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_3259 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0) (=> (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0) (=> (= errorReached.133 errorReached.83) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0) (=> ?v_3260 (=> ?v_3261 (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3262 (=> ?v_3263 (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> ?v_3264 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3265 (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3266 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0.1) (=> ?v_3267 (=> ?v_3268 (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> ?v_3269 (=> ?v_3270 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3271 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3276 (=> ?v_3277 (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3278 (=> ?v_3279 (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_3280 (=> ?v_3281 (=> ?v_3424 (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1) (=> ?v_3282 (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_3284 (=> ?v_3285 (=> ?v_3425 (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.EvtRequestChildCancel.1.myVar_0.16 inline.EvtRequestChildCancel.1.myVar_0.15) (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0) (=> ?v_3294 (=> (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3295 (=> (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> ?v_3296 (=> ?v_3297 (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0) (=> ?v_3298 (=> ?v_3299 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> ?v_3300 (=> ?v_3301 (=> ?v_3302 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> ?v_3303 (=> ?v_3304 (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..0) (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.5) (=> ?v_3309 (=> ?v_3310 (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1) (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> ?v_3315 (=> (= k.251 k.157) (=> ?v_3316 (=> ?v_3317 (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1) (=> (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3318 (=> (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_3322 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0) (=> ?v_3323 (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1) (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> ?v_3327 (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0) (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0) (=> (= reqCompleted_1.10 reqCompleted_1.3) (=> ?v_3329 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> ?v_3330 (=> ?v_3426 (=> ?v_3331 (=> ?v_3332 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3333 (=> ?v_3334 (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> ?v_3335 (=> ?v_3336 (=> (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3337 (=> (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2) (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0.1) (=> ?v_3343 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0) (=> ?v_3347 (=> ?v_3348 (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_3349 (=> (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) (=> (= inline.AcquireDpcLock.6.myVar_0.4 inline.AcquireDpcLock.6.myVar_0.3) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3427 (=> ?v_3350 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0) (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.20) (=> (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 call32916formal.new.0) (=> ?v_3352 (=> ?v_3353 (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> ?v_3354 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..2 inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..1) (=> (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_3355 (=> ?v_3356 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6) (=> ?v_3358 (=> (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3359 (=> (= inline.ReleaseDpcLock.3.myVar_0.4 inline.ReleaseDpcLock.3.myVar_0.3) (=> ?v_3360 (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2) (=> (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 hrequest) (=> ?v_3361 (=> ?v_3362 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0) (=> ?v_3363 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0) (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0.0) (=> (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0.0) (=> ?v_3371 (=> (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1) (=> ?v_3372 (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1) (=> ?v_3373 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.4.myVar_0.5 inline.AcquireDpcLock.4.myVar_0.4) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0) (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0) (=> ?v_3378 (=> ?v_3379 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3380 (=> (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) (=> ?v_3428 (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> ?v_3381 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8) (=> ?v_3382 (=> (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) (=> (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0.0) (=> (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0.0) (=> ?v_3429 (=> ?v_3383 (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_3384 (=> (= lockStatus_1.41 lockStatus_1.24) (=> ?v_3386 (=> ?v_3387 (=> (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0) (=> ?v_3430 (=> (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2) (=> ?v_3391 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> ?v_3395 (=> (= reqCancelSet_1.16 reqCancelSet_1.7) (=> ?v_3431 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3432 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2) (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3437 (=> ?v_3438 (=> (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) ?v_3442)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3455 (= k.153 0)) (?v_3456 (= k.153 1))) (let ((?v_3449 (=> true (=> (= k.157 k.156) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.6.myVar_0.2) (=> (= lockStatus_1.24 lockStatus_1.23) (=> (= inline.AcquireDpcLock.6.myVar_0.3 inline.AcquireDpcLock.6.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.6.myVar_0.2) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 call33680formal.ret.0) (=> (= lockStatus_0.24 lockStatus_0.23) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0) ?v_3458)))))))))) (?v_3448 (= inline.AcquireDpcLock.6.myVar_0.2 hlock))) (let ((?v_3444 (=> true (=> (= k.156 k.155) (=> (= lockStatus_0.23 lockStatus_0.22) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0 call33628formal.ret.0) (=> (= lockStatus_1.23 lockStatus_1.22) ?v_3449))))))) (let ((?v_3447 (=> true ?v_3444)) (?v_3445 (= lockStatus_0.22 lockStatus_0.21)) (?v_3446 (= lockStatus_1.22 lockStatus_1.21)) (?v_3443 (= k.155 1)) (?v_3416 (= k.155 0))) (let ((?v_3452 (and (=> true (=> ?v_3448 (=> true (=> (<= k.154 k.155) (=> (< k.155 2) (=> true (=> (=> ?v_3416 (= lockStatus_0.21 0)) (=> (=> ?v_3443 (= lockStatus_1.21 0)) (and (=> true (=> ?v_3416 (=> true (=> (= lockStatus_0.22 1) (=> ?v_3446 ?v_3444))))) (=> true (=> (not ?v_3416) (and (=> true (=> ?v_3443 (=> true (=> ?v_3445 (=> (= lockStatus_1.22 1) ?v_3447))))) (=> true (=> (not ?v_3443) (=> true (=> ?v_3445 (=> ?v_3446 ?v_3447))))))))))))))))) (=> true (=> (not ?v_3448) (=> true (=> (= k.156 k.154) (=> (= lockStatus_0.23 lockStatus_0.21) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.23 lockStatus_1.21) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3449)))))))))))))))) (let ((?v_3454 (=> true (=> true (=> true (=> true ?v_3452))))) (?v_3453 (= k.154 1)) (?v_3451 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3450 (= k.154 0))) (let ((?v_3457 (=> true (=> (<= k.153 k.154) (=> (< k.154 2) (and (=> true (=> ?v_3450 (=> (= inline.AcquireDpcLock.6.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3451))) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0.0) ?v_3452))))) (=> true (=> (not ?v_3450) (and (=> true (=> ?v_3453 (=> (= inline.AcquireDpcLock.6.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3451))) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0.1) ?v_3454))))) (=> true (=> (not ?v_3453) (=> true (=> (= inline.AcquireDpcLock.6.myVar_0.2 inline.AcquireDpcLock.6.myVar_0) ?v_3454))))))))))))) (let ((?v_3465 (and (=> true (=> (=> ?v_3455 ?v_36) (=> (=> ?v_3456 ?v_37) ?v_3457))) (=> true (=> (=> ?v_3455 ?v_442) (=> (=> ?v_3456 ?v_444) (and (=> true (=> (=> ?v_3455 ?v_344) (=> (=> ?v_3456 ?v_345) ?v_3457))) (=> true (=> (=> ?v_3455 ?v_446) (=> (=> ?v_3456 ?v_447) (=> true (=> (= k.157 k.153) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_1.24 lockStatus_1.21) (=> (= inline.AcquireDpcLock.6.myVar_0.3 inline.AcquireDpcLock.6.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.) (=> (= lockStatus_0.24 lockStatus_0.21) (=> (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3458)))))))))))))))))))))))))) (let ((?v_3470 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3465)))))))))) (?v_3467 (= k.153 k.151)) (?v_3468 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.)) (?v_3469 (= errorReached.83 errorReached.81)) (?v_3472 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hdevice)) (?v_3471 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hqueue)) (?v_3466 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 htimer)) (?v_3464 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 hrequest)) (?v_3463 (=> true (=> (= k.153 k.152) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..0 call33359formal.ret.0) (=> (= errorReached.83 errorReached.82) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3465)))))) (?v_3459 (= k.152 0)) (?v_3460 (= reqCompleted_0.3 0)) (?v_3461 (= k.152 1)) (?v_3462 (= reqCompleted_1.3 0))) (let ((?v_3411 (not ?v_3460)) (?v_3412 (not ?v_3462))) (let ((?v_3475 (and (=> true (=> ?v_3464 (=> true (=> (<= k.151 k.152) (=> (< k.152 2) (and (=> true (=> (=> ?v_3459 ?v_3411) (=> (=> ?v_3461 ?v_3412) (=> true (=> (= errorReached.82 1) ?v_3463))))) (=> true (=> (=> ?v_3459 ?v_3460) (=> (=> ?v_3461 ?v_3462) (=> true (=> (= errorReached.82 errorReached.81) (=> true ?v_3463)))))))))))) (=> true (=> (not ?v_3464) (and (=> true (=> ?v_3466 (=> true (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3470))))))) (=> true (=> (not ?v_3466) (and (=> true (=> ?v_3471 (=> true (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3470))))))) (=> true (=> (not ?v_3471) (and (=> true (=> ?v_3472 (=> true (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3470))))))) (=> true (=> (not ?v_3472) (=> true (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3470))))))))))))))))))) (let ((?v_3477 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3475)))))))))))) (?v_3476 (= k.151 1)) (?v_3474 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3495 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_3474))) (?v_3473 (= k.151 0)) (?v_3410 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_3474)))) (let ((?v_3481 (=> true (=> (<= k.150 k.151) (=> (< k.151 2) (and (=> true (=> ?v_3473 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.19 ?v_3410) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.19) ?v_3475))))) (=> true (=> (not ?v_3473) (and (=> true (=> ?v_3476 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.18 ?v_3495) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.18) ?v_3477))))) (=> true (=> (not ?v_3476) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.20 inline.MarkRequestCancelableReturnLocked.1.myVar_0.17) ?v_3477)))))))))))) (?v_3478 (= k.150 0)) (?v_3479 (= k.150 1))) (let ((?v_3480 (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 call33239formal.ret.0) ?v_3481)))) (let ((?v_3486 (and (=> true (=> (=> ?v_3478 ?v_40) (=> (=> ?v_3479 ?v_41) ?v_3480))) (=> true (=> (=> ?v_3478 ?v_726) (=> (=> ?v_3479 ?v_728) (and (=> true (=> (=> ?v_3478 ?v_631) (=> (=> ?v_3479 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3480)))))))))))) (=> true (=> (=> ?v_3478 ?v_730) (=> (=> ?v_3479 ?v_731) (=> true (=> (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_3481)))))))))))))))) (let ((?v_3491 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3486)))))))))) (?v_3488 (= k.150 k.148)) (?v_3489 (= errorReached.81 errorReached.79)) (?v_3490 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_3493 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hdevice)) (?v_3492 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hqueue)) (?v_3487 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 htimer)) (?v_3485 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 hrequest)) (?v_3484 (=> true (=> (= k.150 k.149) (=> (= errorReached.81 errorReached.80) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..0 call33042formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3486)))))) (?v_3482 (= k.149 0)) (?v_3483 (= k.149 1))) (let ((?v_3496 (and (=> true (=> ?v_3485 (=> true (=> (<= k.148 k.149) (=> (< k.149 2) (and (=> true (=> (=> ?v_3482 ?v_3411) (=> (=> ?v_3483 ?v_3412) (=> true (=> (= errorReached.80 1) ?v_3484))))) (=> true (=> (=> ?v_3482 ?v_3460) (=> (=> ?v_3483 ?v_3462) (=> true (=> (= errorReached.80 errorReached.79) (=> true ?v_3484)))))))))))) (=> true (=> (not ?v_3485) (and (=> true (=> ?v_3487 (=> true (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3491))))))) (=> true (=> (not ?v_3487) (and (=> true (=> ?v_3492 (=> true (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3491))))))) (=> true (=> (not ?v_3492) (and (=> true (=> ?v_3493 (=> true (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3491))))))) (=> true (=> (not ?v_3493) (=> true (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3491))))))))))))))))))) (let ((?v_3498 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3496)))))))))))) (?v_3497 (= k.148 1)) (?v_3494 (= k.148 0)) (?v_1655 (>= 1 0)) (?v_3415 (int_2_U call32916formal.new.0))) (let ((?v_3501 (=> true (and ?v_1655 (=> ?v_1655 (=> (> call32916formal.new.0 0) (=> (forall ((?x357 Int)) (! (=> (and (<= call32916formal.new.0 ?x357) (< ?x357 (+ call32916formal.new.0 1))) (= (Base ?x357) call32916formal.new.0)) :pattern ((Base ?x357)) )) (=> (forall ((?x358 boogieU)) (! (=> (= (type ?x358) intType) (or (= (U_2_int ?x358) call32916formal.new.0) (= (MapType0Select alloc.13 ?x358) (MapType0Select alloc.14 ?x358)))) :pattern ((MapType0Select alloc.14 ?x358)) )) (=> (and (= (MapType0Select alloc.13 ?v_3415) UNALLOCATED) (= (MapType0Select alloc.14 ?v_3415) ALLOCATED)) (=> true (=> (<= k.147 k.148) (=> (< k.148 2) (and (=> true (=> ?v_3494 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.15 ?v_3410) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.15) ?v_3496))))) (=> true (=> (not ?v_3494) (and (=> true (=> ?v_3497 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.16 ?v_3495) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.16) ?v_3498))))) (=> true (=> (not ?v_3497) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.17 inline.MarkRequestCancelableReturnLocked.1.myVar_0.14) ?v_3498)))))))))))))))))))) (let ((?v_3502 (=> true (=> true (=> true ?v_3501)))) (?v_3499 (= k.147 0)) (?v_3500 (= k.147 1))) (let ((?v_3507 (and (=> true (=> (=> ?v_3499 ?v_40) (=> (=> ?v_3500 ?v_41) ?v_3501))) (=> true (=> (=> ?v_3499 ?v_726) (=> (=> ?v_3500 ?v_728) (and (=> true (=> (=> ?v_3499 ?v_631) (=> (=> ?v_3500 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3502)))))))))))) (=> true (=> (=> ?v_3499 ?v_730) (=> (=> ?v_3500 ?v_731) ?v_3502))))))))) (?v_3509 (= k.147 k.145))) (let ((?v_3510 (=> (= errorReached.79 errorReached.77) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3507)))))))))))) (?v_3512 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hdevice)) (?v_3511 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hqueue)) (?v_3508 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 htimer)) (?v_3506 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 hrequest)) (?v_3505 (=> true (=> (= k.147 k.146) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.79 errorReached.78) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..0 call32714formal.ret.0) ?v_3507)))))) (?v_3503 (= k.146 0)) (?v_3504 (= k.146 1))) (let ((?v_3514 (and (=> true (=> ?v_3506 (=> true (=> (<= k.145 k.146) (=> (< k.146 2) (and (=> true (=> (=> ?v_3503 ?v_3411) (=> (=> ?v_3504 ?v_3412) (=> true (=> (= errorReached.78 1) ?v_3505))))) (=> true (=> (=> ?v_3503 ?v_3460) (=> (=> ?v_3504 ?v_3462) (=> true (=> (= errorReached.78 errorReached.77) (=> true ?v_3505)))))))))))) (=> true (=> (not ?v_3506) (and (=> true (=> ?v_3508 (=> true (=> ?v_3509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3510))))) (=> true (=> (not ?v_3508) (and (=> true (=> ?v_3511 (=> true (=> ?v_3509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3510))))) (=> true (=> (not ?v_3511) (and (=> true (=> ?v_3512 (=> true (=> ?v_3509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3510))))) (=> true (=> (not ?v_3512) (=> true (=> ?v_3509 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3510))))))))))))))))) (let ((?v_3516 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3514)))))))))))) (?v_3515 (= k.145 1)) (?v_3513 (= k.145 0))) (let ((?v_3533 (=> true (=> (<= k.144 k.145) (=> (< k.145 2) (and (=> true (=> ?v_3513 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.12 ?v_3410) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.12) ?v_3514))))) (=> true (=> (not ?v_3513) (and (=> true (=> ?v_3515 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.13 ?v_3495) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.13) ?v_3516))))) (=> true (=> (not ?v_3515) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.14 inline.MarkRequestCancelableReturnLocked.1.myVar_0.11) ?v_3516)))))))))))) (?v_3530 (= k.140 0)) (?v_3531 (= k.140 1))) (let ((?v_3524 (=> true (=> (= k.144 k.143) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= lockStatus_1.21 lockStatus_1.20) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0) (=> (= inline.ReleaseDpcLock.5.myVar_0.3 inline.ReleaseDpcLock.5.myVar_0.2) (=> (= lockStatus_0.21 lockStatus_0.20) ?v_3533))))))))) (?v_3523 (= inline.ReleaseDpcLock.5.myVar_0.2 hlock))) (let ((?v_3518 (=> true (=> (= k.143 k.142) (=> (= lockStatus_0.20 lockStatus_0.19) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 call32526formal.ret.0) (=> (= lockStatus_1.20 lockStatus_1.19) ?v_3524))))))) (let ((?v_3522 (=> true ?v_3518)) (?v_3520 (= lockStatus_0.19 lockStatus_0.18)) (?v_3521 (= lockStatus_1.19 lockStatus_1.18)) (?v_3519 (= k.142 1)) (?v_3517 (= k.142 0))) (let ((?v_3527 (and (=> true (=> ?v_3523 (=> true (=> (<= k.141 k.142) (=> (< k.142 2) (and (=> true (=> ?v_3517 (=> true (=> (= lockStatus_0.19 0) (=> ?v_3521 ?v_3518))))) (=> true (=> (not ?v_3517) (and (=> true (=> ?v_3519 (=> true (=> ?v_3520 (=> (= lockStatus_1.19 0) ?v_3522))))) (=> true (=> (not ?v_3519) (=> true (=> ?v_3520 (=> ?v_3521 ?v_3522)))))))))))))) (=> true (=> (not ?v_3523) (=> true (=> (= k.143 k.141) (=> (= lockStatus_0.20 lockStatus_0.18) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.20 lockStatus_1.18) (=> true (=> true (=> true ?v_3524))))))))))))) (let ((?v_3529 (=> true (=> true (=> true (=> true ?v_3527))))) (?v_3528 (= k.141 1)) (?v_3526 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3525 (= k.141 0))) (let ((?v_3532 (=> true (=> (<= k.140 k.141) (=> (< k.141 2) (and (=> true (=> ?v_3525 (=> (= inline.ReleaseDpcLock.5.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3526))) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0.0) ?v_3527))))) (=> true (=> (not ?v_3525) (and (=> true (=> ?v_3528 (=> (= inline.ReleaseDpcLock.5.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3526))) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0.1) ?v_3529))))) (=> true (=> (not ?v_3528) (=> true (=> (= inline.ReleaseDpcLock.5.myVar_0.2 inline.ReleaseDpcLock.5.myVar_0) ?v_3529))))))))))))) (let ((?v_3538 (and (=> true (=> (=> ?v_3530 ?v_36) (=> (=> ?v_3531 ?v_37) ?v_3532))) (=> true (=> (=> ?v_3530 ?v_442) (=> (=> ?v_3531 ?v_444) (and (=> true (=> (=> ?v_3530 ?v_344) (=> (=> ?v_3531 ?v_345) (=> true (=> true ?v_3532))))) (=> true (=> (=> ?v_3530 ?v_446) (=> (=> ?v_3531 ?v_447) (=> true (=> (= k.144 k.140) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_1.21 lockStatus_1.18) (=> (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.) (=> (= inline.ReleaseDpcLock.5.myVar_0.3 inline.ReleaseDpcLock.5.myVar_0) (=> (= lockStatus_0.21 lockStatus_0.18) (=> true (=> true (=> true ?v_3533)))))))))))))))))))) (?v_3540 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.))) (let ((?v_3541 (=> (= errorReached.77 errorReached.75) (=> (= k.140 k.138) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3538)))))))))))) (?v_3543 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hdevice)) (?v_3542 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hqueue)) (?v_3539 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 htimer)) (?v_3537 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 hrequest)) (?v_3536 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..0 call32255formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.77 errorReached.76) (=> (= k.140 k.139) ?v_3538)))))) (?v_3534 (= k.139 0)) (?v_3535 (= k.139 1))) (let ((?v_3545 (and (=> true (=> ?v_3537 (=> true (=> (<= k.138 k.139) (=> (< k.139 2) (and (=> true (=> (=> ?v_3534 ?v_3411) (=> (=> ?v_3535 ?v_3412) (=> true (=> (= errorReached.76 1) ?v_3536))))) (=> true (=> (=> ?v_3534 ?v_3460) (=> (=> ?v_3535 ?v_3462) (=> true (=> (= errorReached.76 errorReached.75) (=> true ?v_3536)))))))))))) (=> true (=> (not ?v_3537) (and (=> true (=> ?v_3539 (=> true (=> ?v_3540 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3541))))) (=> true (=> (not ?v_3539) (and (=> true (=> ?v_3542 (=> true (=> ?v_3540 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3541))))) (=> true (=> (not ?v_3542) (and (=> true (=> ?v_3543 (=> true (=> ?v_3540 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3541))))) (=> true (=> (not ?v_3543) (=> true (=> ?v_3540 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3541))))))))))))))))) (let ((?v_3547 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3545)))))))))))) (?v_3546 (= k.138 1)) (?v_3544 (= k.138 0))) (let ((?v_3559 (=> true (=> (<= k.137 k.138) (=> (< k.138 2) (and (=> true (=> ?v_3544 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.9 ?v_3410) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.9) ?v_3545))))) (=> true (=> (not ?v_3544) (and (=> true (=> ?v_3546 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.10 ?v_3495) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.10) ?v_3547))))) (=> true (=> (not ?v_3546) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.11 inline.MarkRequestCancelableReturnLocked.1.myVar_0.8) ?v_3547)))))))))))) (?v_3555 (= k.135 0)) (?v_3414 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3556 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 ?v_3414)) hrequest)) (?v_3557 (= k.135 1)) (?v_3558 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 ?v_3414)) hrequest)) (?v_3550 (=> true (=> (= k.137 k.136) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8) ?v_3559)))))) (let ((?v_3554 (=> true ?v_3550)) (?v_3552 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_3553 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6)) (?v_3551 (= k.136 1)) (?v_3549 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2242 (int_2_U 1)) (?v_3548 (= k.136 0))) (let ((?v_3575 (and (=> true (=> (=> ?v_3555 ?v_3556) (=> (=> ?v_3557 ?v_3558) (=> true (=> (<= k.135 k.136) (=> (< k.136 2) (and (=> true (=> ?v_3548 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 ?v_3549 ?v_2242)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) (=> ?v_3553 ?v_3550)))))) (=> true (=> (not ?v_3548) (and (=> true (=> ?v_3551 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 ?v_3549 ?v_2242)) (=> true (=> ?v_3552 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.8 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.7) ?v_3554)))))) (=> true (=> (not ?v_3551) (=> true (=> ?v_3552 (=> ?v_3553 ?v_3554))))))))))))))) (=> true (=> (=> ?v_3555 (not ?v_3556)) (=> (=> ?v_3557 (not ?v_3558)) (=> true (=> (= k.137 k.135) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.9 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6) ?v_3559))))))))) (?v_3572 (= k.131 0)) (?v_3573 (= k.131 1))) (let ((?v_3566 (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.3 inline.AcquireDpcLock.5.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.5.myVar_0.2) (=> (= lockStatus_0.18 lockStatus_0.17) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 call32085formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.5.myVar_0.2) (=> (= lockStatus_1.18 lockStatus_1.17) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0) (=> (= k.135 k.134) ?v_3575)))))))))) (?v_3565 (= inline.AcquireDpcLock.5.myVar_0.2 hlock))) (let ((?v_3561 (=> true (=> (= k.134 k.133) (=> (= lockStatus_0.17 lockStatus_0.16) (=> (= lockStatus_1.17 lockStatus_1.16) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 call32033formal.ret.0) ?v_3566))))))) (let ((?v_3564 (=> true ?v_3561)) (?v_3562 (= lockStatus_0.16 lockStatus_0.15)) (?v_3563 (= lockStatus_1.16 lockStatus_1.15)) (?v_3560 (= k.133 1)) (?v_3413 (= k.133 0))) (let ((?v_3569 (and (=> true (=> ?v_3565 (=> true (=> (<= k.132 k.133) (=> (< k.133 2) (=> true (=> (=> ?v_3413 (= lockStatus_0.15 0)) (=> (=> ?v_3560 (= lockStatus_1.15 0)) (and (=> true (=> ?v_3413 (=> true (=> (= lockStatus_0.16 1) (=> ?v_3563 ?v_3561))))) (=> true (=> (not ?v_3413) (and (=> true (=> ?v_3560 (=> true (=> ?v_3562 (=> (= lockStatus_1.16 1) ?v_3564))))) (=> true (=> (not ?v_3560) (=> true (=> ?v_3562 (=> ?v_3563 ?v_3564))))))))))))))))) (=> true (=> (not ?v_3565) (=> true (=> (= k.134 k.132) (=> (= lockStatus_0.17 lockStatus_0.15) (=> (= lockStatus_1.17 lockStatus_1.15) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3566)))))))))))))))) (let ((?v_3571 (=> true (=> true (=> true (=> true ?v_3569))))) (?v_3570 (= k.132 1)) (?v_3568 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3567 (= k.132 0))) (let ((?v_3574 (=> true (=> (<= k.131 k.132) (=> (< k.132 2) (and (=> true (=> ?v_3567 (=> (= inline.AcquireDpcLock.5.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3568))) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0.0) ?v_3569))))) (=> true (=> (not ?v_3567) (and (=> true (=> ?v_3570 (=> (= inline.AcquireDpcLock.5.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3568))) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0.1) ?v_3571))))) (=> true (=> (not ?v_3570) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.2 inline.AcquireDpcLock.5.myVar_0) ?v_3571))))))))))))) (let ((?v_3580 (and (=> true (=> (=> ?v_3572 ?v_36) (=> (=> ?v_3573 ?v_37) ?v_3574))) (=> true (=> (=> ?v_3572 ?v_442) (=> (=> ?v_3573 ?v_444) (and (=> true (=> (=> ?v_3572 ?v_344) (=> (=> ?v_3573 ?v_345) ?v_3574))) (=> true (=> (=> ?v_3572 ?v_446) (=> (=> ?v_3573 ?v_447) (=> true (=> (= inline.AcquireDpcLock.5.myVar_0.3 inline.AcquireDpcLock.5.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_0.18 lockStatus_0.15) (=> (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_1.18 lockStatus_1.15) (=> (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.) (=> (= k.135 k.131) (=> true (=> true (=> true (=> true ?v_3575))))))))))))))))))))))) (let ((?v_3585 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3580)))))))))) (?v_3582 (= k.131 k.129)) (?v_3583 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_3584 (= errorReached.75 errorReached.73)) (?v_3587 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hdevice)) (?v_3586 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hqueue)) (?v_3581 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 htimer)) (?v_3579 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 hrequest)) (?v_3578 (=> true (=> (= k.131 k.130) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..0 call31764formal.ret.0) (=> (= errorReached.75 errorReached.74) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3580)))))) (?v_3576 (= k.130 0)) (?v_3577 (= k.130 1))) (let ((?v_3589 (and (=> true (=> ?v_3579 (=> true (=> (<= k.129 k.130) (=> (< k.130 2) (and (=> true (=> (=> ?v_3576 ?v_3411) (=> (=> ?v_3577 ?v_3412) (=> true (=> (= errorReached.74 1) ?v_3578))))) (=> true (=> (=> ?v_3576 ?v_3460) (=> (=> ?v_3577 ?v_3462) (=> true (=> (= errorReached.74 errorReached.73) (=> true ?v_3578)))))))))))) (=> true (=> (not ?v_3579) (and (=> true (=> ?v_3581 (=> true (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3585))))))) (=> true (=> (not ?v_3581) (and (=> true (=> ?v_3586 (=> true (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3585))))))) (=> true (=> (not ?v_3586) (and (=> true (=> ?v_3587 (=> true (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3585))))))) (=> true (=> (not ?v_3587) (=> true (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3585))))))))))))))))))) (let ((?v_3591 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3589)))))))))))) (?v_3590 (= k.129 1)) (?v_3588 (= k.129 0))) (let ((?v_3595 (=> true (=> (<= k.128 k.129) (=> (< k.129 2) (and (=> true (=> ?v_3588 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.6 ?v_3410) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.6) ?v_3589))))) (=> true (=> (not ?v_3588) (and (=> true (=> ?v_3590 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.7 ?v_3495) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.7) ?v_3591))))) (=> true (=> (not ?v_3590) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.8 inline.MarkRequestCancelableReturnLocked.1.myVar_0.5) ?v_3591)))))))))))) (?v_3592 (= k.128 0)) (?v_3593 (= k.128 1))) (let ((?v_3594 (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 call31644formal.ret.0) ?v_3595)))) (let ((?v_3600 (and (=> true (=> (=> ?v_3592 ?v_40) (=> (=> ?v_3593 ?v_41) ?v_3594))) (=> true (=> (=> ?v_3592 ?v_726) (=> (=> ?v_3593 ?v_728) (and (=> true (=> (=> ?v_3592 ?v_631) (=> (=> ?v_3593 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3594)))))))))))) (=> true (=> (=> ?v_3592 ?v_730) (=> (=> ?v_3593 ?v_731) (=> true (=> (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_3595)))))))))))))))) (let ((?v_3602 (=> (= errorReached.73 errorReached.71) (=> (= k.128 k.126) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3600))))))))))))) (?v_3604 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hdevice)) (?v_3603 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hqueue)) (?v_3601 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 htimer)) (?v_3599 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 hrequest)) (?v_3598 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.73 errorReached.72) (=> (= k.128 k.127) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..0 call31447formal.ret.0) ?v_3600)))))) (?v_3596 (= k.127 0)) (?v_3597 (= k.127 1))) (let ((?v_3606 (and (=> true (=> ?v_3599 (=> true (=> (<= k.126 k.127) (=> (< k.127 2) (and (=> true (=> (=> ?v_3596 ?v_3411) (=> (=> ?v_3597 ?v_3412) (=> true (=> (= errorReached.72 1) ?v_3598))))) (=> true (=> (=> ?v_3596 ?v_3460) (=> (=> ?v_3597 ?v_3462) (=> true (=> (= errorReached.72 errorReached.71) (=> true ?v_3598)))))))))))) (=> true (=> (not ?v_3599) (and (=> true (=> ?v_3601 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3602)))) (=> true (=> (not ?v_3601) (and (=> true (=> ?v_3603 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3602)))) (=> true (=> (not ?v_3603) (and (=> true (=> ?v_3604 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3602)))) (=> true (=> (not ?v_3604) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3602)))))))))))))))) (let ((?v_3608 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3606)))))))))))) (?v_3607 (= k.126 1)) (?v_3605 (= k.126 0))) (let ((?v_3814 (=> true (=> (<= k.125 k.126) (=> (< k.126 2) (and (=> true (=> ?v_3605 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.4 ?v_3410) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.4) ?v_3606))))) (=> true (=> (not ?v_3605) (and (=> true (=> ?v_3607 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.3 ?v_3495) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.3) ?v_3608))))) (=> true (=> (not ?v_3607) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.5 inline.MarkRequestCancelableReturnLocked.1.myVar_0.2) ?v_3608)))))))))))) (?v_3817 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3818 (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0)) (?v_3819 (= inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1.)) (?v_3820 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3821 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_3822 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_3823 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3824 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_3825 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3826 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_3827 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_3828 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3829 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_3830 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_3831 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_3832 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_3833 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_3834 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.)) (?v_3835 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3836 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3837 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3838 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3839 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3840 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3841 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3842 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_3843 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3844 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3845 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_3846 (= inline.GetRequestContext.8..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.8..result.GetRequestContext.56.0.1.)) (?v_3847 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3848 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3849 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3850 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_3851 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_3852 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3853 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_3854 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0)) (?v_3855 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3856 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3857 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_3858 (= lockStatus_0.15 lockStatus_0.5)) (?v_3859 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_3860 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_3861 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3862 (= reqCompleted_0.3 reqCompleted_0)) (?v_3863 (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0)) (?v_3864 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3865 (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1.)) (?v_3866 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3867 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_3868 (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0)) (?v_3869 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_3870 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_3871 (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_3872 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_3873 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_3874 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_3875 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_3876 (= lockStatus_1.15 lockStatus_1.5)) (?v_3877 (= inline.AcquireDpcLock.4.myVar_0.4 inline.AcquireDpcLock.4.myVar_0)) (?v_3878 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_3879 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3880 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_3881 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3882 (= inline.ReleaseDpcLock.4.myVar_0.4 inline.ReleaseDpcLock.4.myVar_0)) (?v_3883 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3884 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3885 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_3886 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_3887 (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0)) (?v_3888 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_3889 (= inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer)) (?v_3890 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_3891 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3892 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_3893 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_3894 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.4 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT)) (?v_3895 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3896 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3897 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_3898 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_3899 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_3900 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_3901 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3902 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_3903 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_3904 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_3905 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_3906 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_3907 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3908 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_3909 (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3910 (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_3911 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_3912 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3913 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3914 (= inline.EvtRequestChildCancel.1.myVar_0.15 inline.EvtRequestChildCancel.1.myVar_0)) (?v_3915 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_3916 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_3917 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_3918 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_3919 (= reqCompleted_1.3 reqCompleted_1)) (?v_3920 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3921 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_3922 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3923 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_3924 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_3925 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_3926 (= inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.)) (?v_3927 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_3928 (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0)) (?v_3929 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_3930 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_3931 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3932 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_3933 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_3934 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3935 (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0)) (?v_3936 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_3937 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_3938 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3939 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1)) (?v_3940 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3941 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3942 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.))) (let ((?v_3943 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.4 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.) (=> (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> true ?v_3814))))))))))))) (let ((?v_3949 (=> true (=> ?v_3817 (=> ?v_3818 (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> ?v_3822 (=> ?v_3823 (=> ?v_3824 (=> ?v_3825 (=> ?v_3826 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) (=> ?v_3827 (=> ?v_3828 (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0) (=> ?v_3829 (=> ?v_3830 (=> ?v_3831 (=> ?v_3832 (=> ?v_3833 (=> ?v_3834 (=> ?v_3835 (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> ?v_3845 (=> ?v_3846 (=> ?v_3847 (=> ?v_3848 (=> ?v_3849 (=> ?v_3850 (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> (= reqCancelSet_1.7 reqCancelSet_1.1) (=> ?v_3873 (=> ?v_3874 (=> ?v_3875 (=> ?v_3876 (=> ?v_3877 (=> ?v_3878 (=> ?v_3879 (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> ?v_3883 (=> ?v_3884 (=> ?v_3885 (=> ?v_3886 (=> ?v_3887 (=> ?v_3888 (=> ?v_3889 (=> ?v_3890 (=> ?v_3891 (=> ?v_3892 (=> ?v_3893 (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> ?v_3900 (=> ?v_3901 (=> ?v_3902 (=> (= reqCancelSet_0.7 reqCancelSet_0.1) (=> ?v_3903 (=> ?v_3904 (=> ?v_3905 (=> (= k.125 k.70) (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> ?v_3910 (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.) (=> ?v_3916 (=> ?v_3917 (=> ?v_3918 (=> ?v_3919 (=> (= errorReached.71 errorReached.42) (=> ?v_3920 (=> ?v_3921 (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> ?v_3932 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> ?v_3939 (=> ?v_3940 (=> ?v_3941 (=> ?v_3942 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) ?v_3943))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3945 (=> true (=> (= k.70 k.69) (=> (= reqCancelSet_1.1 reqCancelSet_1.0) (=> (= errorReached.42 errorReached.41) (=> (= reqCancelSet_0.1 reqCancelSet_0.0) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 call33714formal.ret.0) ?v_3949))))))) (?v_3946 (= reqCancelSet_1.0 reqCancelSet_1))) (let ((?v_3947 (=> (= reqCancelSet_0.0 reqCancelSet_0) (=> true ?v_3945))) (?v_3944 (= k.69 1)) (?v_3816 (= k.69 0))) (let ((?v_3948 (and (=> true (=> ?v_3816 (=> true (=> ?v_3946 (=> (= reqCancelSet_0.0 1) ?v_3945))))) (=> true (=> (not ?v_3816) (and (=> true (=> ?v_3944 (=> true (=> (= reqCancelSet_1.0 1) ?v_3947)))) (=> true (=> (not ?v_3944) (=> true (=> ?v_3946 ?v_3947))))))))) (?v_2 (= reqCompleted_0 0)) (?v_3 (= reqCompleted_1 0))) (let ((?v_8 (not ?v_2)) (?v_9 (not ?v_3)) (?v_3815 (= (BINARY_BOTH_INT call28395formal.ret.0 2) 0)) (?v_3810 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3811 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_3812 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..0 call28419formal.ret.0)) (?v_3813 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3809 (= call28419formal.ret.0 ?v_392))) (let ((?v_3645 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.25.myNondetVar_0.1 inline.GetDeviceContext.25.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..0) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3810 (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> ?v_3811 (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.GetRequestContext.8..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.8..result.GetRequestContext.56.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.4) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= lockStatus_0.15 lockStatus_0.14) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= reqCompleted_0.3 reqCompleted_0.2) (=> (= inline.GetDeviceContext.22.myNondetVar_0.1 inline.GetDeviceContext.22.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= inline.GetDeviceContext.23.myNondetVar_0.1 inline.GetDeviceContext.23.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetChildQueueContext.6.myNondetVar_0.1 inline.GetChildQueueContext.6.myNondetVar_0.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1) (=> (= reqCancelSet_1.7 reqCancelSet_1.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) (=> (= lockStatus_1.15 lockStatus_1.14) (=> (= inline.AcquireDpcLock.4.myVar_0.4 inline.AcquireDpcLock.4.myVar_0.3) (=> (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0) (=> (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.4.myVar_0.4 inline.ReleaseDpcLock.4.myVar_0.3) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) (=> (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.GetDeviceContext.26.myNondetVar_0.1 inline.GetDeviceContext.26.myNondetVar_0.0) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.6 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.4 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.3) (=> (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1) (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1) (=> (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0) (=> (= reqCancelSet_0.7 reqCancelSet_0.6) (=> (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0) (=> (= k.125 k.124) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.2 inline.EvtRequestChildCancel.1.myNondetVar_0.1) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.1.myVar_0.15 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> ?v_3812 (=> (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= reqCompleted_1.3 reqCompleted_1.2) (=> (= errorReached.71 errorReached.70) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myVar_0.11) (=> (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.14) (=> (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0) (=> (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..0) (=> (= inline.GetRequestContext.7.myNondetVar_0.1 inline.GetRequestContext.7.myNondetVar_0.0) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetRequestContext.8.myNondetVar_0.2 inline.GetRequestContext.8.myNondetVar_0.1) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.6 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1) (=> ?v_3813 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.1.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myVar_0.8) (=> (= inline.GetDeviceContext.24.myNondetVar_0.1 inline.GetDeviceContext.24.myNondetVar_0.0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.4 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) ?v_3814))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3650 (=> true (=> (= reqCompleted_1.2 reqCompleted_1) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.3 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) (=> (= k.124 k.123) (=> (= inline.GetRequestContext.8..result.GetRequestContext.56.0.1..0 inline.GetRequestContext.8..result.GetRequestContext.56.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..0 inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= reqCancelSet_0.6 reqCancelSet_0) (=> (= reqCompleted_0.2 reqCompleted_0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.0) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.3 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.1.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelSet_1.6 reqCancelSet_1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1) (=> (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1) (=> (= errorReached.70 errorReached.69) (=> true (=> true (=> true ?v_3645)))))))))))))))))))))))))))))))))))))))))))) (?v_3652 (= k.123 k.114))) (let ((?v_3653 (=> (= errorReached.69 errorReached.63) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3650))))))))))))))))))))) (?v_3655 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hdevice)) (?v_3654 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hqueue)) (?v_3651 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 htimer)) (?v_3649 (= inline.EvtRequestChildCancel.1.myNondetVar_0.0 hrequest)) (?v_3648 (=> true (=> (= k.123 k.115) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.69 errorReached.68) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..0 call30737formal.ret.0) ?v_3650)))))) (?v_3646 (= k.115 0)) (?v_3647 (= k.115 1)) (?v_3644 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_3620 (=> true (=> (= reqCompleted_1.2 reqCompleted_1.1) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.3 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.2) (=> (= k.124 k.122) (=> (= inline.GetRequestContext.8..result.GetRequestContext.56.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.EvtRequestChildCancel.1.myNondetVar_0.1 inline.EvtRequestChildCancel.1.myNondetVar_0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= reqCancelSet_0.6 reqCancelSet_0.5) (=> (= reqCompleted_0.2 reqCompleted_0.1) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.3 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.2) (=> (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.3) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= reqCancelSet_1.6 reqCancelSet_1.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetRequestContext.8.myNondetVar_0.1 inline.GetRequestContext.8.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.) (=> (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= errorReached.70 errorReached.67) ?v_3645)))))))))))))))))))))))))))))))))))))))))) (let ((?v_3610 (=> true (=> (= k.122 k.121) (=> (= reqCancelSet_1.5 reqCancelSet_1.4) (=> (= reqCompleted_0.1 reqCompleted_0.0) (=> (= reqCompleted_1.1 reqCompleted_1.0) (=> (= errorReached.67 errorReached.66) (=> (= reqCancelSet_0.5 reqCancelSet_0.4) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 call31228formal.ret.0) ?v_3620))))))))) (?v_3611 (= reqCancelSet_1.4 reqCancelSet_1))) (let ((?v_3612 (=> (= reqCancelSet_0.4 reqCancelSet_0) (=> true ?v_3610))) (?v_3609 (= k.121 1))) (let ((?v_3615 (not ?v_3609)) (?v_3409 (= k.121 0))) (let ((?v_3613 (not ?v_3409))) (let ((?v_3614 (and (=> true (=> ?v_3409 (=> true (=> ?v_3611 (=> (= reqCancelSet_0.4 0) ?v_3610))))) (=> true (=> ?v_3613 (and (=> true (=> ?v_3609 (=> true (=> (= reqCancelSet_1.4 0) ?v_3612)))) (=> true (=> ?v_3615 (=> true (=> ?v_3611 ?v_3612)))))))))) (let ((?v_3618 (=> true (=> true ?v_3614))) (?v_3616 (= reqCompleted_0.0 reqCompleted_0)) (?v_3617 (= reqCompleted_1.0 reqCompleted_1))) (let ((?v_3619 (and (=> true (=> ?v_3409 (=> true (=> (= reqCompleted_0.0 1) (=> ?v_3617 ?v_3614))))) (=> true (=> ?v_3613 (and (=> true (=> ?v_3609 (=> true (=> ?v_3616 (=> (= reqCompleted_1.0 1) ?v_3618))))) (=> true (=> ?v_3615 (=> true (=> ?v_3616 (=> ?v_3617 ?v_3618))))))))))) (let ((?v_3635 (and (=> true (=> ?v_27 (=> true (=> (<= k.120 k.121) (=> (< k.121 2) (and (=> true (=> (=> ?v_3409 ?v_8) (=> (=> ?v_3609 ?v_9) (=> true (=> (= errorReached.66 1) ?v_3619))))) (=> true (=> (=> ?v_3409 ?v_2) (=> (=> ?v_3609 ?v_3) (=> true (=> (= errorReached.66 errorReached.65) (=> true ?v_3619)))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.122 k.120) (=> (= reqCancelSet_1.5 reqCancelSet_1) (=> (= reqCompleted_0.1 reqCompleted_0) (=> (= reqCompleted_1.1 reqCompleted_1) (=> (= errorReached.67 errorReached.65) (=> (= reqCancelSet_0.5 reqCancelSet_0) (=> (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3620)))))))))))))))))) (?v_3631 (= k.117 0)) (?v_3407 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3408 (U_2_int (MapType0Select Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?v_3407)))) (let ((?v_3632 (= ?v_3408 0)) (?v_3633 (= k.117 1)) (?v_3627 (U_2_int (MapType0Select Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?v_3407)))) (let ((?v_3634 (= ?v_3627 0)) (?v_3622 (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.2 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.2) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.2 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.1) (=> (= k.120 k.119) ?v_3635)))))) (?v_3624 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.1 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT))) (let ((?v_3625 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.1 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) (=> true ?v_3622))) (?v_3623 (= k.119 1)) (?v_3621 (= k.119 0))) (let ((?v_3628 (=> true (=> (<= k.118 k.119) (=> (< k.119 2) (and (=> true (=> ?v_3621 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.0 (MapType0Store Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?v_3407 ?v_65)) (=> true (=> ?v_3624 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.1 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.0) ?v_3622)))))) (=> true (=> (not ?v_3621) (and (=> true (=> ?v_3623 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.0 (MapType0Store Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?v_3407 ?v_65)) (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.1 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.0) ?v_3625))))) (=> true (=> (not ?v_3623) (=> true (=> ?v_3624 ?v_3625))))))))))))) (let ((?v_3630 (=> true ?v_3628)) (?v_3629 (= k.118 1)) (?v_3626 (= k.118 0))) (let ((?v_3639 (and (=> true (=> (=> ?v_3631 (not ?v_3632)) (=> (=> ?v_3633 (not ?v_3634)) (=> true (=> (<= k.117 k.118) (=> (< k.118 2) (and (=> true (=> ?v_3626 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.0 ?v_3408) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.0) ?v_3628))))) (=> true (=> (not ?v_3626) (and (=> true (=> ?v_3629 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.1 ?v_3627) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.1) ?v_3630))))) (=> true (=> (not ?v_3629) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0) ?v_3630)))))))))))))) (=> true (=> (=> ?v_3631 ?v_3632) (=> (=> ?v_3633 ?v_3634) (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.2 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.2 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) (=> (= k.120 k.117) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3635))))))))))))))))))))) (let ((?v_3643 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3639)))))))))) (?v_3640 (= k.117 k.114)) (?v_3641 (= errorReached.65 errorReached.63)) (?v_3642 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3638 (=> true (=> (= k.117 k.116) (=> (= errorReached.65 errorReached.64) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..0 call30949formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3639)))))) (?v_3636 (= k.116 0)) (?v_3637 (= k.116 1))) (let ((?v_3658 (and (=> true (=> (not ?v_3644) (and (=> true (=> ?v_27 (=> true (=> (<= k.114 k.116) (=> (< k.116 2) (and (=> true (=> (=> ?v_3636 ?v_8) (=> (=> ?v_3637 ?v_9) (=> true (=> (= errorReached.64 1) ?v_3638))))) (=> true (=> (=> ?v_3636 ?v_2) (=> (=> ?v_3637 ?v_3) (=> true (=> (= errorReached.64 errorReached.63) (=> true ?v_3638)))))))))))) (=> true (=> ?v_559 (and (=> true (=> ?v_561 (=> true (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3643))))))) (=> true (=> ?v_610 (and (=> true (=> ?v_565 (=> true (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3643))))))) (=> true (=> ?v_614 (and (=> true (=> ?v_566 (=> true (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3643))))))) (=> true (=> ?v_615 (=> true (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3643))))))))))))))))))) (=> true (=> ?v_3644 (and (=> true (=> ?v_3649 (=> true (=> (<= k.114 k.115) (=> (< k.115 2) (and (=> true (=> (=> ?v_3646 ?v_8) (=> (=> ?v_3647 ?v_9) (=> true (=> (= errorReached.68 1) ?v_3648))))) (=> true (=> (=> ?v_3646 ?v_2) (=> (=> ?v_3647 ?v_3) (=> true (=> (= errorReached.68 errorReached.63) (=> true ?v_3648)))))))))))) (=> true (=> (not ?v_3649) (and (=> true (=> ?v_3651 (=> true (=> ?v_3652 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3653))))) (=> true (=> (not ?v_3651) (and (=> true (=> ?v_3654 (=> true (=> ?v_3652 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3653))))) (=> true (=> (not ?v_3654) (and (=> true (=> ?v_3655 (=> true (=> ?v_3652 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3653))))) (=> true (=> (not ?v_3655) (=> true (=> ?v_3652 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3653)))))))))))))))))))) (let ((?v_3659 (=> true (=> true (=> true (=> true (=> true (=> true ?v_3658))))))) (?v_3656 (= k.114 0)) (?v_3657 (= k.114 1))) (let ((?v_3664 (and (=> true (=> (=> ?v_3656 ?v_40) (=> (=> ?v_3657 ?v_41) ?v_3658))) (=> true (=> (=> ?v_3656 ?v_726) (=> (=> ?v_3657 ?v_728) (and (=> true (=> (=> ?v_3656 ?v_631) (=> (=> ?v_3657 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3659)))))))))))) (=> true (=> (=> ?v_3656 ?v_730) (=> (=> ?v_3657 ?v_731) ?v_3659))))))))) (?v_3666 (= k.114 k.112)) (?v_3667 (= errorReached.63 errorReached.61))) (let ((?v_3668 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3664))))))))))) (?v_3670 (= inline.EvtRequestChildCancel.1.myVar_0.14 hdevice)) (?v_3669 (= inline.EvtRequestChildCancel.1.myVar_0.14 hqueue)) (?v_3665 (= inline.EvtRequestChildCancel.1.myVar_0.14 htimer)) (?v_3663 (= inline.EvtRequestChildCancel.1.myVar_0.14 hrequest)) (?v_3662 (=> true (=> (= k.114 k.113) (=> (= errorReached.63 errorReached.62) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..0 call30447formal.ret.0) ?v_3664)))))) (?v_3660 (= k.113 0)) (?v_3661 (= k.113 1))) (let ((?v_3673 (and (=> true (=> ?v_3663 (=> true (=> (<= k.112 k.113) (=> (< k.113 2) (and (=> true (=> (=> ?v_3660 ?v_8) (=> (=> ?v_3661 ?v_9) (=> true (=> (= errorReached.62 1) ?v_3662))))) (=> true (=> (=> ?v_3660 ?v_2) (=> (=> ?v_3661 ?v_3) (=> true (=> (= errorReached.62 errorReached.61) (=> true ?v_3662)))))))))))) (=> true (=> (not ?v_3663) (and (=> true (=> ?v_3665 (=> true (=> ?v_3666 (=> ?v_3667 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3668)))))) (=> true (=> (not ?v_3665) (and (=> true (=> ?v_3669 (=> true (=> ?v_3666 (=> ?v_3667 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3668)))))) (=> true (=> (not ?v_3669) (and (=> true (=> ?v_3670 (=> true (=> ?v_3666 (=> ?v_3667 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3668)))))) (=> true (=> (not ?v_3670) (=> true (=> ?v_3666 (=> ?v_3667 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3668)))))))))))))))))) (let ((?v_3675 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3673)))))))))))) (?v_3674 (= k.112 1)) (?v_3672 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_3705 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_3672))) (?v_3671 (= k.112 0)) (?v_3405 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_3672)))) (let ((?v_3692 (=> true (=> (<= k.111 k.112) (=> (< k.112 2) (and (=> true (=> ?v_3671 (=> (= inline.EvtRequestChildCancel.1.myVar_0.13 ?v_3405) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.13) ?v_3673))))) (=> true (=> (not ?v_3671) (and (=> true (=> ?v_3674 (=> (= inline.EvtRequestChildCancel.1.myVar_0.12 ?v_3705) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.12) ?v_3675))))) (=> true (=> (not ?v_3674) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.14 inline.EvtRequestChildCancel.1.myVar_0.11) ?v_3675)))))))))))) (?v_3689 (= k.107 0)) (?v_3690 (= k.107 1))) (let ((?v_3683 (=> true (=> (= k.111 k.110) (=> (= inline.ReleaseDpcLock.4.myVar_0.3 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= lockStatus_0.14 lockStatus_0.13) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.4.myVar_0.2) (=> (= lockStatus_1.14 lockStatus_1.13) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.4.myVar_0.2) ?v_3692))))))))) (?v_3682 (= inline.ReleaseDpcLock.4.myVar_0.2 hlock))) (let ((?v_3677 (=> true (=> (= k.110 k.109) (=> (= lockStatus_0.13 lockStatus_0.12) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 call30300formal.ret.0) (=> (= lockStatus_1.13 lockStatus_1.12) ?v_3683))))))) (let ((?v_3681 (=> true ?v_3677)) (?v_3679 (= lockStatus_0.12 lockStatus_0.11)) (?v_3680 (= lockStatus_1.12 lockStatus_1.11)) (?v_3678 (= k.109 1)) (?v_3676 (= k.109 0))) (let ((?v_3686 (and (=> true (=> ?v_3682 (=> true (=> (<= k.108 k.109) (=> (< k.109 2) (and (=> true (=> ?v_3676 (=> true (=> (= lockStatus_0.12 0) (=> ?v_3680 ?v_3677))))) (=> true (=> (not ?v_3676) (and (=> true (=> ?v_3678 (=> true (=> ?v_3679 (=> (= lockStatus_1.12 0) ?v_3681))))) (=> true (=> (not ?v_3678) (=> true (=> ?v_3679 (=> ?v_3680 ?v_3681)))))))))))))) (=> true (=> (not ?v_3682) (=> true (=> (= k.110 k.108) (=> (= lockStatus_0.13 lockStatus_0.11) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.13 lockStatus_1.11) (=> true (=> true (=> true ?v_3683))))))))))))) (let ((?v_3688 (=> true (=> true (=> true (=> true ?v_3686))))) (?v_3687 (= k.108 1)) (?v_3685 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3684 (= k.108 0))) (let ((?v_3691 (=> true (=> (<= k.107 k.108) (=> (< k.108 2) (and (=> true (=> ?v_3684 (=> (= inline.ReleaseDpcLock.4.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3685))) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0.0) ?v_3686))))) (=> true (=> (not ?v_3684) (and (=> true (=> ?v_3687 (=> (= inline.ReleaseDpcLock.4.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3685))) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0.1) ?v_3688))))) (=> true (=> (not ?v_3687) (=> true (=> (= inline.ReleaseDpcLock.4.myVar_0.2 inline.ReleaseDpcLock.4.myVar_0) ?v_3688))))))))))))) (let ((?v_3697 (and (=> true (=> (=> ?v_3689 ?v_36) (=> (=> ?v_3690 ?v_37) ?v_3691))) (=> true (=> (=> ?v_3689 ?v_442) (=> (=> ?v_3690 ?v_444) (and (=> true (=> (=> ?v_3689 ?v_344) (=> (=> ?v_3690 ?v_345) (=> true (=> true ?v_3691))))) (=> true (=> (=> ?v_3689 ?v_446) (=> (=> ?v_3690 ?v_447) (=> true (=> (= k.111 k.107) (=> (= inline.ReleaseDpcLock.4.myVar_0.3 inline.ReleaseDpcLock.4.myVar_0) (=> (= lockStatus_0.14 lockStatus_0.11) (=> (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.14 lockStatus_1.11) (=> (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> true (=> true (=> true ?v_3692)))))))))))))))))))) (?v_3699 (= k.107 k.105)) (?v_3700 (= errorReached.61 errorReached.59))) (let ((?v_3701 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3697))))))))))) (?v_3703 (= inline.EvtRequestChildCancel.1.myVar_0.11 hdevice)) (?v_3702 (= inline.EvtRequestChildCancel.1.myVar_0.11 hqueue)) (?v_3698 (= inline.EvtRequestChildCancel.1.myVar_0.11 htimer)) (?v_3696 (= inline.EvtRequestChildCancel.1.myVar_0.11 hrequest)) (?v_3695 (=> true (=> (= k.107 k.106) (=> (= errorReached.61 errorReached.60) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..0 call30029formal.ret.0) ?v_3697)))))) (?v_3693 (= k.106 0)) (?v_3694 (= k.106 1))) (let ((?v_3706 (and (=> true (=> ?v_3696 (=> true (=> (<= k.105 k.106) (=> (< k.106 2) (and (=> true (=> (=> ?v_3693 ?v_8) (=> (=> ?v_3694 ?v_9) (=> true (=> (= errorReached.60 1) ?v_3695))))) (=> true (=> (=> ?v_3693 ?v_2) (=> (=> ?v_3694 ?v_3) (=> true (=> (= errorReached.60 errorReached.59) (=> true ?v_3695)))))))))))) (=> true (=> (not ?v_3696) (and (=> true (=> ?v_3698 (=> true (=> ?v_3699 (=> ?v_3700 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3701)))))) (=> true (=> (not ?v_3698) (and (=> true (=> ?v_3702 (=> true (=> ?v_3699 (=> ?v_3700 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3701)))))) (=> true (=> (not ?v_3702) (and (=> true (=> ?v_3703 (=> true (=> ?v_3699 (=> ?v_3700 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3701)))))) (=> true (=> (not ?v_3703) (=> true (=> ?v_3699 (=> ?v_3700 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3701)))))))))))))))))) (let ((?v_3708 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3706)))))))))))) (?v_3707 (= k.105 1)) (?v_3704 (= k.105 0))) (let ((?v_3711 (=> true (=> (<= k.104 k.105) (=> (< k.105 2) (and (=> true (=> ?v_3704 (=> (= inline.EvtRequestChildCancel.1.myVar_0.10 ?v_3405) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.10) ?v_3706))))) (=> true (=> (not ?v_3704) (and (=> true (=> ?v_3707 (=> (= inline.EvtRequestChildCancel.1.myVar_0.9 ?v_3705) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.9) ?v_3708))))) (=> true (=> (not ?v_3707) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.11 inline.EvtRequestChildCancel.1.myVar_0.8) ?v_3708))))))))))))) (let ((?v_3715 (=> true (=> true ?v_3711))) (?v_3713 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3714 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1)) (?v_3712 (= k.104 1)) (?v_3710 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3709 (= k.104 0))) (let ((?v_3718 (=> true (=> (<= k.103 k.104) (=> (< k.104 2) (and (=> true (=> ?v_3709 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 ?v_3710 ?v_65)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) (=> ?v_3714 ?v_3711)))))) (=> true (=> (not ?v_3709) (and (=> true (=> ?v_3712 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 ?v_3710 ?v_65)) (=> true (=> ?v_3713 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.5 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.4) ?v_3715)))))) (=> true (=> (not ?v_3712) (=> true (=> ?v_3713 (=> ?v_3714 ?v_3715))))))))))))) (?v_3720 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1))) (let ((?v_3721 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1) (=> true ?v_3718))) (?v_3719 (= k.103 1)) (?v_3717 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3716 (= k.103 0))) (let ((?v_3737 (=> true (=> (<= k.102 k.103) (=> (< k.103 2) (and (=> true (=> ?v_3716 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 ?v_3717 ?v_65)) (=> true (=> ?v_3720 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_3718)))))) (=> true (=> (not ?v_3716) (and (=> true (=> ?v_3719 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 ?v_3717 ?v_65)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.5 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.4) ?v_3721))))) (=> true (=> (not ?v_3719) (=> true (=> ?v_3720 ?v_3721)))))))))))) (?v_3734 (= k.98 0)) (?v_3735 (= k.98 1))) (let ((?v_3728 (=> true (=> (= k.102 k.101) (=> (= inline.AcquireDpcLock.4.myVar_0.3 inline.AcquireDpcLock.4.myVar_0.2) (=> (= lockStatus_1.11 lockStatus_1.10) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.4.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.4.myVar_0.2) (=> (= lockStatus_0.11 lockStatus_0.10) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 call29829formal.ret.0) ?v_3737)))))))))) (?v_3727 (= inline.AcquireDpcLock.4.myVar_0.2 hlock))) (let ((?v_3723 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 call29777formal.ret.0) (=> (= lockStatus_0.10 lockStatus_0.9) (=> (= lockStatus_1.10 lockStatus_1.9) (=> (= k.101 k.100) ?v_3728))))))) (let ((?v_3726 (=> true ?v_3723)) (?v_3724 (= lockStatus_0.9 lockStatus_0.5)) (?v_3725 (= lockStatus_1.9 lockStatus_1.5)) (?v_3722 (= k.100 1)) (?v_3406 (= k.100 0))) (let ((?v_3731 (and (=> true (=> ?v_3727 (=> true (=> (<= k.99 k.100) (=> (< k.100 2) (=> true (=> (=> ?v_3406 (= lockStatus_0.5 0)) (=> (=> ?v_3722 (= lockStatus_1.5 0)) (and (=> true (=> ?v_3406 (=> true (=> (= lockStatus_0.9 1) (=> ?v_3725 ?v_3723))))) (=> true (=> (not ?v_3406) (and (=> true (=> ?v_3722 (=> true (=> ?v_3724 (=> (= lockStatus_1.9 1) ?v_3726))))) (=> true (=> (not ?v_3722) (=> true (=> ?v_3724 (=> ?v_3725 ?v_3726))))))))))))))))) (=> true (=> (not ?v_3727) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.10 lockStatus_0.5) (=> (= lockStatus_1.10 lockStatus_1.5) (=> (= k.101 k.99) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3728)))))))))))))))) (let ((?v_3733 (=> true (=> true (=> true (=> true ?v_3731))))) (?v_3732 (= k.99 1)) (?v_3730 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3729 (= k.99 0))) (let ((?v_3736 (=> true (=> (<= k.98 k.99) (=> (< k.99 2) (and (=> true (=> ?v_3729 (=> (= inline.AcquireDpcLock.4.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_3730))) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0.0) ?v_3731))))) (=> true (=> (not ?v_3729) (and (=> true (=> ?v_3732 (=> (= inline.AcquireDpcLock.4.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_3730))) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0.1) ?v_3733))))) (=> true (=> (not ?v_3732) (=> true (=> (= inline.AcquireDpcLock.4.myVar_0.2 inline.AcquireDpcLock.4.myVar_0) ?v_3733))))))))))))) (let ((?v_3742 (and (=> true (=> (=> ?v_3734 ?v_36) (=> (=> ?v_3735 ?v_37) ?v_3736))) (=> true (=> (=> ?v_3734 ?v_442) (=> (=> ?v_3735 ?v_444) (and (=> true (=> (=> ?v_3734 ?v_344) (=> (=> ?v_3735 ?v_345) ?v_3736))) (=> true (=> (=> ?v_3734 ?v_446) (=> (=> ?v_3735 ?v_447) (=> true (=> (= k.102 k.98) (=> (= inline.AcquireDpcLock.4.myVar_0.3 inline.AcquireDpcLock.4.myVar_0) (=> (= lockStatus_1.11 lockStatus_1.5) (=> (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_0.11 lockStatus_0.5) (=> (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.) (=> true (=> true (=> true ?v_3737))))))))))))))))))))) (?v_3744 (= k.98 k.96)) (?v_3745 (= errorReached.59 errorReached.57))) (let ((?v_3746 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3742))))))))))) (?v_3748 (= inline.EvtRequestChildCancel.1.myVar_0.8 hdevice)) (?v_3747 (= inline.EvtRequestChildCancel.1.myVar_0.8 hqueue)) (?v_3743 (= inline.EvtRequestChildCancel.1.myVar_0.8 htimer)) (?v_3741 (= inline.EvtRequestChildCancel.1.myVar_0.8 hrequest)) (?v_3740 (=> true (=> (= k.98 k.97) (=> (= errorReached.59 errorReached.58) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..0 call29508formal.ret.0) ?v_3742)))))) (?v_3738 (= k.97 0)) (?v_3739 (= k.97 1))) (let ((?v_3750 (and (=> true (=> ?v_3741 (=> true (=> (<= k.96 k.97) (=> (< k.97 2) (and (=> true (=> (=> ?v_3738 ?v_8) (=> (=> ?v_3739 ?v_9) (=> true (=> (= errorReached.58 1) ?v_3740))))) (=> true (=> (=> ?v_3738 ?v_2) (=> (=> ?v_3739 ?v_3) (=> true (=> (= errorReached.58 errorReached.57) (=> true ?v_3740)))))))))))) (=> true (=> (not ?v_3741) (and (=> true (=> ?v_3743 (=> true (=> ?v_3744 (=> ?v_3745 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3746)))))) (=> true (=> (not ?v_3743) (and (=> true (=> ?v_3747 (=> true (=> ?v_3744 (=> ?v_3745 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3746)))))) (=> true (=> (not ?v_3747) (and (=> true (=> ?v_3748 (=> true (=> ?v_3744 (=> ?v_3745 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3746)))))) (=> true (=> (not ?v_3748) (=> true (=> ?v_3744 (=> ?v_3745 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3746)))))))))))))))))) (let ((?v_3752 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3750)))))))))))) (?v_3751 (= k.96 1)) (?v_3749 (= k.96 0))) (let ((?v_3756 (=> true (=> (<= k.95 k.96) (=> (< k.96 2) (and (=> true (=> ?v_3749 (=> (= inline.EvtRequestChildCancel.1.myVar_0.7 ?v_3405) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.7) ?v_3750))))) (=> true (=> (not ?v_3749) (and (=> true (=> ?v_3751 (=> (= inline.EvtRequestChildCancel.1.myVar_0.6 ?v_3705) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.6) ?v_3752))))) (=> true (=> (not ?v_3751) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.8 inline.EvtRequestChildCancel.1.myVar_0.5) ?v_3752)))))))))))) (?v_3753 (= k.95 0)) (?v_3754 (= k.95 1))) (let ((?v_3755 (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 call29388formal.ret.0) ?v_3756)))) (let ((?v_3761 (and (=> true (=> (=> ?v_3753 ?v_40) (=> (=> ?v_3754 ?v_41) ?v_3755))) (=> true (=> (=> ?v_3753 ?v_726) (=> (=> ?v_3754 ?v_728) (and (=> true (=> (=> ?v_3753 ?v_631) (=> (=> ?v_3754 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3755)))))))))))) (=> true (=> (=> ?v_3753 ?v_730) (=> (=> ?v_3754 ?v_731) (=> true (=> (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_3756))))))))))))))) (?v_3763 (= k.95 k.93)) (?v_3764 (= errorReached.57 errorReached.55))) (let ((?v_3765 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3761))))))))))) (?v_3767 (= inline.EvtRequestChildCancel.1.myVar_0.5 hdevice)) (?v_3766 (= inline.EvtRequestChildCancel.1.myVar_0.5 hqueue)) (?v_3762 (= inline.EvtRequestChildCancel.1.myVar_0.5 htimer)) (?v_3760 (= inline.EvtRequestChildCancel.1.myVar_0.5 hrequest)) (?v_3759 (=> true (=> (= k.95 k.94) (=> (= errorReached.57 errorReached.56) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..0 call29191formal.ret.0) ?v_3761)))))) (?v_3757 (= k.94 0)) (?v_3758 (= k.94 1))) (let ((?v_3769 (and (=> true (=> ?v_3760 (=> true (=> (<= k.93 k.94) (=> (< k.94 2) (and (=> true (=> (=> ?v_3757 ?v_8) (=> (=> ?v_3758 ?v_9) (=> true (=> (= errorReached.56 1) ?v_3759))))) (=> true (=> (=> ?v_3757 ?v_2) (=> (=> ?v_3758 ?v_3) (=> true (=> (= errorReached.56 errorReached.55) (=> true ?v_3759)))))))))))) (=> true (=> (not ?v_3760) (and (=> true (=> ?v_3762 (=> true (=> ?v_3763 (=> ?v_3764 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3765)))))) (=> true (=> (not ?v_3762) (and (=> true (=> ?v_3766 (=> true (=> ?v_3763 (=> ?v_3764 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3765)))))) (=> true (=> (not ?v_3766) (and (=> true (=> ?v_3767 (=> true (=> ?v_3763 (=> ?v_3764 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3765)))))) (=> true (=> (not ?v_3767) (=> true (=> ?v_3763 (=> ?v_3764 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3765)))))))))))))))))) (let ((?v_3771 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3769)))))))))))) (?v_3770 (= k.93 1)) (?v_3768 (= k.93 0))) (let ((?v_3775 (=> true (=> (<= k.92 k.93) (=> (< k.93 2) (and (=> true (=> ?v_3768 (=> (= inline.EvtRequestChildCancel.1.myVar_0.3 ?v_3405) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.3) ?v_3769))))) (=> true (=> (not ?v_3768) (and (=> true (=> ?v_3770 (=> (= inline.EvtRequestChildCancel.1.myVar_0.4 ?v_3705) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.4) ?v_3771))))) (=> true (=> (not ?v_3770) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.5 inline.EvtRequestChildCancel.1.myVar_0.2) ?v_3771))))))))))))) (let ((?v_3779 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3775)))))))))) (?v_3776 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.)) (?v_3777 (= errorReached.55 errorReached.53)) (?v_3778 (= k.92 k.90)) (?v_3774 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..0 call28980formal.ret.0) (=> (= errorReached.55 errorReached.54) (=> (= k.92 k.91) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3775)))))) (?v_3772 (= k.91 0)) (?v_3773 (= k.91 1))) (let ((?v_3784 (and (=> true (=> ?v_27 (=> true (=> (<= k.90 k.91) (=> (< k.91 2) (and (=> true (=> (=> ?v_3772 ?v_8) (=> (=> ?v_3773 ?v_9) (=> true (=> (= errorReached.54 1) ?v_3774))))) (=> true (=> (=> ?v_3772 ?v_2) (=> (=> ?v_3773 ?v_3) (=> true (=> (= errorReached.54 errorReached.53) (=> true ?v_3774)))))))))))) (=> true (=> ?v_559 (and (=> true (=> ?v_561 (=> true (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3779))))))) (=> true (=> ?v_610 (and (=> true (=> ?v_565 (=> true (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3779))))))) (=> true (=> ?v_614 (and (=> true (=> ?v_566 (=> true (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3779))))))) (=> true (=> ?v_615 (=> true (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3779)))))))))))))))))) (?v_3786 (= k.90 k.88)) (?v_3787 (= errorReached.53 errorReached.51))) (let ((?v_3788 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3784)))))))))))))))))) (?v_3790 (= inline.EvtRequestChildCancel.1.myVar_0.2 hdevice)) (?v_3789 (= inline.EvtRequestChildCancel.1.myVar_0.2 hqueue)) (?v_3785 (= inline.EvtRequestChildCancel.1.myVar_0.2 htimer)) (?v_3783 (= inline.EvtRequestChildCancel.1.myVar_0.2 hrequest)) (?v_3782 (=> true (=> (= k.90 k.89) (=> (= errorReached.53 errorReached.52) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..0 call28809formal.ret.0) ?v_3784)))))) (?v_3780 (= k.89 0)) (?v_3781 (= k.89 1))) (let ((?v_3793 (and (=> true (=> ?v_3783 (=> true (=> (<= k.88 k.89) (=> (< k.89 2) (and (=> true (=> (=> ?v_3780 ?v_8) (=> (=> ?v_3781 ?v_9) (=> true (=> (= errorReached.52 1) ?v_3782))))) (=> true (=> (=> ?v_3780 ?v_2) (=> (=> ?v_3781 ?v_3) (=> true (=> (= errorReached.52 errorReached.51) (=> true ?v_3782)))))))))))) (=> true (=> (not ?v_3783) (and (=> true (=> ?v_3785 (=> true (=> ?v_3786 (=> ?v_3787 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3788)))))) (=> true (=> (not ?v_3785) (and (=> true (=> ?v_3789 (=> true (=> ?v_3786 (=> ?v_3787 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3788)))))) (=> true (=> (not ?v_3789) (and (=> true (=> ?v_3790 (=> true (=> ?v_3786 (=> ?v_3787 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3788)))))) (=> true (=> (not ?v_3790) (=> true (=> ?v_3786 (=> ?v_3787 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3788)))))))))))))))))) (let ((?v_3795 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3793)))))))) (?v_3794 (= k.88 1)) (?v_3792 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3791 (= k.88 0))) (let ((?v_3799 (=> true (=> (<= k.87 k.88) (=> (< k.88 2) (and (=> true (=> ?v_3791 (=> (= inline.EvtRequestChildCancel.1.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3792))) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0.1) ?v_3793))))) (=> true (=> (not ?v_3791) (and (=> true (=> ?v_3794 (=> (= inline.EvtRequestChildCancel.1.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3792))) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0.0) ?v_3795))))) (=> true (=> (not ?v_3794) (=> true (=> (= inline.EvtRequestChildCancel.1.myVar_0.2 inline.EvtRequestChildCancel.1.myVar_0) ?v_3795)))))))))))) (?v_3800 (= k.87 k.68))) (let ((?v_3801 (=> (= errorReached.51 errorReached.40) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3799)))))))))))) (?v_3798 (=> true (=> (= k.87 k.86) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.51 errorReached.50) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..0 call28600formal.ret.0) ?v_3799)))))) (?v_3796 (= k.86 0)) (?v_3797 (= k.86 1))) (let ((?v_3806 (and (=> true (=> ?v_26 (=> true (=> (<= k.68 k.86) (=> (< k.86 2) (and (=> true (=> (=> ?v_3796 ?v_8) (=> (=> ?v_3797 ?v_9) (=> true (=> (= errorReached.50 1) ?v_3798))))) (=> true (=> (=> ?v_3796 ?v_2) (=> (=> ?v_3797 ?v_3) (=> true (=> (= errorReached.50 errorReached.40) (=> true ?v_3798)))))))))))) (=> true (=> ?v_2489 (and (=> true (=> ?v_773 (=> true (=> ?v_3800 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3801))))) (=> true (=> ?v_2491 (and (=> true (=> ?v_774 (=> true (=> ?v_3800 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3801))))) (=> true (=> ?v_778 (and (=> true (=> ?v_779 (=> true (=> ?v_3800 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3801))))) (=> true (=> ?v_2494 (=> true (=> ?v_3800 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3801))))))))))))))))) (let ((?v_3808 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3806)))))))))))))) (?v_3807 (= errorReached.40 errorReached.39)) (?v_3804 (= k.68 k.67)) (?v_3805 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 call28489formal.ret.0)) (?v_3802 (= k.67 0)) (?v_3803 (= k.67 1)) (?v_3404 (int_2_U call28381formal.new.0))) (let ((?v_3954 (=> true (and ?v_1655 (=> ?v_1655 (=> (> call28381formal.new.0 0) (=> (forall ((?x359 Int)) (! (=> (and (<= call28381formal.new.0 ?x359) (< ?x359 (+ call28381formal.new.0 1))) (= (Base ?x359) call28381formal.new.0)) :pattern ((Base ?x359)) )) (=> (forall ((?x360 boogieU)) (! (=> (= (type ?x360) intType) (or (= (U_2_int ?x360) call28381formal.new.0) (= (MapType0Select alloc.12 ?x360) (MapType0Select alloc.13 ?x360)))) :pattern ((MapType0Select alloc.13 ?x360)) )) (=> (and (= (MapType0Select alloc.12 ?v_3404) UNALLOCATED) (= (MapType0Select alloc.13 ?v_3404) ALLOCATED)) (and (=> true (=> (not ?v_3815) (and (=> true (=> ?v_3809 (and (=> true (=> ?v_27 (=> true (=> (<= k.66 k.67) (=> (< k.67 2) (and (=> true (=> (=> ?v_3802 ?v_8) (=> (=> ?v_3803 ?v_9) (=> true (=> ?v_3804 (=> (= errorReached.40 1) (=> ?v_3805 ?v_3806))))))) (=> true (=> (=> ?v_3802 ?v_2) (=> (=> ?v_3803 ?v_3) (=> true (=> ?v_3804 (=> ?v_3807 (=> ?v_3805 ?v_3808))))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.68 k.66) (=> ?v_3807 (=> (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.) ?v_3808))))))))) (=> true (=> (not ?v_3809) (=> true (=> ?v_3817 (=> ?v_3818 (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> ?v_3822 (=> ?v_3823 (=> ?v_3824 (=> ?v_3825 (=> ?v_3826 (=> ?v_3810 (=> ?v_3827 (=> ?v_3828 (=> ?v_3811 (=> ?v_3829 (=> ?v_3830 (=> ?v_3831 (=> ?v_3832 (=> ?v_3833 (=> ?v_3834 (=> ?v_3835 (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> ?v_3845 (=> ?v_3846 (=> ?v_3847 (=> ?v_3848 (=> ?v_3849 (=> ?v_3850 (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> (= reqCancelSet_1.7 reqCancelSet_1) (=> ?v_3873 (=> ?v_3874 (=> ?v_3875 (=> ?v_3876 (=> ?v_3877 (=> ?v_3878 (=> ?v_3879 (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> ?v_3883 (=> ?v_3884 (=> ?v_3885 (=> ?v_3886 (=> ?v_3887 (=> ?v_3888 (=> ?v_3889 (=> ?v_3890 (=> ?v_3891 (=> ?v_3892 (=> ?v_3893 (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> ?v_3900 (=> ?v_3901 (=> ?v_3902 (=> (= reqCancelSet_0.7 reqCancelSet_0) (=> ?v_3903 (=> ?v_3904 (=> ?v_3905 (=> (= k.125 k.66) (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> ?v_3910 (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> ?v_3812 (=> ?v_3916 (=> ?v_3917 (=> ?v_3918 (=> ?v_3919 (=> (= errorReached.71 errorReached.39) (=> ?v_3920 (=> ?v_3921 (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> ?v_3932 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> ?v_3939 (=> ?v_3940 (=> ?v_3941 (=> ?v_3942 (=> ?v_3813 ?v_3943)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_3815 (and (=> true (=> ?v_27 (=> true (=> (<= k.66 k.69) (=> (< k.69 2) (and (=> true (=> (=> ?v_3816 ?v_8) (=> (=> ?v_3944 ?v_9) (=> true (=> (= errorReached.41 1) ?v_3948))))) (=> true (=> (=> ?v_3816 ?v_2) (=> (=> ?v_3944 ?v_3) (=> true (=> (= errorReached.41 errorReached.39) (=> true ?v_3948)))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.70 k.66) (=> (= reqCancelSet_1.1 reqCancelSet_1) (=> (= errorReached.42 errorReached.39) (=> (= reqCancelSet_0.1 reqCancelSet_0) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.) (=> true (=> true (=> true ?v_3949)))))))))))))))))))))))) (let ((?v_3956 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.) (=> (= errorReached.39 errorReached.37) (=> (= k.66 k.64) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3954)))))))))))) (?v_3958 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hdevice)) (?v_3957 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hqueue)) (?v_3955 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 htimer)) (?v_3953 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 hrequest)) (?v_3952 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..0 call28266formal.ret.0) (=> (= errorReached.39 errorReached.38) (=> (= k.66 k.65) ?v_3954)))))) (?v_3950 (= k.65 0)) (?v_3951 (= k.65 1))) (let ((?v_3961 (and (=> true (=> ?v_3953 (=> true (=> (<= k.64 k.65) (=> (< k.65 2) (and (=> true (=> (=> ?v_3950 ?v_8) (=> (=> ?v_3951 ?v_9) (=> true (=> (= errorReached.38 1) ?v_3952))))) (=> true (=> (=> ?v_3950 ?v_2) (=> (=> ?v_3951 ?v_3) (=> true (=> (= errorReached.38 errorReached.37) (=> true ?v_3952)))))))))))) (=> true (=> (not ?v_3953) (and (=> true (=> ?v_3955 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3956)))) (=> true (=> (not ?v_3955) (and (=> true (=> ?v_3957 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3956)))) (=> true (=> (not ?v_3957) (and (=> true (=> ?v_3958 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3956)))) (=> true (=> (not ?v_3958) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3956)))))))))))))))) (let ((?v_3963 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3961)))))))) (?v_3962 (= k.64 1)) (?v_3960 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_3959 (= k.64 0))) (let ((?v_3967 (=> true (=> (<= k.63 k.64) (=> (< k.64 2) (and (=> true (=> ?v_3959 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3960))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0.1) ?v_3961))))) (=> true (=> (not ?v_3959) (and (=> true (=> ?v_3962 (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_3960))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0.0) ?v_3963))))) (=> true (=> (not ?v_3962) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.2 inline.MarkRequestCancelableReturnLocked.1.myVar_0) ?v_3963))))))))))))) (let ((?v_3971 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3967))))))))) (?v_3968 (= k.63 k.61)) (?v_3969 (= errorReached.37 errorReached.35)) (?v_3970 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2.)) (?v_3966 (=> true (=> (= k.63 k.62) (=> (= errorReached.37 errorReached.36) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..0 call28058formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3967)))))) (?v_3964 (= k.62 0)) (?v_3965 (= k.62 1))) (let ((?v_3975 (and (=> true (=> ?v_26 (=> true (=> (<= k.61 k.62) (=> (< k.62 2) (and (=> true (=> (=> ?v_3964 ?v_8) (=> (=> ?v_3965 ?v_9) (=> true (=> (= errorReached.36 1) ?v_3966))))) (=> true (=> (=> ?v_3964 ?v_2) (=> (=> ?v_3965 ?v_3) (=> true (=> (= errorReached.36 errorReached.35) (=> true ?v_3966)))))))))))) (=> true (=> ?v_2489 (and (=> true (=> ?v_773 (=> true (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3971))))))) (=> true (=> ?v_2491 (and (=> true (=> ?v_774 (=> true (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3971))))))) (=> true (=> ?v_778 (and (=> true (=> ?v_779 (=> true (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3971))))))) (=> true (=> ?v_2494 (=> true (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3971)))))))))))))))))) (?v_3976 (= k.61 k.59))) (let ((?v_3977 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.) (=> (= errorReached.35 errorReached.33) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3975)))))))))))))))))) (?v_3974 (=> true (=> (= k.61 k.60) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..0 call27904formal.ret.0) (=> (= errorReached.35 errorReached.34) ?v_3975)))))) (?v_3972 (= k.60 0)) (?v_3973 (= k.60 1))) (let ((?v_3982 (and (=> true (=> ?v_27 (=> true (=> (<= k.59 k.60) (=> (< k.60 2) (and (=> true (=> (=> ?v_3972 ?v_8) (=> (=> ?v_3973 ?v_9) (=> true (=> (= errorReached.34 1) ?v_3974))))) (=> true (=> (=> ?v_3972 ?v_2) (=> (=> ?v_3973 ?v_3) (=> true (=> (= errorReached.34 errorReached.33) (=> true ?v_3974)))))))))))) (=> true (=> ?v_559 (and (=> true (=> ?v_561 (=> true (=> ?v_3976 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3977))))) (=> true (=> ?v_610 (and (=> true (=> ?v_565 (=> true (=> ?v_3976 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3977))))) (=> true (=> ?v_614 (and (=> true (=> ?v_566 (=> true (=> ?v_3976 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3977))))) (=> true (=> ?v_615 (=> true (=> ?v_3976 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3977))))))))))))))))) (let ((?v_3984 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3982))))))))))))) (?v_3983 (= errorReached.33 errorReached.32)) (?v_3980 (= k.59 k.58)) (?v_3981 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 call27794formal.ret.0)) (?v_3978 (= k.58 0)) (?v_3979 (= k.58 1))) (let ((?v_3987 (and (=> true (=> ?v_27 (=> true (=> (<= k.57 k.58) (=> (< k.58 2) (and (=> true (=> (=> ?v_3978 ?v_8) (=> (=> ?v_3979 ?v_9) (=> true (=> ?v_3980 (=> (= errorReached.33 1) (=> ?v_3981 ?v_3982))))))) (=> true (=> (=> ?v_3978 ?v_2) (=> (=> ?v_3979 ?v_3) (=> true (=> ?v_3980 (=> ?v_3983 (=> ?v_3981 ?v_3984))))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.59 k.57) (=> ?v_3983 (=> (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.) ?v_3984))))))))) (let ((?v_3988 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3987))))))))))))))) (?v_3985 (= k.57 0)) (?v_3986 (= k.57 1))) (let ((?v_3993 (and (=> true (=> (=> ?v_3985 ?v_40) (=> (=> ?v_3986 ?v_41) ?v_3987))) (=> true (=> (=> ?v_3985 ?v_726) (=> (=> ?v_3986 ?v_728) (and (=> true (=> (=> ?v_3985 ?v_631) (=> (=> ?v_3986 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3988)))))))))))) (=> true (=> (=> ?v_3985 ?v_730) (=> (=> ?v_3986 ?v_731) ?v_3988)))))))))) (let ((?v_3998 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3993)))))))))) (?v_3995 (= k.57 k.55)) (?v_3996 (= errorReached.32 errorReached.30)) (?v_3997 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.)) (?v_4000 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hdevice)) (?v_3999 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hqueue)) (?v_3994 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 htimer)) (?v_3992 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 hrequest)) (?v_3991 (=> true (=> (= k.57 k.56) (=> (= errorReached.32 errorReached.31) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..0 call27542formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_3993)))))) (?v_3989 (= k.56 0)) (?v_3990 (= k.56 1))) (let ((?v_4002 (and (=> true (=> ?v_3992 (=> true (=> (<= k.55 k.56) (=> (< k.56 2) (and (=> true (=> (=> ?v_3989 ?v_8) (=> (=> ?v_3990 ?v_9) (=> true (=> (= errorReached.31 1) ?v_3991))))) (=> true (=> (=> ?v_3989 ?v_2) (=> (=> ?v_3990 ?v_3) (=> true (=> (= errorReached.31 errorReached.30) (=> true ?v_3991)))))))))))) (=> true (=> (not ?v_3992) (and (=> true (=> ?v_3994 (=> true (=> ?v_3995 (=> ?v_3996 (=> ?v_3997 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3998))))))) (=> true (=> (not ?v_3994) (and (=> true (=> ?v_3999 (=> true (=> ?v_3995 (=> ?v_3996 (=> ?v_3997 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3998))))))) (=> true (=> (not ?v_3999) (and (=> true (=> ?v_4000 (=> true (=> ?v_3995 (=> ?v_3996 (=> ?v_3997 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3998))))))) (=> true (=> (not ?v_4000) (=> true (=> ?v_3995 (=> ?v_3996 (=> ?v_3997 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3998))))))))))))))))))) (let ((?v_4004 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4002)))))))))))) (?v_4003 (= k.55 1)) (?v_2717 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2751 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2717))) (?v_4001 (= k.55 0)) (?v_1649 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2717)))) (let ((?v_4021 (=> true (=> (<= k.54 k.55) (=> (< k.55 2) (and (=> true (=> ?v_4001 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7 ?v_1649) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.7) ?v_4002))))) (=> true (=> (not ?v_4001) (and (=> true (=> ?v_4003 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6 ?v_2751) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.6) ?v_4004))))) (=> true (=> (not ?v_4003) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.8 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5) ?v_4004)))))))))))) (?v_4018 (= k.50 0)) (?v_4019 (= k.50 1))) (let ((?v_4012 (=> true (=> (= k.54 k.53) (=> (= inline.ReleaseDpcLock.3.myVar_0.3 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= lockStatus_0.5 lockStatus_0.4) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= lockStatus_1.5 lockStatus_1.4) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.3.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0) ?v_4021))))))))) (?v_4011 (= inline.ReleaseDpcLock.3.myVar_0.2 hlock))) (let ((?v_4006 (=> true (=> (= k.53 k.52) (=> (= lockStatus_0.4 lockStatus_0.3) (=> (= lockStatus_1.4 lockStatus_1.3) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 call27395formal.ret.0) ?v_4012))))))) (let ((?v_4010 (=> true ?v_4006)) (?v_4008 (= lockStatus_0.3 lockStatus_0.2)) (?v_4009 (= lockStatus_1.3 lockStatus_1.2)) (?v_4007 (= k.52 1)) (?v_4005 (= k.52 0))) (let ((?v_4015 (and (=> true (=> ?v_4011 (=> true (=> (<= k.51 k.52) (=> (< k.52 2) (and (=> true (=> ?v_4005 (=> true (=> (= lockStatus_0.3 0) (=> ?v_4009 ?v_4006))))) (=> true (=> (not ?v_4005) (and (=> true (=> ?v_4007 (=> true (=> ?v_4008 (=> (= lockStatus_1.3 0) ?v_4010))))) (=> true (=> (not ?v_4007) (=> true (=> ?v_4008 (=> ?v_4009 ?v_4010)))))))))))))) (=> true (=> (not ?v_4011) (=> true (=> (= k.53 k.51) (=> (= lockStatus_0.4 lockStatus_0.2) (=> (= lockStatus_1.4 lockStatus_1.2) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_4012))))))))))))) (let ((?v_4017 (=> true (=> true (=> true (=> true ?v_4015))))) (?v_4016 (= k.51 1)) (?v_4014 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4013 (= k.51 0))) (let ((?v_4020 (=> true (=> (<= k.50 k.51) (=> (< k.51 2) (and (=> true (=> ?v_4013 (=> (= inline.ReleaseDpcLock.3.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_4014))) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0.0) ?v_4015))))) (=> true (=> (not ?v_4013) (and (=> true (=> ?v_4016 (=> (= inline.ReleaseDpcLock.3.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_4014))) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0.1) ?v_4017))))) (=> true (=> (not ?v_4016) (=> true (=> (= inline.ReleaseDpcLock.3.myVar_0.2 inline.ReleaseDpcLock.3.myVar_0) ?v_4017))))))))))))) (let ((?v_4026 (and (=> true (=> (=> ?v_4018 ?v_36) (=> (=> ?v_4019 ?v_37) ?v_4020))) (=> true (=> (=> ?v_4018 ?v_442) (=> (=> ?v_4019 ?v_444) (and (=> true (=> (=> ?v_4018 ?v_344) (=> (=> ?v_4019 ?v_345) (=> true (=> true ?v_4020))))) (=> true (=> (=> ?v_4018 ?v_446) (=> (=> ?v_4019 ?v_447) (=> true (=> (= k.54 k.50) (=> (= inline.ReleaseDpcLock.3.myVar_0.3 inline.ReleaseDpcLock.3.myVar_0) (=> (= lockStatus_0.5 lockStatus_0.2) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_1.5 lockStatus_1.2) (=> (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_4021))))))))))))))))))))) (let ((?v_4031 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4026)))))))))) (?v_4028 (= k.50 k.48)) (?v_4029 (= errorReached.30 errorReached.28)) (?v_4030 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_4033 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hdevice)) (?v_4032 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hqueue)) (?v_4027 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 htimer)) (?v_4025 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 hrequest)) (?v_4024 (=> true (=> (= k.50 k.49) (=> (= errorReached.30 errorReached.29) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..0 call27124formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4026)))))) (?v_4022 (= k.49 0)) (?v_4023 (= k.49 1))) (let ((?v_4035 (and (=> true (=> ?v_4025 (=> true (=> (<= k.48 k.49) (=> (< k.49 2) (and (=> true (=> (=> ?v_4022 ?v_8) (=> (=> ?v_4023 ?v_9) (=> true (=> (= errorReached.29 1) ?v_4024))))) (=> true (=> (=> ?v_4022 ?v_2) (=> (=> ?v_4023 ?v_3) (=> true (=> (= errorReached.29 errorReached.28) (=> true ?v_4024)))))))))))) (=> true (=> (not ?v_4025) (and (=> true (=> ?v_4027 (=> true (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4031))))))) (=> true (=> (not ?v_4027) (and (=> true (=> ?v_4032 (=> true (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4031))))))) (=> true (=> (not ?v_4032) (and (=> true (=> ?v_4033 (=> true (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4031))))))) (=> true (=> (not ?v_4033) (=> true (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4031))))))))))))))))))) (let ((?v_4037 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4035)))))))))))) (?v_4036 (= k.48 1)) (?v_4034 (= k.48 0))) (let ((?v_4040 (=> true (=> (<= k.47 k.48) (=> (< k.48 2) (and (=> true (=> ?v_4034 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3 ?v_1649) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.3) ?v_4035))))) (=> true (=> (not ?v_4034) (and (=> true (=> ?v_4036 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4 ?v_2751) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.4) ?v_4037))))) (=> true (=> (not ?v_4036) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.5 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) ?v_4037))))))))))))) (let ((?v_4044 (=> true ?v_4040)) (?v_4042 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_4043 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_4041 (= k.47 1)) (?v_1641 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4039 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1641 ?v_65)) (?v_4038 (= k.47 0)) (?v_3403 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1641 ?v_65))) (let ((?v_4047 (=> true (=> (<= k.46 k.47) (=> (< k.47 2) (and (=> true (=> ?v_4038 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 ?v_3403) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) (=> ?v_4043 ?v_4040)))))) (=> true (=> (not ?v_4038) (and (=> true (=> ?v_4041 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0 ?v_4039) (=> true (=> ?v_4042 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.1 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.0) ?v_4044)))))) (=> true (=> (not ?v_4041) (=> true (=> ?v_4042 (=> ?v_4043 ?v_4044))))))))))))) (?v_4049 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT))) (let ((?v_4050 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> true (=> true ?v_4047)))) (?v_4048 (= k.46 1)) (?v_1648 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4046 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1648 ?v_2762)) (?v_4045 (= k.46 0)) (?v_3402 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1648 ?v_2762)) (?v_3401 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 0)) (?v_2768 (= inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.29..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2769 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2770 (= inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.29..result.GetDeviceContext.137.0.1.)) (?v_2771 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3094 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_2772 (= inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.4..result.GetDeviceContext.2362.52.1.)) (?v_2773 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext1)) (?v_2774 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2775 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext1)) (?v_2776 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext1)) (?v_2777 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext1)) (?v_2778 (= inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.5..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2779 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3099 (= reqCompleted_0.10 reqCompleted_0)) (?v_2780 (= inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.19..result.GetDeviceContext.137.0.1.)) (?v_2781 (= inline.EvtRequestChildCancel.1.myNondetVar_0.3 inline.EvtRequestChildCancel.1.myNondetVar_0)) (?v_2782 (= inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.5..result.KeGetCurrentThread.2324.66.2.)) (?v_2783 (= inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.22..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2784 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext)) (?v_2785 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2786 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2787 (= inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.4..result.KeGetCurrentThread.2324.66.2.)) (?v_2788 (= inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.5..result.GetDeviceContext.2392.52.1.)) (?v_2789 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2790 (= inline.GetDeviceContext.20.myNondetVar_0.1 inline.GetDeviceContext.20.myNondetVar_0)) (?v_2791 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2792 (= inline.GetDeviceContext.31.myNondetVar_0.1 inline.GetDeviceContext.31.myNondetVar_0)) (?v_2793 (= inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..deviceContext.3.589.20.MarkRequestCancelableReturnLocked)) (?v_2794 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2795 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2797 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext)) (?v_2798 (= inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.5..result.userContextSwitch.7790.4.2.)) (?v_2799 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.userContextSwitch.6841.4.2.)) (?v_2800 (= inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer)) (?v_2801 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2802 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.userContextSwitch.6841.4.2.)) (?v_2804 (= inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.35..result.userContextSwitch.6841.4.2.)) (?v_2805 (= inline.GetDeviceContext.29.myNondetVar_0.1 inline.GetDeviceContext.29.myNondetVar_0)) (?v_2806 (= inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.1..result._InterlockedCompareExchange.842.34.7.)) (?v_2807 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2808 (= inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.25..result.GetDeviceContext.137.0.1.)) (?v_2809 (= inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.4..result.userContextSwitch.8661.4.1.)) (?v_2810 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock1)) (?v_2811 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked1)) (?v_2812 (= inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.51..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2813 (= inline.GetDeviceContext.28.myNondetVar_0.1 inline.GetDeviceContext.28.myNondetVar_0)) (?v_2814 (= inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.42..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3131 (= alloc.17 alloc.12)) (?v_2815 (= inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.21..result.GetDeviceContext.137.0.1.)) (?v_2816 (= inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.50..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2817 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2818 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete)) (?v_2820 (= inline.GetDeviceContext.24.myNondetVar_0.2 inline.GetDeviceContext.24.myNondetVar_0)) (?v_2821 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.userContextSwitch.6841.4.2.)) (?v_2822 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2823 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext)) (?v_2825 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext1)) (?v_2826 (= inline.GetDeviceContext.25.myNondetVar_0.2 inline.GetDeviceContext.25.myNondetVar_0)) (?v_2827 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3155 (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT)) (?v_2828 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock)) (?v_2829 (= inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 inline.GetRequestContext.8..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.)) (?v_2830 (= inline.GetDeviceContext.19.myNondetVar_0.1 inline.GetDeviceContext.19.myNondetVar_0)) (?v_2831 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2832 (= inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.5..Handle.1.62.0.GetChildQueueContext1)) (?v_2833 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2834 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock1)) (?v_2835 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2836 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext1)) (?v_2837 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock)) (?v_2838 (= inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.40..result.userContextSwitch.6841.4.2.)) (?v_2839 (= inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..Device.1.2384.14.ReleaseDpcLock)) (?v_2840 (= inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Queue.2.811.13.EvtRequestChildCancel)) (?v_3178 (= lockStatus_0.41 lockStatus_0.2)) (?v_2841 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2842 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2843 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2844 (= inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.22..result.GetDeviceContext.137.0.1.)) (?v_2845 (= inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4..0 inline.MarkRequestCancelableReturnLocked.1..result.GetDeviceContext.596.36.4.)) (?v_2846 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.userContextSwitch.6841.4.2.)) (?v_2847 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.642.56.9.)) (?v_2848 (= inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.29..Handle.1.137.0.GetDeviceContext)) (?v_2849 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_2850 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2851 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2852 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2853 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2854 (= inline.GetDeviceContext.32.myNondetVar_0.1 inline.GetDeviceContext.32.myNondetVar_0)) (?v_2855 (= inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.32..result.GetDeviceContext.137.0.1.)) (?v_2856 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext1)) (?v_2857 (= inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.46..result.userContextSwitch.6841.4.2.)) (?v_2858 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2859 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext)) (?v_2860 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock)) (?v_2861 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext1)) (?v_2862 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext1)) (?v_2863 (= inline.ReleaseDpcLock.5.myVar_0.4 inline.ReleaseDpcLock.5.myVar_0)) (?v_2864 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.userContextSwitch.6841.4.2.)) (?v_2865 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2866 (= inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.4..result.KeGetCurrentThread.2376.63.2.)) (?v_2867 (= inline.GetRequestContext.7.myNondetVar_0.2 inline.GetRequestContext.7.myNondetVar_0)) (?v_2868 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2869 (= inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.5..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2870 (= inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.34..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2871 (= inline.ReleaseDpcLock.4.myVar_0.5 inline.ReleaseDpcLock.4.myVar_0)) (?v_2872 (= inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.42..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3214 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_3217 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT)) (?v_2873 (= inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.5..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2874 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2875 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext1)) (?v_2876 (= inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..queue.5.591.13.MarkRequestCancelableReturnLocked)) (?v_2877 (= inline.GetDeviceContext.26.myNondetVar_0.2 inline.GetDeviceContext.26.myNondetVar_0)) (?v_2878 (= inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.6..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2879 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.userContextSwitch.6841.4.2.)) (?v_2880 (= inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.48..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2881 (= inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.35..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2882 (= inline.MarkRequestCancelableReturnLocked.1.myVar_0.21 inline.MarkRequestCancelableReturnLocked.1.myVar_0)) (?v_2883 (= inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.24..result.GetDeviceContext.137.0.1.)) (?v_2884 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.658.56.12.)) (?v_2885 (= inline.AcquireDpcLock.5.myVar_0.4 inline.AcquireDpcLock.5.myVar_0)) (?v_2887 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext)) (?v_2888 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_2889 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2890 (= inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.4..result.GetDeviceContext.2392.52.1.)) (?v_2891 (= inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.4..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2892 (= inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.3..Device.1.2384.14.ReleaseDpcLock)) (?v_2893 (= inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked)) (?v_2894 (= inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.33..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2895 (= inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.49..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2896 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2897 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2898 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2899 (= inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.32..Handle.1.137.0.GetDeviceContext1)) (?v_2900 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext1)) (?v_2901 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.userContextSwitch.6841.4.2.)) (?v_2902 (= inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6..0 inline.MarkRequestCancelableReturnLocked.1..result.Random.607.14.6.)) (?v_2903 (= inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.5..Device.1.2305.14.AcquireEffectiveLock1)) (?v_2904 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2905 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_2906 (= inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.4..result.userContextSwitch.7790.4.2.)) (?v_2907 (= inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.36..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2908 (= inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.4..Device.1.2305.14.AcquireEffectiveLock)) (?v_2909 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2911 (= inline.GetRequestContext.6.myNondetVar_0.1 inline.GetRequestContext.6.myNondetVar_0)) (?v_2912 (= inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.6..result.userContextSwitch.8650.4.1.)) (?v_2913 (= inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.1..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_2914 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.657.62.11.)) (?v_2915 (= inline.GetRequestContext.8..result.GetRequestContext.56.0.1..2 inline.GetRequestContext.8..result.GetRequestContext.56.0.1.)) (?v_2916 (= inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.5..result.GetDeviceContext.2362.52.1.)) (?v_2917 (= inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.5..result.userContextSwitch.8661.4.1.)) (?v_2918 (= inline.GetRequestContext.8.myNondetVar_0.3 inline.GetRequestContext.8.myNondetVar_0)) (?v_2920 (= inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.24..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2921 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2922 (= inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.1..result.GetDeviceContext.813.52.3.)) (?v_2923 (= inline.GetDeviceContext.22.myNondetVar_0.2 inline.GetDeviceContext.22.myNondetVar_0)) (?v_2924 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2925 (= inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..childQueueContext.3.812.25.EvtRequestChildCancel)) (?v_2926 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.userContextSwitch.6841.4.2.)) (?v_2927 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext1)) (?v_2928 (= inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.3..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2929 (= inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.4..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_2930 (= inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.37..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2931 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.userContextSwitch.6841.4.2.)) (?v_2932 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2933 (= inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.26..Handle.1.137.0.GetDeviceContext1)) (?v_2934 (= inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.32..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2935 (= inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.38..result.userContextSwitch.6841.4.2.)) (?v_2936 (= inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.43..result.userContextSwitch.6841.4.2.)) (?v_2937 (= inline.GetChildQueueContext.6.myNondetVar_0.2 inline.GetChildQueueContext.6.myNondetVar_0)) (?v_2938 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1)) (?v_2939 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2940 (= inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.39..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2941 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2942 (= inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.51..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2943 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock1)) (?v_2944 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2945 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.818.62.5.)) (?v_2946 (= inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.6..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3283 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2)) (?v_2948 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock1)) (?v_2949 (= inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.20..Handle.1.137.0.GetDeviceContext1)) (?v_2950 (= inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.5..result.KeGetCurrentThread.2376.63.2.)) (?v_2951 (= inline.EvtRequestChildCancel.1.myVar_0.16 inline.EvtRequestChildCancel.1.myVar_0)) (?v_2952 (= inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.6..result.GetChildQueueContext.62.0.1.)) (?v_2953 (= inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.3..result.GetDeviceContext.2392.52.1.)) (?v_2954 (= inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.6..result.KeGetCurrentThread.2376.63.2.)) (?v_2955 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock)) (?v_2956 (= inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.28..Handle.1.137.0.GetDeviceContext)) (?v_2957 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel)) (?v_2958 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2959 (= inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1..0 inline.MarkRequestCancelableReturnLocked.1..result.sdv_WdfRequestGetIoQueue.593.32.1.)) (?v_2960 (= inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.24..Handle.1.137.0.GetDeviceContext1)) (?v_2961 (= inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.1..result._ReturnAddress.641.62.8.)) (?v_2962 (= inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.2.myVar_0)) (?v_2963 (= inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.5..result.userContextSwitch.8650.4.1.)) (?v_2964 (= inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.32..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2965 (= inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.2..Request.1.212.15.MyWdfRequestComplete1)) (?v_2966 (= inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.21..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2967 (= inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.50..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2968 (= inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.19..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2969 (= inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.32..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2970 (= inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.47..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2971 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2972 (= inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.34..result.userContextSwitch.6841.4.2.)) (?v_2973 (= inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.1..result._ReturnAddress.820.56.6.)) (?v_2974 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2975 (= inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.48..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2976 (= inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.37..result.userContextSwitch.6841.4.2.)) (?v_2977 (= inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.5..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2978 (= inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.4..deviceContext.3.2362.20.AcquireDpcLock)) (?v_2979 (= inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.6..result.KeGetCurrentThread.2324.66.2.)) (?v_3328 (= reqCompleted_1.10 reqCompleted_1)) (?v_2980 (= inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.44..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2981 (= inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked.0 inline.MarkRequestCancelableReturnLocked.1..Request.1.575.15.MarkRequestCancelableReturnLocked)) (?v_2983 (= inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3..0 inline.MarkRequestCancelableReturnLocked.1..result.GetChildQueueContext.595.44.3.)) (?v_2984 (= inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.40..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2985 (= inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.7..Handle.1.56.0.GetRequestContext)) (?v_2986 (= inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.3..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2987 (= inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.5..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.)) (?v_2988 (= inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.5..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2989 (= inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.1.myNondetVar_0)) (?v_2990 (= inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.25..Handle.1.137.0.GetDeviceContext)) (?v_2991 (= inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.1..result.GetChildQueueContext.812.65.2.)) (?v_2992 (= inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.2..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2993 (= inline.GetDeviceContext.23.myNondetVar_0.2 inline.GetDeviceContext.23.myNondetVar_0)) (?v_2994 (= inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.46..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2995 (= inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.22..Handle.1.137.0.GetDeviceContext)) (?v_2996 (= inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.1..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2997 (= inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.5..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2998 (= inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.19..Handle.1.137.0.GetDeviceContext)) (?v_2999 (= inline.AcquireDpcLock.6.myVar_0.4 inline.AcquireDpcLock.6.myVar_0)) (?v_3000 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3001 (= inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.4..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3002 (= inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.6..deviceContext.3.2362.20.AcquireDpcLock)) (?v_3003 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock1)) (?v_3004 (= inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.31..Handle.1.137.0.GetDeviceContext)) (?v_3351 (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2)) (?v_3006 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext)) (?v_3007 (= inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.6..Device.1.2353.14.AcquireDpcLock)) (?v_3008 (= inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp.0 inline.MarkRequestCancelableReturnLocked.1.havoc_stringTemp)) (?v_3009 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext1)) (?v_3010 (= inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.45..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3011 (= inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1..2 inline.FreeVerifyCanceledOnQueueBuffer.2..result.GetRequestContext.183.34.1.)) (?v_3012 (= inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.4..Request.1.7786.18.sdv_WdfRequestGetIoQueue1)) (?v_3013 (= inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.2..Request.1.196.20.PrepareRequestForCompletion)) (?v_3014 (= inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.25..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3357 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT)) (?v_3015 (= inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.6..result.GetDeviceContext.2362.52.1.)) (?v_3016 (= inline.ReleaseDpcLock.3.myVar_0.4 inline.ReleaseDpcLock.3.myVar_0)) (?v_3017 (= inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.4..result.userContextSwitch.8650.4.1.)) (?v_3018 (= inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.6..Handle.1.56.0.GetRequestContext)) (?v_3019 (= inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.41..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3020 (= inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.1..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_3021 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3022 (= inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.30..Handle.1.137.0.GetDeviceContext)) (?v_3023 (= inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.1..Request.1.802.18.EvtRequestChildCancel1)) (?v_3024 (= inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.41..result.userContextSwitch.6841.4.2.)) (?v_3025 (= inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.23..Handle.1.137.0.GetDeviceContext)) (?v_3026 (= inline.GetDeviceContext.30.myNondetVar_0.1 inline.GetDeviceContext.30.myNondetVar_0)) (?v_3027 (= inline.GetDeviceContext.27.myNondetVar_0.1 inline.GetDeviceContext.27.myNondetVar_0)) (?v_3028 (= inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.3..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3029 (= inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.5..result.GetChildQueueContext.62.0.1.)) (?v_3030 (= inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.8..Handle.1.56.0.GetRequestContext)) (?v_3031 (= inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.3..result.userContextSwitch.8661.4.1.)) (?v_3032 (= inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.38..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3033 (= inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.36..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3034 (= inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.28..result.GetDeviceContext.137.0.1.)) (?v_3035 (= inline.AcquireDpcLock.4.myVar_0.5 inline.AcquireDpcLock.4.myVar_0)) (?v_3374 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_3036 (= inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.4..Device.1.2353.14.AcquireDpcLock1)) (?v_3037 (= inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.1..result.WdfRequestMarkCancelableEx.632.38.7.)) (?v_3038 (= inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.49..result.userContextSwitch.6841.4.2.)) (?v_3039 (= inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.43..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3040 (= inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.21..Handle.1.137.0.GetDeviceContext1)) (?v_3042 (= inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.1..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_3043 (= inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.33..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3044 (= inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.5..Device.1.2353.14.AcquireDpcLock1)) (?v_3045 (= inline.GetChildQueueContext.5.myNondetVar_0.1 inline.GetChildQueueContext.5.myNondetVar_0)) (?v_3046 (= inline.GetDeviceContext.21.myNondetVar_0.1 inline.GetDeviceContext.21.myNondetVar_0)) (?v_3048 (= inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.4..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3385 (= lockStatus_1.41 lockStatus_1.2)) (?v_3049 (= inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.5..Device.1.2331.14.ReleaseEffectiveLock)) (?v_3050 (= inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.6..Handle.1.62.0.GetChildQueueContext)) (?v_3052 (= inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.5..Device.1.2384.14.ReleaseDpcLock)) (?v_3053 (= inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.2..result.userContextSwitch.7639.4.1.)) (?v_3054 (= inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.47..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3055 (= inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.6..Device.1.2305.14.AcquireEffectiveLock1)) (?v_3056 (= inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.45..result.userContextSwitch.6841.4.2.)) (?v_3057 (= inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.2..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_3060 (= inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.44..result.userContextSwitch.6841.4.2.)) (?v_3061 (= inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.39..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3062 (= inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.28..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_3063 (= inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.4..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_3064 (= inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.27..Handle.1.137.0.GetDeviceContext))) (let ((?v_3399 (=> ?v_3060 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3061 (=> ?v_3437 (=> ?v_3438 (=> ?v_3062 (=> ?v_3063 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3064 ?v_3442))))))))))))))) (?v_1640 (= k.45 0)) (?v_3089 (= (U_2_int (MapType0Select Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1641)) 0)) (?v_3090 (= k.45 1)) (?v_3091 (= (U_2_int (MapType0Select Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT ?v_1641)) 0)) (?v_2796 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0)) (?v_2803 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2819 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..1 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0)) (?v_2824 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2886 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.1 inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0)) (?v_2910 (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0.0)) (?v_2919 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2947 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2982 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_3005 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..3 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_3041 (= inline.MakeNewRequestCurrentRequestLocked.0..status.4.679.13.MakeNewRequestCurrentRequestLocked.0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_3047 (= inline.MakeNewRequestCurrentRequestLocked.0..result.sdv_WdfRequestUnmarkCancelable.714.47.6..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2)) (?v_3051 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.SdvMakeChoice.7719.29.2..0 call19406formal.ret.0)) (?v_3058 (= inline.GetRequestContext.1..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_3059 (= inline.sdv_WdfRequestUnmarkCancelable.0..Request.1.7716.18.sdv_WdfRequestUnmarkCancelable1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2)) (?v_2767 (not (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 ?v_392)))) (let ((?v_2150 (=> true (=> ?v_2768 (=> ?v_2769 (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2770 (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2771 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.657.62.11..0) (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_2775 (=> ?v_2776 (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.641.62.8..0) (=> (= inline.MarkRequestCancelableReturnLocked.0..queue.5.591.13.MarkRequestCancelableReturnLocked.0 hqueue) (=> ?v_2777 (=> ?v_2778 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2779 (=> (= reqCompleted_0.10 reqCompleted_0.9) (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0) (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> ?v_2780 (=> ?v_2781 (=> ?v_2782 (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0.0) (=> ?v_2786 (=> ?v_2787 (=> ?v_2788 (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> ?v_2789 (=> ?v_2790 (=> ?v_2791 (=> ?v_2792 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0) (=> ?v_2793 (=> ?v_2794 (=> ?v_2795 (=> ?v_2796 (=> ?v_2797 (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0) (=> ?v_2798 (=> ?v_2799 (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.3 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> ?v_2800 (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2801 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_2802 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2803 (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..1 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1) (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..1 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0) (=> ?v_2804 (=> ?v_2805 (=> ?v_2806 (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2807 (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetChildQueueContext.595.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireDpcLock.2..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2811 (=> ?v_2812 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2813 (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.GetRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2814 (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= alloc.17 alloc.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2815 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0) (=> ?v_2816 (=> ?v_2817 (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> (= inline.GetDeviceContext.8.myNondetVar_0.2 inline.GetDeviceContext.8.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0) (=> ?v_2818 (=> ?v_2819 (=> ?v_2820 (=> ?v_2821 (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1) (=> (= inline.GetDeviceContext.18.myNondetVar_0.1 inline.GetDeviceContext.18.myNondetVar_0.0) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2822 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0) (=> (= inline.ReleaseDpcLock.2..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1) (=> (= reqCancelSet_0.16 reqCancelSet_0.15) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.GetDeviceContext.14.myNondetVar_0.1 inline.GetDeviceContext.14.myNondetVar_0.0) (=> (= inline.AcquireDpcLock.3..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2823 (=> ?v_2824 (=> ?v_2825 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0) (=> ?v_2826 (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2827 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.12) (=> ?v_2828 (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.1 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2829 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0) (=> ?v_2830 (=> ?v_2831 (=> (= inline.AcquireDpcLock.3..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0) (=> ?v_2832 (=> (= inline.ReleaseDpcLock.0..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1) (=> ?v_2833 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_2834 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.MarkRequestCancelableReturnLocked.0.havoc_stringTemp.0 call26087formal.new.0) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1) (=> ?v_2835 (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..1 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0) (=> ?v_2836 (=> (= inline.PrepareRequestForCompletion.0..Request.1.196.20.PrepareRequestForCompletion.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2837 (=> ?v_2838 (=> ?v_2839 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.Random.607.14.6..0 call21566formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2) (=> ?v_2840 (=> (= inline.ReleaseDpcLock.2..Device.1.2384.14.ReleaseDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> (= lockStatus_0.41 lockStatus_0.40) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1) (=> ?v_2841 (=> ?v_2842 (=> ?v_2843 (=> ?v_2844 (=> (= inline.AcquireDpcLock.1.myVar_0.5 inline.AcquireDpcLock.1.myVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2845 (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0) (=> ?v_2846 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_2847 (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2848 (=> ?v_2849 (=> (= inline.GetDeviceContext.14..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2850 (=> ?v_2851 (=> ?v_2852 (=> ?v_2853 (=> (= inline.GetDeviceContext.6..Handle.1.137.0.GetDeviceContext.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2854 (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.1 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0) (=> (= inline.GetRequestContext.2..result.GetRequestContext.56.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0) (=> ?v_2855 (=> ?v_2856 (=> (= inline.GetDeviceContext.5..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..result.GetRequestContext.183.34.1..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.6.myNondetVar_0.1 inline.GetDeviceContext.6.myNondetVar_0.0) (=> ?v_2857 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.GetDeviceContext.596.36.4..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1) (=> (= inline.ReleaseDpcLock.0..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.1 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1) (=> ?v_2858 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_2859 (=> ?v_2860 (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_2861 (=> ?v_2862 (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..2 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2863 (=> ?v_2864 (=> (= inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..2 inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1) (=> ?v_2865 (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_2866 (=> ?v_2867 (=> (= inline.AcquireDpcLock.2.myVar_0.4 inline.AcquireDpcLock.2.myVar_0.3) (=> ?v_2868 (=> ?v_2869 (=> (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..1 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0) (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> ?v_2870 (=> ?v_2871 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.16..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2872 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.13 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.12) (=> ?v_2873 (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> ?v_2874 (=> ?v_2875 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1) (=> ?v_2876 (=> ?v_2877 (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked1.0 hrequest) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0) (=> ?v_2878 (=> ?v_2879 (=> ?v_2880 (=> ?v_2881 (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0) (=> ?v_2882 (=> ?v_2883 (=> ?v_2884 (=> (= inline.GetChildQueueContext.3..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2885 (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2886 (=> ?v_2887 (=> ?v_2888 (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2889 (=> ?v_2890 (=> ?v_2891 (=> ?v_2892 (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2) (=> ?v_2893 (=> ?v_2894 (=> ?v_2895 (=> ?v_2896 (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..2 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..1 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1) (=> ?v_2897 (=> ?v_2898 (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> ?v_2899 (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.658.56.12..0) (=> ?v_2900 (=> (= inline.GetChildQueueContext.3.myNondetVar_0.1 inline.GetChildQueueContext.3.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.ReleaseEffectiveLock.2..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> (= inline.GetDeviceContext.7.myNondetVar_0.1 inline.GetDeviceContext.7.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetDeviceContext.5..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.2 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> ?v_2906 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..1 inline.MarkRequestCancelableReturnLocked.0..result._ReturnAddress.642.56.9..0) (=> ?v_2907 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1) (=> ?v_2908 (=> ?v_2909 (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2913 (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1) (=> ?v_2914 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> ?v_2915 (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..1 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0) (=> ?v_2919 (=> ?v_2920 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> (= errorReached.133 errorReached.132) (=> ?v_2926 (=> (= inline.GetDeviceContext.12.myNondetVar_0.2 inline.GetDeviceContext.12.myNondetVar_0.1) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.1 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0) (=> ?v_2927 (=> ?v_2928 (=> (= inline.GetChildQueueContext.3..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0) (=> ?v_2929 (=> (= inline.GetDeviceContext.5.myNondetVar_0.1 inline.GetDeviceContext.5.myNondetVar_0.0) (=> ?v_2930 (=> ?v_2931 (=> ?v_2932 (=> (= inline.GetDeviceContext.18..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2933 (=> ?v_2934 (=> (= inline.GetDeviceContext.18..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> (= inline.GetDeviceContext.9.myNondetVar_0.2 inline.GetDeviceContext.9.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2) (=> ?v_2938 (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetDeviceContext.5..Handle.1.137.0.GetDeviceContext1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> ?v_2939 (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0) (=> ?v_2940 (=> (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0.1) (=> (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2941 (=> ?v_2942 (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.1 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2943 (=> (= inline.GetDeviceContext.7..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0) (=> ?v_2944 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> ?v_3424 (=> ?v_2945 (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0) (=> ?v_2946 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.15 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0) (=> ?v_2947 (=> ?v_2948 (=> ?v_2949 (=> (= inline.ReleaseDpcLock.0..Device.1.2384.14.ReleaseDpcLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.0..Request.1.575.15.MarkRequestCancelableReturnLocked.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.2 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.2 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1) (=> ?v_2950 (=> ?v_2951 (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..2 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.EvtRequestChildCancel.0.myVar_0.16 inline.EvtRequestChildCancel.0.myVar_0.15) (=> ?v_2952 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2953 (=> ?v_2954 (=> ?v_2955 (=> (= inline.GetDeviceContext.13.myNondetVar_0.1 inline.GetDeviceContext.13.myNondetVar_0.0) (=> ?v_2956 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.sdv_WdfRequestGetIoQueue.593.32.1..0 hqueue) (=> ?v_2957 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.6 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.5) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> ?v_2958 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2959 (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.3 inline.EvtRequestChildCancel.0.myNondetVar_0.2) (=> (= inline.GetDeviceContext.14..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2960 (=> ?v_2961 (=> (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..1 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.1 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2962 (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..2 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1) (=> ?v_2963 (=> (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..1 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.GetDeviceContext.16.myNondetVar_0.1 inline.GetDeviceContext.16.myNondetVar_0.0) (=> ?v_2964 (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.1 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0) (=> (= k.251 k.250) (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.1 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0) (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_2968 (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_2969 (=> (= inline.MyWdfRequestComplete.0..Request.1.212.15.MyWdfRequestComplete.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.GetDeviceContext.17.myNondetVar_0.1 inline.GetDeviceContext.17.myNondetVar_0.0) (=> (= inline.GetRequestContext.5.myNondetVar_0.3 inline.GetRequestContext.5.myNondetVar_0.2) (=> ?v_2970 (=> ?v_2971 (=> (= inline.GetRequestContext.5..result.GetRequestContext.56.0.1..2 inline.GetRequestContext.5..result.GetRequestContext.56.0.1..1) (=> ?v_2972 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0.0) (=> (= inline.GetDeviceContext.10.myNondetVar_0.2 inline.GetDeviceContext.10.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> ?v_2977 (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> ?v_2978 (=> ?v_2979 (=> (= reqCompleted_1.10 reqCompleted_1.9) (=> (= inline.AcquireDpcLock.3..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2980 (=> ?v_2981 (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> ?v_2982 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.GetDeviceContext.15..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2983 (=> ?v_2984 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) (=> (= inline.ReleaseDpcLock.0.myVar_0.4 inline.ReleaseDpcLock.0.myVar_0.3) (=> ?v_2985 (=> ?v_2986 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.21 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.ReleaseDpcLock.2..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2987 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) (=> ?v_2988 (=> ?v_2989 (=> (= inline.GetDeviceContext.11.myNondetVar_0.2 inline.GetDeviceContext.11.myNondetVar_0.1) (=> (= inline.GetDeviceContext.17..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.GetDeviceContext.15.myNondetVar_0.1 inline.GetDeviceContext.15.myNondetVar_0.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..1 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_2990 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> (= inline.MarkRequestCancelableReturnLocked.0..deviceContext.3.589.20.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2994 (=> (= inline.ReleaseDpcLock.2.myVar_0.4 inline.ReleaseDpcLock.2.myVar_0.3) (=> (= inline.AcquireDpcLock.3.myVar_0.4 inline.AcquireDpcLock.3.myVar_0.3) (=> (= inline.ReleaseDpcLock.1.myVar_0.5 inline.ReleaseDpcLock.1.myVar_0.4) (=> ?v_2995 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> ?v_2996 (=> ?v_2997 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2998 (=> ?v_2999 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> ?v_3005 (=> (= inline.AcquireEffectiveLock.3..Device.1.2305.14.AcquireEffectiveLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.4 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.3) (=> ?v_3006 (=> ?v_3007 (=> ?v_3008 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3009 (=> ?v_3010 (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> ?v_3011 (=> ?v_3012 (=> ?v_3013 (=> ?v_3014 (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.MarkRequestCancelableReturnLocked.0..childQueueContext.2.588.25.MarkRequestCancelableReturnLocked.0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.10 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9) (=> (= inline.GetDeviceContext.13..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_3015 (=> (= inline.GetDeviceContext.14..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3016 (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.2 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1) (=> ?v_3017 (=> ?v_3018 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.1 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0) (=> ?v_3019 (=> ?v_3020 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3021 (=> (= inline.GetChildQueueContext.3..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1) (=> (= inline.sdv_WdfRequestGetIoQueue.2..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1) (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..1 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3026 (=> ?v_3027 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.2 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1) (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0) (=> ?v_3031 (=> (= inline.GetDeviceContext.15..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3032 (=> ?v_3033 (=> ?v_3034 (=> ?v_3035 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.16 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15) (=> ?v_3036 (=> (= inline.GetRequestContext.3..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetDeviceContext.18..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.20) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..2 inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..1) (=> ?v_3037 (=> ?v_3038 (=> (= inline.GetDeviceContext.7..Handle.1.137.0.GetDeviceContext.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) (=> ?v_3039 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_3040 (=> ?v_3041 (=> ?v_3042 (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2) (=> ?v_3043 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3047 (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0) (=> ?v_3048 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= lockStatus_1.41 lockStatus_1.40) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1) (=> (= inline.AcquireDpcLock.2..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.GetDeviceContext.7..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.2 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1) (=> ?v_3053 (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0) (=> ?v_3054 (=> ?v_3055 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.2 inline.GetChildQueueContext.4.myNondetVar_0.1) (=> ?v_3056 (=> ?v_3057 (=> (= inline.GetDeviceContext.15..Handle.1.137.0.GetDeviceContext1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) (=> (= reqCancelSet_1.16 reqCancelSet_1.15) (=> ?v_3058 (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.1 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0) (=> (= inline.ReleaseEffectiveLock.0..Device.1.2331.14.ReleaseEffectiveLock.0 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14) (=> (= inline.AcquireDpcLock.2..Device.1.2353.14.AcquireDpcLock1.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) (=> ?v_3059 (=> ?v_3060 (=> (= inline.GetRequestContext.2..Handle.1.56.0.GetRequestContext1.0 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.1 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..1 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..2 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1) (=> ?v_3061 (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.AcquireEffectiveLock.2..Device.1.2305.14.AcquireEffectiveLock.0 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) (=> ?v_3062 (=> ?v_3063 (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.1 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0) (=> ?v_3064 ?v_3065)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2147 (= k.246 0)) (?v_2148 (= k.246 1))) (let ((?v_2141 (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.3.myVar_0.2) (=> (= lockStatus_0.40 lockStatus_0.39) (=> (= lockStatus_1.40 lockStatus_1.39) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 call26851formal.ret.0) (=> (= inline.AcquireDpcLock.3.myVar_0.3 inline.AcquireDpcLock.3.myVar_0.2) (=> (= k.250 k.249) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.3.myVar_0.2) ?v_2150)))))))))) (?v_2140 (= inline.AcquireDpcLock.3.myVar_0.2 hlock))) (let ((?v_2136 (=> true (=> (= k.249 k.248) (=> (= lockStatus_0.39 lockStatus_0.38) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 call26799formal.ret.0) (=> (= lockStatus_1.39 lockStatus_1.38) ?v_2141))))))) (let ((?v_2139 (=> true ?v_2136)) (?v_2137 (= lockStatus_0.38 lockStatus_0.37)) (?v_2138 (= lockStatus_1.38 lockStatus_1.37)) (?v_2135 (= k.248 1)) (?v_1668 (= k.248 0))) (let ((?v_2144 (and (=> true (=> ?v_2140 (=> true (=> (<= k.247 k.248) (=> (< k.248 2) (=> true (=> (=> ?v_1668 (= lockStatus_0.37 0)) (=> (=> ?v_2135 (= lockStatus_1.37 0)) (and (=> true (=> ?v_1668 (=> true (=> (= lockStatus_0.38 1) (=> ?v_2138 ?v_2136))))) (=> true (=> (not ?v_1668) (and (=> true (=> ?v_2135 (=> true (=> ?v_2137 (=> (= lockStatus_1.38 1) ?v_2139))))) (=> true (=> (not ?v_2135) (=> true (=> ?v_2137 (=> ?v_2138 ?v_2139))))))))))))))))) (=> true (=> (not ?v_2140) (=> true (=> (= k.249 k.247) (=> (= lockStatus_0.39 lockStatus_0.37) (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.39 lockStatus_1.37) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2141)))))))))))))))) (let ((?v_2146 (=> true (=> true (=> true (=> true ?v_2144))))) (?v_2145 (= k.247 1)) (?v_2143 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2142 (= k.247 0))) (let ((?v_2149 (=> true (=> (<= k.246 k.247) (=> (< k.247 2) (and (=> true (=> ?v_2142 (=> (= inline.AcquireDpcLock.3.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2143))) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0.0) ?v_2144))))) (=> true (=> (not ?v_2142) (and (=> true (=> ?v_2145 (=> (= inline.AcquireDpcLock.3.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2143))) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0.1) ?v_2146))))) (=> true (=> (not ?v_2145) (=> true (=> (= inline.AcquireDpcLock.3.myVar_0.2 inline.AcquireDpcLock.3.myVar_0) ?v_2146))))))))))))) (let ((?v_2157 (and (=> true (=> (=> ?v_2147 ?v_36) (=> (=> ?v_2148 ?v_37) ?v_2149))) (=> true (=> (=> ?v_2147 ?v_442) (=> (=> ?v_2148 ?v_444) (and (=> true (=> (=> ?v_2147 ?v_344) (=> (=> ?v_2148 ?v_345) ?v_2149))) (=> true (=> (=> ?v_2147 ?v_446) (=> (=> ?v_2148 ?v_447) (=> true (=> (= inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.3..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_0.40 lockStatus_0.37) (=> (= lockStatus_1.40 lockStatus_1.37) (=> (= inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.3..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.AcquireDpcLock.3.myVar_0.3 inline.AcquireDpcLock.3.myVar_0) (=> (= k.250 k.246) (=> (= inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.3..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2150)))))))))))))))))))))))))) (let ((?v_2162 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2157)))))))))) (?v_2159 (= k.246 k.244)) (?v_2160 (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2.)) (?v_2161 (= errorReached.132 errorReached.130)) (?v_2164 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hdevice)) (?v_2163 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hqueue)) (?v_2158 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 htimer)) (?v_2156 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 hrequest)) (?v_2155 (=> true (=> (= k.246 k.245) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.userContextSwitch.6841.4.2..0 call26530formal.ret.0) (=> (= errorReached.132 errorReached.131) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2157)))))) (?v_2151 (= k.245 0)) (?v_2152 (= reqCompleted_0.9 0)) (?v_2153 (= k.245 1)) (?v_2154 (= reqCompleted_1.9 0))) (let ((?v_1663 (not ?v_2152)) (?v_1664 (not ?v_2154))) (let ((?v_2167 (and (=> true (=> ?v_2156 (=> true (=> (<= k.244 k.245) (=> (< k.245 2) (and (=> true (=> (=> ?v_2151 ?v_1663) (=> (=> ?v_2153 ?v_1664) (=> true (=> (= errorReached.131 1) ?v_2155))))) (=> true (=> (=> ?v_2151 ?v_2152) (=> (=> ?v_2153 ?v_2154) (=> true (=> (= errorReached.131 errorReached.130) (=> true ?v_2155)))))))))))) (=> true (=> (not ?v_2156) (and (=> true (=> ?v_2158 (=> true (=> ?v_2159 (=> ?v_2160 (=> ?v_2161 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2162))))))) (=> true (=> (not ?v_2158) (and (=> true (=> ?v_2163 (=> true (=> ?v_2159 (=> ?v_2160 (=> ?v_2161 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2162))))))) (=> true (=> (not ?v_2163) (and (=> true (=> ?v_2164 (=> true (=> ?v_2159 (=> ?v_2160 (=> ?v_2161 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2162))))))) (=> true (=> (not ?v_2164) (=> true (=> ?v_2159 (=> ?v_2160 (=> ?v_2161 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.31..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2162))))))))))))))))))) (let ((?v_2169 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2167)))))))))))) (?v_2168 (= k.244 1)) (?v_2166 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2187 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2166))) (?v_2165 (= k.244 0)) (?v_1662 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2166)))) (let ((?v_2173 (=> true (=> (<= k.243 k.244) (=> (< k.244 2) (and (=> true (=> ?v_2165 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.18 ?v_1662) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.18) ?v_2167))))) (=> true (=> (not ?v_2165) (and (=> true (=> ?v_2168 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.19 ?v_2187) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.19) ?v_2169))))) (=> true (=> (not ?v_2168) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.20 inline.MarkRequestCancelableReturnLocked.0.myVar_0.17) ?v_2169)))))))))))) (?v_2170 (= k.243 0)) (?v_2171 (= k.243 1))) (let ((?v_2172 (=> true (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 call26410formal.ret.0) ?v_2173)))) (let ((?v_2178 (and (=> true (=> (=> ?v_2170 ?v_40) (=> (=> ?v_2171 ?v_41) ?v_2172))) (=> true (=> (=> ?v_2170 ?v_726) (=> (=> ?v_2171 ?v_728) (and (=> true (=> (=> ?v_2170 ?v_631) (=> (=> ?v_2171 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2172)))))))))))) (=> true (=> (=> ?v_2170 ?v_730) (=> (=> ?v_2171 ?v_731) (=> true (=> (= inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.3..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_2173)))))))))))))))) (let ((?v_2183 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2178)))))))))) (?v_2180 (= k.243 k.241)) (?v_2181 (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2.)) (?v_2182 (= errorReached.130 errorReached.128)) (?v_2185 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hdevice)) (?v_2184 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hqueue)) (?v_2179 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 htimer)) (?v_2177 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 hrequest)) (?v_2176 (=> true (=> (= k.243 k.242) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.userContextSwitch.6841.4.2..0 call26213formal.ret.0) (=> (= errorReached.130 errorReached.129) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2178)))))) (?v_2174 (= k.242 0)) (?v_2175 (= k.242 1))) (let ((?v_2188 (and (=> true (=> ?v_2177 (=> true (=> (<= k.241 k.242) (=> (< k.242 2) (and (=> true (=> (=> ?v_2174 ?v_1663) (=> (=> ?v_2175 ?v_1664) (=> true (=> (= errorReached.129 1) ?v_2176))))) (=> true (=> (=> ?v_2174 ?v_2152) (=> (=> ?v_2175 ?v_2154) (=> true (=> (= errorReached.129 errorReached.128) (=> true ?v_2176)))))))))))) (=> true (=> (not ?v_2177) (and (=> true (=> ?v_2179 (=> true (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2183))))))) (=> true (=> (not ?v_2179) (and (=> true (=> ?v_2184 (=> true (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2183))))))) (=> true (=> (not ?v_2184) (and (=> true (=> ?v_2185 (=> true (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2183))))))) (=> true (=> (not ?v_2185) (=> true (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.30..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2183))))))))))))))))))) (let ((?v_2190 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2188)))))))))))) (?v_2189 (= k.241 1)) (?v_2186 (= k.241 0)) (?v_1667 (int_2_U call26087formal.new.0))) (let ((?v_2193 (=> true (and ?v_1655 (=> ?v_1655 (=> (> call26087formal.new.0 0) (=> (forall ((?x361 Int)) (! (=> (and (<= call26087formal.new.0 ?x361) (< ?x361 (+ call26087formal.new.0 1))) (= (Base ?x361) call26087formal.new.0)) :pattern ((Base ?x361)) )) (=> (forall ((?x362 boogieU)) (! (=> (= (type ?x362) intType) (or (= (U_2_int ?x362) call26087formal.new.0) (= (MapType0Select alloc.15 ?x362) (MapType0Select alloc.16 ?x362)))) :pattern ((MapType0Select alloc.16 ?x362)) )) (=> (and (= (MapType0Select alloc.15 ?v_1667) UNALLOCATED) (= (MapType0Select alloc.16 ?v_1667) ALLOCATED)) (=> true (=> (<= k.240 k.241) (=> (< k.241 2) (and (=> true (=> ?v_2186 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.15 ?v_1662) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.15) ?v_2188))))) (=> true (=> (not ?v_2186) (and (=> true (=> ?v_2189 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.16 ?v_2187) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.16) ?v_2190))))) (=> true (=> (not ?v_2189) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.17 inline.MarkRequestCancelableReturnLocked.0.myVar_0.14) ?v_2190)))))))))))))))))))) (let ((?v_2194 (=> true (=> true (=> true ?v_2193)))) (?v_2191 (= k.240 0)) (?v_2192 (= k.240 1))) (let ((?v_2199 (and (=> true (=> (=> ?v_2191 ?v_40) (=> (=> ?v_2192 ?v_41) ?v_2193))) (=> true (=> (=> ?v_2191 ?v_726) (=> (=> ?v_2192 ?v_728) (and (=> true (=> (=> ?v_2191 ?v_631) (=> (=> ?v_2192 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2194)))))))))))) (=> true (=> (=> ?v_2191 ?v_730) (=> (=> ?v_2192 ?v_731) ?v_2194))))))))) (?v_2201 (= k.240 k.238))) (let ((?v_2202 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2.) (=> (= errorReached.128 errorReached.126) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2199)))))))))))) (?v_2204 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hdevice)) (?v_2203 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hqueue)) (?v_2200 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 htimer)) (?v_2198 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 hrequest)) (?v_2197 (=> true (=> (= k.240 k.239) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.userContextSwitch.6841.4.2..0 call25885formal.ret.0) (=> (= errorReached.128 errorReached.127) ?v_2199)))))) (?v_2195 (= k.239 0)) (?v_2196 (= k.239 1))) (let ((?v_2206 (and (=> true (=> ?v_2198 (=> true (=> (<= k.238 k.239) (=> (< k.239 2) (and (=> true (=> (=> ?v_2195 ?v_1663) (=> (=> ?v_2196 ?v_1664) (=> true (=> (= errorReached.127 1) ?v_2197))))) (=> true (=> (=> ?v_2195 ?v_2152) (=> (=> ?v_2196 ?v_2154) (=> true (=> (= errorReached.127 errorReached.126) (=> true ?v_2197)))))))))))) (=> true (=> (not ?v_2198) (and (=> true (=> ?v_2200 (=> true (=> ?v_2201 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2202))))) (=> true (=> (not ?v_2200) (and (=> true (=> ?v_2203 (=> true (=> ?v_2201 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2202))))) (=> true (=> (not ?v_2203) (and (=> true (=> ?v_2204 (=> true (=> ?v_2201 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2202))))) (=> true (=> (not ?v_2204) (=> true (=> ?v_2201 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.29..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2202))))))))))))))))) (let ((?v_2208 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2206)))))))))))) (?v_2207 (= k.238 1)) (?v_2205 (= k.238 0))) (let ((?v_2225 (=> true (=> (<= k.237 k.238) (=> (< k.238 2) (and (=> true (=> ?v_2205 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.12 ?v_1662) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.12) ?v_2206))))) (=> true (=> (not ?v_2205) (and (=> true (=> ?v_2207 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.13 ?v_2187) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.13) ?v_2208))))) (=> true (=> (not ?v_2207) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.14 inline.MarkRequestCancelableReturnLocked.0.myVar_0.11) ?v_2208)))))))))))) (?v_2222 (= k.233 0)) (?v_2223 (= k.233 1))) (let ((?v_2216 (=> true (=> (= k.237 k.236) (=> (= lockStatus_0.37 lockStatus_0.36) (=> (= inline.ReleaseDpcLock.2.myVar_0.3 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0) (=> (= lockStatus_1.37 lockStatus_1.36) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.2.myVar_0.2) ?v_2225))))))))) (?v_2215 (= inline.ReleaseDpcLock.2.myVar_0.2 hlock))) (let ((?v_2210 (=> true (=> (= k.236 k.235) (=> (= lockStatus_0.36 lockStatus_0.35) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 call25697formal.ret.0) (=> (= lockStatus_1.36 lockStatus_1.35) ?v_2216))))))) (let ((?v_2214 (=> true ?v_2210)) (?v_2212 (= lockStatus_0.35 lockStatus_0.34)) (?v_2213 (= lockStatus_1.35 lockStatus_1.34)) (?v_2211 (= k.235 1)) (?v_2209 (= k.235 0))) (let ((?v_2219 (and (=> true (=> ?v_2215 (=> true (=> (<= k.234 k.235) (=> (< k.235 2) (and (=> true (=> ?v_2209 (=> true (=> (= lockStatus_0.35 0) (=> ?v_2213 ?v_2210))))) (=> true (=> (not ?v_2209) (and (=> true (=> ?v_2211 (=> true (=> ?v_2212 (=> (= lockStatus_1.35 0) ?v_2214))))) (=> true (=> (not ?v_2211) (=> true (=> ?v_2212 (=> ?v_2213 ?v_2214)))))))))))))) (=> true (=> (not ?v_2215) (=> true (=> (= k.236 k.234) (=> (= lockStatus_0.36 lockStatus_0.34) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.36 lockStatus_1.34) (=> true (=> true (=> true ?v_2216))))))))))))) (let ((?v_2221 (=> true (=> true (=> true (=> true ?v_2219))))) (?v_2220 (= k.234 1)) (?v_2218 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2217 (= k.234 0))) (let ((?v_2224 (=> true (=> (<= k.233 k.234) (=> (< k.234 2) (and (=> true (=> ?v_2217 (=> (= inline.ReleaseDpcLock.2.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2218))) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0.1) ?v_2219))))) (=> true (=> (not ?v_2217) (and (=> true (=> ?v_2220 (=> (= inline.ReleaseDpcLock.2.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2218))) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0.0) ?v_2221))))) (=> true (=> (not ?v_2220) (=> true (=> (= inline.ReleaseDpcLock.2.myVar_0.2 inline.ReleaseDpcLock.2.myVar_0) ?v_2221))))))))))))) (let ((?v_2230 (and (=> true (=> (=> ?v_2222 ?v_36) (=> (=> ?v_2223 ?v_37) ?v_2224))) (=> true (=> (=> ?v_2222 ?v_442) (=> (=> ?v_2223 ?v_444) (and (=> true (=> (=> ?v_2222 ?v_344) (=> (=> ?v_2223 ?v_345) (=> true (=> true ?v_2224))))) (=> true (=> (=> ?v_2222 ?v_446) (=> (=> ?v_2223 ?v_447) (=> true (=> (= k.237 k.233) (=> (= lockStatus_0.37 lockStatus_0.34) (=> (= inline.ReleaseDpcLock.2.myVar_0.3 inline.ReleaseDpcLock.2.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.37 lockStatus_1.34) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> true (=> true (=> true ?v_2225)))))))))))))))))))) (?v_2232 (= k.233 k.231))) (let ((?v_2233 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2.) (=> (= errorReached.126 errorReached.124) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2230)))))))))))) (?v_2235 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hdevice)) (?v_2234 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hqueue)) (?v_2231 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 htimer)) (?v_2229 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 hrequest)) (?v_2228 (=> true (=> (= k.233 k.232) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.userContextSwitch.6841.4.2..0 call25426formal.ret.0) (=> (= errorReached.126 errorReached.125) ?v_2230)))))) (?v_2226 (= k.232 0)) (?v_2227 (= k.232 1))) (let ((?v_2237 (and (=> true (=> ?v_2229 (=> true (=> (<= k.231 k.232) (=> (< k.232 2) (and (=> true (=> (=> ?v_2226 ?v_1663) (=> (=> ?v_2227 ?v_1664) (=> true (=> (= errorReached.125 1) ?v_2228))))) (=> true (=> (=> ?v_2226 ?v_2152) (=> (=> ?v_2227 ?v_2154) (=> true (=> (= errorReached.125 errorReached.124) (=> true ?v_2228)))))))))))) (=> true (=> (not ?v_2229) (and (=> true (=> ?v_2231 (=> true (=> ?v_2232 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2233))))) (=> true (=> (not ?v_2231) (and (=> true (=> ?v_2234 (=> true (=> ?v_2232 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2233))))) (=> true (=> (not ?v_2234) (and (=> true (=> ?v_2235 (=> true (=> ?v_2232 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2233))))) (=> true (=> (not ?v_2235) (=> true (=> ?v_2232 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.28..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2233))))))))))))))))) (let ((?v_2239 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2237)))))))))))) (?v_2238 (= k.231 1)) (?v_2236 (= k.231 0))) (let ((?v_2252 (=> true (=> (<= k.230 k.231) (=> (< k.231 2) (and (=> true (=> ?v_2236 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.9 ?v_1662) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.9) ?v_2237))))) (=> true (=> (not ?v_2236) (and (=> true (=> ?v_2238 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.10 ?v_2187) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.10) ?v_2239))))) (=> true (=> (not ?v_2238) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.11 inline.MarkRequestCancelableReturnLocked.0.myVar_0.8) ?v_2239)))))))))))) (?v_2248 (= k.228 0)) (?v_1666 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2249 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 ?v_1666)) hrequest)) (?v_2250 (= k.228 1)) (?v_2251 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 ?v_1666)) hrequest)) (?v_2243 (=> true (=> (= k.230 k.229) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14) ?v_2252)))))) (let ((?v_2247 (=> true ?v_2243)) (?v_2245 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12)) (?v_2246 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12)) (?v_2244 (= k.229 1)) (?v_2241 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2240 (= k.229 0))) (let ((?v_2268 (and (=> true (=> (=> ?v_2248 ?v_2249) (=> (=> ?v_2250 ?v_2251) (=> true (=> (<= k.228 k.229) (=> (< k.229 2) (and (=> true (=> ?v_2240 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 ?v_2241 ?v_2242)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) (=> ?v_2246 ?v_2243)))))) (=> true (=> (not ?v_2240) (and (=> true (=> ?v_2244 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 ?v_2241 ?v_2242)) (=> true (=> ?v_2245 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.14 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.13) ?v_2247)))))) (=> true (=> (not ?v_2244) (=> true (=> ?v_2245 (=> ?v_2246 ?v_2247))))))))))))))) (=> true (=> (=> ?v_2248 (not ?v_2249)) (=> (=> ?v_2250 (not ?v_2251)) (=> true (=> (= k.230 k.228) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.15 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12) ?v_2252))))))))) (?v_2265 (= k.224 0)) (?v_2266 (= k.224 1))) (let ((?v_2259 (=> true (=> (= k.228 k.227) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.2.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0) (=> (= lockStatus_1.34 lockStatus_1.33) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 call25256formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.2.myVar_0.2) (=> (= lockStatus_0.34 lockStatus_0.33) (=> (= inline.AcquireDpcLock.2.myVar_0.3 inline.AcquireDpcLock.2.myVar_0.2) ?v_2268)))))))))) (?v_2258 (= inline.AcquireDpcLock.2.myVar_0.2 hlock))) (let ((?v_2254 (=> true (=> (= k.227 k.226) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 call25204formal.ret.0) (=> (= lockStatus_0.33 lockStatus_0.32) (=> (= lockStatus_1.33 lockStatus_1.32) ?v_2259))))))) (let ((?v_2257 (=> true ?v_2254)) (?v_2255 (= lockStatus_0.32 lockStatus_0.31)) (?v_2256 (= lockStatus_1.32 lockStatus_1.31)) (?v_2253 (= k.226 1)) (?v_1665 (= k.226 0))) (let ((?v_2262 (and (=> true (=> ?v_2258 (=> true (=> (<= k.225 k.226) (=> (< k.226 2) (=> true (=> (=> ?v_1665 (= lockStatus_0.31 0)) (=> (=> ?v_2253 (= lockStatus_1.31 0)) (and (=> true (=> ?v_1665 (=> true (=> (= lockStatus_0.32 1) (=> ?v_2256 ?v_2254))))) (=> true (=> (not ?v_1665) (and (=> true (=> ?v_2253 (=> true (=> ?v_2255 (=> (= lockStatus_1.32 1) ?v_2257))))) (=> true (=> (not ?v_2253) (=> true (=> ?v_2255 (=> ?v_2256 ?v_2257))))))))))))))))) (=> true (=> (not ?v_2258) (=> true (=> (= k.227 k.225) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_0.33 lockStatus_0.31) (=> (= lockStatus_1.33 lockStatus_1.31) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2259)))))))))))))))) (let ((?v_2264 (=> true (=> true (=> true (=> true ?v_2262))))) (?v_2263 (= k.225 1)) (?v_2261 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2260 (= k.225 0))) (let ((?v_2267 (=> true (=> (<= k.224 k.225) (=> (< k.225 2) (and (=> true (=> ?v_2260 (=> (= inline.AcquireDpcLock.2.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2261))) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0.1) ?v_2262))))) (=> true (=> (not ?v_2260) (and (=> true (=> ?v_2263 (=> (= inline.AcquireDpcLock.2.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2261))) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0.0) ?v_2264))))) (=> true (=> (not ?v_2263) (=> true (=> (= inline.AcquireDpcLock.2.myVar_0.2 inline.AcquireDpcLock.2.myVar_0) ?v_2264))))))))))))) (let ((?v_2273 (and (=> true (=> (=> ?v_2265 ?v_36) (=> (=> ?v_2266 ?v_37) ?v_2267))) (=> true (=> (=> ?v_2265 ?v_442) (=> (=> ?v_2266 ?v_444) (and (=> true (=> (=> ?v_2265 ?v_344) (=> (=> ?v_2266 ?v_345) ?v_2267))) (=> true (=> (=> ?v_2265 ?v_446) (=> (=> ?v_2266 ?v_447) (=> true (=> (= k.228 k.224) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.34 lockStatus_1.31) (=> (= inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.2..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_0.34 lockStatus_0.31) (=> (= inline.AcquireDpcLock.2.myVar_0.3 inline.AcquireDpcLock.2.myVar_0) (=> true (=> true (=> true (=> true ?v_2268)))))))))))))))))))))) (?v_2275 (= k.224 k.222))) (let ((?v_2276 (=> (= errorReached.124 errorReached.122) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2273)))))))))))) (?v_2278 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hdevice)) (?v_2277 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hqueue)) (?v_2274 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 htimer)) (?v_2272 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 hrequest)) (?v_2271 (=> true (=> (= k.224 k.223) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.124 errorReached.123) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.userContextSwitch.6841.4.2..0 call24935formal.ret.0) ?v_2273)))))) (?v_2269 (= k.223 0)) (?v_2270 (= k.223 1))) (let ((?v_2280 (and (=> true (=> ?v_2272 (=> true (=> (<= k.222 k.223) (=> (< k.223 2) (and (=> true (=> (=> ?v_2269 ?v_1663) (=> (=> ?v_2270 ?v_1664) (=> true (=> (= errorReached.123 1) ?v_2271))))) (=> true (=> (=> ?v_2269 ?v_2152) (=> (=> ?v_2270 ?v_2154) (=> true (=> (= errorReached.123 errorReached.122) (=> true ?v_2271)))))))))))) (=> true (=> (not ?v_2272) (and (=> true (=> ?v_2274 (=> true (=> ?v_2275 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2276))))) (=> true (=> (not ?v_2274) (and (=> true (=> ?v_2277 (=> true (=> ?v_2275 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2276))))) (=> true (=> (not ?v_2277) (and (=> true (=> ?v_2278 (=> true (=> ?v_2275 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2276))))) (=> true (=> (not ?v_2278) (=> true (=> ?v_2275 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.27..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2276))))))))))))))))) (let ((?v_2282 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2280)))))))))))) (?v_2281 (= k.222 1)) (?v_2279 (= k.222 0))) (let ((?v_2286 (=> true (=> (<= k.221 k.222) (=> (< k.222 2) (and (=> true (=> ?v_2279 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.6 ?v_1662) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.6) ?v_2280))))) (=> true (=> (not ?v_2279) (and (=> true (=> ?v_2281 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.7 ?v_2187) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.7) ?v_2282))))) (=> true (=> (not ?v_2281) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.8 inline.MarkRequestCancelableReturnLocked.0.myVar_0.5) ?v_2282)))))))))))) (?v_2283 (= k.221 0)) (?v_2284 (= k.221 1))) (let ((?v_2285 (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 call24815formal.ret.0) ?v_2286)))) (let ((?v_2291 (and (=> true (=> (=> ?v_2283 ?v_40) (=> (=> ?v_2284 ?v_41) ?v_2285))) (=> true (=> (=> ?v_2283 ?v_726) (=> (=> ?v_2284 ?v_728) (and (=> true (=> (=> ?v_2283 ?v_631) (=> (=> ?v_2284 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2285)))))))))))) (=> true (=> (=> ?v_2283 ?v_730) (=> (=> ?v_2284 ?v_731) (=> true (=> (= inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.2..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_2286)))))))))))))))) (let ((?v_2296 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2291)))))))))) (?v_2293 (= k.221 k.219)) (?v_2294 (= errorReached.122 errorReached.120)) (?v_2295 (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2.)) (?v_2298 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hdevice)) (?v_2297 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hqueue)) (?v_2292 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 htimer)) (?v_2290 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 hrequest)) (?v_2289 (=> true (=> (= k.221 k.220) (=> (= errorReached.122 errorReached.121) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.userContextSwitch.6841.4.2..0 call24618formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2291)))))) (?v_2287 (= k.220 0)) (?v_2288 (= k.220 1))) (let ((?v_2300 (and (=> true (=> ?v_2290 (=> true (=> (<= k.219 k.220) (=> (< k.220 2) (and (=> true (=> (=> ?v_2287 ?v_1663) (=> (=> ?v_2288 ?v_1664) (=> true (=> (= errorReached.121 1) ?v_2289))))) (=> true (=> (=> ?v_2287 ?v_2152) (=> (=> ?v_2288 ?v_2154) (=> true (=> (= errorReached.121 errorReached.120) (=> true ?v_2289)))))))))))) (=> true (=> (not ?v_2290) (and (=> true (=> ?v_2292 (=> true (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2296))))))) (=> true (=> (not ?v_2292) (and (=> true (=> ?v_2297 (=> true (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2296))))))) (=> true (=> (not ?v_2297) (and (=> true (=> ?v_2298 (=> true (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2296))))))) (=> true (=> (not ?v_2298) (=> true (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.26..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2296))))))))))))))))))) (let ((?v_2302 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2300)))))))))))) (?v_2301 (= k.219 1)) (?v_2299 (= k.219 0))) (let ((?v_2507 (=> true (=> (<= k.218 k.219) (=> (< k.219 2) (and (=> true (=> ?v_2299 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.3 ?v_1662) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.3) ?v_2300))))) (=> true (=> (not ?v_2299) (and (=> true (=> ?v_2301 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.4 ?v_2187) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.4) ?v_2302))))) (=> true (=> (not ?v_2301) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.5 inline.MarkRequestCancelableReturnLocked.0.myVar_0.2) ?v_2302)))))))))))) (?v_2510 (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0)) (?v_2511 (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0)) (?v_2512 (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1.)) (?v_2513 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1)) (?v_2514 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.)) (?v_2515 (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3.)) (?v_2516 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5.)) (?v_2517 (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2518 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2519 (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 inline.EvtRequestChildCancel.0.myNondetVar_0)) (?v_2520 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7.)) (?v_2521 (= inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.)) (?v_2522 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_2523 (= inline.GetRequestContext.5..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.5..result.GetRequestContext.56.0.1.)) (?v_2524 (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2525 (= inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1.)) (?v_2526 (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1.)) (?v_2527 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext)) (?v_2528 (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock)) (?v_2529 (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel)) (?v_2530 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2531 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2532 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2533 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.)) (?v_2534 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1)) (?v_2535 (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0)) (?v_2536 (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1.)) (?v_2537 (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0)) (?v_2538 (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1.)) (?v_2539 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete)) (?v_2540 (= inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer)) (?v_2541 (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext)) (?v_2542 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.)) (?v_2543 (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2544 (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext)) (?v_2545 (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1)) (?v_2546 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1)) (?v_2547 (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0)) (?v_2548 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1)) (?v_2549 (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2550 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1)) (?v_2551 (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2552 (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0 inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1.)) (?v_2553 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext)) (?v_2554 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext)) (?v_2555 (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1)) (?v_2556 (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel)) (?v_2557 (= lockStatus_0.31 lockStatus_0.8)) (?v_2558 (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext)) (?v_2559 (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2560 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2561 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2562 (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.)) (?v_2563 (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2564 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2565 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.)) (?v_2566 (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer)) (?v_2567 (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel)) (?v_2568 (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1.)) (?v_2569 (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.)) (?v_2570 (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2571 (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock)) (?v_2572 (= lockStatus_1.31 lockStatus_1.8)) (?v_2573 (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0)) (?v_2574 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2575 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1)) (?v_2576 (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3)) (?v_2577 (= reqCompleted_0.9 reqCompleted_0.5)) (?v_2578 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1)) (?v_2579 (= inline.AcquireDpcLock.1.myVar_0.4 inline.AcquireDpcLock.1.myVar_0)) (?v_2580 (= inline.EvtRequestChildCancel.0.myVar_0.15 inline.EvtRequestChildCancel.0.myVar_0)) (?v_2581 (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem)) (?v_2582 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2583 (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext)) (?v_2584 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2585 (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1)) (?v_2586 (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2.)) (?v_2587 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2588 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_2589 (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2590 (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock)) (?v_2591 (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6.)) (?v_2592 (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2593 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_2594 (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock)) (?v_2595 (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0)) (?v_2596 (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0)) (?v_2597 (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete)) (?v_2598 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2599 (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2600 (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.)) (?v_2601 (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0)) (?v_2602 (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2.)) (?v_2603 (= inline.ReleaseDpcLock.1.myVar_0.4 inline.ReleaseDpcLock.1.myVar_0)) (?v_2604 (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext)) (?v_2605 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_2606 (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2607 (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue)) (?v_2608 (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0)) (?v_2609 (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.)) (?v_2610 (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.)) (?v_2611 (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion)) (?v_2612 (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1.)) (?v_2613 (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2614 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.12 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7)) (?v_2615 (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1)) (?v_2616 (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.))) (let ((?v_2617 (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2.) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1.) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.12 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7) (=> (= reqCompleted_1.9 reqCompleted_1.5) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> true ?v_2507)))))))))))))))))))))))))))))))) (let ((?v_2623 (=> true (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2515 (=> ?v_2516 (=> (= reqCancelSet_0.15 reqCancelSet_0.11) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest) (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0) (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> (= reqCancelSet_1.15 reqCancelSet_1.11) (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> (= k.218 k.184) (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest) (=> ?v_2609 (=> ?v_2610 (=> (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7.) (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> (= errorReached.120 errorReached.102) ?v_2617)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2619 (=> true (=> (= k.184 k.175) (=> (= reqCancelSet_1.11 reqCancelSet_1.10) (=> (= errorReached.102 errorReached.96) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 call26885formal.ret.0) (=> (= reqCancelSet_0.11 reqCancelSet_0.10) ?v_2623))))))) (?v_2620 (= reqCancelSet_1.10 reqCancelSet_1.9))) (let ((?v_2621 (=> (= reqCancelSet_0.10 reqCancelSet_0.9) (=> true ?v_2619))) (?v_2618 (= k.175 1)) (?v_2509 (= k.175 0))) (let ((?v_2622 (and (=> true (=> ?v_2509 (=> true (=> ?v_2620 (=> (= reqCancelSet_0.10 1) ?v_2619))))) (=> true (=> (not ?v_2509) (and (=> true (=> ?v_2618 (=> true (=> (= reqCancelSet_1.10 1) ?v_2621)))) (=> true (=> (not ?v_2618) (=> true (=> ?v_2620 ?v_2621))))))))) (?v_2313 (= reqCompleted_0.5 0)) (?v_2314 (= reqCompleted_1.5 0))) (let ((?v_1653 (not ?v_2313)) (?v_1654 (not ?v_2314)) (?v_2508 (= (BINARY_BOTH_INT call21566formal.ret.0 2) 0)) (?v_2503 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2504 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_2505 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2506 (= inline.MarkRequestCancelableReturnLocked.0..result.WdfRequestMarkCancelableEx.632.38.7..0 call21590formal.ret.0)) (?v_2502 (= call21590formal.ret.0 ?v_392))) (let ((?v_2338 (=> true (=> (= inline.GetDeviceContext.10.myNondetVar_0.1 inline.GetDeviceContext.10.myNondetVar_0.0) (=> (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0.0) (=> (= inline.GetDeviceContext.8..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1) (=> (= inline.EvtRequestChildCancel.0..result.GetDeviceContext.813.52.3..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.818.62.5..0) (=> (= reqCancelSet_0.15 reqCancelSet_0.14) (=> ?v_2503 (=> (= inline.GetDeviceContext.10..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.2 inline.EvtRequestChildCancel.0.myNondetVar_0.1) (=> (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..1 inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0) (=> (= inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..1 inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.5..result.GetRequestContext.56.0.1..1 inline.GetRequestContext.5..result.GetRequestContext.56.0.1..0) (=> (= inline.GetDeviceContext.8..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..1 inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..0) (=> (= inline.EvtRequestChildCancel.0..result.sdv_WdfRequestGetIoQueue.811.41.1..0 hqueue) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0) (=> (= inline.ReleaseDpcLock.1..deviceContext.2.2392.20.ReleaseDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.EvtRequestChildCancel.0..deviceContext.4.813.20.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hqueue) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..1 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.GetChildQueueContext.4.myNondetVar_0.1 inline.GetChildQueueContext.4.myNondetVar_0.0) (=> (= inline.ReleaseDpcLock.1..result.GetDeviceContext.2392.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.11.myNondetVar_0.1 inline.GetDeviceContext.11.myNondetVar_0.0) (=> (= inline.GetDeviceContext.10..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.GetRequestContext.4..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.1 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.2 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetDeviceContext.11..result.GetDeviceContext.137.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.1 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel.0 hrequest) (=> (= lockStatus_0.31 lockStatus_0.30) (=> (= inline.GetDeviceContext.11..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2504 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.1 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0) (=> (= inline.EvtRequestChildCancel.0..Queue.2.811.13.EvtRequestChildCancel.0 hqueue) (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.sdv_WdfRequestGetIoQueue.7785.0.1..0 hqueue) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= reqCancelSet_1.15 reqCancelSet_1.14) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= lockStatus_1.31 lockStatus_1.30) (=> (= inline.GetDeviceContext.9.myNondetVar_0.1 inline.GetDeviceContext.9.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0) (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) (=> (= reqCompleted_0.9 reqCompleted_0.8) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext1.0 hqueue) (=> (= inline.AcquireDpcLock.1.myVar_0.4 inline.AcquireDpcLock.1.myVar_0.3) (=> (= inline.EvtRequestChildCancel.0.myVar_0.15 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0) (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.1 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.GetDeviceContext.8..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.GetDeviceContext.11..result.sdv_WdfObjectGetTypedContextWorker.137.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.12 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..1 inline.EvtRequestChildCancel.0..result._ReturnAddress.820.56.6..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.GetRequestContext.5.myNondetVar_0.2 inline.GetRequestContext.5.myNondetVar_0.1) (=> (= inline.GetDeviceContext.12.myNondetVar_0.1 inline.GetDeviceContext.12.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetDeviceContext.8.myNondetVar_0.1 inline.GetDeviceContext.8.myNondetVar_0.0) (=> (= inline.EvtRequestChildCancel.0..result.GetChildQueueContext.812.65.2..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ReleaseDpcLock.1.myVar_0.4 inline.ReleaseDpcLock.1.myVar_0.3) (=> (= k.218 k.217) (=> (= inline.GetChildQueueContext.4..Handle.1.62.0.GetChildQueueContext.0 hqueue) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hqueue) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.5 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.4) (=> ?v_2505 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0) (=> ?v_2506 (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.1 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0) (=> (= inline.GetChildQueueContext.4..result.GetChildQueueContext.62.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.12 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.11) (=> (= inline.GetDeviceContext.9..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..1 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0) (=> (= errorReached.120 errorReached.119) (=> (= inline.GetChildQueueContext.4..result.sdv_WdfObjectGetTypedContextWorker.62.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.AcquireEffectiveLock.1..Device.1.2305.14.AcquireEffectiveLock1.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.EvtRequestChildCancel.0..Request.1.802.18.EvtRequestChildCancel1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock1.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..1 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0) (=> (= inline.AcquireDpcLock.1..result.GetDeviceContext.2362.52.1..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfRequestGetIoQueue.3..Request.1.7786.18.sdv_WdfRequestGetIoQueue1.0 hrequest) (=> (= inline.ReleaseDpcLock.1..Device.1.2384.14.ReleaseDpcLock.0 inline.EvtRequestChildCancel.0.myVar_0.11) (=> (= inline.AcquireDpcLock.1..deviceContext.3.2362.20.AcquireDpcLock.0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.9 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeviceContext.10..Handle.1.137.0.GetDeviceContext.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.ReleaseEffectiveLock.1..Device.1.2331.14.ReleaseEffectiveLock1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.AcquireDpcLock.1..Device.1.2353.14.AcquireDpcLock1.0 inline.EvtRequestChildCancel.0.myVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.12 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.11) (=> (= reqCompleted_1.9 reqCompleted_1.8) (=> (= inline.EvtRequestChildCancel.0..childQueueContext.3.812.25.EvtRequestChildCancel.0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.GetDeviceContext.12..Handle.1.137.0.GetDeviceContext1.0 inline.EvtRequestChildCancel.0.myVar_0.14) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.1 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0) ?v_2507))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2343 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0) (=> (= reqCompleted_1.8 reqCompleted_1.5) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.11 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..0 inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1.) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= reqCancelSet_0.14 reqCancelSet_0.9) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.11 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1) (=> (= inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2.) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.0) (=> (= reqCompleted_0.8 reqCompleted_0.5) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.EvtRequestChildCancel.0.myNondetVar_0.0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.5..result.GetRequestContext.56.0.1..0 inline.GetRequestContext.5..result.GetRequestContext.56.0.1.) (=> (= reqCancelSet_1.14 reqCancelSet_1.9) (=> (= k.217 k.209) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer) (=> (= errorReached.119 errorReached.114) (=> true (=> true (=> true ?v_2338)))))))))))))))))))))))))))))))))))))))))))) (?v_2345 (= k.209 k.207)) (?v_2346 (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.))) (let ((?v_2347 (=> (= errorReached.114 errorReached.112) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2343)))))))))))))))))))) (?v_2349 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hdevice)) (?v_2348 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hqueue)) (?v_2344 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 htimer)) (?v_2342 (= inline.EvtRequestChildCancel.0.myNondetVar_0.0 hrequest)) (?v_2341 (=> true (=> (= k.209 k.208) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..0 call23908formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.114 errorReached.113) ?v_2343)))))) (?v_2339 (= k.208 0)) (?v_2340 (= k.208 1)) (?v_2337 (= inline.EvtRequestChildCancel.0..result._InterlockedCompareExchange.842.34.7..0 0)) (?v_2316 (=> true (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.5.myNondetVar_0.1 inline.GetRequestContext.5.myNondetVar_0.0) (=> (= reqCompleted_1.8 reqCompleted_1.7) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.24..result.userContextSwitch.6841.4.2.) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.11 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.10) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..result.GetRequestContext.183.34.1..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion.0 hrequest) (=> (= inline.MyWdfRequestComplete.1..Request.1.212.15.MyWdfRequestComplete.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= reqCancelSet_0.14 reqCancelSet_0.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.24..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext.0 inline.GetDeferRequestCompletionWorkItemContext.0..Handle.1.71.0.GetDeferRequestCompletionWorkItemContext) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.11 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.10) (=> (= inline.GetRequestContext.5..Handle.1.56.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer1.0 hrequest) (=> (= inline.EvtRequestChildCancel.0.myNondetVar_0.1 inline.EvtRequestChildCancel.0.myNondetVar_0) (=> (= inline.PrepareRequestForCompletion.1..Request.1.196.20.PrepareRequestForCompletion1.0 hrequest) (=> (= inline.GetRequestContext.5..result.sdv_WdfObjectGetTypedContextWorker.56.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0.1 inline.GetDeferRequestCompletionWorkItemContext.0.myNondetVar_0) (=> (= reqCompleted_0.8 reqCompleted_0.7) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..reqContext.2.181.21.FreeVerifyCanceledOnQueueBuffer.0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem.0 inline.DeferCompletionOfRequestToWorkItem.0..WorkItem.1.2130.16.DeferCompletionOfRequestToWorkItem) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.4 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.5..result.GetRequestContext.56.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCancelSet_1.14 reqCancelSet_1.13) (=> (= k.217 k.216) (=> (= inline.sdv_WdfRequestComplete.1..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1..Request.1.178.15.FreeVerifyCanceledOnQueueBuffer.0 hrequest) (=> (= errorReached.119 errorReached.118) ?v_2338)))))))))))))))))))))))))))))))))))))))))) (let ((?v_2304 (=> true (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 call24399formal.ret.0) (=> (= reqCancelSet_1.13 reqCancelSet_1.12) (=> (= reqCompleted_0.7 reqCompleted_0.6) (=> (= reqCompleted_1.7 reqCompleted_1.6) (=> (= errorReached.118 errorReached.117) (=> (= reqCancelSet_0.13 reqCancelSet_0.12) (=> (= k.216 k.215) ?v_2316))))))))) (?v_2305 (= reqCancelSet_1.12 reqCancelSet_1.9))) (let ((?v_2306 (=> (= reqCancelSet_0.12 reqCancelSet_0.9) (=> true ?v_2304))) (?v_2303 (= k.215 1))) (let ((?v_2309 (not ?v_2303)) (?v_1661 (= k.215 0))) (let ((?v_2307 (not ?v_1661))) (let ((?v_2308 (and (=> true (=> ?v_1661 (=> true (=> ?v_2305 (=> (= reqCancelSet_0.12 0) ?v_2304))))) (=> true (=> ?v_2307 (and (=> true (=> ?v_2303 (=> true (=> (= reqCancelSet_1.12 0) ?v_2306)))) (=> true (=> ?v_2309 (=> true (=> ?v_2305 ?v_2306)))))))))) (let ((?v_2312 (=> true (=> true ?v_2308))) (?v_2310 (= reqCompleted_0.6 reqCompleted_0.5)) (?v_2311 (= reqCompleted_1.6 reqCompleted_1.5))) (let ((?v_2315 (and (=> true (=> ?v_1661 (=> true (=> (= reqCompleted_0.6 1) (=> ?v_2311 ?v_2308))))) (=> true (=> ?v_2307 (and (=> true (=> ?v_2303 (=> true (=> ?v_2310 (=> (= reqCompleted_1.6 1) ?v_2312))))) (=> true (=> ?v_2309 (=> true (=> ?v_2310 (=> ?v_2311 ?v_2312))))))))))) (let ((?v_2331 (and (=> true (=> ?v_27 (=> true (=> (<= k.214 k.215) (=> (< k.215 2) (and (=> true (=> (=> ?v_1661 ?v_1653) (=> (=> ?v_2303 ?v_1654) (=> true (=> (= errorReached.117 1) ?v_2315))))) (=> true (=> (=> ?v_1661 ?v_2313) (=> (=> ?v_2303 ?v_2314) (=> true (=> (= errorReached.117 errorReached.116) (=> true ?v_2315)))))))))))) (=> true (=> ?v_559 (=> true (=> (= inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.1..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_1.13 reqCancelSet_1.9) (=> (= reqCompleted_0.7 reqCompleted_0.5) (=> (= reqCompleted_1.7 reqCompleted_1.5) (=> (= errorReached.118 errorReached.116) (=> (= reqCancelSet_0.13 reqCancelSet_0.9) (=> (= k.216 k.214) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2316)))))))))))))))))) (?v_2327 (= k.211 0)) (?v_1659 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_1660 (U_2_int (MapType0Select Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7 ?v_1659)))) (let ((?v_2328 (= ?v_1660 0)) (?v_2329 (= k.211 1)) (?v_2323 (U_2_int (MapType0Select Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7 ?v_1659)))) (let ((?v_2330 (= ?v_2323 0)) (?v_2318 (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.10 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.9) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.2) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.10 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.9) (=> (= k.214 k.213) ?v_2331)))))) (?v_2320 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.9 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7))) (let ((?v_2321 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.9 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7) (=> true ?v_2318))) (?v_2319 (= k.213 1)) (?v_2317 (= k.213 0))) (let ((?v_2324 (=> true (=> (<= k.212 k.213) (=> (< k.213 2) (and (=> true (=> ?v_2317 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.8 (MapType0Store Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7 ?v_1659 ?v_65)) (=> true (=> ?v_2320 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.9 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.8) ?v_2318)))))) (=> true (=> (not ?v_2317) (and (=> true (=> ?v_2319 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.8 (MapType0Store Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7 ?v_1659 ?v_65)) (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.9 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.8) ?v_2321))))) (=> true (=> (not ?v_2319) (=> true (=> ?v_2320 ?v_2321))))))))))))) (let ((?v_2326 (=> true ?v_2324)) (?v_2325 (= k.212 1)) (?v_2322 (= k.212 0))) (let ((?v_2335 (and (=> true (=> (=> ?v_2327 (not ?v_2328)) (=> (=> ?v_2329 (not ?v_2330)) (=> true (=> (<= k.211 k.212) (=> (< k.212 2) (and (=> true (=> ?v_2322 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.1 ?v_1660) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.1) ?v_2324))))) (=> true (=> (not ?v_2322) (and (=> true (=> ?v_2325 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.0 ?v_2323) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.0) ?v_2326))))) (=> true (=> (not ?v_2325) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0) ?v_2326)))))))))))))) (=> true (=> (=> ?v_2327 ?v_2328) (=> (=> ?v_2329 ?v_2330) (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.10 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.1.myVar_0) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.10 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7) (=> (= k.214 k.211) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2331))))))))))))))))))))) (let ((?v_2336 (=> (= errorReached.116 errorReached.112) (=> (= k.211 k.207) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2335))))))))))))) (?v_2334 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.116 errorReached.115) (=> (= k.211 k.210) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.userContextSwitch.6841.4.2..0 call24120formal.ret.0) ?v_2335)))))) (?v_2332 (= k.210 0)) (?v_2333 (= k.210 1))) (let ((?v_2352 (and (=> true (=> (not ?v_2337) (and (=> true (=> ?v_27 (=> true (=> (<= k.207 k.210) (=> (< k.210 2) (and (=> true (=> (=> ?v_2332 ?v_1653) (=> (=> ?v_2333 ?v_1654) (=> true (=> (= errorReached.115 1) ?v_2334))))) (=> true (=> (=> ?v_2332 ?v_2313) (=> (=> ?v_2333 ?v_2314) (=> true (=> (= errorReached.115 errorReached.112) (=> true ?v_2334)))))))))))) (=> true (=> ?v_559 (and (=> true (=> ?v_561 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2336)))) (=> true (=> ?v_610 (and (=> true (=> ?v_565 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2336)))) (=> true (=> ?v_614 (and (=> true (=> ?v_566 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2336)))) (=> true (=> ?v_615 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.25..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2336)))))))))))))))) (=> true (=> ?v_2337 (and (=> true (=> ?v_2342 (=> true (=> (<= k.207 k.208) (=> (< k.208 2) (and (=> true (=> (=> ?v_2339 ?v_1653) (=> (=> ?v_2340 ?v_1654) (=> true (=> (= errorReached.113 1) ?v_2341))))) (=> true (=> (=> ?v_2339 ?v_2313) (=> (=> ?v_2340 ?v_2314) (=> true (=> (= errorReached.113 errorReached.112) (=> true ?v_2341)))))))))))) (=> true (=> (not ?v_2342) (and (=> true (=> ?v_2344 (=> true (=> ?v_2345 (=> ?v_2346 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2347)))))) (=> true (=> (not ?v_2344) (and (=> true (=> ?v_2348 (=> true (=> ?v_2345 (=> ?v_2346 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2347)))))) (=> true (=> (not ?v_2348) (and (=> true (=> ?v_2349 (=> true (=> ?v_2345 (=> ?v_2346 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2347)))))) (=> true (=> (not ?v_2349) (=> true (=> ?v_2345 (=> ?v_2346 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.24..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2347))))))))))))))))))))) (let ((?v_2353 (=> true (=> true (=> true (=> true (=> true (=> true ?v_2352))))))) (?v_2350 (= k.207 0)) (?v_2351 (= k.207 1))) (let ((?v_2358 (and (=> true (=> (=> ?v_2350 ?v_40) (=> (=> ?v_2351 ?v_41) ?v_2352))) (=> true (=> (=> ?v_2350 ?v_726) (=> (=> ?v_2351 ?v_728) (and (=> true (=> (=> ?v_2350 ?v_631) (=> (=> ?v_2351 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2353)))))))))))) (=> true (=> (=> ?v_2350 ?v_730) (=> (=> ?v_2351 ?v_731) ?v_2353))))))))) (?v_2360 (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2.)) (?v_2361 (= errorReached.112 errorReached.110))) (let ((?v_2362 (=> (= k.207 k.205) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2358))))))))))) (?v_2364 (= inline.EvtRequestChildCancel.0.myVar_0.14 hdevice)) (?v_2363 (= inline.EvtRequestChildCancel.0.myVar_0.14 hqueue)) (?v_2359 (= inline.EvtRequestChildCancel.0.myVar_0.14 htimer)) (?v_2357 (= inline.EvtRequestChildCancel.0.myVar_0.14 hrequest)) (?v_2356 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.userContextSwitch.6841.4.2..0 call23618formal.ret.0) (=> (= errorReached.112 errorReached.111) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.207 k.206) ?v_2358)))))) (?v_2354 (= k.206 0)) (?v_2355 (= k.206 1))) (let ((?v_2367 (and (=> true (=> ?v_2357 (=> true (=> (<= k.205 k.206) (=> (< k.206 2) (and (=> true (=> (=> ?v_2354 ?v_1653) (=> (=> ?v_2355 ?v_1654) (=> true (=> (= errorReached.111 1) ?v_2356))))) (=> true (=> (=> ?v_2354 ?v_2313) (=> (=> ?v_2355 ?v_2314) (=> true (=> (= errorReached.111 errorReached.110) (=> true ?v_2356)))))))))))) (=> true (=> (not ?v_2357) (and (=> true (=> ?v_2359 (=> true (=> ?v_2360 (=> ?v_2361 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2362)))))) (=> true (=> (not ?v_2359) (and (=> true (=> ?v_2363 (=> true (=> ?v_2360 (=> ?v_2361 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2362)))))) (=> true (=> (not ?v_2363) (and (=> true (=> ?v_2364 (=> true (=> ?v_2360 (=> ?v_2361 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2362)))))) (=> true (=> (not ?v_2364) (=> true (=> ?v_2360 (=> ?v_2361 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.23..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2362)))))))))))))))))) (let ((?v_2369 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2367)))))))))))) (?v_2368 (= k.205 1)) (?v_2366 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_2397 (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_2366))) (?v_2365 (= k.205 0)) (?v_1657 (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_2366)))) (let ((?v_2386 (=> true (=> (<= k.204 k.205) (=> (< k.205 2) (and (=> true (=> ?v_2365 (=> (= inline.EvtRequestChildCancel.0.myVar_0.12 ?v_1657) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.12) ?v_2367))))) (=> true (=> (not ?v_2365) (and (=> true (=> ?v_2368 (=> (= inline.EvtRequestChildCancel.0.myVar_0.13 ?v_2397) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.13) ?v_2369))))) (=> true (=> (not ?v_2368) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.14 inline.EvtRequestChildCancel.0.myVar_0.11) ?v_2369)))))))))))) (?v_2383 (= k.200 0)) (?v_2384 (= k.200 1))) (let ((?v_2377 (=> true (=> (= k.204 k.203) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.1.myVar_0.2) (=> (= lockStatus_0.30 lockStatus_0.29) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.1.myVar_0.2) (=> (= lockStatus_1.30 lockStatus_1.29) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0) (=> (= inline.ReleaseDpcLock.1.myVar_0.3 inline.ReleaseDpcLock.1.myVar_0.2) ?v_2386))))))))) (?v_2376 (= inline.ReleaseDpcLock.1.myVar_0.2 hlock))) (let ((?v_2371 (=> true (=> (= k.203 k.202) (=> (= lockStatus_0.29 lockStatus_0.28) (=> (= lockStatus_1.29 lockStatus_1.28) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 call23471formal.ret.0) ?v_2377))))))) (let ((?v_2375 (=> true ?v_2371)) (?v_2373 (= lockStatus_0.28 lockStatus_0.27)) (?v_2374 (= lockStatus_1.28 lockStatus_1.27)) (?v_2372 (= k.202 1)) (?v_2370 (= k.202 0))) (let ((?v_2380 (and (=> true (=> ?v_2376 (=> true (=> (<= k.201 k.202) (=> (< k.202 2) (and (=> true (=> ?v_2370 (=> true (=> (= lockStatus_0.28 0) (=> ?v_2374 ?v_2371))))) (=> true (=> (not ?v_2370) (and (=> true (=> ?v_2372 (=> true (=> ?v_2373 (=> (= lockStatus_1.28 0) ?v_2375))))) (=> true (=> (not ?v_2372) (=> true (=> ?v_2373 (=> ?v_2374 ?v_2375)))))))))))))) (=> true (=> (not ?v_2376) (=> true (=> (= k.203 k.201) (=> (= lockStatus_0.29 lockStatus_0.27) (=> (= lockStatus_1.29 lockStatus_1.27) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_2377))))))))))))) (let ((?v_2382 (=> true (=> true (=> true (=> true ?v_2380))))) (?v_2381 (= k.201 1)) (?v_2379 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2378 (= k.201 0))) (let ((?v_2385 (=> true (=> (<= k.200 k.201) (=> (< k.201 2) (and (=> true (=> ?v_2378 (=> (= inline.ReleaseDpcLock.1.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2379))) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0.1) ?v_2380))))) (=> true (=> (not ?v_2378) (and (=> true (=> ?v_2381 (=> (= inline.ReleaseDpcLock.1.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2379))) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0.0) ?v_2382))))) (=> true (=> (not ?v_2381) (=> true (=> (= inline.ReleaseDpcLock.1.myVar_0.2 inline.ReleaseDpcLock.1.myVar_0) ?v_2382))))))))))))) (let ((?v_2391 (and (=> true (=> (=> ?v_2383 ?v_36) (=> (=> ?v_2384 ?v_37) ?v_2385))) (=> true (=> (=> ?v_2383 ?v_442) (=> (=> ?v_2384 ?v_444) (and (=> true (=> (=> ?v_2383 ?v_344) (=> (=> ?v_2384 ?v_345) (=> true (=> true ?v_2385))))) (=> true (=> (=> ?v_2383 ?v_446) (=> (=> ?v_2384 ?v_447) (=> true (=> (= k.204 k.200) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_0.30 lockStatus_0.27) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.30 lockStatus_1.27) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= inline.ReleaseDpcLock.1.myVar_0.3 inline.ReleaseDpcLock.1.myVar_0) (=> true (=> true (=> true ?v_2386))))))))))))))))))))) (let ((?v_2393 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2.) (=> (= errorReached.110 errorReached.108) (=> (= k.200 k.198) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2391))))))))))))) (?v_2395 (= inline.EvtRequestChildCancel.0.myVar_0.11 hdevice)) (?v_2394 (= inline.EvtRequestChildCancel.0.myVar_0.11 hqueue)) (?v_2392 (= inline.EvtRequestChildCancel.0.myVar_0.11 htimer)) (?v_2390 (= inline.EvtRequestChildCancel.0.myVar_0.11 hrequest)) (?v_2389 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.userContextSwitch.6841.4.2..0 call23200formal.ret.0) (=> (= errorReached.110 errorReached.109) (=> (= k.200 k.199) ?v_2391)))))) (?v_2387 (= k.199 0)) (?v_2388 (= k.199 1))) (let ((?v_2398 (and (=> true (=> ?v_2390 (=> true (=> (<= k.198 k.199) (=> (< k.199 2) (and (=> true (=> (=> ?v_2387 ?v_1653) (=> (=> ?v_2388 ?v_1654) (=> true (=> (= errorReached.109 1) ?v_2389))))) (=> true (=> (=> ?v_2387 ?v_2313) (=> (=> ?v_2388 ?v_2314) (=> true (=> (= errorReached.109 errorReached.108) (=> true ?v_2389)))))))))))) (=> true (=> (not ?v_2390) (and (=> true (=> ?v_2392 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2393)))) (=> true (=> (not ?v_2392) (and (=> true (=> ?v_2394 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2393)))) (=> true (=> (not ?v_2394) (and (=> true (=> ?v_2395 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2393)))) (=> true (=> (not ?v_2395) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.22..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2393)))))))))))))))) (let ((?v_2400 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2398)))))))))))) (?v_2399 (= k.198 1)) (?v_2396 (= k.198 0))) (let ((?v_2403 (=> true (=> (<= k.197 k.198) (=> (< k.198 2) (and (=> true (=> ?v_2396 (=> (= inline.EvtRequestChildCancel.0.myVar_0.9 ?v_1657) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.9) ?v_2398))))) (=> true (=> (not ?v_2396) (and (=> true (=> ?v_2399 (=> (= inline.EvtRequestChildCancel.0.myVar_0.10 ?v_2397) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.10) ?v_2400))))) (=> true (=> (not ?v_2399) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.11 inline.EvtRequestChildCancel.0.myVar_0.8) ?v_2400))))))))))))) (let ((?v_2407 (=> true (=> true ?v_2403))) (?v_2405 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2406 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3)) (?v_2404 (= k.197 1)) (?v_2402 (int_2_U (RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2401 (= k.197 0))) (let ((?v_2410 (=> true (=> (<= k.196 k.197) (=> (< k.197 2) (and (=> true (=> ?v_2401 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 (MapType0Store Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 ?v_2402 ?v_65)) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) (=> ?v_2406 ?v_2403)))))) (=> true (=> (not ?v_2401) (and (=> true (=> ?v_2404 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10 (MapType0Store Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 ?v_2402 ?v_65)) (=> true (=> ?v_2405 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.11 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.10) ?v_2407)))))) (=> true (=> (not ?v_2404) (=> true (=> ?v_2405 (=> ?v_2406 ?v_2407))))))))))))) (?v_2412 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3))) (let ((?v_2413 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3) (=> true ?v_2410))) (?v_2411 (= k.196 1)) (?v_2409 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2408 (= k.196 0))) (let ((?v_2429 (=> true (=> (<= k.195 k.196) (=> (< k.196 2) (and (=> true (=> ?v_2408 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 ?v_2409 ?v_65)) (=> true (=> ?v_2412 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_2410)))))) (=> true (=> (not ?v_2408) (and (=> true (=> ?v_2411 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7 (MapType0Store Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 ?v_2409 ?v_65)) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.8 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.7) ?v_2413))))) (=> true (=> (not ?v_2411) (=> true (=> ?v_2412 ?v_2413)))))))))))) (?v_2426 (= k.191 0)) (?v_2427 (= k.191 1))) (let ((?v_2420 (=> true (=> (= k.195 k.194) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0) (=> (= inline.AcquireDpcLock.1.myVar_0.3 inline.AcquireDpcLock.1.myVar_0.2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.1.myVar_0.2) (=> (= lockStatus_1.27 lockStatus_1.26) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.1.myVar_0.2) (=> (= lockStatus_0.27 lockStatus_0.26) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 call23000formal.ret.0) ?v_2429)))))))))) (?v_2419 (= inline.AcquireDpcLock.1.myVar_0.2 hlock))) (let ((?v_2415 (=> true (=> (= k.194 k.193) (=> (= lockStatus_0.26 lockStatus_0.25) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 call22948formal.ret.0) (=> (= lockStatus_1.26 lockStatus_1.25) ?v_2420))))))) (let ((?v_2418 (=> true ?v_2415)) (?v_2416 (= lockStatus_0.25 lockStatus_0.8)) (?v_2417 (= lockStatus_1.25 lockStatus_1.8)) (?v_2414 (= k.193 1)) (?v_1658 (= k.193 0))) (let ((?v_2423 (and (=> true (=> ?v_2419 (=> true (=> (<= k.192 k.193) (=> (< k.193 2) (=> true (=> (=> ?v_1658 (= lockStatus_0.8 0)) (=> (=> ?v_2414 (= lockStatus_1.8 0)) (and (=> true (=> ?v_1658 (=> true (=> (= lockStatus_0.25 1) (=> ?v_2417 ?v_2415))))) (=> true (=> (not ?v_1658) (and (=> true (=> ?v_2414 (=> true (=> ?v_2416 (=> (= lockStatus_1.25 1) ?v_2418))))) (=> true (=> (not ?v_2414) (=> true (=> ?v_2416 (=> ?v_2417 ?v_2418))))))))))))))))) (=> true (=> (not ?v_2419) (=> true (=> (= k.194 k.192) (=> (= lockStatus_0.26 lockStatus_0.8) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.26 lockStatus_1.8) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2420)))))))))))))))) (let ((?v_2425 (=> true (=> true (=> true (=> true ?v_2423))))) (?v_2424 (= k.192 1)) (?v_2422 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2421 (= k.192 0))) (let ((?v_2428 (=> true (=> (<= k.191 k.192) (=> (< k.192 2) (and (=> true (=> ?v_2421 (=> (= inline.AcquireDpcLock.1.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2422))) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0.1) ?v_2423))))) (=> true (=> (not ?v_2421) (and (=> true (=> ?v_2424 (=> (= inline.AcquireDpcLock.1.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2422))) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0.0) ?v_2425))))) (=> true (=> (not ?v_2424) (=> true (=> (= inline.AcquireDpcLock.1.myVar_0.2 inline.AcquireDpcLock.1.myVar_0) ?v_2425))))))))))))) (let ((?v_2434 (and (=> true (=> (=> ?v_2426 ?v_36) (=> (=> ?v_2427 ?v_37) ?v_2428))) (=> true (=> (=> ?v_2426 ?v_442) (=> (=> ?v_2427 ?v_444) (and (=> true (=> (=> ?v_2426 ?v_344) (=> (=> ?v_2427 ?v_345) ?v_2428))) (=> true (=> (=> ?v_2426 ?v_446) (=> (=> ?v_2427 ?v_447) (=> true (=> (= k.195 k.191) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= inline.AcquireDpcLock.1.myVar_0.3 inline.AcquireDpcLock.1.myVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_1.27 lockStatus_1.8) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_0.27 lockStatus_0.8) (=> (= inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.1..result.KeGetCurrentThread.2376.63.2.) (=> true (=> true (=> true ?v_2429))))))))))))))))))))) (?v_2436 (= k.191 k.189))) (let ((?v_2437 (=> (= errorReached.108 errorReached.106) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2434)))))))))))) (?v_2439 (= inline.EvtRequestChildCancel.0.myVar_0.8 hdevice)) (?v_2438 (= inline.EvtRequestChildCancel.0.myVar_0.8 hqueue)) (?v_2435 (= inline.EvtRequestChildCancel.0.myVar_0.8 htimer)) (?v_2433 (= inline.EvtRequestChildCancel.0.myVar_0.8 hrequest)) (?v_2432 (=> true (=> (= k.191 k.190) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.108 errorReached.107) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.userContextSwitch.6841.4.2..0 call22679formal.ret.0) ?v_2434)))))) (?v_2430 (= k.190 0)) (?v_2431 (= k.190 1))) (let ((?v_2441 (and (=> true (=> ?v_2433 (=> true (=> (<= k.189 k.190) (=> (< k.190 2) (and (=> true (=> (=> ?v_2430 ?v_1653) (=> (=> ?v_2431 ?v_1654) (=> true (=> (= errorReached.107 1) ?v_2432))))) (=> true (=> (=> ?v_2430 ?v_2313) (=> (=> ?v_2431 ?v_2314) (=> true (=> (= errorReached.107 errorReached.106) (=> true ?v_2432)))))))))))) (=> true (=> (not ?v_2433) (and (=> true (=> ?v_2435 (=> true (=> ?v_2436 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2437))))) (=> true (=> (not ?v_2435) (and (=> true (=> ?v_2438 (=> true (=> ?v_2436 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2437))))) (=> true (=> (not ?v_2438) (and (=> true (=> ?v_2439 (=> true (=> ?v_2436 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2437))))) (=> true (=> (not ?v_2439) (=> true (=> ?v_2436 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.21..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2437))))))))))))))))) (let ((?v_2443 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2441)))))))))))) (?v_2442 (= k.189 1)) (?v_2440 (= k.189 0))) (let ((?v_2447 (=> true (=> (<= k.188 k.189) (=> (< k.189 2) (and (=> true (=> ?v_2440 (=> (= inline.EvtRequestChildCancel.0.myVar_0.6 ?v_1657) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.6) ?v_2441))))) (=> true (=> (not ?v_2440) (and (=> true (=> ?v_2442 (=> (= inline.EvtRequestChildCancel.0.myVar_0.7 ?v_2397) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.7) ?v_2443))))) (=> true (=> (not ?v_2442) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.8 inline.EvtRequestChildCancel.0.myVar_0.5) ?v_2443)))))))))))) (?v_2444 (= k.188 0)) (?v_2445 (= k.188 1))) (let ((?v_2446 (=> true (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 call22559formal.ret.0) ?v_2447)))) (let ((?v_2452 (and (=> true (=> (=> ?v_2444 ?v_40) (=> (=> ?v_2445 ?v_41) ?v_2446))) (=> true (=> (=> ?v_2444 ?v_726) (=> (=> ?v_2445 ?v_728) (and (=> true (=> (=> ?v_2444 ?v_631) (=> (=> ?v_2445 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2446)))))))))))) (=> true (=> (=> ?v_2444 ?v_730) (=> (=> ?v_2445 ?v_731) (=> true (=> (= inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.1..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_2447))))))))))))))) (?v_2454 (= k.188 k.186)) (?v_2455 (= errorReached.106 errorReached.104))) (let ((?v_2456 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2452))))))))))) (?v_2458 (= inline.EvtRequestChildCancel.0.myVar_0.5 hdevice)) (?v_2457 (= inline.EvtRequestChildCancel.0.myVar_0.5 hqueue)) (?v_2453 (= inline.EvtRequestChildCancel.0.myVar_0.5 htimer)) (?v_2451 (= inline.EvtRequestChildCancel.0.myVar_0.5 hrequest)) (?v_2450 (=> true (=> (= k.188 k.187) (=> (= errorReached.106 errorReached.105) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.userContextSwitch.6841.4.2..0 call22362formal.ret.0) ?v_2452)))))) (?v_2448 (= k.187 0)) (?v_2449 (= k.187 1))) (let ((?v_2460 (and (=> true (=> ?v_2451 (=> true (=> (<= k.186 k.187) (=> (< k.187 2) (and (=> true (=> (=> ?v_2448 ?v_1653) (=> (=> ?v_2449 ?v_1654) (=> true (=> (= errorReached.105 1) ?v_2450))))) (=> true (=> (=> ?v_2448 ?v_2313) (=> (=> ?v_2449 ?v_2314) (=> true (=> (= errorReached.105 errorReached.104) (=> true ?v_2450)))))))))))) (=> true (=> (not ?v_2451) (and (=> true (=> ?v_2453 (=> true (=> ?v_2454 (=> ?v_2455 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2456)))))) (=> true (=> (not ?v_2453) (and (=> true (=> ?v_2457 (=> true (=> ?v_2454 (=> ?v_2455 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2456)))))) (=> true (=> (not ?v_2457) (and (=> true (=> ?v_2458 (=> true (=> ?v_2454 (=> ?v_2455 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2456)))))) (=> true (=> (not ?v_2458) (=> true (=> ?v_2454 (=> ?v_2455 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.20..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2456)))))))))))))))))) (let ((?v_2462 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2460)))))))))))) (?v_2461 (= k.186 1)) (?v_2459 (= k.186 0))) (let ((?v_2466 (=> true (=> (<= k.185 k.186) (=> (< k.186 2) (and (=> true (=> ?v_2459 (=> (= inline.EvtRequestChildCancel.0.myVar_0.4 ?v_1657) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.4) ?v_2460))))) (=> true (=> (not ?v_2459) (and (=> true (=> ?v_2461 (=> (= inline.EvtRequestChildCancel.0.myVar_0.3 ?v_2397) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.3) ?v_2462))))) (=> true (=> (not ?v_2461) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.5 inline.EvtRequestChildCancel.0.myVar_0.2) ?v_2462))))))))))))) (let ((?v_2470 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2466)))))))))) (?v_2467 (= k.185 k.182)) (?v_2468 (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2.)) (?v_2469 (= errorReached.104 errorReached.101)) (?v_2465 (=> true (=> (= k.185 k.183) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.userContextSwitch.6841.4.2..0 call22151formal.ret.0) (=> (= errorReached.104 errorReached.103) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2466)))))) (?v_2463 (= k.183 0)) (?v_2464 (= k.183 1))) (let ((?v_2475 (and (=> true (=> ?v_27 (=> true (=> (<= k.182 k.183) (=> (< k.183 2) (and (=> true (=> (=> ?v_2463 ?v_1653) (=> (=> ?v_2464 ?v_1654) (=> true (=> (= errorReached.103 1) ?v_2465))))) (=> true (=> (=> ?v_2463 ?v_2313) (=> (=> ?v_2464 ?v_2314) (=> true (=> (= errorReached.103 errorReached.101) (=> true ?v_2465)))))))))))) (=> true (=> ?v_559 (and (=> true (=> ?v_561 (=> true (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2470))))))) (=> true (=> ?v_610 (and (=> true (=> ?v_565 (=> true (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2470))))))) (=> true (=> ?v_614 (and (=> true (=> ?v_566 (=> true (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2470))))))) (=> true (=> ?v_615 (=> true (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.19..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2470)))))))))))))))))) (?v_2477 (= k.182 k.180))) (let ((?v_2478 (=> (= errorReached.101 errorReached.99) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2475))))))))))))))))))) (?v_2480 (= inline.EvtRequestChildCancel.0.myVar_0.2 hdevice)) (?v_2479 (= inline.EvtRequestChildCancel.0.myVar_0.2 hqueue)) (?v_2476 (= inline.EvtRequestChildCancel.0.myVar_0.2 htimer)) (?v_2474 (= inline.EvtRequestChildCancel.0.myVar_0.2 hrequest)) (?v_2473 (=> true (=> (= k.182 k.181) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.101 errorReached.100) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.userContextSwitch.6841.4.2..0 call21980formal.ret.0) ?v_2475)))))) (?v_2471 (= k.181 0)) (?v_2472 (= k.181 1))) (let ((?v_2483 (and (=> true (=> ?v_2474 (=> true (=> (<= k.180 k.181) (=> (< k.181 2) (and (=> true (=> (=> ?v_2471 ?v_1653) (=> (=> ?v_2472 ?v_1654) (=> true (=> (= errorReached.100 1) ?v_2473))))) (=> true (=> (=> ?v_2471 ?v_2313) (=> (=> ?v_2472 ?v_2314) (=> true (=> (= errorReached.100 errorReached.99) (=> true ?v_2473)))))))))))) (=> true (=> (not ?v_2474) (and (=> true (=> ?v_2476 (=> true (=> ?v_2477 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2478))))) (=> true (=> (not ?v_2476) (and (=> true (=> ?v_2479 (=> true (=> ?v_2477 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2478))))) (=> true (=> (not ?v_2479) (and (=> true (=> ?v_2480 (=> true (=> ?v_2477 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2478))))) (=> true (=> (not ?v_2480) (=> true (=> ?v_2477 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.18..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2478))))))))))))))))) (let ((?v_2485 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2483)))))))) (?v_2484 (= k.180 1)) (?v_2482 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2481 (= k.180 0))) (let ((?v_2490 (=> true (=> (<= k.179 k.180) (=> (< k.180 2) (and (=> true (=> ?v_2481 (=> (= inline.EvtRequestChildCancel.0.myVar_0.1 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2482))) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0.1) ?v_2483))))) (=> true (=> (not ?v_2481) (and (=> true (=> ?v_2484 (=> (= inline.EvtRequestChildCancel.0.myVar_0.0 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2482))) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0.0) ?v_2485))))) (=> true (=> (not ?v_2484) (=> true (=> (= inline.EvtRequestChildCancel.0.myVar_0.2 inline.EvtRequestChildCancel.0.myVar_0) ?v_2485)))))))))))) (?v_2492 (= k.179 k.177))) (let ((?v_2493 (=> (= errorReached.99 errorReached.97) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2490)))))))))))) (?v_2488 (=> true (=> (= k.179 k.178) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.99 errorReached.98) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.userContextSwitch.6841.4.2..0 call21771formal.ret.0) ?v_2490)))))) (?v_2486 (= k.178 0)) (?v_2487 (= k.178 1))) (let ((?v_2499 (and (=> true (=> ?v_26 (=> true (=> (<= k.177 k.178) (=> (< k.178 2) (and (=> true (=> (=> ?v_2486 ?v_1653) (=> (=> ?v_2487 ?v_1654) (=> true (=> (= errorReached.98 1) ?v_2488))))) (=> true (=> (=> ?v_2486 ?v_2313) (=> (=> ?v_2487 ?v_2314) (=> true (=> (= errorReached.98 errorReached.97) (=> true ?v_2488)))))))))))) (=> true (=> ?v_2489 (and (=> true (=> ?v_773 (=> true (=> ?v_2492 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2493))))) (=> true (=> ?v_2491 (and (=> true (=> ?v_774 (=> true (=> ?v_2492 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2493))))) (=> true (=> ?v_778 (and (=> true (=> ?v_779 (=> true (=> ?v_2492 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2493))))) (=> true (=> ?v_2494 (=> true (=> ?v_2492 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.17..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2493))))))))))))))))) (let ((?v_2501 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2499)))))))))))))) (?v_2500 (= errorReached.97 errorReached.95)) (?v_2497 (= k.177 k.176)) (?v_2498 (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0 call21660formal.ret.0)) (?v_2495 (= k.176 0)) (?v_2496 (= k.176 1)) (?v_1656 (int_2_U call21552formal.new.0))) (let ((?v_2628 (=> true (and ?v_1655 (=> ?v_1655 (=> (> call21552formal.new.0 0) (=> (forall ((?x363 Int)) (! (=> (and (<= call21552formal.new.0 ?x363) (< ?x363 (+ call21552formal.new.0 1))) (= (Base ?x363) call21552formal.new.0)) :pattern ((Base ?x363)) )) (=> (forall ((?x364 boogieU)) (! (=> (= (type ?x364) intType) (or (= (U_2_int ?x364) call21552formal.new.0) (= (MapType0Select alloc.12 ?x364) (MapType0Select alloc.15 ?x364)))) :pattern ((MapType0Select alloc.15 ?x364)) )) (=> (and (= (MapType0Select alloc.12 ?v_1656) UNALLOCATED) (= (MapType0Select alloc.15 ?v_1656) ALLOCATED)) (and (=> true (=> (not ?v_2508) (and (=> true (=> ?v_2502 (and (=> true (=> ?v_27 (=> true (=> (<= k.174 k.176) (=> (< k.176 2) (and (=> true (=> (=> ?v_2495 ?v_1653) (=> (=> ?v_2496 ?v_1654) (=> true (=> ?v_2497 (=> (= errorReached.97 1) (=> ?v_2498 ?v_2499))))))) (=> true (=> (=> ?v_2495 ?v_2313) (=> (=> ?v_2496 ?v_2314) (=> true (=> ?v_2497 (=> ?v_2500 (=> ?v_2498 ?v_2501))))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.177 k.174) (=> ?v_2500 (=> (= inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.3..result.userContextSwitch.7790.4.2.) ?v_2501))))))))) (=> true (=> (not ?v_2502) (=> true (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2515 (=> ?v_2516 (=> (= reqCancelSet_0.15 reqCancelSet_0.9) (=> ?v_2503 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2504 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> (= reqCancelSet_1.15 reqCancelSet_1.9) (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> (= k.218 k.174) (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2505 (=> ?v_2609 (=> ?v_2610 (=> ?v_2506 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> (= errorReached.120 errorReached.95) ?v_2617))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2508 (and (=> true (=> ?v_27 (=> true (=> (<= k.174 k.175) (=> (< k.175 2) (and (=> true (=> (=> ?v_2509 ?v_1653) (=> (=> ?v_2618 ?v_1654) (=> true (=> (= errorReached.96 1) ?v_2622))))) (=> true (=> (=> ?v_2509 ?v_2313) (=> (=> ?v_2618 ?v_2314) (=> true (=> (= errorReached.96 errorReached.95) (=> true ?v_2622)))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.184 k.174) (=> (= reqCancelSet_1.11 reqCancelSet_1.9) (=> (= errorReached.102 errorReached.95) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.) (=> (= reqCancelSet_0.11 reqCancelSet_0.9) (=> true (=> true (=> true ?v_2623))))))))))))))))))))))) (?v_2630 (= k.174 k.172)) (?v_2631 (= errorReached.95 errorReached.93))) (let ((?v_2632 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2628)))))))))) (?v_2634 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hdevice)) (?v_2633 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hqueue)) (?v_2629 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 htimer)) (?v_2627 (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 hrequest)) (?v_2626 (=> true (=> (= k.174 k.173) (=> (= errorReached.95 errorReached.94) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 call21437formal.ret.0) ?v_2628)))))) (?v_2624 (= k.173 0)) (?v_2625 (= k.173 1))) (let ((?v_2637 (and (=> true (=> ?v_2627 (=> true (=> (<= k.172 k.173) (=> (< k.173 2) (and (=> true (=> (=> ?v_2624 ?v_1653) (=> (=> ?v_2625 ?v_1654) (=> true (=> (= errorReached.94 1) ?v_2626))))) (=> true (=> (=> ?v_2624 ?v_2313) (=> (=> ?v_2625 ?v_2314) (=> true (=> (= errorReached.94 errorReached.93) (=> true ?v_2626)))))))))))) (=> true (=> (not ?v_2627) (and (=> true (=> ?v_2629 (=> true (=> ?v_2630 (=> ?v_2631 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2632)))))) (=> true (=> (not ?v_2629) (and (=> true (=> ?v_2633 (=> true (=> ?v_2630 (=> ?v_2631 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2632)))))) (=> true (=> (not ?v_2633) (and (=> true (=> ?v_2634 (=> true (=> ?v_2630 (=> ?v_2631 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2632)))))) (=> true (=> (not ?v_2634) (=> true (=> ?v_2630 (=> ?v_2631 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2632)))))))))))))))))) (let ((?v_2639 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2637)))))))) (?v_2638 (= k.172 1)) (?v_2636 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2635 (= k.172 0))) (let ((?v_2643 (=> true (=> (<= k.171 k.172) (=> (< k.172 2) (and (=> true (=> ?v_2635 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2636))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0.0) ?v_2637))))) (=> true (=> (not ?v_2635) (and (=> true (=> ?v_2638 (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_2636))) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0.1) ?v_2639))))) (=> true (=> (not ?v_2638) (=> true (=> (= inline.MarkRequestCancelableReturnLocked.0.myVar_0.2 inline.MarkRequestCancelableReturnLocked.0.myVar_0) ?v_2639))))))))))))) (let ((?v_2647 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2643))))))))) (?v_2644 (= k.171 k.169)) (?v_2645 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_2646 (= errorReached.93 errorReached.91)) (?v_2642 (=> true (=> (= k.171 k.170) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 call21229formal.ret.0) (=> (= errorReached.93 errorReached.92) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2643)))))) (?v_2640 (= k.170 0)) (?v_2641 (= k.170 1))) (let ((?v_2651 (and (=> true (=> ?v_26 (=> true (=> (<= k.169 k.170) (=> (< k.170 2) (and (=> true (=> (=> ?v_2640 ?v_1653) (=> (=> ?v_2641 ?v_1654) (=> true (=> (= errorReached.92 1) ?v_2642))))) (=> true (=> (=> ?v_2640 ?v_2313) (=> (=> ?v_2641 ?v_2314) (=> true (=> (= errorReached.92 errorReached.91) (=> true ?v_2642)))))))))))) (=> true (=> ?v_2489 (and (=> true (=> ?v_773 (=> true (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2647))))))) (=> true (=> ?v_2491 (and (=> true (=> ?v_774 (=> true (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2647))))))) (=> true (=> ?v_778 (and (=> true (=> ?v_779 (=> true (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2647))))))) (=> true (=> ?v_2494 (=> true (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2647))))))))))))))))))) (let ((?v_2655 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2651)))))))))))))))) (?v_2652 (= k.169 k.167)) (?v_2653 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_2654 (= errorReached.91 errorReached.89)) (?v_2650 (=> true (=> (= k.169 k.168) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 call21075formal.ret.0) (=> (= errorReached.91 errorReached.90) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2651)))))) (?v_2648 (= k.168 0)) (?v_2649 (= k.168 1))) (let ((?v_2660 (and (=> true (=> ?v_27 (=> true (=> (<= k.167 k.168) (=> (< k.168 2) (and (=> true (=> (=> ?v_2648 ?v_1653) (=> (=> ?v_2649 ?v_1654) (=> true (=> (= errorReached.90 1) ?v_2650))))) (=> true (=> (=> ?v_2648 ?v_2313) (=> (=> ?v_2649 ?v_2314) (=> true (=> (= errorReached.90 errorReached.89) (=> true ?v_2650)))))))))))) (=> true (=> ?v_559 (and (=> true (=> ?v_561 (=> true (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2655))))))) (=> true (=> ?v_610 (and (=> true (=> ?v_565 (=> true (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2655))))))) (=> true (=> ?v_614 (and (=> true (=> ?v_566 (=> true (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2655))))))) (=> true (=> ?v_615 (=> true (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2655))))))))))))))))))) (let ((?v_2662 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2660))))))))))))) (?v_2661 (= errorReached.89 errorReached.88)) (?v_2658 (= k.167 k.166)) (?v_2659 (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 call20965formal.ret.0)) (?v_2656 (= k.166 0)) (?v_2657 (= k.166 1))) (let ((?v_2674 (and (=> true (=> ?v_27 (=> true (=> (<= k.165 k.166) (=> (< k.166 2) (and (=> true (=> (=> ?v_2656 ?v_1653) (=> (=> ?v_2657 ?v_1654) (=> true (=> ?v_2658 (=> (= errorReached.89 1) (=> ?v_2659 ?v_2660))))))) (=> true (=> (=> ?v_2656 ?v_2313) (=> (=> ?v_2657 ?v_2314) (=> true (=> ?v_2658 (=> ?v_2661 (=> ?v_2659 ?v_2662))))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.167 k.165) (=> ?v_2661 (=> (= inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.2..result.userContextSwitch.7790.4.2.) ?v_2662)))))))) (?v_1642 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hrequest))) (let ((?v_2693 (not ?v_1642)) (?v_2664 (=> true (=> (= k.165 k.164) (=> (= reqCancelSet_1.9 reqCancelSet_1.8) (=> (= reqCompleted_0.5 reqCompleted_0.4) (=> (= reqCompleted_1.5 reqCompleted_1.4) (=> (= errorReached.88 errorReached.87) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 call20807formal.ret.0) (=> (= reqCancelSet_0.9 reqCancelSet_0.8) ?v_2674))))))))) (?v_2665 (= reqCancelSet_1.8 reqCancelSet_1.3))) (let ((?v_2666 (=> (= reqCancelSet_0.8 reqCancelSet_0.3) (=> true ?v_2664))) (?v_2663 (= k.164 1))) (let ((?v_2669 (not ?v_2663)) (?v_1652 (= k.164 0))) (let ((?v_2667 (not ?v_1652))) (let ((?v_2668 (and (=> true (=> ?v_1652 (=> true (=> ?v_2665 (=> (= reqCancelSet_0.8 0) ?v_2664))))) (=> true (=> ?v_2667 (and (=> true (=> ?v_2663 (=> true (=> (= reqCancelSet_1.8 0) ?v_2666)))) (=> true (=> ?v_2669 (=> true (=> ?v_2665 ?v_2666)))))))))) (let ((?v_2672 (=> true (=> true ?v_2668))) (?v_2670 (= reqCompleted_0.4 reqCompleted_0)) (?v_2671 (= reqCompleted_1.4 reqCompleted_1))) (let ((?v_2673 (and (=> true (=> ?v_1652 (=> true (=> (= reqCompleted_0.4 1) (=> ?v_2671 ?v_2668))))) (=> true (=> ?v_2667 (and (=> true (=> ?v_2663 (=> true (=> ?v_2670 (=> (= reqCompleted_1.4 1) ?v_2672))))) (=> true (=> ?v_2669 (=> true (=> ?v_2670 (=> ?v_2671 ?v_2672))))))))))) (let ((?v_2689 (and (=> true (=> ?v_1642 (=> true (=> (<= k.163 k.164) (=> (< k.164 2) (and (=> true (=> (=> ?v_1652 ?v_8) (=> (=> ?v_2663 ?v_9) (=> true (=> (= errorReached.87 1) ?v_2673))))) (=> true (=> (=> ?v_1652 ?v_2) (=> (=> ?v_2663 ?v_3) (=> true (=> (= errorReached.87 errorReached.86) (=> true ?v_2673)))))))))))) (=> true (=> ?v_2693 (=> true (=> (= k.165 k.163) (=> (= reqCancelSet_1.9 reqCancelSet_1.3) (=> (= reqCompleted_0.5 reqCompleted_0) (=> (= reqCompleted_1.5 reqCompleted_1) (=> (= errorReached.88 errorReached.86) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.) (=> (= reqCancelSet_0.9 reqCancelSet_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2674))))))))))))))))))))))))))))) (?v_2685 (= k.160 0)) (?v_1650 (int_2_U (BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_1651 (U_2_int (MapType0Select Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?v_1650)))) (let ((?v_2686 (= ?v_1651 0)) (?v_2687 (= k.160 1)) (?v_2681 (U_2_int (MapType0Select Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?v_1650)))) (let ((?v_2688 (= ?v_2681 0)) (?v_2676 (=> true (=> (= k.163 k.162) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.6) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.2) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.6) ?v_2689)))))) (?v_2678 (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.6 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT))) (let ((?v_2679 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.6 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) (=> true ?v_2676))) (?v_2677 (= k.162 1)) (?v_2675 (= k.162 0))) (let ((?v_2682 (=> true (=> (<= k.161 k.162) (=> (< k.162 2) (and (=> true (=> ?v_2675 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.5 (MapType0Store Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?v_1650 ?v_65)) (=> true (=> ?v_2678 (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.6 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.5) ?v_2676)))))) (=> true (=> (not ?v_2675) (and (=> true (=> ?v_2677 (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.5 (MapType0Store Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT ?v_1650 ?v_65)) (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.6 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.5) ?v_2679))))) (=> true (=> (not ?v_2677) (=> true (=> ?v_2678 ?v_2679))))))))))))) (let ((?v_2684 (=> true ?v_2682)) (?v_2683 (= k.161 1)) (?v_2680 (= k.161 0))) (let ((?v_2694 (and (=> true (=> (=> ?v_2685 (not ?v_2686)) (=> (=> ?v_2687 (not ?v_2688)) (=> true (=> (<= k.160 k.161) (=> (< k.161 2) (and (=> true (=> ?v_2680 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.0 ?v_1651) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.0) ?v_2682))))) (=> true (=> (not ?v_2680) (and (=> true (=> ?v_2683 (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.1 ?v_2681) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.1) ?v_2684))))) (=> true (=> (not ?v_2683) (=> true (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.2 inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0) ?v_2684)))))))))))))) (=> true (=> (=> ?v_2685 ?v_2686) (=> (=> ?v_2687 ?v_2688) (=> true (=> (= k.163 k.160) (=> (= Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7 Mem_0_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) (=> (= inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0.3 inline.FreeVerifyCanceledOnQueueBuffer.0.myVar_0) (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT.7 Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2689)))))))))))))))))))) (?v_2696 (= k.160 k.158)) (?v_2697 (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.))) (let ((?v_2698 (=> (= errorReached.86 errorReached.84) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2694))))))))))) (?v_2700 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hdevice))) (let ((?v_3088 (not ?v_2700)) (?v_2699 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 hqueue))) (let ((?v_3087 (not ?v_2699)) (?v_2695 (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 htimer))) (let ((?v_3084 (not ?v_2695)) (?v_2692 (=> true (=> (= k.160 k.159) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 call20528formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.86 errorReached.85) ?v_2694)))))) (?v_2690 (= k.159 0)) (?v_2691 (= k.159 1))) (let ((?v_2703 (and (=> true (=> ?v_1642 (=> true (=> (<= k.158 k.159) (=> (< k.159 2) (and (=> true (=> (=> ?v_2690 ?v_8) (=> (=> ?v_2691 ?v_9) (=> true (=> (= errorReached.85 1) ?v_2692))))) (=> true (=> (=> ?v_2690 ?v_2) (=> (=> ?v_2691 ?v_3) (=> true (=> (= errorReached.85 errorReached.84) (=> true ?v_2692)))))))))))) (=> true (=> ?v_2693 (and (=> true (=> ?v_2695 (=> true (=> ?v_2696 (=> ?v_2697 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2698)))))) (=> true (=> ?v_3084 (and (=> true (=> ?v_2699 (=> true (=> ?v_2696 (=> ?v_2697 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2698)))))) (=> true (=> ?v_3087 (and (=> true (=> ?v_2700 (=> true (=> ?v_2696 (=> ?v_2697 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2698)))))) (=> true (=> ?v_3088 (=> true (=> ?v_2696 (=> ?v_2697 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2698)))))))))))))))))) (let ((?v_2704 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2703))))))))))))))))))))) (?v_2701 (= k.158 0)) (?v_2702 (= k.158 1))) (let ((?v_2709 (and (=> true (=> (=> ?v_2701 ?v_40) (=> (=> ?v_2702 ?v_41) ?v_2703))) (=> true (=> (=> ?v_2701 ?v_726) (=> (=> ?v_2702 ?v_728) (and (=> true (=> (=> ?v_2701 ?v_631) (=> (=> ?v_2702 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2704)))))))))))) (=> true (=> (=> ?v_2701 ?v_730) (=> (=> ?v_2702 ?v_731) ?v_2704))))))))) (?v_2711 (= k.158 k.84)) (?v_2712 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.))) (let ((?v_2713 (=> (= errorReached.84 errorReached.48) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2709))))))))))) (?v_2715 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hdevice)) (?v_2714 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hqueue)) (?v_2710 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 htimer)) (?v_2708 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 hrequest)) (?v_2707 (=> true (=> (= k.158 k.85) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 call20225formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.84 errorReached.49) ?v_2709)))))) (?v_2705 (= k.85 0)) (?v_2706 (= k.85 1))) (let ((?v_2718 (and (=> true (=> ?v_2708 (=> true (=> (<= k.84 k.85) (=> (< k.85 2) (and (=> true (=> (=> ?v_2705 ?v_8) (=> (=> ?v_2706 ?v_9) (=> true (=> (= errorReached.49 1) ?v_2707))))) (=> true (=> (=> ?v_2705 ?v_2) (=> (=> ?v_2706 ?v_3) (=> true (=> (= errorReached.49 errorReached.48) (=> true ?v_2707)))))))))))) (=> true (=> (not ?v_2708) (and (=> true (=> ?v_2710 (=> true (=> ?v_2711 (=> ?v_2712 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2713)))))) (=> true (=> (not ?v_2710) (and (=> true (=> ?v_2714 (=> true (=> ?v_2711 (=> ?v_2712 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2713)))))) (=> true (=> (not ?v_2714) (and (=> true (=> ?v_2715 (=> true (=> ?v_2711 (=> ?v_2712 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2713)))))) (=> true (=> (not ?v_2715) (=> true (=> ?v_2711 (=> ?v_2712 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2713)))))))))))))))))) (let ((?v_2720 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2718)))))))))))) (?v_2719 (= k.84 1)) (?v_2716 (= k.84 0))) (let ((?v_2737 (=> true (=> (<= k.83 k.84) (=> (< k.84 2) (and (=> true (=> ?v_2716 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13 ?v_1649) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.13) ?v_2718))))) (=> true (=> (not ?v_2716) (and (=> true (=> ?v_2719 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12 ?v_2751) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.12) ?v_2720))))) (=> true (=> (not ?v_2719) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.14 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11) ?v_2720)))))))))))) (?v_2734 (= k.79 0)) (?v_2735 (= k.79 1))) (let ((?v_2728 (=> true (=> (= k.83 k.82) (=> (= lockStatus_0.8 lockStatus_0.7) (=> (= inline.ReleaseDpcLock.0.myVar_0.3 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.ReleaseDpcLock.0.myVar_0.2) (=> (= lockStatus_1.8 lockStatus_1.7) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.ReleaseDpcLock.0.myVar_0.2) ?v_2737))))))))) (?v_2727 (= inline.ReleaseDpcLock.0.myVar_0.2 hlock))) (let ((?v_2722 (=> true (=> (= k.82 k.81) (=> (= lockStatus_0.7 lockStatus_0.6) (=> (= lockStatus_1.7 lockStatus_1.6) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 call20078formal.ret.0) ?v_2728))))))) (let ((?v_2726 (=> true ?v_2722)) (?v_2724 (= lockStatus_0.6 lockStatus_0.2)) (?v_2725 (= lockStatus_1.6 lockStatus_1.2)) (?v_2723 (= k.81 1)) (?v_2721 (= k.81 0))) (let ((?v_2731 (and (=> true (=> ?v_2727 (=> true (=> (<= k.80 k.81) (=> (< k.81 2) (and (=> true (=> ?v_2721 (=> true (=> (= lockStatus_0.6 0) (=> ?v_2725 ?v_2722))))) (=> true (=> (not ?v_2721) (and (=> true (=> ?v_2723 (=> true (=> ?v_2724 (=> (= lockStatus_1.6 0) ?v_2726))))) (=> true (=> (not ?v_2723) (=> true (=> ?v_2724 (=> ?v_2725 ?v_2726)))))))))))))) (=> true (=> (not ?v_2727) (=> true (=> (= k.82 k.80) (=> (= lockStatus_0.7 lockStatus_0.2) (=> (= lockStatus_1.7 lockStatus_1.2) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> true (=> true (=> true ?v_2728))))))))))))) (let ((?v_2733 (=> true (=> true (=> true (=> true ?v_2731))))) (?v_2732 (= k.80 1)) (?v_2730 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_2729 (= k.80 0))) (let ((?v_2736 (=> true (=> (<= k.79 k.80) (=> (< k.80 2) (and (=> true (=> ?v_2729 (=> (= inline.ReleaseDpcLock.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_2730))) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0.0) ?v_2731))))) (=> true (=> (not ?v_2729) (and (=> true (=> ?v_2732 (=> (= inline.ReleaseDpcLock.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_2730))) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0.1) ?v_2733))))) (=> true (=> (not ?v_2732) (=> true (=> (= inline.ReleaseDpcLock.0.myVar_0.2 inline.ReleaseDpcLock.0.myVar_0) ?v_2733))))))))))))) (let ((?v_2742 (and (=> true (=> (=> ?v_2734 ?v_36) (=> (=> ?v_2735 ?v_37) ?v_2736))) (=> true (=> (=> ?v_2734 ?v_442) (=> (=> ?v_2735 ?v_444) (and (=> true (=> (=> ?v_2734 ?v_344) (=> (=> ?v_2735 ?v_345) (=> true (=> true ?v_2736))))) (=> true (=> (=> ?v_2734 ?v_446) (=> (=> ?v_2735 ?v_447) (=> true (=> (= k.83 k.79) (=> (= lockStatus_0.8 lockStatus_0.2) (=> (= inline.ReleaseDpcLock.0.myVar_0.3 inline.ReleaseDpcLock.0.myVar_0) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_1.8 lockStatus_1.2) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> true (=> true (=> true ?v_2737))))))))))))))))))))) (let ((?v_2747 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2742)))))))))) (?v_2744 (= k.79 k.77)) (?v_2745 (= errorReached.48 errorReached.46)) (?v_2746 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_2749 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hdevice)) (?v_2748 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hqueue)) (?v_2743 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 htimer)) (?v_2741 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 hrequest)) (?v_2740 (=> true (=> (= k.79 k.78) (=> (= errorReached.48 errorReached.47) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 call19807formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2742)))))) (?v_2738 (= k.78 0)) (?v_2739 (= k.78 1))) (let ((?v_2752 (and (=> true (=> ?v_2741 (=> true (=> (<= k.77 k.78) (=> (< k.78 2) (and (=> true (=> (=> ?v_2738 ?v_8) (=> (=> ?v_2739 ?v_9) (=> true (=> (= errorReached.47 1) ?v_2740))))) (=> true (=> (=> ?v_2738 ?v_2) (=> (=> ?v_2739 ?v_3) (=> true (=> (= errorReached.47 errorReached.46) (=> true ?v_2740)))))))))))) (=> true (=> (not ?v_2741) (and (=> true (=> ?v_2743 (=> true (=> ?v_2744 (=> ?v_2745 (=> ?v_2746 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2747))))))) (=> true (=> (not ?v_2743) (and (=> true (=> ?v_2748 (=> true (=> ?v_2744 (=> ?v_2745 (=> ?v_2746 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2747))))))) (=> true (=> (not ?v_2748) (and (=> true (=> ?v_2749 (=> true (=> ?v_2744 (=> ?v_2745 (=> ?v_2746 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2747))))))) (=> true (=> (not ?v_2749) (=> true (=> ?v_2744 (=> ?v_2745 (=> ?v_2746 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2747))))))))))))))))))) (let ((?v_2754 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2752)))))))))))) (?v_2753 (= k.77 1)) (?v_2750 (= k.77 0))) (let ((?v_2756 (=> true (=> (<= k.76 k.77) (=> (< k.77 2) (and (=> true (=> ?v_2750 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9 ?v_1649) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.9) ?v_2752))))) (=> true (=> (not ?v_2750) (and (=> true (=> ?v_2753 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10 ?v_2751) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.10) ?v_2754))))) (=> true (=> (not ?v_2753) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.11 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2) ?v_2754))))))))))))) (let ((?v_2760 (=> true ?v_2756)) (?v_2758 (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2759 (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT)) (?v_2757 (= k.76 1)) (?v_2755 (= k.76 0))) (let ((?v_2763 (=> true (=> (<= k.75 k.76) (=> (< k.76 2) (and (=> true (=> ?v_2755 (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 ?v_3403) (=> true (=> (= Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_0_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) (=> ?v_2759 ?v_2756)))))) (=> true (=> (not ?v_2755) (and (=> true (=> ?v_2757 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2 ?v_4039) (=> true (=> ?v_2758 (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.3 Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT.2) ?v_2760)))))) (=> true (=> (not ?v_2757) (=> true (=> ?v_2758 (=> ?v_2759 ?v_2760))))))))))))) (?v_2765 (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT))) (let ((?v_2766 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> true (=> true ?v_2763)))) (?v_2764 (= k.75 1)) (?v_2761 (= k.75 0))) (let ((?v_3067 (and (=> true (=> ?v_2767 (=> true (=> (<= k.74 k.75) (=> (< k.75 2) (and (=> true (=> ?v_2761 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 ?v_3402) (=> true (=> ?v_2765 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_2763)))))) (=> true (=> (not ?v_2761) (and (=> true (=> ?v_2764 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2 ?v_4046) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.3 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.2) ?v_2766))))) (=> true (=> (not ?v_2764) (=> true (=> ?v_2765 ?v_2766))))))))))))) (=> true (=> (not ?v_2767) (=> true (=> ?v_2768 (=> ?v_2769 (=> ?v_3092 (=> ?v_2770 (=> ?v_3093 (=> ?v_2771 (=> ?v_3094 (=> ?v_3095 (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_2775 (=> ?v_2776 (=> ?v_3096 (=> ?v_3097 (=> ?v_2777 (=> ?v_2778 (=> ?v_3098 (=> ?v_2779 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_2780 (=> ?v_2781 (=> ?v_2782 (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> ?v_3103 (=> ?v_2786 (=> ?v_2787 (=> ?v_2788 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_2789 (=> ?v_2790 (=> ?v_2791 (=> ?v_2792 (=> ?v_3107 (=> ?v_2793 (=> ?v_2794 (=> ?v_2795 (=> ?v_2796 (=> ?v_2797 (=> ?v_3108 (=> ?v_2798 (=> ?v_2799 (=> ?v_3109 (=> ?v_3110 (=> ?v_2800 (=> ?v_3111 (=> ?v_3112 (=> ?v_2801 (=> ?v_3113 (=> ?v_3114 (=> ?v_2802 (=> ?v_3115 (=> ?v_2803 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_2804 (=> ?v_2805 (=> ?v_2806 (=> ?v_3121 (=> ?v_3122 (=> ?v_2807 (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_2811 (=> ?v_2812 (=> ?v_3126 (=> ?v_2813 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_2814 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_2815 (=> ?v_3134 (=> ?v_2816 (=> ?v_2817 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_2818 (=> ?v_2819 (=> ?v_2820 (=> ?v_2821 (=> ?v_3139 (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_2822 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3147 (=> ?v_3148 (=> (= reqCancelSet_0.16 reqCancelSet_0.3) (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_2823 (=> ?v_2824 (=> ?v_2825 (=> ?v_3153 (=> ?v_2826 (=> ?v_3154 (=> ?v_2827 (=> ?v_3155 (=> ?v_2828 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_2829 (=> ?v_3159 (=> ?v_2830 (=> ?v_2831 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_2832 (=> ?v_3164 (=> ?v_3165 (=> ?v_2833 (=> ?v_3166 (=> ?v_2834 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_2835 (=> ?v_3170 (=> ?v_2836 (=> ?v_3171 (=> ?v_3172 (=> ?v_2837 (=> ?v_2838 (=> ?v_2839 (=> ?v_3173 (=> ?v_3174 (=> ?v_2840 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_2841 (=> ?v_2842 (=> ?v_2843 (=> ?v_2844 (=> ?v_3180 (=> ?v_3181 (=> ?v_2845 (=> ?v_3182 (=> ?v_2846 (=> ?v_3183 (=> ?v_2847 (=> ?v_3184 (=> ?v_3185 (=> ?v_2848 (=> ?v_2849 (=> ?v_3186 (=> ?v_2850 (=> ?v_2851 (=> ?v_2852 (=> ?v_2853 (=> ?v_3187 (=> ?v_2854 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_2855 (=> ?v_2856 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_2857 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_2858 (=> ?v_3200 (=> ?v_3201 (=> ?v_2859 (=> ?v_2860 (=> ?v_3202 (=> ?v_2861 (=> ?v_2862 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_2863 (=> ?v_2864 (=> ?v_3207 (=> ?v_2865 (=> ?v_3208 (=> ?v_2866 (=> ?v_2867 (=> ?v_3209 (=> ?v_2868 (=> ?v_2869 (=> ?v_3210 (=> ?v_3211 (=> ?v_2870 (=> ?v_2871 (=> ?v_3212 (=> ?v_3213 (=> ?v_2872 (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_2873 (=> ?v_3218 (=> ?v_2874 (=> ?v_2875 (=> ?v_3219 (=> ?v_2876 (=> ?v_2877 (=> ?v_3220 (=> ?v_3221 (=> ?v_2878 (=> ?v_2879 (=> ?v_2880 (=> ?v_2881 (=> ?v_3222 (=> ?v_2882 (=> ?v_2883 (=> ?v_2884 (=> ?v_3223 (=> ?v_2885 (=> ?v_3224 (=> ?v_2886 (=> ?v_2887 (=> ?v_2888 (=> ?v_3225 (=> ?v_2889 (=> ?v_2890 (=> ?v_2891 (=> ?v_2892 (=> ?v_3226 (=> ?v_2893 (=> ?v_2894 (=> ?v_2895 (=> ?v_2896 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_2897 (=> ?v_2898 (=> ?v_3230 (=> ?v_3231 (=> ?v_2899 (=> ?v_3232 (=> ?v_3233 (=> ?v_2900 (=> ?v_3234 (=> ?v_3235 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> ?v_3240 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_2906 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_2907 (=> ?v_3247 (=> ?v_2908 (=> ?v_2909 (=> ?v_3248 (=> ?v_3249 (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> ?v_3250 (=> ?v_2913 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_2914 (=> ?v_3254 (=> ?v_3255 (=> ?v_2915 (=> ?v_3256 (=> ?v_3257 (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 (=> ?v_3258 (=> ?v_2919 (=> ?v_2920 (=> ?v_3259 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> (= errorReached.133 errorReached.46) (=> ?v_2926 (=> ?v_3260 (=> ?v_3261 (=> ?v_2927 (=> ?v_2928 (=> ?v_3262 (=> ?v_3263 (=> ?v_2929 (=> ?v_3264 (=> ?v_2930 (=> ?v_2931 (=> ?v_2932 (=> ?v_3265 (=> ?v_2933 (=> ?v_2934 (=> ?v_3266 (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> ?v_3267 (=> ?v_3268 (=> ?v_2938 (=> ?v_3269 (=> ?v_3270 (=> ?v_2939 (=> ?v_3271 (=> ?v_2940 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_2941 (=> ?v_2942 (=> ?v_3276 (=> ?v_3277 (=> ?v_2943 (=> ?v_3278 (=> ?v_3279 (=> ?v_2944 (=> ?v_3280 (=> ?v_3281 (=> ?v_1670 (=> ?v_2945 (=> ?v_3282 (=> ?v_2946 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_2947 (=> ?v_2948 (=> ?v_2949 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_2950 (=> ?v_2951 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_2952 (=> ?v_3294 (=> ?v_2953 (=> ?v_2954 (=> ?v_2955 (=> ?v_3295 (=> ?v_2956 (=> ?v_3296 (=> ?v_3297 (=> ?v_2957 (=> ?v_3298 (=> ?v_3299 (=> ?v_2958 (=> ?v_3300 (=> ?v_3301 (=> ?v_3302 (=> ?v_2959 (=> ?v_3303 (=> ?v_3304 (=> ?v_2960 (=> ?v_2961 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_2962 (=> ?v_3309 (=> ?v_3310 (=> ?v_2963 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_2964 (=> ?v_3315 (=> (= k.251 k.74) (=> ?v_3316 (=> ?v_3317 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_2968 (=> ?v_3318 (=> ?v_2969 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_2970 (=> ?v_2971 (=> ?v_3322 (=> ?v_2972 (=> ?v_3323 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_2977 (=> ?v_3327 (=> ?v_2978 (=> ?v_2979 (=> ?v_3328 (=> ?v_3329 (=> ?v_2980 (=> ?v_2981 (=> ?v_3330 (=> ?v_2982 (=> ?v_3331 (=> ?v_3332 (=> ?v_2983 (=> ?v_2984 (=> ?v_3333 (=> ?v_3334 (=> ?v_2985 (=> ?v_2986 (=> ?v_3335 (=> ?v_3336 (=> ?v_2987 (=> ?v_3337 (=> ?v_2988 (=> ?v_2989 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_2990 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_3343 (=> ?v_2994 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_2995 (=> ?v_3347 (=> ?v_3348 (=> ?v_2996 (=> ?v_2997 (=> ?v_3349 (=> ?v_2998 (=> ?v_2999 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> ?v_3005 (=> ?v_3350 (=> ?v_3351 (=> ?v_3006 (=> ?v_3007 (=> ?v_3008 (=> ?v_3352 (=> ?v_3353 (=> ?v_3009 (=> ?v_3010 (=> ?v_3354 (=> ?v_3011 (=> ?v_3012 (=> ?v_3013 (=> ?v_3014 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3015 (=> ?v_3359 (=> ?v_3016 (=> ?v_3360 (=> ?v_3017 (=> ?v_3018 (=> ?v_3361 (=> ?v_3362 (=> ?v_3019 (=> ?v_3020 (=> ?v_3363 (=> ?v_3021 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3026 (=> ?v_3027 (=> ?v_3371 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3372 (=> ?v_3031 (=> ?v_3373 (=> ?v_3032 (=> ?v_3033 (=> ?v_3034 (=> ?v_3035 (=> ?v_3374 (=> ?v_3036 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3037 (=> ?v_3038 (=> ?v_3378 (=> ?v_3379 (=> ?v_3039 (=> ?v_3380 (=> ?v_3040 (=> ?v_3041 (=> ?v_3042 (=> ?v_3381 (=> ?v_3043 (=> ?v_3382 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3047 (=> ?v_3383 (=> ?v_3048 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3053 (=> ?v_3391 (=> ?v_3054 (=> ?v_3055 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3056 (=> ?v_3057 (=> ?v_3395 (=> (= reqCancelSet_1.16 reqCancelSet_1.3) (=> ?v_3058 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3059 ?v_3399)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3068 (=> true (=> true (=> true (=> true (=> true ?v_3067)))))) (?v_1647 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 1)) (?v_3066 (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 0))) (let ((?v_3074 (and (=> true (=> (not ?v_3066) (=> (not ?v_1647) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 0) ?v_3067))))) (=> true (=> ?v_3066 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0 ?v_390) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..0) ?v_3068)))))) (=> true (=> ?v_1647 (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1 ?v_392) (=> true (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..2 inline.sdv_WdfRequestUnmarkCancelable.0..result.sdv_WdfRequestUnmarkCancelable.7715.0.1..1) ?v_3068))))))))) (let ((?v_3079 (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..choice.2.7719.7.sdv_WdfRequestUnmarkCancelable.0 call19406formal.ret.0) (=> true ?v_3074))) (?v_3069 (= k.74 k.73)) (?v_3070 (= reqCancelSet_1.3 reqCancelSet_1.2)) (?v_3071 (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 call19446formal.ret.0)) (?v_3072 (= errorReached.46 errorReached.45)) (?v_3073 (= reqCancelSet_0.3 reqCancelSet_0.2)) (?v_1643 (= k.73 0)) (?v_1644 (= reqCancelStarted_0 0)) (?v_1645 (= k.73 1)) (?v_1646 (= reqCancelStarted_1 0))) (let ((?v_3075 (and (=> true (=> (=> ?v_1643 (not ?v_1644)) (=> (=> ?v_1645 (not ?v_1646)) (=> true (=> ?v_3069 (=> ?v_3070 (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> ?v_1647 ?v_3074)))))))))) (=> true (=> (=> ?v_1643 ?v_1644) (=> (=> ?v_1645 ?v_1646) (=> true (=> ?v_3069 (=> ?v_3070 (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 ?v_3079))))))))))) (?v_3076 (= reqCancelSet_1.2 reqCancelSet_1))) (let ((?v_3077 (=> (= reqCancelSet_0.2 reqCancelSet_0) (=> true (=> true ?v_3075))))) (let ((?v_3078 (and (=> true (=> ?v_1643 (=> true (=> ?v_3076 (=> (= reqCancelSet_0.2 0) ?v_3075))))) (=> true (=> (not ?v_1643) (and (=> true (=> ?v_1645 (=> true (=> (= reqCancelSet_1.2 0) ?v_3077)))) (=> true (=> (not ?v_1645) (=> true (=> ?v_3076 ?v_3077)))))))))) (let ((?v_3083 (and (=> true (=> ?v_1642 (=> true (=> (<= k.72 k.73) (=> (< k.73 2) (and (=> true (=> (=> ?v_1643 ?v_8) (=> (=> ?v_1645 ?v_9) (=> true (=> (= errorReached.45 1) ?v_3078))))) (=> true (=> (=> ?v_1643 ?v_2) (=> (=> ?v_1645 ?v_3) (=> true (=> (= errorReached.45 errorReached.44) (=> true ?v_3078)))))))))))) (=> true (=> ?v_2693 (=> true (=> (= k.74 k.72) (=> (= reqCancelSet_1.3 reqCancelSet_1) (=> (= inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3..0 inline.sdv_WdfRequestUnmarkCancelable.0..result.userContextSwitch.7722.4.3.) (=> (= errorReached.46 errorReached.44) (=> (= reqCancelSet_0.3 reqCancelSet_0) ?v_3079)))))))))) (?v_3085 (= k.72 k.45))) (let ((?v_3086 (=> (= errorReached.44 errorReached.28) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3083)))))))))))))))))) (?v_3082 (=> true (=> (= k.72 k.71) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.44 errorReached.43) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 call19292formal.ret.0) ?v_3083)))))) (?v_3080 (= k.71 0)) (?v_3081 (= k.71 1))) (let ((?v_3400 (and (=> true (=> (=> ?v_1640 (not ?v_3089)) (=> (=> ?v_3090 (not ?v_3091)) (and (=> true (=> ?v_1642 (=> true (=> (<= k.45 k.71) (=> (< k.71 2) (and (=> true (=> (=> ?v_3080 ?v_8) (=> (=> ?v_3081 ?v_9) (=> true (=> (= errorReached.43 1) ?v_3082))))) (=> true (=> (=> ?v_3080 ?v_2) (=> (=> ?v_3081 ?v_3) (=> true (=> (= errorReached.43 errorReached.28) (=> true ?v_3082)))))))))))) (=> true (=> ?v_2693 (and (=> true (=> ?v_2695 (=> true (=> ?v_3085 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3086))))) (=> true (=> ?v_3084 (and (=> true (=> ?v_2699 (=> true (=> ?v_3085 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3086))))) (=> true (=> ?v_3087 (and (=> true (=> ?v_2700 (=> true (=> ?v_3085 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3086))))) (=> true (=> ?v_3088 (=> true (=> ?v_3085 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3086)))))))))))))))))) (=> true (=> (=> ?v_1640 ?v_3089) (=> (=> ?v_3090 ?v_3091) (=> true (=> ?v_2768 (=> ?v_2769 (=> ?v_3092 (=> ?v_2770 (=> ?v_3093 (=> ?v_2771 (=> ?v_3094 (=> ?v_3095 (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_2775 (=> ?v_2776 (=> ?v_3096 (=> ?v_3097 (=> ?v_2777 (=> ?v_2778 (=> ?v_3098 (=> ?v_2779 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_2780 (=> ?v_2781 (=> ?v_2782 (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> ?v_3103 (=> ?v_2786 (=> ?v_2787 (=> ?v_2788 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_2789 (=> ?v_2790 (=> ?v_2791 (=> ?v_2792 (=> ?v_3107 (=> ?v_2793 (=> ?v_2794 (=> ?v_2795 (=> ?v_3417 (=> ?v_2797 (=> ?v_3108 (=> ?v_2798 (=> ?v_2799 (=> ?v_3109 (=> ?v_3110 (=> ?v_2800 (=> ?v_3111 (=> ?v_3112 (=> ?v_2801 (=> ?v_3113 (=> ?v_3114 (=> ?v_2802 (=> ?v_3115 (=> ?v_3418 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_2804 (=> ?v_2805 (=> ?v_2806 (=> ?v_3121 (=> ?v_3122 (=> ?v_2807 (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_2811 (=> ?v_2812 (=> ?v_3126 (=> ?v_2813 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_2814 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_2815 (=> ?v_3134 (=> ?v_2816 (=> ?v_2817 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_2818 (=> ?v_3419 (=> ?v_2820 (=> ?v_2821 (=> ?v_3139 (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_2822 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3147 (=> ?v_3148 (=> (= reqCancelSet_0.16 reqCancelSet_0) (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_2823 (=> ?v_3420 (=> ?v_2825 (=> ?v_3153 (=> ?v_2826 (=> ?v_3154 (=> ?v_2827 (=> ?v_3155 (=> ?v_2828 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_2829 (=> ?v_3159 (=> ?v_2830 (=> ?v_2831 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_2832 (=> ?v_3164 (=> ?v_3165 (=> ?v_2833 (=> ?v_3166 (=> ?v_2834 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_2835 (=> ?v_3170 (=> ?v_2836 (=> ?v_3171 (=> ?v_3172 (=> ?v_2837 (=> ?v_2838 (=> ?v_2839 (=> ?v_3173 (=> ?v_3174 (=> ?v_2840 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_2841 (=> ?v_2842 (=> ?v_2843 (=> ?v_2844 (=> ?v_3180 (=> ?v_3181 (=> ?v_2845 (=> ?v_3182 (=> ?v_2846 (=> ?v_3183 (=> ?v_2847 (=> ?v_3184 (=> ?v_3185 (=> ?v_2848 (=> ?v_2849 (=> ?v_3186 (=> ?v_2850 (=> ?v_2851 (=> ?v_2852 (=> ?v_2853 (=> ?v_3187 (=> ?v_2854 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_2855 (=> ?v_2856 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_2857 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_2858 (=> ?v_3200 (=> ?v_3201 (=> ?v_2859 (=> ?v_2860 (=> ?v_3202 (=> ?v_2861 (=> ?v_2862 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_2863 (=> ?v_2864 (=> ?v_3207 (=> ?v_2865 (=> ?v_3208 (=> ?v_2866 (=> ?v_2867 (=> ?v_3209 (=> ?v_2868 (=> ?v_2869 (=> ?v_3210 (=> ?v_3211 (=> ?v_2870 (=> ?v_2871 (=> ?v_3212 (=> ?v_3213 (=> ?v_2872 (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_2873 (=> ?v_3218 (=> ?v_2874 (=> ?v_2875 (=> ?v_3219 (=> ?v_2876 (=> ?v_2877 (=> ?v_3220 (=> ?v_3221 (=> ?v_2878 (=> ?v_2879 (=> ?v_2880 (=> ?v_2881 (=> ?v_3222 (=> ?v_2882 (=> ?v_2883 (=> ?v_2884 (=> ?v_3223 (=> ?v_2885 (=> ?v_3224 (=> ?v_3421 (=> ?v_2887 (=> ?v_2888 (=> ?v_3225 (=> ?v_2889 (=> ?v_2890 (=> ?v_2891 (=> ?v_2892 (=> ?v_3226 (=> ?v_2893 (=> ?v_2894 (=> ?v_2895 (=> ?v_2896 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_2897 (=> ?v_2898 (=> ?v_3230 (=> ?v_3231 (=> ?v_2899 (=> ?v_3232 (=> ?v_3233 (=> ?v_2900 (=> ?v_3234 (=> ?v_3235 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> ?v_3240 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_2906 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_2907 (=> ?v_3247 (=> ?v_2908 (=> ?v_2909 (=> ?v_3248 (=> ?v_3249 (=> ?v_3422 (=> ?v_2911 (=> ?v_2912 (=> ?v_3250 (=> ?v_2913 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_2914 (=> ?v_3254 (=> ?v_3255 (=> ?v_2915 (=> ?v_3256 (=> ?v_3257 (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 (=> ?v_3258 (=> ?v_3423 (=> ?v_2920 (=> ?v_3259 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> (= errorReached.133 errorReached.28) (=> ?v_2926 (=> ?v_3260 (=> ?v_3261 (=> ?v_2927 (=> ?v_2928 (=> ?v_3262 (=> ?v_3263 (=> ?v_2929 (=> ?v_3264 (=> ?v_2930 (=> ?v_2931 (=> ?v_2932 (=> ?v_3265 (=> ?v_2933 (=> ?v_2934 (=> ?v_3266 (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> ?v_3267 (=> ?v_3268 (=> ?v_2938 (=> ?v_3269 (=> ?v_3270 (=> ?v_2939 (=> ?v_3271 (=> ?v_2940 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_2941 (=> ?v_2942 (=> ?v_3276 (=> ?v_3277 (=> ?v_2943 (=> ?v_3278 (=> ?v_3279 (=> ?v_2944 (=> ?v_3280 (=> ?v_3281 (=> ?v_1670 (=> ?v_2945 (=> ?v_3282 (=> ?v_2946 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3425 (=> ?v_2948 (=> ?v_2949 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_2950 (=> ?v_2951 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_2952 (=> ?v_3294 (=> ?v_2953 (=> ?v_2954 (=> ?v_2955 (=> ?v_3295 (=> ?v_2956 (=> ?v_3296 (=> ?v_3297 (=> ?v_2957 (=> ?v_3298 (=> ?v_3299 (=> ?v_2958 (=> ?v_3300 (=> ?v_3301 (=> ?v_3302 (=> ?v_2959 (=> ?v_3303 (=> ?v_3304 (=> ?v_2960 (=> ?v_2961 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_2962 (=> ?v_3309 (=> ?v_3310 (=> ?v_2963 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_2964 (=> ?v_3315 (=> (= k.251 k.45) (=> ?v_3316 (=> ?v_3317 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_2968 (=> ?v_3318 (=> ?v_2969 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_2970 (=> ?v_2971 (=> ?v_3322 (=> ?v_2972 (=> ?v_3323 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_2977 (=> ?v_3327 (=> ?v_2978 (=> ?v_2979 (=> ?v_3328 (=> ?v_3329 (=> ?v_2980 (=> ?v_2981 (=> ?v_3330 (=> ?v_3426 (=> ?v_3331 (=> ?v_3332 (=> ?v_2983 (=> ?v_2984 (=> ?v_3333 (=> ?v_3334 (=> ?v_2985 (=> ?v_2986 (=> ?v_3335 (=> ?v_3336 (=> ?v_2987 (=> ?v_3337 (=> ?v_2988 (=> ?v_2989 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_2990 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_3343 (=> ?v_2994 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_2995 (=> ?v_3347 (=> ?v_3348 (=> ?v_2996 (=> ?v_2997 (=> ?v_3349 (=> ?v_2998 (=> ?v_2999 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> ?v_3427 (=> ?v_3350 (=> ?v_3351 (=> ?v_3006 (=> ?v_3007 (=> ?v_3008 (=> ?v_3352 (=> ?v_3353 (=> ?v_3009 (=> ?v_3010 (=> ?v_3354 (=> ?v_3011 (=> ?v_3012 (=> ?v_3013 (=> ?v_3014 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3015 (=> ?v_3359 (=> ?v_3016 (=> ?v_3360 (=> ?v_3017 (=> ?v_3018 (=> ?v_3361 (=> ?v_3362 (=> ?v_3019 (=> ?v_3020 (=> ?v_3363 (=> ?v_3021 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3026 (=> ?v_3027 (=> ?v_3371 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3372 (=> ?v_3031 (=> ?v_3373 (=> ?v_3032 (=> ?v_3033 (=> ?v_3034 (=> ?v_3035 (=> ?v_3374 (=> ?v_3036 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3037 (=> ?v_3038 (=> ?v_3378 (=> ?v_3379 (=> ?v_3039 (=> ?v_3380 (=> ?v_3040 (=> ?v_3428 (=> ?v_3042 (=> ?v_3381 (=> ?v_3043 (=> ?v_3382 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3429 (=> ?v_3383 (=> ?v_3048 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3049 (=> ?v_3050 (=> ?v_3430 (=> ?v_3052 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3053 (=> ?v_3391 (=> ?v_3054 (=> ?v_3055 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3056 (=> ?v_3057 (=> ?v_3395 (=> (= reqCancelSet_1.16 reqCancelSet_1) (=> ?v_3431 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3432 ?v_3399))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4051 (and (=> true (=> (not ?v_3401) (and (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1 1) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.1) ?v_3400)))) (=> true (=> (not (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0 1)) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myNondetVar_0.0) (=> true ?v_3400)))))))) (=> true (=> ?v_3401 (=> true (=> (<= k.45 k.46) (=> (< k.46 2) (and (=> true (=> ?v_4045 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 ?v_3402) (=> true (=> ?v_4049 (=> (= Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_4047)))))) (=> true (=> (not ?v_4045) (and (=> true (=> ?v_4048 (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0 ?v_4046) (=> true (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.1 Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT.0) ?v_4050))))) (=> true (=> (not ?v_4048) (=> true (=> ?v_4049 ?v_4050)))))))))))))))) (let ((?v_4052 (=> true (=> true ?v_4051)))) (let ((?v_4057 (=> true (=> (<= k.44 k.45) (=> (< k.45 2) (and (=> true (=> ?v_1640 (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0 (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1648))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.0) ?v_4051))))) (=> true (=> (not ?v_1640) (and (=> true (=> ?v_3090 (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1 (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_1648))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.1) ?v_4052))))) (=> true (=> (not ?v_3090) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked.2 inline.MakeNewRequestCurrentRequestLocked.0..pendingRequest.3.678.15.MakeNewRequestCurrentRequestLocked) ?v_4052))))))))))))) (let ((?v_4062 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4057))))))))) (?v_4059 (= k.44 k.42)) (?v_4060 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.)) (?v_4061 (= errorReached.28 errorReached.26)) (?v_4064 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hdevice)) (?v_4063 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hqueue)) (?v_4058 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 htimer)) (?v_4056 (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 hrequest)) (?v_4055 (=> true (=> (= k.44 k.43) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 call18949formal.ret.0) (=> (= errorReached.28 errorReached.27) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4057)))))) (?v_4053 (= k.43 0)) (?v_4054 (= k.43 1))) (let ((?v_4067 (and (=> true (=> ?v_4056 (=> true (=> (<= k.42 k.43) (=> (< k.43 2) (and (=> true (=> (=> ?v_4053 ?v_8) (=> (=> ?v_4054 ?v_9) (=> true (=> (= errorReached.27 1) ?v_4055))))) (=> true (=> (=> ?v_4053 ?v_2) (=> (=> ?v_4054 ?v_3) (=> true (=> (= errorReached.27 errorReached.26) (=> true ?v_4055)))))))))))) (=> true (=> (not ?v_4056) (and (=> true (=> ?v_4058 (=> true (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4062))))))) (=> true (=> (not ?v_4058) (and (=> true (=> ?v_4063 (=> true (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4062))))))) (=> true (=> (not ?v_4063) (and (=> true (=> ?v_4064 (=> true (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4062))))))) (=> true (=> (not ?v_4064) (=> true (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4062))))))))))))))))))) (let ((?v_4069 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4067)))))))) (?v_4068 (= k.42 1)) (?v_4066 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4065 (= k.42 0))) (let ((?v_4073 (=> true (=> (<= k.41 k.42) (=> (< k.42 2) (and (=> true (=> ?v_4065 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4066))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.0) ?v_4067))))) (=> true (=> (not ?v_4065) (and (=> true (=> ?v_4068 (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4066))) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.1) ?v_4069))))) (=> true (=> (not ?v_4068) (=> true (=> (= inline.MakeNewRequestCurrentRequestLocked.0.myVar_0.2 inline.MakeNewRequestCurrentRequestLocked.0.myVar_0) ?v_4069)))))))))))) (?v_4074 (= k.41 k.39)) (?v_4075 (= errorReached.26 errorReached.24))) (let ((?v_4076 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4073)))))))))) (?v_4072 (=> true (=> (= k.41 k.40) (=> (= errorReached.26 errorReached.25) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 call18741formal.ret.0) ?v_4073)))))) (?v_4070 (= k.40 0)) (?v_4071 (= k.40 1))) (let ((?v_4081 (and (=> true (=> ?v_26 (=> true (=> (<= k.39 k.40) (=> (< k.40 2) (and (=> true (=> (=> ?v_4070 ?v_8) (=> (=> ?v_4071 ?v_9) (=> true (=> (= errorReached.25 1) ?v_4072))))) (=> true (=> (=> ?v_4070 ?v_2) (=> (=> ?v_4071 ?v_3) (=> true (=> (= errorReached.25 errorReached.24) (=> true ?v_4072)))))))))))) (=> true (=> ?v_2489 (and (=> true (=> ?v_773 (=> true (=> ?v_4074 (=> ?v_4075 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4076)))))) (=> true (=> ?v_2491 (and (=> true (=> ?v_774 (=> true (=> ?v_4074 (=> ?v_4075 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4076)))))) (=> true (=> ?v_778 (and (=> true (=> ?v_779 (=> true (=> ?v_4074 (=> ?v_4075 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4076)))))) (=> true (=> ?v_2494 (=> true (=> ?v_4074 (=> ?v_4075 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4076)))))))))))))))))) (let ((?v_4083 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4081)))))))))))) (?v_4082 (= errorReached.24 errorReached.23)) (?v_4079 (= k.39 k.38)) (?v_4080 (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 call18636formal.ret.0)) (?v_4077 (= k.38 0)) (?v_4078 (= k.38 1))) (let ((?v_4251 (and (=> true (=> ?v_27 (=> true (=> (<= k.37 k.38) (=> (< k.38 2) (and (=> true (=> (=> ?v_4077 ?v_8) (=> (=> ?v_4078 ?v_9) (=> true (=> ?v_4079 (=> (= errorReached.24 1) (=> ?v_4080 ?v_4081))))))) (=> true (=> (=> ?v_4077 ?v_2) (=> (=> ?v_4078 ?v_3) (=> true (=> ?v_4079 (=> ?v_4082 (=> ?v_4080 ?v_4083))))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.39 k.37) (=> ?v_4082 (=> (= inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.1..result.userContextSwitch.7790.4.2.) ?v_4083))))))))) (let ((?v_4386 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4251))))))))))))))) (?v_4160 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory)) (?v_4161 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.)) (?v_4162 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28.)) (?v_4163 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4349 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2.)) (?v_4350 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8.)) (?v_4164 (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2.)) (?v_4165 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1)) (?v_4166 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_4167 (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.2 inline.EvtIoChildDeviceControl.0.myNondetVar_1.0)) (?v_4168 (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4169 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0)) (?v_4170 (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0)) (?v_4171 (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0)) (?v_4351 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2.)) (?v_4352 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4172 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4173 (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4353 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9.)) (?v_4174 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2.)) (?v_4175 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_4176 (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4354 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.)) (?v_4177 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_4355 (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4356 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_4178 (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2.)) (?v_4179 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_4180 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_4181 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_4182 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26.)) (?v_4357 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_4358 (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12)) (?v_4183 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_4184 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4185 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16.)) (?v_4359 (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2.)) (?v_4360 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_4186 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3.)) (?v_4187 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_4461 (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 0)) (?v_4361 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_4362 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_4363 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12.)) (?v_4188 (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_4364 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2.)) (?v_4189 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_4190 (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4191 (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2.)) (?v_4192 (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12)) (?v_4193 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2.)) (?v_4194 (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2.)) (?v_4195 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_4196 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.)) (?v_4197 (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1.)) (?v_4365 (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1.)) (?v_4198 (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0 inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2.)) (?v_4199 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19.)) (?v_4200 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27.)) (?v_4366 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13.)) (?v_4201 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0)) (?v_4367 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_4202 (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12)) (?v_4203 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29.)) (?v_4204 (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0 inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12)) (?v_4368 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0 inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3.)) (?v_4462 (= errorReached.23 errorReached.16)) (?v_4205 (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0 0)) (?v_4206 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.)) (?v_4207 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.)) (?v_4369 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_4208 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_4209 (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4210 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_4211 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_4212 (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_4370 (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0)) (?v_4213 (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0)) (?v_4214 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_4215 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_4371 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_4372 (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2.)) (?v_4216 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17.)) (?v_4463 (= k.37 k.24)) (?v_4373 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory)) (?v_4217 (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2.)) (?v_4374 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11.)) (?v_4218 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18.)) (?v_4219 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_4220 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_4221 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1.)) (?v_4375 (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl)) (?v_4222 (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 0)) (?v_4223 (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0)) (?v_4224 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_4225 (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1.)) (?v_4226 (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4376 (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1)) (?v_4227 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3.)) (?v_4228 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4229 (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_4230 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_4377 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_4231 (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1.)) (?v_4232 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25.)) (?v_4233 (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0)) (?v_4378 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10.)) (?v_4234 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_4379 (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory)) (?v_4235 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_4380 (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.)) (?v_4236 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1)) (?v_4381 (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0)) (?v_4237 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.)) (?v_4238 (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer)) (?v_4239 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20.)) (?v_4240 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23.)) (?v_4382 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe)) (?v_4241 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_4383 (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2.)) (?v_4242 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1.)) (?v_4243 (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0 inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2.)) (?v_4244 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21.)) (?v_4245 (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15.)) (?v_4246 (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0 inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24.)) (?v_4384 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_4385 (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1.)) (?v_4247 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory)) (?v_4248 (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0 inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1.)) (?v_4249 (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2.)) (?v_4250 (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0 inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22.))) (let ((?v_4464 (=> ?v_4246 (=> ?v_4384 (=> ?v_4385 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 ?v_4386))))))))) (let ((?v_4253 (=> true (=> ?v_4160 (=> ?v_4161 (=> ?v_4162 (=> ?v_4163 (=> ?v_4349 (=> ?v_4350 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> ?v_4351 (=> ?v_4352 (=> ?v_4172 (=> ?v_4173 (=> ?v_4353 (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> ?v_4354 (=> ?v_4177 (=> ?v_4355 (=> ?v_4356 (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> ?v_4357 (=> ?v_4358 (=> ?v_4183 (=> ?v_4184 (=> ?v_4185 (=> ?v_4359 (=> ?v_4360 (=> ?v_4186 (=> ?v_4187 (=> ?v_4461 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4188 (=> ?v_4364 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> ?v_4365 (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> ?v_4366 (=> ?v_4201 (=> ?v_4367 (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> ?v_4368 (=> ?v_4462 (=> ?v_4205 (=> ?v_4206 (=> ?v_4207 (=> ?v_4369 (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> ?v_4370 (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> (= alloc.12 alloc.6) (=> ?v_4371 (=> ?v_4372 (=> ?v_4216 (=> ?v_4463 (=> ?v_4373 (=> ?v_4217 (=> ?v_4374 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.0) (=> ?v_4375 (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 0) (=> ?v_4225 (=> ?v_4226 (=> ?v_4376 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4377 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4378 (=> ?v_4234 (=> ?v_4379 (=> ?v_4235 (=> ?v_4380 (=> ?v_4236 (=> ?v_4381 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4382 (=> ?v_4241 (=> ?v_4383 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.4) ?v_4464)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4252 (= myNondetVar_1.0 0))) (let ((?v_4451 (=> true (=> ?v_4252 ?v_4253))) (?v_4159 (= myNondetVar_2.0 0))) (let ((?v_4450 (=> true (=> ?v_4159 ?v_4253))) (?v_4490 (and (=> true (=> ?v_4465 (and (=> true (=> ?v_4460 (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_4466 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_4467 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4468 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_4469 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_4470 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_4471 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..1 call35295formal.ret.0) (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_4472 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_4473 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..1 call35295formal.ret.0) (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_4474 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4475 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.1 call35295formal.ret.0) (=> ?v_4476 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_4477 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_4478 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_4479 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_4480 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_4481 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_4482 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4457 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4458 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_4483 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_4484 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4485 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_4486 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_4487 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..1 call35295formal.ret.0) ?v_4488))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4460) (=> true (=> ?v_4160 (=> ?v_4161 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1888.40.28..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16957formal.new.0) (=> ?v_4349 (=> ?v_4350 (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_1.2 inline.EvtIoChildDeviceControl.0.myNondetVar_1.1) (=> (= inline.sdv_WdfMemoryGetBuffer.1..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call35145formal.new.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> ?v_4170 (=> (= inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> ?v_4351 (=> ?v_4352 (=> ?v_4172 (=> ?v_4173 (=> ?v_4353 (=> ?v_4174 (=> ?v_4175 (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> ?v_4354 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4355 (=> ?v_4356 (=> (= inline.RtlCompareMemory.0..result.SdvMakeChoice.3876.28.2..0 call35295formal.ret.0) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 call35208formal.ret.0) (=> ?v_4180 (=> ?v_4181 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1859.47.26..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> ?v_4357 (=> ?v_4358 (=> ?v_4183 (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call33843formal.new.0) (=> ?v_4185 (=> ?v_4359 (=> ?v_4360 (=> ?v_4186 (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 call35208formal.ret.0) (=> ?v_4461 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4188 (=> ?v_4364 (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> (= inline.sdv_WdfMemoryGetBuffer.1..result.malloc.7264.29.2..0 call35145formal.new.0) (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> ?v_4365 (=> ?v_4198 (=> ?v_4199 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1874.48.27..0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> ?v_4366 (=> ?v_4201 (=> ?v_4367 (=> (= inline.RtlCompareMemory.0..r.4.3876.11.RtlCompareMemory.12.0 call35295formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1902.28.29..0 call35295formal.ret.0) (=> ?v_4204 (=> ?v_4368 (=> ?v_4462 (=> ?v_4205 (=> ?v_4206 (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 call33843formal.new.0) (=> ?v_4369 (=> ?v_4208 (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> ?v_4370 (=> ?v_4213 (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4215 (=> (= alloc.12 alloc.8) (=> ?v_4371 (=> ?v_4372 (=> ?v_4216 (=> ?v_4463 (=> ?v_4373 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.0..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4374 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4375 (=> (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.1.myNondetVar_0.0) (=> ?v_4223 (=> ?v_4224 (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.RtlCompareMemory.0..result.RtlCompareMemory.3870.0.1..0 call35295formal.ret.0) (=> ?v_4226 (=> ?v_4376 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4377 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4378 (=> ?v_4234 (=> ?v_4379 (=> ?v_4235 (=> ?v_4380 (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16954formal.new.0) (=> ?v_4381 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4382 (=> ?v_4241 (=> ?v_4383 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.7) ?v_4464)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4465) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_4466 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_4467 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4468 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_4469 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_4470 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_4471 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_4472 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_4473 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_4474 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4475 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_4476 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_4477 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_4478 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_4479 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_4480 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_4481 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_4482 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4457 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4458 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_4483 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_4484 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4485 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_4486 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_4487 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 ?v_4488))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4489 (= call35208formal.ret.0 0))) (let ((?v_4492 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_4490))) (?v_4491 (= call35208formal.ret.0 1)) (?v_1349 (>= 0 0)) (?v_4456 (int_2_U call35145formal.new.0)) (?v_4455 (int_2_U call33843formal.new.0)) (?v_4259 (not ?v_1347)) (?v_4258 (not ?v_4159)) (?v_4257 (not ?v_4252)) (?v_4454 (= myNondetVar_0.0 2228243)) (?v_4388 (and (=> true (=> ?v_4282 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.11 ?v_35) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_4283 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_4284 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_4285 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_4286 (=> ?v_953 (=> ?v_954 (=> ?v_4287 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_4288 (=> ?v_4289 (=> ?v_982 (=> ?v_4290 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_4291 (=> ?v_4292 (=> ?v_991 (=> ?v_4293 (=> ?v_4294 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_4295 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4296 (=> ?v_1008 (=> ?v_1009 (=> ?v_4297 (=> ?v_4298 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_4299 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_4300 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_4301 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_4302 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_4303 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4304 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_4305 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_4306 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4307 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_4308 (=> ?v_1116 (=> ?v_4309 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_4310 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4311 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_4312 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_4313 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_4314 (=> ?v_1227 (=> ?v_4315 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_4316 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_4317 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_4318 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_4319 (=> ?v_4320 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_4321 (=> ?v_1296 (=> ?v_1297 (=> ?v_4322 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4323 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_4324 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_4325 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.11) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_4326 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4327 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_4328 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_4329 (=> ?v_1394 (=> ?v_1395 (=> ?v_4330 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_4331 (=> ?v_1425 (=> ?v_4332 (=> ?v_1426 (=> ?v_1427 (=> ?v_4333 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4334 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_4335 (=> ?v_1450 (=> ?v_4336 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_4337 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4338 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_4339 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_4340 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_4341 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_4342 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_4343 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_4344 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_4345 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_4346 (=> ?v_1584 (=> ?v_1585 (=> ?v_4264 (=> ?v_1586 (=> ?v_1587 ?v_4347))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4282) (and (=> true (=> ?v_4348 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.12 ?v_35) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_4283 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_4284 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_4285 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_4286 (=> ?v_953 (=> ?v_954 (=> ?v_4287 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_4288 (=> ?v_4289 (=> ?v_982 (=> ?v_4290 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_4291 (=> ?v_4292 (=> ?v_991 (=> ?v_4293 (=> ?v_4294 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_4295 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4296 (=> ?v_1008 (=> ?v_1009 (=> ?v_4297 (=> ?v_4298 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_4299 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_4300 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_4301 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_4302 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_4303 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4304 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_4305 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_4306 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4307 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_4308 (=> ?v_1116 (=> ?v_4309 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_4310 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4311 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_4312 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_4313 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_4314 (=> ?v_1227 (=> ?v_4315 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_4316 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_4317 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_4318 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_4319 (=> ?v_4320 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_4321 (=> ?v_1296 (=> ?v_1297 (=> ?v_4322 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4323 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_4324 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.1 call36284formal.ret.0) (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_4325 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.12) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_4326 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4327 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_4328 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_4329 (=> ?v_1394 (=> ?v_1395 (=> ?v_4330 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_4331 (=> ?v_1425 (=> ?v_4332 (=> ?v_1426 (=> ?v_1427 (=> ?v_4333 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4334 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_4335 (=> ?v_1450 (=> ?v_4336 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_4337 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4338 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_4339 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_4340 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_4341 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_4342 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_4343 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..1 call36284formal.ret.0) (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_4344 (=> ?v_1564 (=> ?v_1565 (=> (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..1 call36284formal.ret.0) (=> ?v_1567 (=> ?v_1568 (=> ?v_4345 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_4346 (=> ?v_1584 (=> ?v_1585 (=> ?v_4264 (=> ?v_1586 (=> (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..1 call36284formal.ret.0) ?v_4347))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4348) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..x.3.7168.5.sdv_WdfRequestRetrieveOutputMemory.0 call35617formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0) (=> ?v_4162 (=> ?v_4163 (=> ?v_4349 (=> ?v_4350 (=> (= inline.RtlCompareMemory.1..result.SdvMakeChoice.3876.28.2..0 call36245formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2) (=> ?v_4171 (=> ?v_4351 (=> ?v_4352 (=> (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call35745formal.new.0) (=> (= inline.sdv_WdfMemoryGetBuffer.3..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> ?v_4353 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call35799formal.ret.0) (=> ?v_4176 (=> ?v_4354 (=> ?v_4177 (=> ?v_4355 (=> ?v_4356 (=> ?v_4178 (=> ?v_4179 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> ?v_4182 (=> ?v_4357 (=> ?v_4358 (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2) (=> ?v_4184 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1719.40.16..0 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> ?v_4359 (=> ?v_4360 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.SdvMakeChoice.7198.18.3..0 call35423formal.ret.0) (=> ?v_4187 (=> (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 call35423formal.ret.0) (=> ?v_4364 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call35919formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2..result.malloc.7264.29.2..0 call35563formal.new.0) (=> (= inline.RtlCompareMemory.2..r.4.3876.11.RtlCompareMemory.12.0 call36284formal.ret.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.SdvMakeChoice.5454.48.2..0 call35919formal.ret.0) (=> ?v_4194 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0) (=> (= inline.RtlCompareMemory.1..result.RtlCompareMemory.3870.0.1..0 call36245formal.ret.0) (=> ?v_4365 (=> (= inline.RtlCompareMemory.2..result.SdvMakeChoice.3876.28.2..0 call36284formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1737.46.19..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_4200 (=> ?v_4366 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2) (=> ?v_4367 (=> ?v_4202 (=> ?v_4203 (=> (= inline.RtlCompareMemory.1..r.4.3876.11.RtlCompareMemory.12.0 call36245formal.ret.0) (=> ?v_4368 (=> (= errorReached.23 errorReached.20) (=> (= inline.EvtIoChildDeviceControl.0..OutputBuffer.17.1534.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0) (=> ?v_4207 (=> ?v_4369 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> ?v_4209 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call36109formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 hrequest) (=> ?v_4370 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2) (=> ?v_4214 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= alloc.12 alloc.10) (=> ?v_4371 (=> ?v_4372 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputMemory.1722.47.17..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> (= k.37 k.33) (=> ?v_4373 (=> ?v_4217 (=> ?v_4374 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1731.41.18..0 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call36109formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..2 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.10) (=> ?v_4375 (=> (= inline.EvtIoChildDeviceControl.0..OutputSystemAddress.19.1536.10.EvtIoChildDeviceControl.0 call36109formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.2.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 call35989formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 call35919formal.ret.0) (=> ?v_4225 (=> (= inline.sdv_WdfMemoryGetBuffer.3..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16960formal.new.0) (=> ?v_4376 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.SdvMakeChoice.7174.18.3..0 call35617formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16960formal.new.0) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..1 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> ?v_4377 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.0..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call35919formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1806.28.25..0 call36284formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.3.myNondetVar_0.0) (=> ?v_4378 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0) (=> ?v_4379 (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_4380 (=> ?v_4236 (=> ?v_4381 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 call35799formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.2..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call35563formal.new.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1746.57.20..0 call35919formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..1 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0) (=> ?v_4382 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call35989formal.ret.0) (=> ?v_4383 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.1..result.SdvMakeChoice.5454.48.2..0 call36109formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.1755.47.21..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1710.46.15..0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.13) (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1795.28.24..0 call36245formal.ret.0) (=> ?v_4384 (=> ?v_4385 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..Request.1.7163.15.sdv_WdfRequestRetrieveOutputMemory.0 hrequest) (=> (= inline.RtlCompareMemory.2..result.RtlCompareMemory.3870.0.1..0 call36284formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.3..result.malloc.7264.29.2..0 call35745formal.new.0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1764.58.22..0 call36109formal.ret.0) ?v_4386)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4395 (and (=> true (=> ?v_4389 (=> true (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 call36180formal.ret.0) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.13 inline.EvtIoChildDeviceControl.0.myNondetVar_0.12) (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.10 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 call36180formal.ret.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4388)))))))))))))))))))))) (=> true (=> (not ?v_4389) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_4283 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_4285 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_4286 (=> ?v_953 (=> ?v_954 (=> ?v_4287 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_4288 (=> ?v_4289 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4292 (=> ?v_991 (=> ?v_4293 (=> ?v_4294 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_4295 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4296 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_4298 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_4299 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_4301 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_4302 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_4303 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4304 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_4305 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_4306 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4307 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_4308 (=> ?v_1116 (=> ?v_4309 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 call36180formal.ret.0) (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4311 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_4312 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_4313 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_4314 (=> ?v_1227 (=> ?v_4315 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_4316 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_4317 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_4318 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_4319 (=> ?v_4320 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_4321 (=> ?v_1296 (=> ?v_1297 (=> ?v_4322 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4323 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_4325 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4327 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_4328 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_4329 (=> ?v_1394 (=> ?v_1395 (=> ?v_4330 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1425 (=> ?v_4332 (=> ?v_1426 (=> ?v_1427 (=> ?v_4333 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4334 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_4335 (=> ?v_1450 (=> ?v_4336 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_4337 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.12) (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_4339 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_4340 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_4341 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_4342 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_4343 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_4344 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_4345 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_4346 (=> ?v_1584 (=> ?v_1585 (=> ?v_4264 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_4390 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_4391 (=> ?v_1611 (=> ?v_4265 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_4392 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 call36180formal.ret.0) ?v_4393))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4394 (= call36180formal.ret.0 0))) (let ((?v_4397 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_4395))) (?v_4396 (= call36180formal.ret.0 1)) (?v_4256 (= myNondetVar_0.0 2228233))) (let ((?v_4387 (not ?v_4256))) (let ((?v_4404 (and (=> true (=> ?v_4400 (and (=> true (=> (not ?v_4398) (and (=> true (=> ?v_4256 (=> true (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1.) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.) (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.13 inline.EvtIoChildDeviceControl.0.myNondetVar_0.11) (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.10 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_WdfMemoryCopyFromBuffer.1..result.sdv_SetReturnStatus.7330.27.2.) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23..0 inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1785.44.23.) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus) ?v_4388))))))))))) (=> true (=> ?v_4387 (and (=> true (=> (not ?v_4394) (=> (not ?v_4396) ?v_4397))) (=> true (=> ?v_4394 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 ?v_390) (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4395))))))))))))))) (=> true (=> ?v_4396 (=> true ?v_4397))))))))) (=> true (=> ?v_4398 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.9 ?v_4399) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_4283 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_4285 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_4286 (=> ?v_953 (=> ?v_954 (=> ?v_4287 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_4288 (=> ?v_4289 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_4292 (=> ?v_991 (=> ?v_4293 (=> ?v_4294 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_4295 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4296 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_4298 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_4299 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_4301 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_4302 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_4303 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4304 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_4305 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_4306 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4307 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_4308 (=> ?v_1116 (=> ?v_4309 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4311 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_4312 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_4313 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_4314 (=> ?v_1227 (=> ?v_4315 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_4316 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_4317 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_4318 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_4319 (=> ?v_4320 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_4321 (=> ?v_1296 (=> ?v_1297 (=> ?v_4322 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4323 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_4325 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.9) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4327 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_4328 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_4329 (=> ?v_1394 (=> ?v_1395 (=> ?v_4330 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4332 (=> ?v_1426 (=> ?v_1427 (=> ?v_4333 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4334 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_4335 (=> ?v_1450 (=> ?v_4336 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_4337 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.11) (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_4339 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_4340 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_4341 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_4342 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_4343 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_4344 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_4345 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_4346 (=> ?v_1584 (=> ?v_1585 (=> ?v_4264 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_4390 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_4391 (=> ?v_1611 (=> ?v_4265 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_4392 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 ?v_4393)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4400) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_4285 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_4286 (=> ?v_953 (=> ?v_954 (=> ?v_4287 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_4288 (=> ?v_4289 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_4292 (=> ?v_991 (=> ?v_4293 (=> ?v_4294 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_4295 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4296 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_4298 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_4299 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_4301 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_4302 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_4303 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4304 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_4305 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_4306 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4307 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_4309 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4311 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_4312 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_4313 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_4314 (=> ?v_1227 (=> ?v_4315 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_4316 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_4317 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_4318 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_4319 (=> ?v_4320 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_4321 (=> ?v_1296 (=> ?v_1297 (=> ?v_4322 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4323 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_4325 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4327 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_4328 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_4329 (=> ?v_1394 (=> ?v_1395 (=> ?v_4330 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4332 (=> ?v_1426 (=> ?v_1427 (=> ?v_4333 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4334 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_4335 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_4337 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4413 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_4339 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_4340 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_4341 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_4342 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_4343 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_4344 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_4345 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_4346 (=> ?v_1584 (=> ?v_1585 (=> ?v_4264 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_4391 ?v_4414)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4403 (= call35989formal.ret.0 0))) (let ((?v_4409 (and (=> true (=> (not ?v_4403) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_390) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) ?v_4404))))))) (=> true (=> ?v_4403 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4404))))))))))))) (let ((?v_4411 (=> true (=> true (=> true ?v_4409)))) (?v_4410 (= errorReached.20 errorReached.19)) (?v_4407 (= k.33 k.32)) (?v_4408 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 call35992formal.ret.0)) (?v_4405 (= k.32 0)) (?v_4406 (= k.32 1))) (let ((?v_4420 (and (=> true (=> ?v_4415 (and (=> true (=> (not ?v_4412) (and (=> true (=> ?v_27 (=> true (=> (<= k.31 k.32) (=> (< k.32 2) (and (=> true (=> (=> ?v_4405 ?v_8) (=> (=> ?v_4406 ?v_9) (=> true (=> ?v_4407 (=> (= errorReached.20 1) (=> ?v_4408 ?v_4409))))))) (=> true (=> (=> ?v_4405 ?v_2) (=> (=> ?v_4406 ?v_3) (=> true (=> ?v_4407 (=> ?v_4410 (=> ?v_4408 ?v_4411))))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.33 k.31) (=> ?v_4410 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) ?v_4411))))))))) (=> true (=> ?v_4412 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.8 ?v_4399) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_4285 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_4286 (=> ?v_953 (=> ?v_954 (=> ?v_4287 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_4288 (=> ?v_4289 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_4292 (=> ?v_991 (=> ?v_4293 (=> ?v_4294 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_4295 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4296 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_4298 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_4299 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_4302 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_4303 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4304 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_4305 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_4306 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4307 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_4309 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4311 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_4312 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_4313 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_4314 (=> ?v_1227 (=> ?v_4315 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_4316 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_4317 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_4318 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_4319 (=> ?v_4320 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_4321 (=> ?v_1296 (=> ?v_1297 (=> ?v_4322 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4323 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_4325 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.8) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4327 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_4328 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_4329 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4416 (=> ?v_1426 (=> ?v_1427 (=> ?v_4333 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4417 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_4335 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4413 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_4339 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_4344 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_4345 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_4346 (=> ?v_1584 (=> ?v_1585 (=> ?v_4264 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 ?v_4414))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4415) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_4285 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_4286 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_4288 (=> ?v_4289 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_4293 (=> ?v_4294 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_4295 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4296 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_4298 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_4299 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_4302 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_4303 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_4304 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_4305 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_4306 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4307 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_4309 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_4311 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_4312 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_4313 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_4314 (=> ?v_1227 (=> ?v_4315 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_4316 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_4317 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_4318 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_4319 (=> ?v_4320 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_4322 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4323 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_4327 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_4328 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_4329 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4416 (=> ?v_1426 (=> ?v_1427 (=> ?v_4333 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4417 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_4335 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.9) (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_4339 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_4344 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_4345 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_4346 ?v_4429)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4419 (= call35799formal.ret.0 0))) (let ((?v_4425 (and (=> true (=> (not ?v_4419) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_390) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) ?v_4420))))))) (=> true (=> ?v_4419 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4420))))))))))))) (let ((?v_4427 (=> true (=> true (=> true ?v_4425)))) (?v_4426 (= errorReached.19 errorReached.18)) (?v_4423 (= k.31 k.30)) (?v_4424 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 call35802formal.ret.0)) (?v_4421 (= k.30 0)) (?v_4422 (= k.30 1)) (?v_4261 (int_2_U call35745formal.new.0))) (let ((?v_4431 (and (=> true (=> ?v_4428 (=> true (and ?v_1349 (=> ?v_1349 (=> (> call35745formal.new.0 0) (=> (forall ((?x369 Int)) (! (=> (and (<= call35745formal.new.0 ?x369) (< ?x369 (+ call35745formal.new.0 0))) (= (Base ?x369) call35745formal.new.0)) :pattern ((Base ?x369)) )) (=> (forall ((?x370 boogieU)) (! (=> (= (type ?x370) intType) (or (= (U_2_int ?x370) call35745formal.new.0) (= (MapType0Select alloc.9 ?x370) (MapType0Select alloc.10 ?x370)))) :pattern ((MapType0Select alloc.10 ?x370)) )) (=> (and (= (MapType0Select alloc.9 ?v_4261) UNALLOCATED) (= (MapType0Select alloc.10 ?v_4261) ALLOCATED)) (and (=> true (=> ?v_27 (=> true (=> (<= k.29 k.30) (=> (< k.30 2) (and (=> true (=> (=> ?v_4421 ?v_8) (=> (=> ?v_4422 ?v_9) (=> true (=> ?v_4423 (=> (= errorReached.19 1) (=> ?v_4424 ?v_4425))))))) (=> true (=> (=> ?v_4421 ?v_2) (=> (=> ?v_4422 ?v_3) (=> true (=> ?v_4423 (=> ?v_4426 (=> ?v_4424 ?v_4427))))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.31 k.29) (=> ?v_4426 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.) ?v_4427)))))))))))))))) (=> true (=> (not ?v_4428) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_4285 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_4286 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_4289 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_4295 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_4296 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_4298 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_4299 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_4303 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_4305 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_4306 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4307 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_4309 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_4314 (=> ?v_1227 (=> ?v_4315 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_4317 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_4318 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_4320 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_4322 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> (= alloc.18 alloc.9) (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_4328 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_4329 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> (= k.252 k.29) (=> ?v_1426 (=> ?v_1427 (=> ?v_4333 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> (= errorReached.134 errorReached.18) (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.8) (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_4344 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 ?v_4429)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4430 (= call35617formal.ret.0 0))) (let ((?v_4436 (and (=> true (=> (not ?v_4430) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0 ?v_390) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..0) ?v_4431))))))) (=> true (=> ?v_4430 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputMemory.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.sdv_WdfRequestRetrieveOutputMemory.7162.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4431))))))))))))) (let ((?v_4438 (=> true (=> true (=> true ?v_4436)))) (?v_4437 (= errorReached.18 errorReached.17)) (?v_4434 (= k.29 k.28)) (?v_4435 (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 call35620formal.ret.0)) (?v_4432 (= k.28 0)) (?v_4433 (= k.28 1)) (?v_4260 (int_2_U call35563formal.new.0))) (let ((?v_4442 (and (=> true (=> ?v_4439 (=> true (and ?v_1349 (=> ?v_1349 (=> (> call35563formal.new.0 0) (=> (forall ((?x371 Int)) (! (=> (and (<= call35563formal.new.0 ?x371) (< ?x371 (+ call35563formal.new.0 0))) (= (Base ?x371) call35563formal.new.0)) :pattern ((Base ?x371)) )) (=> (forall ((?x372 boogieU)) (! (=> (= (type ?x372) intType) (or (= (U_2_int ?x372) call35563formal.new.0) (= (MapType0Select alloc.6 ?x372) (MapType0Select alloc.9 ?x372)))) :pattern ((MapType0Select alloc.9 ?x372)) )) (=> (and (= (MapType0Select alloc.6 ?v_4260) UNALLOCATED) (= (MapType0Select alloc.9 ?v_4260) ALLOCATED)) (and (=> true (=> ?v_27 (=> true (=> (<= k.26 k.28) (=> (< k.28 2) (and (=> true (=> (=> ?v_4432 ?v_8) (=> (=> ?v_4433 ?v_9) (=> true (=> ?v_4434 (=> (= errorReached.18 1) (=> ?v_4435 ?v_4436))))))) (=> true (=> (=> ?v_4432 ?v_2) (=> (=> ?v_4433 ?v_3) (=> true (=> ?v_4434 (=> ?v_4437 (=> ?v_4435 ?v_4438))))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.29 k.26) (=> ?v_4437 (=> (= inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2..0 inline.sdv_WdfRequestRetrieveOutputMemory.0..result.userContextSwitch.7171.4.2.) ?v_4438)))))))))))))))) (=> true (=> (not ?v_4439) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_4298 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_4299 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_4303 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_4307 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_4315 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_4322 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_4329 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> (= k.252 k.26) (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> (= errorReached.134 errorReached.17) (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4133 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_4344 ?v_4440))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4441 (= call35423formal.ret.0 0))) (let ((?v_4447 (and (=> true (=> (not ?v_4441) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 ?v_390) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.1) ?v_4442))))))) (=> true (=> ?v_4441 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.0.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_4442))))))))))))) (let ((?v_4449 (=> true (=> true (=> true ?v_4447)))) (?v_4448 (= errorReached.17 errorReached.16)) (?v_4445 (= k.26 k.25)) (?v_4446 (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0 call35426formal.ret.0)) (?v_4443 (= k.25 0)) (?v_4444 (= k.25 1))) (let ((?v_4453 (and (=> true (=> ?v_4257 (and (=> true (=> ?v_4258 (and (=> true (=> ?v_1347 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.2 ?v_35) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.2) ?v_1346)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4259 (and (=> true (=> ?v_27 (=> true (=> (<= k.24 k.25) (=> (< k.25 2) (and (=> true (=> (=> ?v_4443 ?v_8) (=> (=> ?v_4444 ?v_9) (=> true (=> ?v_4445 (=> (= errorReached.17 1) (=> ?v_4446 ?v_4447))))))) (=> true (=> (=> ?v_4443 ?v_2) (=> (=> ?v_4444 ?v_3) (=> true (=> ?v_4445 (=> ?v_4448 (=> ?v_4446 ?v_4449))))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.26 k.24) (=> ?v_4448 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2..0 inline.sdv_WdfRequestRetrieveInputMemory.0..result.userContextSwitch.7195.4.2.) ?v_4449)))))))))))) ?v_4450))) ?v_4451)) (?v_4452 (= myNondetVar_0.0 2228238)) (?v_1639 (not (= call36930formal.ret.0 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0)))) (let ((?v_4126 (and (=> true (=> ?v_4084 (and (=> true (=> ?v_1639 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.14 ?v_35) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_4085 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_4086 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_4087 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_4088 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_4089 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_4090 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_4091 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_4092 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..1 call36930formal.ret.0) (=> ?v_1023 (=> ?v_4093 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..1 call36930formal.ret.0) (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_4094 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_4095 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_4096 (=> ?v_1136 (=> (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.1 call36930formal.ret.0) (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_4097 (=> ?v_1142 (=> ?v_1143 (=> ?v_4098 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_4099 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_4100 (=> ?v_1168 (=> ?v_4101 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_4102 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_4103 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_4104 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_4105 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_4106 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_4107 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4108 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_4109 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_4110 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.14) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4111 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_4112 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4113 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4114 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4115 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4116 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4117 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4118 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4119 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4120 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4121 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_4122 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_4123 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..1 call36930formal.ret.0) ?v_1638))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_1639) (=> true (=> ?v_4160 (=> ?v_4161 (=> ?v_4162 (=> ?v_4163 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..0) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputMemory.1615.46.8..0 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_4164 (=> ?v_4165 (=> ?v_4166 (=> ?v_4167 (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4171 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..0) (=> (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call36799formal.new.0) (=> ?v_4172 (=> ?v_4173 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.1627.46.9..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_4174 (=> ?v_4175 (=> ?v_4176 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..2 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_4177 (=> (= inline.sdv_WdfMemoryGetBuffer.4..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 call16960formal.new.0) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 call36842formal.ret.0) (=> ?v_4178 (=> ?v_4179 (=> ?v_4180 (=> ?v_4181 (=> ?v_4182 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.sdv_MmGetSystemAddressForMdlSafe.5449.0.1..0 call36739formal.ret.0) (=> (= inline.RtlCompareMemory.3..r.4.3876.11.RtlCompareMemory.12.0 call36930formal.ret.0) (=> ?v_4183 (=> ?v_4184 (=> ?v_4185 (=> (= inline.RtlCompareMemory.3..result.SdvMakeChoice.3876.28.2..0 call36930formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call36619formal.ret.0) (=> ?v_4186 (=> ?v_4187 (=> (= inline.EvtIoChildDeviceControl.0..InputBuffer.16.1533.10.EvtIoChildDeviceControl.0 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 call36619formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2) (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryCopyFromBuffer.1650.40.12..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4188 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_SetReturnStatus.7330.27.2..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4189 (=> ?v_4190 (=> ?v_4191 (=> ?v_4192 (=> ?v_4193 (=> ?v_4194 (=> ?v_4195 (=> ?v_4196 (=> ?v_4197 (=> (= inline.RtlCompareMemory.3..result.RtlCompareMemory.3870.0.1..0 call36930formal.ret.0) (=> ?v_4198 (=> ?v_4199 (=> ?v_4200 (=> (= inline.EvtIoChildDeviceControl.0..result.RtlCompareMemory.1660.28.13..0 call36930formal.ret.0) (=> ?v_4201 (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4202 (=> ?v_4203 (=> ?v_4204 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.SdvMakeChoice.7198.18.3..0 call36481formal.ret.0) (=> (= errorReached.23 errorReached.22) (=> ?v_4205 (=> ?v_4206 (=> ?v_4207 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_4208 (=> ?v_4209 (=> ?v_4210 (=> ?v_4211 (=> ?v_4212 (=> (= inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> ?v_4213 (=> ?v_4214 (=> ?v_4215 (=> (= alloc.12 alloc.11) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfMemoryGetBuffer.4..result.malloc.7264.29.2..0 call36799formal.new.0) (=> ?v_4216 (=> (= k.37 k.36) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory.0 hrequest) (=> ?v_4217 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_WdfMemoryGetBuffer.1647.40.11..0 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.15 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.1 inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0) (=> ?v_4222 (=> ?v_4223 (=> ?v_4224 (=> (= inline.EvtIoChildDeviceControl.0..InputSystemAddress.18.1535.10.EvtIoChildDeviceControl.0 call36739formal.ret.0) (=> ?v_4225 (=> ?v_4226 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..Request.1.7188.15.sdv_WdfRequestRetrieveInputMemory1.0 hrequest) (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> (= inline.EvtIoChildDeviceControl.0..result.sdv_MmGetSystemAddressForMdlSafe.1637.57.10..0 call36739formal.ret.0) (=> ?v_4234 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..x.3.7192.5.sdv_WdfRequestRetrieveInputMemory.0 call36481formal.ret.0) (=> ?v_4235 (=> (= inline.sdv_WdfMemoryCopyFromBuffer.2..result.sdv_WdfMemoryCopyFromBuffer.7323.0.1..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_4236 (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2) (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.2..p.3.5454.10.sdv_MmGetSystemAddressForMdlSafe.0 call36739formal.ret.0) (=> ?v_4241 (=> (= inline.sdv_MmGetSystemAddressForMdlSafe.2..result.SdvMakeChoice.5454.48.2..0 call36739formal.ret.0) (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.17 inline.EvtIoChildDeviceControl.0.myNondetVar_0.16) (=> ?v_4246 (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 call36842formal.ret.0) (=> (= inline.sdv_WdfMemoryGetBuffer.4..result.sdv_WdfMemoryGetBuffer.7259.0.1..0 inline.sdv_WdfMemoryGetBuffer.4.myNondetVar_0.0) (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 ?v_4251))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4084) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_4085 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_4086 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_4087 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_4088 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_4089 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_4090 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_4091 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_4092 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_4093 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_4094 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_4095 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_4096 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_4097 (=> ?v_1142 (=> ?v_1143 (=> ?v_4098 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_4099 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_4100 (=> ?v_1168 (=> ?v_4101 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_4102 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_4103 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_4104 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_4105 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_4106 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_4107 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4108 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_4109 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_4110 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4111 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_4112 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4113 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4114 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4115 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4116 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4117 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4118 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4119 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4120 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4121 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_4122 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_4123 ?v_4124)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4125 (= call36842formal.ret.0 0))) (let ((?v_4128 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_4126))) (?v_4127 (= call36842formal.ret.0 1)) (?v_1350 (int_2_U call36799formal.new.0))) (let ((?v_4137 (and (=> true (=> ?v_4132 (and (=> true (=> (not ?v_4129) (=> true (and ?v_1349 (=> ?v_1349 (=> (> call36799formal.new.0 0) (=> (forall ((?x373 Int)) (! (=> (and (<= call36799formal.new.0 ?x373) (< ?x373 (+ call36799formal.new.0 0))) (= (Base ?x373) call36799formal.new.0)) :pattern ((Base ?x373)) )) (=> (forall ((?x374 boogieU)) (! (=> (= (type ?x374) intType) (or (= (U_2_int ?x374) call36799formal.new.0) (= (MapType0Select alloc.6 ?x374) (MapType0Select alloc.11 ?x374)))) :pattern ((MapType0Select alloc.11 ?x374)) )) (=> (and (= (MapType0Select alloc.6 ?v_1350) UNALLOCATED) (= (MapType0Select alloc.11 ?v_1350) ALLOCATED)) (and (=> true (=> (not ?v_4125) (=> (not ?v_4127) ?v_4128))) (=> true (=> ?v_4125 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 ?v_390) (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4126))))))))))))))) (=> true (=> ?v_4127 (=> true ?v_4128))))))))))))) (=> true (=> ?v_4129 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.13 ?v_4399) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_4085 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_4086 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_4087 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_4088 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_4090 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_4092 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_4093 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_4096 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_4097 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_4099 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_4100 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_4106 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_4109 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_4110 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.13) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4111 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_4112 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4113 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4114 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.14) (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4117 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4118 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4119 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4120 ?v_4135)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4132) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_4085 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_4087 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_4088 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_4093 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_4097 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_4099 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_4100 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_4106 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_4109 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_4110 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4111 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_4112 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4113 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4114 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4133 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4117 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4118 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4119 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 ?v_4135))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4136 (= call36619formal.ret.0 0))) (let ((?v_4142 (and (=> true (=> (not ?v_4136) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_390) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) ?v_4137))))))) (=> true (=> ?v_4136 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4137))))))))))))) (let ((?v_4144 (=> true (=> true (=> true ?v_4142)))) (?v_4143 (= errorReached.22 errorReached.21)) (?v_4140 (= k.36 k.35)) (?v_4141 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..0 call36622formal.ret.0)) (?v_4138 (= k.35 0)) (?v_4139 (= k.35 1))) (let ((?v_4152 (and (=> true (=> ?v_4145 (and (=> true (=> ?v_27 (=> true (=> (<= k.34 k.35) (=> (< k.35 2) (and (=> true (=> (=> ?v_4138 ?v_8) (=> (=> ?v_4139 ?v_9) (=> true (=> ?v_4140 (=> (= errorReached.22 1) (=> ?v_4141 ?v_4142))))))) (=> true (=> (=> ?v_4138 ?v_2) (=> (=> ?v_4139 ?v_3) (=> true (=> ?v_4140 (=> ?v_4143 (=> ?v_4141 ?v_4144))))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.36 k.34) (=> ?v_4143 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2.) ?v_4144))))))))) (=> true (=> (not ?v_4145) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_4085 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_4093 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_4097 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_4099 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_4100 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_4109 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> (= k.252 k.34) (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_4112 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> (= errorReached.134 errorReached.21) (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4114 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_4133 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_4146 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_4147 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_4148 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_4134 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_4149 ?v_4150))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4151 (= call36481formal.ret.0 0))) (let ((?v_4157 (and (=> true (=> (not ?v_4151) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0 ?v_390) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..0) ?v_4152))))))) (=> true (=> ?v_4151 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputMemory.1.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.sdv_WdfRequestRetrieveInputMemory.7187.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_4152))))))))))))) (let ((?v_4158 (=> (= errorReached.21 errorReached.16) (=> true (=> true (=> true ?v_4157))))) (?v_4155 (= k.34 k.27)) (?v_4156 (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..0 call36484formal.ret.0)) (?v_4153 (= k.27 0)) (?v_4154 (= k.27 1)) (?v_1348 (= (BIT_BAND myNondetVar_1.0 1) 0))) (let ((?v_4255 (and (=> true (=> ?v_4257 (and (=> true (=> ?v_4258 (and (=> true (=> ?v_1347 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.4 ?v_35) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.4) ?v_1346)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4259 (and (=> true (=> (not ?v_1348) (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.3 ?v_35) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.3) ?v_1346)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1348 (=> true (=> (= inline.EvtIoChildDeviceControl.0..halfLength.10.1527.14.EvtIoChildDeviceControl.0 (BINARY_BOTH_INT myNondetVar_1.0 1)) (and (=> true (=> ?v_27 (=> true (=> (<= k.24 k.27) (=> (< k.27 2) (and (=> true (=> (=> ?v_4153 ?v_8) (=> (=> ?v_4154 ?v_9) (=> true (=> ?v_4155 (=> ?v_4156 (=> (= errorReached.21 1) ?v_4157))))))) (=> true (=> (=> ?v_4153 ?v_2) (=> (=> ?v_4154 ?v_3) (=> true (=> ?v_4155 (=> ?v_4156 ?v_4158)))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.34 k.24) (=> (= inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2..0 inline.sdv_WdfRequestRetrieveInputMemory.1..result.userContextSwitch.7195.4.2.) ?v_4158)))))))))))))))) ?v_4450))) ?v_4451)) (?v_4254 (= myNondetVar_0.0 2228228)) (?v_881 (= myNondetVar_0.0 2228224))) (let ((?v_4513 (and (=> true (=> (not ?v_881) (=> (not ?v_4254) (=> ?v_4387 (=> (not ?v_4452) (=> (not ?v_4454) (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.1 ?v_35) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.1) ?v_1346)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_881 ?v_4255)) (=> true (=> ?v_4254 (=> true ?v_4255))) (=> true (=> ?v_4256 ?v_4453)) (=> true (=> ?v_4452 (=> true ?v_4453))) (=> true (=> ?v_4454 (and (=> true (=> ?v_4257 (and (=> true (=> ?v_4258 (and (=> true (=> ?v_1347 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.5 ?v_35) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.5) ?v_1346)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4259 (=> true (and ?v_1349 (=> ?v_1349 (=> (> call33843formal.new.0 0) (=> (forall ((?x367 Int)) (! (=> (and (<= call33843formal.new.0 ?x367) (< ?x367 (+ call33843formal.new.0 0))) (= (Base ?x367) call33843formal.new.0)) :pattern ((Base ?x367)) )) (=> (forall ((?x368 boogieU)) (! (=> (= (type ?x368) intType) (or (= (U_2_int ?x368) call33843formal.new.0) (= (MapType0Select alloc.6 ?x368) (MapType0Select alloc.7 ?x368)))) :pattern ((MapType0Select alloc.7 ?x368)) )) (=> (and (= (MapType0Select alloc.6 ?v_4455) UNALLOCATED) (= (MapType0Select alloc.7 ?v_4455) ALLOCATED)) (and (=> true (=> (not ?v_4496) (=> true (and ?v_1349 (=> ?v_1349 (=> (> call35145formal.new.0 0) (=> (forall ((?x365 Int)) (! (=> (and (<= call35145formal.new.0 ?x365) (< ?x365 (+ call35145formal.new.0 0))) (= (Base ?x365) call35145formal.new.0)) :pattern ((Base ?x365)) )) (=> (forall ((?x366 boogieU)) (! (=> (= (type ?x366) intType) (or (= (U_2_int ?x366) call35145formal.new.0) (= (MapType0Select alloc.7 ?x366) (MapType0Select alloc.8 ?x366)))) :pattern ((MapType0Select alloc.8 ?x366)) )) (=> (and (= (MapType0Select alloc.7 ?v_4456) UNALLOCATED) (= (MapType0Select alloc.8 ?v_4456) ALLOCATED)) (and (=> true (=> (not ?v_4493) (and (=> true (=> (not ?v_4489) (=> (not ?v_4491) ?v_4492))) (=> true (=> ?v_4489 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 ?v_390) (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4490))))))))))))))) (=> true (=> ?v_4491 (=> true ?v_4492)))))) (=> true (=> ?v_4493 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.7 ?v_35) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_4466 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_4467 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4468 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_4469 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_4470 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_4471 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_4472 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_4474 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_4475 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_4477 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_4478 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.7) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4457 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4458 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_4484 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.6) (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_4486 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_4487 ?v_4497)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4496 (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.6 ?v_35) (=> true (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_933 (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> ?v_4466 (=> ?v_958 (=> ?v_959 (=> ?v_960 (=> ?v_961 (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_4467 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 (=> ?v_1032 (=> ?v_1033 (=> ?v_1034 (=> ?v_1035 (=> ?v_1036 (=> ?v_1037 (=> ?v_1038 (=> ?v_1039 (=> ?v_1040 (=> ?v_1041 (=> ?v_1042 (=> ?v_1043 (=> ?v_1044 (=> ?v_1045 (=> ?v_1046 (=> ?v_1047 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_4468 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_4470 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_1074 (=> ?v_1075 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_1126 (=> ?v_1127 (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_4472 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 (=> ?v_1229 (=> ?v_1230 (=> ?v_1231 (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1235 (=> ?v_1236 (=> ?v_1237 (=> ?v_1238 (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> ?v_1268 (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> (= alloc.18 alloc.7) (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> ?v_1320 (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_4478 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.16 inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.6) (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_4457 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_4262 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_4458 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_4263 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.18 inline.EvtIoChildDeviceControl.0.myNondetVar_0.5) (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_4130 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 ?v_4497))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) ?v_4450))) ?v_4451))))) (?v_4510 (= k.20 0)) (?v_4511 (= k.20 1))) (let ((?v_4504 (=> true (=> (= k.24 k.23) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.AcquireDpcLock.0.myVar_0.2) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 call18488formal.ret.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0) (=> (= lockStatus_1.2 lockStatus_1.1) (=> (= inline.AcquireDpcLock.0.myVar_0.3 inline.AcquireDpcLock.0.myVar_0.2) (=> (= lockStatus_0.2 lockStatus_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.AcquireDpcLock.0.myVar_0.2) ?v_4513)))))))))) (?v_4503 (= inline.AcquireDpcLock.0.myVar_0.2 hlock))) (let ((?v_4499 (=> true (=> (= k.23 k.22) (=> (= lockStatus_0.1 lockStatus_0.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 call18436formal.ret.0) (=> (= lockStatus_1.1 lockStatus_1.0) ?v_4504))))))) (let ((?v_4502 (=> true ?v_4499)) (?v_4500 (= lockStatus_0.0 lockStatus_0)) (?v_4501 (= lockStatus_1.0 lockStatus_1)) (?v_4498 (= k.22 1)) (?v_34 (= k.22 0)) (?v_32 (= lockStatus_0 0)) (?v_33 (= lockStatus_1 0))) (let ((?v_4507 (and (=> true (=> ?v_4503 (=> true (=> (<= k.21 k.22) (=> (< k.22 2) (=> true (=> (=> ?v_34 ?v_32) (=> (=> ?v_4498 ?v_33) (and (=> true (=> ?v_34 (=> true (=> (= lockStatus_0.0 1) (=> ?v_4501 ?v_4499))))) (=> true (=> (not ?v_34) (and (=> true (=> ?v_4498 (=> true (=> ?v_4500 (=> (= lockStatus_1.0 1) ?v_4502))))) (=> true (=> (not ?v_4498) (=> true (=> ?v_4500 (=> ?v_4501 ?v_4502))))))))))))))))) (=> true (=> (not ?v_4503) (=> true (=> (= k.23 k.21) (=> (= lockStatus_0.1 lockStatus_0) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.1 lockStatus_1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4504)))))))))))))))) (let ((?v_4509 (=> true (=> true (=> true (=> true ?v_4507))))) (?v_4508 (= k.21 1)) (?v_4506 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4505 (= k.21 0))) (let ((?v_4512 (=> true (=> (<= k.20 k.21) (=> (< k.21 2) (and (=> true (=> ?v_4505 (=> (= inline.AcquireDpcLock.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_4506))) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0.0) ?v_4507))))) (=> true (=> (not ?v_4505) (and (=> true (=> ?v_4508 (=> (= inline.AcquireDpcLock.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_4506))) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0.1) ?v_4509))))) (=> true (=> (not ?v_4508) (=> true (=> (= inline.AcquireDpcLock.0.myVar_0.2 inline.AcquireDpcLock.0.myVar_0) ?v_4509))))))))))))) (let ((?v_4518 (and (=> true (=> (=> ?v_4510 ?v_36) (=> (=> ?v_4511 ?v_37) ?v_4512))) (=> true (=> (=> ?v_4510 ?v_442) (=> (=> ?v_4511 ?v_444) (and (=> true (=> (=> ?v_4510 ?v_344) (=> (=> ?v_4511 ?v_345) ?v_4512))) (=> true (=> (=> ?v_4510 ?v_446) (=> (=> ?v_4511 ?v_447) (=> true (=> (= k.24 k.20) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2..0 inline.AcquireDpcLock.0..result.KeGetCurrentThread.2376.63.2.) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.2 lockStatus_1) (=> (= inline.AcquireDpcLock.0.myVar_0.3 inline.AcquireDpcLock.0.myVar_0) (=> (= lockStatus_0.2 lockStatus_0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> true (=> true (=> true (=> true ?v_4513)))))))))))))))))))))) (?v_4520 (= k.20 k.18)) (?v_4521 (= errorReached.16 errorReached.14))) (let ((?v_4522 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4518))))))))))) (?v_4524 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 hdevice)) (?v_4523 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 hqueue)) (?v_4519 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 htimer)) (?v_4517 (= inline.EvtIoChildDeviceControl.0.myVar_0.8 hrequest)) (?v_4516 (=> true (=> (= k.20 k.19) (=> (= errorReached.16 errorReached.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 call18167formal.ret.0) ?v_4518)))))) (?v_4514 (= k.19 0)) (?v_4515 (= k.19 1))) (let ((?v_4526 (and (=> true (=> ?v_4517 (=> true (=> (<= k.18 k.19) (=> (< k.19 2) (and (=> true (=> (=> ?v_4514 ?v_8) (=> (=> ?v_4515 ?v_9) (=> true (=> (= errorReached.15 1) ?v_4516))))) (=> true (=> (=> ?v_4514 ?v_2) (=> (=> ?v_4515 ?v_3) (=> true (=> (= errorReached.15 errorReached.14) (=> true ?v_4516)))))))))))) (=> true (=> (not ?v_4517) (and (=> true (=> ?v_4519 (=> true (=> ?v_4520 (=> ?v_4521 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4522)))))) (=> true (=> (not ?v_4519) (and (=> true (=> ?v_4523 (=> true (=> ?v_4520 (=> ?v_4521 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4522)))))) (=> true (=> (not ?v_4523) (and (=> true (=> ?v_4524 (=> true (=> ?v_4520 (=> ?v_4521 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4522)))))) (=> true (=> (not ?v_4524) (=> true (=> ?v_4520 (=> ?v_4521 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4522)))))))))))))))))) (let ((?v_4528 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4526)))))))))))) (?v_4527 (= k.18 1)) (?v_4525 (= k.18 0))) (let ((?v_4532 (=> true (=> (<= k.17 k.18) (=> (< k.18 2) (and (=> true (=> ?v_4525 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.6 ?v_30) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.8 inline.EvtIoChildDeviceControl.0.myVar_0.6) ?v_4526))))) (=> true (=> (not ?v_4525) (and (=> true (=> ?v_4527 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.7 ?v_877) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.8 inline.EvtIoChildDeviceControl.0.myVar_0.7) ?v_4528))))) (=> true (=> (not ?v_4527) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.8 inline.EvtIoChildDeviceControl.0.myVar_0.5) ?v_4528)))))))))))) (?v_4529 (= k.17 0)) (?v_4530 (= k.17 1))) (let ((?v_4531 (=> true (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 call18047formal.ret.0) ?v_4532)))) (let ((?v_4537 (and (=> true (=> (=> ?v_4529 ?v_40) (=> (=> ?v_4530 ?v_41) ?v_4531))) (=> true (=> (=> ?v_4529 ?v_726) (=> (=> ?v_4530 ?v_728) (and (=> true (=> (=> ?v_4529 ?v_631) (=> (=> ?v_4530 ?v_632) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4531)))))))))))) (=> true (=> (=> ?v_4529 ?v_730) (=> (=> ?v_4530 ?v_731) (=> true (=> (= inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2..0 inline.AcquireEffectiveLock.0..result.KeGetCurrentThread.2324.66.2.) (=> true (=> true (=> true (=> true ?v_4532))))))))))))))) (?v_4539 (= k.17 k.15))) (let ((?v_4540 (=> (= errorReached.14 errorReached.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4537)))))))))))) (?v_4542 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 hdevice)) (?v_4541 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 hqueue)) (?v_4538 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 htimer)) (?v_4536 (= inline.EvtIoChildDeviceControl.0.myVar_0.5 hrequest)) (?v_4535 (=> true (=> (= k.17 k.16) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.14 errorReached.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 call17850formal.ret.0) ?v_4537)))))) (?v_4533 (= k.16 0)) (?v_4534 (= k.16 1))) (let ((?v_4544 (and (=> true (=> ?v_4536 (=> true (=> (<= k.15 k.16) (=> (< k.16 2) (and (=> true (=> (=> ?v_4533 ?v_8) (=> (=> ?v_4534 ?v_9) (=> true (=> (= errorReached.13 1) ?v_4535))))) (=> true (=> (=> ?v_4533 ?v_2) (=> (=> ?v_4534 ?v_3) (=> true (=> (= errorReached.13 errorReached.12) (=> true ?v_4535)))))))))))) (=> true (=> (not ?v_4536) (and (=> true (=> ?v_4538 (=> true (=> ?v_4539 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4540))))) (=> true (=> (not ?v_4538) (and (=> true (=> ?v_4541 (=> true (=> ?v_4539 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4540))))) (=> true (=> (not ?v_4541) (and (=> true (=> ?v_4542 (=> true (=> ?v_4539 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4540))))) (=> true (=> (not ?v_4542) (=> true (=> ?v_4539 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4540))))))))))))))))) (let ((?v_4546 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4544)))))))))))) (?v_4545 (= k.15 1)) (?v_4543 (= k.15 0))) (let ((?v_4547 (=> true (=> (<= k.14 k.15) (=> (< k.15 2) (and (=> true (=> ?v_4543 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.4 ?v_30) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.5 inline.EvtIoChildDeviceControl.0.myVar_0.4) ?v_4544))))) (=> true (=> (not ?v_4543) (and (=> true (=> ?v_4545 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.3 ?v_877) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.5 inline.EvtIoChildDeviceControl.0.myVar_0.3) ?v_4546))))) (=> true (=> (not ?v_4545) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.5 inline.EvtIoChildDeviceControl.0.myVar_0.2) ?v_4546))))))))))))) (let ((?v_4552 (and (=> true (=> ?v_778 ?v_4547)) (=> true (=> (not ?v_778) (=> true ?v_4547)))))) (let ((?v_4554 (=> true (=> true (=> true (=> true (=> true ?v_4552)))))) (?v_4553 (= errorReached.12 errorReached.11)) (?v_4550 (= k.14 k.13)) (?v_4551 (= inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 call17656formal.ret.0)) (?v_4548 (= k.13 0)) (?v_4549 (= k.13 1))) (let ((?v_4555 (and (=> true (=> ?v_27 (=> true (=> (<= k.12 k.13) (=> (< k.13 2) (and (=> true (=> (=> ?v_4548 ?v_8) (=> (=> ?v_4549 ?v_9) (=> true (=> ?v_4550 (=> (= errorReached.12 1) (=> ?v_4551 ?v_4552))))))) (=> true (=> (=> ?v_4548 ?v_2) (=> (=> ?v_4549 ?v_3) (=> true (=> ?v_4550 (=> ?v_4553 (=> ?v_4551 ?v_4554))))))))))))) (=> true (=> ?v_559 (=> true (=> (= k.14 k.12) (=> ?v_4553 (=> (= inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2..0 inline.sdv_WdfRequestGetIoQueue.0..result.userContextSwitch.7790.4.2.) ?v_4554))))))))) (let ((?v_4559 (=> true (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.0 inline.EvtIoChildDeviceControl.0.myNondetVar_1.0) (and (=> true (=> (< inline.EvtIoChildDeviceControl.0.myNondetVar_0.2 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.4 inline.EvtIoChildDeviceControl.0.myNondetVar_0.2) ?v_4555)))) (=> true (=> (not (< inline.EvtIoChildDeviceControl.0.myNondetVar_0.3 inline.sdv_InterlockedIncrement.0.myNondetVar_0.1)) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myNondetVar_0.4 inline.EvtIoChildDeviceControl.0.myNondetVar_0.3) (=> true (=> true (=> true (=> true ?v_4555)))))))))))) (?v_4560 (= k.12 k.10)) (?v_4561 (= errorReached.11 errorReached.9))) (let ((?v_4562 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4559)))))))))))))) (?v_4558 (=> true (=> (= k.12 k.11) (=> (= errorReached.11 errorReached.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 call17469formal.ret.0) ?v_4559)))))) (?v_4556 (= k.11 0)) (?v_4557 (= k.11 1))) (let ((?v_4567 (and (=> true (=> ?v_27 (=> true (=> (<= k.10 k.11) (=> (< k.11 2) (and (=> true (=> (=> ?v_4556 ?v_8) (=> (=> ?v_4557 ?v_9) (=> true (=> (= errorReached.10 1) ?v_4558))))) (=> true (=> (=> ?v_4556 ?v_2) (=> (=> ?v_4557 ?v_3) (=> true (=> (= errorReached.10 errorReached.9) (=> true ?v_4558)))))))))))) (=> true (=> ?v_559 (and (=> true (=> ?v_561 (=> true (=> ?v_4560 (=> ?v_4561 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4562)))))) (=> true (=> ?v_610 (and (=> true (=> ?v_565 (=> true (=> ?v_4560 (=> ?v_4561 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4562)))))) (=> true (=> ?v_614 (and (=> true (=> ?v_566 (=> true (=> ?v_4560 (=> ?v_4561 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4562)))))) (=> true (=> ?v_615 (=> true (=> ?v_4560 (=> ?v_4561 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4562)))))))))))))))))) (let ((?v_4572 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4567)))))))))))))))) (?v_4569 (= k.10 k.8)) (?v_4570 (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.)) (?v_4571 (= errorReached.9 errorReached.7)) (?v_4574 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 hdevice)) (?v_4573 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 hqueue)) (?v_4568 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 htimer)) (?v_4566 (= inline.EvtIoChildDeviceControl.0.myVar_0.2 hrequest)) (?v_4565 (=> true (=> (= k.10 k.9) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 call17299formal.ret.0) (=> (= errorReached.9 errorReached.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4567)))))) (?v_4563 (= k.9 0)) (?v_4564 (= k.9 1))) (let ((?v_4577 (and (=> true (=> ?v_4566 (=> true (=> (<= k.8 k.9) (=> (< k.9 2) (and (=> true (=> (=> ?v_4563 ?v_8) (=> (=> ?v_4564 ?v_9) (=> true (=> (= errorReached.8 1) ?v_4565))))) (=> true (=> (=> ?v_4563 ?v_2) (=> (=> ?v_4564 ?v_3) (=> true (=> (= errorReached.8 errorReached.7) (=> true ?v_4565)))))))))))) (=> true (=> (not ?v_4566) (and (=> true (=> ?v_4568 (=> true (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4572))))))) (=> true (=> (not ?v_4568) (and (=> true (=> ?v_4573 (=> true (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4572))))))) (=> true (=> (not ?v_4573) (and (=> true (=> ?v_4574 (=> true (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4572))))))) (=> true (=> (not ?v_4574) (=> true (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4572))))))))))))))))))) (let ((?v_4579 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4577)))))))) (?v_4578 (= k.8 1)) (?v_4576 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_4575 (= k.8 0))) (let ((?v_4583 (=> true (=> (<= k.7 k.8) (=> (< k.8 2) (and (=> true (=> ?v_4575 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.0 (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4576))) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.2 inline.EvtIoChildDeviceControl.0.myVar_0.0) ?v_4577))))) (=> true (=> (not ?v_4575) (and (=> true (=> ?v_4578 (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.1 (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4576))) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.2 inline.EvtIoChildDeviceControl.0.myVar_0.1) ?v_4579))))) (=> true (=> (not ?v_4578) (=> true (=> (= inline.EvtIoChildDeviceControl.0.myVar_0.2 inline.EvtIoChildDeviceControl.0.myVar_0) ?v_4579))))))))))))) (let ((?v_4587 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4583))))))))) (?v_4584 (= k.7 0)) (?v_4585 (= errorReached.7 errorReached.5)) (?v_4586 (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2.)) (?v_4582 (=> true (=> (= k.7 k.6) (=> (= errorReached.7 errorReached.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 call17091formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4583)))))) (?v_4580 (= k.6 0)) (?v_4581 (= k.6 1)) (?v_18 (>= 4 0)) (?v_19 (int_2_U call16942formal.new.0)) (?v_20 (int_2_U call16945formal.new.0)) (?v_21 (int_2_U call16948formal.new.0)) (?v_22 (int_2_U call16951formal.new.0)) (?v_23 (int_2_U call16954formal.new.0)) (?v_24 (int_2_U call16957formal.new.0)) (?v_25 (int_2_U call16960formal.new.0)) (?v_15 (= k.5 0)) (?v_16 (= k.5 1)) (?v_14 (int_2_U (Queue__TIMER_DPC_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4592 (=> true (=> (=> ?v_15 (= (U_2_int (MapType0Select Mem_0_T.Queue__TIMER_DPC_CONTEXT ?v_14)) hqueue)) (=> (=> ?v_16 (= (U_2_int (MapType0Select Mem_1_T.Queue__TIMER_DPC_CONTEXT ?v_14)) hqueue)) (=> true (=> (=> ?v_15 ?v_344) (=> (=> ?v_16 ?v_345) (=> true (and ?v_18 (=> ?v_18 (=> (> call16942formal.new.0 0) (=> (forall ((?x375 Int)) (! (=> (and (<= call16942formal.new.0 ?x375) (< ?x375 (+ call16942formal.new.0 4))) (= (Base ?x375) call16942formal.new.0)) :pattern ((Base ?x375)) )) (=> (forall ((?x376 boogieU)) (! (=> (= (type ?x376) intType) (or (= (U_2_int ?x376) call16942formal.new.0) (= (MapType0Select alloc ?x376) (MapType0Select alloc.0 ?x376)))) :pattern ((MapType0Select alloc.0 ?x376)) )) (=> (and (= (MapType0Select alloc ?v_19) UNALLOCATED) (= (MapType0Select alloc.0 ?v_19) ALLOCATED)) (and ?v_18 (=> ?v_18 (=> (> call16945formal.new.0 0) (=> (forall ((?x377 Int)) (! (=> (and (<= call16945formal.new.0 ?x377) (< ?x377 (+ call16945formal.new.0 4))) (= (Base ?x377) call16945formal.new.0)) :pattern ((Base ?x377)) )) (=> (forall ((?x378 boogieU)) (! (=> (= (type ?x378) intType) (or (= (U_2_int ?x378) call16945formal.new.0) (= (MapType0Select alloc.0 ?x378) (MapType0Select alloc.1 ?x378)))) :pattern ((MapType0Select alloc.1 ?x378)) )) (=> (and (= (MapType0Select alloc.0 ?v_20) UNALLOCATED) (= (MapType0Select alloc.1 ?v_20) ALLOCATED)) (and ?v_18 (=> ?v_18 (=> (> call16948formal.new.0 0) (=> (forall ((?x379 Int)) (! (=> (and (<= call16948formal.new.0 ?x379) (< ?x379 (+ call16948formal.new.0 4))) (= (Base ?x379) call16948formal.new.0)) :pattern ((Base ?x379)) )) (=> (forall ((?x380 boogieU)) (! (=> (= (type ?x380) intType) (or (= (U_2_int ?x380) call16948formal.new.0) (= (MapType0Select alloc.1 ?x380) (MapType0Select alloc.2 ?x380)))) :pattern ((MapType0Select alloc.2 ?x380)) )) (=> (and (= (MapType0Select alloc.1 ?v_21) UNALLOCATED) (= (MapType0Select alloc.2 ?v_21) ALLOCATED)) (and ?v_18 (=> ?v_18 (=> (> call16951formal.new.0 0) (=> (forall ((?x381 Int)) (! (=> (and (<= call16951formal.new.0 ?x381) (< ?x381 (+ call16951formal.new.0 4))) (= (Base ?x381) call16951formal.new.0)) :pattern ((Base ?x381)) )) (=> (forall ((?x382 boogieU)) (! (=> (= (type ?x382) intType) (or (= (U_2_int ?x382) call16951formal.new.0) (= (MapType0Select alloc.2 ?x382) (MapType0Select alloc.3 ?x382)))) :pattern ((MapType0Select alloc.3 ?x382)) )) (=> (and (= (MapType0Select alloc.2 ?v_22) UNALLOCATED) (= (MapType0Select alloc.3 ?v_22) ALLOCATED)) (and ?v_18 (=> ?v_18 (=> (> call16954formal.new.0 0) (=> (forall ((?x383 Int)) (! (=> (and (<= call16954formal.new.0 ?x383) (< ?x383 (+ call16954formal.new.0 4))) (= (Base ?x383) call16954formal.new.0)) :pattern ((Base ?x383)) )) (=> (forall ((?x384 boogieU)) (! (=> (= (type ?x384) intType) (or (= (U_2_int ?x384) call16954formal.new.0) (= (MapType0Select alloc.3 ?x384) (MapType0Select alloc.4 ?x384)))) :pattern ((MapType0Select alloc.4 ?x384)) )) (=> (and (= (MapType0Select alloc.3 ?v_23) UNALLOCATED) (= (MapType0Select alloc.4 ?v_23) ALLOCATED)) (and ?v_18 (=> ?v_18 (=> (> call16957formal.new.0 0) (=> (forall ((?x385 Int)) (! (=> (and (<= call16957formal.new.0 ?x385) (< ?x385 (+ call16957formal.new.0 4))) (= (Base ?x385) call16957formal.new.0)) :pattern ((Base ?x385)) )) (=> (forall ((?x386 boogieU)) (! (=> (= (type ?x386) intType) (or (= (U_2_int ?x386) call16957formal.new.0) (= (MapType0Select alloc.4 ?x386) (MapType0Select alloc.5 ?x386)))) :pattern ((MapType0Select alloc.5 ?x386)) )) (=> (and (= (MapType0Select alloc.4 ?v_24) UNALLOCATED) (= (MapType0Select alloc.5 ?v_24) ALLOCATED)) (and ?v_18 (=> ?v_18 (=> (> call16960formal.new.0 0) (=> (forall ((?x387 Int)) (! (=> (and (<= call16960formal.new.0 ?x387) (< ?x387 (+ call16960formal.new.0 4))) (= (Base ?x387) call16960formal.new.0)) :pattern ((Base ?x387)) )) (=> (forall ((?x388 boogieU)) (! (=> (= (type ?x388) intType) (or (= (U_2_int ?x388) call16960formal.new.0) (= (MapType0Select alloc.5 ?x388) (MapType0Select alloc.6 ?x388)))) :pattern ((MapType0Select alloc.6 ?x388)) )) (=> (and (= (MapType0Select alloc.5 ?v_25) UNALLOCATED) (= (MapType0Select alloc.6 ?v_25) ALLOCATED)) (=> true (=> (= inline.EvtIoChildDeviceControl.0..status.6.1523.13.EvtIoChildDeviceControl.0 ?v_35) (and (=> true (=> ?v_26 (=> true (=> (<= 0 k.6) (=> (< k.6 2) (and (=> true (=> (=> ?v_4580 ?v_8) (=> (=> ?v_4581 ?v_9) (=> true (=> (= errorReached.6 1) ?v_4582))))) (=> true (=> (=> ?v_4580 ?v_2) (=> (=> ?v_4581 ?v_3) (=> true (=> (= errorReached.6 errorReached.5) (=> true ?v_4582)))))))))))) (=> true (=> ?v_2489 (and (=> true (=> ?v_773 (=> true (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4587))))))) (=> true (=> ?v_2491 (and (=> true (=> ?v_774 (=> true (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4587))))))) (=> true (=> ?v_778 (and (=> true (=> ?v_779 (=> true (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4587))))))) (=> true (=> ?v_2494 (=> true (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4587)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4597 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4592))))))))) (?v_4594 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2.)) (?v_4595 (= errorReached.5 errorReached.3)) (?v_4596 (= k.5 k.3)) (?v_4590 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 call16741formal.ret.0) (=> (= errorReached.5 errorReached.4) (=> (= k.5 k.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4592)))))) (?v_4588 (= k.4 0)) (?v_4589 (= k.4 1)) (?v_11 (= k.3 0)) (?v_13 (int_2_U (DpcLock__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_12 (= k.3 1)) (?v_10 (int_2_U (Device__DEVICE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4604 (=> true (=> (=> ?v_11 (= (U_2_int (MapType0Select Mem_0_T.Device__DEVICE_CONTEXT ?v_10)) hdevice)) (=> (=> ?v_12 (= (U_2_int (MapType0Select Mem_1_T.Device__DEVICE_CONTEXT ?v_10)) hdevice)) (=> true (=> (=> ?v_11 (= (U_2_int (MapType0Select Mem_0_T.DpcLock__DEVICE_CONTEXT ?v_13)) hlock)) (=> (=> ?v_12 (= (U_2_int (MapType0Select Mem_1_T.DpcLock__DEVICE_CONTEXT ?v_13)) hlock)) (and (=> true (=> ?v_47 (=> true (=> (<= k.3 k.4) (=> (< k.4 2) (and (=> true (=> (=> ?v_4588 ?v_8) (=> (=> ?v_4589 ?v_9) (=> true (=> (= errorReached.4 1) ?v_4590))))) (=> true (=> (=> ?v_4588 ?v_2) (=> (=> ?v_4589 ?v_3) (=> true (=> (= errorReached.4 errorReached.3) (=> true ?v_4590)))))))))))) (=> true (=> ?v_4591 (and (=> true (=> ?v_511 (=> true (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4597))))))) (=> true (=> ?v_4593 (and (=> true (=> ?v_514 (=> true (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4597))))))) (=> true (=> ?v_4598 (and (=> true (=> ?v_515 (=> true (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4597))))))) (=> true (=> ?v_4599 (=> true (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4597))))))))))))))))))))))))) (let ((?v_4609 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4604))))))))) (?v_4606 (= k.3 k.1)) (?v_4607 (= errorReached.3 errorReached.1)) (?v_4608 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2.)) (?v_4611 (= hdevice hdevice)) (?v_4610 (= hdevice hqueue)) (?v_4605 (= hdevice htimer)) (?v_4603 (= hdevice hrequest)) (?v_4602 (=> true (=> (= k.3 k.2) (=> (= errorReached.3 errorReached.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 call16521formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4604)))))) (?v_4600 (= k.2 0)) (?v_4601 (= k.2 1)) (?v_5 (= k.1 0)) (?v_7 (int_2_U (CurrentRequest__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (?v_6 (= k.1 1)) (?v_4 (int_2_U (ParentDevice__CHILD_QUEUE_CONTEXT inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)))) (let ((?v_4615 (=> true (=> (=> ?v_5 (= (U_2_int (MapType0Select Mem_0_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4)) hdevice)) (=> (=> ?v_6 (= (U_2_int (MapType0Select Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT ?v_4)) hdevice)) (=> true (=> (=> ?v_5 (= (U_2_int (MapType0Select Mem_0_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_7)) notused_hrequest)) (=> (=> ?v_6 (= (U_2_int (MapType0Select Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT ?v_7)) notused_hrequest)) (and (=> true (=> ?v_4603 (=> true (=> (<= k.1 k.2) (=> (< k.2 2) (and (=> true (=> (=> ?v_4600 ?v_8) (=> (=> ?v_4601 ?v_9) (=> true (=> (= errorReached.2 1) ?v_4602))))) (=> true (=> (=> ?v_4600 ?v_2) (=> (=> ?v_4601 ?v_3) (=> true (=> (= errorReached.2 errorReached.1) (=> true ?v_4602)))))))))))) (=> true (=> (not ?v_4603) (and (=> true (=> ?v_4605 (=> true (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4609))))))) (=> true (=> (not ?v_4605) (and (=> true (=> ?v_4610 (=> true (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4609))))))) (=> true (=> (not ?v_4610) (and (=> true (=> ?v_4611 (=> true (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4609))))))) (=> true (=> (not ?v_4611) (=> true (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4609))))))))))))))))))))))))) (let ((?v_4618 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4615))))))))) (?v_4616 (= errorReached.1 0)) (?v_4617 (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2.)) (?v_4614 (=> true (=> (= k.1 k.0) (=> (= errorReached.1 errorReached.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 call16301formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_4615)))))) (?v_4612 (= k.0 0)) (?v_4613 (= k.0 1)) (?v_0 (= 0 0)) (?v_1 (= 0 1))) (not (=> true (=> (= Mem_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT Mem_s_1_T.BufferToVerifyCanceledOnQueue__REQUEST_CONTEXT) (=> (= Mem_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT Mem_s_1_T.CurrentRequest__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T.Device__DEVICE_CONTEXT Mem_s_1_T.Device__DEVICE_CONTEXT) (=> (= Mem_1_T.DpcLock__DEVICE_CONTEXT Mem_s_1_T.DpcLock__DEVICE_CONTEXT) (=> (= Mem_1_T.ParentDevice__CHILD_QUEUE_CONTEXT Mem_s_1_T.ParentDevice__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T.Queue__TIMER_DPC_CONTEXT Mem_s_1_T.Queue__TIMER_DPC_CONTEXT) (=> (= Mem_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT Mem_s_1_T.RequestReadyForTimerToComplete__CHILD_QUEUE_CONTEXT) (=> (= Mem_1_T._WDF_EXECUTION_LEVEL Mem_s_1_T._WDF_EXECUTION_LEVEL) (=> (= Mem_1_T._WDF_SYNCHRONIZATION_SCOPE Mem_s_1_T._WDF_SYNCHRONIZATION_SCOPE) (=> (= reqCompleted_1 reqCompleted_s_1) (=> (= lockStatus_1 lockStatus_s_1) (=> (= reqCancelSet_1 reqCancelSet_s_1) (=> (= reqCancelStarted_1 reqCancelStarted_s_1) (=> (= reqCompleteSet_1 reqCompleteSet_s_1) (=> (= reqSent_1 reqSent_s_1) (=> true (=> (=> ?v_0 ?v_2) (=> (=> ?v_1 ?v_3) (=> true (=> (=> ?v_0 (= reqCancelSet_0 0)) (=> (=> ?v_1 (= reqCancelSet_1 0)) (=> true (=> (=> ?v_0 ?v_1644) (=> (=> ?v_1 ?v_1646) (=> true (=> (=> ?v_0 ?v_32) (=> (=> ?v_1 ?v_33) (=> true (=> (=> ?v_0 ?v_517) (=> (=> ?v_1 ?v_519) (=> true (=> (=> ?v_0 ?v_518) (=> (=> ?v_1 ?v_520) (and (=> true (=> ?v_26 (=> true (=> (<= 0 k.0) (=> (< k.0 2) (and (=> true (=> (=> ?v_4612 ?v_8) (=> (=> ?v_4613 ?v_9) (=> true (=> (= errorReached.0 1) ?v_4614))))) (=> true (=> (=> ?v_4612 ?v_2) (=> (=> ?v_4613 ?v_3) (=> true (=> (= errorReached.0 0) (=> true ?v_4614)))))))))))) (=> true (=> ?v_2489 (and (=> true (=> ?v_773 (=> true (=> ?v_5 (=> ?v_4616 (=> ?v_4617 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4618))))))) (=> true (=> ?v_2491 (and (=> true (=> ?v_774 (=> true (=> ?v_5 (=> ?v_4616 (=> ?v_4617 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4618))))))) (=> true (=> ?v_778 (and (=> true (=> ?v_779 (=> true (=> ?v_5 (=> ?v_4616 (=> ?v_4617 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4618))))))) (=> true (=> ?v_2494 (=> true (=> ?v_5 (=> ?v_4616 (=> ?v_4617 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4618))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
