(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.Guid_WMIGUIDREGINFO () boogieU)
(declare-fun T.InstanceCount_WMIGUIDREGINFO () boogieU)
(declare-fun T.Flags_WMIGUIDREGINFO () boogieU)
(declare-fun T.OperationID__ACCESS_STATE () boogieU)
(declare-fun T.SecurityEvaluated__ACCESS_STATE () boogieU)
(declare-fun T.GenerateAudit__ACCESS_STATE () boogieU)
(declare-fun T.GenerateOnClose__ACCESS_STATE () boogieU)
(declare-fun T.PrivilegesAllocated__ACCESS_STATE () boogieU)
(declare-fun T.Flags__ACCESS_STATE () boogieU)
(declare-fun T.RemainingDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.PreviouslyGrantedAccess__ACCESS_STATE () boogieU)
(declare-fun T.OriginalDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.SubjectSecurityContext__ACCESS_STATE () boogieU)
(declare-fun T.SecurityDescriptor__ACCESS_STATE () boogieU)
(declare-fun T.AuxData__ACCESS_STATE () boogieU)
(declare-fun T.Privileges__ACCESS_STATE () boogieU)
(declare-fun T.AuditPrivileges__ACCESS_STATE () boogieU)
(declare-fun T.ObjectName__ACCESS_STATE () boogieU)
(declare-fun T.ObjectTypeName__ACCESS_STATE () boogieU)
(declare-fun T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_RESOURCE_LIST () boogieU)
(declare-fun T.List__CM_RESOURCE_LIST () boogieU)
(declare-fun T.Size__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Version__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.LockSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.EjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Removable__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DockDevice__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UniqueID__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SilentInstall__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.RawDeviceOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SurpriseRemovalOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD0__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD3__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.HardwareDisabled__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NonDynamic__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WarmEjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NoDisplayInUI__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Reserved__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Address__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UINumber__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceState__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SystemWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D1Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D2Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D3Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Type__DEVICE_OBJECT () boogieU)
(declare-fun T.Size__DEVICE_OBJECT () boogieU)
(declare-fun T.ReferenceCount__DEVICE_OBJECT () boogieU)
(declare-fun T.DriverObject__DEVICE_OBJECT () boogieU)
(declare-fun T.NextDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.AttachedDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.CurrentIrp__DEVICE_OBJECT () boogieU)
(declare-fun T.Timer__DEVICE_OBJECT () boogieU)
(declare-fun T.Flags__DEVICE_OBJECT () boogieU)
(declare-fun T.Characteristics__DEVICE_OBJECT () boogieU)
(declare-fun T.Vpb__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceType__DEVICE_OBJECT () boogieU)
(declare-fun T.StackSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Queue__DEVICE_OBJECT () boogieU)
(declare-fun T.AlignmentRequirement__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceQueue__DEVICE_OBJECT () boogieU)
(declare-fun T.Dpc__DEVICE_OBJECT () boogieU)
(declare-fun T.ActiveThreadCount__DEVICE_OBJECT () boogieU)
(declare-fun T.SecurityDescriptor__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceLock__DEVICE_OBJECT () boogieU)
(declare-fun T.SectorSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Spare1__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceObjectExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.Reserved__DEVICE_OBJECT () boogieU)
(declare-fun T.Type__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.Size__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.DeviceObject__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.__unnamed_4_7b44c46c__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.DriverObject__DRIVER_EXTENSION () boogieU)
(declare-fun T.AddDevice__DRIVER_EXTENSION () boogieU)
(declare-fun T.Count__DRIVER_EXTENSION () boogieU)
(declare-fun T.ServiceKeyName__DRIVER_EXTENSION () boogieU)
(declare-fun T.Type__DRIVER_OBJECT () boogieU)
(declare-fun T.Size__DRIVER_OBJECT () boogieU)
(declare-fun T.DeviceObject__DRIVER_OBJECT () boogieU)
(declare-fun T.Flags__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStart__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSize__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSection__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverExtension__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverName__DRIVER_OBJECT () boogieU)
(declare-fun T.HardwareDatabase__DRIVER_OBJECT () boogieU)
(declare-fun T.FastIoDispatch__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverInit__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStartIo__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverUnload__DRIVER_OBJECT () boogieU)
(declare-fun T.MajorFunction__DRIVER_OBJECT () boogieU)
(declare-fun T.SystemResourcesList__ERESOURCE () boogieU)
(declare-fun T.OwnerTable__ERESOURCE () boogieU)
(declare-fun T.ActiveCount__ERESOURCE () boogieU)
(declare-fun T.Flag__ERESOURCE () boogieU)
(declare-fun T.SharedWaiters__ERESOURCE () boogieU)
(declare-fun T.ExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.OwnerEntry__ERESOURCE () boogieU)
(declare-fun T.ActiveEntries__ERESOURCE () boogieU)
(declare-fun T.ContentionCount__ERESOURCE () boogieU)
(declare-fun T.NumberOfSharedWaiters__ERESOURCE () boogieU)
(declare-fun T.NumberOfExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.__unnamed_4_f13e195c__ERESOURCE () boogieU)
(declare-fun T.SpinLock__ERESOURCE () boogieU)
(declare-fun T.SizeOfFastIoDispatch__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoCheckIfPossible__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryBasicInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryStandardInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoLock__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockSingle__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAll__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAllByKey__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDeviceControl__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDetachDevice__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.PrepareMdlWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoReadCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWriteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryOpen__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.Count__FAST_MUTEX () boogieU)
(declare-fun T.Owner__FAST_MUTEX () boogieU)
(declare-fun T.Contention__FAST_MUTEX () boogieU)
(declare-fun T.Gate__FAST_MUTEX () boogieU)
(declare-fun T.OldIrql__FAST_MUTEX () boogieU)
(declare-fun T.CreationTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.CreationTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.Type__FILE_OBJECT () boogieU)
(declare-fun T.Size__FILE_OBJECT () boogieU)
(declare-fun T.DeviceObject__FILE_OBJECT () boogieU)
(declare-fun T.Vpb__FILE_OBJECT () boogieU)
(declare-fun T.FsContext__FILE_OBJECT () boogieU)
(declare-fun T.FsContext2__FILE_OBJECT () boogieU)
(declare-fun T.SectionObjectPointer__FILE_OBJECT () boogieU)
(declare-fun T.PrivateCacheMap__FILE_OBJECT () boogieU)
(declare-fun T.FinalStatus__FILE_OBJECT () boogieU)
(declare-fun T.RelatedFileObject__FILE_OBJECT () boogieU)
(declare-fun T.LockOperation__FILE_OBJECT () boogieU)
(declare-fun T.DeletePending__FILE_OBJECT () boogieU)
(declare-fun T.ReadAccess__FILE_OBJECT () boogieU)
(declare-fun T.WriteAccess__FILE_OBJECT () boogieU)
(declare-fun T.DeleteAccess__FILE_OBJECT () boogieU)
(declare-fun T.SharedRead__FILE_OBJECT () boogieU)
(declare-fun T.SharedWrite__FILE_OBJECT () boogieU)
(declare-fun T.SharedDelete__FILE_OBJECT () boogieU)
(declare-fun T.Flags__FILE_OBJECT () boogieU)
(declare-fun T.FileName__FILE_OBJECT () boogieU)
(declare-fun T.CurrentByteOffset__FILE_OBJECT () boogieU)
(declare-fun T.Waiters__FILE_OBJECT () boogieU)
(declare-fun T.Busy__FILE_OBJECT () boogieU)
(declare-fun T.LastLock__FILE_OBJECT () boogieU)
(declare-fun T.Lock__FILE_OBJECT () boogieU)
(declare-fun T.Event__FILE_OBJECT () boogieU)
(declare-fun T.CompletionContext__FILE_OBJECT () boogieU)
(declare-fun T.IrpListLock__FILE_OBJECT () boogieU)
(declare-fun T.IrpList__FILE_OBJECT () boogieU)
(declare-fun T.FileObjectExtension__FILE_OBJECT () boogieU)
(declare-fun T.AllocationSize__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.NumberOfLinks__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.DeletePending__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Directory__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Data1__GUID () boogieU)
(declare-fun T.Data2__GUID () boogieU)
(declare-fun T.Data3__GUID () boogieU)
(declare-fun T.Data4__GUID () boogieU)
(declare-fun T.PrivilegeCount__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Control__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Size__INTERFACE () boogieU)
(declare-fun T.Version__INTERFACE () boogieU)
(declare-fun T.Context__INTERFACE () boogieU)
(declare-fun T.InterfaceReference__INTERFACE () boogieU)
(declare-fun T.InterfaceDereference__INTERFACE () boogieU)
(declare-fun T.Port__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Key__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Option__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare1__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare2__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Count__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Descriptors__IO_RESOURCE_LIST () boogieU)
(declare-fun T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.List__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SecurityQos__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.AccessState__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.DesiredAccess__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.FullCreateOptions__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.MajorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.MinorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.Flags__IO_STACK_LOCATION () boogieU)
(declare-fun T.Control__IO_STACK_LOCATION () boogieU)
(declare-fun T.Parameters__IO_STACK_LOCATION () boogieU)
(declare-fun T.DeviceObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.FileObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.CompletionRoutine__IO_STACK_LOCATION () boogieU)
(declare-fun T.Context__IO_STACK_LOCATION () boogieU)
(declare-fun T.__unnamed_4_ab1173de__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Type__IRP () boogieU)
(declare-fun T.Size__IRP () boogieU)
(declare-fun T.MdlAddress__IRP () boogieU)
(declare-fun T.Flags__IRP () boogieU)
(declare-fun T.AssociatedIrp__IRP () boogieU)
(declare-fun T.ThreadListEntry__IRP () boogieU)
(declare-fun T.IoStatus__IRP () boogieU)
(declare-fun T.RequestorMode__IRP () boogieU)
(declare-fun T.PendingReturned__IRP () boogieU)
(declare-fun T.StackCount__IRP () boogieU)
(declare-fun T.CurrentLocation__IRP () boogieU)
(declare-fun T.Cancel__IRP () boogieU)
(declare-fun T.CancelIrql__IRP () boogieU)
(declare-fun T.ApcEnvironment__IRP () boogieU)
(declare-fun T.AllocationFlags__IRP () boogieU)
(declare-fun T.UserIosb__IRP () boogieU)
(declare-fun T.UserEvent__IRP () boogieU)
(declare-fun T.Overlay__IRP () boogieU)
(declare-fun T.CancelRoutine__IRP () boogieU)
(declare-fun T.UserBuffer__IRP () boogieU)
(declare-fun T.Tail__IRP () boogieU)
(declare-fun T.Type__KAPC () boogieU)
(declare-fun T.SpareByte0__KAPC () boogieU)
(declare-fun T.Size__KAPC () boogieU)
(declare-fun T.SpareByte1__KAPC () boogieU)
(declare-fun T.SpareLong0__KAPC () boogieU)
(declare-fun T.Thread__KAPC () boogieU)
(declare-fun T.ApcListEntry__KAPC () boogieU)
(declare-fun T.KernelRoutine__KAPC () boogieU)
(declare-fun T.RundownRoutine__KAPC () boogieU)
(declare-fun T.NormalRoutine__KAPC () boogieU)
(declare-fun T.NormalContext__KAPC () boogieU)
(declare-fun T.SystemArgument1__KAPC () boogieU)
(declare-fun T.SystemArgument2__KAPC () boogieU)
(declare-fun T.ApcStateIndex__KAPC () boogieU)
(declare-fun T.ApcMode__KAPC () boogieU)
(declare-fun T.Inserted__KAPC () boogieU)
(declare-fun T.Type__KDEVICE_QUEUE () boogieU)
(declare-fun T.Size__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListHead__KDEVICE_QUEUE () boogieU)
(declare-fun T.Lock__KDEVICE_QUEUE () boogieU)
(declare-fun T.Busy__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListEntry__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.SortKey__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Inserted__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Type__KDPC () boogieU)
(declare-fun T.Importance__KDPC () boogieU)
(declare-fun T.Number__KDPC () boogieU)
(declare-fun T.DpcListEntry__KDPC () boogieU)
(declare-fun T.DeferredRoutine__KDPC () boogieU)
(declare-fun T.DeferredContext__KDPC () boogieU)
(declare-fun T.SystemArgument1__KDPC () boogieU)
(declare-fun T.SystemArgument2__KDPC () boogieU)
(declare-fun T.DpcData__KDPC () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Header__KSEMAPHORE () boogieU)
(declare-fun T.Limit__KSEMAPHORE () boogieU)
(declare-fun T.Header__KTIMER () boogieU)
(declare-fun T.DueTime__KTIMER () boogieU)
(declare-fun T.TimerListEntry__KTIMER () boogieU)
(declare-fun T.Dpc__KTIMER () boogieU)
(declare-fun T.Period__KTIMER () boogieU)
(declare-fun T.__unnamed_8_544b88f4__LARGE_INTEGER () boogieU)
(declare-fun T.u__LARGE_INTEGER () boogieU)
(declare-fun T.QuadPart__LARGE_INTEGER () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.LowPart__LUID () boogieU)
(declare-fun T.HighPart__LUID () boogieU)
(declare-fun T.Luid__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Attributes__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.OwnerThread__OWNER_ENTRY () boogieU)
(declare-fun T.__unnamed_4_1c47e29a__OWNER_ENTRY () boogieU)
(declare-fun T.SequenceD1__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD2__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD3__POWER_SEQUENCE () boogieU)
(declare-fun T.SystemState__POWER_STATE () boogieU)
(declare-fun T.DeviceState__POWER_STATE () boogieU)
(declare-fun T.PrivilegeCount__PRIVILEGE_SET () boogieU)
(declare-fun T.Control__PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__PRIVILEGE_SET () boogieU)
(declare-fun T.DataSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.SharedCacheMap__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.ImageSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.Length__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ClientToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.PrimaryToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ReceivedCount__SERIALPERF_STATS () boogieU)
(declare-fun T.TransmittedCount__SERIALPERF_STATS () boogieU)
(declare-fun T.FrameErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.SerialOverrunErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.BufferOverrunErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.ParityErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.BaudRate__SERIAL_BAUD_RATE () boogieU)
(declare-fun T.EofChar__SERIAL_CHARS () boogieU)
(declare-fun T.ErrorChar__SERIAL_CHARS () boogieU)
(declare-fun T.BreakChar__SERIAL_CHARS () boogieU)
(declare-fun T.EventChar__SERIAL_CHARS () boogieU)
(declare-fun T.XonChar__SERIAL_CHARS () boogieU)
(declare-fun T.XoffChar__SERIAL_CHARS () boogieU)
(declare-fun T.IsrFunc__SERIAL_CISR_SW () boogieU)
(declare-fun T.Context__SERIAL_CISR_SW () boogieU)
(declare-fun T.SharerList__SERIAL_CISR_SW () boogieU)
(declare-fun T.PacketLength__SERIAL_COMMPROP () boogieU)
(declare-fun T.PacketVersion__SERIAL_COMMPROP () boogieU)
(declare-fun T.ServiceMask__SERIAL_COMMPROP () boogieU)
(declare-fun T.Reserved1__SERIAL_COMMPROP () boogieU)
(declare-fun T.MaxTxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.MaxRxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.MaxBaud__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvSubType__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvCapabilities__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableParams__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableBaud__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableData__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableStopParity__SERIAL_COMMPROP () boogieU)
(declare-fun T.CurrentTxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.CurrentRxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvSpec1__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvSpec2__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvChar__SERIAL_COMMPROP () boogieU)
(declare-fun T.TopLevelOurIsr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TopLevelOurIsrContext__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TopLevelSharers__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CommonInterruptObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.MultiportSiblings__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.AllDevObjs__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalController__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalInterruptStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IntervalTime__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ShortIntervalAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LongIntervalAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CutOverAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LastReadTime__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ObjectDirectory__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SymbolicLinkName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DosName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IntervalTimeToUse__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OurIsr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OurIsrContext__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Controller__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterruptStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Interrupt__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.MaskQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PurgeQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentReadIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentWriteIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentMaskIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentWaitIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentXoffIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteLength__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteCurrentChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterruptReadBuffer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadBufferBase__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentCharSlot__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LastCharSlot__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.FirstReadableChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LockPtr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.BufferSize__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.BufferSizePt8__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NumberNeededForRead__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IsrWaitMask__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.HistoryMask__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IrpMaskLocation__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TXHolding__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.RXHolding__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ErrorWord__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalCharsQueued__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CountOnLastRead__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadByIsr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentBaud__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CountSinceXoff__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CountOfTryingToLowerRTS__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SupportedBauds__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SpanOfController__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SpanOfInterruptStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ClockRate__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TxFifoAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PermitShare__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Timeouts__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SpecialChars__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.HandFlow__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PerfStats__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LineControl__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceIsOpened__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.UnMapRegisters__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.UnMapStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.HoldingEmpty__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TransmitImmediate__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.EmptiedTransmit__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PortOnAMultiportCard__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Vector__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Irql__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalVector__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalIrql__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.AddressSpace__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.BusNumber__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterfaceType__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PortIndex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Indexed__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.MaskInverted__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewPortIndex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewMaskInverted__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewExtension__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ImmediateChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ValidDataMask__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.EscapeChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SendXonChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SendXoffChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.FifoPresent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.RxFifoTrigger__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterruptShareable__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CreatedSymbolicLink__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CreatedSerialCommEntry__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ControlLock__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.FlagsLock__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CompleteWriteDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CompleteReadDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CommErrorDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CommWaitDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CompleteImmediateDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.XoffCountCompleteDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.StartTimerLowerRTSDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PerhapsLowerRTSDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IsrUnlockPagesDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SetPendingDpcEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.XoffCountTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LowerRTSTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LowerDeviceObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PowerState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DriverObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SerialSyncEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceClassSymbolicName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CIsrSw__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingIRPCnt__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DevicePNPAccept__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingIRPEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PNPState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Flags__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OpenCount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SerialStartEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceStateMap__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PowerD0Event__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.StalledIrpQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OpenMutex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CloseMutex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OwnsPowerPolicy__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.RetainPowerOnClose__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.QueueCreateIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SystemWake__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceWake__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Pdo__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SendWaitWake__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingWakeIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiLibInfo__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiIdentifier__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiCommData__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiHwData__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiPerfData__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DpcCount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingDpcEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SkipNaming__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TL16C550CAFC__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewDevicePowerState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.UartRemovalDetect__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Reopen__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.IER__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.LCR__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.MCR__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.ControlHandShake__SERIAL_HANDFLOW () boogieU)
(declare-fun T.FlowReplace__SERIAL_HANDFLOW () boogieU)
(declare-fun T.XonLimit__SERIAL_HANDFLOW () boogieU)
(declare-fun T.XoffLimit__SERIAL_HANDFLOW () boogieU)
(declare-fun T.Extension__SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T.Data__SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T.StopBits__SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.Parity__SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.WordLength__SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.InSize__SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.OutSize__SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.Extension__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.OldBuffer__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.NewBuffer__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.NewBufferSize__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.NumberMoved__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.ReadIntervalTimeout__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.ReadTotalTimeoutConstant__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.WriteTotalTimeoutConstant__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.Extension__SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.CharsCopied__SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.Completed__SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.BaudRate__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.BitsPerByte__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.Parity__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.ParityCheckEnable__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.StopBits__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XoffCharacter__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XoffXmitThreshold__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XonCharacter__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XonXmitThreshold__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.MaximumBaudRate__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.MaximumOutputBufferSize__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.MaximumInputBufferSize__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.Support16BitMode__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportDTRDSR__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportIntervalTimeouts__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportParityCheck__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportRTSCTS__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportXonXoff__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableBaudRate__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableDataBits__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableFlowControl__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableParity__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableParityCheck__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableStopBits__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.IsBusy__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.IrqNumber__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.IrqVector__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.IrqLevel__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.IrqAffinityMask__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.InterruptType__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.BaseIOAddress__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.ReceivedCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.TransmittedCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.FrameErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.SerialOverrunErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.BufferOverrunErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.ParityErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.Timeout__SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.Counter__SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.XoffChar__SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T.__unnamed_8_baf71367__ULARGE_INTEGER () boogieU)
(declare-fun T.u__ULARGE_INTEGER () boogieU)
(declare-fun T.QuadPart__ULARGE_INTEGER () boogieU)
(declare-fun T.Length__UNICODE_STRING () boogieU)
(declare-fun T.MaximumLength__UNICODE_STRING () boogieU)
(declare-fun T.Buffer__UNICODE_STRING () boogieU)
(declare-fun T.Type__VPB () boogieU)
(declare-fun T.Size__VPB () boogieU)
(declare-fun T.Flags__VPB () boogieU)
(declare-fun T.VolumeLabelLength__VPB () boogieU)
(declare-fun T.DeviceObject__VPB () boogieU)
(declare-fun T.RealDevice__VPB () boogieU)
(declare-fun T.SerialNumber__VPB () boogieU)
(declare-fun T.ReferenceCount__VPB () boogieU)
(declare-fun T.VolumeLabel__VPB () boogieU)
(declare-fun T.WaitQueueEntry__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceRoutine__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceContext__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceObject__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.CurrentIrp__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.BufferChainingDpc__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.GuidCount__WMILIB_CONTEXT () boogieU)
(declare-fun T.GuidList__WMILIB_CONTEXT () boogieU)
(declare-fun T.QueryWmiRegInfo__WMILIB_CONTEXT () boogieU)
(declare-fun T.QueryWmiDataBlock__WMILIB_CONTEXT () boogieU)
(declare-fun T.SetWmiDataBlock__WMILIB_CONTEXT () boogieU)
(declare-fun T.SetWmiDataItem__WMILIB_CONTEXT () boogieU)
(declare-fun T.ExecuteWmiMethod__WMILIB_CONTEXT () boogieU)
(declare-fun T.WmiFunctionControl__WMILIB_CONTEXT () boogieU)
(declare-fun T.Priority___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Reserved1___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Reserved2___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Data___unnamed_12_1a4b0b08 () boogieU)
(declare-fun T.Reserved___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.MessageCount___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Vector___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Affinity___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Start___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.Length___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.Reserved___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e () boogieU)
(declare-fun T.Start___unnamed_12_33a88444 () boogieU)
(declare-fun T.Length48___unnamed_12_33a88444 () boogieU)
(declare-fun T.Start___unnamed_12_468ce3a2 () boogieU)
(declare-fun T.Length___unnamed_12_468ce3a2 () boogieU)
(declare-fun T.ListEntry___unnamed_12_5cc47a19 () boogieU)
(declare-fun T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19 () boogieU)
(declare-fun T.Level___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Vector___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Affinity___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Generic___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Port___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Interrupt___unnamed_12_9a27b966 () boogieU)
(declare-fun T.MessageInterrupt___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Dma___unnamed_12_9a27b966 () boogieU)
(declare-fun T.DevicePrivate___unnamed_12_9a27b966 () boogieU)
(declare-fun T.BusNumber___unnamed_12_9a27b966 () boogieU)
(declare-fun T.DeviceSpecificData___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory40___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory48___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory64___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Raw___unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.Translated___unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.Data___unnamed_12_a967ef4a () boogieU)
(declare-fun T.Start___unnamed_12_ab6ff61b () boogieU)
(declare-fun T.Length64___unnamed_12_ab6ff61b () boogieU)
(declare-fun T.Start___unnamed_12_ad4e1918 () boogieU)
(declare-fun T.Length___unnamed_12_ad4e1918 () boogieU)
(declare-fun T.Start___unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.Length___unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.Start___unnamed_12_df63118d () boogieU)
(declare-fun T.Length40___unnamed_12_df63118d () boogieU)
(declare-fun T.Level___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Vector___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Affinity___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Channel___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.Port___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.Reserved1___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.DataSize___unnamed_12_f354d203 () boogieU)
(declare-fun T.Reserved1___unnamed_12_f354d203 () boogieU)
(declare-fun T.Reserved2___unnamed_12_f354d203 () boogieU)
(declare-fun T.InterfaceType___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Size___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Version___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Interface___unnamed_16_2ab145ec () boogieU)
(declare-fun T.InterfaceSpecificData___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Length___unnamed_16_30f1d328 () boogieU)
(declare-fun T.MinBusNumber___unnamed_16_30f1d328 () boogieU)
(declare-fun T.MaxBusNumber___unnamed_16_30f1d328 () boogieU)
(declare-fun T.Reserved___unnamed_16_30f1d328 () boogieU)
(declare-fun T.DeviceQueueEntry___unnamed_16_3277c3a0 () boogieU)
(declare-fun T.__unnamed_16_c774559b___unnamed_16_3277c3a0 () boogieU)
(declare-fun T.Length___unnamed_16_3a584a7c () boogieU)
(declare-fun T.Key___unnamed_16_3a584a7c () boogieU)
(declare-fun T.ByteOffset___unnamed_16_3a584a7c () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_3dec08db () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_3dec08db () boogieU)
(declare-fun T.FsControlCode___unnamed_16_3dec08db () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_3dec08db () boogieU)
(declare-fun T.Create___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Read___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Write___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDirectory___unnamed_16_57edbc3a () boogieU)
(declare-fun T.NotifyDirectory___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryFile___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetFile___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryEa___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetEa___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.FileSystemControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.LockControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.DeviceIoControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QuerySecurity___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetSecurity___unnamed_16_57edbc3a () boogieU)
(declare-fun T.MountVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.VerifyVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Scsi___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryQuota___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetQuota___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDeviceRelations___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryInterface___unnamed_16_57edbc3a () boogieU)
(declare-fun T.DeviceCapabilities___unnamed_16_57edbc3a () boogieU)
(declare-fun T.FilterResourceRequirements___unnamed_16_57edbc3a () boogieU)
(declare-fun T.ReadWriteConfig___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetLock___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryId___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDeviceText___unnamed_16_57edbc3a () boogieU)
(declare-fun T.UsageNotification___unnamed_16_57edbc3a () boogieU)
(declare-fun T.WaitWake___unnamed_16_57edbc3a () boogieU)
(declare-fun T.PowerSequence___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Power___unnamed_16_57edbc3a () boogieU)
(declare-fun T.StartDevice___unnamed_16_57edbc3a () boogieU)
(declare-fun T.WMI___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Others___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Argument1___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument2___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument3___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument4___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.ProviderId___unnamed_16_66abee0d () boogieU)
(declare-fun T.DataPath___unnamed_16_66abee0d () boogieU)
(declare-fun T.BufferSize___unnamed_16_66abee0d () boogieU)
(declare-fun T.Buffer___unnamed_16_66abee0d () boogieU)
(declare-fun T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.Type___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.State___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.ShutdownType___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.Length___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaList___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaListLength___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaIndex___unnamed_16_834e30a3 () boogieU)
(declare-fun T.WhichSpace___unnamed_16_83707d7f () boogieU)
(declare-fun T.Buffer___unnamed_16_83707d7f () boogieU)
(declare-fun T.Offset___unnamed_16_83707d7f () boogieU)
(declare-fun T.Length___unnamed_16_83707d7f () boogieU)
(declare-fun T.Length___unnamed_16_94922103 () boogieU)
(declare-fun T.Key___unnamed_16_94922103 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_94922103 () boogieU)
(declare-fun T.Length___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.StartSid___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.SidList___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.SidListLength___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.Length___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileName___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileIndex___unnamed_16_a71f10bf () boogieU)
(declare-fun T.SecurityContext___unnamed_16_af2c1884 () boogieU)
(declare-fun T.Options___unnamed_16_af2c1884 () boogieU)
(declare-fun T.FileAttributes___unnamed_16_af2c1884 () boogieU)
(declare-fun T.ShareAccess___unnamed_16_af2c1884 () boogieU)
(declare-fun T.EaLength___unnamed_16_af2c1884 () boogieU)
(declare-fun T.Length___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.FileObject___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.DriverContext___unnamed_16_c774559b () boogieU)
(declare-fun T.Length___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.Key___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.Abandoned___unnamed_1_4258582a () boogieU)
(declare-fun T.Absolute___unnamed_1_4258582a () boogieU)
(declare-fun T.NpxIrql___unnamed_1_4258582a () boogieU)
(declare-fun T.Signalling___unnamed_1_4258582a () boogieU)
(declare-fun T.Lock___unnamed_1_4f5916b9 () boogieU)
(declare-fun T.Size___unnamed_1_923f487b () boogieU)
(declare-fun T.Hand___unnamed_1_923f487b () boogieU)
(declare-fun T.Inserted___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.DebugActive___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.DpcActive___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.MinimumVector___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.MaximumVector___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.AffinityPolicy___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.PriorityPolicy___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.TargetedProcessors___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.Length___unnamed_24_76c1f52c () boogieU)
(declare-fun T.Alignment___unnamed_24_76c1f52c () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_76c1f52c () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_76c1f52c () boogieU)
(declare-fun T.Length64___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.Alignment64___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.Port___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Interrupt___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Dma___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Generic___unnamed_24_87fb9019 () boogieU)
(declare-fun T.DevicePrivate___unnamed_24_87fb9019 () boogieU)
(declare-fun T.BusNumber___unnamed_24_87fb9019 () boogieU)
(declare-fun T.ConfigData___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory40___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory48___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory64___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Length40___unnamed_24_af527a47 () boogieU)
(declare-fun T.Alignment40___unnamed_24_af527a47 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_af527a47 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_af527a47 () boogieU)
(declare-fun T.Length___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.Alignment___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.Length___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.Alignment___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.Length48___unnamed_24_e04d7241 () boogieU)
(declare-fun T.Alignment48___unnamed_24_e04d7241 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_e04d7241 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_e04d7241 () boogieU)
(declare-fun T.ReplaceIfExists___unnamed_2_1d659b1d () boogieU)
(declare-fun T.AdvanceOnly___unnamed_2_1d659b1d () boogieU)
(declare-fun T.ListEntry___unnamed_40_1db13fa5 () boogieU)
(declare-fun T.Wcb___unnamed_40_1db13fa5 () boogieU)
(declare-fun T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a () boogieU)
(declare-fun T.Thread___unnamed_40_ebf2206a () boogieU)
(declare-fun T.AuxiliaryBuffer___unnamed_40_ebf2206a () boogieU)
(declare-fun T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a () boogieU)
(declare-fun T.OriginalFileObject___unnamed_40_ebf2206a () boogieU)
(declare-fun T.InitialPrivilegeSet___unnamed_44_0d347e8a () boogieU)
(declare-fun T.PrivilegeSet___unnamed_44_0d347e8a () boogieU)
(declare-fun T.Overlay___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.Apc___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.CompletionKey___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.IdType___unnamed_4_04fc9c34 () boogieU)
(declare-fun T.PowerSequence___unnamed_4_082ca2fa () boogieU)
(declare-fun T.Type___unnamed_4_142d6b52 () boogieU)
(declare-fun T.OwnerCount___unnamed_4_1c47e29a () boogieU)
(declare-fun T.TableSize___unnamed_4_1c47e29a () boogieU)
(declare-fun T.MasterIrp___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.IrpCount___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.SystemBuffer___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.__unnamed_2_1d659b1d___unnamed_4_4d53984e () boogieU)
(declare-fun T.ClusterCount___unnamed_4_4d53984e () boogieU)
(declare-fun T.DeleteHandle___unnamed_4_4d53984e () boogieU)
(declare-fun T.Length___unnamed_4_522a02ae () boogieU)
(declare-fun T.CurrentStackLocation___unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.PacketType___unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.Length___unnamed_4_6eaf329f () boogieU)
(declare-fun T.__unnamed_4_f14caa62___unnamed_4_7b44c46c () boogieU)
(declare-fun T.Lock___unnamed_4_7b44c46c () boogieU)
(declare-fun T.PowerState___unnamed_4_7bab7ec3 () boogieU)
(declare-fun T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8 () boogieU)
(declare-fun T.ContextAsUlong___unnamed_4_a8006df8 () boogieU)
(declare-fun T.Status___unnamed_4_ab1173de () boogieU)
(declare-fun T.Pointer___unnamed_4_ab1173de () boogieU)
(declare-fun T.Srb___unnamed_4_b2e59cbb () boogieU)
(declare-fun T.SystemContext___unnamed_4_b38dc67f () boogieU)
(declare-fun T.SystemPowerStateContext___unnamed_4_b38dc67f () boogieU)
(declare-fun T.Capabilities___unnamed_4_c62ef092 () boogieU)
(declare-fun T.Reserved1___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.TargetSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.EffectiveSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.CurrentSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.IgnoreHibernationPath___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.PseudoTransition___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.Reserved2___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.UserApcRoutine___unnamed_4_cedfeccd () boogieU)
(declare-fun T.IssuingProcess___unnamed_4_cedfeccd () boogieU)
(declare-fun T.Address___unnamed_4_f13e195c () boogieU)
(declare-fun T.CreatorBackTraceIndex___unnamed_4_f13e195c () boogieU)
(declare-fun T.Type___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_4258582a___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_923f487b___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_ac5cb154___unnamed_4_f14caa62 () boogieU)
(declare-fun T.IoResourceRequirementList___unnamed_4_f18e264a () boogieU)
(declare-fun T.Length___unnamed_8_06a6de28 () boogieU)
(declare-fun T.CompletionFilter___unnamed_8_06a6de28 () boogieU)
(declare-fun T.DeviceTextType___unnamed_8_219179d3 () boogieU)
(declare-fun T.LocaleId___unnamed_8_219179d3 () boogieU)
(declare-fun T.InPath___unnamed_8_380551ca () boogieU)
(declare-fun T.Reserved___unnamed_8_380551ca () boogieU)
(declare-fun T.Type___unnamed_8_380551ca () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_3ebf0971 () boogieU)
(declare-fun T.Length___unnamed_8_3ebf0971 () boogieU)
(declare-fun T.AsynchronousParameters___unnamed_8_45a58840 () boogieU)
(declare-fun T.AllocationSize___unnamed_8_45a58840 () boogieU)
(declare-fun T.LowPart___unnamed_8_544b88f4 () boogieU)
(declare-fun T.HighPart___unnamed_8_544b88f4 () boogieU)
(declare-fun T.MinimumChannel___unnamed_8_5bc13409 () boogieU)
(declare-fun T.MaximumChannel___unnamed_8_5bc13409 () boogieU)
(declare-fun T.Length___unnamed_8_5d23cded () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_5d23cded () boogieU)
(declare-fun T.LowPart___unnamed_8_5d67d492 () boogieU)
(declare-fun T.HighPart___unnamed_8_5d67d492 () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_655e974a () boogieU)
(declare-fun T.SecurityDescriptor___unnamed_8_655e974a () boogieU)
(declare-fun T.Vpb___unnamed_8_a4174c52 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_a4174c52 () boogieU)
(declare-fun T.LowPart___unnamed_8_a569aa82 () boogieU)
(declare-fun T.HighPart___unnamed_8_a569aa82 () boogieU)
(declare-fun T.Length___unnamed_8_b3031d0e () boogieU)
(declare-fun T.FileInformationClass___unnamed_8_b3031d0e () boogieU)
(declare-fun T.Length___unnamed_8_b7ca8084 () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_b7ca8084 () boogieU)
(declare-fun T.Vpb___unnamed_8_b8c2e139 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_b8c2e139 () boogieU)
(declare-fun T.LowPart___unnamed_8_baf71367 () boogieU)
(declare-fun T.HighPart___unnamed_8_baf71367 () boogieU)
(declare-fun T.__unnamed_4_cedfeccd___unnamed_8_be4b9317 () boogieU)
(declare-fun T.UserApcContext___unnamed_8_be4b9317 () boogieU)
(declare-fun T.AllocatedResources___unnamed_8_d81ae7e8 () boogieU)
(declare-fun T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8 () boogieU)
(declare-fun T.A17CHAR () boogieU)
(declare-fun T.A18CHAR () boogieU)
(declare-fun T.A1UINT2 () boogieU)
(declare-fun T.A1_CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_LIST () boogieU)
(declare-fun T.A1_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A20CHAR () boogieU)
(declare-fun T.A21CHAR () boogieU)
(declare-fun T.A22CHAR () boogieU)
(declare-fun T.A23CHAR () boogieU)
(declare-fun T.A24CHAR () boogieU)
(declare-fun T.A25CHAR () boogieU)
(declare-fun T.A26CHAR () boogieU)
(declare-fun T.A27CHAR () boogieU)
(declare-fun T.A28CHAR () boogieU)
(declare-fun T.A28PFDRIVER_DISPATCH () boogieU)
(declare-fun T.A30CHAR () boogieU)
(declare-fun T.A31CHAR () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.A32UINT2 () boogieU)
(declare-fun T.A34CHAR () boogieU)
(declare-fun T.A35CHAR () boogieU)
(declare-fun T.A37CHAR () boogieU)
(declare-fun T.A3UCHAR () boogieU)
(declare-fun T.A3UINT4 () boogieU)
(declare-fun T.A3_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A4PVOID () boogieU)
(declare-fun T.A7_DEVICE_POWER_STATE () boogieU)
(declare-fun T.A8UCHAR () boogieU)
(declare-fun T.BUS_QUERY_ID_TYPE () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.DEVICE_TEXT_TYPE () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F10 () boogieU)
(declare-fun T.F11 () boogieU)
(declare-fun T.F12 () boogieU)
(declare-fun T.F13 () boogieU)
(declare-fun T.F14 () boogieU)
(declare-fun T.F15 () boogieU)
(declare-fun T.F16 () boogieU)
(declare-fun T.F17 () boogieU)
(declare-fun T.F18 () boogieU)
(declare-fun T.F19 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.F20 () boogieU)
(declare-fun T.F21 () boogieU)
(declare-fun T.F22 () boogieU)
(declare-fun T.F23 () boogieU)
(declare-fun T.F24 () boogieU)
(declare-fun T.F25 () boogieU)
(declare-fun T.F26 () boogieU)
(declare-fun T.F27 () boogieU)
(declare-fun T.F28 () boogieU)
(declare-fun T.F29 () boogieU)
(declare-fun T.F3 () boogieU)
(declare-fun T.F30 () boogieU)
(declare-fun T.F31 () boogieU)
(declare-fun T.F32 () boogieU)
(declare-fun T.F33 () boogieU)
(declare-fun T.F34 () boogieU)
(declare-fun T.F35 () boogieU)
(declare-fun T.F36 () boogieU)
(declare-fun T.F37 () boogieU)
(declare-fun T.F38 () boogieU)
(declare-fun T.F39 () boogieU)
(declare-fun T.F4 () boogieU)
(declare-fun T.F40 () boogieU)
(declare-fun T.F41 () boogieU)
(declare-fun T.F42 () boogieU)
(declare-fun T.F43 () boogieU)
(declare-fun T.F44 () boogieU)
(declare-fun T.F45 () boogieU)
(declare-fun T.F5 () boogieU)
(declare-fun T.F6 () boogieU)
(declare-fun T.F7 () boogieU)
(declare-fun T.F8 () boogieU)
(declare-fun T.F9 () boogieU)
(declare-fun T.FDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.FDRIVER_CANCEL () boogieU)
(declare-fun T.FDRIVER_DISPATCH () boogieU)
(declare-fun T.FDRIVER_INITIALIZE () boogieU)
(declare-fun T.FDRIVER_STARTIO () boogieU)
(declare-fun T.FDRIVER_UNLOAD () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.FFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.FFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.FFAST_IO_LOCK () boogieU)
(declare-fun T.FFAST_IO_MDL_READ () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.FFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.FFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.FFAST_IO_READ () boogieU)
(declare-fun T.FFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.FFAST_IO_WRITE () boogieU)
(declare-fun T.FFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.FIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.FKSERVICE_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA17CHAR () boogieU)
(declare-fun T.PA18CHAR () boogieU)
(declare-fun T.PA20CHAR () boogieU)
(declare-fun T.PA21CHAR () boogieU)
(declare-fun T.PA22CHAR () boogieU)
(declare-fun T.PA23CHAR () boogieU)
(declare-fun T.PA24CHAR () boogieU)
(declare-fun T.PA25CHAR () boogieU)
(declare-fun T.PA26CHAR () boogieU)
(declare-fun T.PA27CHAR () boogieU)
(declare-fun T.PA28CHAR () boogieU)
(declare-fun T.PA30CHAR () boogieU)
(declare-fun T.PA31CHAR () boogieU)
(declare-fun T.PA32CHAR () boogieU)
(declare-fun T.PA34CHAR () boogieU)
(declare-fun T.PA35CHAR () boogieU)
(declare-fun T.PA37CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF20 () boogieU)
(declare-fun T.PF21 () boogieU)
(declare-fun T.PF22 () boogieU)
(declare-fun T.PF24 () boogieU)
(declare-fun T.PF25 () boogieU)
(declare-fun T.PF26 () boogieU)
(declare-fun T.PF32 () boogieU)
(declare-fun T.PF33 () boogieU)
(declare-fun T.PF34 () boogieU)
(declare-fun T.PF36 () boogieU)
(declare-fun T.PF37 () boogieU)
(declare-fun T.PF38 () boogieU)
(declare-fun T.PF39 () boogieU)
(declare-fun T.PF40 () boogieU)
(declare-fun T.PF41 () boogieU)
(declare-fun T.PF42 () boogieU)
(declare-fun T.PF43 () boogieU)
(declare-fun T.PF44 () boogieU)
(declare-fun T.PF45 () boogieU)
(declare-fun T.PFDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.PFDRIVER_CANCEL () boogieU)
(declare-fun T.PFDRIVER_DISPATCH () boogieU)
(declare-fun T.PFDRIVER_INITIALIZE () boogieU)
(declare-fun T.PFDRIVER_STARTIO () boogieU)
(declare-fun T.PFDRIVER_UNLOAD () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.PFFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.PFFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.PFFAST_IO_LOCK () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.PFFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.PFFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.PFFAST_IO_READ () boogieU)
(declare-fun T.PFFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.PFFAST_IO_WRITE () boogieU)
(declare-fun T.PFFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.PFIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PFKSERVICE_ROUTINE () boogieU)
(declare-fun T.PINT2 () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.POWER_ACTION () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPF0 () boogieU)
(declare-fun T.PPF25 () boogieU)
(declare-fun T.PPF34 () boogieU)
(declare-fun T.PPF43 () boogieU)
(declare-fun T.PPF44 () boogieU)
(declare-fun T.PPFDRIVER_CANCEL () boogieU)
(declare-fun T.PPINT2 () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPP_IRP () boogieU)
(declare-fun T.PPUCHAR () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PP_DEVICE_OBJECT () boogieU)
(declare-fun T.PP_ERESOURCE () boogieU)
(declare-fun T.PP_IO_STACK_LOCATION () boogieU)
(declare-fun T.PP_IRP () boogieU)
(declare-fun T.PP_KDPC () boogieU)
(declare-fun T.PP_KEVENT () boogieU)
(declare-fun T.PP_KINTERRUPT () boogieU)
(declare-fun T.PP_KTIMER () boogieU)
(declare-fun T.PP_LARGE_INTEGER () boogieU)
(declare-fun T.PP_LIST_ENTRY () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_SERIAL_BAUD_RATE () boogieU)
(declare-fun T.PP_SERIAL_CHARS () boogieU)
(declare-fun T.PP_SERIAL_COMMPROP () boogieU)
(declare-fun T.PP_SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PP_SERIAL_HANDFLOW () boogieU)
(declare-fun T.PP_SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.PP_SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.PP_SERIAL_TIMEOUTS () boogieU)
(declare-fun T.PP_SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.PP_UNICODE_STRING () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT2 () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWMIGUIDREGINFO () boogieU)
(declare-fun T.P_ACCESS_STATE () boogieU)
(declare-fun T.P_CM_RESOURCE_LIST () boogieU)
(declare-fun T.P_COMPRESSED_DATA_INFO () boogieU)
(declare-fun T.P_DEVICE_CAPABILITIES () boogieU)
(declare-fun T.P_DEVICE_OBJECT () boogieU)
(declare-fun T.P_DEVICE_POWER_STATE () boogieU)
(declare-fun T.P_DEVOBJ_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_OBJECT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_ERESOURCE () boogieU)
(declare-fun T.P_EVENT_TYPE () boogieU)
(declare-fun T.P_FAST_IO_DISPATCH () boogieU)
(declare-fun T.P_FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.P_FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T.P_FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.P_FILE_OBJECT () boogieU)
(declare-fun T.P_FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.P_GUID () boogieU)
(declare-fun T.P_INTERFACE () boogieU)
(declare-fun T.P_IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.P_IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.P_IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.P_IO_STACK_LOCATION () boogieU)
(declare-fun T.P_IO_STATUS_BLOCK () boogieU)
(declare-fun T.P_IO_TIMER () boogieU)
(declare-fun T.P_IRP () boogieU)
(declare-fun T.P_KAPC () boogieU)
(declare-fun T.P_KDPC () boogieU)
(declare-fun T.P_KEVENT () boogieU)
(declare-fun T.P_KINTERRUPT () boogieU)
(declare-fun T.P_KPROCESS () boogieU)
(declare-fun T.P_KSEMAPHORE () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_KTIMER () boogieU)
(declare-fun T.P_KWAIT_REASON () boogieU)
(declare-fun T.P_LARGE_INTEGER () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_OWNER_ENTRY () boogieU)
(declare-fun T.P_POOL_TYPE () boogieU)
(declare-fun T.P_POWER_SEQUENCE () boogieU)
(declare-fun T.P_POWER_STATE () boogieU)
(declare-fun T.P_SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T.P_SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.P_SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.P_SERIAL_BAUD_RATE () boogieU)
(declare-fun T.P_SERIAL_CHARS () boogieU)
(declare-fun T.P_SERIAL_CISR_SW () boogieU)
(declare-fun T.P_SERIAL_COMMPROP () boogieU)
(declare-fun T.P_SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.P_SERIAL_HANDFLOW () boogieU)
(declare-fun T.P_SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T.P_SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.P_SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.P_SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.P_SERIAL_TIMEOUTS () boogieU)
(declare-fun T.P_SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.P_SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.P_UNICODE_STRING () boogieU)
(declare-fun T.P_VPB () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT2 () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.UINT8 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WMIENABLEDISABLECONTROL () boogieU)
(declare-fun T.WMIGUIDREGINFO () boogieU)
(declare-fun T._ACCESS_STATE () boogieU)
(declare-fun T._CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T._CM_RESOURCE_LIST () boogieU)
(declare-fun T._COMPRESSED_DATA_INFO () boogieU)
(declare-fun T._DEVICE_CAPABILITIES () boogieU)
(declare-fun T._DEVICE_OBJECT () boogieU)
(declare-fun T._DEVICE_POWER_STATE () boogieU)
(declare-fun T._DEVICE_RELATION_TYPE () boogieU)
(declare-fun T._DEVICE_USAGE_NOTIFICATION_TYPE () boogieU)
(declare-fun T._DEVOBJ_EXTENSION () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._DRIVER_EXTENSION () boogieU)
(declare-fun T._DRIVER_OBJECT () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._ERESOURCE () boogieU)
(declare-fun T._EVENT_TYPE () boogieU)
(declare-fun T._FAST_IO_DISPATCH () boogieU)
(declare-fun T._FAST_MUTEX () boogieU)
(declare-fun T._FILE_BASIC_INFORMATION () boogieU)
(declare-fun T._FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T._FILE_INFORMATION_CLASS () boogieU)
(declare-fun T._FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T._FILE_OBJECT () boogieU)
(declare-fun T._FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T._FSINFOCLASS () boogieU)
(declare-fun T._GUID () boogieU)
(declare-fun T._INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T._INTERFACE () boogieU)
(declare-fun T._INTERFACE_TYPE () boogieU)
(declare-fun T._IO_ALLOCATION_ACTION () boogieU)
(declare-fun T._IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T._IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._IO_RESOURCE_LIST () boogieU)
(declare-fun T._IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T._IO_SECURITY_CONTEXT () boogieU)
(declare-fun T._IO_STACK_LOCATION () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._IO_TIMER () boogieU)
(declare-fun T._IRP () boogieU)
(declare-fun T._IRQ_DEVICE_POLICY () boogieU)
(declare-fun T._IRQ_PRIORITY () boogieU)
(declare-fun T._KAPC () boogieU)
(declare-fun T._KDEVICE_QUEUE () boogieU)
(declare-fun T._KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T._KDPC () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KINTERRUPT () boogieU)
(declare-fun T._KPROCESS () boogieU)
(declare-fun T._KSEMAPHORE () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._KTIMER () boogieU)
(declare-fun T._KWAIT_REASON () boogieU)
(declare-fun T._LARGE_INTEGER () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._LUID () boogieU)
(declare-fun T._LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._OWNER_ENTRY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._POWER_SEQUENCE () boogieU)
(declare-fun T._POWER_STATE () boogieU)
(declare-fun T._POWER_STATE_TYPE () boogieU)
(declare-fun T._PRIVILEGE_SET () boogieU)
(declare-fun T._SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T._SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T._SECURITY_IMPERSONATION_LEVEL () boogieU)
(declare-fun T._SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T._SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T._SERIALPERF_STATS () boogieU)
(declare-fun T._SERIAL_BAUD_RATE () boogieU)
(declare-fun T._SERIAL_CHARS () boogieU)
(declare-fun T._SERIAL_CISR_SW () boogieU)
(declare-fun T._SERIAL_COMMPROP () boogieU)
(declare-fun T._SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T._SERIAL_DEVICE_STATE () boogieU)
(declare-fun T._SERIAL_HANDFLOW () boogieU)
(declare-fun T._SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T._SERIAL_LINE_CONTROL () boogieU)
(declare-fun T._SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T._SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T._SERIAL_TIMEOUTS () boogieU)
(declare-fun T._SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T._SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T._SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T._SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T._SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T._SYSTEM_POWER_STATE () boogieU)
(declare-fun T._SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T._ULARGE_INTEGER () boogieU)
(declare-fun T._UNICODE_STRING () boogieU)
(declare-fun T._VPB () boogieU)
(declare-fun T._WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T._WMILIB_CONTEXT () boogieU)
(declare-fun T.__unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.__unnamed_12_1a4b0b08 () boogieU)
(declare-fun T.__unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.__unnamed_12_28f1f9cc () boogieU)
(declare-fun T.__unnamed_12_29a9546e () boogieU)
(declare-fun T.__unnamed_12_33a88444 () boogieU)
(declare-fun T.__unnamed_12_468ce3a2 () boogieU)
(declare-fun T.__unnamed_12_5cc47a19 () boogieU)
(declare-fun T.__unnamed_12_6fbd747c () boogieU)
(declare-fun T.__unnamed_12_9a27b966 () boogieU)
(declare-fun T.__unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.__unnamed_12_a967ef4a () boogieU)
(declare-fun T.__unnamed_12_ab6ff61b () boogieU)
(declare-fun T.__unnamed_12_ad4e1918 () boogieU)
(declare-fun T.__unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.__unnamed_12_df63118d () boogieU)
(declare-fun T.__unnamed_12_e5164c3f () boogieU)
(declare-fun T.__unnamed_12_f1f9be0a () boogieU)
(declare-fun T.__unnamed_12_f354d203 () boogieU)
(declare-fun T.__unnamed_16_2ab145ec () boogieU)
(declare-fun T.__unnamed_16_30f1d328 () boogieU)
(declare-fun T.__unnamed_16_3277c3a0 () boogieU)
(declare-fun T.__unnamed_16_3a584a7c () boogieU)
(declare-fun T.__unnamed_16_3dec08db () boogieU)
(declare-fun T.__unnamed_16_57edbc3a () boogieU)
(declare-fun T.__unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.__unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.__unnamed_16_66abee0d () boogieU)
(declare-fun T.__unnamed_16_6c8935f2 () boogieU)
(declare-fun T.__unnamed_16_834e30a3 () boogieU)
(declare-fun T.__unnamed_16_83707d7f () boogieU)
(declare-fun T.__unnamed_16_94922103 () boogieU)
(declare-fun T.__unnamed_16_9eb64f79 () boogieU)
(declare-fun T.__unnamed_16_a71f10bf () boogieU)
(declare-fun T.__unnamed_16_af2c1884 () boogieU)
(declare-fun T.__unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.__unnamed_16_c774559b () boogieU)
(declare-fun T.__unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.__unnamed_1_4258582a () boogieU)
(declare-fun T.__unnamed_1_4f5916b9 () boogieU)
(declare-fun T.__unnamed_1_923f487b () boogieU)
(declare-fun T.__unnamed_1_ac5cb154 () boogieU)
(declare-fun T.__unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.__unnamed_24_76c1f52c () boogieU)
(declare-fun T.__unnamed_24_87e4ad03 () boogieU)
(declare-fun T.__unnamed_24_87fb9019 () boogieU)
(declare-fun T.__unnamed_24_af527a47 () boogieU)
(declare-fun T.__unnamed_24_b3ef9869 () boogieU)
(declare-fun T.__unnamed_24_c23e34f7 () boogieU)
(declare-fun T.__unnamed_24_e04d7241 () boogieU)
(declare-fun T.__unnamed_2_1d659b1d () boogieU)
(declare-fun T.__unnamed_40_1db13fa5 () boogieU)
(declare-fun T.__unnamed_40_ebf2206a () boogieU)
(declare-fun T.__unnamed_44_0d347e8a () boogieU)
(declare-fun T.__unnamed_48_ffd8d308 () boogieU)
(declare-fun T.__unnamed_4_04fc9c34 () boogieU)
(declare-fun T.__unnamed_4_082ca2fa () boogieU)
(declare-fun T.__unnamed_4_142d6b52 () boogieU)
(declare-fun T.__unnamed_4_1c47e29a () boogieU)
(declare-fun T.__unnamed_4_3dc37e35 () boogieU)
(declare-fun T.__unnamed_4_4d53984e () boogieU)
(declare-fun T.__unnamed_4_522a02ae () boogieU)
(declare-fun T.__unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.__unnamed_4_6eaf329f () boogieU)
(declare-fun T.__unnamed_4_7b44c46c () boogieU)
(declare-fun T.__unnamed_4_7bab7ec3 () boogieU)
(declare-fun T.__unnamed_4_a8006df8 () boogieU)
(declare-fun T.__unnamed_4_ab1173de () boogieU)
(declare-fun T.__unnamed_4_b2e59cbb () boogieU)
(declare-fun T.__unnamed_4_b38dc67f () boogieU)
(declare-fun T.__unnamed_4_c62ef092 () boogieU)
(declare-fun T.__unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.__unnamed_4_cedfeccd () boogieU)
(declare-fun T.__unnamed_4_f13e195c () boogieU)
(declare-fun T.__unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_4_f18e264a () boogieU)
(declare-fun T.__unnamed_8_06a6de28 () boogieU)
(declare-fun T.__unnamed_8_219179d3 () boogieU)
(declare-fun T.__unnamed_8_380551ca () boogieU)
(declare-fun T.__unnamed_8_3ebf0971 () boogieU)
(declare-fun T.__unnamed_8_45a58840 () boogieU)
(declare-fun T.__unnamed_8_544b88f4 () boogieU)
(declare-fun T.__unnamed_8_5bc13409 () boogieU)
(declare-fun T.__unnamed_8_5d23cded () boogieU)
(declare-fun T.__unnamed_8_5d67d492 () boogieU)
(declare-fun T.__unnamed_8_655e974a () boogieU)
(declare-fun T.__unnamed_8_a4174c52 () boogieU)
(declare-fun T.__unnamed_8_a569aa82 () boogieU)
(declare-fun T.__unnamed_8_b3031d0e () boogieU)
(declare-fun T.__unnamed_8_b7ca8084 () boogieU)
(declare-fun T.__unnamed_8_b8c2e139 () boogieU)
(declare-fun T.__unnamed_8_baf71367 () boogieU)
(declare-fun T.__unnamed_8_be4b9317 () boogieU)
(declare-fun T.__unnamed_8_d81ae7e8 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_Argument4___unnamed_16_5ac3fe10 (boogieU) boogieU)
(declare-fun x_S_Argument4___unnamed_16_5ac3fe10Inv (boogieU) boogieU)
(declare-fun x_S_AssociatedIrp__IRP (boogieU) boogieU)
(declare-fun x_S_AssociatedIrp__IRPInv (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_BAUD_RATE (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_BAUD_RATEInv (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_BitsPerByte__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_BreakChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_BreakChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_BufferSize__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CancelIrql__IRP (boogieU) boogieU)
(declare-fun x_S_CancelIrql__IRPInv (boogieU) boogieU)
(declare-fun x_S_CancelRoutine__IRP (boogieU) boogieU)
(declare-fun x_S_CancelRoutine__IRPInv (boogieU) boogieU)
(declare-fun x_S_Cancel__IRP (boogieU) boogieU)
(declare-fun x_S_Cancel__IRPInv (boogieU) boogieU)
(declare-fun x_S_CharsCopied__SERIAL_UPDATE_CHAR (boogieU) boogieU)
(declare-fun x_S_CharsCopied__SERIAL_UPDATE_CHARInv (boogieU) boogieU)
(declare-fun x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ClockRate__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Completed__SERIAL_UPDATE_CHAR (boogieU) boogieU)
(declare-fun x_S_Completed__SERIAL_UPDATE_CHARInv (boogieU) boogieU)
(declare-fun x_S_ControlHandShake__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_ControlHandShake__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S_ControlLock__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Controller__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Controller__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Counter__SERIAL_XOFF_COUNTER (boogieU) boogieU)
(declare-fun x_S_Counter__SERIAL_XOFF_COUNTERInv (boogieU) boogieU)
(declare-fun x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentRxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_CurrentRxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_CurrentTxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_CurrentTxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Data__SERIAL_IOCTL_SYNC (boogieU) boogieU)
(declare-fun x_S_Data__SERIAL_IOCTL_SYNCInv (boogieU) boogieU)
(declare-fun x_S_DeviceExtension__DEVICE_OBJECT (boogieU) boogieU)
(declare-fun x_S_DeviceExtension__DEVICE_OBJECTInv (boogieU) boogieU)
(declare-fun x_S_DeviceIoControl___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_DeviceIoControl___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_DeviceState__POWER_STATE (boogieU) boogieU)
(declare-fun x_S_DeviceState__POWER_STATEInv (boogieU) boogieU)
(declare-fun x_S_DpcCount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Dpc__KTIMER (boogieU) boogieU)
(declare-fun x_S_Dpc__KTIMERInv (boogieU) boogieU)
(declare-fun x_S_EofChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_EofChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_ErrorChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_ErrorChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_ErrorWord__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_EscapeChar__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_EventChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_EventChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_IOCTL_SYNC (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_IOCTL_SYNCInv (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_UPDATE_CHAR (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_UPDATE_CHARInv (boogieU) boogieU)
(declare-fun x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_FlagsLock__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Flags__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Flags__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_FlowReplace__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_FlowReplace__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S_HandFlow__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_544b88f4 (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_544b88f4Inv (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_5d67d492 (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_5d67d492Inv (boogieU) boogieU)
(declare-fun x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_InSize__SERIAL_QUEUE_SIZE (boogieU) boogieU)
(declare-fun x_S_InSize__SERIAL_QUEUE_SIZEInv (boogieU) boogieU)
(declare-fun x_S_Information__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S_Information__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun x_S_InputBufferLength___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Interrupt__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IntervalTime__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IoControlCode___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_IoControlCode___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_IoStatus__IRP (boogieU) boogieU)
(declare-fun x_S_IoStatus__IRPInv (boogieU) boogieU)
(declare-fun x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_LastReadTime__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_3a584a7c (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_3a584a7cInv (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_94922103 (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_94922103Inv (boogieU) boogieU)
(declare-fun x_S_LineControl__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ListEntry___unnamed_12_5cc47a19 (boogieU) boogieU)
(declare-fun x_S_ListEntry___unnamed_12_5cc47a19Inv (boogieU) boogieU)
(declare-fun x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_544b88f4 (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_544b88f4Inv (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_5d67d492 (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_5d67d492Inv (boogieU) boogieU)
(declare-fun x_S_MajorFunction__IO_STACK_LOCATION (boogieU) boogieU)
(declare-fun x_S_MajorFunction__IO_STACK_LOCATIONInv (boogieU) boogieU)
(declare-fun x_S_MaskQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_MaxBaud__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_MaxBaud__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_MaxRxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_MaxRxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_MaxTxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_MaxTxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_NewBufferSize__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_NewBuffer__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_NumberMoved__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_OldBuffer__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Others___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_Others___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_OutputBufferLength___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_Overlay___unnamed_48_ffd8d308 (boogieU) boogieU)
(declare-fun x_S_Overlay___unnamed_48_ffd8d308Inv (boogieU) boogieU)
(declare-fun x_S_PacketLength__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_PacketLength__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_PacketVersion__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_PacketVersion__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_Parameters__IO_STACK_LOCATION (boogieU) boogieU)
(declare-fun x_S_Parameters__IO_STACK_LOCATIONInv (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_LINE_CONTROL (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_LINE_CONTROLInv (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_Pdo__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PowerState__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ProvCapabilities__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_ProvCapabilities__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_ProvSubType__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_ProvSubType__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_QuadPart__LARGE_INTEGER (boogieU) boogieU)
(declare-fun x_S_QuadPart__LARGE_INTEGERInv (boogieU) boogieU)
(declare-fun x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_ReadQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_Read___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_Read___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_ServiceMask__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_ServiceMask__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableBaud__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableBaud__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableData__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableData__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableParams__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableParams__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableStopParity__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableStopParity__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_SpecialChars__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_ab1173de (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_ab1173deInv (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_LINE_CONTROL (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_LINE_CONTROLInv (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_SystemBuffer___unnamed_4_3dc37e35 (boogieU) boogieU)
(declare-fun x_S_SystemBuffer___unnamed_4_3dc37e35Inv (boogieU) boogieU)
(declare-fun x_S_SystemState__POWER_STATE (boogieU) boogieU)
(declare-fun x_S_SystemState__POWER_STATEInv (boogieU) boogieU)
(declare-fun x_S_Tail__IRP (boogieU) boogieU)
(declare-fun x_S_Tail__IRPInv (boogieU) boogieU)
(declare-fun x_S_Timeout__SERIAL_XOFF_COUNTER (boogieU) boogieU)
(declare-fun x_S_Timeout__SERIAL_XOFF_COUNTERInv (boogieU) boogieU)
(declare-fun x_S_Timeouts__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WmiCommData__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WordLength__SERIAL_LINE_CONTROL (boogieU) boogieU)
(declare-fun x_S_WordLength__SERIAL_LINE_CONTROLInv (boogieU) boogieU)
(declare-fun x_S_WriteQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_Write___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_Write___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_XoffChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_XoffChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_XoffCharacter__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_XoffLimit__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_XoffLimit__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S_XonChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_XonChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_XonCharacter__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_XonLimit__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_XonLimit__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a (boogieU) boogieU)
(declare-fun x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun x_S___unnamed_8_544b88f4__LARGE_INTEGER (boogieU) boogieU)
(declare-fun x_S___unnamed_8_544b88f4__LARGE_INTEGERInv (boogieU) boogieU)
(declare-fun x_S_u__LARGE_INTEGER (boogieU) boogieU)
(declare-fun x_S_u__LARGE_INTEGERInv (boogieU) boogieU)
(declare-fun SerialCancelCurrentRead () Int)
(declare-fun SerialCancelCurrentWrite () Int)
(declare-fun SerialCancelCurrentXoff () Int)
(declare-fun SerialCancelImmediate () Int)
(declare-fun SerialCancelQueued () Int)
(declare-fun SerialClearStats () Int)
(declare-fun SerialClrDTR () Int)
(declare-fun SerialClrRTS () Int)
(declare-fun SerialFilterCancelQueued () Int)
(declare-fun SerialGetCommStatus () Int)
(declare-fun SerialGetMCRContents () Int)
(declare-fun SerialGetModemUpdate () Int)
(declare-fun SerialGetNextIrp () Int)
(declare-fun SerialGetNextWrite () Int)
(declare-fun SerialGetStats () Int)
(declare-fun SerialGiveImmediateToIsr () Int)
(declare-fun SerialGiveWriteToIsr () Int)
(declare-fun SerialGiveXoffToIsr () Int)
(declare-fun SerialGrabReadFromIsr () Int)
(declare-fun SerialGrabWriteFromIsr () Int)
(declare-fun SerialGrabXoffFromIsr () Int)
(declare-fun SerialPretendXoff () Int)
(declare-fun SerialPretendXon () Int)
(declare-fun SerialProcessEmptyTransmit () Int)
(declare-fun SerialSetBaud () Int)
(declare-fun SerialSetChars () Int)
(declare-fun SerialSetDTR () Int)
(declare-fun SerialSetEscapeChar () Int)
(declare-fun SerialSetFCRContents () Int)
(declare-fun SerialSetHandFlow () Int)
(declare-fun SerialSetLineControl () Int)
(declare-fun SerialSetMCRContents () Int)
(declare-fun SerialSetRTS () Int)
(declare-fun SerialStartMask () Int)
(declare-fun SerialStartPurge () Int)
(declare-fun SerialStartRead () Int)
(declare-fun SerialStartWrite () Int)
(declare-fun SerialSystemPowerCompletion () Int)
(declare-fun SerialTurnOffBreak () Int)
(declare-fun SerialTurnOnBreak () Int)
(declare-fun SerialUpdateAndSwitchToNew () Int)
(declare-fun SerialUpdateAndSwitchToUser () Int)
(declare-fun SerialUpdateInterruptBuffer () Int)
(declare-fun SerialUpdateReadByIsr () Int)
(declare-fun hdevobj () Int)
(declare-fun hiostackloc () Int)
(declare-fun hirp () Int)
(declare-fun hlock () Int)
(declare-fun notused_hiostackloc () Int)
(declare-fun sdv_irql_current () Int)
(declare-fun sdv_irql_previous () Int)
(declare-fun sdv_irql_previous_2 () Int)
(declare-fun sdv_irql_previous_3 () Int)
(declare-fun BOOGIE_LARGE_INT_2147483648 () Int)
(declare-fun BOOGIE_LARGE_INT_4294967295 () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun Argument4___unnamed_16_5ac3fe10Inv (Int) Int)
(declare-fun Argument4___unnamed_16_5ac3fe10 (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun AssociatedIrp__IRPInv (Int) Int)
(declare-fun AssociatedIrp__IRP (Int) Int)
(declare-fun BaudRate__SERIAL_BAUD_RATEInv (Int) Int)
(declare-fun BaudRate__SERIAL_BAUD_RATE (Int) Int)
(declare-fun BaudRate__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun BaudRate__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun BitsPerByte__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun BitsPerByte__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun Blink__LIST_ENTRYInv (Int) Int)
(declare-fun Blink__LIST_ENTRY (Int) Int)
(declare-fun BreakChar__SERIAL_CHARSInv (Int) Int)
(declare-fun BreakChar__SERIAL_CHARS (Int) Int)
(declare-fun BufferSize__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun BufferSize__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CancelIrql__IRPInv (Int) Int)
(declare-fun CancelIrql__IRP (Int) Int)
(declare-fun CancelRoutine__IRPInv (Int) Int)
(declare-fun CancelRoutine__IRP (Int) Int)
(declare-fun Cancel__IRPInv (Int) Int)
(declare-fun Cancel__IRP (Int) Int)
(declare-fun CharsCopied__SERIAL_UPDATE_CHARInv (Int) Int)
(declare-fun CharsCopied__SERIAL_UPDATE_CHAR (Int) Int)
(declare-fun CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ClockRate__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ClockRate__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Completed__SERIAL_UPDATE_CHARInv (Int) Int)
(declare-fun Completed__SERIAL_UPDATE_CHAR (Int) Int)
(declare-fun ControlHandShake__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun ControlHandShake__SERIAL_HANDFLOW (Int) Int)
(declare-fun ControlLock__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ControlLock__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Controller__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Controller__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CountOnLastRead__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Counter__SERIAL_XOFF_COUNTERInv (Int) Int)
(declare-fun Counter__SERIAL_XOFF_COUNTER (Int) Int)
(declare-fun CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentBaud__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentReadIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentRxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun CurrentRxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun CurrentTxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun CurrentTxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CutOverAmount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Data__SERIAL_IOCTL_SYNCInv (Int) Int)
(declare-fun Data__SERIAL_IOCTL_SYNC (Int) Int)
(declare-fun DeviceExtension__DEVICE_OBJECTInv (Int) Int)
(declare-fun DeviceExtension__DEVICE_OBJECT (Int) Int)
(declare-fun DeviceIoControl___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun DeviceIoControl___unnamed_16_57edbc3a (Int) Int)
(declare-fun DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun DeviceIsOpened__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun DevicePNPAccept__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun DeviceState__POWER_STATEInv (Int) Int)
(declare-fun DeviceState__POWER_STATE (Int) Int)
(declare-fun DpcCount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun DpcCount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Dpc__KTIMERInv (Int) Int)
(declare-fun Dpc__KTIMER (Int) Int)
(declare-fun EofChar__SERIAL_CHARSInv (Int) Int)
(declare-fun EofChar__SERIAL_CHARS (Int) Int)
(declare-fun ErrorChar__SERIAL_CHARSInv (Int) Int)
(declare-fun ErrorChar__SERIAL_CHARS (Int) Int)
(declare-fun ErrorWord__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ErrorWord__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun EscapeChar__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun EscapeChar__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun EventChar__SERIAL_CHARSInv (Int) Int)
(declare-fun EventChar__SERIAL_CHARS (Int) Int)
(declare-fun Extension__SERIAL_IOCTL_SYNCInv (Int) Int)
(declare-fun Extension__SERIAL_IOCTL_SYNC (Int) Int)
(declare-fun Extension__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun Extension__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun Extension__SERIAL_UPDATE_CHARInv (Int) Int)
(declare-fun Extension__SERIAL_UPDATE_CHAR (Int) Int)
(declare-fun FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun FirstReadableChar__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun FlagsLock__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun FlagsLock__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Flags__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Flags__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Flink__LIST_ENTRYInv (Int) Int)
(declare-fun Flink__LIST_ENTRY (Int) Int)
(declare-fun FlowReplace__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun FlowReplace__SERIAL_HANDFLOW (Int) Int)
(declare-fun HandFlow__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun HandFlow__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun HighPart___unnamed_8_544b88f4Inv (Int) Int)
(declare-fun HighPart___unnamed_8_544b88f4 (Int) Int)
(declare-fun HighPart___unnamed_8_5d67d492Inv (Int) Int)
(declare-fun HighPart___unnamed_8_5d67d492 (Int) Int)
(declare-fun ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun InSize__SERIAL_QUEUE_SIZEInv (Int) Int)
(declare-fun InSize__SERIAL_QUEUE_SIZE (Int) Int)
(declare-fun Information__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun Information__IO_STATUS_BLOCK (Int) Int)
(declare-fun InputBufferLength___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun InputBufferLength___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Interrupt__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Interrupt__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IntervalTime__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IntervalTime__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IoControlCode___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun IoControlCode___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun IoStatus__IRPInv (Int) Int)
(declare-fun IoStatus__IRP (Int) Int)
(declare-fun IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IsrWaitMask__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LastCharSlot__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun LastReadTime__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LastReadTime__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Length___unnamed_16_3a584a7cInv (Int) Int)
(declare-fun Length___unnamed_16_3a584a7c (Int) Int)
(declare-fun Length___unnamed_16_94922103Inv (Int) Int)
(declare-fun Length___unnamed_16_94922103 (Int) Int)
(declare-fun LineControl__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LineControl__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ListEntry___unnamed_12_5cc47a19Inv (Int) Int)
(declare-fun ListEntry___unnamed_12_5cc47a19 (Int) Int)
(declare-fun LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LongIntervalAmount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun LowPart___unnamed_8_544b88f4Inv (Int) Int)
(declare-fun LowPart___unnamed_8_544b88f4 (Int) Int)
(declare-fun LowPart___unnamed_8_5d67d492Inv (Int) Int)
(declare-fun LowPart___unnamed_8_5d67d492 (Int) Int)
(declare-fun MajorFunction__IO_STACK_LOCATIONInv (Int) Int)
(declare-fun MajorFunction__IO_STACK_LOCATION (Int) Int)
(declare-fun MaskQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun MaskQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun MaxBaud__SERIAL_COMMPROPInv (Int) Int)
(declare-fun MaxBaud__SERIAL_COMMPROP (Int) Int)
(declare-fun MaxRxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun MaxRxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun MaxTxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun MaxTxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun NewBufferSize__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun NewBufferSize__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun NewBuffer__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun NewBuffer__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun NumberMoved__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun NumberMoved__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun NumberNeededForRead__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun OldBuffer__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun OldBuffer__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun Others___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun Others___unnamed_16_57edbc3a (Int) Int)
(declare-fun OutputBufferLength___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun OutputBufferLength___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun Overlay___unnamed_48_ffd8d308Inv (Int) Int)
(declare-fun Overlay___unnamed_48_ffd8d308 (Int) Int)
(declare-fun PacketLength__SERIAL_COMMPROPInv (Int) Int)
(declare-fun PacketLength__SERIAL_COMMPROP (Int) Int)
(declare-fun PacketVersion__SERIAL_COMMPROPInv (Int) Int)
(declare-fun PacketVersion__SERIAL_COMMPROP (Int) Int)
(declare-fun Parameters__IO_STACK_LOCATIONInv (Int) Int)
(declare-fun Parameters__IO_STACK_LOCATION (Int) Int)
(declare-fun Parity__SERIAL_LINE_CONTROLInv (Int) Int)
(declare-fun Parity__SERIAL_LINE_CONTROL (Int) Int)
(declare-fun Parity__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun Parity__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun Pdo__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Pdo__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PendingDpcEvent__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PendingIRPCnt__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PendingIRPEvent__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PowerState__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PowerState__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ProvCapabilities__SERIAL_COMMPROPInv (Int) Int)
(declare-fun ProvCapabilities__SERIAL_COMMPROP (Int) Int)
(declare-fun ProvSubType__SERIAL_COMMPROPInv (Int) Int)
(declare-fun ProvSubType__SERIAL_COMMPROP (Int) Int)
(declare-fun PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PurgeQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun QuadPart__LARGE_INTEGERInv (Int) Int)
(declare-fun QuadPart__LARGE_INTEGER (Int) Int)
(declare-fun ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadByIsr__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadIntervalTimeout__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun ReadIntervalTimeout__SERIAL_TIMEOUTS (Int) Int)
(declare-fun ReadQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (Int) Int)
(declare-fun ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (Int) Int)
(declare-fun Read___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun Read___unnamed_16_57edbc3a (Int) Int)
(declare-fun ServiceMask__SERIAL_COMMPROPInv (Int) Int)
(declare-fun ServiceMask__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableBaud__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableBaud__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableData__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableData__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableParams__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableParams__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableStopParity__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableStopParity__SERIAL_COMMPROP (Int) Int)
(declare-fun ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun SpecialChars__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun SpecialChars__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun StalledIrpQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Status___unnamed_4_ab1173deInv (Int) Int)
(declare-fun Status___unnamed_4_ab1173de (Int) Int)
(declare-fun StopBits__SERIAL_LINE_CONTROLInv (Int) Int)
(declare-fun StopBits__SERIAL_LINE_CONTROL (Int) Int)
(declare-fun StopBits__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun StopBits__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun SupportedBauds__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun SystemBuffer___unnamed_4_3dc37e35Inv (Int) Int)
(declare-fun SystemBuffer___unnamed_4_3dc37e35 (Int) Int)
(declare-fun SystemState__POWER_STATEInv (Int) Int)
(declare-fun SystemState__POWER_STATE (Int) Int)
(declare-fun Tail__IRPInv (Int) Int)
(declare-fun Tail__IRP (Int) Int)
(declare-fun Timeout__SERIAL_XOFF_COUNTERInv (Int) Int)
(declare-fun Timeout__SERIAL_XOFF_COUNTER (Int) Int)
(declare-fun Timeouts__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Timeouts__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalCharsQueued__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Type3InputBuffer___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun Type3InputBuffer___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ValidDataMask__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WmiCommData__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun WmiCommData__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WordLength__SERIAL_LINE_CONTROLInv (Int) Int)
(declare-fun WordLength__SERIAL_LINE_CONTROL (Int) Int)
(declare-fun WriteQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun WriteQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (Int) Int)
(declare-fun WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (Int) Int)
(declare-fun Write___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun Write___unnamed_16_57edbc3a (Int) Int)
(declare-fun XoffChar__SERIAL_CHARSInv (Int) Int)
(declare-fun XoffChar__SERIAL_CHARS (Int) Int)
(declare-fun XoffCharacter__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun XoffCharacter__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun XoffCountTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun XoffLimit__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun XoffLimit__SERIAL_HANDFLOW (Int) Int)
(declare-fun XonChar__SERIAL_CHARSInv (Int) Int)
(declare-fun XonChar__SERIAL_CHARS (Int) Int)
(declare-fun XonCharacter__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun XonCharacter__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun XonLimit__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun XonLimit__SERIAL_HANDFLOW (Int) Int)
(declare-fun x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (Int) Int)
(declare-fun x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (Int) Int)
(declare-fun x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_ab1173de__IO_STATUS_BLOCK (Int) Int)
(declare-fun x__unnamed_8_544b88f4__LARGE_INTEGERInv (Int) Int)
(declare-fun x__unnamed_8_544b88f4__LARGE_INTEGER (Int) Int)
(declare-fun u__LARGE_INTEGERInv (Int) Int)
(declare-fun u__LARGE_INTEGER (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun Mem_0_T.CancelRoutine__IRP.125 () boogieU)
(declare-fun Mem_s_1_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.125 () boogieU)
(declare-fun Mem_s_2_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.125 () boogieU)
(declare-fun Mem_s_3_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.125 () boogieU)
(declare-fun Mem_s_4_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.2 () boogieU)
(declare-fun Mem_s_1_T.Cancel__IRP () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.2 () boogieU)
(declare-fun Mem_s_2_T.Cancel__IRP () boogieU)
(declare-fun Mem_2_T.Cancel__IRP.2 () boogieU)
(declare-fun Mem_s_3_T.Cancel__IRP () boogieU)
(declare-fun Mem_3_T.Cancel__IRP.2 () boogieU)
(declare-fun Mem_s_4_T.Cancel__IRP () boogieU)
(declare-fun Mem_0_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_s_1_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_1_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_s_2_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_2_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_s_3_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_3_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_s_4_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_0_T.P_IRP.92 () boogieU)
(declare-fun Mem_s_1_T.P_IRP () boogieU)
(declare-fun Mem_1_T.P_IRP.92 () boogieU)
(declare-fun Mem_s_2_T.P_IRP () boogieU)
(declare-fun Mem_2_T.P_IRP.92 () boogieU)
(declare-fun Mem_s_3_T.P_IRP () boogieU)
(declare-fun Mem_3_T.P_IRP.92 () boogieU)
(declare-fun Mem_s_4_T.P_IRP () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.98 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.98 () boogieU)
(declare-fun alloc.119 () boogieU)
(declare-fun alloc.96 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.98 () boogieU)
(declare-fun Mem_2_T.P_IRP.69 () boogieU)
(declare-fun Mem_0_T.P_IRP.69 () boogieU)
(declare-fun Mem_4_T.P_IRP.92 () boogieU)
(declare-fun Mem_4_T.P_IRP.69 () boogieU)
(declare-fun Mem_3_T.P_IRP.69 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.125 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.98 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.98 () boogieU)
(declare-fun Mem_1_T.P_IRP.69 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.124 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.124 () boogieU)
(declare-fun alloc.118 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.124 () boogieU)
(declare-fun Mem_2_T.P_IRP.91 () boogieU)
(declare-fun Mem_0_T.P_IRP.91 () boogieU)
(declare-fun Mem_4_T.P_IRP.91 () boogieU)
(declare-fun Mem_3_T.P_IRP.91 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.124 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.124 () boogieU)
(declare-fun Mem_1_T.P_IRP.91 () boogieU)
(declare-fun alloc.117 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.101 () boogieU)
(declare-fun alloc.99 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.101 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.101 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.101 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.101 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.123 () boogieU)
(declare-fun alloc.116 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.123 () boogieU)
(declare-fun Mem_2_T.P_IRP.90 () boogieU)
(declare-fun Mem_4_T.P_IRP.90 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.123 () boogieU)
(declare-fun Mem_3_T.P_IRP.90 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.123 () boogieU)
(declare-fun Mem_0_T.P_IRP.90 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.123 () boogieU)
(declare-fun Mem_1_T.P_IRP.90 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.122 () boogieU)
(declare-fun alloc.115 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.122 () boogieU)
(declare-fun Mem_2_T.P_IRP.89 () boogieU)
(declare-fun Mem_4_T.P_IRP.89 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.122 () boogieU)
(declare-fun Mem_3_T.P_IRP.89 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.122 () boogieU)
(declare-fun Mem_0_T.P_IRP.89 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.122 () boogieU)
(declare-fun Mem_1_T.P_IRP.89 () boogieU)
(declare-fun alloc.114 () boogieU)
(declare-fun Mem_T.MajorFunction__IO_STACK_LOCATION.0 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.121 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.121 () boogieU)
(declare-fun alloc.113 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.121 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.121 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.121 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.120 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.120 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.120 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.120 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.120 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.118 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.119 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.118 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.118 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.118 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.118 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.119 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.119 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.119 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.119 () boogieU)
(declare-fun alloc.112 () boogieU)
(declare-fun Mem_3_T.P_IRP.87 () boogieU)
(declare-fun Mem_1_T.P_IRP.87 () boogieU)
(declare-fun Mem_0_T.P_IRP.88 () boogieU)
(declare-fun Mem_2_T.P_IRP.87 () boogieU)
(declare-fun Mem_4_T.P_IRP.87 () boogieU)
(declare-fun Mem_0_T.P_IRP.87 () boogieU)
(declare-fun Mem_1_T.P_IRP.88 () boogieU)
(declare-fun Mem_2_T.P_IRP.88 () boogieU)
(declare-fun Mem_3_T.P_IRP.88 () boogieU)
(declare-fun Mem_4_T.P_IRP.88 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.115 () boogieU)
(declare-fun Mem_3_T.P_IRP.86 () boogieU)
(declare-fun Mem_1_T.P_IRP.86 () boogieU)
(declare-fun Mem_0_T.P_IRP.86 () boogieU)
(declare-fun Mem_2_T.P_IRP.86 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.115 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.115 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.115 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.115 () boogieU)
(declare-fun Mem_4_T.P_IRP.86 () boogieU)
(declare-fun Mem_3_T.P_IRP.82 () boogieU)
(declare-fun Mem_1_T.P_IRP.82 () boogieU)
(declare-fun Mem_0_T.P_IRP.85 () boogieU)
(declare-fun Mem_2_T.P_IRP.82 () boogieU)
(declare-fun Mem_4_T.P_IRP.82 () boogieU)
(declare-fun Mem_0_T.P_IRP.82 () boogieU)
(declare-fun Mem_1_T.P_IRP.83 () boogieU)
(declare-fun Mem_2_T.P_IRP.83 () boogieU)
(declare-fun Mem_3_T.P_IRP.83 () boogieU)
(declare-fun Mem_4_T.P_IRP.83 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.117 () boogieU)
(declare-fun Mem_3_T.P_IRP.85 () boogieU)
(declare-fun Mem_1_T.P_IRP.85 () boogieU)
(declare-fun Mem_0_T.P_IRP.84 () boogieU)
(declare-fun Mem_2_T.P_IRP.85 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.117 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.117 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.117 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.117 () boogieU)
(declare-fun Mem_4_T.P_IRP.85 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.116 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.116 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.116 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.116 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.116 () boogieU)
(declare-fun Mem_0_T.P_IRP.83 () boogieU)
(declare-fun Mem_1_T.P_IRP.84 () boogieU)
(declare-fun Mem_2_T.P_IRP.84 () boogieU)
(declare-fun Mem_3_T.P_IRP.84 () boogieU)
(declare-fun Mem_4_T.P_IRP.84 () boogieU)
(declare-fun alloc.111 () boogieU)
(declare-fun alloc.104 () boogieU)
(declare-fun alloc.109 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.112 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.112 () boogieU)
(declare-fun Mem_4_T.P_IRP.81 () boogieU)
(declare-fun Mem_0_T.P_IRP.81 () boogieU)
(declare-fun Mem_1_T.P_IRP.81 () boogieU)
(declare-fun Mem_2_T.P_IRP.81 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.112 () boogieU)
(declare-fun Mem_3_T.P_IRP.81 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.112 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.112 () boogieU)
(declare-fun Mem_4_T.Cancel__IRP.2 () boogieU)
(declare-fun alloc.108 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.111 () boogieU)
(declare-fun Mem_4_T.P_IRP.80 () boogieU)
(declare-fun Mem_0_T.P_IRP.80 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.111 () boogieU)
(declare-fun Mem_2_T.P_IRP.80 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.111 () boogieU)
(declare-fun Mem_3_T.P_IRP.80 () boogieU)
(declare-fun Mem_1_T.P_IRP.80 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.111 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.111 () boogieU)
(declare-fun Mem_0_T.P_IRP.79 () boogieU)
(declare-fun Mem_1_T.P_IRP.79 () boogieU)
(declare-fun Mem_2_T.P_IRP.79 () boogieU)
(declare-fun Mem_3_T.P_IRP.79 () boogieU)
(declare-fun Mem_4_T.P_IRP.79 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.110 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.110 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.110 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.110 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.110 () boogieU)
(declare-fun alloc.103 () boogieU)
(declare-fun alloc.100 () boogieU)
(declare-fun alloc.101 () boogieU)
(declare-fun alloc.102 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.114 () boogieU)
(declare-fun alloc.110 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.114 () boogieU)
(declare-fun Mem_2_T.P_IRP.76 () boogieU)
(declare-fun Mem_4_T.P_IRP.76 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.114 () boogieU)
(declare-fun Mem_3_T.P_IRP.76 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.114 () boogieU)
(declare-fun Mem_0_T.P_IRP.76 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.114 () boogieU)
(declare-fun Mem_1_T.P_IRP.76 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.113 () boogieU)
(declare-fun alloc.106 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.113 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.113 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.113 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.113 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.106 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.106 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.106 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.106 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.106 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.104 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.105 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.104 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.104 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.104 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.104 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.105 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.105 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.105 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.105 () boogieU)
(declare-fun alloc.105 () boogieU)
(declare-fun Mem_3_T.P_IRP.74 () boogieU)
(declare-fun Mem_1_T.P_IRP.74 () boogieU)
(declare-fun Mem_0_T.P_IRP.75 () boogieU)
(declare-fun Mem_2_T.P_IRP.74 () boogieU)
(declare-fun Mem_4_T.P_IRP.74 () boogieU)
(declare-fun Mem_0_T.P_IRP.74 () boogieU)
(declare-fun Mem_1_T.P_IRP.75 () boogieU)
(declare-fun Mem_2_T.P_IRP.75 () boogieU)
(declare-fun Mem_3_T.P_IRP.75 () boogieU)
(declare-fun Mem_4_T.P_IRP.75 () boogieU)
(declare-fun Mem_2_T.P_IRP.73 () boogieU)
(declare-fun Mem_0_T.P_IRP.73 () boogieU)
(declare-fun Mem_1_T.P_IRP.73 () boogieU)
(declare-fun Mem_3_T.P_IRP.73 () boogieU)
(declare-fun Mem_4_T.P_IRP.73 () boogieU)
(declare-fun Mem_0_T.P_IRP.70 () boogieU)
(declare-fun Mem_1_T.P_IRP.70 () boogieU)
(declare-fun Mem_2_T.P_IRP.70 () boogieU)
(declare-fun Mem_3_T.P_IRP.70 () boogieU)
(declare-fun Mem_4_T.P_IRP.72 () boogieU)
(declare-fun Mem_2_T.P_IRP.72 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.103 () boogieU)
(declare-fun Mem_0_T.P_IRP.72 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.103 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.103 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.103 () boogieU)
(declare-fun Mem_1_T.P_IRP.72 () boogieU)
(declare-fun Mem_3_T.P_IRP.72 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.103 () boogieU)
(declare-fun Mem_4_T.P_IRP.71 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.102 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.102 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.102 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.102 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.102 () boogieU)
(declare-fun Mem_0_T.P_IRP.71 () boogieU)
(declare-fun Mem_1_T.P_IRP.71 () boogieU)
(declare-fun Mem_2_T.P_IRP.71 () boogieU)
(declare-fun Mem_3_T.P_IRP.71 () boogieU)
(declare-fun Mem_4_T.P_IRP.70 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.109 () boogieU)
(declare-fun alloc.107 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.109 () boogieU)
(declare-fun Mem_2_T.P_IRP.78 () boogieU)
(declare-fun Mem_4_T.P_IRP.78 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.109 () boogieU)
(declare-fun Mem_3_T.P_IRP.78 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.109 () boogieU)
(declare-fun Mem_0_T.P_IRP.78 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.109 () boogieU)
(declare-fun Mem_1_T.P_IRP.78 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.108 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.108 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.108 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.108 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.108 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.107 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.107 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.107 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.107 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.107 () boogieU)
(declare-fun Mem_0_T.P_IRP.77 () boogieU)
(declare-fun Mem_1_T.P_IRP.77 () boogieU)
(declare-fun Mem_2_T.P_IRP.77 () boogieU)
(declare-fun Mem_3_T.P_IRP.77 () boogieU)
(declare-fun Mem_4_T.P_IRP.77 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.100 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.100 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.100 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.100 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.100 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.99 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.99 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.99 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.99 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.99 () boogieU)
(declare-fun alloc.98 () boogieU)
(declare-fun alloc.97 () boogieU)
(declare-fun Mem_4_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.69 () boogieU)
(declare-fun Mem_0_T.P_IRP.46 () boogieU)
(declare-fun alloc.76 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP () boogieU)
(declare-fun Mem_2_T.P_IRP.46 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.69 () boogieU)
(declare-fun Mem_4_T.P_IRP.46 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.69 () boogieU)
(declare-fun Mem_4_T.Cancel__IRP () boogieU)
(declare-fun Mem_3_T.P_IRP.46 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.69 () boogieU)
(declare-fun Mem_3_T.Cancel__IRP () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.69 () boogieU)
(declare-fun Mem_2_T.Cancel__IRP () boogieU)
(declare-fun Mem_1_T.P_IRP.46 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.97 () boogieU)
(declare-fun Mem_0_T.P_IRP.68 () boogieU)
(declare-fun alloc.95 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.1 () boogieU)
(declare-fun Mem_2_T.P_IRP.68 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.97 () boogieU)
(declare-fun Mem_4_T.P_IRP.68 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.1 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.97 () boogieU)
(declare-fun Mem_4_T.Cancel__IRP.1 () boogieU)
(declare-fun Mem_3_T.P_IRP.68 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.97 () boogieU)
(declare-fun Mem_3_T.Cancel__IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.97 () boogieU)
(declare-fun Mem_2_T.Cancel__IRP.1 () boogieU)
(declare-fun Mem_1_T.P_IRP.68 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.74 () boogieU)
(declare-fun alloc.77 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.74 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.74 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.74 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.74 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.96 () boogieU)
(declare-fun Mem_0_T.P_IRP.67 () boogieU)
(declare-fun alloc.94 () boogieU)
(declare-fun Mem_2_T.P_IRP.67 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.96 () boogieU)
(declare-fun Mem_4_T.P_IRP.67 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.96 () boogieU)
(declare-fun Mem_3_T.P_IRP.67 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.96 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.96 () boogieU)
(declare-fun Mem_1_T.P_IRP.67 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.95 () boogieU)
(declare-fun alloc.93 () boogieU)
(declare-fun Mem_2_T.P_IRP.66 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.95 () boogieU)
(declare-fun Mem_4_T.P_IRP.66 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.95 () boogieU)
(declare-fun Mem_3_T.P_IRP.66 () boogieU)
(declare-fun Mem_0_T.P_IRP.66 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.95 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.95 () boogieU)
(declare-fun Mem_1_T.P_IRP.66 () boogieU)
(declare-fun alloc.92 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.94 () boogieU)
(declare-fun alloc.91 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.94 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.94 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.94 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.94 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.93 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.93 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.93 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.93 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.93 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.91 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.92 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.91 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.91 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.91 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.91 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.92 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.92 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.92 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.92 () boogieU)
(declare-fun alloc.89 () boogieU)
(declare-fun Mem_3_T.P_IRP.64 () boogieU)
(declare-fun Mem_1_T.P_IRP.64 () boogieU)
(declare-fun Mem_0_T.P_IRP.65 () boogieU)
(declare-fun Mem_2_T.P_IRP.64 () boogieU)
(declare-fun Mem_4_T.P_IRP.64 () boogieU)
(declare-fun Mem_0_T.P_IRP.64 () boogieU)
(declare-fun Mem_1_T.P_IRP.65 () boogieU)
(declare-fun Mem_2_T.P_IRP.65 () boogieU)
(declare-fun Mem_3_T.P_IRP.65 () boogieU)
(declare-fun Mem_4_T.P_IRP.65 () boogieU)
(declare-fun Mem_2_T.P_IRP.59 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.85 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.85 () boogieU)
(declare-fun Mem_0_T.P_IRP.59 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.85 () boogieU)
(declare-fun Mem_1_T.P_IRP.59 () boogieU)
(declare-fun Mem_3_T.P_IRP.59 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.85 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.85 () boogieU)
(declare-fun Mem_4_T.P_IRP.59 () boogieU)
(declare-fun Mem_3_T.P_IRP.57 () boogieU)
(declare-fun Mem_1_T.P_IRP.57 () boogieU)
(declare-fun Mem_0_T.P_IRP.58 () boogieU)
(declare-fun Mem_2_T.P_IRP.57 () boogieU)
(declare-fun Mem_4_T.P_IRP.57 () boogieU)
(declare-fun Mem_0_T.P_IRP.57 () boogieU)
(declare-fun Mem_1_T.P_IRP.58 () boogieU)
(declare-fun Mem_2_T.P_IRP.58 () boogieU)
(declare-fun Mem_3_T.P_IRP.58 () boogieU)
(declare-fun Mem_4_T.P_IRP.58 () boogieU)
(declare-fun Mem_2_T.P_IRP.61 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.90 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.90 () boogieU)
(declare-fun Mem_0_T.P_IRP.61 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.90 () boogieU)
(declare-fun Mem_1_T.P_IRP.61 () boogieU)
(declare-fun Mem_3_T.P_IRP.61 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.90 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.90 () boogieU)
(declare-fun Mem_4_T.P_IRP.61 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.89 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.89 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.89 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.89 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.89 () boogieU)
(declare-fun Mem_0_T.P_IRP.60 () boogieU)
(declare-fun Mem_1_T.P_IRP.60 () boogieU)
(declare-fun Mem_2_T.P_IRP.60 () boogieU)
(declare-fun Mem_3_T.P_IRP.60 () boogieU)
(declare-fun Mem_4_T.P_IRP.60 () boogieU)
(declare-fun alloc.88 () boogieU)
(declare-fun alloc.83 () boogieU)
(declare-fun alloc.85 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.78 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.78 () boogieU)
(declare-fun Mem_0_T.P_IRP.53 () boogieU)
(declare-fun Mem_4_T.P_IRP.53 () boogieU)
(declare-fun Mem_1_T.P_IRP.53 () boogieU)
(declare-fun Mem_2_T.P_IRP.53 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.78 () boogieU)
(declare-fun Mem_3_T.P_IRP.53 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.78 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.78 () boogieU)
(declare-fun alloc.84 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.76 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.76 () boogieU)
(declare-fun Mem_0_T.P_IRP.52 () boogieU)
(declare-fun Mem_4_T.P_IRP.52 () boogieU)
(declare-fun Mem_1_T.P_IRP.52 () boogieU)
(declare-fun Mem_2_T.P_IRP.52 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.76 () boogieU)
(declare-fun Mem_3_T.P_IRP.52 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.76 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.76 () boogieU)
(declare-fun Mem_0_T.P_IRP.47 () boogieU)
(declare-fun Mem_1_T.P_IRP.47 () boogieU)
(declare-fun Mem_2_T.P_IRP.47 () boogieU)
(declare-fun Mem_3_T.P_IRP.51 () boogieU)
(declare-fun Mem_4_T.P_IRP.47 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.75 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.75 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.75 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.75 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.75 () boogieU)
(declare-fun alloc.81 () boogieU)
(declare-fun alloc.78 () boogieU)
(declare-fun alloc.79 () boogieU)
(declare-fun alloc.80 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.84 () boogieU)
(declare-fun alloc.87 () boogieU)
(declare-fun Mem_2_T.P_IRP.56 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.84 () boogieU)
(declare-fun Mem_4_T.P_IRP.56 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.84 () boogieU)
(declare-fun Mem_3_T.P_IRP.56 () boogieU)
(declare-fun Mem_0_T.P_IRP.56 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.84 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.84 () boogieU)
(declare-fun Mem_1_T.P_IRP.56 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.83 () boogieU)
(declare-fun alloc.86 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.83 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.83 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.83 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.83 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.82 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.82 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.82 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.82 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.82 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.80 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.81 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.80 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.80 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.80 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.80 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.81 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.81 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.81 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.81 () boogieU)
(declare-fun alloc.82 () boogieU)
(declare-fun Mem_3_T.P_IRP.54 () boogieU)
(declare-fun Mem_1_T.P_IRP.54 () boogieU)
(declare-fun Mem_0_T.P_IRP.55 () boogieU)
(declare-fun Mem_2_T.P_IRP.54 () boogieU)
(declare-fun Mem_4_T.P_IRP.54 () boogieU)
(declare-fun Mem_0_T.P_IRP.54 () boogieU)
(declare-fun Mem_1_T.P_IRP.55 () boogieU)
(declare-fun Mem_2_T.P_IRP.55 () boogieU)
(declare-fun Mem_3_T.P_IRP.55 () boogieU)
(declare-fun Mem_4_T.P_IRP.55 () boogieU)
(declare-fun Mem_0_T.P_IRP.51 () boogieU)
(declare-fun Mem_2_T.P_IRP.51 () boogieU)
(declare-fun Mem_1_T.P_IRP.51 () boogieU)
(declare-fun Mem_3_T.P_IRP.50 () boogieU)
(declare-fun Mem_4_T.P_IRP.51 () boogieU)
(declare-fun Mem_0_T.P_IRP.48 () boogieU)
(declare-fun Mem_1_T.P_IRP.48 () boogieU)
(declare-fun Mem_2_T.P_IRP.48 () boogieU)
(declare-fun Mem_3_T.P_IRP.47 () boogieU)
(declare-fun Mem_4_T.P_IRP.48 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.79 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.79 () boogieU)
(declare-fun Mem_0_T.P_IRP.50 () boogieU)
(declare-fun Mem_2_T.P_IRP.50 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.79 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.79 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.79 () boogieU)
(declare-fun Mem_1_T.P_IRP.50 () boogieU)
(declare-fun Mem_3_T.P_IRP.49 () boogieU)
(declare-fun Mem_4_T.P_IRP.50 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.77 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.77 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.77 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.77 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.77 () boogieU)
(declare-fun Mem_0_T.P_IRP.49 () boogieU)
(declare-fun Mem_1_T.P_IRP.49 () boogieU)
(declare-fun Mem_2_T.P_IRP.49 () boogieU)
(declare-fun Mem_3_T.P_IRP.48 () boogieU)
(declare-fun Mem_4_T.P_IRP.49 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.88 () boogieU)
(declare-fun Mem_0_T.P_IRP.63 () boogieU)
(declare-fun alloc.90 () boogieU)
(declare-fun Mem_2_T.P_IRP.63 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.88 () boogieU)
(declare-fun Mem_4_T.P_IRP.63 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.88 () boogieU)
(declare-fun Mem_3_T.P_IRP.63 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.88 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.88 () boogieU)
(declare-fun Mem_1_T.P_IRP.63 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.87 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.87 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.87 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.87 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.87 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.86 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.86 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.86 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.86 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.86 () boogieU)
(declare-fun Mem_0_T.P_IRP.62 () boogieU)
(declare-fun Mem_1_T.P_IRP.62 () boogieU)
(declare-fun Mem_2_T.P_IRP.62 () boogieU)
(declare-fun Mem_3_T.P_IRP.62 () boogieU)
(declare-fun Mem_4_T.P_IRP.62 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.73 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.73 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.73 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.73 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.73 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.71 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.72 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.71 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.71 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.71 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.71 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.72 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.72 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.72 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.72 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.70 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.70 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.70 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.70 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.70 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.0 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.0 () boogieU)
(declare-fun Mem_2_T.Cancel__IRP.0 () boogieU)
(declare-fun Mem_3_T.Cancel__IRP.0 () boogieU)
(declare-fun Mem_4_T.Cancel__IRP.0 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.13 () boogieU)
(declare-fun Mem_0_T.P_IRP () boogieU)
(declare-fun Mem_4_T.P_IRP () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.13 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.13 () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.13 () boogieU)
(declare-fun Mem_3_T.P_IRP () boogieU)
(declare-fun Mem_2_T.P_IRP () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.13 () boogieU)
(declare-fun Mem_1_T.P_IRP () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.12 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.12 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.12 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.12 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.12 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.11 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.11 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.11 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.11 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.11 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.2 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.7 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.2 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.2 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.2 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.2 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.7 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.7 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.7 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.10 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.6 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.6 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.6 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.6 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.6 () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.68 () boogieU)
(declare-fun Mem_0_T.P_IRP.45 () boogieU)
(declare-fun Mem_4_T.P_IRP.45 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.68 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.68 () boogieU)
(declare-fun alloc.75 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.68 () boogieU)
(declare-fun Mem_3_T.P_IRP.45 () boogieU)
(declare-fun Mem_2_T.P_IRP.45 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.68 () boogieU)
(declare-fun Mem_1_T.P_IRP.45 () boogieU)
(declare-fun alloc.74 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.18 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.18 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.18 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.18 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.18 () boogieU)
(declare-fun alloc.27 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.17 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.17 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.17 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.17 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.17 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.16 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.16 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.16 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.16 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.16 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.15 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.15 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.15 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.15 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.15 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.14 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.14 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.14 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.14 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.14 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.67 () boogieU)
(declare-fun Mem_0_T.P_IRP.44 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.67 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.67 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.67 () boogieU)
(declare-fun Mem_2_T.P_IRP.44 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.67 () boogieU)
(declare-fun Mem_4_T.P_IRP.44 () boogieU)
(declare-fun Mem_1_T.P_IRP.44 () boogieU)
(declare-fun alloc.73 () boogieU)
(declare-fun Mem_3_T.P_IRP.44 () boogieU)
(declare-fun alloc.72 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.65 () boogieU)
(declare-fun alloc.69 () boogieU)
(declare-fun Mem_2_T.P_IRP.43 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.65 () boogieU)
(declare-fun Mem_4_T.P_IRP.43 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.65 () boogieU)
(declare-fun Mem_3_T.P_IRP.43 () boogieU)
(declare-fun Mem_0_T.P_IRP.43 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.65 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.65 () boogieU)
(declare-fun Mem_1_T.P_IRP.43 () boogieU)
(declare-fun alloc.68 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.64 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.64 () boogieU)
(declare-fun alloc.67 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.64 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.64 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.64 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.63 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.63 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.63 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.63 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.63 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.61 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.62 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.61 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.61 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.61 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.61 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.62 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.62 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.62 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.62 () boogieU)
(declare-fun alloc.66 () boogieU)
(declare-fun Mem_3_T.P_IRP.41 () boogieU)
(declare-fun Mem_1_T.P_IRP.41 () boogieU)
(declare-fun Mem_0_T.P_IRP.42 () boogieU)
(declare-fun Mem_2_T.P_IRP.41 () boogieU)
(declare-fun Mem_4_T.P_IRP.41 () boogieU)
(declare-fun Mem_0_T.P_IRP.41 () boogieU)
(declare-fun Mem_1_T.P_IRP.42 () boogieU)
(declare-fun Mem_2_T.P_IRP.42 () boogieU)
(declare-fun Mem_3_T.P_IRP.42 () boogieU)
(declare-fun Mem_4_T.P_IRP.42 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.58 () boogieU)
(declare-fun Mem_1_T.P_IRP.38 () boogieU)
(declare-fun Mem_0_T.P_IRP.38 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.58 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.58 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.58 () boogieU)
(declare-fun Mem_3_T.P_IRP.38 () boogieU)
(declare-fun Mem_2_T.P_IRP.38 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.58 () boogieU)
(declare-fun Mem_4_T.P_IRP.38 () boogieU)
(declare-fun Mem_3_T.P_IRP.36 () boogieU)
(declare-fun Mem_1_T.P_IRP.36 () boogieU)
(declare-fun Mem_0_T.P_IRP.37 () boogieU)
(declare-fun Mem_2_T.P_IRP.36 () boogieU)
(declare-fun Mem_4_T.P_IRP.36 () boogieU)
(declare-fun Mem_0_T.P_IRP.36 () boogieU)
(declare-fun Mem_1_T.P_IRP.37 () boogieU)
(declare-fun Mem_2_T.P_IRP.37 () boogieU)
(declare-fun Mem_3_T.P_IRP.37 () boogieU)
(declare-fun Mem_4_T.P_IRP.37 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.60 () boogieU)
(declare-fun Mem_1_T.P_IRP.40 () boogieU)
(declare-fun Mem_0_T.P_IRP.40 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.60 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.60 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.60 () boogieU)
(declare-fun Mem_3_T.P_IRP.40 () boogieU)
(declare-fun Mem_2_T.P_IRP.40 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.60 () boogieU)
(declare-fun Mem_4_T.P_IRP.40 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.59 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.59 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.59 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.59 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.59 () boogieU)
(declare-fun Mem_0_T.P_IRP.39 () boogieU)
(declare-fun Mem_1_T.P_IRP.39 () boogieU)
(declare-fun Mem_2_T.P_IRP.39 () boogieU)
(declare-fun Mem_3_T.P_IRP.39 () boogieU)
(declare-fun Mem_4_T.P_IRP.39 () boogieU)
(declare-fun alloc.65 () boogieU)
(declare-fun alloc.62 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.53 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.53 () boogieU)
(declare-fun Mem_0_T.P_IRP.32 () boogieU)
(declare-fun Mem_4_T.P_IRP.32 () boogieU)
(declare-fun Mem_1_T.P_IRP.32 () boogieU)
(declare-fun Mem_2_T.P_IRP.32 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.53 () boogieU)
(declare-fun Mem_3_T.P_IRP.32 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.53 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.53 () boogieU)
(declare-fun alloc.64 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.57 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.57 () boogieU)
(declare-fun Mem_0_T.P_IRP.35 () boogieU)
(declare-fun Mem_4_T.P_IRP.35 () boogieU)
(declare-fun Mem_1_T.P_IRP.35 () boogieU)
(declare-fun Mem_2_T.P_IRP.35 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.57 () boogieU)
(declare-fun Mem_3_T.P_IRP.35 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.57 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.57 () boogieU)
(declare-fun alloc.63 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.56 () boogieU)
(declare-fun Mem_4_T.P_IRP.34 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.56 () boogieU)
(declare-fun Mem_1_T.P_IRP.34 () boogieU)
(declare-fun Mem_2_T.P_IRP.34 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.56 () boogieU)
(declare-fun Mem_0_T.P_IRP.34 () boogieU)
(declare-fun Mem_3_T.P_IRP.34 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.56 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.56 () boogieU)
(declare-fun Mem_0_T.P_IRP.33 () boogieU)
(declare-fun Mem_1_T.P_IRP.33 () boogieU)
(declare-fun Mem_2_T.P_IRP.33 () boogieU)
(declare-fun Mem_3_T.P_IRP.33 () boogieU)
(declare-fun Mem_4_T.P_IRP.33 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.55 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.55 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.55 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.55 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.55 () boogieU)
(declare-fun alloc.61 () boogieU)
(declare-fun alloc.58 () boogieU)
(declare-fun alloc.57 () boogieU)
(declare-fun alloc.59 () boogieU)
(declare-fun alloc.60 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.66 () boogieU)
(declare-fun alloc.71 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.66 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.66 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.66 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.66 () boogieU)
(declare-fun alloc.70 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.54 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.54 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.54 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.54 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.54 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.52 () boogieU)
(declare-fun alloc.56 () boogieU)
(declare-fun Mem_2_T.P_IRP.31 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.52 () boogieU)
(declare-fun Mem_4_T.P_IRP.31 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.52 () boogieU)
(declare-fun Mem_3_T.P_IRP.31 () boogieU)
(declare-fun Mem_0_T.P_IRP.31 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.52 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.52 () boogieU)
(declare-fun Mem_1_T.P_IRP.31 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.21 () boogieU)
(declare-fun alloc.28 () boogieU)
(declare-fun Mem_2_T.P_IRP.1 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.21 () boogieU)
(declare-fun Mem_4_T.P_IRP.1 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.21 () boogieU)
(declare-fun Mem_3_T.P_IRP.1 () boogieU)
(declare-fun Mem_0_T.P_IRP.1 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.21 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.21 () boogieU)
(declare-fun Mem_1_T.P_IRP.1 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.40 () boogieU)
(declare-fun alloc.44 () boogieU)
(declare-fun Mem_2_T.P_IRP.20 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.40 () boogieU)
(declare-fun Mem_4_T.P_IRP.20 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.40 () boogieU)
(declare-fun Mem_3_T.P_IRP.20 () boogieU)
(declare-fun Mem_0_T.P_IRP.20 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.40 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.40 () boogieU)
(declare-fun Mem_1_T.P_IRP.20 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.39 () boogieU)
(declare-fun alloc.43 () boogieU)
(declare-fun Mem_2_T.P_IRP.19 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.39 () boogieU)
(declare-fun Mem_4_T.P_IRP.19 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.39 () boogieU)
(declare-fun Mem_3_T.P_IRP.19 () boogieU)
(declare-fun Mem_0_T.P_IRP.19 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.39 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.39 () boogieU)
(declare-fun Mem_1_T.P_IRP.19 () boogieU)
(declare-fun alloc.42 () boogieU)
(declare-fun alloc.41 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.38 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.38 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.38 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.38 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.38 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.37 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.37 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.37 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.37 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.37 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.35 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.36 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.35 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.35 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.35 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.35 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.36 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.36 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.36 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.36 () boogieU)
(declare-fun alloc.39 () boogieU)
(declare-fun Mem_3_T.P_IRP.17 () boogieU)
(declare-fun Mem_1_T.P_IRP.17 () boogieU)
(declare-fun Mem_0_T.P_IRP.18 () boogieU)
(declare-fun Mem_2_T.P_IRP.17 () boogieU)
(declare-fun Mem_4_T.P_IRP.17 () boogieU)
(declare-fun Mem_0_T.P_IRP.17 () boogieU)
(declare-fun Mem_1_T.P_IRP.18 () boogieU)
(declare-fun Mem_2_T.P_IRP.18 () boogieU)
(declare-fun Mem_3_T.P_IRP.18 () boogieU)
(declare-fun Mem_4_T.P_IRP.18 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.30 () boogieU)
(declare-fun Mem_4_T.P_IRP.14 () boogieU)
(declare-fun Mem_0_T.P_IRP.14 () boogieU)
(declare-fun Mem_2_T.P_IRP.14 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.30 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.30 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.30 () boogieU)
(declare-fun Mem_1_T.P_IRP.14 () boogieU)
(declare-fun Mem_3_T.P_IRP.14 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.30 () boogieU)
(declare-fun Mem_3_T.P_IRP.12 () boogieU)
(declare-fun Mem_1_T.P_IRP.12 () boogieU)
(declare-fun Mem_0_T.P_IRP.13 () boogieU)
(declare-fun Mem_2_T.P_IRP.12 () boogieU)
(declare-fun Mem_4_T.P_IRP.12 () boogieU)
(declare-fun Mem_0_T.P_IRP.12 () boogieU)
(declare-fun Mem_1_T.P_IRP.13 () boogieU)
(declare-fun Mem_2_T.P_IRP.13 () boogieU)
(declare-fun Mem_3_T.P_IRP.13 () boogieU)
(declare-fun Mem_4_T.P_IRP.13 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.34 () boogieU)
(declare-fun Mem_4_T.P_IRP.16 () boogieU)
(declare-fun Mem_0_T.P_IRP.16 () boogieU)
(declare-fun Mem_2_T.P_IRP.16 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.34 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.34 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.34 () boogieU)
(declare-fun Mem_1_T.P_IRP.16 () boogieU)
(declare-fun Mem_3_T.P_IRP.16 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.34 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.33 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.33 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.33 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.33 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.33 () boogieU)
(declare-fun Mem_0_T.P_IRP.15 () boogieU)
(declare-fun Mem_1_T.P_IRP.15 () boogieU)
(declare-fun Mem_2_T.P_IRP.15 () boogieU)
(declare-fun Mem_3_T.P_IRP.15 () boogieU)
(declare-fun Mem_4_T.P_IRP.15 () boogieU)
(declare-fun alloc.38 () boogieU)
(declare-fun alloc.33 () boogieU)
(declare-fun alloc.37 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.29 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.29 () boogieU)
(declare-fun Mem_0_T.P_IRP.11 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.29 () boogieU)
(declare-fun Mem_4_T.P_IRP.11 () boogieU)
(declare-fun Mem_2_T.P_IRP.11 () boogieU)
(declare-fun Mem_3_T.P_IRP.11 () boogieU)
(declare-fun Mem_1_T.P_IRP.11 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.29 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.29 () boogieU)
(declare-fun alloc.36 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.28 () boogieU)
(declare-fun Mem_0_T.P_IRP.10 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.28 () boogieU)
(declare-fun Mem_1_T.P_IRP.10 () boogieU)
(declare-fun Mem_2_T.P_IRP.10 () boogieU)
(declare-fun Mem_3_T.P_IRP.10 () boogieU)
(declare-fun Mem_4_T.P_IRP.10 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.28 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.28 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.28 () boogieU)
(declare-fun Mem_0_T.P_IRP.9 () boogieU)
(declare-fun Mem_1_T.P_IRP.9 () boogieU)
(declare-fun Mem_2_T.P_IRP.9 () boogieU)
(declare-fun Mem_3_T.P_IRP.9 () boogieU)
(declare-fun Mem_4_T.P_IRP.9 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.27 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.27 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.27 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.27 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.27 () boogieU)
(declare-fun alloc.32 () boogieU)
(declare-fun alloc.29 () boogieU)
(declare-fun alloc.30 () boogieU)
(declare-fun alloc.31 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.32 () boogieU)
(declare-fun alloc.40 () boogieU)
(declare-fun Mem_2_T.P_IRP.8 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.32 () boogieU)
(declare-fun Mem_4_T.P_IRP.8 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.32 () boogieU)
(declare-fun Mem_3_T.P_IRP.8 () boogieU)
(declare-fun Mem_0_T.P_IRP.8 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.32 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.32 () boogieU)
(declare-fun Mem_1_T.P_IRP.8 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.31 () boogieU)
(declare-fun alloc.35 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.31 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.31 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.31 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.31 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.26 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.26 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.26 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.26 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.26 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.24 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.25 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.24 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.24 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.24 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.24 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.25 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.25 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.25 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.25 () boogieU)
(declare-fun alloc.34 () boogieU)
(declare-fun Mem_3_T.P_IRP.6 () boogieU)
(declare-fun Mem_1_T.P_IRP.6 () boogieU)
(declare-fun Mem_0_T.P_IRP.7 () boogieU)
(declare-fun Mem_2_T.P_IRP.6 () boogieU)
(declare-fun Mem_4_T.P_IRP.6 () boogieU)
(declare-fun Mem_0_T.P_IRP.6 () boogieU)
(declare-fun Mem_1_T.P_IRP.7 () boogieU)
(declare-fun Mem_2_T.P_IRP.7 () boogieU)
(declare-fun Mem_3_T.P_IRP.7 () boogieU)
(declare-fun Mem_4_T.P_IRP.7 () boogieU)
(declare-fun Mem_1_T.P_IRP.4 () boogieU)
(declare-fun Mem_0_T.P_IRP.4 () boogieU)
(declare-fun Mem_3_T.P_IRP.4 () boogieU)
(declare-fun Mem_2_T.P_IRP.4 () boogieU)
(declare-fun Mem_4_T.P_IRP.3 () boogieU)
(declare-fun Mem_0_T.P_IRP.2 () boogieU)
(declare-fun Mem_1_T.P_IRP.2 () boogieU)
(declare-fun Mem_2_T.P_IRP.2 () boogieU)
(declare-fun Mem_3_T.P_IRP.2 () boogieU)
(declare-fun Mem_4_T.P_IRP.2 () boogieU)
(declare-fun Mem_1_T.P_IRP.5 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.23 () boogieU)
(declare-fun Mem_0_T.P_IRP.5 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.23 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.23 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.23 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.23 () boogieU)
(declare-fun Mem_3_T.P_IRP.5 () boogieU)
(declare-fun Mem_2_T.P_IRP.5 () boogieU)
(declare-fun Mem_4_T.P_IRP.5 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.22 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.22 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.22 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.22 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.22 () boogieU)
(declare-fun Mem_0_T.P_IRP.3 () boogieU)
(declare-fun Mem_1_T.P_IRP.3 () boogieU)
(declare-fun Mem_2_T.P_IRP.3 () boogieU)
(declare-fun Mem_3_T.P_IRP.3 () boogieU)
(declare-fun Mem_4_T.P_IRP.4 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.51 () boogieU)
(declare-fun alloc.55 () boogieU)
(declare-fun Mem_2_T.P_IRP.30 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.51 () boogieU)
(declare-fun Mem_4_T.P_IRP.30 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.51 () boogieU)
(declare-fun Mem_3_T.P_IRP.30 () boogieU)
(declare-fun Mem_0_T.P_IRP.30 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.51 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.51 () boogieU)
(declare-fun Mem_1_T.P_IRP.30 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.50 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.50 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.50 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.50 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.50 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.49 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.49 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.49 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.49 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.49 () boogieU)
(declare-fun Mem_0_T.P_IRP.29 () boogieU)
(declare-fun Mem_1_T.P_IRP.29 () boogieU)
(declare-fun Mem_2_T.P_IRP.29 () boogieU)
(declare-fun Mem_3_T.P_IRP.29 () boogieU)
(declare-fun Mem_4_T.P_IRP.29 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.20 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.20 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.20 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.20 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.20 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.19 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.19 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.19 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.19 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.19 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.48 () boogieU)
(declare-fun Mem_0_T.P_IRP.28 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.48 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.48 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.48 () boogieU)
(declare-fun Mem_2_T.P_IRP.28 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.48 () boogieU)
(declare-fun Mem_4_T.P_IRP.28 () boogieU)
(declare-fun Mem_1_T.P_IRP.28 () boogieU)
(declare-fun alloc.54 () boogieU)
(declare-fun Mem_3_T.P_IRP.28 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.47 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.47 () boogieU)
(declare-fun Mem_2_T.P_IRP.27 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.47 () boogieU)
(declare-fun Mem_0_T.P_IRP.27 () boogieU)
(declare-fun Mem_4_T.P_IRP.27 () boogieU)
(declare-fun Mem_3_T.P_IRP.27 () boogieU)
(declare-fun Mem_1_T.P_IRP.27 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.47 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.47 () boogieU)
(declare-fun alloc.53 () boogieU)
(declare-fun alloc.52 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.46 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.46 () boogieU)
(declare-fun alloc.51 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.46 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.46 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.46 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.45 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.45 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.45 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.45 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.45 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.43 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.44 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.43 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.43 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.43 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.43 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.44 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.44 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.44 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.44 () boogieU)
(declare-fun alloc.50 () boogieU)
(declare-fun Mem_3_T.P_IRP.25 () boogieU)
(declare-fun Mem_1_T.P_IRP.25 () boogieU)
(declare-fun Mem_0_T.P_IRP.26 () boogieU)
(declare-fun Mem_2_T.P_IRP.25 () boogieU)
(declare-fun Mem_4_T.P_IRP.25 () boogieU)
(declare-fun Mem_0_T.P_IRP.25 () boogieU)
(declare-fun Mem_1_T.P_IRP.26 () boogieU)
(declare-fun Mem_2_T.P_IRP.26 () boogieU)
(declare-fun Mem_3_T.P_IRP.26 () boogieU)
(declare-fun Mem_4_T.P_IRP.26 () boogieU)
(declare-fun Mem_0_T.P_IRP.22 () boogieU)
(declare-fun Mem_2_T.P_IRP.22 () boogieU)
(declare-fun Mem_1_T.P_IRP.22 () boogieU)
(declare-fun Mem_3_T.P_IRP.22 () boogieU)
(declare-fun Mem_4_T.P_IRP.22 () boogieU)
(declare-fun Mem_0_T.P_IRP.21 () boogieU)
(declare-fun Mem_1_T.P_IRP.21 () boogieU)
(declare-fun Mem_2_T.P_IRP.21 () boogieU)
(declare-fun Mem_3_T.P_IRP.21 () boogieU)
(declare-fun Mem_4_T.P_IRP.21 () boogieU)
(declare-fun Mem_0_T.P_IRP.24 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.42 () boogieU)
(declare-fun Mem_2_T.P_IRP.24 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.42 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.42 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.42 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.42 () boogieU)
(declare-fun Mem_1_T.P_IRP.24 () boogieU)
(declare-fun Mem_3_T.P_IRP.24 () boogieU)
(declare-fun Mem_4_T.P_IRP.24 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.41 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.41 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.41 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.41 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.41 () boogieU)
(declare-fun Mem_0_T.P_IRP.23 () boogieU)
(declare-fun Mem_1_T.P_IRP.23 () boogieU)
(declare-fun Mem_2_T.P_IRP.23 () boogieU)
(declare-fun Mem_3_T.P_IRP.23 () boogieU)
(declare-fun Mem_4_T.P_IRP.23 () boogieU)
(declare-fun alloc.49 () boogieU)
(declare-fun alloc.26 () boogieU)
(declare-fun alloc.25 () boogieU)
(declare-fun alloc.24 () boogieU)
(declare-fun alloc.48 () boogieU)
(declare-fun alloc.47 () boogieU)
(declare-fun alloc.46 () boogieU)
(declare-fun alloc.45 () boogieU)
(declare-fun alloc.23 () boogieU)
(declare-fun alloc.18 () boogieU)
(declare-fun alloc.19 () boogieU)
(declare-fun alloc.20 () boogieU)
(declare-fun alloc.21 () boogieU)
(declare-fun alloc.22 () boogieU)
(declare-fun Mem_0_T.P_IRP.0 () boogieU)
(declare-fun Mem_1_T.P_IRP.0 () boogieU)
(declare-fun Mem_2_T.P_IRP.0 () boogieU)
(declare-fun Mem_3_T.P_IRP.0 () boogieU)
(declare-fun Mem_4_T.P_IRP.0 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.10 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.10 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.10 () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.10 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.9 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.9 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.9 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.8 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.9 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.9 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.8 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.8 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.8 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.8 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.7 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.5 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.5 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.5 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.5 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.5 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.4 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.4 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.4 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.4 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.4 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.3 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.3 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.3 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.3 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.3 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.1 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.1 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.1 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.0 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.0 () boogieU)
(declare-fun Mem_2_T.CancelRoutine__IRP.0 () boogieU)
(declare-fun Mem_3_T.CancelRoutine__IRP.0 () boogieU)
(declare-fun Mem_4_T.CancelRoutine__IRP.0 () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun Mem_T.MajorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun irpCompleted_0.52 () Int)
(declare-fun irpCompleted_s_1 () Int)
(declare-fun irpCompleted_1.52 () Int)
(declare-fun irpCompleted_s_2 () Int)
(declare-fun irpCompleted_2.52 () Int)
(declare-fun irpCompleted_s_3 () Int)
(declare-fun irpCompleted_3.52 () Int)
(declare-fun irpCompleted_s_4 () Int)
(declare-fun lockStatus_0.41 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun lockStatus_1.41 () Int)
(declare-fun lockStatus_s_2 () Int)
(declare-fun lockStatus_2.41 () Int)
(declare-fun lockStatus_s_3 () Int)
(declare-fun lockStatus_3.41 () Int)
(declare-fun lockStatus_s_4 () Int)
(declare-fun cancelLockStatus_0.90 () Int)
(declare-fun cancelLockStatus_s_1 () Int)
(declare-fun cancelLockStatus_1.90 () Int)
(declare-fun cancelLockStatus_s_2 () Int)
(declare-fun cancelLockStatus_2.90 () Int)
(declare-fun cancelLockStatus_s_3 () Int)
(declare-fun cancelLockStatus_3.90 () Int)
(declare-fun cancelLockStatus_s_4 () Int)
(declare-fun errorReached.90 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.12 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.11 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7 () Int)
(declare-fun cancelLockStatus_4.90 () Int)
(declare-fun cancelLockStatus_4.89 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.5 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.8 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.7 () Int)
(declare-fun inline.SerialCompleteRead.0..oldIrql.6.704.10.SerialCompleteRead.0 () Int)
(declare-fun call79533formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.8 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_2.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_2.0 () Int)
(declare-fun cancelLockStatus_0.89 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0 () Int)
(declare-fun x.SerialCompleteRead.arg.2.7..6 () Int)
(declare-fun x.SerialCompleteRead.arg.2.7..5 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.5 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialCompleteRead.0.havoc_stringTemp.0 () Int)
(declare-fun call88382formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.11 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialCompleteRead.0..result.SerialDbgPrintEx.710.20.1..1 () Int)
(declare-fun inline.SerialCompleteRead.0..result.SerialDbgPrintEx.710.20.1..0 () Int)
(declare-fun inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun irpCompleted_0.51 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.21 () Int)
(declare-fun inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.24.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.4 () Int)
(declare-fun inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialCompleteRead.0..DeferredContext.2.671.13.SerialCompleteRead1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun irpCompleted_2.51 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_1.0 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun errorReached.89 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0 () Int)
(declare-fun cancelLockStatus_1.89 () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.9 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.27 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.26 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialCompleteRead.0..DeferredContext.2.671.13.SerialCompleteRead.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.7 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.6 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun call79733formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialCompleteRead.0..extension.5.703.29.SerialCompleteRead.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1 () Int)
(declare-fun irpCompleted_4.52 () Int)
(declare-fun irpCompleted_4.51 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.24.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialCompleteRead.0..result.SerialDbgPrintEx.742.20.3..1 () Int)
(declare-fun inline.SerialCompleteRead.0..result.SerialDbgPrintEx.742.20.3..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 () Int)
(declare-fun irpCompleted_1.51 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.10 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun k.413 () Int)
(declare-fun k.412 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialCompleteRead.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCompleteRead.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0 () Int)
(declare-fun cancelLockStatus_3.89 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.7 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.28 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.27 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun irpCompleted_3.51 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.15..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun call79565formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.5 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.9 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.4 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun cancelLockStatus_2.89 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.4 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun Base (Int) Int)
(declare-fun call88372formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2. () Int)
(declare-fun cancelLockStatus_4.77 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun irpCompleted_3.43 () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun cancelLockStatus_0.77 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0.1 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun errorReached.77 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun irpCompleted_0.43 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1. () Int)
(declare-fun irpCompleted_2.43 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1. () Int)
(declare-fun call87955formal.new.0 () Int)
(declare-fun cancelLockStatus_1.77 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun cancelLockStatus_3.77 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun call87877formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun irpCompleted_4.43 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1. () Int)
(declare-fun irpCompleted_1.43 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun k.373 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun cancelLockStatus_2.77 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun call88306formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1. () Int)
(declare-fun irpCompleted_2.41 () Int)
(declare-fun irpCompleted_1.41 () Int)
(declare-fun k.370 () Int)
(declare-fun irpCompleted_3.41 () Int)
(declare-fun errorReached.72 () Int)
(declare-fun irpCompleted_0.41 () Int)
(declare-fun irpCompleted_4.41 () Int)
(declare-fun call87988formal.ret.0 () Int)
(declare-fun irpCompleted_2.42 () Int)
(declare-fun irpCompleted_1.42 () Int)
(declare-fun k.372 () Int)
(declare-fun irpCompleted_3.42 () Int)
(declare-fun errorReached.76 () Int)
(declare-fun irpCompleted_0.42 () Int)
(declare-fun irpCompleted_4.42 () Int)
(declare-fun k.371 () Int)
(declare-fun cancelLockStatus_1.72 () Int)
(declare-fun cancelLockStatus_0.72 () Int)
(declare-fun cancelLockStatus_2.72 () Int)
(declare-fun cancelLockStatus_4.72 () Int)
(declare-fun cancelLockStatus_3.72 () Int)
(declare-fun k.369 () Int)
(declare-fun k.368 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 () Int)
(declare-fun k.348 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun cancelLockStatus_4.88 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun irpCompleted_3.50 () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.6 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun cancelLockStatus_0.88 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun errorReached.88 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun irpCompleted_0.50 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.20 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun call81778formal.ret.0 () Int)
(declare-fun irpCompleted_2.50 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.havoc_stringTemp () Int)
(declare-fun cancelLockStatus_1.88 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun cancelLockStatus_3.88 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.7 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4. () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun irpCompleted_4.50 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun irpCompleted_1.50 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun k.411 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.1 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.26 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.4 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.4 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun cancelLockStatus_2.88 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.3 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun cancelLockStatus_4.74 () Int)
(declare-fun cancelLockStatus_0.74 () Int)
(declare-fun cancelLockStatus_1.74 () Int)
(declare-fun cancelLockStatus_3.74 () Int)
(declare-fun k.350 () Int)
(declare-fun cancelLockStatus_2.74 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun cancelLockStatus_4.76 () Int)
(declare-fun irpCompleted_3.46 () Int)
(declare-fun call86122formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0 () Int)
(declare-fun cancelLockStatus_0.76 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun irpCompleted_0.46 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.2 () Int)
(declare-fun call86633formal.ret.0 () Int)
(declare-fun irpCompleted_2.46 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.2 () Int)
(declare-fun cancelLockStatus_1.76 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun cancelLockStatus_3.76 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun call86153formal.ret.0 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun errorReached.81 () Int)
(declare-fun irpCompleted_4.46 () Int)
(declare-fun irpCompleted_1.46 () Int)
(declare-fun k.385 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun cancelLockStatus_2.76 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun errorReached.74 () Int)
(declare-fun k.365 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.1 () Int)
(declare-fun call86733formal.new.0 () Int)
(declare-fun errorReached.80 () Int)
(declare-fun irpCompleted_0.45 () Int)
(declare-fun irpCompleted_4.45 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_3.45 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun k.384 () Int)
(declare-fun irpCompleted_1.45 () Int)
(declare-fun irpCompleted_2.45 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun call87084formal.ret.0 () Int)
(declare-fun irpCompleted_2.44 () Int)
(declare-fun irpCompleted_1.44 () Int)
(declare-fun call86766formal.ret.0 () Int)
(declare-fun k.367 () Int)
(declare-fun irpCompleted_3.44 () Int)
(declare-fun errorReached.75 () Int)
(declare-fun irpCompleted_0.44 () Int)
(declare-fun irpCompleted_4.44 () Int)
(declare-fun k.366 () Int)
(declare-fun cancelLockStatus_1.75 () Int)
(declare-fun cancelLockStatus_0.75 () Int)
(declare-fun cancelLockStatus_2.75 () Int)
(declare-fun cancelLockStatus_4.75 () Int)
(declare-fun cancelLockStatus_3.75 () Int)
(declare-fun k.364 () Int)
(declare-fun k.363 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun errorReached.73 () Int)
(declare-fun call87689formal.ret.0 () Int)
(declare-fun k.362 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.1 () Int)
(declare-fun k.361 () Int)
(declare-fun k.360 () Int)
(declare-fun k.358 () Int)
(declare-fun k.359 () Int)
(declare-fun call87598formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun k.357 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.0 () Int)
(declare-fun k.356 () Int)
(declare-fun k.354 () Int)
(declare-fun k.355 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun k.353 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun call82586formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun cancelLockStatus_4.87 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun irpCompleted_3.49 () Int)
(declare-fun call84413formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.5 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.6 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun cancelLockStatus_0.87 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun call81911formal.new.0 () Int)
(declare-fun irpCompleted_0.49 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.19 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun irpCompleted_2.49 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun call82617formal.ret.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun cancelLockStatus_1.87 () Int)
(declare-fun cancelLockStatus_3.87 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun call81908formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.4 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun errorReached.87 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun irpCompleted_4.49 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun irpCompleted_1.49 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.8 () Int)
(declare-fun k.410 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.25 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.3 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun call83097formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun cancelLockStatus_2.87 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun call81902formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun call81905formal.new.0 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun call84625formal.ret.0 () Int)
(declare-fun cancelLockStatus_4.86 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun cancelLockStatus_3.86 () Int)
(declare-fun cancelLockStatus_1.86 () Int)
(declare-fun k.409 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.18 () Int)
(declare-fun cancelLockStatus_0.86 () Int)
(declare-fun cancelLockStatus_2.86 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.18 () Int)
(declare-fun call84432formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.85 () Int)
(declare-fun cancelLockStatus_0.85 () Int)
(declare-fun cancelLockStatus_2.85 () Int)
(declare-fun cancelLockStatus_4.85 () Int)
(declare-fun cancelLockStatus_3.85 () Int)
(declare-fun k.408 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun cancelLockStatus_1.84 () Int)
(declare-fun cancelLockStatus_0.84 () Int)
(declare-fun cancelLockStatus_2.84 () Int)
(declare-fun cancelLockStatus_4.84 () Int)
(declare-fun cancelLockStatus_3.84 () Int)
(declare-fun k.406 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.24 () Int)
(declare-fun k.407 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.21 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.23 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.19 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.20 () Int)
(declare-fun errorReached.84 () Int)
(declare-fun k.402 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun errorReached.86 () Int)
(declare-fun irpCompleted_2.48 () Int)
(declare-fun irpCompleted_0.48 () Int)
(declare-fun irpCompleted_4.48 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_3.48 () Int)
(declare-fun k.405 () Int)
(declare-fun irpCompleted_1.48 () Int)
(declare-fun call83197formal.new.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun call83548formal.ret.0 () Int)
(declare-fun irpCompleted_1.47 () Int)
(declare-fun irpCompleted_2.47 () Int)
(declare-fun k.404 () Int)
(declare-fun irpCompleted_3.47 () Int)
(declare-fun errorReached.85 () Int)
(declare-fun irpCompleted_0.47 () Int)
(declare-fun call83230formal.ret.0 () Int)
(declare-fun irpCompleted_4.47 () Int)
(declare-fun k.403 () Int)
(declare-fun cancelLockStatus_1.83 () Int)
(declare-fun cancelLockStatus_0.83 () Int)
(declare-fun cancelLockStatus_2.83 () Int)
(declare-fun cancelLockStatus_4.83 () Int)
(declare-fun cancelLockStatus_3.83 () Int)
(declare-fun k.401 () Int)
(declare-fun k.400 () Int)
(declare-fun call84153formal.ret.0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.0 () Int)
(declare-fun errorReached.83 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.5 () Int)
(declare-fun k.399 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun k.398 () Int)
(declare-fun k.397 () Int)
(declare-fun k.395 () Int)
(declare-fun errorReached.82 () Int)
(declare-fun call84062formal.ret.0 () Int)
(declare-fun k.396 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.394 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.0 () Int)
(declare-fun k.393 () Int)
(declare-fun k.391 () Int)
(declare-fun k.392 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun k.390 () Int)
(declare-fun cancelLockStatus_1.82 () Int)
(declare-fun cancelLockStatus_0.82 () Int)
(declare-fun cancelLockStatus_2.82 () Int)
(declare-fun cancelLockStatus_4.82 () Int)
(declare-fun cancelLockStatus_3.82 () Int)
(declare-fun k.389 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.11 () Int)
(declare-fun k.352 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun k.383 () Int)
(declare-fun cancelLockStatus_4.79 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun cancelLockStatus_2.79 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.3 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.2 () Int)
(declare-fun errorReached.79 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun cancelLockStatus_1.79 () Int)
(declare-fun call85094formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.13 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun call84732formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun cancelLockStatus_3.79 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun cancelLockStatus_0.79 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.7 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun cancelLockStatus_1.78 () Int)
(declare-fun cancelLockStatus_0.78 () Int)
(declare-fun cancelLockStatus_2.78 () Int)
(declare-fun cancelLockStatus_4.78 () Int)
(declare-fun cancelLockStatus_3.78 () Int)
(declare-fun k.382 () Int)
(declare-fun k.381 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun call85489formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.0 () Int)
(declare-fun errorReached.78 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.12 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun call85852formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.11 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.4 () Int)
(declare-fun call85802formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.1 () Int)
(declare-fun BIT_BOR (Int Int) Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.5 () Int)
(declare-fun k.380 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.5 () Int)
(declare-fun k.379 () Int)
(declare-fun k.378 () Int)
(declare-fun k.376 () Int)
(declare-fun k.377 () Int)
(declare-fun call85398formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.375 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun k.374 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.10 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.6 () Int)
(declare-fun k.351 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.17 () Int)
(declare-fun call82490formal.ret.0 () Int)
(declare-fun k.388 () Int)
(declare-fun cancelLockStatus_4.81 () Int)
(declare-fun call82229formal.ret.0 () Int)
(declare-fun cancelLockStatus_2.81 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.4 () Int)
(declare-fun cancelLockStatus_1.81 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.15 () Int)
(declare-fun cancelLockStatus_3.81 () Int)
(declare-fun cancelLockStatus_0.81 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.3 () Int)
(declare-fun cancelLockStatus_1.80 () Int)
(declare-fun cancelLockStatus_0.80 () Int)
(declare-fun cancelLockStatus_2.80 () Int)
(declare-fun cancelLockStatus_4.80 () Int)
(declare-fun cancelLockStatus_3.80 () Int)
(declare-fun k.387 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.12 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.15 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.13 () Int)
(declare-fun k.386 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.4 () Int)
(declare-fun call81945formal.new.0 () Int)
(declare-fun cancelLockStatus_4.73 () Int)
(declare-fun cancelLockStatus_0.73 () Int)
(declare-fun cancelLockStatus_1.73 () Int)
(declare-fun cancelLockStatus_3.73 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.5 () Int)
(declare-fun k.349 () Int)
(declare-fun cancelLockStatus_2.73 () Int)
(declare-fun call81664formal.ret.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.10 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.9 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.7 () Int)
(declare-fun k.347 () Int)
(declare-fun inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5. () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.19 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.3 () Int)
(declare-fun inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun k.345 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs () Int)
(declare-fun call81139formal.ret.0 () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.25 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.4 () Int)
(declare-fun k.346 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.8 () Int)
(declare-fun BIT_BNOT (Int) Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.24 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.21 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.22 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.20 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.23 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.0 () Int)
(declare-fun call81220formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun k.343 () Int)
(declare-fun inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.1 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3. () Int)
(declare-fun call80809formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.18 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun k.344 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.17 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.16 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.15 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.13 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.14 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.0 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call80890formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun errorReached.70 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun k.335 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun errorReached.71 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.11 () Int)
(declare-fun call80775formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun k.342 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.2 () Int)
(declare-fun k.341 () Int)
(declare-fun k.340 () Int)
(declare-fun k.338 () Int)
(declare-fun k.339 () Int)
(declare-fun call80684formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.337 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.10 () Int)
(declare-fun k.336 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.0 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.0 () Int)
(declare-fun k.334 () Int)
(declare-fun cancelLockStatus_1.71 () Int)
(declare-fun cancelLockStatus_0.71 () Int)
(declare-fun cancelLockStatus_2.71 () Int)
(declare-fun cancelLockStatus_4.71 () Int)
(declare-fun cancelLockStatus_3.71 () Int)
(declare-fun k.333 () Int)
(declare-fun call79552formal.new.0 () Int)
(declare-fun x.SerialCompleteRead.arg.2.7. () Int)
(declare-fun x.SerialCompleteRead.arg.2.7..4 () Int)
(declare-fun x.SerialCompleteRead.arg.2.7..2 () Int)
(declare-fun x.SerialCompleteRead.arg.2.7..1 () Int)
(declare-fun x.SerialCompleteRead.arg.2.7..3 () Int)
(declare-fun x.SerialCompleteRead.arg.2.7..0 () Int)
(declare-fun k.332 () Int)
(declare-fun call79301formal.ret.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCompleteRead.0..oldIrql.6.704.10.SerialCompleteRead () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_2 () Int)
(declare-fun inline.SerialCompleteRead.0.havoc_stringTemp () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialCompleteRead.0..result.SerialDbgPrintEx.710.20.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCompleteRead.0..DeferredContext.2.671.13.SerialCompleteRead1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_1 () Int)
(declare-fun inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialCompleteRead.0..DeferredContext.2.671.13.SerialCompleteRead () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialCompleteRead.0..extension.5.703.29.SerialCompleteRead () Int)
(declare-fun inline.sdv_InterlockedDecrement.24.myNondetVar_0 () Int)
(declare-fun inline.SerialCompleteRead.0..result.SerialDbgPrintEx.742.20.3. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialCompleteRead.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.15..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0 () Int)
(declare-fun cancelLockStatus_4.53 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun irpCompleted_3.30 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.7 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1. () Int)
(declare-fun cancelLockStatus_0.53 () Int)
(declare-fun inline.SerialCancelCurrentRead.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelCurrentRead.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialCancelCurrentRead.0..DeviceObject.1.747.19.SerialCancelCurrentRead1.0 () Int)
(declare-fun inline.SerialCancelCurrentRead.0..DeviceObject.1.747.19.SerialCancelCurrentRead1 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3. () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun irpCompleted_0.30 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_2.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_1 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.7 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.9 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.8 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun irpCompleted_2.30 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun cancelLockStatus_1.53 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun cancelLockStatus_3.53 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.12 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun irpCompleted_4.30 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.9 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1. () Int)
(declare-fun irpCompleted_1.30 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0 () Int)
(declare-fun k.331 () Int)
(declare-fun k.251 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialCancelCurrentRead.0..DeviceObject.1.747.19.SerialCancelCurrentRead.0 () Int)
(declare-fun inline.SerialCancelCurrentRead.0..DeviceObject.1.747.19.SerialCancelCurrentRead () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.27 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5. () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.28 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0 () Int)
(declare-fun inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.6 () Int)
(declare-fun inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun cancelLockStatus_2.53 () Int)
(declare-fun inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun errorReached.50 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.3 () Int)
(declare-fun cancelLockStatus_4.70 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun irpCompleted_3.40 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.6 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun cancelLockStatus_0.70 () Int)
(declare-fun inline.SerialCancelCurrentRead.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun irpCompleted_0.40 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_2.0 () Int)
(declare-fun inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_1.0 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.7 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun irpCompleted_2.40 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun cancelLockStatus_1.70 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun cancelLockStatus_3.70 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun irpCompleted_4.40 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.21 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun irpCompleted_1.40 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0.2 () Int)
(declare-fun k.330 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.10 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.7 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.26 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun call88986formal.new.0 () Int)
(declare-fun inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0 () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.27 () Int)
(declare-fun inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun cancelLockStatus_2.70 () Int)
(declare-fun inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.5 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun errorReached.69 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 () Int)
(declare-fun irpCompleted_3.35 () Int)
(declare-fun cancelLockStatus_0.63 () Int)
(declare-fun irpCompleted_0.35 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..0 () Int)
(declare-fun cancelLockStatus_1.63 () Int)
(declare-fun irpCompleted_2.35 () Int)
(declare-fun cancelLockStatus_4.63 () Int)
(declare-fun cancelLockStatus_3.63 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.6 () Int)
(declare-fun call97130formal.ret.0 () Int)
(declare-fun irpCompleted_4.35 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun irpCompleted_1.35 () Int)
(declare-fun k.312 () Int)
(declare-fun call97208formal.new.0 () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun cancelLockStatus_2.63 () Int)
(declare-fun errorReached.62 () Int)
(declare-fun call97559formal.ret.0 () Int)
(declare-fun k.309 () Int)
(declare-fun errorReached.52 () Int)
(declare-fun irpCompleted_1.34 () Int)
(declare-fun call97241formal.ret.0 () Int)
(declare-fun irpCompleted_2.34 () Int)
(declare-fun k.311 () Int)
(declare-fun irpCompleted_3.34 () Int)
(declare-fun errorReached.61 () Int)
(declare-fun irpCompleted_0.34 () Int)
(declare-fun irpCompleted_4.34 () Int)
(declare-fun k.310 () Int)
(declare-fun k.308 () Int)
(declare-fun k.268 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 () Int)
(declare-fun k.266 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun irpCompleted_3.39 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.5 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun cancelLockStatus_0.69 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_0.39 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun cancelLockStatus_1.69 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.6 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun irpCompleted_2.39 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun cancelLockStatus_4.69 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun cancelLockStatus_3.69 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun irpCompleted_4.39 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.4 () Int)
(declare-fun irpCompleted_1.39 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun k.329 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.20 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun call91031formal.ret.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.26 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun cancelLockStatus_2.69 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun errorReached.68 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun cancelLockStatus_4.54 () Int)
(declare-fun cancelLockStatus_0.54 () Int)
(declare-fun cancelLockStatus_1.54 () Int)
(declare-fun cancelLockStatus_3.54 () Int)
(declare-fun k.269 () Int)
(declare-fun cancelLockStatus_2.54 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun cancelLockStatus_4.58 () Int)
(declare-fun irpCompleted_3.33 () Int)
(declare-fun call95886formal.ret.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun cancelLockStatus_0.58 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun irpCompleted_0.33 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun irpCompleted_2.33 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun cancelLockStatus_1.58 () Int)
(declare-fun cancelLockStatus_3.58 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.2 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun errorReached.59 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun irpCompleted_4.33 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.6 () Int)
(declare-fun irpCompleted_1.33 () Int)
(declare-fun call95406formal.ret.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun k.300 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.0 () Int)
(declare-fun cancelLockStatus_2.58 () Int)
(declare-fun call95375formal.new.0 () Int)
(declare-fun errorReached.56 () Int)
(declare-fun k.296 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun errorReached.58 () Int)
(declare-fun irpCompleted_2.32 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun call95986formal.new.0 () Int)
(declare-fun irpCompleted_0.32 () Int)
(declare-fun k.299 () Int)
(declare-fun irpCompleted_4.32 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_3.32 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun irpCompleted_1.32 () Int)
(declare-fun call96337formal.ret.0 () Int)
(declare-fun irpCompleted_1.31 () Int)
(declare-fun irpCompleted_2.31 () Int)
(declare-fun k.298 () Int)
(declare-fun irpCompleted_3.31 () Int)
(declare-fun errorReached.57 () Int)
(declare-fun irpCompleted_0.31 () Int)
(declare-fun call96019formal.ret.0 () Int)
(declare-fun irpCompleted_4.31 () Int)
(declare-fun k.297 () Int)
(declare-fun cancelLockStatus_1.57 () Int)
(declare-fun cancelLockStatus_0.57 () Int)
(declare-fun cancelLockStatus_2.57 () Int)
(declare-fun cancelLockStatus_4.57 () Int)
(declare-fun cancelLockStatus_3.57 () Int)
(declare-fun k.295 () Int)
(declare-fun k.294 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.0 () Int)
(declare-fun errorReached.54 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.5 () Int)
(declare-fun k.293 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun call96942formal.ret.0 () Int)
(declare-fun k.290 () Int)
(declare-fun k.289 () Int)
(declare-fun k.287 () Int)
(declare-fun k.288 () Int)
(declare-fun call96851formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.286 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.1 () Int)
(declare-fun k.285 () Int)
(declare-fun k.283 () Int)
(declare-fun k.284 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun k.270 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.3 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun call92350formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun cancelLockStatus_4.68 () Int)
(declare-fun irpCompleted_3.38 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.4 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun call91870formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun cancelLockStatus_0.68 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.0 () Int)
(declare-fun irpCompleted_0.38 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun call91158formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun call91161formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun call91155formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.4 () Int)
(declare-fun call91164formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun irpCompleted_2.38 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun cancelLockStatus_1.68 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun cancelLockStatus_3.68 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun call93666formal.new.0 () Int)
(declare-fun errorReached.67 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun irpCompleted_4.38 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.3 () Int)
(declare-fun irpCompleted_1.38 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun k.328 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.19 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.25 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun cancelLockStatus_2.68 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun call91839formal.new.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun cancelLockStatus_4.67 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.18 () Int)
(declare-fun cancelLockStatus_3.67 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.18 () Int)
(declare-fun k.327 () Int)
(declare-fun cancelLockStatus_0.67 () Int)
(declare-fun cancelLockStatus_2.67 () Int)
(declare-fun call93685formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.67 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.6 () Int)
(declare-fun call93878formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.66 () Int)
(declare-fun cancelLockStatus_0.66 () Int)
(declare-fun cancelLockStatus_2.66 () Int)
(declare-fun cancelLockStatus_4.66 () Int)
(declare-fun cancelLockStatus_3.66 () Int)
(declare-fun k.325 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun cancelLockStatus_1.65 () Int)
(declare-fun cancelLockStatus_0.65 () Int)
(declare-fun cancelLockStatus_2.65 () Int)
(declare-fun cancelLockStatus_4.65 () Int)
(declare-fun cancelLockStatus_3.65 () Int)
(declare-fun k.324 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.24 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.16 () Int)
(declare-fun k.326 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.21 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.20 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.23 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.19 () Int)
(declare-fun errorReached.64 () Int)
(declare-fun k.320 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun irpCompleted_2.37 () Int)
(declare-fun errorReached.66 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.1 () Int)
(declare-fun call92450formal.new.0 () Int)
(declare-fun irpCompleted_0.37 () Int)
(declare-fun irpCompleted_4.37 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun irpCompleted_3.37 () Int)
(declare-fun k.323 () Int)
(declare-fun irpCompleted_1.37 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call92801formal.ret.0 () Int)
(declare-fun irpCompleted_1.36 () Int)
(declare-fun irpCompleted_2.36 () Int)
(declare-fun call92483formal.ret.0 () Int)
(declare-fun k.322 () Int)
(declare-fun irpCompleted_3.36 () Int)
(declare-fun errorReached.65 () Int)
(declare-fun irpCompleted_0.36 () Int)
(declare-fun irpCompleted_4.36 () Int)
(declare-fun k.321 () Int)
(declare-fun cancelLockStatus_1.62 () Int)
(declare-fun cancelLockStatus_0.62 () Int)
(declare-fun cancelLockStatus_2.62 () Int)
(declare-fun cancelLockStatus_4.62 () Int)
(declare-fun cancelLockStatus_3.62 () Int)
(declare-fun k.319 () Int)
(declare-fun k.318 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.0 () Int)
(declare-fun call93406formal.ret.0 () Int)
(declare-fun errorReached.63 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun k.317 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun k.316 () Int)
(declare-fun k.315 () Int)
(declare-fun k.313 () Int)
(declare-fun errorReached.60 () Int)
(declare-fun k.314 () Int)
(declare-fun call93315formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.307 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.0 () Int)
(declare-fun k.306 () Int)
(declare-fun k.304 () Int)
(declare-fun k.305 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun k.303 () Int)
(declare-fun cancelLockStatus_1.61 () Int)
(declare-fun cancelLockStatus_0.61 () Int)
(declare-fun cancelLockStatus_2.61 () Int)
(declare-fun cancelLockStatus_4.61 () Int)
(declare-fun cancelLockStatus_3.61 () Int)
(declare-fun k.302 () Int)
(declare-fun k.273 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.12 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.3 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun k.292 () Int)
(declare-fun cancelLockStatus_4.59 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun cancelLockStatus_0.59 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.3 () Int)
(declare-fun call94347formal.ret.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.13 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun cancelLockStatus_1.59 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.7 () Int)
(declare-fun cancelLockStatus_3.59 () Int)
(declare-fun call93985formal.ret.0 () Int)
(declare-fun cancelLockStatus_2.59 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.2 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.2 () Int)
(declare-fun errorReached.55 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun cancelLockStatus_1.56 () Int)
(declare-fun cancelLockStatus_0.56 () Int)
(declare-fun cancelLockStatus_2.56 () Int)
(declare-fun cancelLockStatus_4.56 () Int)
(declare-fun cancelLockStatus_3.56 () Int)
(declare-fun k.291 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun k.282 () Int)
(declare-fun errorReached.53 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.12 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.0 () Int)
(declare-fun call94742formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.2 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.4 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.11 () Int)
(declare-fun call95105formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.1 () Int)
(declare-fun call95055formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.5 () Int)
(declare-fun k.281 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.5 () Int)
(declare-fun k.280 () Int)
(declare-fun k.279 () Int)
(declare-fun k.277 () Int)
(declare-fun k.278 () Int)
(declare-fun call94651formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.276 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun k.275 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.6 () Int)
(declare-fun k.271 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun k.301 () Int)
(declare-fun cancelLockStatus_4.60 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.17 () Int)
(declare-fun cancelLockStatus_0.60 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.15 () Int)
(declare-fun cancelLockStatus_1.60 () Int)
(declare-fun call91482formal.ret.0 () Int)
(declare-fun cancelLockStatus_3.60 () Int)
(declare-fun cancelLockStatus_2.60 () Int)
(declare-fun call91743formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.3 () Int)
(declare-fun cancelLockStatus_1.55 () Int)
(declare-fun cancelLockStatus_0.55 () Int)
(declare-fun cancelLockStatus_2.55 () Int)
(declare-fun cancelLockStatus_4.55 () Int)
(declare-fun cancelLockStatus_3.55 () Int)
(declare-fun k.274 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.15 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.13 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.10 () Int)
(declare-fun k.272 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.0 () Int)
(declare-fun call91198formal.new.0 () Int)
(declare-fun call90917formal.ret.0 () Int)
(declare-fun cancelLockStatus_0.64 () Int)
(declare-fun cancelLockStatus_1.64 () Int)
(declare-fun cancelLockStatus_4.64 () Int)
(declare-fun cancelLockStatus_3.64 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.5 () Int)
(declare-fun k.267 () Int)
(declare-fun cancelLockStatus_2.64 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.9 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.10 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.7 () Int)
(declare-fun k.265 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.3 () Int)
(declare-fun k.263 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.19 () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun call90392formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.25 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.4 () Int)
(declare-fun k.264 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.24 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.23 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.22 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.21 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.20 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call90473formal.ret.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.3 () Int)
(declare-fun k.261 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.12 () Int)
(declare-fun call90062formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.1 () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.18 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.6 () Int)
(declare-fun k.262 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.17 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.15 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.16 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.14 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.13 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.0 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call90143formal.ret.0 () Int)
(declare-fun k.253 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.11 () Int)
(declare-fun errorReached.51 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.5 () Int)
(declare-fun call90028formal.ret.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.0 () Int)
(declare-fun k.260 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun k.259 () Int)
(declare-fun k.258 () Int)
(declare-fun k.256 () Int)
(declare-fun k.257 () Int)
(declare-fun call89937formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.255 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.6 () Int)
(declare-fun k.254 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.4 () Int)
(declare-fun k.252 () Int)
(declare-fun inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.3 () Int)
(declare-fun inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.4 () Int)
(declare-fun inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.0 () Int)
(declare-fun inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.1 () Int)
(declare-fun inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.2 () Int)
(declare-fun cancelLockStatus_1.52 () Int)
(declare-fun cancelLockStatus_0.52 () Int)
(declare-fun cancelLockStatus_2.52 () Int)
(declare-fun cancelLockStatus_4.52 () Int)
(declare-fun cancelLockStatus_3.52 () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main () Int)
(declare-fun call79213formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.1..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.1..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.5 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.37 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.8 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..5 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..4 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.174.24.20..1 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.174.24.20..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.7 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun lockStatus_2.14 () Int)
(declare-fun inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0 () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.7 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..3 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..1 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.4 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..3 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7. () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1. () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..1 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.54 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.11 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2..0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2. () Int)
(declare-fun cancelLockStatus_3.3 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..4 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.14 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialRead.0..result.SerialRead.90.0.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0 () Int)
(declare-fun cancelLockStatus_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1. () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..5 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.1 () Int)
(declare-fun inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.17.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.12 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun irpCompleted_0.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.10 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..3 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18. () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.172.8.18..1 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.172.8.18..0 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..5 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..3 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5. () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..2 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1 () Int)
(declare-fun inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead () Int)
(declare-fun inline.SerialCompleteIfError.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialCompleteIfError.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..2 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2. () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.6 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.5 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun irpCompleted_1.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5..2 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5. () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.10 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..2 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14. () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..2 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0 () Int)
(declare-fun irpCompleted_2.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.165.23.16..1 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.165.23.16. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2. () Int)
(declare-fun lockStatus_3.14 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialRead.0.havoc_stringTemp.1 () Int)
(declare-fun call79186formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..2 () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6. () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..2 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.10 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1 () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.17 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.137.20.9..1 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.137.20.9..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.7 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.7 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.9 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.5 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..5 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1. () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.11 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.6 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun lockStatus_1.14 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialRead.0..status.5.121.13.SerialRead.0 () Int)
(declare-fun inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.7 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.9 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..6 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.11 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1 () Int)
(declare-fun inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7..0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7. () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.30 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.13 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.28 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4. () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_InterlockedDecrement.17.myNondetVar_0.2 () Int)
(declare-fun irpCompleted_4.4 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..6 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.12 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0 () Int)
(declare-fun inline.SerialRead.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialRead.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..6 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.24..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.24..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.9 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..7 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..5 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.9 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.5 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..5 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.2 () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.9 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun cancelLockStatus_4.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialRead.0..result.SerialCompleteIfError.139.29.11..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialStartWrite.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialStartWrite.0.havoc_stringTemp () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..6 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1 () Int)
(declare-fun lockStatus_4.41 () Int)
(declare-fun lockStatus_4.14 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.10 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.133.22.7..1 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.133.22.7. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun cancelLockStatus_2.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.8 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.25 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.85 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.6 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.6 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.5 () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3. () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.29 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.4 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..6 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.7 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.1 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1..0 () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8. () Int)
(declare-fun inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..2 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11. () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..4 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.4 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun lockStatus_0.14 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.141.23.12..1 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.141.23.12. () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.17 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.6 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.2 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..5 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9. () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun cancelLockStatus_1.3 () Int)
(declare-fun irpCompleted_3.4 () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.3 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.5 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead () Int)
(declare-fun inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.6 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..6 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1. () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0 () Int)
(declare-fun inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..1 () Int)
(declare-fun inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4. () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.5 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.22 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0 () Int)
(declare-fun inline.SerialRead.0..result.SerialStartOrQueue.162.34.15..0 () Int)
(declare-fun inline.SerialRead.0..result.SerialStartOrQueue.162.34.15. () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..5 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.7 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.11 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun k.250 () Int)
(declare-fun k.33 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialStartOrQueue.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialStartOrQueue.0.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun errorReached.7 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.7 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.1 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.4 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.6 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.6 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError.0 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.5 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.48 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.9 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun call79176formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun irpCompleted_2.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..result.userContextSwitch.2077.4.1. () Int)
(declare-fun irpCompleted_1.2 () Int)
(declare-fun k.29 () Int)
(declare-fun irpCompleted_3.2 () Int)
(declare-fun errorReached.4 () Int)
(declare-fun irpCompleted_0.2 () Int)
(declare-fun irpCompleted_4.2 () Int)
(declare-fun irpCompleted_2.3 () Int)
(declare-fun call78858formal.ret.0 () Int)
(declare-fun irpCompleted_1.3 () Int)
(declare-fun k.32 () Int)
(declare-fun irpCompleted_3.3 () Int)
(declare-fun errorReached.6 () Int)
(declare-fun irpCompleted_0.3 () Int)
(declare-fun irpCompleted_4.3 () Int)
(declare-fun k.31 () Int)
(declare-fun call78825formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2 () Int)
(declare-fun call54414formal.ret.0 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.36 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.7 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.174.24.20. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6 () Int)
(declare-fun lockStatus_2.40 () Int)
(declare-fun inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..4 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.53 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun cancelLockStatus_3.51 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.13 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9 () Int)
(declare-fun cancelLockStatus_0.51 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.11 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 () Int)
(declare-fun irpCompleted_0.29 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.9 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.172.8.18. () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..5 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 () Int)
(declare-fun call54379formal.new.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.23 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun irpCompleted_1.29 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp.1 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1 () Int)
(declare-fun inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.13 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialRead.0..extension.3.119.29.SerialRead.5 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.2 () Int)
(declare-fun irpCompleted_2.29 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.165.23.16..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun lockStatus_3.40 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1 () Int)
(declare-fun call78813formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9 () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.8 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.16 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.6 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..4 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.10 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun lockStatus_1.40 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.8 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.10 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.29 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.27 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.17.myNondetVar_0 () Int)
(declare-fun irpCompleted_4.29 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.5 () Int)
(declare-fun inline.SerialRead.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.24..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..4 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.8 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.8 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun cancelLockStatus_4.51 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialStartWrite.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun lockStatus_4.40 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.9 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun cancelLockStatus_2.51 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.7 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.84 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.28 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0 () Int)
(declare-fun inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.8 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun lockStatus_0.40 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.16 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.5 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.7 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.6 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.10 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun cancelLockStatus_1.51 () Int)
(declare-fun irpCompleted_3.29 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..5 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.10 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.21 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.21 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 () Int)
(declare-fun k.249 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.SerialStartOrQueue.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun errorReached.49 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..6 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.2 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.47 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.10 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun cancelLockStatus_2.5 () Int)
(declare-fun cancelLockStatus_3.5 () Int)
(declare-fun cancelLockStatus_1.5 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.8 () Int)
(declare-fun cancelLockStatus_0.5 () Int)
(declare-fun cancelLockStatus_4.5 () Int)
(declare-fun call55056formal.ret.0 () Int)
(declare-fun k.39 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun cancelLockStatus_2.33 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2 () Int)
(declare-fun call71025formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun irpCompleted_0.20 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.6 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.3 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.3 () Int)
(declare-fun cancelLockStatus_3.33 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.8 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.1 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun cancelLockStatus_1.33 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun lockStatus_0.35 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun irpCompleted_1.20 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1 () Int)
(declare-fun call71028formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun call71022formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2 () Int)
(declare-fun lockStatus_2.35 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.6 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2 () Int)
(declare-fun call71019formal.new.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.46 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1 () Int)
(declare-fun cancelLockStatus_0.33 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun lockStatus_4.35 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.9 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.8 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun irpCompleted_3.20 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun cancelLockStatus_4.33 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun lockStatus_1.35 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.83 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.20 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun call71031formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun irpCompleted_4.20 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun call71034formal.new.0 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.15 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..2 () Int)
(declare-fun irpCompleted_2.20 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.7 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun lockStatus_3.35 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun k.182 () Int)
(declare-fun call71066formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun lockStatus_3.29 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun cancelLockStatus_4.28 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun cancelLockStatus_0.28 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.11 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun call75691formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.3 () Int)
(declare-fun lockStatus_2.29 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..0 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun cancelLockStatus_1.28 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.44 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.18 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.17 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.2 () Int)
(declare-fun cancelLockStatus_3.28 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.11 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun k.159 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0 () Int)
(declare-fun call73915formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.75 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun call73808formal.ret.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.6 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun call77385formal.ret.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun lockStatus_4.29 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun lockStatus_1.29 () Int)
(declare-fun cancelLockStatus_2.28 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun lockStatus_0.29 () Int)
(declare-fun lockStatus_3.25 () Int)
(declare-fun lockStatus_1.25 () Int)
(declare-fun lockStatus_2.25 () Int)
(declare-fun lockStatus_0.25 () Int)
(declare-fun lockStatus_4.25 () Int)
(declare-fun k.157 () Int)
(declare-fun lockStatus_3.28 () Int)
(declare-fun lockStatus_1.28 () Int)
(declare-fun lockStatus_2.28 () Int)
(declare-fun lockStatus_0.28 () Int)
(declare-fun lockStatus_4.28 () Int)
(declare-fun k.158 () Int)
(declare-fun call77501formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.73 () Int)
(declare-fun cancelLockStatus_1.26 () Int)
(declare-fun cancelLockStatus_0.26 () Int)
(declare-fun cancelLockStatus_2.26 () Int)
(declare-fun cancelLockStatus_4.26 () Int)
(declare-fun cancelLockStatus_3.26 () Int)
(declare-fun k.155 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.38 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.39 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.40 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.42 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.41 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.43 () Int)
(declare-fun k.154 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.71 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.67 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.10 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.8 () Int)
(declare-fun k.152 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.31 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.1 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.2 () Int)
(declare-fun call77339formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.70 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.37 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.9 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.1 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.2 () Int)
(declare-fun k.153 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun call77289formal.new.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.1 () Int)
(declare-fun call77265formal.a0.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.68 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.69 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.35 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.33 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.34 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.36 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.32 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.59 () Int)
(declare-fun k.147 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.24 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.2 () Int)
(declare-fun call76934formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.30 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.1 () Int)
(declare-fun call76884formal.new.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.7 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.66 () Int)
(declare-fun k.148 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.65 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.28 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.29 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.27 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.26 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.25 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun call73745formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.3 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun lockStatus_3.34 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun cancelLockStatus_4.32 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun irpCompleted_3.19 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun call72111formal.new.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.6 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1 () Int)
(declare-fun cancelLockStatus_0.32 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun call72142formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.14 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..0 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0 () Int)
(declare-fun irpCompleted_0.19 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1 () Int)
(declare-fun lockStatus_2.34 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun cancelLockStatus_1.32 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun irpCompleted_2.19 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.45 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.6 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.19 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun cancelLockStatus_3.32 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..2 () Int)
(declare-fun irpCompleted_4.19 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.2 () Int)
(declare-fun irpCompleted_1.19 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun k.181 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun call72622formal.ret.0 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.82 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.8 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.7 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun lockStatus_4.34 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun lockStatus_1.34 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun cancelLockStatus_2.32 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun lockStatus_0.34 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0 () Int)
(declare-fun k.177 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun k.180 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_2.18 () Int)
(declare-fun irpCompleted_0.18 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun irpCompleted_4.18 () Int)
(declare-fun call72722formal.new.0 () Int)
(declare-fun irpCompleted_3.18 () Int)
(declare-fun irpCompleted_1.18 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun call73073formal.ret.0 () Int)
(declare-fun irpCompleted_2.17 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun call72755formal.ret.0 () Int)
(declare-fun k.179 () Int)
(declare-fun irpCompleted_3.17 () Int)
(declare-fun irpCompleted_1.17 () Int)
(declare-fun irpCompleted_0.17 () Int)
(declare-fun irpCompleted_4.17 () Int)
(declare-fun k.178 () Int)
(declare-fun cancelLockStatus_1.31 () Int)
(declare-fun cancelLockStatus_0.31 () Int)
(declare-fun cancelLockStatus_2.31 () Int)
(declare-fun cancelLockStatus_4.31 () Int)
(declare-fun cancelLockStatus_3.31 () Int)
(declare-fun k.176 () Int)
(declare-fun k.175 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun k.174 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun call73678formal.ret.0 () Int)
(declare-fun k.173 () Int)
(declare-fun k.172 () Int)
(declare-fun k.170 () Int)
(declare-fun k.171 () Int)
(declare-fun call73587formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun k.169 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.0 () Int)
(declare-fun k.168 () Int)
(declare-fun k.166 () Int)
(declare-fun k.167 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun k.165 () Int)
(declare-fun cancelLockStatus_1.30 () Int)
(declare-fun cancelLockStatus_0.30 () Int)
(declare-fun cancelLockStatus_2.30 () Int)
(declare-fun cancelLockStatus_4.30 () Int)
(declare-fun cancelLockStatus_3.30 () Int)
(declare-fun k.164 () Int)
(declare-fun call76446formal.ret.0 () Int)
(declare-fun lockStatus_3.27 () Int)
(declare-fun cancelLockStatus_3.27 () Int)
(declare-fun cancelLockStatus_4.27 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.64 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.6 () Int)
(declare-fun lockStatus_2.27 () Int)
(declare-fun cancelLockStatus_1.27 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun k.151 () Int)
(declare-fun cancelLockStatus_0.27 () Int)
(declare-fun lockStatus_4.27 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun cancelLockStatus_2.27 () Int)
(declare-fun lockStatus_1.27 () Int)
(declare-fun lockStatus_0.27 () Int)
(declare-fun k.149 () Int)
(declare-fun lockStatus_1.26 () Int)
(declare-fun lockStatus_2.26 () Int)
(declare-fun lockStatus_0.26 () Int)
(declare-fun k.150 () Int)
(declare-fun lockStatus_3.26 () Int)
(declare-fun lockStatus_4.26 () Int)
(declare-fun call76562formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.62 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.60 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun k.145 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.23 () Int)
(declare-fun k.146 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.20 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.22 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.21 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.19 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.18 () Int)
(declare-fun call75992formal.ret.0 () Int)
(declare-fun lockStatus_3.33 () Int)
(declare-fun cancelLockStatus_3.29 () Int)
(declare-fun cancelLockStatus_4.29 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.81 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.13 () Int)
(declare-fun lockStatus_2.33 () Int)
(declare-fun cancelLockStatus_1.29 () Int)
(declare-fun k.163 () Int)
(declare-fun cancelLockStatus_0.29 () Int)
(declare-fun lockStatus_4.33 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun cancelLockStatus_2.29 () Int)
(declare-fun lockStatus_1.33 () Int)
(declare-fun lockStatus_0.33 () Int)
(declare-fun k.156 () Int)
(declare-fun lockStatus_1.32 () Int)
(declare-fun lockStatus_2.32 () Int)
(declare-fun lockStatus_0.32 () Int)
(declare-fun k.162 () Int)
(declare-fun call76108formal.ret.0 () Int)
(declare-fun lockStatus_3.32 () Int)
(declare-fun lockStatus_4.32 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.79 () Int)
(declare-fun k.144 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.15 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.14 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.16 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.12 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.13 () Int)
(declare-fun k.143 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.53 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.51 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.52 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.6 () Int)
(declare-fun lockStatus_3.31 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.78 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.12 () Int)
(declare-fun lockStatus_2.31 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun k.161 () Int)
(declare-fun lockStatus_4.31 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun lockStatus_1.31 () Int)
(declare-fun lockStatus_0.31 () Int)
(declare-fun lockStatus_1.30 () Int)
(declare-fun call75425formal.ret.0 () Int)
(declare-fun lockStatus_0.30 () Int)
(declare-fun lockStatus_2.30 () Int)
(declare-fun lockStatus_3.30 () Int)
(declare-fun lockStatus_4.30 () Int)
(declare-fun k.160 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.76 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.55 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.50 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.54 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.49 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 () Int)
(declare-fun k.57 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.17 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 () Int)
(declare-fun k.142 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.19 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.14 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.13 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.16 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.12 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.15 () Int)
(declare-fun k.58 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.10 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.9 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun k.59 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.6 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.23 () Int)
(declare-fun lockStatus_2.23 () Int)
(declare-fun lockStatus_0.23 () Int)
(declare-fun k.55 () Int)
(declare-fun lockStatus_3.23 () Int)
(declare-fun lockStatus_4.23 () Int)
(declare-fun lockStatus_1.24 () Int)
(declare-fun lockStatus_2.24 () Int)
(declare-fun lockStatus_0.24 () Int)
(declare-fun k.56 () Int)
(declare-fun lockStatus_3.24 () Int)
(declare-fun lockStatus_4.24 () Int)
(declare-fun call74531formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.48 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.47 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.45 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.46 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.28 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.30 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.29 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.27 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.26 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.25 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.23 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.21 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.40 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.42 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.44 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.41 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.39 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.38 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.33 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.37 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.43 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.36 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.35 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.34 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.32 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.31 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.22 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.19 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.18 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.17 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.4 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.13 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.11 () Int)
(declare-fun lockStatus_1.21 () Int)
(declare-fun lockStatus_2.21 () Int)
(declare-fun lockStatus_0.21 () Int)
(declare-fun k.53 () Int)
(declare-fun lockStatus_3.21 () Int)
(declare-fun lockStatus_4.21 () Int)
(declare-fun lockStatus_1.22 () Int)
(declare-fun lockStatus_2.22 () Int)
(declare-fun lockStatus_0.22 () Int)
(declare-fun k.54 () Int)
(declare-fun call74210formal.ret.0 () Int)
(declare-fun lockStatus_3.22 () Int)
(declare-fun lockStatus_4.22 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.8 () Int)
(declare-fun k.45 () Int)
(declare-fun lockStatus_1.20 () Int)
(declare-fun lockStatus_2.20 () Int)
(declare-fun lockStatus_0.20 () Int)
(declare-fun k.52 () Int)
(declare-fun lockStatus_3.20 () Int)
(declare-fun call74040formal.ret.0 () Int)
(declare-fun lockStatus_4.20 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.0 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.0 () Int)
(declare-fun call73992formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.0 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call73885formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.10 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.9 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.8 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.7 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.6 () Int)
(declare-fun k.44 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.5 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.13 () Int)
(declare-fun call71367formal.new.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun lockStatus_3.19 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun lockStatus_2.19 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun k.51 () Int)
(declare-fun call71370formal.new.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun lockStatus_4.19 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun lockStatus_1.19 () Int)
(declare-fun lockStatus_0.19 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun lockStatus_1.18 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.6 () Int)
(declare-fun lockStatus_2.18 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun lockStatus_0.18 () Int)
(declare-fun k.50 () Int)
(declare-fun lockStatus_3.18 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.12 () Int)
(declare-fun lockStatus_4.18 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.3 () Int)
(declare-fun lockStatus_2.16 () Int)
(declare-fun lockStatus_1.16 () Int)
(declare-fun lockStatus_3.16 () Int)
(declare-fun lockStatus_0.16 () Int)
(declare-fun lockStatus_4.16 () Int)
(declare-fun k.48 () Int)
(declare-fun lockStatus_2.17 () Int)
(declare-fun lockStatus_1.17 () Int)
(declare-fun lockStatus_3.17 () Int)
(declare-fun lockStatus_0.17 () Int)
(declare-fun call71971formal.ret.0 () Int)
(declare-fun lockStatus_4.17 () Int)
(declare-fun k.49 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.5 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.1 () Int)
(declare-fun k.46 () Int)
(declare-fun lockStatus_2.15 () Int)
(declare-fun lockStatus_1.15 () Int)
(declare-fun call71606formal.ret.0 () Int)
(declare-fun lockStatus_0.15 () Int)
(declare-fun lockStatus_3.15 () Int)
(declare-fun lockStatus_4.15 () Int)
(declare-fun k.47 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.4 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.3 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.4 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.3 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.9 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun cancelLockStatus_2.50 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.7 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..0 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun irpCompleted_0.28 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun call65233formal.ret.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun call55164formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun errorReached.48 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.22 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.5 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun call55170formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun cancelLockStatus_3.50 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..1 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.6 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3 () Int)
(declare-fun cancelLockStatus_1.50 () Int)
(declare-fun lockStatus_0.39 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun irpCompleted_1.28 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.26 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.25 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.20 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.12 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.28 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun lockStatus_2.39 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.52 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.3 () Int)
(declare-fun call55167formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun cancelLockStatus_0.50 () Int)
(declare-fun call55210formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun lockStatus_4.39 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.27 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.10 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun call55173formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.6 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun irpCompleted_3.28 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun call69802formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.8 () Int)
(declare-fun cancelLockStatus_4.50 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun lockStatus_1.39 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.35 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.7 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.9 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1 () Int)
(declare-fun irpCompleted_4.28 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.9 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.8 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.6 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun irpCompleted_2.28 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..0 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun lockStatus_3.39 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun k.248 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun cancelLockStatus_4.49 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.0 () Int)
(declare-fun cancelLockStatus_0.49 () Int)
(declare-fun irpCompleted_0.24 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.38 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.34 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.3 () Int)
(declare-fun cancelLockStatus_1.49 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.6 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun cancelLockStatus_3.49 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun irpCompleted_2.24 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.44 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun errorReached.39 () Int)
(declare-fun irpCompleted_4.24 () Int)
(declare-fun irpCompleted_1.24 () Int)
(declare-fun k.247 () Int)
(declare-fun irpCompleted_3.24 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.4 () Int)
(declare-fun call70329formal.ret.0 () Int)
(declare-fun call70909formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun cancelLockStatus_2.49 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.51 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.4 () Int)
(declare-fun cancelLockStatus_1.37 () Int)
(declare-fun cancelLockStatus_0.37 () Int)
(declare-fun cancelLockStatus_2.37 () Int)
(declare-fun cancelLockStatus_4.37 () Int)
(declare-fun cancelLockStatus_3.37 () Int)
(declare-fun k.246 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.2 () Int)
(declare-fun k.244 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.32 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.29 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.6 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.3 () Int)
(declare-fun call70672formal.ret.0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.50 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.4 () Int)
(declare-fun k.245 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.31 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.3 () Int)
(declare-fun call70622formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.30 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.48 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.46 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.49 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.45 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.47 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.28 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.42 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.41 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.40 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.39 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.43 () Int)
(declare-fun k.243 () Int)
(declare-fun k.204 () Int)
(declare-fun k.203 () Int)
(declare-fun k.201 () Int)
(declare-fun errorReached.38 () Int)
(declare-fun k.202 () Int)
(declare-fun call70238formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun k.200 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.32 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.35 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.36 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.33 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.37 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.34 () Int)
(declare-fun k.199 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.31 () Int)
(declare-fun k.198 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.27 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.30 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.29 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.26 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.28 () Int)
(declare-fun k.197 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.4 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun cancelLockStatus_4.48 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun call65660formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun cancelLockStatus_0.48 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun irpCompleted_0.27 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun call66852formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun call68168formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.27 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.25 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun cancelLockStatus_1.48 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.5 () Int)
(declare-fun call66372formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun cancelLockStatus_3.48 () Int)
(declare-fun irpCompleted_2.27 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.2 () Int)
(declare-fun call66341formal.new.0 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun errorReached.47 () Int)
(declare-fun irpCompleted_4.27 () Int)
(declare-fun call65666formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun irpCompleted_1.27 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.0 () Int)
(declare-fun k.242 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun call65534formal.ret.0 () Int)
(declare-fun irpCompleted_3.27 () Int)
(declare-fun call65657formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun cancelLockStatus_2.48 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.19 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.5 () Int)
(declare-fun call65663formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.18 () Int)
(declare-fun cancelLockStatus_4.47 () Int)
(declare-fun cancelLockStatus_3.47 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun cancelLockStatus_1.47 () Int)
(declare-fun call68380formal.ret.0 () Int)
(declare-fun k.241 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun cancelLockStatus_0.47 () Int)
(declare-fun cancelLockStatus_2.47 () Int)
(declare-fun call68187formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.18 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.6 () Int)
(declare-fun cancelLockStatus_1.46 () Int)
(declare-fun cancelLockStatus_0.46 () Int)
(declare-fun cancelLockStatus_2.46 () Int)
(declare-fun cancelLockStatus_4.46 () Int)
(declare-fun cancelLockStatus_3.46 () Int)
(declare-fun k.240 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_1.45 () Int)
(declare-fun cancelLockStatus_0.45 () Int)
(declare-fun cancelLockStatus_2.45 () Int)
(declare-fun cancelLockStatus_4.45 () Int)
(declare-fun cancelLockStatus_3.45 () Int)
(declare-fun k.238 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.24 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.16 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun k.239 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.21 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.20 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.19 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.23 () Int)
(declare-fun errorReached.44 () Int)
(declare-fun k.234 () Int)
(declare-fun errorReached.46 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_2.26 () Int)
(declare-fun call66952formal.new.0 () Int)
(declare-fun irpCompleted_0.26 () Int)
(declare-fun irpCompleted_4.26 () Int)
(declare-fun irpCompleted_3.26 () Int)
(declare-fun k.237 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun irpCompleted_1.26 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call67303formal.ret.0 () Int)
(declare-fun irpCompleted_2.25 () Int)
(declare-fun errorReached.45 () Int)
(declare-fun k.236 () Int)
(declare-fun irpCompleted_3.25 () Int)
(declare-fun irpCompleted_1.25 () Int)
(declare-fun irpCompleted_0.25 () Int)
(declare-fun call66985formal.ret.0 () Int)
(declare-fun irpCompleted_4.25 () Int)
(declare-fun k.235 () Int)
(declare-fun cancelLockStatus_1.44 () Int)
(declare-fun cancelLockStatus_0.44 () Int)
(declare-fun cancelLockStatus_2.44 () Int)
(declare-fun cancelLockStatus_4.44 () Int)
(declare-fun cancelLockStatus_3.44 () Int)
(declare-fun k.233 () Int)
(declare-fun k.232 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun call67908formal.ret.0 () Int)
(declare-fun errorReached.43 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.5 () Int)
(declare-fun k.231 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.1 () Int)
(declare-fun k.230 () Int)
(declare-fun k.229 () Int)
(declare-fun k.227 () Int)
(declare-fun errorReached.42 () Int)
(declare-fun k.228 () Int)
(declare-fun call67817formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.226 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.1 () Int)
(declare-fun k.225 () Int)
(declare-fun k.223 () Int)
(declare-fun k.224 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun k.222 () Int)
(declare-fun cancelLockStatus_1.43 () Int)
(declare-fun cancelLockStatus_0.43 () Int)
(declare-fun cancelLockStatus_2.43 () Int)
(declare-fun cancelLockStatus_4.43 () Int)
(declare-fun cancelLockStatus_3.43 () Int)
(declare-fun k.221 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.17 () Int)
(declare-fun k.209 () Int)
(declare-fun cancelLockStatus_4.38 () Int)
(declare-fun cancelLockStatus_0.38 () Int)
(declare-fun cancelLockStatus_1.38 () Int)
(declare-fun cancelLockStatus_2.38 () Int)
(declare-fun cancelLockStatus_3.38 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun k.220 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun errorReached.41 () Int)
(declare-fun cancelLockStatus_4.42 () Int)
(declare-fun cancelLockStatus_0.42 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.2 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun cancelLockStatus_1.42 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun cancelLockStatus_2.42 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun call68849formal.ret.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun cancelLockStatus_3.42 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun call68487formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.15 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_1.40 () Int)
(declare-fun cancelLockStatus_0.40 () Int)
(declare-fun cancelLockStatus_2.40 () Int)
(declare-fun cancelLockStatus_4.40 () Int)
(declare-fun cancelLockStatus_3.40 () Int)
(declare-fun k.219 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun k.218 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun call69244formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun errorReached.40 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.2 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.1 () Int)
(declare-fun call69607formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.3 () Int)
(declare-fun call69557formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.13 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.5 () Int)
(declare-fun k.217 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.7 () Int)
(declare-fun k.216 () Int)
(declare-fun k.215 () Int)
(declare-fun k.213 () Int)
(declare-fun k.214 () Int)
(declare-fun call69153formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.212 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun k.211 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.13 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.15 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.12 () Int)
(declare-fun k.206 () Int)
(declare-fun call65984formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.0 () Int)
(declare-fun k.210 () Int)
(declare-fun call66245formal.ret.0 () Int)
(declare-fun cancelLockStatus_4.41 () Int)
(declare-fun cancelLockStatus_0.41 () Int)
(declare-fun cancelLockStatus_1.41 () Int)
(declare-fun cancelLockStatus_2.41 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.0 () Int)
(declare-fun cancelLockStatus_3.41 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.1 () Int)
(declare-fun cancelLockStatus_1.39 () Int)
(declare-fun cancelLockStatus_0.39 () Int)
(declare-fun cancelLockStatus_2.39 () Int)
(declare-fun cancelLockStatus_4.39 () Int)
(declare-fun cancelLockStatus_3.39 () Int)
(declare-fun k.208 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.10 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.6 () Int)
(declare-fun k.207 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.4 () Int)
(declare-fun k.205 () Int)
(declare-fun call65700formal.new.0 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.1 () Int)
(declare-fun cancelLockStatus_1.36 () Int)
(declare-fun cancelLockStatus_0.36 () Int)
(declare-fun cancelLockStatus_2.36 () Int)
(declare-fun cancelLockStatus_4.36 () Int)
(declare-fun cancelLockStatus_3.36 () Int)
(declare-fun k.196 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.19 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.23 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.24 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.22 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.21 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.20 () Int)
(declare-fun k.195 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.12 () Int)
(declare-fun k.193 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.26 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.18 () Int)
(declare-fun k.194 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.25 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.22 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.23 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.16 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.17 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.15 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.14 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.13 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.19 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.18 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.21 () Int)
(declare-fun lockStatus_3.37 () Int)
(declare-fun lockStatus_1.37 () Int)
(declare-fun k.191 () Int)
(declare-fun lockStatus_0.37 () Int)
(declare-fun lockStatus_2.37 () Int)
(declare-fun lockStatus_4.37 () Int)
(declare-fun call64802formal.ret.0 () Int)
(declare-fun lockStatus_3.38 () Int)
(declare-fun lockStatus_1.38 () Int)
(declare-fun k.192 () Int)
(declare-fun lockStatus_0.38 () Int)
(declare-fun lockStatus_2.38 () Int)
(declare-fun lockStatus_4.38 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.15 () Int)
(declare-fun k.189 () Int)
(declare-fun lockStatus_3.36 () Int)
(declare-fun lockStatus_1.36 () Int)
(declare-fun k.190 () Int)
(declare-fun lockStatus_0.36 () Int)
(declare-fun lockStatus_2.36 () Int)
(declare-fun lockStatus_4.36 () Int)
(declare-fun call64632formal.ret.0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.2 () Int)
(declare-fun cancelLockStatus_4.8 () Int)
(declare-fun cancelLockStatus_0.8 () Int)
(declare-fun call55460formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.8 () Int)
(declare-fun cancelLockStatus_3.8 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.1 () Int)
(declare-fun k.43 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.3 () Int)
(declare-fun cancelLockStatus_2.8 () Int)
(declare-fun cancelLockStatus_1.6 () Int)
(declare-fun cancelLockStatus_0.6 () Int)
(declare-fun cancelLockStatus_2.6 () Int)
(declare-fun cancelLockStatus_4.6 () Int)
(declare-fun cancelLockStatus_3.6 () Int)
(declare-fun k.40 () Int)
(declare-fun cancelLockStatus_4.7 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.5 () Int)
(declare-fun cancelLockStatus_0.7 () Int)
(declare-fun cancelLockStatus_1.7 () Int)
(declare-fun cancelLockStatus_3.7 () Int)
(declare-fun k.42 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun call55692formal.ret.0 () Int)
(declare-fun cancelLockStatus_2.7 () Int)
(declare-fun k.41 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun cancelLockStatus_4.35 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun irpCompleted_3.23 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.21 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.5 () Int)
(declare-fun cancelLockStatus_0.35 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun irpCompleted_0.23 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.11 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun irpCompleted_2.23 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun cancelLockStatus_1.35 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.8 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun cancelLockStatus_3.35 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun irpCompleted_1.23 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.10 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.2 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun errorReached.37 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun irpCompleted_4.23 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun k.188 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun call56006formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0 () Int)
(declare-fun cancelLockStatus_2.35 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.26 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.27 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.0 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.0 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0 () Int)
(declare-fun cancelLockStatus_4.34 () Int)
(declare-fun irpCompleted_3.22 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.5 () Int)
(declare-fun call64150formal.ret.0 () Int)
(declare-fun cancelLockStatus_0.34 () Int)
(declare-fun irpCompleted_0.22 () Int)
(declare-fun cancelLockStatus_1.34 () Int)
(declare-fun irpCompleted_2.22 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 () Int)
(declare-fun cancelLockStatus_3.34 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.1 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun irpCompleted_4.22 () Int)
(declare-fun irpCompleted_1.22 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..0 () Int)
(declare-fun k.187 () Int)
(declare-fun call64228formal.new.0 () Int)
(declare-fun cancelLockStatus_2.34 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call64579formal.ret.0 () Int)
(declare-fun k.184 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun irpCompleted_1.21 () Int)
(declare-fun irpCompleted_2.21 () Int)
(declare-fun k.186 () Int)
(declare-fun irpCompleted_3.21 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun irpCompleted_0.21 () Int)
(declare-fun call64261formal.ret.0 () Int)
(declare-fun irpCompleted_4.21 () Int)
(declare-fun k.185 () Int)
(declare-fun k.183 () Int)
(declare-fun k.85 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 () Int)
(declare-fun k.83 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun cancelLockStatus_4.25 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun irpCompleted_3.16 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_0.25 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun irpCompleted_0.16 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.20 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun cancelLockStatus_1.25 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun irpCompleted_2.16 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun cancelLockStatus_3.25 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun irpCompleted_4.16 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun irpCompleted_1.16 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun k.141 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun cancelLockStatus_2.25 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.7 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun call58051formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.26 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun cancelLockStatus_4.11 () Int)
(declare-fun cancelLockStatus_0.11 () Int)
(declare-fun cancelLockStatus_1.11 () Int)
(declare-fun cancelLockStatus_3.11 () Int)
(declare-fun k.86 () Int)
(declare-fun cancelLockStatus_2.11 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun cancelLockStatus_4.17 () Int)
(declare-fun irpCompleted_3.12 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun cancelLockStatus_0.17 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun call62906formal.ret.0 () Int)
(declare-fun irpCompleted_0.12 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun cancelLockStatus_1.17 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun irpCompleted_2.12 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun cancelLockStatus_3.17 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.2 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun irpCompleted_4.12 () Int)
(declare-fun call62395formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun irpCompleted_1.12 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun call62426formal.ret.0 () Int)
(declare-fun k.124 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.6 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun cancelLockStatus_2.17 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun errorReached.16 () Int)
(declare-fun k.106 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun irpCompleted_2.11 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun irpCompleted_0.11 () Int)
(declare-fun irpCompleted_4.11 () Int)
(declare-fun irpCompleted_3.11 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun k.123 () Int)
(declare-fun irpCompleted_1.11 () Int)
(declare-fun call63006formal.new.0 () Int)
(declare-fun call63357formal.ret.0 () Int)
(declare-fun irpCompleted_2.10 () Int)
(declare-fun k.108 () Int)
(declare-fun irpCompleted_1.10 () Int)
(declare-fun call63039formal.ret.0 () Int)
(declare-fun irpCompleted_3.10 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun irpCompleted_0.10 () Int)
(declare-fun irpCompleted_4.10 () Int)
(declare-fun k.107 () Int)
(declare-fun cancelLockStatus_1.12 () Int)
(declare-fun cancelLockStatus_0.12 () Int)
(declare-fun cancelLockStatus_2.12 () Int)
(declare-fun cancelLockStatus_4.12 () Int)
(declare-fun cancelLockStatus_3.12 () Int)
(declare-fun k.105 () Int)
(declare-fun k.104 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.1 () Int)
(declare-fun call63962formal.ret.0 () Int)
(declare-fun k.102 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun k.101 () Int)
(declare-fun k.100 () Int)
(declare-fun k.98 () Int)
(declare-fun k.99 () Int)
(declare-fun call63871formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun k.97 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.0 () Int)
(declare-fun k.91 () Int)
(declare-fun k.89 () Int)
(declare-fun k.90 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun k.88 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun call58890formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.5 () Int)
(declare-fun call58178formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun cancelLockStatus_4.24 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun irpCompleted_3.15 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.4 () Int)
(declare-fun cancelLockStatus_0.24 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun irpCompleted_0.15 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.19 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun cancelLockStatus_1.24 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun call60686formal.new.0 () Int)
(declare-fun call58175formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun irpCompleted_2.15 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.6 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun cancelLockStatus_3.24 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.4 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun call58184formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun call59370formal.ret.0 () Int)
(declare-fun call58181formal.new.0 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun errorReached.27 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.25 () Int)
(declare-fun irpCompleted_4.15 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun irpCompleted_1.15 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun k.140 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun cancelLockStatus_2.24 () Int)
(declare-fun call58859formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.6 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun cancelLockStatus_4.23 () Int)
(declare-fun cancelLockStatus_3.23 () Int)
(declare-fun cancelLockStatus_1.23 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.18 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.6 () Int)
(declare-fun k.139 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun cancelLockStatus_0.23 () Int)
(declare-fun cancelLockStatus_2.23 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun call60898formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.18 () Int)
(declare-fun call60705formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.22 () Int)
(declare-fun cancelLockStatus_0.22 () Int)
(declare-fun cancelLockStatus_2.22 () Int)
(declare-fun cancelLockStatus_4.22 () Int)
(declare-fun cancelLockStatus_3.22 () Int)
(declare-fun k.138 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun cancelLockStatus_1.21 () Int)
(declare-fun cancelLockStatus_0.21 () Int)
(declare-fun cancelLockStatus_2.21 () Int)
(declare-fun cancelLockStatus_4.21 () Int)
(declare-fun cancelLockStatus_3.21 () Int)
(declare-fun k.136 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.24 () Int)
(declare-fun k.137 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.23 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.20 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.21 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.19 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun k.132 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_1.14 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun irpCompleted_2.14 () Int)
(declare-fun irpCompleted_0.14 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_4.14 () Int)
(declare-fun irpCompleted_3.14 () Int)
(declare-fun call59470formal.new.0 () Int)
(declare-fun k.135 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun call59821formal.ret.0 () Int)
(declare-fun irpCompleted_1.13 () Int)
(declare-fun irpCompleted_2.13 () Int)
(declare-fun call59503formal.ret.0 () Int)
(declare-fun k.134 () Int)
(declare-fun irpCompleted_3.13 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun irpCompleted_0.13 () Int)
(declare-fun irpCompleted_4.13 () Int)
(declare-fun k.133 () Int)
(declare-fun cancelLockStatus_1.20 () Int)
(declare-fun cancelLockStatus_0.20 () Int)
(declare-fun cancelLockStatus_2.20 () Int)
(declare-fun cancelLockStatus_4.20 () Int)
(declare-fun cancelLockStatus_3.20 () Int)
(declare-fun k.131 () Int)
(declare-fun k.130 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.1 () Int)
(declare-fun call60426formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun k.129 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun k.128 () Int)
(declare-fun k.127 () Int)
(declare-fun k.125 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun call60335formal.ret.0 () Int)
(declare-fun k.126 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.122 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.0 () Int)
(declare-fun k.121 () Int)
(declare-fun k.119 () Int)
(declare-fun k.120 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun k.118 () Int)
(declare-fun cancelLockStatus_1.19 () Int)
(declare-fun cancelLockStatus_0.19 () Int)
(declare-fun cancelLockStatus_2.19 () Int)
(declare-fun cancelLockStatus_4.19 () Int)
(declare-fun cancelLockStatus_3.19 () Int)
(declare-fun k.117 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.16 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun k.94 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun k.116 () Int)
(declare-fun cancelLockStatus_4.18 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.3 () Int)
(declare-fun cancelLockStatus_0.18 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun cancelLockStatus_1.18 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun call61367formal.ret.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun call61005formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun errorReached.19 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun cancelLockStatus_3.18 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_2.18 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun cancelLockStatus_1.14 () Int)
(declare-fun cancelLockStatus_0.14 () Int)
(declare-fun cancelLockStatus_2.14 () Int)
(declare-fun cancelLockStatus_4.14 () Int)
(declare-fun cancelLockStatus_3.14 () Int)
(declare-fun k.115 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.2 () Int)
(declare-fun k.114 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun call61762formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.3 () Int)
(declare-fun call62125formal.ret.0 () Int)
(declare-fun call62075formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.13 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun k.113 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.7 () Int)
(declare-fun k.112 () Int)
(declare-fun k.111 () Int)
(declare-fun k.109 () Int)
(declare-fun call61671formal.ret.0 () Int)
(declare-fun k.110 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun k.96 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun k.95 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.15 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.13 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.12 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.11 () Int)
(declare-fun k.87 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.17 () Int)
(declare-fun call58763formal.ret.0 () Int)
(declare-fun k.103 () Int)
(declare-fun cancelLockStatus_4.16 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.0 () Int)
(declare-fun cancelLockStatus_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_1.16 () Int)
(declare-fun call58502formal.ret.0 () Int)
(declare-fun cancelLockStatus_3.16 () Int)
(declare-fun cancelLockStatus_2.16 () Int)
(declare-fun cancelLockStatus_1.13 () Int)
(declare-fun cancelLockStatus_0.13 () Int)
(declare-fun cancelLockStatus_2.13 () Int)
(declare-fun cancelLockStatus_4.13 () Int)
(declare-fun cancelLockStatus_3.13 () Int)
(declare-fun k.93 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.10 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.9 () Int)
(declare-fun k.92 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.0 () Int)
(declare-fun call58218formal.new.0 () Int)
(declare-fun cancelLockStatus_4.15 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.6 () Int)
(declare-fun cancelLockStatus_0.15 () Int)
(declare-fun cancelLockStatus_1.15 () Int)
(declare-fun cancelLockStatus_3.15 () Int)
(declare-fun call57937formal.ret.0 () Int)
(declare-fun k.84 () Int)
(declare-fun cancelLockStatus_2.15 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.9 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.7 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.10 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.6 () Int)
(declare-fun k.82 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.19 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.7 () Int)
(declare-fun k.80 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.3 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun call57412formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.25 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun k.81 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.24 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.23 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.21 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.20 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.22 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.0 () Int)
(declare-fun call57493formal.ret.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.12 () Int)
(declare-fun k.78 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.1 () Int)
(declare-fun call57082formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.2 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.18 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun k.79 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.15 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.14 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.17 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.16 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.13 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.0 () Int)
(declare-fun call57163formal.ret.0 () Int)
(declare-fun k.70 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.11 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun call57048formal.ret.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.5 () Int)
(declare-fun k.77 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun k.76 () Int)
(declare-fun k.75 () Int)
(declare-fun k.73 () Int)
(declare-fun k.74 () Int)
(declare-fun call56957formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.72 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.9 () Int)
(declare-fun k.71 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.0 () Int)
(declare-fun k.69 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.9 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.8 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.7 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.6 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.10 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.3 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.4 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.2 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.1 () Int)
(declare-fun call55197formal.new.0 () Int)
(declare-fun cancelLockStatus_1.4 () Int)
(declare-fun cancelLockStatus_0.4 () Int)
(declare-fun cancelLockStatus_2.4 () Int)
(declare-fun cancelLockStatus_4.4 () Int)
(declare-fun cancelLockStatus_3.4 () Int)
(declare-fun k.38 () Int)
(declare-fun k.36 () Int)
(declare-fun cancelLockStatus_2.9 () Int)
(declare-fun call78578formal.ret.0 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun cancelLockStatus_3.9 () Int)
(declare-fun call78563formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.10 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun cancelLockStatus_0.9 () Int)
(declare-fun cancelLockStatus_4.9 () Int)
(declare-fun k.65 () Int)
(declare-fun k.64 () Int)
(declare-fun k.63 () Int)
(declare-fun k.62 () Int)
(declare-fun k.37 () Int)
(declare-fun k.61 () Int)
(declare-fun call78472formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun cancelLockStatus_2.10 () Int)
(declare-fun irpCompleted_0.9 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun cancelLockStatus_3.10 () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun cancelLockStatus_1.10 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun irpCompleted_1.9 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.14 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..0 () Int)
(declare-fun call77745formal.ret.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..0 () Int)
(declare-fun cancelLockStatus_0.10 () Int)
(declare-fun irpCompleted_3.9 () Int)
(declare-fun cancelLockStatus_4.10 () Int)
(declare-fun irpCompleted_4.9 () Int)
(declare-fun irpCompleted_2.9 () Int)
(declare-fun call77852formal.new.0 () Int)
(declare-fun k.68 () Int)
(declare-fun call78203formal.ret.0 () Int)
(declare-fun k.60 () Int)
(declare-fun irpCompleted_2.8 () Int)
(declare-fun call77885formal.ret.0 () Int)
(declare-fun irpCompleted_1.8 () Int)
(declare-fun k.67 () Int)
(declare-fun irpCompleted_3.8 () Int)
(declare-fun errorReached.11 () Int)
(declare-fun irpCompleted_0.8 () Int)
(declare-fun irpCompleted_4.8 () Int)
(declare-fun k.66 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.13 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialRead.0..result.SerialRead.90.0.1..0 () Int)
(declare-fun call54284formal.new.0 () Int)
(declare-fun inline.SerialRead.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.141.23.12..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun irpCompleted_2 () Int)
(declare-fun inline.SerialCompleteIfError.0.havoc_stringTemp () Int)
(declare-fun errorReached.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun irpCompleted_4 () Int)
(declare-fun irpCompleted_0 () Int)
(declare-fun inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2. () Int)
(declare-fun inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError () Int)
(declare-fun irpCompleted_3 () Int)
(declare-fun irpCompleted_1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun k.25 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3. () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.6 () Int)
(declare-fun irpCompleted_2.1 () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.0 () Int)
(declare-fun call53905formal.new.0 () Int)
(declare-fun errorReached.3 () Int)
(declare-fun irpCompleted_4.1 () Int)
(declare-fun irpCompleted_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_3.1 () Int)
(declare-fun irpCompleted_1.1 () Int)
(declare-fun k.28 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..0 () Int)
(declare-fun call54256formal.ret.0 () Int)
(declare-fun irpCompleted_1.0 () Int)
(declare-fun irpCompleted_2.0 () Int)
(declare-fun call53938formal.ret.0 () Int)
(declare-fun irpCompleted_3.0 () Int)
(declare-fun errorReached.2 () Int)
(declare-fun irpCompleted_0.0 () Int)
(declare-fun k.27 () Int)
(declare-fun irpCompleted_4.0 () Int)
(declare-fun k.26 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.1 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.3 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.4 () Int)
(declare-fun k.23 () Int)
(declare-fun call53255formal.new.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1 () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun irpCompleted_0.7 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun irpCompleted_1.7 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5..1 () Int)
(declare-fun irpCompleted_2.7 () Int)
(declare-fun call53271formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.137.20.9. () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun irpCompleted_4.7 () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError () Int)
(declare-fun inline.SerialRead.0..result.SerialCompleteIfError.139.29.11. () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.133.22.7..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1. () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun irpCompleted_3.7 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0 () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError () Int)
(declare-fun k.35 () Int)
(declare-fun errorReached.9 () Int)
(declare-fun inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError () Int)
(declare-fun inline.SerialRead.0.havoc_stringTemp.0 () Int)
(declare-fun call51193formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0.1 () Int)
(declare-fun errorReached.8 () Int)
(declare-fun irpCompleted_2.6 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun irpCompleted_0.6 () Int)
(declare-fun irpCompleted_4.6 () Int)
(declare-fun call53275formal.new.0 () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_3.6 () Int)
(declare-fun k.34 () Int)
(declare-fun irpCompleted_1.6 () Int)
(declare-fun inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5..0 () Int)
(declare-fun call53626formal.ret.0 () Int)
(declare-fun call53308formal.ret.0 () Int)
(declare-fun irpCompleted_1.5 () Int)
(declare-fun irpCompleted_2.5 () Int)
(declare-fun k.30 () Int)
(declare-fun irpCompleted_3.5 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun irpCompleted_0.5 () Int)
(declare-fun irpCompleted_4.5 () Int)
(declare-fun k.24 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.1..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.1..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..result.userContextSwitch.4629.4.1. () Int)
(declare-fun lockStatus_4.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2. () Int)
(declare-fun k.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1. () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun cancelLockStatus_4 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.1 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun cancelLockStatus_1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..result.userContextSwitch.4629.4.1. () Int)
(declare-fun lockStatus_3.3 () Int)
(declare-fun cancelLockStatus_0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.42 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.11 () Int)
(declare-fun cancelLockStatus_3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.0..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.0..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.7 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun cancelLockStatus_2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1. () Int)
(declare-fun lockStatus_2.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun lockStatus_3.1 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun k.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1. () Int)
(declare-fun lockStatus_2.1 () Int)
(declare-fun lockStatus_4.1 () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun lockStatus_3.2 () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun k.3 () Int)
(declare-fun call53137formal.ret.0 () Int)
(declare-fun lockStatus_2.2 () Int)
(declare-fun lockStatus_4.2 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun lockStatus_4.11 () Int)
(declare-fun k.13 () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun lockStatus_3.11 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.38 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.6 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun lockStatus_2.11 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun lockStatus_3.10 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun k.12 () Int)
(declare-fun call53014formal.ret.0 () Int)
(declare-fun lockStatus_4.10 () Int)
(declare-fun lockStatus_2.10 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.36 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.35 () Int)
(declare-fun call52893formal.ret.0 () Int)
(declare-fun lockStatus_4.13 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun k.22 () Int)
(declare-fun lockStatus_1.13 () Int)
(declare-fun cancelLockStatus_4.2 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.0 () Int)
(declare-fun cancelLockStatus_1.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun lockStatus_3.13 () Int)
(declare-fun cancelLockStatus_0.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.41 () Int)
(declare-fun cancelLockStatus_3.2 () Int)
(declare-fun call52198formal.ret.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.4 () Int)
(declare-fun call52878formal.ret.0 () Int)
(declare-fun lockStatus_0.13 () Int)
(declare-fun cancelLockStatus_2.2 () Int)
(declare-fun lockStatus_2.13 () Int)
(declare-fun errorReached.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun cancelLockStatus_1.0 () Int)
(declare-fun cancelLockStatus_0.0 () Int)
(declare-fun cancelLockStatus_2.0 () Int)
(declare-fun cancelLockStatus_4.0 () Int)
(declare-fun cancelLockStatus_3.0 () Int)
(declare-fun k.21 () Int)
(declare-fun k.20 () Int)
(declare-fun k.19 () Int)
(declare-fun k.17 () Int)
(declare-fun call52787formal.ret.0 () Int)
(declare-fun k.18 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.15 () Int)
(declare-fun inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..1 () Int)
(declare-fun k.16 () Int)
(declare-fun cancelLockStatus_4.1 () Int)
(declare-fun cancelLockStatus_1.1 () Int)
(declare-fun cancelLockStatus_0.1 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.40 () Int)
(declare-fun cancelLockStatus_3.1 () Int)
(declare-fun call52449formal.ret.0 () Int)
(declare-fun cancelLockStatus_2.1 () Int)
(declare-fun k.14 () Int)
(declare-fun lockStatus_2.12 () Int)
(declare-fun lockStatus_1.12 () Int)
(declare-fun k.7 () Int)
(declare-fun lockStatus_0.12 () Int)
(declare-fun lockStatus_3.12 () Int)
(declare-fun lockStatus_4.12 () Int)
(declare-fun call51968formal.ret.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.28 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.27 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.23 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.24 () Int)
(declare-fun lockStatus_4.7 () Int)
(declare-fun k.10 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun lockStatus_3.7 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.33 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.5 () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun lockStatus_2.7 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun lockStatus_3.6 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun k.9 () Int)
(declare-fun lockStatus_2.6 () Int)
(declare-fun call52107formal.ret.0 () Int)
(declare-fun lockStatus_4.6 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.31 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.30 () Int)
(declare-fun lockStatus_4.9 () Int)
(declare-fun k.11 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun lockStatus_3.9 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.34 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.3 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun lockStatus_2.9 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun lockStatus_2.8 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun k.8 () Int)
(declare-fun call51845formal.ret.0 () Int)
(declare-fun lockStatus_4.8 () Int)
(declare-fun lockStatus_3.8 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.25 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.22 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.17 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..0 () Int)
(declare-fun lockStatus_4.5 () Int)
(declare-fun k.6 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun lockStatus_3.5 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.21 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.2 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun lockStatus_2.5 () Int)
(declare-fun lockStatus_2.4 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun k.5 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun lockStatus_3.4 () Int)
(declare-fun lockStatus_4.4 () Int)
(declare-fun call51590formal.ret.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.19 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.18 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.13 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.3 () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun lockStatus_3 () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun lockStatus_2 () Int)
(declare-fun lockStatus_4 () Int)
(declare-fun k.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1. () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun lockStatus_3.0 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun lockStatus_2.0 () Int)
(declare-fun lockStatus_4.0 () Int)
(declare-fun k.1 () Int)
(declare-fun call51353formal.ret.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.0 () Int)
(declare-fun call51248formal.new.0 () Int)
(declare-fun call51251formal.new.0 () Int)
(declare-fun inline.SerialRead.0..extension.3.119.29.SerialRead () Int)
(declare-fun inline.SerialRead.0..extension.3.119.29.SerialRead.4 () Int)
(declare-fun inline.SerialRead.0..extension.3.119.29.SerialRead.3 () Int)
(declare-fun inline.SerialRead.0..extension.3.119.29.SerialRead.2 () Int)
(declare-fun inline.SerialRead.0..extension.3.119.29.SerialRead.1 () Int)
(declare-fun inline.SerialRead.0..extension.3.119.29.SerialRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.myInitDriver.0..Extension.2.11.27.myInitDriver () Int)
(declare-fun inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.Guid_WMIGUIDREGINFO) nameType) (= (type T.InstanceCount_WMIGUIDREGINFO) nameType) (= (type T.Flags_WMIGUIDREGINFO) nameType) (= (type T.OperationID__ACCESS_STATE) nameType) (= (type T.SecurityEvaluated__ACCESS_STATE) nameType) (= (type T.GenerateAudit__ACCESS_STATE) nameType) (= (type T.GenerateOnClose__ACCESS_STATE) nameType) (= (type T.PrivilegesAllocated__ACCESS_STATE) nameType) (= (type T.Flags__ACCESS_STATE) nameType) (= (type T.RemainingDesiredAccess__ACCESS_STATE) nameType) (= (type T.PreviouslyGrantedAccess__ACCESS_STATE) nameType) (= (type T.OriginalDesiredAccess__ACCESS_STATE) nameType) (= (type T.SubjectSecurityContext__ACCESS_STATE) nameType) (= (type T.SecurityDescriptor__ACCESS_STATE) nameType) (= (type T.AuxData__ACCESS_STATE) nameType) (= (type T.Privileges__ACCESS_STATE) nameType) (= (type T.AuditPrivileges__ACCESS_STATE) nameType) (= (type T.ObjectName__ACCESS_STATE) nameType) (= (type T.ObjectTypeName__ACCESS_STATE) nameType) (= (type T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Revision__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_RESOURCE_LIST) nameType) (= (type T.List__CM_RESOURCE_LIST) nameType) (= (type T.Size__DEVICE_CAPABILITIES) nameType) (= (type T.Version__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD1__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD2__DEVICE_CAPABILITIES) nameType) (= (type T.LockSupported__DEVICE_CAPABILITIES) nameType) (= (type T.EjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.Removable__DEVICE_CAPABILITIES) nameType) (= (type T.DockDevice__DEVICE_CAPABILITIES) nameType) (= (type T.UniqueID__DEVICE_CAPABILITIES) nameType) (= (type T.SilentInstall__DEVICE_CAPABILITIES) nameType) (= (type T.RawDeviceOK__DEVICE_CAPABILITIES) nameType) (= (type T.SurpriseRemovalOK__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD0__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD1__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD2__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD3__DEVICE_CAPABILITIES) nameType) (= (type T.HardwareDisabled__DEVICE_CAPABILITIES) nameType) (= (type T.NonDynamic__DEVICE_CAPABILITIES) nameType) (= (type T.WarmEjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.NoDisplayInUI__DEVICE_CAPABILITIES) nameType) (= (type T.Reserved__DEVICE_CAPABILITIES) nameType) (= (type T.Address__DEVICE_CAPABILITIES) nameType) (= (type T.UINumber__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceState__DEVICE_CAPABILITIES) nameType) (= (type T.SystemWake__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceWake__DEVICE_CAPABILITIES) nameType) (= (type T.D1Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D2Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D3Latency__DEVICE_CAPABILITIES) nameType) (= (type T.Type__DEVICE_OBJECT) nameType) (= (type T.Size__DEVICE_OBJECT) nameType) (= (type T.ReferenceCount__DEVICE_OBJECT) nameType) (= (type T.DriverObject__DEVICE_OBJECT) nameType) (= (type T.NextDevice__DEVICE_OBJECT) nameType) (= (type T.AttachedDevice__DEVICE_OBJECT) nameType) (= (type T.CurrentIrp__DEVICE_OBJECT) nameType) (= (type T.Timer__DEVICE_OBJECT) nameType) (= (type T.Flags__DEVICE_OBJECT) nameType) (= (type T.Characteristics__DEVICE_OBJECT) nameType) (= (type T.Vpb__DEVICE_OBJECT) nameType) (= (type T.DeviceExtension__DEVICE_OBJECT) nameType) (= (type T.DeviceType__DEVICE_OBJECT) nameType) (= (type T.StackSize__DEVICE_OBJECT) nameType) (= (type T.Queue__DEVICE_OBJECT) nameType) (= (type T.AlignmentRequirement__DEVICE_OBJECT) nameType) (= (type T.DeviceQueue__DEVICE_OBJECT) nameType) (= (type T.Dpc__DEVICE_OBJECT) nameType) (= (type T.ActiveThreadCount__DEVICE_OBJECT) nameType) (= (type T.SecurityDescriptor__DEVICE_OBJECT) nameType) (= (type T.DeviceLock__DEVICE_OBJECT) nameType) (= (type T.SectorSize__DEVICE_OBJECT) nameType) (= (type T.Spare1__DEVICE_OBJECT) nameType) (= (type T.DeviceObjectExtension__DEVICE_OBJECT) nameType) (= (type T.Reserved__DEVICE_OBJECT) nameType) (= (type T.Type__DEVOBJ_EXTENSION) nameType) (= (type T.Size__DEVOBJ_EXTENSION) nameType) (= (type T.DeviceObject__DEVOBJ_EXTENSION) nameType) (= (type T.__unnamed_4_7b44c46c__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.DriverObject__DRIVER_EXTENSION) nameType) (= (type T.AddDevice__DRIVER_EXTENSION) nameType) (= (type T.Count__DRIVER_EXTENSION) nameType) (= (type T.ServiceKeyName__DRIVER_EXTENSION) nameType) (= (type T.Type__DRIVER_OBJECT) nameType) (= (type T.Size__DRIVER_OBJECT) nameType) (= (type T.DeviceObject__DRIVER_OBJECT) nameType) (= (type T.Flags__DRIVER_OBJECT) nameType) (= (type T.DriverStart__DRIVER_OBJECT) nameType) (= (type T.DriverSize__DRIVER_OBJECT) nameType) (= (type T.DriverSection__DRIVER_OBJECT) nameType) (= (type T.DriverExtension__DRIVER_OBJECT) nameType) (= (type T.DriverName__DRIVER_OBJECT) nameType) (= (type T.HardwareDatabase__DRIVER_OBJECT) nameType) (= (type T.FastIoDispatch__DRIVER_OBJECT) nameType) (= (type T.DriverInit__DRIVER_OBJECT) nameType) (= (type T.DriverStartIo__DRIVER_OBJECT) nameType) (= (type T.DriverUnload__DRIVER_OBJECT) nameType) (= (type T.MajorFunction__DRIVER_OBJECT) nameType) (= (type T.SystemResourcesList__ERESOURCE) nameType) (= (type T.OwnerTable__ERESOURCE) nameType) (= (type T.ActiveCount__ERESOURCE) nameType) (= (type T.Flag__ERESOURCE) nameType) (= (type T.SharedWaiters__ERESOURCE) nameType) (= (type T.ExclusiveWaiters__ERESOURCE) nameType) (= (type T.OwnerEntry__ERESOURCE) nameType) (= (type T.ActiveEntries__ERESOURCE) nameType) (= (type T.ContentionCount__ERESOURCE) nameType) (= (type T.NumberOfSharedWaiters__ERESOURCE) nameType) (= (type T.NumberOfExclusiveWaiters__ERESOURCE) nameType) (= (type T.__unnamed_4_f13e195c__ERESOURCE) nameType) (= (type T.SpinLock__ERESOURCE) nameType) (= (type T.SizeOfFastIoDispatch__FAST_IO_DISPATCH) nameType) (= (type T.FastIoCheckIfPossible__FAST_IO_DISPATCH) nameType) (= (type T.FastIoRead__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWrite__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryBasicInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryStandardInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoLock__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockSingle__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAll__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAllByKey__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDeviceControl__FAST_IO_DISPATCH) nameType) (= (type T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDetachDevice__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlRead__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadComplete__FAST_IO_DISPATCH) nameType) (= (type T.PrepareMdlWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteComplete__FAST_IO_DISPATCH) nameType) (= (type T.FastIoReadCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWriteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryOpen__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.Count__FAST_MUTEX) nameType) (= (type T.Owner__FAST_MUTEX) nameType) (= (type T.Contention__FAST_MUTEX) nameType) (= (type T.Gate__FAST_MUTEX) nameType) (= (type T.OldIrql__FAST_MUTEX) nameType) (= (type T.CreationTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_BASIC_INFORMATION) nameType) (= (type T.ChangeTime__FILE_BASIC_INFORMATION) nameType) (= (type T.FileAttributes__FILE_BASIC_INFORMATION) nameType) (= (type T.CreationTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.Type__FILE_OBJECT) nameType) (= (type T.Size__FILE_OBJECT) nameType) (= (type T.DeviceObject__FILE_OBJECT) nameType) (= (type T.Vpb__FILE_OBJECT) nameType) (= (type T.FsContext__FILE_OBJECT) nameType) (= (type T.FsContext2__FILE_OBJECT) nameType) (= (type T.SectionObjectPointer__FILE_OBJECT) nameType) (= (type T.PrivateCacheMap__FILE_OBJECT) nameType) (= (type T.FinalStatus__FILE_OBJECT) nameType) (= (type T.RelatedFileObject__FILE_OBJECT) nameType) (= (type T.LockOperation__FILE_OBJECT) nameType) (= (type T.DeletePending__FILE_OBJECT) nameType) (= (type T.ReadAccess__FILE_OBJECT) nameType) (= (type T.WriteAccess__FILE_OBJECT) nameType) (= (type T.DeleteAccess__FILE_OBJECT) nameType) (= (type T.SharedRead__FILE_OBJECT) nameType) (= (type T.SharedWrite__FILE_OBJECT) nameType) (= (type T.SharedDelete__FILE_OBJECT) nameType) (= (type T.Flags__FILE_OBJECT) nameType) (= (type T.FileName__FILE_OBJECT) nameType) (= (type T.CurrentByteOffset__FILE_OBJECT) nameType) (= (type T.Waiters__FILE_OBJECT) nameType) (= (type T.Busy__FILE_OBJECT) nameType) (= (type T.LastLock__FILE_OBJECT) nameType) (= (type T.Lock__FILE_OBJECT) nameType) (= (type T.Event__FILE_OBJECT) nameType) (= (type T.CompletionContext__FILE_OBJECT) nameType) (= (type T.IrpListLock__FILE_OBJECT) nameType) (= (type T.IrpList__FILE_OBJECT) nameType) (= (type T.FileObjectExtension__FILE_OBJECT) nameType) (= (type T.AllocationSize__FILE_STANDARD_INFORMATION) nameType) (= (type T.EndOfFile__FILE_STANDARD_INFORMATION) nameType) (= (type T.NumberOfLinks__FILE_STANDARD_INFORMATION) nameType) (= (type T.DeletePending__FILE_STANDARD_INFORMATION) nameType) (= (type T.Directory__FILE_STANDARD_INFORMATION) nameType) (= (type T.Data1__GUID) nameType) (= (type T.Data2__GUID) nameType) (= (type T.Data3__GUID) nameType) (= (type T.Data4__GUID) nameType) (= (type T.PrivilegeCount__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Control__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Privilege__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Size__INTERFACE) nameType) (= (type T.Version__INTERFACE) nameType) (= (type T.Context__INTERFACE) nameType) (= (type T.InterfaceReference__INTERFACE) nameType) (= (type T.InterfaceDereference__INTERFACE) nameType) (= (type T.Port__IO_COMPLETION_CONTEXT) nameType) (= (type T.Key__IO_COMPLETION_CONTEXT) nameType) (= (type T.Option__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare1__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare2__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__IO_RESOURCE_LIST) nameType) (= (type T.Revision__IO_RESOURCE_LIST) nameType) (= (type T.Count__IO_RESOURCE_LIST) nameType) (= (type T.Descriptors__IO_RESOURCE_LIST) nameType) (= (type T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.List__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SecurityQos__IO_SECURITY_CONTEXT) nameType) (= (type T.AccessState__IO_SECURITY_CONTEXT) nameType) (= (type T.DesiredAccess__IO_SECURITY_CONTEXT) nameType) (= (type T.FullCreateOptions__IO_SECURITY_CONTEXT) nameType) (= (type T.MajorFunction__IO_STACK_LOCATION) nameType) (= (type T.MinorFunction__IO_STACK_LOCATION) nameType) (= (type T.Flags__IO_STACK_LOCATION) nameType) (= (type T.Control__IO_STACK_LOCATION) nameType) (= (type T.Parameters__IO_STACK_LOCATION) nameType) (= (type T.DeviceObject__IO_STACK_LOCATION) nameType) (= (type T.FileObject__IO_STACK_LOCATION) nameType) (= (type T.CompletionRoutine__IO_STACK_LOCATION) nameType) (= (type T.Context__IO_STACK_LOCATION) nameType) (= (type T.__unnamed_4_ab1173de__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Type__IRP) nameType) (= (type T.Size__IRP) nameType) (= (type T.MdlAddress__IRP) nameType) (= (type T.Flags__IRP) nameType) (= (type T.AssociatedIrp__IRP) nameType) (= (type T.ThreadListEntry__IRP) nameType) (= (type T.IoStatus__IRP) nameType) (= (type T.RequestorMode__IRP) nameType) (= (type T.PendingReturned__IRP) nameType) (= (type T.StackCount__IRP) nameType) (= (type T.CurrentLocation__IRP) nameType) (= (type T.Cancel__IRP) nameType) (= (type T.CancelIrql__IRP) nameType) (= (type T.ApcEnvironment__IRP) nameType) (= (type T.AllocationFlags__IRP) nameType) (= (type T.UserIosb__IRP) nameType) (= (type T.UserEvent__IRP) nameType) (= (type T.Overlay__IRP) nameType) (= (type T.CancelRoutine__IRP) nameType) (= (type T.UserBuffer__IRP) nameType) (= (type T.Tail__IRP) nameType) (= (type T.Type__KAPC) nameType) (= (type T.SpareByte0__KAPC) nameType) (= (type T.Size__KAPC) nameType) (= (type T.SpareByte1__KAPC) nameType) (= (type T.SpareLong0__KAPC) nameType) (= (type T.Thread__KAPC) nameType) (= (type T.ApcListEntry__KAPC) nameType) (= (type T.KernelRoutine__KAPC) nameType) (= (type T.RundownRoutine__KAPC) nameType) (= (type T.NormalRoutine__KAPC) nameType) (= (type T.NormalContext__KAPC) nameType) (= (type T.SystemArgument1__KAPC) nameType) (= (type T.SystemArgument2__KAPC) nameType) (= (type T.ApcStateIndex__KAPC) nameType) (= (type T.ApcMode__KAPC) nameType) (= (type T.Inserted__KAPC) nameType) (= (type T.Type__KDEVICE_QUEUE) nameType) (= (type T.Size__KDEVICE_QUEUE) nameType) (= (type T.DeviceListHead__KDEVICE_QUEUE) nameType) (= (type T.Lock__KDEVICE_QUEUE) nameType) (= (type T.Busy__KDEVICE_QUEUE) nameType) (= (type T.DeviceListEntry__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.SortKey__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Inserted__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Type__KDPC) nameType) (= (type T.Importance__KDPC) nameType) (= (type T.Number__KDPC) nameType) (= (type T.DpcListEntry__KDPC) nameType) (= (type T.DeferredRoutine__KDPC) nameType) (= (type T.DeferredContext__KDPC) nameType) (= (type T.SystemArgument1__KDPC) nameType) (= (type T.SystemArgument2__KDPC) nameType) (= (type T.DpcData__KDPC) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Header__KSEMAPHORE) nameType) (= (type T.Limit__KSEMAPHORE) nameType) (= (type T.Header__KTIMER) nameType) (= (type T.DueTime__KTIMER) nameType) (= (type T.TimerListEntry__KTIMER) nameType) (= (type T.Dpc__KTIMER) nameType) (= (type T.Period__KTIMER) nameType) (= (type T.__unnamed_8_544b88f4__LARGE_INTEGER) nameType) (= (type T.u__LARGE_INTEGER) nameType) (= (type T.QuadPart__LARGE_INTEGER) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.LowPart__LUID) nameType) (= (type T.HighPart__LUID) nameType) (= (type T.Luid__LUID_AND_ATTRIBUTES) nameType) (= (type T.Attributes__LUID_AND_ATTRIBUTES) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.OwnerThread__OWNER_ENTRY) nameType) (= (type T.__unnamed_4_1c47e29a__OWNER_ENTRY) nameType) (= (type T.SequenceD1__POWER_SEQUENCE) nameType) (= (type T.SequenceD2__POWER_SEQUENCE) nameType) (= (type T.SequenceD3__POWER_SEQUENCE) nameType) (= (type T.SystemState__POWER_STATE) nameType) (= (type T.DeviceState__POWER_STATE) nameType) (= (type T.PrivilegeCount__PRIVILEGE_SET) nameType) (= (type T.Control__PRIVILEGE_SET) nameType) (= (type T.Privilege__PRIVILEGE_SET) nameType) (= (type T.DataSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.SharedCacheMap__SECTION_OBJECT_POINTERS) nameType) (= (type T.ImageSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.Length__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ClientToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.PrimaryToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ReceivedCount__SERIALPERF_STATS) nameType) (= (type T.TransmittedCount__SERIALPERF_STATS) nameType) (= (type T.FrameErrorCount__SERIALPERF_STATS) nameType) (= (type T.SerialOverrunErrorCount__SERIALPERF_STATS) nameType) (= (type T.BufferOverrunErrorCount__SERIALPERF_STATS) nameType) (= (type T.ParityErrorCount__SERIALPERF_STATS) nameType) (= (type T.BaudRate__SERIAL_BAUD_RATE) nameType) (= (type T.EofChar__SERIAL_CHARS) nameType) (= (type T.ErrorChar__SERIAL_CHARS) nameType) (= (type T.BreakChar__SERIAL_CHARS) nameType) (= (type T.EventChar__SERIAL_CHARS) nameType) (= (type T.XonChar__SERIAL_CHARS) nameType) (= (type T.XoffChar__SERIAL_CHARS) nameType) (= (type T.IsrFunc__SERIAL_CISR_SW) nameType) (= (type T.Context__SERIAL_CISR_SW) nameType) (= (type T.SharerList__SERIAL_CISR_SW) nameType) (= (type T.PacketLength__SERIAL_COMMPROP) nameType) (= (type T.PacketVersion__SERIAL_COMMPROP) nameType) (= (type T.ServiceMask__SERIAL_COMMPROP) nameType) (= (type T.Reserved1__SERIAL_COMMPROP) nameType) (= (type T.MaxTxQueue__SERIAL_COMMPROP) nameType) (= (type T.MaxRxQueue__SERIAL_COMMPROP) nameType) (= (type T.MaxBaud__SERIAL_COMMPROP) nameType) (= (type T.ProvSubType__SERIAL_COMMPROP) nameType) (= (type T.ProvCapabilities__SERIAL_COMMPROP) nameType) (= (type T.SettableParams__SERIAL_COMMPROP) nameType) (= (type T.SettableBaud__SERIAL_COMMPROP) nameType) (= (type T.SettableData__SERIAL_COMMPROP) nameType) (= (type T.SettableStopParity__SERIAL_COMMPROP) nameType) (= (type T.CurrentTxQueue__SERIAL_COMMPROP) nameType) (= (type T.CurrentRxQueue__SERIAL_COMMPROP) nameType) (= (type T.ProvSpec1__SERIAL_COMMPROP) nameType) (= (type T.ProvSpec2__SERIAL_COMMPROP) nameType) (= (type T.ProvChar__SERIAL_COMMPROP) nameType) (= (type T.TopLevelOurIsr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TopLevelOurIsrContext__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TopLevelSharers__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CommonInterruptObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.MultiportSiblings__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.AllDevObjs__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalController__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalInterruptStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IntervalTime__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ShortIntervalAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LongIntervalAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CutOverAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LastReadTime__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ObjectDirectory__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SymbolicLinkName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DosName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IntervalTimeToUse__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OurIsr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OurIsrContext__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Controller__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterruptStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Interrupt__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.MaskQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PurgeQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentReadIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentWriteIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentMaskIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentWaitIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentXoffIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteLength__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteCurrentChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterruptReadBuffer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadBufferBase__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentCharSlot__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LastCharSlot__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.FirstReadableChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LockPtr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.BufferSize__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.BufferSizePt8__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NumberNeededForRead__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IsrWaitMask__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.HistoryMask__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IrpMaskLocation__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TXHolding__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.RXHolding__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ErrorWord__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalCharsQueued__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CountOnLastRead__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadByIsr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentBaud__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CountSinceXoff__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CountOfTryingToLowerRTS__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SupportedBauds__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SpanOfController__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SpanOfInterruptStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ClockRate__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TxFifoAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PermitShare__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Timeouts__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SpecialChars__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.HandFlow__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PerfStats__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LineControl__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceIsOpened__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.UnMapRegisters__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.UnMapStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.HoldingEmpty__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TransmitImmediate__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.EmptiedTransmit__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PortOnAMultiportCard__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Vector__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Irql__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalVector__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalIrql__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.AddressSpace__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.BusNumber__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterfaceType__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PortIndex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Indexed__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.MaskInverted__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewPortIndex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewMaskInverted__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewExtension__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ImmediateChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ValidDataMask__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.EscapeChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SendXonChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SendXoffChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.FifoPresent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.RxFifoTrigger__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterruptShareable__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CreatedSymbolicLink__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CreatedSerialCommEntry__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ControlLock__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.FlagsLock__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CompleteWriteDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CompleteReadDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CommErrorDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CommWaitDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CompleteImmediateDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.XoffCountCompleteDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.StartTimerLowerRTSDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PerhapsLowerRTSDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IsrUnlockPagesDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SetPendingDpcEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.XoffCountTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LowerRTSTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LowerDeviceObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PowerState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DriverObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SerialSyncEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceClassSymbolicName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CIsrSw__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingIRPCnt__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DevicePNPAccept__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingIRPEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PNPState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Flags__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OpenCount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SerialStartEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceStateMap__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PowerD0Event__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.StalledIrpQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OpenMutex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CloseMutex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OwnsPowerPolicy__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.RetainPowerOnClose__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.QueueCreateIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SystemWake__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceWake__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Pdo__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SendWaitWake__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingWakeIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiLibInfo__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiIdentifier__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiCommData__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiHwData__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiPerfData__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DpcCount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingDpcEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SkipNaming__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TL16C550CAFC__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewDevicePowerState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.UartRemovalDetect__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Reopen__SERIAL_DEVICE_STATE) nameType) (= (type T.IER__SERIAL_DEVICE_STATE) nameType) (= (type T.LCR__SERIAL_DEVICE_STATE) nameType) (= (type T.MCR__SERIAL_DEVICE_STATE) nameType) (= (type T.ControlHandShake__SERIAL_HANDFLOW) nameType) (= (type T.FlowReplace__SERIAL_HANDFLOW) nameType) (= (type T.XonLimit__SERIAL_HANDFLOW) nameType) (= (type T.XoffLimit__SERIAL_HANDFLOW) nameType) (= (type T.Extension__SERIAL_IOCTL_SYNC) nameType) (= (type T.Data__SERIAL_IOCTL_SYNC) nameType) (= (type T.StopBits__SERIAL_LINE_CONTROL) nameType) (= (type T.Parity__SERIAL_LINE_CONTROL) nameType) (= (type T.WordLength__SERIAL_LINE_CONTROL) nameType) (= (type T.InSize__SERIAL_QUEUE_SIZE) nameType) (= (type T.OutSize__SERIAL_QUEUE_SIZE) nameType) (= (type T.Extension__SERIAL_RESIZE_PARAMS) nameType) (= (type T.OldBuffer__SERIAL_RESIZE_PARAMS) nameType) (= (type T.NewBuffer__SERIAL_RESIZE_PARAMS) nameType) (= (type T.NewBufferSize__SERIAL_RESIZE_PARAMS) nameType) (= (type T.NumberMoved__SERIAL_RESIZE_PARAMS) nameType) (= (type T.ReadIntervalTimeout__SERIAL_TIMEOUTS) nameType) (= (type T.ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS) nameType) (= (type T.ReadTotalTimeoutConstant__SERIAL_TIMEOUTS) nameType) (= (type T.WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS) nameType) (= (type T.WriteTotalTimeoutConstant__SERIAL_TIMEOUTS) nameType) (= (type T.Extension__SERIAL_UPDATE_CHAR) nameType) (= (type T.CharsCopied__SERIAL_UPDATE_CHAR) nameType) (= (type T.Completed__SERIAL_UPDATE_CHAR) nameType) (= (type T.BaudRate__SERIAL_WMI_COMM_DATA) nameType) (= (type T.BitsPerByte__SERIAL_WMI_COMM_DATA) nameType) (= (type T.Parity__SERIAL_WMI_COMM_DATA) nameType) (= (type T.ParityCheckEnable__SERIAL_WMI_COMM_DATA) nameType) (= (type T.StopBits__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XoffCharacter__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XoffXmitThreshold__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XonCharacter__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XonXmitThreshold__SERIAL_WMI_COMM_DATA) nameType) (= (type T.MaximumBaudRate__SERIAL_WMI_COMM_DATA) nameType) (= (type T.MaximumOutputBufferSize__SERIAL_WMI_COMM_DATA) nameType) (= (type T.MaximumInputBufferSize__SERIAL_WMI_COMM_DATA) nameType) (= (type T.Support16BitMode__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportDTRDSR__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportIntervalTimeouts__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportParityCheck__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportRTSCTS__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportXonXoff__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableBaudRate__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableDataBits__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableFlowControl__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableParity__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableParityCheck__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableStopBits__SERIAL_WMI_COMM_DATA) nameType) (= (type T.IsBusy__SERIAL_WMI_COMM_DATA) nameType) (= (type T.IrqNumber__SERIAL_WMI_HW_DATA) nameType) (= (type T.IrqVector__SERIAL_WMI_HW_DATA) nameType) (= (type T.IrqLevel__SERIAL_WMI_HW_DATA) nameType) (= (type T.IrqAffinityMask__SERIAL_WMI_HW_DATA) nameType) (= (type T.InterruptType__SERIAL_WMI_HW_DATA) nameType) (= (type T.BaseIOAddress__SERIAL_WMI_HW_DATA) nameType) (= (type T.ReceivedCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.TransmittedCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.FrameErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.SerialOverrunErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.BufferOverrunErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.ParityErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.Timeout__SERIAL_XOFF_COUNTER) nameType) (= (type T.Counter__SERIAL_XOFF_COUNTER) nameType) (= (type T.XoffChar__SERIAL_XOFF_COUNTER) nameType) (= (type T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T.__unnamed_8_baf71367__ULARGE_INTEGER) nameType) (= (type T.u__ULARGE_INTEGER) nameType) (= (type T.QuadPart__ULARGE_INTEGER) nameType) (= (type T.Length__UNICODE_STRING) nameType) (= (type T.MaximumLength__UNICODE_STRING) nameType) (= (type T.Buffer__UNICODE_STRING) nameType) (= (type T.Type__VPB) nameType) (= (type T.Size__VPB) nameType) (= (type T.Flags__VPB) nameType) (= (type T.VolumeLabelLength__VPB) nameType) (= (type T.DeviceObject__VPB) nameType) (= (type T.RealDevice__VPB) nameType) (= (type T.SerialNumber__VPB) nameType) (= (type T.ReferenceCount__VPB) nameType) (= (type T.VolumeLabel__VPB) nameType) (= (type T.WaitQueueEntry__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceRoutine__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceContext__WAIT_CONTEXT_BLOCK) nameType) (= (type T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceObject__WAIT_CONTEXT_BLOCK) nameType) (= (type T.CurrentIrp__WAIT_CONTEXT_BLOCK) nameType) (= (type T.BufferChainingDpc__WAIT_CONTEXT_BLOCK) nameType) (= (type T.GuidCount__WMILIB_CONTEXT) nameType) (= (type T.GuidList__WMILIB_CONTEXT) nameType) (= (type T.QueryWmiRegInfo__WMILIB_CONTEXT) nameType) (= (type T.QueryWmiDataBlock__WMILIB_CONTEXT) nameType) (= (type T.SetWmiDataBlock__WMILIB_CONTEXT) nameType) (= (type T.SetWmiDataItem__WMILIB_CONTEXT) nameType) (= (type T.ExecuteWmiMethod__WMILIB_CONTEXT) nameType) (= (type T.WmiFunctionControl__WMILIB_CONTEXT) nameType) (= (type T.Priority___unnamed_12_0cb3dc26) nameType) (= (type T.Reserved1___unnamed_12_0cb3dc26) nameType) (= (type T.Reserved2___unnamed_12_0cb3dc26) nameType) (= (type T.Data___unnamed_12_1a4b0b08) nameType) (= (type T.Reserved___unnamed_12_1cbe20d6) nameType) (= (type T.MessageCount___unnamed_12_1cbe20d6) nameType) (= (type T.Vector___unnamed_12_1cbe20d6) nameType) (= (type T.Affinity___unnamed_12_1cbe20d6) nameType) (= (type T.Start___unnamed_12_28f1f9cc) nameType) (= (type T.Length___unnamed_12_28f1f9cc) nameType) (= (type T.Reserved___unnamed_12_28f1f9cc) nameType) (= (type T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e) nameType) (= (type T.Start___unnamed_12_33a88444) nameType) (= (type T.Length48___unnamed_12_33a88444) nameType) (= (type T.Start___unnamed_12_468ce3a2) nameType) (= (type T.Length___unnamed_12_468ce3a2) nameType) (= (type T.ListEntry___unnamed_12_5cc47a19) nameType) (= (type T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19) nameType) (= (type T.Level___unnamed_12_6fbd747c) nameType) (= (type T.Vector___unnamed_12_6fbd747c) nameType) (= (type T.Affinity___unnamed_12_6fbd747c) nameType) (= (type T.Generic___unnamed_12_9a27b966) nameType) (= (type T.Port___unnamed_12_9a27b966) nameType) (= (type T.Interrupt___unnamed_12_9a27b966) nameType) (= (type T.MessageInterrupt___unnamed_12_9a27b966) nameType) (= (type T.Memory___unnamed_12_9a27b966) nameType) (= (type T.Dma___unnamed_12_9a27b966) nameType) (= (type T.DevicePrivate___unnamed_12_9a27b966) nameType) (= (type T.BusNumber___unnamed_12_9a27b966) nameType) (= (type T.DeviceSpecificData___unnamed_12_9a27b966) nameType) (= (type T.Memory40___unnamed_12_9a27b966) nameType) (= (type T.Memory48___unnamed_12_9a27b966) nameType) (= (type T.Memory64___unnamed_12_9a27b966) nameType) (= (type T.Raw___unnamed_12_9eaf06f6) nameType) (= (type T.Translated___unnamed_12_9eaf06f6) nameType) (= (type T.Data___unnamed_12_a967ef4a) nameType) (= (type T.Start___unnamed_12_ab6ff61b) nameType) (= (type T.Length64___unnamed_12_ab6ff61b) nameType) (= (type T.Start___unnamed_12_ad4e1918) nameType) (= (type T.Length___unnamed_12_ad4e1918) nameType) (= (type T.Start___unnamed_12_c0c3bd45) nameType) (= (type T.Length___unnamed_12_c0c3bd45) nameType) (= (type T.Start___unnamed_12_df63118d) nameType) (= (type T.Length40___unnamed_12_df63118d) nameType) (= (type T.Level___unnamed_12_e5164c3f) nameType) (= (type T.Vector___unnamed_12_e5164c3f) nameType) (= (type T.Affinity___unnamed_12_e5164c3f) nameType) (= (type T.Channel___unnamed_12_f1f9be0a) nameType) (= (type T.Port___unnamed_12_f1f9be0a) nameType) (= (type T.Reserved1___unnamed_12_f1f9be0a) nameType) (= (type T.DataSize___unnamed_12_f354d203) nameType) (= (type T.Reserved1___unnamed_12_f354d203) nameType) (= (type T.Reserved2___unnamed_12_f354d203) nameType) (= (type T.InterfaceType___unnamed_16_2ab145ec) nameType) (= (type T.Size___unnamed_16_2ab145ec) nameType) (= (type T.Version___unnamed_16_2ab145ec) nameType) (= (type T.Interface___unnamed_16_2ab145ec) nameType) (= (type T.InterfaceSpecificData___unnamed_16_2ab145ec) nameType) (= (type T.Length___unnamed_16_30f1d328) nameType) (= (type T.MinBusNumber___unnamed_16_30f1d328) nameType) (= (type T.MaxBusNumber___unnamed_16_30f1d328) nameType) (= (type T.Reserved___unnamed_16_30f1d328) nameType) (= (type T.DeviceQueueEntry___unnamed_16_3277c3a0) nameType) (= (type T.__unnamed_16_c774559b___unnamed_16_3277c3a0) nameType) (= (type T.Length___unnamed_16_3a584a7c) nameType) (= (type T.Key___unnamed_16_3a584a7c) nameType) (= (type T.ByteOffset___unnamed_16_3a584a7c) nameType) (= (type T.OutputBufferLength___unnamed_16_3dec08db) nameType) (= (type T.InputBufferLength___unnamed_16_3dec08db) nameType) (= (type T.FsControlCode___unnamed_16_3dec08db) nameType) (= (type T.Type3InputBuffer___unnamed_16_3dec08db) nameType) (= (type T.Create___unnamed_16_57edbc3a) nameType) (= (type T.Read___unnamed_16_57edbc3a) nameType) (= (type T.Write___unnamed_16_57edbc3a) nameType) (= (type T.QueryDirectory___unnamed_16_57edbc3a) nameType) (= (type T.NotifyDirectory___unnamed_16_57edbc3a) nameType) (= (type T.QueryFile___unnamed_16_57edbc3a) nameType) (= (type T.SetFile___unnamed_16_57edbc3a) nameType) (= (type T.QueryEa___unnamed_16_57edbc3a) nameType) (= (type T.SetEa___unnamed_16_57edbc3a) nameType) (= (type T.QueryVolume___unnamed_16_57edbc3a) nameType) (= (type T.SetVolume___unnamed_16_57edbc3a) nameType) (= (type T.FileSystemControl___unnamed_16_57edbc3a) nameType) (= (type T.LockControl___unnamed_16_57edbc3a) nameType) (= (type T.DeviceIoControl___unnamed_16_57edbc3a) nameType) (= (type T.QuerySecurity___unnamed_16_57edbc3a) nameType) (= (type T.SetSecurity___unnamed_16_57edbc3a) nameType) (= (type T.MountVolume___unnamed_16_57edbc3a) nameType) (= (type T.VerifyVolume___unnamed_16_57edbc3a) nameType) (= (type T.Scsi___unnamed_16_57edbc3a) nameType) (= (type T.QueryQuota___unnamed_16_57edbc3a) nameType) (= (type T.SetQuota___unnamed_16_57edbc3a) nameType) (= (type T.QueryDeviceRelations___unnamed_16_57edbc3a) nameType) (= (type T.QueryInterface___unnamed_16_57edbc3a) nameType) (= (type T.DeviceCapabilities___unnamed_16_57edbc3a) nameType) (= (type T.FilterResourceRequirements___unnamed_16_57edbc3a) nameType) (= (type T.ReadWriteConfig___unnamed_16_57edbc3a) nameType) (= (type T.SetLock___unnamed_16_57edbc3a) nameType) (= (type T.QueryId___unnamed_16_57edbc3a) nameType) (= (type T.QueryDeviceText___unnamed_16_57edbc3a) nameType) (= (type T.UsageNotification___unnamed_16_57edbc3a) nameType) (= (type T.WaitWake___unnamed_16_57edbc3a) nameType) (= (type T.PowerSequence___unnamed_16_57edbc3a) nameType) (= (type T.Power___unnamed_16_57edbc3a) nameType) (= (type T.StartDevice___unnamed_16_57edbc3a) nameType) (= (type T.WMI___unnamed_16_57edbc3a) nameType) (= (type T.Others___unnamed_16_57edbc3a) nameType) (= (type T.Argument1___unnamed_16_5ac3fe10) nameType) (= (type T.Argument2___unnamed_16_5ac3fe10) nameType) (= (type T.Argument3___unnamed_16_5ac3fe10) nameType) (= (type T.Argument4___unnamed_16_5ac3fe10) nameType) (= (type T.OutputBufferLength___unnamed_16_5bbbf1e7) nameType) (= (type T.InputBufferLength___unnamed_16_5bbbf1e7) nameType) (= (type T.IoControlCode___unnamed_16_5bbbf1e7) nameType) (= (type T.Type3InputBuffer___unnamed_16_5bbbf1e7) nameType) (= (type T.ProviderId___unnamed_16_66abee0d) nameType) (= (type T.DataPath___unnamed_16_66abee0d) nameType) (= (type T.BufferSize___unnamed_16_66abee0d) nameType) (= (type T.Buffer___unnamed_16_66abee0d) nameType) (= (type T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2) nameType) (= (type T.Type___unnamed_16_6c8935f2) nameType) (= (type T.State___unnamed_16_6c8935f2) nameType) (= (type T.ShutdownType___unnamed_16_6c8935f2) nameType) (= (type T.Length___unnamed_16_834e30a3) nameType) (= (type T.EaList___unnamed_16_834e30a3) nameType) (= (type T.EaListLength___unnamed_16_834e30a3) nameType) (= (type T.EaIndex___unnamed_16_834e30a3) nameType) (= (type T.WhichSpace___unnamed_16_83707d7f) nameType) (= (type T.Buffer___unnamed_16_83707d7f) nameType) (= (type T.Offset___unnamed_16_83707d7f) nameType) (= (type T.Length___unnamed_16_83707d7f) nameType) (= (type T.Length___unnamed_16_94922103) nameType) (= (type T.Key___unnamed_16_94922103) nameType) (= (type T.ByteOffset___unnamed_16_94922103) nameType) (= (type T.Length___unnamed_16_9eb64f79) nameType) (= (type T.StartSid___unnamed_16_9eb64f79) nameType) (= (type T.SidList___unnamed_16_9eb64f79) nameType) (= (type T.SidListLength___unnamed_16_9eb64f79) nameType) (= (type T.Length___unnamed_16_a71f10bf) nameType) (= (type T.FileName___unnamed_16_a71f10bf) nameType) (= (type T.FileInformationClass___unnamed_16_a71f10bf) nameType) (= (type T.FileIndex___unnamed_16_a71f10bf) nameType) (= (type T.SecurityContext___unnamed_16_af2c1884) nameType) (= (type T.Options___unnamed_16_af2c1884) nameType) (= (type T.FileAttributes___unnamed_16_af2c1884) nameType) (= (type T.ShareAccess___unnamed_16_af2c1884) nameType) (= (type T.EaLength___unnamed_16_af2c1884) nameType) (= (type T.Length___unnamed_16_b1a6a9b2) nameType) (= (type T.FileInformationClass___unnamed_16_b1a6a9b2) nameType) (= (type T.FileObject___unnamed_16_b1a6a9b2) nameType) (= (type T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2) nameType) (= (type T.DriverContext___unnamed_16_c774559b) nameType) (= (type T.Length___unnamed_16_ca1b3ad0) nameType) (= (type T.Key___unnamed_16_ca1b3ad0) nameType) (= (type T.ByteOffset___unnamed_16_ca1b3ad0) nameType) (= (type T.Abandoned___unnamed_1_4258582a) nameType) (= (type T.Absolute___unnamed_1_4258582a) nameType) (= (type T.NpxIrql___unnamed_1_4258582a) nameType) (= (type T.Signalling___unnamed_1_4258582a) nameType) (= (type T.Lock___unnamed_1_4f5916b9) nameType) (= (type T.Size___unnamed_1_923f487b) nameType) (= (type T.Hand___unnamed_1_923f487b) nameType) (= (type T.Inserted___unnamed_1_ac5cb154) nameType) (= (type T.DebugActive___unnamed_1_ac5cb154) nameType) (= (type T.DpcActive___unnamed_1_ac5cb154) nameType) (= (type T.MinimumVector___unnamed_20_9fc4dd36) nameType) (= (type T.MaximumVector___unnamed_20_9fc4dd36) nameType) (= (type T.AffinityPolicy___unnamed_20_9fc4dd36) nameType) (= (type T.PriorityPolicy___unnamed_20_9fc4dd36) nameType) (= (type T.TargetedProcessors___unnamed_20_9fc4dd36) nameType) (= (type T.Length___unnamed_24_76c1f52c) nameType) (= (type T.Alignment___unnamed_24_76c1f52c) nameType) (= (type T.MinimumAddress___unnamed_24_76c1f52c) nameType) (= (type T.MaximumAddress___unnamed_24_76c1f52c) nameType) (= (type T.Length64___unnamed_24_87e4ad03) nameType) (= (type T.Alignment64___unnamed_24_87e4ad03) nameType) (= (type T.MinimumAddress___unnamed_24_87e4ad03) nameType) (= (type T.MaximumAddress___unnamed_24_87e4ad03) nameType) (= (type T.Port___unnamed_24_87fb9019) nameType) (= (type T.Memory___unnamed_24_87fb9019) nameType) (= (type T.Interrupt___unnamed_24_87fb9019) nameType) (= (type T.Dma___unnamed_24_87fb9019) nameType) (= (type T.Generic___unnamed_24_87fb9019) nameType) (= (type T.DevicePrivate___unnamed_24_87fb9019) nameType) (= (type T.BusNumber___unnamed_24_87fb9019) nameType) (= (type T.ConfigData___unnamed_24_87fb9019) nameType) (= (type T.Memory40___unnamed_24_87fb9019) nameType) (= (type T.Memory48___unnamed_24_87fb9019) nameType) (= (type T.Memory64___unnamed_24_87fb9019) nameType) (= (type T.Length40___unnamed_24_af527a47) nameType) (= (type T.Alignment40___unnamed_24_af527a47) nameType) (= (type T.MinimumAddress___unnamed_24_af527a47) nameType) (= (type T.MaximumAddress___unnamed_24_af527a47) nameType) (= (type T.Length___unnamed_24_b3ef9869) nameType) (= (type T.Alignment___unnamed_24_b3ef9869) nameType) (= (type T.MinimumAddress___unnamed_24_b3ef9869) nameType) (= (type T.MaximumAddress___unnamed_24_b3ef9869) nameType) (= (type T.Length___unnamed_24_c23e34f7) nameType) (= (type T.Alignment___unnamed_24_c23e34f7) nameType) (= (type T.MinimumAddress___unnamed_24_c23e34f7) nameType) (= (type T.MaximumAddress___unnamed_24_c23e34f7) nameType) (= (type T.Length48___unnamed_24_e04d7241) nameType) (= (type T.Alignment48___unnamed_24_e04d7241) nameType) (= (type T.MinimumAddress___unnamed_24_e04d7241) nameType) (= (type T.MaximumAddress___unnamed_24_e04d7241) nameType) (= (type T.ReplaceIfExists___unnamed_2_1d659b1d) nameType) (= (type T.AdvanceOnly___unnamed_2_1d659b1d) nameType) (= (type T.ListEntry___unnamed_40_1db13fa5) nameType) (= (type T.Wcb___unnamed_40_1db13fa5) nameType) (= (type T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a) nameType) (= (type T.Thread___unnamed_40_ebf2206a) nameType) (= (type T.AuxiliaryBuffer___unnamed_40_ebf2206a) nameType) (= (type T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a) nameType) (= (type T.OriginalFileObject___unnamed_40_ebf2206a) nameType) (= (type T.InitialPrivilegeSet___unnamed_44_0d347e8a) nameType) (= (type T.PrivilegeSet___unnamed_44_0d347e8a) nameType) (= (type T.Overlay___unnamed_48_ffd8d308) nameType) (= (type T.Apc___unnamed_48_ffd8d308) nameType) (= (type T.CompletionKey___unnamed_48_ffd8d308) nameType) (= (type T.IdType___unnamed_4_04fc9c34) nameType) (= (type T.PowerSequence___unnamed_4_082ca2fa) nameType) (= (type T.Type___unnamed_4_142d6b52) nameType) (= (type T.OwnerCount___unnamed_4_1c47e29a) nameType) (= (type T.TableSize___unnamed_4_1c47e29a) nameType) (= (type T.MasterIrp___unnamed_4_3dc37e35) nameType) (= (type T.IrpCount___unnamed_4_3dc37e35) nameType) (= (type T.SystemBuffer___unnamed_4_3dc37e35) nameType) (= (type T.__unnamed_2_1d659b1d___unnamed_4_4d53984e) nameType) (= (type T.ClusterCount___unnamed_4_4d53984e) nameType) (= (type T.DeleteHandle___unnamed_4_4d53984e) nameType) (= (type T.Length___unnamed_4_522a02ae) nameType) (= (type T.CurrentStackLocation___unnamed_4_61d4f5e1) nameType) (= (type T.PacketType___unnamed_4_61d4f5e1) nameType) (= (type T.Length___unnamed_4_6eaf329f) nameType) (= (type T.__unnamed_4_f14caa62___unnamed_4_7b44c46c) nameType) (= (type T.Lock___unnamed_4_7b44c46c) nameType) (= (type T.PowerState___unnamed_4_7bab7ec3) nameType) (= (type T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8) nameType) (= (type T.ContextAsUlong___unnamed_4_a8006df8) nameType) (= (type T.Status___unnamed_4_ab1173de) nameType) (= (type T.Pointer___unnamed_4_ab1173de) nameType) (= (type T.Srb___unnamed_4_b2e59cbb) nameType) (= (type T.SystemContext___unnamed_4_b38dc67f) nameType) (= (type T.SystemPowerStateContext___unnamed_4_b38dc67f) nameType) (= (type T.Capabilities___unnamed_4_c62ef092) nameType) (= (type T.Reserved1___unnamed_4_ce0c1b82) nameType) (= (type T.TargetSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.EffectiveSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.CurrentSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.IgnoreHibernationPath___unnamed_4_ce0c1b82) nameType) (= (type T.PseudoTransition___unnamed_4_ce0c1b82) nameType) (= (type T.Reserved2___unnamed_4_ce0c1b82) nameType) (= (type T.UserApcRoutine___unnamed_4_cedfeccd) nameType) (= (type T.IssuingProcess___unnamed_4_cedfeccd) nameType) (= (type T.Address___unnamed_4_f13e195c) nameType) (= (type T.CreatorBackTraceIndex___unnamed_4_f13e195c) nameType) (= (type T.Type___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_4258582a___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_923f487b___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_ac5cb154___unnamed_4_f14caa62) nameType) (= (type T.IoResourceRequirementList___unnamed_4_f18e264a) nameType) (= (type T.Length___unnamed_8_06a6de28) nameType) (= (type T.CompletionFilter___unnamed_8_06a6de28) nameType) (= (type T.DeviceTextType___unnamed_8_219179d3) nameType) (= (type T.LocaleId___unnamed_8_219179d3) nameType) (= (type T.InPath___unnamed_8_380551ca) nameType) (= (type T.Reserved___unnamed_8_380551ca) nameType) (= (type T.Type___unnamed_8_380551ca) nameType) (= (type T.SecurityInformation___unnamed_8_3ebf0971) nameType) (= (type T.Length___unnamed_8_3ebf0971) nameType) (= (type T.AsynchronousParameters___unnamed_8_45a58840) nameType) (= (type T.AllocationSize___unnamed_8_45a58840) nameType) (= (type T.LowPart___unnamed_8_544b88f4) nameType) (= (type T.HighPart___unnamed_8_544b88f4) nameType) (= (type T.MinimumChannel___unnamed_8_5bc13409) nameType) (= (type T.MaximumChannel___unnamed_8_5bc13409) nameType) (= (type T.Length___unnamed_8_5d23cded) nameType) (= (type T.FsInformationClass___unnamed_8_5d23cded) nameType) (= (type T.LowPart___unnamed_8_5d67d492) nameType) (= (type T.HighPart___unnamed_8_5d67d492) nameType) (= (type T.SecurityInformation___unnamed_8_655e974a) nameType) (= (type T.SecurityDescriptor___unnamed_8_655e974a) nameType) (= (type T.Vpb___unnamed_8_a4174c52) nameType) (= (type T.DeviceObject___unnamed_8_a4174c52) nameType) (= (type T.LowPart___unnamed_8_a569aa82) nameType) (= (type T.HighPart___unnamed_8_a569aa82) nameType) (= (type T.Length___unnamed_8_b3031d0e) nameType) (= (type T.FileInformationClass___unnamed_8_b3031d0e) nameType) (= (type T.Length___unnamed_8_b7ca8084) nameType) (= (type T.FsInformationClass___unnamed_8_b7ca8084) nameType) (= (type T.Vpb___unnamed_8_b8c2e139) nameType) (= (type T.DeviceObject___unnamed_8_b8c2e139) nameType) (= (type T.LowPart___unnamed_8_baf71367) nameType) (= (type T.HighPart___unnamed_8_baf71367) nameType) (= (type T.__unnamed_4_cedfeccd___unnamed_8_be4b9317) nameType) (= (type T.UserApcContext___unnamed_8_be4b9317) nameType) (= (type T.AllocatedResources___unnamed_8_d81ae7e8) nameType) (= (type T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8) nameType) (= (type T.A17CHAR) nameType) (= (type T.A18CHAR) nameType) (= (type T.A1UINT2) nameType) (= (type T.A1_CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_LIST) nameType) (= (type T.A1_LUID_AND_ATTRIBUTES) nameType) (= (type T.A20CHAR) nameType) (= (type T.A21CHAR) nameType) (= (type T.A22CHAR) nameType) (= (type T.A23CHAR) nameType) (= (type T.A24CHAR) nameType) (= (type T.A25CHAR) nameType) (= (type T.A26CHAR) nameType) (= (type T.A27CHAR) nameType) (= (type T.A28CHAR) nameType) (= (type T.A28PFDRIVER_DISPATCH) nameType) (= (type T.A30CHAR) nameType) (= (type T.A31CHAR) nameType) (= (type T.A32CHAR) nameType) (= (type T.A32UINT2) nameType) (= (type T.A34CHAR) nameType) (= (type T.A35CHAR) nameType) (= (type T.A37CHAR) nameType) (= (type T.A3UCHAR) nameType) (= (type T.A3UINT4) nameType) (= (type T.A3_LUID_AND_ATTRIBUTES) nameType) (= (type T.A4PVOID) nameType) (= (type T.A7_DEVICE_POWER_STATE) nameType) (= (type T.A8UCHAR) nameType) (= (type T.BUS_QUERY_ID_TYPE) nameType) (= (type T.CHAR) nameType) (= (type T.DEVICE_TEXT_TYPE) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F10) nameType) (= (type T.F11) nameType) (= (type T.F12) nameType) (= (type T.F13) nameType) (= (type T.F14) nameType) (= (type T.F15) nameType) (= (type T.F16) nameType) (= (type T.F17) nameType) (= (type T.F18) nameType) (= (type T.F19) nameType) (= (type T.F2) nameType) (= (type T.F20) nameType) (= (type T.F21) nameType) (= (type T.F22) nameType) (= (type T.F23) nameType) (= (type T.F24) nameType) (= (type T.F25) nameType) (= (type T.F26) nameType) (= (type T.F27) nameType) (= (type T.F28) nameType) (= (type T.F29) nameType) (= (type T.F3) nameType) (= (type T.F30) nameType) (= (type T.F31) nameType) (= (type T.F32) nameType) (= (type T.F33) nameType) (= (type T.F34) nameType) (= (type T.F35) nameType) (= (type T.F36) nameType) (= (type T.F37) nameType) (= (type T.F38) nameType) (= (type T.F39) nameType) (= (type T.F4) nameType) (= (type T.F40) nameType) (= (type T.F41) nameType) (= (type T.F42) nameType) (= (type T.F43) nameType) (= (type T.F44) nameType) (= (type T.F45) nameType) (= (type T.F5) nameType) (= (type T.F6) nameType) (= (type T.F7) nameType) (= (type T.F8) nameType) (= (type T.F9) nameType) (= (type T.FDRIVER_ADD_DEVICE) nameType) (= (type T.FDRIVER_CANCEL) nameType) (= (type T.FDRIVER_DISPATCH) nameType) (= (type T.FDRIVER_INITIALIZE) nameType) (= (type T.FDRIVER_STARTIO) nameType) (= (type T.FDRIVER_UNLOAD) nameType) (= (type T.FFAST_IO_ACQUIRE_FILE) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.FFAST_IO_DETACH_DEVICE) nameType) (= (type T.FFAST_IO_DEVICE_CONTROL) nameType) (= (type T.FFAST_IO_LOCK) nameType) (= (type T.FFAST_IO_MDL_READ) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.FFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.FFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.FFAST_IO_QUERY_OPEN) nameType) (= (type T.FFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.FFAST_IO_READ) nameType) (= (type T.FFAST_IO_READ_COMPRESSED) nameType) (= (type T.FFAST_IO_RELEASE_FILE) nameType) (= (type T.FFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_UNLOCK_ALL) nameType) (= (type T.FFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.FFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.FFAST_IO_WRITE) nameType) (= (type T.FFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.FIO_COMPLETION_ROUTINE) nameType) (= (type T.FKSERVICE_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA17CHAR) nameType) (= (type T.PA18CHAR) nameType) (= (type T.PA20CHAR) nameType) (= (type T.PA21CHAR) nameType) (= (type T.PA22CHAR) nameType) (= (type T.PA23CHAR) nameType) (= (type T.PA24CHAR) nameType) (= (type T.PA25CHAR) nameType) (= (type T.PA26CHAR) nameType) (= (type T.PA27CHAR) nameType) (= (type T.PA28CHAR) nameType) (= (type T.PA30CHAR) nameType) (= (type T.PA31CHAR) nameType) (= (type T.PA32CHAR) nameType) (= (type T.PA34CHAR) nameType) (= (type T.PA35CHAR) nameType) (= (type T.PA37CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF20) nameType) (= (type T.PF21) nameType) (= (type T.PF22) nameType) (= (type T.PF24) nameType) (= (type T.PF25) nameType) (= (type T.PF26) nameType) (= (type T.PF32) nameType) (= (type T.PF33) nameType) (= (type T.PF34) nameType) (= (type T.PF36) nameType) (= (type T.PF37) nameType) (= (type T.PF38) nameType) (= (type T.PF39) nameType) (= (type T.PF40) nameType) (= (type T.PF41) nameType) (= (type T.PF42) nameType) (= (type T.PF43) nameType) (= (type T.PF44) nameType) (= (type T.PF45) nameType) (= (type T.PFDRIVER_ADD_DEVICE) nameType) (= (type T.PFDRIVER_CANCEL) nameType) (= (type T.PFDRIVER_DISPATCH) nameType) (= (type T.PFDRIVER_INITIALIZE) nameType) (= (type T.PFDRIVER_STARTIO) nameType) (= (type T.PFDRIVER_UNLOAD) nameType) (= (type T.PFFAST_IO_ACQUIRE_FILE) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.PFFAST_IO_DETACH_DEVICE) nameType) (= (type T.PFFAST_IO_DEVICE_CONTROL) nameType) (= (type T.PFFAST_IO_LOCK) nameType) (= (type T.PFFAST_IO_MDL_READ) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.PFFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.PFFAST_IO_QUERY_OPEN) nameType) (= (type T.PFFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.PFFAST_IO_READ) nameType) (= (type T.PFFAST_IO_READ_COMPRESSED) nameType) (= (type T.PFFAST_IO_RELEASE_FILE) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.PFFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.PFFAST_IO_WRITE) nameType) (= (type T.PFFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.PFIO_COMPLETION_ROUTINE) nameType) (= (type T.PFKSERVICE_ROUTINE) nameType) (= (type T.PINT2) nameType) (= (type T.PINT4) nameType) (= (type T.POWER_ACTION) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPF0) nameType) (= (type T.PPF25) nameType) (= (type T.PPF34) nameType) (= (type T.PPF43) nameType) (= (type T.PPF44) nameType) (= (type T.PPFDRIVER_CANCEL) nameType) (= (type T.PPINT2) nameType) (= (type T.PPINT4) nameType) (= (type T.PPP_IRP) nameType) (= (type T.PPUCHAR) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PP_DEVICE_OBJECT) nameType) (= (type T.PP_ERESOURCE) nameType) (= (type T.PP_IO_STACK_LOCATION) nameType) (= (type T.PP_IRP) nameType) (= (type T.PP_KDPC) nameType) (= (type T.PP_KEVENT) nameType) (= (type T.PP_KINTERRUPT) nameType) (= (type T.PP_KTIMER) nameType) (= (type T.PP_LARGE_INTEGER) nameType) (= (type T.PP_LIST_ENTRY) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_SERIAL_BAUD_RATE) nameType) (= (type T.PP_SERIAL_CHARS) nameType) (= (type T.PP_SERIAL_COMMPROP) nameType) (= (type T.PP_SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PP_SERIAL_HANDFLOW) nameType) (= (type T.PP_SERIAL_LINE_CONTROL) nameType) (= (type T.PP_SERIAL_QUEUE_SIZE) nameType) (= (type T.PP_SERIAL_TIMEOUTS) nameType) (= (type T.PP_SERIAL_XOFF_COUNTER) nameType) (= (type T.PP_UNICODE_STRING) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT2) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWMIGUIDREGINFO) nameType) (= (type T.P_ACCESS_STATE) nameType) (= (type T.P_CM_RESOURCE_LIST) nameType) (= (type T.P_COMPRESSED_DATA_INFO) nameType) (= (type T.P_DEVICE_CAPABILITIES) nameType) (= (type T.P_DEVICE_OBJECT) nameType) (= (type T.P_DEVICE_POWER_STATE) nameType) (= (type T.P_DEVOBJ_EXTENSION) nameType) (= (type T.P_DRIVER_EXTENSION) nameType) (= (type T.P_DRIVER_OBJECT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_ERESOURCE) nameType) (= (type T.P_EVENT_TYPE) nameType) (= (type T.P_FAST_IO_DISPATCH) nameType) (= (type T.P_FILE_BASIC_INFORMATION) nameType) (= (type T.P_FILE_GET_QUOTA_INFORMATION) nameType) (= (type T.P_FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.P_FILE_OBJECT) nameType) (= (type T.P_FILE_STANDARD_INFORMATION) nameType) (= (type T.P_GUID) nameType) (= (type T.P_INTERFACE) nameType) (= (type T.P_IO_COMPLETION_CONTEXT) nameType) (= (type T.P_IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.P_IO_SECURITY_CONTEXT) nameType) (= (type T.P_IO_STACK_LOCATION) nameType) (= (type T.P_IO_STATUS_BLOCK) nameType) (= (type T.P_IO_TIMER) nameType) (= (type T.P_IRP) nameType) (= (type T.P_KAPC) nameType) (= (type T.P_KDPC) nameType) (= (type T.P_KEVENT) nameType) (= (type T.P_KINTERRUPT) nameType) (= (type T.P_KPROCESS) nameType) (= (type T.P_KSEMAPHORE) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_KTIMER) nameType) (= (type T.P_KWAIT_REASON) nameType) (= (type T.P_LARGE_INTEGER) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_OWNER_ENTRY) nameType) (= (type T.P_POOL_TYPE) nameType) (= (type T.P_POWER_SEQUENCE) nameType) (= (type T.P_POWER_STATE) nameType) (= (type T.P_SCSI_REQUEST_BLOCK) nameType) (= (type T.P_SECTION_OBJECT_POINTERS) nameType) (= (type T.P_SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.P_SERIAL_BAUD_RATE) nameType) (= (type T.P_SERIAL_CHARS) nameType) (= (type T.P_SERIAL_CISR_SW) nameType) (= (type T.P_SERIAL_COMMPROP) nameType) (= (type T.P_SERIAL_DEVICE_EXTENSION) nameType) (= (type T.P_SERIAL_HANDFLOW) nameType) (= (type T.P_SERIAL_IOCTL_SYNC) nameType) (= (type T.P_SERIAL_LINE_CONTROL) nameType) (= (type T.P_SERIAL_QUEUE_SIZE) nameType) (= (type T.P_SERIAL_RESIZE_PARAMS) nameType) (= (type T.P_SERIAL_TIMEOUTS) nameType) (= (type T.P_SERIAL_UPDATE_CHAR) nameType) (= (type T.P_SERIAL_XOFF_COUNTER) nameType) (= (type T.P_UNICODE_STRING) nameType) (= (type T.P_VPB) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT2) nameType) (= (type T.UINT4) nameType) (= (type T.UINT8) nameType) (= (type T.VOID) nameType) (= (type T.WMIENABLEDISABLECONTROL) nameType) (= (type T.WMIGUIDREGINFO) nameType) (= (type T._ACCESS_STATE) nameType) (= (type T._CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T._CM_RESOURCE_LIST) nameType) (= (type T._COMPRESSED_DATA_INFO) nameType) (= (type T._DEVICE_CAPABILITIES) nameType) (= (type T._DEVICE_OBJECT) nameType) (= (type T._DEVICE_POWER_STATE) nameType) (= (type T._DEVICE_RELATION_TYPE) nameType) (= (type T._DEVICE_USAGE_NOTIFICATION_TYPE) nameType) (= (type T._DEVOBJ_EXTENSION) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._DRIVER_EXTENSION) nameType) (= (type T._DRIVER_OBJECT) nameType) (= (type T._EPROCESS) nameType) (= (type T._ERESOURCE) nameType) (= (type T._EVENT_TYPE) nameType) (= (type T._FAST_IO_DISPATCH) nameType) (= (type T._FAST_MUTEX) nameType) (= (type T._FILE_BASIC_INFORMATION) nameType) (= (type T._FILE_GET_QUOTA_INFORMATION) nameType) (= (type T._FILE_INFORMATION_CLASS) nameType) (= (type T._FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T._FILE_OBJECT) nameType) (= (type T._FILE_STANDARD_INFORMATION) nameType) (= (type T._FSINFOCLASS) nameType) (= (type T._GUID) nameType) (= (type T._INITIAL_PRIVILEGE_SET) nameType) (= (type T._INTERFACE) nameType) (= (type T._INTERFACE_TYPE) nameType) (= (type T._IO_ALLOCATION_ACTION) nameType) (= (type T._IO_COMPLETION_CONTEXT) nameType) (= (type T._IO_RESOURCE_DESCRIPTOR) nameType) (= (type T._IO_RESOURCE_LIST) nameType) (= (type T._IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T._IO_SECURITY_CONTEXT) nameType) (= (type T._IO_STACK_LOCATION) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._IO_TIMER) nameType) (= (type T._IRP) nameType) (= (type T._IRQ_DEVICE_POLICY) nameType) (= (type T._IRQ_PRIORITY) nameType) (= (type T._KAPC) nameType) (= (type T._KDEVICE_QUEUE) nameType) (= (type T._KDEVICE_QUEUE_ENTRY) nameType) (= (type T._KDPC) nameType) (= (type T._KEVENT) nameType) (= (type T._KINTERRUPT) nameType) (= (type T._KPROCESS) nameType) (= (type T._KSEMAPHORE) nameType) (= (type T._KTHREAD) nameType) (= (type T._KTIMER) nameType) (= (type T._KWAIT_REASON) nameType) (= (type T._LARGE_INTEGER) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._LUID) nameType) (= (type T._LUID_AND_ATTRIBUTES) nameType) (= (type T._MDL) nameType) (= (type T._OWNER_ENTRY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._POWER_SEQUENCE) nameType) (= (type T._POWER_STATE) nameType) (= (type T._POWER_STATE_TYPE) nameType) (= (type T._PRIVILEGE_SET) nameType) (= (type T._SCSI_REQUEST_BLOCK) nameType) (= (type T._SECTION_OBJECT_POINTERS) nameType) (= (type T._SECURITY_IMPERSONATION_LEVEL) nameType) (= (type T._SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T._SECURITY_SUBJECT_CONTEXT) nameType) (= (type T._SERIALPERF_STATS) nameType) (= (type T._SERIAL_BAUD_RATE) nameType) (= (type T._SERIAL_CHARS) nameType) (= (type T._SERIAL_CISR_SW) nameType) (= (type T._SERIAL_COMMPROP) nameType) (= (type T._SERIAL_DEVICE_EXTENSION) nameType) (= (type T._SERIAL_DEVICE_STATE) nameType) (= (type T._SERIAL_HANDFLOW) nameType) (= (type T._SERIAL_IOCTL_SYNC) nameType) (= (type T._SERIAL_LINE_CONTROL) nameType) (= (type T._SERIAL_QUEUE_SIZE) nameType) (= (type T._SERIAL_RESIZE_PARAMS) nameType) (= (type T._SERIAL_TIMEOUTS) nameType) (= (type T._SERIAL_UPDATE_CHAR) nameType) (= (type T._SERIAL_WMI_COMM_DATA) nameType) (= (type T._SERIAL_WMI_HW_DATA) nameType) (= (type T._SERIAL_WMI_PERF_DATA) nameType) (= (type T._SERIAL_XOFF_COUNTER) nameType) (= (type T._SYSTEM_POWER_STATE) nameType) (= (type T._SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T._ULARGE_INTEGER) nameType) (= (type T._UNICODE_STRING) nameType) (= (type T._VPB) nameType) (= (type T._WAIT_CONTEXT_BLOCK) nameType) (= (type T._WMILIB_CONTEXT) nameType) (= (type T.__unnamed_12_0cb3dc26) nameType) (= (type T.__unnamed_12_1a4b0b08) nameType) (= (type T.__unnamed_12_1cbe20d6) nameType) (= (type T.__unnamed_12_28f1f9cc) nameType) (= (type T.__unnamed_12_29a9546e) nameType) (= (type T.__unnamed_12_33a88444) nameType) (= (type T.__unnamed_12_468ce3a2) nameType) (= (type T.__unnamed_12_5cc47a19) nameType) (= (type T.__unnamed_12_6fbd747c) nameType) (= (type T.__unnamed_12_9a27b966) nameType) (= (type T.__unnamed_12_9eaf06f6) nameType) (= (type T.__unnamed_12_a967ef4a) nameType) (= (type T.__unnamed_12_ab6ff61b) nameType) (= (type T.__unnamed_12_ad4e1918) nameType) (= (type T.__unnamed_12_c0c3bd45) nameType) (= (type T.__unnamed_12_df63118d) nameType) (= (type T.__unnamed_12_e5164c3f) nameType) (= (type T.__unnamed_12_f1f9be0a) nameType) (= (type T.__unnamed_12_f354d203) nameType) (= (type T.__unnamed_16_2ab145ec) nameType) (= (type T.__unnamed_16_30f1d328) nameType) (= (type T.__unnamed_16_3277c3a0) nameType) (= (type T.__unnamed_16_3a584a7c) nameType) (= (type T.__unnamed_16_3dec08db) nameType) (= (type T.__unnamed_16_57edbc3a) nameType) (= (type T.__unnamed_16_5ac3fe10) nameType) (= (type T.__unnamed_16_5bbbf1e7) nameType) (= (type T.__unnamed_16_66abee0d) nameType) (= (type T.__unnamed_16_6c8935f2) nameType) (= (type T.__unnamed_16_834e30a3) nameType) (= (type T.__unnamed_16_83707d7f) nameType) (= (type T.__unnamed_16_94922103) nameType) (= (type T.__unnamed_16_9eb64f79) nameType) (= (type T.__unnamed_16_a71f10bf) nameType) (= (type T.__unnamed_16_af2c1884) nameType) (= (type T.__unnamed_16_b1a6a9b2) nameType) (= (type T.__unnamed_16_c774559b) nameType) (= (type T.__unnamed_16_ca1b3ad0) nameType) (= (type T.__unnamed_1_4258582a) nameType) (= (type T.__unnamed_1_4f5916b9) nameType) (= (type T.__unnamed_1_923f487b) nameType) (= (type T.__unnamed_1_ac5cb154) nameType) (= (type T.__unnamed_20_9fc4dd36) nameType) (= (type T.__unnamed_24_76c1f52c) nameType) (= (type T.__unnamed_24_87e4ad03) nameType) (= (type T.__unnamed_24_87fb9019) nameType) (= (type T.__unnamed_24_af527a47) nameType) (= (type T.__unnamed_24_b3ef9869) nameType) (= (type T.__unnamed_24_c23e34f7) nameType) (= (type T.__unnamed_24_e04d7241) nameType) (= (type T.__unnamed_2_1d659b1d) nameType) (= (type T.__unnamed_40_1db13fa5) nameType) (= (type T.__unnamed_40_ebf2206a) nameType) (= (type T.__unnamed_44_0d347e8a) nameType) (= (type T.__unnamed_48_ffd8d308) nameType) (= (type T.__unnamed_4_04fc9c34) nameType) (= (type T.__unnamed_4_082ca2fa) nameType) (= (type T.__unnamed_4_142d6b52) nameType) (= (type T.__unnamed_4_1c47e29a) nameType) (= (type T.__unnamed_4_3dc37e35) nameType) (= (type T.__unnamed_4_4d53984e) nameType) (= (type T.__unnamed_4_522a02ae) nameType) (= (type T.__unnamed_4_61d4f5e1) nameType) (= (type T.__unnamed_4_6eaf329f) nameType) (= (type T.__unnamed_4_7b44c46c) nameType) (= (type T.__unnamed_4_7bab7ec3) nameType) (= (type T.__unnamed_4_a8006df8) nameType) (= (type T.__unnamed_4_ab1173de) nameType) (= (type T.__unnamed_4_b2e59cbb) nameType) (= (type T.__unnamed_4_b38dc67f) nameType) (= (type T.__unnamed_4_c62ef092) nameType) (= (type T.__unnamed_4_ce0c1b82) nameType) (= (type T.__unnamed_4_cedfeccd) nameType) (= (type T.__unnamed_4_f13e195c) nameType) (= (type T.__unnamed_4_f14caa62) nameType) (= (type T.__unnamed_4_f18e264a) nameType) (= (type T.__unnamed_8_06a6de28) nameType) (= (type T.__unnamed_8_219179d3) nameType) (= (type T.__unnamed_8_380551ca) nameType) (= (type T.__unnamed_8_3ebf0971) nameType) (= (type T.__unnamed_8_45a58840) nameType) (= (type T.__unnamed_8_544b88f4) nameType) (= (type T.__unnamed_8_5bc13409) nameType) (= (type T.__unnamed_8_5d23cded) nameType) (= (type T.__unnamed_8_5d67d492) nameType) (= (type T.__unnamed_8_655e974a) nameType) (= (type T.__unnamed_8_a4174c52) nameType) (= (type T.__unnamed_8_a569aa82) nameType) (= (type T.__unnamed_8_b3031d0e) nameType) (= (type T.__unnamed_8_b7ca8084) nameType) (= (type T.__unnamed_8_b8c2e139) nameType) (= (type T.__unnamed_8_baf71367) nameType) (= (type T.__unnamed_8_be4b9317) nameType) (= (type T.__unnamed_8_d81ae7e8) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_Argument4___unnamed_16_5ac3fe10 ?arg018)) ?v_0) :pattern ((x_S_Argument4___unnamed_16_5ac3fe10 ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_Argument4___unnamed_16_5ac3fe10Inv ?arg019)) ?v_0) :pattern ((x_S_Argument4___unnamed_16_5ac3fe10Inv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_AssociatedIrp__IRP ?arg020)) ?v_0) :pattern ((x_S_AssociatedIrp__IRP ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_AssociatedIrp__IRPInv ?arg021)) ?v_0) :pattern ((x_S_AssociatedIrp__IRPInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_BAUD_RATE ?arg022)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_BAUD_RATE ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_BAUD_RATEInv ?arg023)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_BAUD_RATEInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?arg024)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_WMI_COMM_DATA ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?arg025)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?arg026)) ?v_0) :pattern ((x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?arg027)) ?v_0) :pattern ((x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRY ?arg028)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRY ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRYInv ?arg029)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRYInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_BreakChar__SERIAL_CHARS ?arg030)) ?v_0) :pattern ((x_S_BreakChar__SERIAL_CHARS ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_BreakChar__SERIAL_CHARSInv ?arg031)) ?v_0) :pattern ((x_S_BreakChar__SERIAL_CHARSInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?arg032)) ?v_0) :pattern ((x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?arg033)) ?v_0) :pattern ((x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_CancelIrql__IRP ?arg034)) ?v_0) :pattern ((x_S_CancelIrql__IRP ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_CancelIrql__IRPInv ?arg035)) ?v_0) :pattern ((x_S_CancelIrql__IRPInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_CancelRoutine__IRP ?arg036)) ?v_0) :pattern ((x_S_CancelRoutine__IRP ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_CancelRoutine__IRPInv ?arg037)) ?v_0) :pattern ((x_S_CancelRoutine__IRPInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_Cancel__IRP ?arg038)) ?v_0) :pattern ((x_S_Cancel__IRP ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_Cancel__IRPInv ?arg039)) ?v_0) :pattern ((x_S_Cancel__IRPInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?arg040)) ?v_0) :pattern ((x_S_CharsCopied__SERIAL_UPDATE_CHAR ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?arg041)) ?v_0) :pattern ((x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?arg042)) ?v_0) :pattern ((x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg043)) ?v_0) :pattern ((x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?arg044)) ?v_0) :pattern ((x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?arg045)) ?v_0) :pattern ((x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Completed__SERIAL_UPDATE_CHAR ?arg046)) ?v_0) :pattern ((x_S_Completed__SERIAL_UPDATE_CHAR ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Completed__SERIAL_UPDATE_CHARInv ?arg047)) ?v_0) :pattern ((x_S_Completed__SERIAL_UPDATE_CHARInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_ControlHandShake__SERIAL_HANDFLOW ?arg048)) ?v_0) :pattern ((x_S_ControlHandShake__SERIAL_HANDFLOW ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?arg049)) ?v_0) :pattern ((x_S_ControlHandShake__SERIAL_HANDFLOWInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?arg050)) ?v_0) :pattern ((x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?arg051)) ?v_0) :pattern ((x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_Controller__SERIAL_DEVICE_EXTENSION ?arg052)) ?v_0) :pattern ((x_S_Controller__SERIAL_DEVICE_EXTENSION ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?arg053)) ?v_0) :pattern ((x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?arg054)) ?v_0) :pattern ((x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?arg055)) ?v_0) :pattern ((x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_Counter__SERIAL_XOFF_COUNTER ?arg056)) ?v_0) :pattern ((x_S_Counter__SERIAL_XOFF_COUNTER ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_Counter__SERIAL_XOFF_COUNTERInv ?arg057)) ?v_0) :pattern ((x_S_Counter__SERIAL_XOFF_COUNTERInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?arg058)) ?v_0) :pattern ((x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?arg059)) ?v_0) :pattern ((x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?arg060)) ?v_0) :pattern ((x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?arg061)) ?v_0) :pattern ((x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?arg062)) ?v_0) :pattern ((x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?arg063)) ?v_0) :pattern ((x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?arg064)) ?v_0) :pattern ((x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?arg065)) ?v_0) :pattern ((x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?arg066)) ?v_0) :pattern ((x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?arg067)) ?v_0) :pattern ((x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_CurrentRxQueue__SERIAL_COMMPROP ?arg068)) ?v_0) :pattern ((x_S_CurrentRxQueue__SERIAL_COMMPROP ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?arg069)) ?v_0) :pattern ((x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_CurrentTxQueue__SERIAL_COMMPROP ?arg070)) ?v_0) :pattern ((x_S_CurrentTxQueue__SERIAL_COMMPROP ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?arg071)) ?v_0) :pattern ((x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?arg072)) ?v_0) :pattern ((x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?arg073)) ?v_0) :pattern ((x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?arg074)) ?v_0) :pattern ((x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?arg075)) ?v_0) :pattern ((x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?arg076)) ?v_0) :pattern ((x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?arg077)) ?v_0) :pattern ((x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_Data__SERIAL_IOCTL_SYNC ?arg078)) ?v_0) :pattern ((x_S_Data__SERIAL_IOCTL_SYNC ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_Data__SERIAL_IOCTL_SYNCInv ?arg079)) ?v_0) :pattern ((x_S_Data__SERIAL_IOCTL_SYNCInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_DeviceExtension__DEVICE_OBJECT ?arg080)) ?v_0) :pattern ((x_S_DeviceExtension__DEVICE_OBJECT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_DeviceExtension__DEVICE_OBJECTInv ?arg081)) ?v_0) :pattern ((x_S_DeviceExtension__DEVICE_OBJECTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S_DeviceIoControl___unnamed_16_57edbc3a ?arg082)) ?v_0) :pattern ((x_S_DeviceIoControl___unnamed_16_57edbc3a ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?arg083)) ?v_0) :pattern ((x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?arg083)) )) (forall ((?arg084 boogieU)) (! (= (type (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?arg084)) ?v_0) :pattern ((x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?arg084)) )) (forall ((?arg085 boogieU)) (! (= (type (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?arg085)) ?v_0) :pattern ((x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?arg085)) )) (forall ((?arg086 boogieU)) (! (= (type (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?arg086)) ?v_0) :pattern ((x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?arg086)) )) (forall ((?arg087 boogieU)) (! (= (type (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?arg087)) ?v_0) :pattern ((x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?arg087)) )) (forall ((?arg088 boogieU)) (! (= (type (x_S_DeviceState__POWER_STATE ?arg088)) ?v_0) :pattern ((x_S_DeviceState__POWER_STATE ?arg088)) )) (forall ((?arg089 boogieU)) (! (= (type (x_S_DeviceState__POWER_STATEInv ?arg089)) ?v_0) :pattern ((x_S_DeviceState__POWER_STATEInv ?arg089)) )) (forall ((?arg090 boogieU)) (! (= (type (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?arg090)) ?v_0) :pattern ((x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?arg090)) )) (forall ((?arg091 boogieU)) (! (= (type (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?arg091)) ?v_0) :pattern ((x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?arg091)) )) (forall ((?arg092 boogieU)) (! (= (type (x_S_Dpc__KTIMER ?arg092)) ?v_0) :pattern ((x_S_Dpc__KTIMER ?arg092)) )) (forall ((?arg093 boogieU)) (! (= (type (x_S_Dpc__KTIMERInv ?arg093)) ?v_0) :pattern ((x_S_Dpc__KTIMERInv ?arg093)) )) (forall ((?arg094 boogieU)) (! (= (type (x_S_EofChar__SERIAL_CHARS ?arg094)) ?v_0) :pattern ((x_S_EofChar__SERIAL_CHARS ?arg094)) )) (forall ((?arg095 boogieU)) (! (= (type (x_S_EofChar__SERIAL_CHARSInv ?arg095)) ?v_0) :pattern ((x_S_EofChar__SERIAL_CHARSInv ?arg095)) )) (forall ((?arg096 boogieU)) (! (= (type (x_S_ErrorChar__SERIAL_CHARS ?arg096)) ?v_0) :pattern ((x_S_ErrorChar__SERIAL_CHARS ?arg096)) )) (forall ((?arg097 boogieU)) (! (= (type (x_S_ErrorChar__SERIAL_CHARSInv ?arg097)) ?v_0) :pattern ((x_S_ErrorChar__SERIAL_CHARSInv ?arg097)) )) (forall ((?arg098 boogieU)) (! (= (type (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?arg098)) ?v_0) :pattern ((x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?arg098)) )) (forall ((?arg099 boogieU)) (! (= (type (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?arg099)) ?v_0) :pattern ((x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?arg099)) )) (forall ((?arg0100 boogieU)) (! (= (type (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?arg0100)) ?v_0) :pattern ((x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?arg0100)) )) (forall ((?arg0101 boogieU)) (! (= (type (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?arg0101)) ?v_0) :pattern ((x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?arg0101)) )) (forall ((?arg0102 boogieU)) (! (= (type (x_S_EventChar__SERIAL_CHARS ?arg0102)) ?v_0) :pattern ((x_S_EventChar__SERIAL_CHARS ?arg0102)) )) (forall ((?arg0103 boogieU)) (! (= (type (x_S_EventChar__SERIAL_CHARSInv ?arg0103)) ?v_0) :pattern ((x_S_EventChar__SERIAL_CHARSInv ?arg0103)) )) (forall ((?arg0104 boogieU)) (! (= (type (x_S_Extension__SERIAL_IOCTL_SYNC ?arg0104)) ?v_0) :pattern ((x_S_Extension__SERIAL_IOCTL_SYNC ?arg0104)) )) (forall ((?arg0105 boogieU)) (! (= (type (x_S_Extension__SERIAL_IOCTL_SYNCInv ?arg0105)) ?v_0) :pattern ((x_S_Extension__SERIAL_IOCTL_SYNCInv ?arg0105)) )) (forall ((?arg0106 boogieU)) (! (= (type (x_S_Extension__SERIAL_RESIZE_PARAMS ?arg0106)) ?v_0) :pattern ((x_S_Extension__SERIAL_RESIZE_PARAMS ?arg0106)) )) (forall ((?arg0107 boogieU)) (! (= (type (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?arg0107)) ?v_0) :pattern ((x_S_Extension__SERIAL_RESIZE_PARAMSInv ?arg0107)) )) (forall ((?arg0108 boogieU)) (! (= (type (x_S_Extension__SERIAL_UPDATE_CHAR ?arg0108)) ?v_0) :pattern ((x_S_Extension__SERIAL_UPDATE_CHAR ?arg0108)) )) (forall ((?arg0109 boogieU)) (! (= (type (x_S_Extension__SERIAL_UPDATE_CHARInv ?arg0109)) ?v_0) :pattern ((x_S_Extension__SERIAL_UPDATE_CHARInv ?arg0109)) )) (forall ((?arg0110 boogieU)) (! (= (type (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?arg0110)) ?v_0) :pattern ((x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?arg0110)) )) (forall ((?arg0111 boogieU)) (! (= (type (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?arg0111)) ?v_0) :pattern ((x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?arg0111)) )) (forall ((?arg0112 boogieU)) (! (= (type (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?arg0112)) ?v_0) :pattern ((x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?arg0112)) )) (forall ((?arg0113 boogieU)) (! (= (type (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?arg0113)) ?v_0) :pattern ((x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?arg0113)) )) (forall ((?arg0114 boogieU)) (! (= (type (x_S_Flags__SERIAL_DEVICE_EXTENSION ?arg0114)) ?v_0) :pattern ((x_S_Flags__SERIAL_DEVICE_EXTENSION ?arg0114)) )) (forall ((?arg0115 boogieU)) (! (= (type (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?arg0115)) ?v_0) :pattern ((x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?arg0115)) )) (forall ((?arg0116 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRY ?arg0116)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRY ?arg0116)) )) (forall ((?arg0117 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRYInv ?arg0117)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRYInv ?arg0117)) )) (forall ((?arg0118 boogieU)) (! (= (type (x_S_FlowReplace__SERIAL_HANDFLOW ?arg0118)) ?v_0) :pattern ((x_S_FlowReplace__SERIAL_HANDFLOW ?arg0118)) )) (forall ((?arg0119 boogieU)) (! (= (type (x_S_FlowReplace__SERIAL_HANDFLOWInv ?arg0119)) ?v_0) :pattern ((x_S_FlowReplace__SERIAL_HANDFLOWInv ?arg0119)) )) (forall ((?arg0120 boogieU)) (! (= (type (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?arg0120)) ?v_0) :pattern ((x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?arg0120)) )) (forall ((?arg0121 boogieU)) (! (= (type (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?arg0121)) ?v_0) :pattern ((x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?arg0121)) )) (forall ((?arg0122 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_544b88f4 ?arg0122)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_544b88f4 ?arg0122)) )) (forall ((?arg0123 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_544b88f4Inv ?arg0123)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_544b88f4Inv ?arg0123)) )) (forall ((?arg0124 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_5d67d492 ?arg0124)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_5d67d492 ?arg0124)) )) (forall ((?arg0125 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_5d67d492Inv ?arg0125)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_5d67d492Inv ?arg0125)) )) (forall ((?arg0126 boogieU)) (! (= (type (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0126)) ?v_0) :pattern ((x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0126)) )) (forall ((?arg0127 boogieU)) (! (= (type (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0127)) ?v_0) :pattern ((x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0127)) )) (forall ((?arg0128 boogieU)) (! (= (type (x_S_InSize__SERIAL_QUEUE_SIZE ?arg0128)) ?v_0) :pattern ((x_S_InSize__SERIAL_QUEUE_SIZE ?arg0128)) )) (forall ((?arg0129 boogieU)) (! (= (type (x_S_InSize__SERIAL_QUEUE_SIZEInv ?arg0129)) ?v_0) :pattern ((x_S_InSize__SERIAL_QUEUE_SIZEInv ?arg0129)) )) (forall ((?arg0130 boogieU)) (! (= (type (x_S_Information__IO_STATUS_BLOCK ?arg0130)) ?v_0) :pattern ((x_S_Information__IO_STATUS_BLOCK ?arg0130)) )) (forall ((?arg0131 boogieU)) (! (= (type (x_S_Information__IO_STATUS_BLOCKInv ?arg0131)) ?v_0) :pattern ((x_S_Information__IO_STATUS_BLOCKInv ?arg0131)) )) (forall ((?arg0132 boogieU)) (! (= (type (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?arg0132)) ?v_0) :pattern ((x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?arg0132)) )) (forall ((?arg0133 boogieU)) (! (= (type (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0133)) ?v_0) :pattern ((x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0133)) )) (forall ((?arg0134 boogieU)) (! (= (type (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?arg0134)) ?v_0) :pattern ((x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?arg0134)) )) (forall ((?arg0135 boogieU)) (! (= (type (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg0135)) ?v_0) :pattern ((x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg0135)) )) (forall ((?arg0136 boogieU)) (! (= (type (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?arg0136)) ?v_0) :pattern ((x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?arg0136)) )) (forall ((?arg0137 boogieU)) (! (= (type (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?arg0137)) ?v_0) :pattern ((x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?arg0137)) )) (forall ((?arg0138 boogieU)) (! (= (type (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0138)) ?v_0) :pattern ((x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0138)) )) (forall ((?arg0139 boogieU)) (! (= (type (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0139)) ?v_0) :pattern ((x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0139)) )) (forall ((?arg0140 boogieU)) (! (= (type (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?arg0140)) ?v_0) :pattern ((x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?arg0140)) )) (forall ((?arg0141 boogieU)) (! (= (type (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?arg0141)) ?v_0) :pattern ((x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?arg0141)) )) (forall ((?arg0142 boogieU)) (! (= (type (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?arg0142)) ?v_0) :pattern ((x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?arg0142)) )) (forall ((?arg0143 boogieU)) (! (= (type (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?arg0143)) ?v_0) :pattern ((x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?arg0143)) )) (forall ((?arg0144 boogieU)) (! (= (type (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?arg0144)) ?v_0) :pattern ((x_S_IoControlCode___unnamed_16_5bbbf1e7 ?arg0144)) )) (forall ((?arg0145 boogieU)) (! (= (type (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?arg0145)) ?v_0) :pattern ((x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?arg0145)) )) (forall ((?arg0146 boogieU)) (! (= (type (x_S_IoStatus__IRP ?arg0146)) ?v_0) :pattern ((x_S_IoStatus__IRP ?arg0146)) )) (forall ((?arg0147 boogieU)) (! (= (type (x_S_IoStatus__IRPInv ?arg0147)) ?v_0) :pattern ((x_S_IoStatus__IRPInv ?arg0147)) )) (forall ((?arg0148 boogieU)) (! (= (type (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?arg0148)) ?v_0) :pattern ((x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?arg0148)) )) (forall ((?arg0149 boogieU)) (! (= (type (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?arg0149)) ?v_0) :pattern ((x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?arg0149)) )) (forall ((?arg0150 boogieU)) (! (= (type (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?arg0150)) ?v_0) :pattern ((x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?arg0150)) )) (forall ((?arg0151 boogieU)) (! (= (type (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?arg0151)) ?v_0) :pattern ((x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?arg0151)) )) (forall ((?arg0152 boogieU)) (! (= (type (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?arg0152)) ?v_0) :pattern ((x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?arg0152)) )) (forall ((?arg0153 boogieU)) (! (= (type (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?arg0153)) ?v_0) :pattern ((x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?arg0153)) )) (forall ((?arg0154 boogieU)) (! (= (type (x_S_Length___unnamed_16_3a584a7c ?arg0154)) ?v_0) :pattern ((x_S_Length___unnamed_16_3a584a7c ?arg0154)) )) (forall ((?arg0155 boogieU)) (! (= (type (x_S_Length___unnamed_16_3a584a7cInv ?arg0155)) ?v_0) :pattern ((x_S_Length___unnamed_16_3a584a7cInv ?arg0155)) )) (forall ((?arg0156 boogieU)) (! (= (type (x_S_Length___unnamed_16_94922103 ?arg0156)) ?v_0) :pattern ((x_S_Length___unnamed_16_94922103 ?arg0156)) )) (forall ((?arg0157 boogieU)) (! (= (type (x_S_Length___unnamed_16_94922103Inv ?arg0157)) ?v_0) :pattern ((x_S_Length___unnamed_16_94922103Inv ?arg0157)) )) (forall ((?arg0158 boogieU)) (! (= (type (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?arg0158)) ?v_0) :pattern ((x_S_LineControl__SERIAL_DEVICE_EXTENSION ?arg0158)) )) (forall ((?arg0159 boogieU)) (! (= (type (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?arg0159)) ?v_0) :pattern ((x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?arg0159)) )) (forall ((?arg0160 boogieU)) (! (= (type (x_S_ListEntry___unnamed_12_5cc47a19 ?arg0160)) ?v_0) :pattern ((x_S_ListEntry___unnamed_12_5cc47a19 ?arg0160)) )) (forall ((?arg0161 boogieU)) (! (= (type (x_S_ListEntry___unnamed_12_5cc47a19Inv ?arg0161)) ?v_0) :pattern ((x_S_ListEntry___unnamed_12_5cc47a19Inv ?arg0161)) )) (forall ((?arg0162 boogieU)) (! (= (type (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0162)) ?v_0) :pattern ((x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0162)) )) (forall ((?arg0163 boogieU)) (! (= (type (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0163)) ?v_0) :pattern ((x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0163)) )) (forall ((?arg0164 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_544b88f4 ?arg0164)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_544b88f4 ?arg0164)) )) (forall ((?arg0165 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_544b88f4Inv ?arg0165)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_544b88f4Inv ?arg0165)) )) (forall ((?arg0166 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_5d67d492 ?arg0166)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_5d67d492 ?arg0166)) )) (forall ((?arg0167 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_5d67d492Inv ?arg0167)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_5d67d492Inv ?arg0167)) )) (forall ((?arg0168 boogieU)) (! (= (type (x_S_MajorFunction__IO_STACK_LOCATION ?arg0168)) ?v_0) :pattern ((x_S_MajorFunction__IO_STACK_LOCATION ?arg0168)) )) (forall ((?arg0169 boogieU)) (! (= (type (x_S_MajorFunction__IO_STACK_LOCATIONInv ?arg0169)) ?v_0) :pattern ((x_S_MajorFunction__IO_STACK_LOCATIONInv ?arg0169)) )) (forall ((?arg0170 boogieU)) (! (= (type (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?arg0170)) ?v_0) :pattern ((x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?arg0170)) )) (forall ((?arg0171 boogieU)) (! (= (type (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0171)) ?v_0) :pattern ((x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0171)) )) (forall ((?arg0172 boogieU)) (! (= (type (x_S_MaxBaud__SERIAL_COMMPROP ?arg0172)) ?v_0) :pattern ((x_S_MaxBaud__SERIAL_COMMPROP ?arg0172)) )) (forall ((?arg0173 boogieU)) (! (= (type (x_S_MaxBaud__SERIAL_COMMPROPInv ?arg0173)) ?v_0) :pattern ((x_S_MaxBaud__SERIAL_COMMPROPInv ?arg0173)) )) (forall ((?arg0174 boogieU)) (! (= (type (x_S_MaxRxQueue__SERIAL_COMMPROP ?arg0174)) ?v_0) :pattern ((x_S_MaxRxQueue__SERIAL_COMMPROP ?arg0174)) )) (forall ((?arg0175 boogieU)) (! (= (type (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?arg0175)) ?v_0) :pattern ((x_S_MaxRxQueue__SERIAL_COMMPROPInv ?arg0175)) )) (forall ((?arg0176 boogieU)) (! (= (type (x_S_MaxTxQueue__SERIAL_COMMPROP ?arg0176)) ?v_0) :pattern ((x_S_MaxTxQueue__SERIAL_COMMPROP ?arg0176)) )) (forall ((?arg0177 boogieU)) (! (= (type (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?arg0177)) ?v_0) :pattern ((x_S_MaxTxQueue__SERIAL_COMMPROPInv ?arg0177)) )) (forall ((?arg0178 boogieU)) (! (= (type (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?arg0178)) ?v_0) :pattern ((x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?arg0178)) )) (forall ((?arg0179 boogieU)) (! (= (type (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?arg0179)) ?v_0) :pattern ((x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?arg0179)) )) (forall ((?arg0180 boogieU)) (! (= (type (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?arg0180)) ?v_0) :pattern ((x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?arg0180)) )) (forall ((?arg0181 boogieU)) (! (= (type (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?arg0181)) ?v_0) :pattern ((x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?arg0181)) )) (forall ((?arg0182 boogieU)) (! (= (type (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?arg0182)) ?v_0) :pattern ((x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?arg0182)) )) (forall ((?arg0183 boogieU)) (! (= (type (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?arg0183)) ?v_0) :pattern ((x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?arg0183)) )) (forall ((?arg0184 boogieU)) (! (= (type (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?arg0184)) ?v_0) :pattern ((x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?arg0184)) )) (forall ((?arg0185 boogieU)) (! (= (type (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?arg0185)) ?v_0) :pattern ((x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?arg0185)) )) (forall ((?arg0186 boogieU)) (! (= (type (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?arg0186)) ?v_0) :pattern ((x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?arg0186)) )) (forall ((?arg0187 boogieU)) (! (= (type (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?arg0187)) ?v_0) :pattern ((x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?arg0187)) )) (forall ((?arg0188 boogieU)) (! (= (type (x_S_Others___unnamed_16_57edbc3a ?arg0188)) ?v_0) :pattern ((x_S_Others___unnamed_16_57edbc3a ?arg0188)) )) (forall ((?arg0189 boogieU)) (! (= (type (x_S_Others___unnamed_16_57edbc3aInv ?arg0189)) ?v_0) :pattern ((x_S_Others___unnamed_16_57edbc3aInv ?arg0189)) )) (forall ((?arg0190 boogieU)) (! (= (type (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?arg0190)) ?v_0) :pattern ((x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?arg0190)) )) (forall ((?arg0191 boogieU)) (! (= (type (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0191)) ?v_0) :pattern ((x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0191)) )) (forall ((?arg0192 boogieU)) (! (= (type (x_S_Overlay___unnamed_48_ffd8d308 ?arg0192)) ?v_0) :pattern ((x_S_Overlay___unnamed_48_ffd8d308 ?arg0192)) )) (forall ((?arg0193 boogieU)) (! (= (type (x_S_Overlay___unnamed_48_ffd8d308Inv ?arg0193)) ?v_0) :pattern ((x_S_Overlay___unnamed_48_ffd8d308Inv ?arg0193)) )) (forall ((?arg0194 boogieU)) (! (= (type (x_S_PacketLength__SERIAL_COMMPROP ?arg0194)) ?v_0) :pattern ((x_S_PacketLength__SERIAL_COMMPROP ?arg0194)) )) (forall ((?arg0195 boogieU)) (! (= (type (x_S_PacketLength__SERIAL_COMMPROPInv ?arg0195)) ?v_0) :pattern ((x_S_PacketLength__SERIAL_COMMPROPInv ?arg0195)) )) (forall ((?arg0196 boogieU)) (! (= (type (x_S_PacketVersion__SERIAL_COMMPROP ?arg0196)) ?v_0) :pattern ((x_S_PacketVersion__SERIAL_COMMPROP ?arg0196)) )) (forall ((?arg0197 boogieU)) (! (= (type (x_S_PacketVersion__SERIAL_COMMPROPInv ?arg0197)) ?v_0) :pattern ((x_S_PacketVersion__SERIAL_COMMPROPInv ?arg0197)) )) (forall ((?arg0198 boogieU)) (! (= (type (x_S_Parameters__IO_STACK_LOCATION ?arg0198)) ?v_0) :pattern ((x_S_Parameters__IO_STACK_LOCATION ?arg0198)) )) (forall ((?arg0199 boogieU)) (! (= (type (x_S_Parameters__IO_STACK_LOCATIONInv ?arg0199)) ?v_0) :pattern ((x_S_Parameters__IO_STACK_LOCATIONInv ?arg0199)) )) (forall ((?arg0200 boogieU)) (! (= (type (x_S_Parity__SERIAL_LINE_CONTROL ?arg0200)) ?v_0) :pattern ((x_S_Parity__SERIAL_LINE_CONTROL ?arg0200)) )) (forall ((?arg0201 boogieU)) (! (= (type (x_S_Parity__SERIAL_LINE_CONTROLInv ?arg0201)) ?v_0) :pattern ((x_S_Parity__SERIAL_LINE_CONTROLInv ?arg0201)) )) (forall ((?arg0202 boogieU)) (! (= (type (x_S_Parity__SERIAL_WMI_COMM_DATA ?arg0202)) ?v_0) :pattern ((x_S_Parity__SERIAL_WMI_COMM_DATA ?arg0202)) )) (forall ((?arg0203 boogieU)) (! (= (type (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?arg0203)) ?v_0) :pattern ((x_S_Parity__SERIAL_WMI_COMM_DATAInv ?arg0203)) )) (forall ((?arg0204 boogieU)) (! (= (type (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?arg0204)) ?v_0) :pattern ((x_S_Pdo__SERIAL_DEVICE_EXTENSION ?arg0204)) )) (forall ((?arg0205 boogieU)) (! (= (type (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?arg0205)) ?v_0) :pattern ((x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?arg0205)) )) (forall ((?arg0206 boogieU)) (! (= (type (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?arg0206)) ?v_0) :pattern ((x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?arg0206)) )) (forall ((?arg0207 boogieU)) (! (= (type (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0207)) ?v_0) :pattern ((x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0207)) )) (forall ((?arg0208 boogieU)) (! (= (type (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?arg0208)) ?v_0) :pattern ((x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?arg0208)) )) (forall ((?arg0209 boogieU)) (! (= (type (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?arg0209)) ?v_0) :pattern ((x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?arg0209)) )) (forall ((?arg0210 boogieU)) (! (= (type (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?arg0210)) ?v_0) :pattern ((x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?arg0210)) )) (forall ((?arg0211 boogieU)) (! (= (type (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0211)) ?v_0) :pattern ((x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0211)) )) (forall ((?arg0212 boogieU)) (! (= (type (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?arg0212)) ?v_0) :pattern ((x_S_PowerState__SERIAL_DEVICE_EXTENSION ?arg0212)) )) (forall ((?arg0213 boogieU)) (! (= (type (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?arg0213)) ?v_0) :pattern ((x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?arg0213)) )) (forall ((?arg0214 boogieU)) (! (= (type (x_S_ProvCapabilities__SERIAL_COMMPROP ?arg0214)) ?v_0) :pattern ((x_S_ProvCapabilities__SERIAL_COMMPROP ?arg0214)) )) (forall ((?arg0215 boogieU)) (! (= (type (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?arg0215)) ?v_0) :pattern ((x_S_ProvCapabilities__SERIAL_COMMPROPInv ?arg0215)) )) (forall ((?arg0216 boogieU)) (! (= (type (x_S_ProvSubType__SERIAL_COMMPROP ?arg0216)) ?v_0) :pattern ((x_S_ProvSubType__SERIAL_COMMPROP ?arg0216)) )) (forall ((?arg0217 boogieU)) (! (= (type (x_S_ProvSubType__SERIAL_COMMPROPInv ?arg0217)) ?v_0) :pattern ((x_S_ProvSubType__SERIAL_COMMPROPInv ?arg0217)) )) (forall ((?arg0218 boogieU)) (! (= (type (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?arg0218)) ?v_0) :pattern ((x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?arg0218)) )) (forall ((?arg0219 boogieU)) (! (= (type (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0219)) ?v_0) :pattern ((x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0219)) )) (forall ((?arg0220 boogieU)) (! (= (type (x_S_QuadPart__LARGE_INTEGER ?arg0220)) ?v_0) :pattern ((x_S_QuadPart__LARGE_INTEGER ?arg0220)) )) (forall ((?arg0221 boogieU)) (! (= (type (x_S_QuadPart__LARGE_INTEGERInv ?arg0221)) ?v_0) :pattern ((x_S_QuadPart__LARGE_INTEGERInv ?arg0221)) )) (forall ((?arg0222 boogieU)) (! (= (type (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?arg0222)) ?v_0) :pattern ((x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?arg0222)) )) (forall ((?arg0223 boogieU)) (! (= (type (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?arg0223)) ?v_0) :pattern ((x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?arg0223)) )) (forall ((?arg0224 boogieU)) (! (= (type (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?arg0224)) ?v_0) :pattern ((x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?arg0224)) )) (forall ((?arg0225 boogieU)) (! (= (type (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?arg0225)) ?v_0) :pattern ((x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?arg0225)) )) (forall ((?arg0226 boogieU)) (! (= (type (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?arg0226)) ?v_0) :pattern ((x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?arg0226)) )) (forall ((?arg0227 boogieU)) (! (= (type (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0227)) ?v_0) :pattern ((x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0227)) )) (forall ((?arg0228 boogieU)) (! (= (type (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?arg0228)) ?v_0) :pattern ((x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?arg0228)) )) (forall ((?arg0229 boogieU)) (! (= (type (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0229)) ?v_0) :pattern ((x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0229)) )) (forall ((?arg0230 boogieU)) (! (= (type (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0230)) ?v_0) :pattern ((x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0230)) )) (forall ((?arg0231 boogieU)) (! (= (type (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0231)) ?v_0) :pattern ((x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0231)) )) (forall ((?arg0232 boogieU)) (! (= (type (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0232)) ?v_0) :pattern ((x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0232)) )) (forall ((?arg0233 boogieU)) (! (= (type (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0233)) ?v_0) :pattern ((x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0233)) )) (forall ((?arg0234 boogieU)) (! (= (type (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0234)) ?v_0) :pattern ((x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0234)) )) (forall ((?arg0235 boogieU)) (! (= (type (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0235)) ?v_0) :pattern ((x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0235)) )) (forall ((?arg0236 boogieU)) (! (= (type (x_S_Read___unnamed_16_57edbc3a ?arg0236)) ?v_0) :pattern ((x_S_Read___unnamed_16_57edbc3a ?arg0236)) )) (forall ((?arg0237 boogieU)) (! (= (type (x_S_Read___unnamed_16_57edbc3aInv ?arg0237)) ?v_0) :pattern ((x_S_Read___unnamed_16_57edbc3aInv ?arg0237)) )) (forall ((?arg0238 boogieU)) (! (= (type (x_S_ServiceMask__SERIAL_COMMPROP ?arg0238)) ?v_0) :pattern ((x_S_ServiceMask__SERIAL_COMMPROP ?arg0238)) )) (forall ((?arg0239 boogieU)) (! (= (type (x_S_ServiceMask__SERIAL_COMMPROPInv ?arg0239)) ?v_0) :pattern ((x_S_ServiceMask__SERIAL_COMMPROPInv ?arg0239)) )) (forall ((?arg0240 boogieU)) (! (= (type (x_S_SettableBaud__SERIAL_COMMPROP ?arg0240)) ?v_0) :pattern ((x_S_SettableBaud__SERIAL_COMMPROP ?arg0240)) )) (forall ((?arg0241 boogieU)) (! (= (type (x_S_SettableBaud__SERIAL_COMMPROPInv ?arg0241)) ?v_0) :pattern ((x_S_SettableBaud__SERIAL_COMMPROPInv ?arg0241)) )) (forall ((?arg0242 boogieU)) (! (= (type (x_S_SettableData__SERIAL_COMMPROP ?arg0242)) ?v_0) :pattern ((x_S_SettableData__SERIAL_COMMPROP ?arg0242)) )) (forall ((?arg0243 boogieU)) (! (= (type (x_S_SettableData__SERIAL_COMMPROPInv ?arg0243)) ?v_0) :pattern ((x_S_SettableData__SERIAL_COMMPROPInv ?arg0243)) )) (forall ((?arg0244 boogieU)) (! (= (type (x_S_SettableParams__SERIAL_COMMPROP ?arg0244)) ?v_0) :pattern ((x_S_SettableParams__SERIAL_COMMPROP ?arg0244)) )) (forall ((?arg0245 boogieU)) (! (= (type (x_S_SettableParams__SERIAL_COMMPROPInv ?arg0245)) ?v_0) :pattern ((x_S_SettableParams__SERIAL_COMMPROPInv ?arg0245)) )) (forall ((?arg0246 boogieU)) (! (= (type (x_S_SettableStopParity__SERIAL_COMMPROP ?arg0246)) ?v_0) :pattern ((x_S_SettableStopParity__SERIAL_COMMPROP ?arg0246)) )) (forall ((?arg0247 boogieU)) (! (= (type (x_S_SettableStopParity__SERIAL_COMMPROPInv ?arg0247)) ?v_0) :pattern ((x_S_SettableStopParity__SERIAL_COMMPROPInv ?arg0247)) )) (forall ((?arg0248 boogieU)) (! (= (type (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0248)) ?v_0) :pattern ((x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0248)) )) (forall ((?arg0249 boogieU)) (! (= (type (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0249)) ?v_0) :pattern ((x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0249)) )) (forall ((?arg0250 boogieU)) (! (= (type (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?arg0250)) ?v_0) :pattern ((x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?arg0250)) )) (forall ((?arg0251 boogieU)) (! (= (type (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?arg0251)) ?v_0) :pattern ((x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?arg0251)) )) (forall ((?arg0252 boogieU)) (! (= (type (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?arg0252)) ?v_0) :pattern ((x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?arg0252)) )) (forall ((?arg0253 boogieU)) (! (= (type (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0253)) ?v_0) :pattern ((x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0253)) )) (forall ((?arg0254 boogieU)) (! (= (type (x_S_Status___unnamed_4_ab1173de ?arg0254)) ?v_0) :pattern ((x_S_Status___unnamed_4_ab1173de ?arg0254)) )) (forall ((?arg0255 boogieU)) (! (= (type (x_S_Status___unnamed_4_ab1173deInv ?arg0255)) ?v_0) :pattern ((x_S_Status___unnamed_4_ab1173deInv ?arg0255)) )) (forall ((?arg0256 boogieU)) (! (= (type (x_S_StopBits__SERIAL_LINE_CONTROL ?arg0256)) ?v_0) :pattern ((x_S_StopBits__SERIAL_LINE_CONTROL ?arg0256)) )) (forall ((?arg0257 boogieU)) (! (= (type (x_S_StopBits__SERIAL_LINE_CONTROLInv ?arg0257)) ?v_0) :pattern ((x_S_StopBits__SERIAL_LINE_CONTROLInv ?arg0257)) )) (forall ((?arg0258 boogieU)) (! (= (type (x_S_StopBits__SERIAL_WMI_COMM_DATA ?arg0258)) ?v_0) :pattern ((x_S_StopBits__SERIAL_WMI_COMM_DATA ?arg0258)) )) (forall ((?arg0259 boogieU)) (! (= (type (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?arg0259)) ?v_0) :pattern ((x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?arg0259)) )) (forall ((?arg0260 boogieU)) (! (= (type (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?arg0260)) ?v_0) :pattern ((x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?arg0260)) )) (forall ((?arg0261 boogieU)) (! (= (type (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?arg0261)) ?v_0) :pattern ((x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?arg0261)) )) (forall ((?arg0262 boogieU)) (! (= (type (x_S_SystemBuffer___unnamed_4_3dc37e35 ?arg0262)) ?v_0) :pattern ((x_S_SystemBuffer___unnamed_4_3dc37e35 ?arg0262)) )) (forall ((?arg0263 boogieU)) (! (= (type (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?arg0263)) ?v_0) :pattern ((x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?arg0263)) )) (forall ((?arg0264 boogieU)) (! (= (type (x_S_SystemState__POWER_STATE ?arg0264)) ?v_0) :pattern ((x_S_SystemState__POWER_STATE ?arg0264)) )) (forall ((?arg0265 boogieU)) (! (= (type (x_S_SystemState__POWER_STATEInv ?arg0265)) ?v_0) :pattern ((x_S_SystemState__POWER_STATEInv ?arg0265)) )) (forall ((?arg0266 boogieU)) (! (= (type (x_S_Tail__IRP ?arg0266)) ?v_0) :pattern ((x_S_Tail__IRP ?arg0266)) )) (forall ((?arg0267 boogieU)) (! (= (type (x_S_Tail__IRPInv ?arg0267)) ?v_0) :pattern ((x_S_Tail__IRPInv ?arg0267)) )) (forall ((?arg0268 boogieU)) (! (= (type (x_S_Timeout__SERIAL_XOFF_COUNTER ?arg0268)) ?v_0) :pattern ((x_S_Timeout__SERIAL_XOFF_COUNTER ?arg0268)) )) (forall ((?arg0269 boogieU)) (! (= (type (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?arg0269)) ?v_0) :pattern ((x_S_Timeout__SERIAL_XOFF_COUNTERInv ?arg0269)) )) (forall ((?arg0270 boogieU)) (! (= (type (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?arg0270)) ?v_0) :pattern ((x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?arg0270)) )) (forall ((?arg0271 boogieU)) (! (= (type (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?arg0271)) ?v_0) :pattern ((x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?arg0271)) )) (forall ((?arg0272 boogieU)) (! (= (type (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?arg0272)) ?v_0) :pattern ((x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?arg0272)) )) (forall ((?arg0273 boogieU)) (! (= (type (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?arg0273)) ?v_0) :pattern ((x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?arg0273)) )) (forall ((?arg0274 boogieU)) (! (= (type (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0274)) ?v_0) :pattern ((x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0274)) )) (forall ((?arg0275 boogieU)) (! (= (type (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0275)) ?v_0) :pattern ((x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0275)) )) (forall ((?arg0276 boogieU)) (! (= (type (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0276)) ?v_0) :pattern ((x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0276)) )) (forall ((?arg0277 boogieU)) (! (= (type (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0277)) ?v_0) :pattern ((x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0277)) )) (forall ((?arg0278 boogieU)) (! (= (type (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0278)) ?v_0) :pattern ((x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0278)) )) (forall ((?arg0279 boogieU)) (! (= (type (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0279)) ?v_0) :pattern ((x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0279)) )) (forall ((?arg0280 boogieU)) (! (= (type (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?arg0280)) ?v_0) :pattern ((x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?arg0280)) )) (forall ((?arg0281 boogieU)) (! (= (type (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?arg0281)) ?v_0) :pattern ((x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?arg0281)) )) (forall ((?arg0282 boogieU)) (! (= (type (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?arg0282)) ?v_0) :pattern ((x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?arg0282)) )) (forall ((?arg0283 boogieU)) (! (= (type (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?arg0283)) ?v_0) :pattern ((x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?arg0283)) )) (forall ((?arg0284 boogieU)) (! (= (type (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?arg0284)) ?v_0) :pattern ((x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?arg0284)) )) (forall ((?arg0285 boogieU)) (! (= (type (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?arg0285)) ?v_0) :pattern ((x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?arg0285)) )) (forall ((?arg0286 boogieU)) (! (= (type (x_S_WordLength__SERIAL_LINE_CONTROL ?arg0286)) ?v_0) :pattern ((x_S_WordLength__SERIAL_LINE_CONTROL ?arg0286)) )) (forall ((?arg0287 boogieU)) (! (= (type (x_S_WordLength__SERIAL_LINE_CONTROLInv ?arg0287)) ?v_0) :pattern ((x_S_WordLength__SERIAL_LINE_CONTROLInv ?arg0287)) )) (forall ((?arg0288 boogieU)) (! (= (type (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?arg0288)) ?v_0) :pattern ((x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?arg0288)) )) (forall ((?arg0289 boogieU)) (! (= (type (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0289)) ?v_0) :pattern ((x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0289)) )) (forall ((?arg0290 boogieU)) (! (= (type (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0290)) ?v_0) :pattern ((x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0290)) )) (forall ((?arg0291 boogieU)) (! (= (type (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0291)) ?v_0) :pattern ((x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0291)) )) (forall ((?arg0292 boogieU)) (! (= (type (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0292)) ?v_0) :pattern ((x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0292)) )) (forall ((?arg0293 boogieU)) (! (= (type (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0293)) ?v_0) :pattern ((x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0293)) )) (forall ((?arg0294 boogieU)) (! (= (type (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0294)) ?v_0) :pattern ((x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0294)) )) (forall ((?arg0295 boogieU)) (! (= (type (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0295)) ?v_0) :pattern ((x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0295)) )) (forall ((?arg0296 boogieU)) (! (= (type (x_S_Write___unnamed_16_57edbc3a ?arg0296)) ?v_0) :pattern ((x_S_Write___unnamed_16_57edbc3a ?arg0296)) )) (forall ((?arg0297 boogieU)) (! (= (type (x_S_Write___unnamed_16_57edbc3aInv ?arg0297)) ?v_0) :pattern ((x_S_Write___unnamed_16_57edbc3aInv ?arg0297)) )) (forall ((?arg0298 boogieU)) (! (= (type (x_S_XoffChar__SERIAL_CHARS ?arg0298)) ?v_0) :pattern ((x_S_XoffChar__SERIAL_CHARS ?arg0298)) )) (forall ((?arg0299 boogieU)) (! (= (type (x_S_XoffChar__SERIAL_CHARSInv ?arg0299)) ?v_0) :pattern ((x_S_XoffChar__SERIAL_CHARSInv ?arg0299)) )) (forall ((?arg0300 boogieU)) (! (= (type (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?arg0300)) ?v_0) :pattern ((x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?arg0300)) )) (forall ((?arg0301 boogieU)) (! (= (type (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?arg0301)) ?v_0) :pattern ((x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?arg0301)) )) (forall ((?arg0302 boogieU)) (! (= (type (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0302)) ?v_0) :pattern ((x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0302)) )) (forall ((?arg0303 boogieU)) (! (= (type (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0303)) ?v_0) :pattern ((x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0303)) )) (forall ((?arg0304 boogieU)) (! (= (type (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?arg0304)) ?v_0) :pattern ((x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?arg0304)) )) (forall ((?arg0305 boogieU)) (! (= (type (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0305)) ?v_0) :pattern ((x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0305)) )) (forall ((?arg0306 boogieU)) (! (= (type (x_S_XoffLimit__SERIAL_HANDFLOW ?arg0306)) ?v_0) :pattern ((x_S_XoffLimit__SERIAL_HANDFLOW ?arg0306)) )) (forall ((?arg0307 boogieU)) (! (= (type (x_S_XoffLimit__SERIAL_HANDFLOWInv ?arg0307)) ?v_0) :pattern ((x_S_XoffLimit__SERIAL_HANDFLOWInv ?arg0307)) )) (forall ((?arg0308 boogieU)) (! (= (type (x_S_XonChar__SERIAL_CHARS ?arg0308)) ?v_0) :pattern ((x_S_XonChar__SERIAL_CHARS ?arg0308)) )) (forall ((?arg0309 boogieU)) (! (= (type (x_S_XonChar__SERIAL_CHARSInv ?arg0309)) ?v_0) :pattern ((x_S_XonChar__SERIAL_CHARSInv ?arg0309)) )) (forall ((?arg0310 boogieU)) (! (= (type (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?arg0310)) ?v_0) :pattern ((x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?arg0310)) )) (forall ((?arg0311 boogieU)) (! (= (type (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?arg0311)) ?v_0) :pattern ((x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?arg0311)) )) (forall ((?arg0312 boogieU)) (! (= (type (x_S_XonLimit__SERIAL_HANDFLOW ?arg0312)) ?v_0) :pattern ((x_S_XonLimit__SERIAL_HANDFLOW ?arg0312)) )) (forall ((?arg0313 boogieU)) (! (= (type (x_S_XonLimit__SERIAL_HANDFLOWInv ?arg0313)) ?v_0) :pattern ((x_S_XonLimit__SERIAL_HANDFLOWInv ?arg0313)) )) (forall ((?arg0314 boogieU)) (! (= (type (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?arg0314)) ?v_0) :pattern ((x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?arg0314)) )) (forall ((?arg0315 boogieU)) (! (= (type (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?arg0315)) ?v_0) :pattern ((x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?arg0315)) )) (forall ((?arg0316 boogieU)) (! (= (type (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?arg0316)) ?v_0) :pattern ((x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?arg0316)) )) (forall ((?arg0317 boogieU)) (! (= (type (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?arg0317)) ?v_0) :pattern ((x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?arg0317)) )) (forall ((?arg0318 boogieU)) (! (= (type (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?arg0318)) ?v_0) :pattern ((x_S___unnamed_8_544b88f4__LARGE_INTEGER ?arg0318)) )) (forall ((?arg0319 boogieU)) (! (= (type (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?arg0319)) ?v_0) :pattern ((x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?arg0319)) )) (forall ((?arg0320 boogieU)) (! (= (type (x_S_u__LARGE_INTEGER ?arg0320)) ?v_0) :pattern ((x_S_u__LARGE_INTEGER ?arg0320)) )) (forall ((?arg0321 boogieU)) (! (= (type (x_S_u__LARGE_INTEGERInv ?arg0321)) ?v_0) :pattern ((x_S_u__LARGE_INTEGERInv ?arg0321)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.Guid_WMIGUIDREGINFO T.InstanceCount_WMIGUIDREGINFO T.Flags_WMIGUIDREGINFO T.OperationID__ACCESS_STATE T.SecurityEvaluated__ACCESS_STATE T.GenerateAudit__ACCESS_STATE T.GenerateOnClose__ACCESS_STATE T.PrivilegesAllocated__ACCESS_STATE T.Flags__ACCESS_STATE T.RemainingDesiredAccess__ACCESS_STATE T.PreviouslyGrantedAccess__ACCESS_STATE T.OriginalDesiredAccess__ACCESS_STATE T.SubjectSecurityContext__ACCESS_STATE T.SecurityDescriptor__ACCESS_STATE T.AuxData__ACCESS_STATE T.Privileges__ACCESS_STATE T.AuditPrivileges__ACCESS_STATE T.ObjectName__ACCESS_STATE T.ObjectTypeName__ACCESS_STATE T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Version__CM_PARTIAL_RESOURCE_LIST T.Revision__CM_PARTIAL_RESOURCE_LIST T.Count__CM_PARTIAL_RESOURCE_LIST T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST T.Count__CM_RESOURCE_LIST T.List__CM_RESOURCE_LIST T.Size__DEVICE_CAPABILITIES T.Version__DEVICE_CAPABILITIES T.DeviceD1__DEVICE_CAPABILITIES T.DeviceD2__DEVICE_CAPABILITIES T.LockSupported__DEVICE_CAPABILITIES T.EjectSupported__DEVICE_CAPABILITIES T.Removable__DEVICE_CAPABILITIES T.DockDevice__DEVICE_CAPABILITIES T.UniqueID__DEVICE_CAPABILITIES T.SilentInstall__DEVICE_CAPABILITIES T.RawDeviceOK__DEVICE_CAPABILITIES T.SurpriseRemovalOK__DEVICE_CAPABILITIES T.WakeFromD0__DEVICE_CAPABILITIES T.WakeFromD1__DEVICE_CAPABILITIES T.WakeFromD2__DEVICE_CAPABILITIES T.WakeFromD3__DEVICE_CAPABILITIES T.HardwareDisabled__DEVICE_CAPABILITIES T.NonDynamic__DEVICE_CAPABILITIES T.WarmEjectSupported__DEVICE_CAPABILITIES T.NoDisplayInUI__DEVICE_CAPABILITIES T.Reserved__DEVICE_CAPABILITIES T.Address__DEVICE_CAPABILITIES T.UINumber__DEVICE_CAPABILITIES T.DeviceState__DEVICE_CAPABILITIES T.SystemWake__DEVICE_CAPABILITIES T.DeviceWake__DEVICE_CAPABILITIES T.D1Latency__DEVICE_CAPABILITIES T.D2Latency__DEVICE_CAPABILITIES T.D3Latency__DEVICE_CAPABILITIES T.Type__DEVICE_OBJECT T.Size__DEVICE_OBJECT T.ReferenceCount__DEVICE_OBJECT T.DriverObject__DEVICE_OBJECT T.NextDevice__DEVICE_OBJECT T.AttachedDevice__DEVICE_OBJECT T.CurrentIrp__DEVICE_OBJECT T.Timer__DEVICE_OBJECT T.Flags__DEVICE_OBJECT T.Characteristics__DEVICE_OBJECT T.Vpb__DEVICE_OBJECT T.DeviceExtension__DEVICE_OBJECT T.DeviceType__DEVICE_OBJECT T.StackSize__DEVICE_OBJECT T.Queue__DEVICE_OBJECT T.AlignmentRequirement__DEVICE_OBJECT T.DeviceQueue__DEVICE_OBJECT T.Dpc__DEVICE_OBJECT T.ActiveThreadCount__DEVICE_OBJECT T.SecurityDescriptor__DEVICE_OBJECT T.DeviceLock__DEVICE_OBJECT T.SectorSize__DEVICE_OBJECT T.Spare1__DEVICE_OBJECT T.DeviceObjectExtension__DEVICE_OBJECT T.Reserved__DEVICE_OBJECT T.Type__DEVOBJ_EXTENSION T.Size__DEVOBJ_EXTENSION T.DeviceObject__DEVOBJ_EXTENSION T.__unnamed_4_7b44c46c__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.DriverObject__DRIVER_EXTENSION T.AddDevice__DRIVER_EXTENSION T.Count__DRIVER_EXTENSION T.ServiceKeyName__DRIVER_EXTENSION T.Type__DRIVER_OBJECT T.Size__DRIVER_OBJECT T.DeviceObject__DRIVER_OBJECT T.Flags__DRIVER_OBJECT T.DriverStart__DRIVER_OBJECT T.DriverSize__DRIVER_OBJECT T.DriverSection__DRIVER_OBJECT T.DriverExtension__DRIVER_OBJECT T.DriverName__DRIVER_OBJECT T.HardwareDatabase__DRIVER_OBJECT T.FastIoDispatch__DRIVER_OBJECT T.DriverInit__DRIVER_OBJECT T.DriverStartIo__DRIVER_OBJECT T.DriverUnload__DRIVER_OBJECT T.MajorFunction__DRIVER_OBJECT T.SystemResourcesList__ERESOURCE T.OwnerTable__ERESOURCE T.ActiveCount__ERESOURCE T.Flag__ERESOURCE T.SharedWaiters__ERESOURCE T.ExclusiveWaiters__ERESOURCE T.OwnerEntry__ERESOURCE T.ActiveEntries__ERESOURCE T.ContentionCount__ERESOURCE T.NumberOfSharedWaiters__ERESOURCE T.NumberOfExclusiveWaiters__ERESOURCE T.__unnamed_4_f13e195c__ERESOURCE T.SpinLock__ERESOURCE T.SizeOfFastIoDispatch__FAST_IO_DISPATCH T.FastIoCheckIfPossible__FAST_IO_DISPATCH T.FastIoRead__FAST_IO_DISPATCH T.FastIoWrite__FAST_IO_DISPATCH T.FastIoQueryBasicInfo__FAST_IO_DISPATCH T.FastIoQueryStandardInfo__FAST_IO_DISPATCH T.FastIoLock__FAST_IO_DISPATCH T.FastIoUnlockSingle__FAST_IO_DISPATCH T.FastIoUnlockAll__FAST_IO_DISPATCH T.FastIoUnlockAllByKey__FAST_IO_DISPATCH T.FastIoDeviceControl__FAST_IO_DISPATCH T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH T.FastIoDetachDevice__FAST_IO_DISPATCH T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH T.AcquireForModWrite__FAST_IO_DISPATCH T.MdlRead__FAST_IO_DISPATCH T.MdlReadComplete__FAST_IO_DISPATCH T.PrepareMdlWrite__FAST_IO_DISPATCH T.MdlWriteComplete__FAST_IO_DISPATCH T.FastIoReadCompressed__FAST_IO_DISPATCH T.FastIoWriteCompressed__FAST_IO_DISPATCH T.MdlReadCompleteCompressed__FAST_IO_DISPATCH T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH T.FastIoQueryOpen__FAST_IO_DISPATCH T.ReleaseForModWrite__FAST_IO_DISPATCH T.AcquireForCcFlush__FAST_IO_DISPATCH T.ReleaseForCcFlush__FAST_IO_DISPATCH T.Count__FAST_MUTEX T.Owner__FAST_MUTEX T.Contention__FAST_MUTEX T.Gate__FAST_MUTEX T.OldIrql__FAST_MUTEX T.CreationTime__FILE_BASIC_INFORMATION T.LastAccessTime__FILE_BASIC_INFORMATION T.LastWriteTime__FILE_BASIC_INFORMATION T.ChangeTime__FILE_BASIC_INFORMATION T.FileAttributes__FILE_BASIC_INFORMATION T.CreationTime__FILE_NETWORK_OPEN_INFORMATION T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION T.Type__FILE_OBJECT T.Size__FILE_OBJECT T.DeviceObject__FILE_OBJECT T.Vpb__FILE_OBJECT T.FsContext__FILE_OBJECT T.FsContext2__FILE_OBJECT T.SectionObjectPointer__FILE_OBJECT T.PrivateCacheMap__FILE_OBJECT T.FinalStatus__FILE_OBJECT T.RelatedFileObject__FILE_OBJECT T.LockOperation__FILE_OBJECT T.DeletePending__FILE_OBJECT T.ReadAccess__FILE_OBJECT T.WriteAccess__FILE_OBJECT T.DeleteAccess__FILE_OBJECT T.SharedRead__FILE_OBJECT T.SharedWrite__FILE_OBJECT T.SharedDelete__FILE_OBJECT T.Flags__FILE_OBJECT T.FileName__FILE_OBJECT T.CurrentByteOffset__FILE_OBJECT T.Waiters__FILE_OBJECT T.Busy__FILE_OBJECT T.LastLock__FILE_OBJECT T.Lock__FILE_OBJECT T.Event__FILE_OBJECT T.CompletionContext__FILE_OBJECT T.IrpListLock__FILE_OBJECT T.IrpList__FILE_OBJECT T.FileObjectExtension__FILE_OBJECT T.AllocationSize__FILE_STANDARD_INFORMATION T.EndOfFile__FILE_STANDARD_INFORMATION T.NumberOfLinks__FILE_STANDARD_INFORMATION T.DeletePending__FILE_STANDARD_INFORMATION T.Directory__FILE_STANDARD_INFORMATION T.Data1__GUID T.Data2__GUID T.Data3__GUID T.Data4__GUID T.PrivilegeCount__INITIAL_PRIVILEGE_SET T.Control__INITIAL_PRIVILEGE_SET T.Privilege__INITIAL_PRIVILEGE_SET T.Size__INTERFACE T.Version__INTERFACE T.Context__INTERFACE T.InterfaceReference__INTERFACE T.InterfaceDereference__INTERFACE T.Port__IO_COMPLETION_CONTEXT T.Key__IO_COMPLETION_CONTEXT T.Option__IO_RESOURCE_DESCRIPTOR T.Type__IO_RESOURCE_DESCRIPTOR T.ShareDisposition__IO_RESOURCE_DESCRIPTOR T.Spare1__IO_RESOURCE_DESCRIPTOR T.Flags__IO_RESOURCE_DESCRIPTOR T.Spare2__IO_RESOURCE_DESCRIPTOR T.u__IO_RESOURCE_DESCRIPTOR T.Version__IO_RESOURCE_LIST T.Revision__IO_RESOURCE_LIST T.Count__IO_RESOURCE_LIST T.Descriptors__IO_RESOURCE_LIST T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST T.List__IO_RESOURCE_REQUIREMENTS_LIST T.SecurityQos__IO_SECURITY_CONTEXT T.AccessState__IO_SECURITY_CONTEXT T.DesiredAccess__IO_SECURITY_CONTEXT T.FullCreateOptions__IO_SECURITY_CONTEXT T.MajorFunction__IO_STACK_LOCATION T.MinorFunction__IO_STACK_LOCATION T.Flags__IO_STACK_LOCATION T.Control__IO_STACK_LOCATION T.Parameters__IO_STACK_LOCATION T.DeviceObject__IO_STACK_LOCATION T.FileObject__IO_STACK_LOCATION T.CompletionRoutine__IO_STACK_LOCATION T.Context__IO_STACK_LOCATION T.__unnamed_4_ab1173de__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Type__IRP T.Size__IRP T.MdlAddress__IRP T.Flags__IRP T.AssociatedIrp__IRP T.ThreadListEntry__IRP T.IoStatus__IRP T.RequestorMode__IRP T.PendingReturned__IRP T.StackCount__IRP T.CurrentLocation__IRP T.Cancel__IRP T.CancelIrql__IRP T.ApcEnvironment__IRP T.AllocationFlags__IRP T.UserIosb__IRP T.UserEvent__IRP T.Overlay__IRP T.CancelRoutine__IRP T.UserBuffer__IRP T.Tail__IRP T.Type__KAPC T.SpareByte0__KAPC T.Size__KAPC T.SpareByte1__KAPC T.SpareLong0__KAPC T.Thread__KAPC T.ApcListEntry__KAPC T.KernelRoutine__KAPC T.RundownRoutine__KAPC T.NormalRoutine__KAPC T.NormalContext__KAPC T.SystemArgument1__KAPC T.SystemArgument2__KAPC T.ApcStateIndex__KAPC T.ApcMode__KAPC T.Inserted__KAPC T.Type__KDEVICE_QUEUE T.Size__KDEVICE_QUEUE T.DeviceListHead__KDEVICE_QUEUE T.Lock__KDEVICE_QUEUE T.Busy__KDEVICE_QUEUE T.DeviceListEntry__KDEVICE_QUEUE_ENTRY T.SortKey__KDEVICE_QUEUE_ENTRY T.Inserted__KDEVICE_QUEUE_ENTRY T.Type__KDPC T.Importance__KDPC T.Number__KDPC T.DpcListEntry__KDPC T.DeferredRoutine__KDPC T.DeferredContext__KDPC T.SystemArgument1__KDPC T.SystemArgument2__KDPC T.DpcData__KDPC T.Header__KEVENT T.Header__KSEMAPHORE T.Limit__KSEMAPHORE T.Header__KTIMER T.DueTime__KTIMER T.TimerListEntry__KTIMER T.Dpc__KTIMER T.Period__KTIMER T.__unnamed_8_544b88f4__LARGE_INTEGER T.u__LARGE_INTEGER T.QuadPart__LARGE_INTEGER T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.LowPart__LUID T.HighPart__LUID T.Luid__LUID_AND_ATTRIBUTES T.Attributes__LUID_AND_ATTRIBUTES T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.OwnerThread__OWNER_ENTRY T.__unnamed_4_1c47e29a__OWNER_ENTRY T.SequenceD1__POWER_SEQUENCE T.SequenceD2__POWER_SEQUENCE T.SequenceD3__POWER_SEQUENCE T.SystemState__POWER_STATE T.DeviceState__POWER_STATE T.PrivilegeCount__PRIVILEGE_SET T.Control__PRIVILEGE_SET T.Privilege__PRIVILEGE_SET T.DataSectionObject__SECTION_OBJECT_POINTERS T.SharedCacheMap__SECTION_OBJECT_POINTERS T.ImageSectionObject__SECTION_OBJECT_POINTERS T.Length__SECURITY_QUALITY_OF_SERVICE T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE T.ClientToken__SECURITY_SUBJECT_CONTEXT T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT T.PrimaryToken__SECURITY_SUBJECT_CONTEXT T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT T.ReceivedCount__SERIALPERF_STATS T.TransmittedCount__SERIALPERF_STATS T.FrameErrorCount__SERIALPERF_STATS T.SerialOverrunErrorCount__SERIALPERF_STATS T.BufferOverrunErrorCount__SERIALPERF_STATS T.ParityErrorCount__SERIALPERF_STATS T.BaudRate__SERIAL_BAUD_RATE T.EofChar__SERIAL_CHARS T.ErrorChar__SERIAL_CHARS T.BreakChar__SERIAL_CHARS T.EventChar__SERIAL_CHARS T.XonChar__SERIAL_CHARS T.XoffChar__SERIAL_CHARS T.IsrFunc__SERIAL_CISR_SW T.Context__SERIAL_CISR_SW T.SharerList__SERIAL_CISR_SW T.PacketLength__SERIAL_COMMPROP T.PacketVersion__SERIAL_COMMPROP T.ServiceMask__SERIAL_COMMPROP T.Reserved1__SERIAL_COMMPROP T.MaxTxQueue__SERIAL_COMMPROP T.MaxRxQueue__SERIAL_COMMPROP T.MaxBaud__SERIAL_COMMPROP T.ProvSubType__SERIAL_COMMPROP T.ProvCapabilities__SERIAL_COMMPROP T.SettableParams__SERIAL_COMMPROP T.SettableBaud__SERIAL_COMMPROP T.SettableData__SERIAL_COMMPROP T.SettableStopParity__SERIAL_COMMPROP T.CurrentTxQueue__SERIAL_COMMPROP T.CurrentRxQueue__SERIAL_COMMPROP T.ProvSpec1__SERIAL_COMMPROP T.ProvSpec2__SERIAL_COMMPROP T.ProvChar__SERIAL_COMMPROP T.TopLevelOurIsr__SERIAL_DEVICE_EXTENSION T.TopLevelOurIsrContext__SERIAL_DEVICE_EXTENSION T.TopLevelSharers__SERIAL_DEVICE_EXTENSION T.CommonInterruptObject__SERIAL_DEVICE_EXTENSION T.MultiportSiblings__SERIAL_DEVICE_EXTENSION T.AllDevObjs__SERIAL_DEVICE_EXTENSION T.OriginalController__SERIAL_DEVICE_EXTENSION T.OriginalInterruptStatus__SERIAL_DEVICE_EXTENSION T.IntervalTime__SERIAL_DEVICE_EXTENSION T.ShortIntervalAmount__SERIAL_DEVICE_EXTENSION T.LongIntervalAmount__SERIAL_DEVICE_EXTENSION T.CutOverAmount__SERIAL_DEVICE_EXTENSION T.LastReadTime__SERIAL_DEVICE_EXTENSION T.DeviceName__SERIAL_DEVICE_EXTENSION T.ObjectDirectory__SERIAL_DEVICE_EXTENSION T.SymbolicLinkName__SERIAL_DEVICE_EXTENSION T.DosName__SERIAL_DEVICE_EXTENSION T.IntervalTimeToUse__SERIAL_DEVICE_EXTENSION T.DeviceObject__SERIAL_DEVICE_EXTENSION T.OurIsr__SERIAL_DEVICE_EXTENSION T.OurIsrContext__SERIAL_DEVICE_EXTENSION T.Controller__SERIAL_DEVICE_EXTENSION T.InterruptStatus__SERIAL_DEVICE_EXTENSION T.Interrupt__SERIAL_DEVICE_EXTENSION T.ReadQueue__SERIAL_DEVICE_EXTENSION T.WriteQueue__SERIAL_DEVICE_EXTENSION T.MaskQueue__SERIAL_DEVICE_EXTENSION T.PurgeQueue__SERIAL_DEVICE_EXTENSION T.CurrentReadIrp__SERIAL_DEVICE_EXTENSION T.CurrentWriteIrp__SERIAL_DEVICE_EXTENSION T.CurrentMaskIrp__SERIAL_DEVICE_EXTENSION T.CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION T.CurrentWaitIrp__SERIAL_DEVICE_EXTENSION T.CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION T.CurrentXoffIrp__SERIAL_DEVICE_EXTENSION T.WriteLength__SERIAL_DEVICE_EXTENSION T.WriteCurrentChar__SERIAL_DEVICE_EXTENSION T.InterruptReadBuffer__SERIAL_DEVICE_EXTENSION T.ReadBufferBase__SERIAL_DEVICE_EXTENSION T.CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION T.CurrentCharSlot__SERIAL_DEVICE_EXTENSION T.LastCharSlot__SERIAL_DEVICE_EXTENSION T.FirstReadableChar__SERIAL_DEVICE_EXTENSION T.LockPtr__SERIAL_DEVICE_EXTENSION T.BufferSize__SERIAL_DEVICE_EXTENSION T.BufferSizePt8__SERIAL_DEVICE_EXTENSION T.NumberNeededForRead__SERIAL_DEVICE_EXTENSION T.IsrWaitMask__SERIAL_DEVICE_EXTENSION T.HistoryMask__SERIAL_DEVICE_EXTENSION T.IrpMaskLocation__SERIAL_DEVICE_EXTENSION T.TXHolding__SERIAL_DEVICE_EXTENSION T.RXHolding__SERIAL_DEVICE_EXTENSION T.ErrorWord__SERIAL_DEVICE_EXTENSION T.TotalCharsQueued__SERIAL_DEVICE_EXTENSION T.CountOnLastRead__SERIAL_DEVICE_EXTENSION T.ReadByIsr__SERIAL_DEVICE_EXTENSION T.CurrentBaud__SERIAL_DEVICE_EXTENSION T.CountSinceXoff__SERIAL_DEVICE_EXTENSION T.CountOfTryingToLowerRTS__SERIAL_DEVICE_EXTENSION T.SupportedBauds__SERIAL_DEVICE_EXTENSION T.SpanOfController__SERIAL_DEVICE_EXTENSION T.SpanOfInterruptStatus__SERIAL_DEVICE_EXTENSION T.ClockRate__SERIAL_DEVICE_EXTENSION T.TxFifoAmount__SERIAL_DEVICE_EXTENSION T.PermitShare__SERIAL_DEVICE_EXTENSION T.Timeouts__SERIAL_DEVICE_EXTENSION T.SpecialChars__SERIAL_DEVICE_EXTENSION T.HandFlow__SERIAL_DEVICE_EXTENSION T.PerfStats__SERIAL_DEVICE_EXTENSION T.LineControl__SERIAL_DEVICE_EXTENSION T.DeviceIsOpened__SERIAL_DEVICE_EXTENSION T.UnMapRegisters__SERIAL_DEVICE_EXTENSION T.UnMapStatus__SERIAL_DEVICE_EXTENSION T.HoldingEmpty__SERIAL_DEVICE_EXTENSION T.TransmitImmediate__SERIAL_DEVICE_EXTENSION T.EmptiedTransmit__SERIAL_DEVICE_EXTENSION T.PortOnAMultiportCard__SERIAL_DEVICE_EXTENSION T.Vector__SERIAL_DEVICE_EXTENSION T.Irql__SERIAL_DEVICE_EXTENSION T.OriginalVector__SERIAL_DEVICE_EXTENSION T.OriginalIrql__SERIAL_DEVICE_EXTENSION T.AddressSpace__SERIAL_DEVICE_EXTENSION T.BusNumber__SERIAL_DEVICE_EXTENSION T.InterfaceType__SERIAL_DEVICE_EXTENSION T.PortIndex__SERIAL_DEVICE_EXTENSION T.Indexed__SERIAL_DEVICE_EXTENSION T.MaskInverted__SERIAL_DEVICE_EXTENSION T.NewPortIndex__SERIAL_DEVICE_EXTENSION T.NewMaskInverted__SERIAL_DEVICE_EXTENSION T.NewExtension__SERIAL_DEVICE_EXTENSION T.ImmediateChar__SERIAL_DEVICE_EXTENSION T.ValidDataMask__SERIAL_DEVICE_EXTENSION T.EscapeChar__SERIAL_DEVICE_EXTENSION T.SendXonChar__SERIAL_DEVICE_EXTENSION T.SendXoffChar__SERIAL_DEVICE_EXTENSION T.FifoPresent__SERIAL_DEVICE_EXTENSION T.RxFifoTrigger__SERIAL_DEVICE_EXTENSION T.InterruptShareable__SERIAL_DEVICE_EXTENSION T.CreatedSymbolicLink__SERIAL_DEVICE_EXTENSION T.CreatedSerialCommEntry__SERIAL_DEVICE_EXTENSION T.ControlLock__SERIAL_DEVICE_EXTENSION T.FlagsLock__SERIAL_DEVICE_EXTENSION T.CompleteWriteDpc__SERIAL_DEVICE_EXTENSION T.CompleteReadDpc__SERIAL_DEVICE_EXTENSION T.TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION T.IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION T.TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION T.CommErrorDpc__SERIAL_DEVICE_EXTENSION T.CommWaitDpc__SERIAL_DEVICE_EXTENSION T.CompleteImmediateDpc__SERIAL_DEVICE_EXTENSION T.TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION T.XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION T.XoffCountCompleteDpc__SERIAL_DEVICE_EXTENSION T.StartTimerLowerRTSDpc__SERIAL_DEVICE_EXTENSION T.PerhapsLowerRTSDpc__SERIAL_DEVICE_EXTENSION T.IsrUnlockPagesDpc__SERIAL_DEVICE_EXTENSION T.SetPendingDpcEvent__SERIAL_DEVICE_EXTENSION T.ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION T.ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION T.WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION T.ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION T.XoffCountTimer__SERIAL_DEVICE_EXTENSION T.LowerRTSTimer__SERIAL_DEVICE_EXTENSION T.LowerDeviceObject__SERIAL_DEVICE_EXTENSION T.PowerState__SERIAL_DEVICE_EXTENSION T.DriverObject__SERIAL_DEVICE_EXTENSION T.SerialSyncEvent__SERIAL_DEVICE_EXTENSION T.DeviceClassSymbolicName__SERIAL_DEVICE_EXTENSION T.CIsrSw__SERIAL_DEVICE_EXTENSION T.PendingIRPCnt__SERIAL_DEVICE_EXTENSION T.DevicePNPAccept__SERIAL_DEVICE_EXTENSION T.PendingIRPEvent__SERIAL_DEVICE_EXTENSION T.PNPState__SERIAL_DEVICE_EXTENSION T.Flags__SERIAL_DEVICE_EXTENSION T.OpenCount__SERIAL_DEVICE_EXTENSION T.SerialStartEvent__SERIAL_DEVICE_EXTENSION T.DeviceState__SERIAL_DEVICE_EXTENSION T.DeviceStateMap__SERIAL_DEVICE_EXTENSION T.PowerD0Event__SERIAL_DEVICE_EXTENSION T.StalledIrpQueue__SERIAL_DEVICE_EXTENSION T.OpenMutex__SERIAL_DEVICE_EXTENSION T.CloseMutex__SERIAL_DEVICE_EXTENSION T.OwnsPowerPolicy__SERIAL_DEVICE_EXTENSION T.RetainPowerOnClose__SERIAL_DEVICE_EXTENSION T.QueueCreateIrp__SERIAL_DEVICE_EXTENSION T.SystemWake__SERIAL_DEVICE_EXTENSION T.DeviceWake__SERIAL_DEVICE_EXTENSION T.Pdo__SERIAL_DEVICE_EXTENSION T.SendWaitWake__SERIAL_DEVICE_EXTENSION T.PendingWakeIrp__SERIAL_DEVICE_EXTENSION T.WmiLibInfo__SERIAL_DEVICE_EXTENSION T.WmiIdentifier__SERIAL_DEVICE_EXTENSION T.WmiCommData__SERIAL_DEVICE_EXTENSION T.WmiHwData__SERIAL_DEVICE_EXTENSION T.WmiPerfData__SERIAL_DEVICE_EXTENSION T.DpcCount__SERIAL_DEVICE_EXTENSION T.PendingDpcEvent__SERIAL_DEVICE_EXTENSION T.SkipNaming__SERIAL_DEVICE_EXTENSION T.TL16C550CAFC__SERIAL_DEVICE_EXTENSION T.NewDevicePowerState__SERIAL_DEVICE_EXTENSION T.UartRemovalDetect__SERIAL_DEVICE_EXTENSION T.Reopen__SERIAL_DEVICE_STATE T.IER__SERIAL_DEVICE_STATE T.LCR__SERIAL_DEVICE_STATE T.MCR__SERIAL_DEVICE_STATE T.ControlHandShake__SERIAL_HANDFLOW T.FlowReplace__SERIAL_HANDFLOW T.XonLimit__SERIAL_HANDFLOW T.XoffLimit__SERIAL_HANDFLOW T.Extension__SERIAL_IOCTL_SYNC T.Data__SERIAL_IOCTL_SYNC T.StopBits__SERIAL_LINE_CONTROL T.Parity__SERIAL_LINE_CONTROL T.WordLength__SERIAL_LINE_CONTROL T.InSize__SERIAL_QUEUE_SIZE T.OutSize__SERIAL_QUEUE_SIZE T.Extension__SERIAL_RESIZE_PARAMS T.OldBuffer__SERIAL_RESIZE_PARAMS T.NewBuffer__SERIAL_RESIZE_PARAMS T.NewBufferSize__SERIAL_RESIZE_PARAMS T.NumberMoved__SERIAL_RESIZE_PARAMS T.ReadIntervalTimeout__SERIAL_TIMEOUTS T.ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS T.ReadTotalTimeoutConstant__SERIAL_TIMEOUTS T.WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS T.WriteTotalTimeoutConstant__SERIAL_TIMEOUTS T.Extension__SERIAL_UPDATE_CHAR T.CharsCopied__SERIAL_UPDATE_CHAR T.Completed__SERIAL_UPDATE_CHAR T.BaudRate__SERIAL_WMI_COMM_DATA T.BitsPerByte__SERIAL_WMI_COMM_DATA T.Parity__SERIAL_WMI_COMM_DATA T.ParityCheckEnable__SERIAL_WMI_COMM_DATA T.StopBits__SERIAL_WMI_COMM_DATA T.XoffCharacter__SERIAL_WMI_COMM_DATA T.XoffXmitThreshold__SERIAL_WMI_COMM_DATA T.XonCharacter__SERIAL_WMI_COMM_DATA T.XonXmitThreshold__SERIAL_WMI_COMM_DATA T.MaximumBaudRate__SERIAL_WMI_COMM_DATA T.MaximumOutputBufferSize__SERIAL_WMI_COMM_DATA T.MaximumInputBufferSize__SERIAL_WMI_COMM_DATA T.Support16BitMode__SERIAL_WMI_COMM_DATA T.SupportDTRDSR__SERIAL_WMI_COMM_DATA T.SupportIntervalTimeouts__SERIAL_WMI_COMM_DATA T.SupportParityCheck__SERIAL_WMI_COMM_DATA T.SupportRTSCTS__SERIAL_WMI_COMM_DATA T.SupportXonXoff__SERIAL_WMI_COMM_DATA T.SettableBaudRate__SERIAL_WMI_COMM_DATA T.SettableDataBits__SERIAL_WMI_COMM_DATA T.SettableFlowControl__SERIAL_WMI_COMM_DATA T.SettableParity__SERIAL_WMI_COMM_DATA T.SettableParityCheck__SERIAL_WMI_COMM_DATA T.SettableStopBits__SERIAL_WMI_COMM_DATA T.IsBusy__SERIAL_WMI_COMM_DATA T.IrqNumber__SERIAL_WMI_HW_DATA T.IrqVector__SERIAL_WMI_HW_DATA T.IrqLevel__SERIAL_WMI_HW_DATA T.IrqAffinityMask__SERIAL_WMI_HW_DATA T.InterruptType__SERIAL_WMI_HW_DATA T.BaseIOAddress__SERIAL_WMI_HW_DATA T.ReceivedCount__SERIAL_WMI_PERF_DATA T.TransmittedCount__SERIAL_WMI_PERF_DATA T.FrameErrorCount__SERIAL_WMI_PERF_DATA T.SerialOverrunErrorCount__SERIAL_WMI_PERF_DATA T.BufferOverrunErrorCount__SERIAL_WMI_PERF_DATA T.ParityErrorCount__SERIAL_WMI_PERF_DATA T.Timeout__SERIAL_XOFF_COUNTER T.Counter__SERIAL_XOFF_COUNTER T.XoffChar__SERIAL_XOFF_COUNTER T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT T.__unnamed_8_baf71367__ULARGE_INTEGER T.u__ULARGE_INTEGER T.QuadPart__ULARGE_INTEGER T.Length__UNICODE_STRING T.MaximumLength__UNICODE_STRING T.Buffer__UNICODE_STRING T.Type__VPB T.Size__VPB T.Flags__VPB T.VolumeLabelLength__VPB T.DeviceObject__VPB T.RealDevice__VPB T.SerialNumber__VPB T.ReferenceCount__VPB T.VolumeLabel__VPB T.WaitQueueEntry__WAIT_CONTEXT_BLOCK T.DeviceRoutine__WAIT_CONTEXT_BLOCK T.DeviceContext__WAIT_CONTEXT_BLOCK T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK T.DeviceObject__WAIT_CONTEXT_BLOCK T.CurrentIrp__WAIT_CONTEXT_BLOCK T.BufferChainingDpc__WAIT_CONTEXT_BLOCK T.GuidCount__WMILIB_CONTEXT T.GuidList__WMILIB_CONTEXT T.QueryWmiRegInfo__WMILIB_CONTEXT T.QueryWmiDataBlock__WMILIB_CONTEXT T.SetWmiDataBlock__WMILIB_CONTEXT T.SetWmiDataItem__WMILIB_CONTEXT T.ExecuteWmiMethod__WMILIB_CONTEXT T.WmiFunctionControl__WMILIB_CONTEXT T.Priority___unnamed_12_0cb3dc26 T.Reserved1___unnamed_12_0cb3dc26 T.Reserved2___unnamed_12_0cb3dc26 T.Data___unnamed_12_1a4b0b08 T.Reserved___unnamed_12_1cbe20d6 T.MessageCount___unnamed_12_1cbe20d6 T.Vector___unnamed_12_1cbe20d6 T.Affinity___unnamed_12_1cbe20d6 T.Start___unnamed_12_28f1f9cc T.Length___unnamed_12_28f1f9cc T.Reserved___unnamed_12_28f1f9cc T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e T.Start___unnamed_12_33a88444 T.Length48___unnamed_12_33a88444 T.Start___unnamed_12_468ce3a2 T.Length___unnamed_12_468ce3a2 T.ListEntry___unnamed_12_5cc47a19 T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19 T.Level___unnamed_12_6fbd747c T.Vector___unnamed_12_6fbd747c T.Affinity___unnamed_12_6fbd747c T.Generic___unnamed_12_9a27b966 T.Port___unnamed_12_9a27b966 T.Interrupt___unnamed_12_9a27b966 T.MessageInterrupt___unnamed_12_9a27b966 T.Memory___unnamed_12_9a27b966 T.Dma___unnamed_12_9a27b966 T.DevicePrivate___unnamed_12_9a27b966 T.BusNumber___unnamed_12_9a27b966 T.DeviceSpecificData___unnamed_12_9a27b966 T.Memory40___unnamed_12_9a27b966 T.Memory48___unnamed_12_9a27b966 T.Memory64___unnamed_12_9a27b966 T.Raw___unnamed_12_9eaf06f6 T.Translated___unnamed_12_9eaf06f6 T.Data___unnamed_12_a967ef4a T.Start___unnamed_12_ab6ff61b T.Length64___unnamed_12_ab6ff61b T.Start___unnamed_12_ad4e1918 T.Length___unnamed_12_ad4e1918 T.Start___unnamed_12_c0c3bd45 T.Length___unnamed_12_c0c3bd45 T.Start___unnamed_12_df63118d T.Length40___unnamed_12_df63118d T.Level___unnamed_12_e5164c3f T.Vector___unnamed_12_e5164c3f T.Affinity___unnamed_12_e5164c3f T.Channel___unnamed_12_f1f9be0a T.Port___unnamed_12_f1f9be0a T.Reserved1___unnamed_12_f1f9be0a T.DataSize___unnamed_12_f354d203 T.Reserved1___unnamed_12_f354d203 T.Reserved2___unnamed_12_f354d203 T.InterfaceType___unnamed_16_2ab145ec T.Size___unnamed_16_2ab145ec T.Version___unnamed_16_2ab145ec T.Interface___unnamed_16_2ab145ec T.InterfaceSpecificData___unnamed_16_2ab145ec T.Length___unnamed_16_30f1d328 T.MinBusNumber___unnamed_16_30f1d328 T.MaxBusNumber___unnamed_16_30f1d328 T.Reserved___unnamed_16_30f1d328 T.DeviceQueueEntry___unnamed_16_3277c3a0 T.__unnamed_16_c774559b___unnamed_16_3277c3a0 T.Length___unnamed_16_3a584a7c T.Key___unnamed_16_3a584a7c T.ByteOffset___unnamed_16_3a584a7c T.OutputBufferLength___unnamed_16_3dec08db T.InputBufferLength___unnamed_16_3dec08db T.FsControlCode___unnamed_16_3dec08db T.Type3InputBuffer___unnamed_16_3dec08db T.Create___unnamed_16_57edbc3a T.Read___unnamed_16_57edbc3a T.Write___unnamed_16_57edbc3a T.QueryDirectory___unnamed_16_57edbc3a T.NotifyDirectory___unnamed_16_57edbc3a T.QueryFile___unnamed_16_57edbc3a T.SetFile___unnamed_16_57edbc3a T.QueryEa___unnamed_16_57edbc3a T.SetEa___unnamed_16_57edbc3a T.QueryVolume___unnamed_16_57edbc3a T.SetVolume___unnamed_16_57edbc3a T.FileSystemControl___unnamed_16_57edbc3a T.LockControl___unnamed_16_57edbc3a T.DeviceIoControl___unnamed_16_57edbc3a T.QuerySecurity___unnamed_16_57edbc3a T.SetSecurity___unnamed_16_57edbc3a T.MountVolume___unnamed_16_57edbc3a T.VerifyVolume___unnamed_16_57edbc3a T.Scsi___unnamed_16_57edbc3a T.QueryQuota___unnamed_16_57edbc3a T.SetQuota___unnamed_16_57edbc3a T.QueryDeviceRelations___unnamed_16_57edbc3a T.QueryInterface___unnamed_16_57edbc3a T.DeviceCapabilities___unnamed_16_57edbc3a T.FilterResourceRequirements___unnamed_16_57edbc3a T.ReadWriteConfig___unnamed_16_57edbc3a T.SetLock___unnamed_16_57edbc3a T.QueryId___unnamed_16_57edbc3a T.QueryDeviceText___unnamed_16_57edbc3a T.UsageNotification___unnamed_16_57edbc3a T.WaitWake___unnamed_16_57edbc3a T.PowerSequence___unnamed_16_57edbc3a T.Power___unnamed_16_57edbc3a T.StartDevice___unnamed_16_57edbc3a T.WMI___unnamed_16_57edbc3a T.Others___unnamed_16_57edbc3a T.Argument1___unnamed_16_5ac3fe10 T.Argument2___unnamed_16_5ac3fe10 T.Argument3___unnamed_16_5ac3fe10 T.Argument4___unnamed_16_5ac3fe10 T.OutputBufferLength___unnamed_16_5bbbf1e7 T.InputBufferLength___unnamed_16_5bbbf1e7 T.IoControlCode___unnamed_16_5bbbf1e7 T.Type3InputBuffer___unnamed_16_5bbbf1e7 T.ProviderId___unnamed_16_66abee0d T.DataPath___unnamed_16_66abee0d T.BufferSize___unnamed_16_66abee0d T.Buffer___unnamed_16_66abee0d T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2 T.Type___unnamed_16_6c8935f2 T.State___unnamed_16_6c8935f2 T.ShutdownType___unnamed_16_6c8935f2 T.Length___unnamed_16_834e30a3 T.EaList___unnamed_16_834e30a3 T.EaListLength___unnamed_16_834e30a3 T.EaIndex___unnamed_16_834e30a3 T.WhichSpace___unnamed_16_83707d7f T.Buffer___unnamed_16_83707d7f T.Offset___unnamed_16_83707d7f T.Length___unnamed_16_83707d7f T.Length___unnamed_16_94922103 T.Key___unnamed_16_94922103 T.ByteOffset___unnamed_16_94922103 T.Length___unnamed_16_9eb64f79 T.StartSid___unnamed_16_9eb64f79 T.SidList___unnamed_16_9eb64f79 T.SidListLength___unnamed_16_9eb64f79 T.Length___unnamed_16_a71f10bf T.FileName___unnamed_16_a71f10bf T.FileInformationClass___unnamed_16_a71f10bf T.FileIndex___unnamed_16_a71f10bf T.SecurityContext___unnamed_16_af2c1884 T.Options___unnamed_16_af2c1884 T.FileAttributes___unnamed_16_af2c1884 T.ShareAccess___unnamed_16_af2c1884 T.EaLength___unnamed_16_af2c1884 T.Length___unnamed_16_b1a6a9b2 T.FileInformationClass___unnamed_16_b1a6a9b2 T.FileObject___unnamed_16_b1a6a9b2 T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2 T.DriverContext___unnamed_16_c774559b T.Length___unnamed_16_ca1b3ad0 T.Key___unnamed_16_ca1b3ad0 T.ByteOffset___unnamed_16_ca1b3ad0 T.Abandoned___unnamed_1_4258582a T.Absolute___unnamed_1_4258582a T.NpxIrql___unnamed_1_4258582a T.Signalling___unnamed_1_4258582a T.Lock___unnamed_1_4f5916b9 T.Size___unnamed_1_923f487b T.Hand___unnamed_1_923f487b T.Inserted___unnamed_1_ac5cb154 T.DebugActive___unnamed_1_ac5cb154 T.DpcActive___unnamed_1_ac5cb154 T.MinimumVector___unnamed_20_9fc4dd36 T.MaximumVector___unnamed_20_9fc4dd36 T.AffinityPolicy___unnamed_20_9fc4dd36 T.PriorityPolicy___unnamed_20_9fc4dd36 T.TargetedProcessors___unnamed_20_9fc4dd36 T.Length___unnamed_24_76c1f52c T.Alignment___unnamed_24_76c1f52c T.MinimumAddress___unnamed_24_76c1f52c T.MaximumAddress___unnamed_24_76c1f52c T.Length64___unnamed_24_87e4ad03 T.Alignment64___unnamed_24_87e4ad03 T.MinimumAddress___unnamed_24_87e4ad03 T.MaximumAddress___unnamed_24_87e4ad03 T.Port___unnamed_24_87fb9019 T.Memory___unnamed_24_87fb9019 T.Interrupt___unnamed_24_87fb9019 T.Dma___unnamed_24_87fb9019 T.Generic___unnamed_24_87fb9019 T.DevicePrivate___unnamed_24_87fb9019 T.BusNumber___unnamed_24_87fb9019 T.ConfigData___unnamed_24_87fb9019 T.Memory40___unnamed_24_87fb9019 T.Memory48___unnamed_24_87fb9019 T.Memory64___unnamed_24_87fb9019 T.Length40___unnamed_24_af527a47 T.Alignment40___unnamed_24_af527a47 T.MinimumAddress___unnamed_24_af527a47 T.MaximumAddress___unnamed_24_af527a47 T.Length___unnamed_24_b3ef9869 T.Alignment___unnamed_24_b3ef9869 T.MinimumAddress___unnamed_24_b3ef9869 T.MaximumAddress___unnamed_24_b3ef9869 T.Length___unnamed_24_c23e34f7 T.Alignment___unnamed_24_c23e34f7 T.MinimumAddress___unnamed_24_c23e34f7 T.MaximumAddress___unnamed_24_c23e34f7 T.Length48___unnamed_24_e04d7241 T.Alignment48___unnamed_24_e04d7241 T.MinimumAddress___unnamed_24_e04d7241 T.MaximumAddress___unnamed_24_e04d7241 T.ReplaceIfExists___unnamed_2_1d659b1d T.AdvanceOnly___unnamed_2_1d659b1d T.ListEntry___unnamed_40_1db13fa5 T.Wcb___unnamed_40_1db13fa5 T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a T.Thread___unnamed_40_ebf2206a T.AuxiliaryBuffer___unnamed_40_ebf2206a T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a T.OriginalFileObject___unnamed_40_ebf2206a T.InitialPrivilegeSet___unnamed_44_0d347e8a T.PrivilegeSet___unnamed_44_0d347e8a T.Overlay___unnamed_48_ffd8d308 T.Apc___unnamed_48_ffd8d308 T.CompletionKey___unnamed_48_ffd8d308 T.IdType___unnamed_4_04fc9c34 T.PowerSequence___unnamed_4_082ca2fa T.Type___unnamed_4_142d6b52 T.OwnerCount___unnamed_4_1c47e29a T.TableSize___unnamed_4_1c47e29a T.MasterIrp___unnamed_4_3dc37e35 T.IrpCount___unnamed_4_3dc37e35 T.SystemBuffer___unnamed_4_3dc37e35 T.__unnamed_2_1d659b1d___unnamed_4_4d53984e T.ClusterCount___unnamed_4_4d53984e T.DeleteHandle___unnamed_4_4d53984e T.Length___unnamed_4_522a02ae T.CurrentStackLocation___unnamed_4_61d4f5e1 T.PacketType___unnamed_4_61d4f5e1 T.Length___unnamed_4_6eaf329f T.__unnamed_4_f14caa62___unnamed_4_7b44c46c T.Lock___unnamed_4_7b44c46c T.PowerState___unnamed_4_7bab7ec3 T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8 T.ContextAsUlong___unnamed_4_a8006df8 T.Status___unnamed_4_ab1173de T.Pointer___unnamed_4_ab1173de T.Srb___unnamed_4_b2e59cbb T.SystemContext___unnamed_4_b38dc67f T.SystemPowerStateContext___unnamed_4_b38dc67f T.Capabilities___unnamed_4_c62ef092 T.Reserved1___unnamed_4_ce0c1b82 T.TargetSystemState___unnamed_4_ce0c1b82 T.EffectiveSystemState___unnamed_4_ce0c1b82 T.CurrentSystemState___unnamed_4_ce0c1b82 T.IgnoreHibernationPath___unnamed_4_ce0c1b82 T.PseudoTransition___unnamed_4_ce0c1b82 T.Reserved2___unnamed_4_ce0c1b82 T.UserApcRoutine___unnamed_4_cedfeccd T.IssuingProcess___unnamed_4_cedfeccd T.Address___unnamed_4_f13e195c T.CreatorBackTraceIndex___unnamed_4_f13e195c T.Type___unnamed_4_f14caa62 T.__unnamed_1_4258582a___unnamed_4_f14caa62 T.__unnamed_1_923f487b___unnamed_4_f14caa62 T.__unnamed_1_ac5cb154___unnamed_4_f14caa62 T.IoResourceRequirementList___unnamed_4_f18e264a T.Length___unnamed_8_06a6de28 T.CompletionFilter___unnamed_8_06a6de28 T.DeviceTextType___unnamed_8_219179d3 T.LocaleId___unnamed_8_219179d3 T.InPath___unnamed_8_380551ca T.Reserved___unnamed_8_380551ca T.Type___unnamed_8_380551ca T.SecurityInformation___unnamed_8_3ebf0971 T.Length___unnamed_8_3ebf0971 T.AsynchronousParameters___unnamed_8_45a58840 T.AllocationSize___unnamed_8_45a58840 T.LowPart___unnamed_8_544b88f4 T.HighPart___unnamed_8_544b88f4 T.MinimumChannel___unnamed_8_5bc13409 T.MaximumChannel___unnamed_8_5bc13409 T.Length___unnamed_8_5d23cded T.FsInformationClass___unnamed_8_5d23cded T.LowPart___unnamed_8_5d67d492 T.HighPart___unnamed_8_5d67d492 T.SecurityInformation___unnamed_8_655e974a T.SecurityDescriptor___unnamed_8_655e974a T.Vpb___unnamed_8_a4174c52 T.DeviceObject___unnamed_8_a4174c52 T.LowPart___unnamed_8_a569aa82 T.HighPart___unnamed_8_a569aa82 T.Length___unnamed_8_b3031d0e T.FileInformationClass___unnamed_8_b3031d0e T.Length___unnamed_8_b7ca8084 T.FsInformationClass___unnamed_8_b7ca8084 T.Vpb___unnamed_8_b8c2e139 T.DeviceObject___unnamed_8_b8c2e139 T.LowPart___unnamed_8_baf71367 T.HighPart___unnamed_8_baf71367 T.__unnamed_4_cedfeccd___unnamed_8_be4b9317 T.UserApcContext___unnamed_8_be4b9317 T.AllocatedResources___unnamed_8_d81ae7e8 T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8 T.A17CHAR T.A18CHAR T.A1UINT2 T.A1_CM_FULL_RESOURCE_DESCRIPTOR T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_LIST T.A1_LUID_AND_ATTRIBUTES T.A20CHAR T.A21CHAR T.A22CHAR T.A23CHAR T.A24CHAR T.A25CHAR T.A26CHAR T.A27CHAR T.A28CHAR T.A28PFDRIVER_DISPATCH T.A30CHAR T.A31CHAR T.A32CHAR T.A32UINT2 T.A34CHAR T.A35CHAR T.A37CHAR T.A3UCHAR T.A3UINT4 T.A3_LUID_AND_ATTRIBUTES T.A4PVOID T.A7_DEVICE_POWER_STATE T.A8UCHAR T.BUS_QUERY_ID_TYPE T.CHAR T.DEVICE_TEXT_TYPE T.F0 T.F1 T.F10 T.F11 T.F12 T.F13 T.F14 T.F15 T.F16 T.F17 T.F18 T.F19 T.F2 T.F20 T.F21 T.F22 T.F23 T.F24 T.F25 T.F26 T.F27 T.F28 T.F29 T.F3 T.F30 T.F31 T.F32 T.F33 T.F34 T.F35 T.F36 T.F37 T.F38 T.F39 T.F4 T.F40 T.F41 T.F42 T.F43 T.F44 T.F45 T.F5 T.F6 T.F7 T.F8 T.F9 T.FDRIVER_ADD_DEVICE T.FDRIVER_CANCEL T.FDRIVER_DISPATCH T.FDRIVER_INITIALIZE T.FDRIVER_STARTIO T.FDRIVER_UNLOAD T.FFAST_IO_ACQUIRE_FILE T.FFAST_IO_ACQUIRE_FOR_CCFLUSH T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE T.FFAST_IO_CHECK_IF_POSSIBLE T.FFAST_IO_DETACH_DEVICE T.FFAST_IO_DEVICE_CONTROL T.FFAST_IO_LOCK T.FFAST_IO_MDL_READ T.FFAST_IO_MDL_READ_COMPLETE T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.FFAST_IO_MDL_WRITE_COMPLETE T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.FFAST_IO_PREPARE_MDL_WRITE T.FFAST_IO_QUERY_BASIC_INFO T.FFAST_IO_QUERY_NETWORK_OPEN_INFO T.FFAST_IO_QUERY_OPEN T.FFAST_IO_QUERY_STANDARD_INFO T.FFAST_IO_READ T.FFAST_IO_READ_COMPRESSED T.FFAST_IO_RELEASE_FILE T.FFAST_IO_RELEASE_FOR_CCFLUSH T.FFAST_IO_RELEASE_FOR_MOD_WRITE T.FFAST_IO_UNLOCK_ALL T.FFAST_IO_UNLOCK_ALL_BY_KEY T.FFAST_IO_UNLOCK_SINGLE T.FFAST_IO_WRITE T.FFAST_IO_WRITE_COMPRESSED T.FIO_COMPLETION_ROUTINE T.FKSERVICE_ROUTINE T.INT2 T.INT4 T.INT8 T.PA17CHAR T.PA18CHAR T.PA20CHAR T.PA21CHAR T.PA22CHAR T.PA23CHAR T.PA24CHAR T.PA25CHAR T.PA26CHAR T.PA27CHAR T.PA28CHAR T.PA30CHAR T.PA31CHAR T.PA32CHAR T.PA34CHAR T.PA35CHAR T.PA37CHAR T.PCHAR T.PF0 T.PF20 T.PF21 T.PF22 T.PF24 T.PF25 T.PF26 T.PF32 T.PF33 T.PF34 T.PF36 T.PF37 T.PF38 T.PF39 T.PF40 T.PF41 T.PF42 T.PF43 T.PF44 T.PF45 T.PFDRIVER_ADD_DEVICE T.PFDRIVER_CANCEL T.PFDRIVER_DISPATCH T.PFDRIVER_INITIALIZE T.PFDRIVER_STARTIO T.PFDRIVER_UNLOAD T.PFFAST_IO_ACQUIRE_FILE T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE T.PFFAST_IO_CHECK_IF_POSSIBLE T.PFFAST_IO_DETACH_DEVICE T.PFFAST_IO_DEVICE_CONTROL T.PFFAST_IO_LOCK T.PFFAST_IO_MDL_READ T.PFFAST_IO_MDL_READ_COMPLETE T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.PFFAST_IO_MDL_WRITE_COMPLETE T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.PFFAST_IO_PREPARE_MDL_WRITE T.PFFAST_IO_QUERY_BASIC_INFO T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO T.PFFAST_IO_QUERY_OPEN T.PFFAST_IO_QUERY_STANDARD_INFO T.PFFAST_IO_READ T.PFFAST_IO_READ_COMPRESSED T.PFFAST_IO_RELEASE_FILE T.PFFAST_IO_RELEASE_FOR_CCFLUSH T.PFFAST_IO_RELEASE_FOR_MOD_WRITE T.PFFAST_IO_UNLOCK_ALL T.PFFAST_IO_UNLOCK_ALL_BY_KEY T.PFFAST_IO_UNLOCK_SINGLE T.PFFAST_IO_WRITE T.PFFAST_IO_WRITE_COMPRESSED T.PFIO_COMPLETION_ROUTINE T.PFKSERVICE_ROUTINE T.PINT2 T.PINT4 T.POWER_ACTION T.PPCHAR T.PPF0 T.PPF25 T.PPF34 T.PPF43 T.PPF44 T.PPFDRIVER_CANCEL T.PPINT2 T.PPINT4 T.PPP_IRP T.PPUCHAR T.PPUINT4 T.PPVOID T.PP_DEVICE_OBJECT T.PP_ERESOURCE T.PP_IO_STACK_LOCATION T.PP_IRP T.PP_KDPC T.PP_KEVENT T.PP_KINTERRUPT T.PP_KTIMER T.PP_LARGE_INTEGER T.PP_LIST_ENTRY T.PP_MDL T.PP_SERIAL_BAUD_RATE T.PP_SERIAL_CHARS T.PP_SERIAL_COMMPROP T.PP_SERIAL_DEVICE_EXTENSION T.PP_SERIAL_HANDFLOW T.PP_SERIAL_LINE_CONTROL T.PP_SERIAL_QUEUE_SIZE T.PP_SERIAL_TIMEOUTS T.PP_SERIAL_XOFF_COUNTER T.PP_UNICODE_STRING T.PUCHAR T.PUINT2 T.PUINT4 T.PVOID T.PWMIGUIDREGINFO T.P_ACCESS_STATE T.P_CM_RESOURCE_LIST T.P_COMPRESSED_DATA_INFO T.P_DEVICE_CAPABILITIES T.P_DEVICE_OBJECT T.P_DEVICE_POWER_STATE T.P_DEVOBJ_EXTENSION T.P_DRIVER_EXTENSION T.P_DRIVER_OBJECT T.P_EPROCESS T.P_ERESOURCE T.P_EVENT_TYPE T.P_FAST_IO_DISPATCH T.P_FILE_BASIC_INFORMATION T.P_FILE_GET_QUOTA_INFORMATION T.P_FILE_NETWORK_OPEN_INFORMATION T.P_FILE_OBJECT T.P_FILE_STANDARD_INFORMATION T.P_GUID T.P_INTERFACE T.P_IO_COMPLETION_CONTEXT T.P_IO_RESOURCE_REQUIREMENTS_LIST T.P_IO_SECURITY_CONTEXT T.P_IO_STACK_LOCATION T.P_IO_STATUS_BLOCK T.P_IO_TIMER T.P_IRP T.P_KAPC T.P_KDPC T.P_KEVENT T.P_KINTERRUPT T.P_KPROCESS T.P_KSEMAPHORE T.P_KTHREAD T.P_KTIMER T.P_KWAIT_REASON T.P_LARGE_INTEGER T.P_LIST_ENTRY T.P_MDL T.P_OWNER_ENTRY T.P_POOL_TYPE T.P_POWER_SEQUENCE T.P_POWER_STATE T.P_SCSI_REQUEST_BLOCK T.P_SECTION_OBJECT_POINTERS T.P_SECURITY_QUALITY_OF_SERVICE T.P_SERIAL_BAUD_RATE T.P_SERIAL_CHARS T.P_SERIAL_CISR_SW T.P_SERIAL_COMMPROP T.P_SERIAL_DEVICE_EXTENSION T.P_SERIAL_HANDFLOW T.P_SERIAL_IOCTL_SYNC T.P_SERIAL_LINE_CONTROL T.P_SERIAL_QUEUE_SIZE T.P_SERIAL_RESIZE_PARAMS T.P_SERIAL_TIMEOUTS T.P_SERIAL_UPDATE_CHAR T.P_SERIAL_XOFF_COUNTER T.P_UNICODE_STRING T.P_VPB T.UCHAR T.UINT2 T.UINT4 T.UINT8 T.VOID T.WMIENABLEDISABLECONTROL T.WMIGUIDREGINFO T._ACCESS_STATE T._CM_FULL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_LIST T._CM_RESOURCE_LIST T._COMPRESSED_DATA_INFO T._DEVICE_CAPABILITIES T._DEVICE_OBJECT T._DEVICE_POWER_STATE T._DEVICE_RELATION_TYPE T._DEVICE_USAGE_NOTIFICATION_TYPE T._DEVOBJ_EXTENSION T._DISPATCHER_HEADER T._DRIVER_EXTENSION T._DRIVER_OBJECT T._EPROCESS T._ERESOURCE T._EVENT_TYPE T._FAST_IO_DISPATCH T._FAST_MUTEX T._FILE_BASIC_INFORMATION T._FILE_GET_QUOTA_INFORMATION T._FILE_INFORMATION_CLASS T._FILE_NETWORK_OPEN_INFORMATION T._FILE_OBJECT T._FILE_STANDARD_INFORMATION T._FSINFOCLASS T._GUID T._INITIAL_PRIVILEGE_SET T._INTERFACE T._INTERFACE_TYPE T._IO_ALLOCATION_ACTION T._IO_COMPLETION_CONTEXT T._IO_RESOURCE_DESCRIPTOR T._IO_RESOURCE_LIST T._IO_RESOURCE_REQUIREMENTS_LIST T._IO_SECURITY_CONTEXT T._IO_STACK_LOCATION T._IO_STATUS_BLOCK T._IO_TIMER T._IRP T._IRQ_DEVICE_POLICY T._IRQ_PRIORITY T._KAPC T._KDEVICE_QUEUE T._KDEVICE_QUEUE_ENTRY T._KDPC T._KEVENT T._KINTERRUPT T._KPROCESS T._KSEMAPHORE T._KTHREAD T._KTIMER T._KWAIT_REASON T._LARGE_INTEGER T._LIST_ENTRY T._LUID T._LUID_AND_ATTRIBUTES T._MDL T._OWNER_ENTRY T._POOL_TYPE T._POWER_SEQUENCE T._POWER_STATE T._POWER_STATE_TYPE T._PRIVILEGE_SET T._SCSI_REQUEST_BLOCK T._SECTION_OBJECT_POINTERS T._SECURITY_IMPERSONATION_LEVEL T._SECURITY_QUALITY_OF_SERVICE T._SECURITY_SUBJECT_CONTEXT T._SERIALPERF_STATS T._SERIAL_BAUD_RATE T._SERIAL_CHARS T._SERIAL_CISR_SW T._SERIAL_COMMPROP T._SERIAL_DEVICE_EXTENSION T._SERIAL_DEVICE_STATE T._SERIAL_HANDFLOW T._SERIAL_IOCTL_SYNC T._SERIAL_LINE_CONTROL T._SERIAL_QUEUE_SIZE T._SERIAL_RESIZE_PARAMS T._SERIAL_TIMEOUTS T._SERIAL_UPDATE_CHAR T._SERIAL_WMI_COMM_DATA T._SERIAL_WMI_HW_DATA T._SERIAL_WMI_PERF_DATA T._SERIAL_XOFF_COUNTER T._SYSTEM_POWER_STATE T._SYSTEM_POWER_STATE_CONTEXT T._ULARGE_INTEGER T._UNICODE_STRING T._VPB T._WAIT_CONTEXT_BLOCK T._WMILIB_CONTEXT T.__unnamed_12_0cb3dc26 T.__unnamed_12_1a4b0b08 T.__unnamed_12_1cbe20d6 T.__unnamed_12_28f1f9cc T.__unnamed_12_29a9546e T.__unnamed_12_33a88444 T.__unnamed_12_468ce3a2 T.__unnamed_12_5cc47a19 T.__unnamed_12_6fbd747c T.__unnamed_12_9a27b966 T.__unnamed_12_9eaf06f6 T.__unnamed_12_a967ef4a T.__unnamed_12_ab6ff61b T.__unnamed_12_ad4e1918 T.__unnamed_12_c0c3bd45 T.__unnamed_12_df63118d T.__unnamed_12_e5164c3f T.__unnamed_12_f1f9be0a T.__unnamed_12_f354d203 T.__unnamed_16_2ab145ec T.__unnamed_16_30f1d328 T.__unnamed_16_3277c3a0 T.__unnamed_16_3a584a7c T.__unnamed_16_3dec08db T.__unnamed_16_57edbc3a T.__unnamed_16_5ac3fe10 T.__unnamed_16_5bbbf1e7 T.__unnamed_16_66abee0d T.__unnamed_16_6c8935f2 T.__unnamed_16_834e30a3 T.__unnamed_16_83707d7f T.__unnamed_16_94922103 T.__unnamed_16_9eb64f79 T.__unnamed_16_a71f10bf T.__unnamed_16_af2c1884 T.__unnamed_16_b1a6a9b2 T.__unnamed_16_c774559b T.__unnamed_16_ca1b3ad0 T.__unnamed_1_4258582a T.__unnamed_1_4f5916b9 T.__unnamed_1_923f487b T.__unnamed_1_ac5cb154 T.__unnamed_20_9fc4dd36 T.__unnamed_24_76c1f52c T.__unnamed_24_87e4ad03 T.__unnamed_24_87fb9019 T.__unnamed_24_af527a47 T.__unnamed_24_b3ef9869 T.__unnamed_24_c23e34f7 T.__unnamed_24_e04d7241 T.__unnamed_2_1d659b1d T.__unnamed_40_1db13fa5 T.__unnamed_40_ebf2206a T.__unnamed_44_0d347e8a T.__unnamed_48_ffd8d308 T.__unnamed_4_04fc9c34 T.__unnamed_4_082ca2fa T.__unnamed_4_142d6b52 T.__unnamed_4_1c47e29a T.__unnamed_4_3dc37e35 T.__unnamed_4_4d53984e T.__unnamed_4_522a02ae T.__unnamed_4_61d4f5e1 T.__unnamed_4_6eaf329f T.__unnamed_4_7b44c46c T.__unnamed_4_7bab7ec3 T.__unnamed_4_a8006df8 T.__unnamed_4_ab1173de T.__unnamed_4_b2e59cbb T.__unnamed_4_b38dc67f T.__unnamed_4_c62ef092 T.__unnamed_4_ce0c1b82 T.__unnamed_4_cedfeccd T.__unnamed_4_f13e195c T.__unnamed_4_f14caa62 T.__unnamed_4_f18e264a T.__unnamed_8_06a6de28 T.__unnamed_8_219179d3 T.__unnamed_8_380551ca T.__unnamed_8_3ebf0971 T.__unnamed_8_45a58840 T.__unnamed_8_544b88f4 T.__unnamed_8_5bc13409 T.__unnamed_8_5d23cded T.__unnamed_8_5d67d492 T.__unnamed_8_655e974a T.__unnamed_8_a4174c52 T.__unnamed_8_a569aa82 T.__unnamed_8_b3031d0e T.__unnamed_8_b7ca8084 T.__unnamed_8_b8c2e139 T.__unnamed_8_baf71367 T.__unnamed_8_be4b9317 T.__unnamed_8_d81ae7e8 (int_2_U SerialCancelCurrentRead) (int_2_U SerialCancelCurrentWrite) (int_2_U SerialCancelCurrentXoff) (int_2_U SerialCancelImmediate) (int_2_U SerialCancelQueued) (int_2_U SerialClearStats) (int_2_U SerialClrDTR) (int_2_U SerialClrRTS) (int_2_U SerialFilterCancelQueued) (int_2_U SerialGetCommStatus) (int_2_U SerialGetMCRContents) (int_2_U SerialGetModemUpdate) (int_2_U SerialGetNextIrp) (int_2_U SerialGetNextWrite) (int_2_U SerialGetStats) (int_2_U SerialGiveImmediateToIsr) (int_2_U SerialGiveWriteToIsr) (int_2_U SerialGiveXoffToIsr) (int_2_U SerialGrabReadFromIsr) (int_2_U SerialGrabWriteFromIsr) (int_2_U SerialGrabXoffFromIsr) (int_2_U SerialPretendXoff) (int_2_U SerialPretendXon) (int_2_U SerialProcessEmptyTransmit) (int_2_U SerialSetBaud) (int_2_U SerialSetChars) (int_2_U SerialSetDTR) (int_2_U SerialSetEscapeChar) (int_2_U SerialSetFCRContents) (int_2_U SerialSetHandFlow) (int_2_U SerialSetLineControl) (int_2_U SerialSetMCRContents) (int_2_U SerialSetRTS) (int_2_U SerialStartMask) (int_2_U SerialStartPurge) (int_2_U SerialStartRead) (int_2_U SerialStartWrite) (int_2_U SerialSystemPowerCompletion) (int_2_U SerialTurnOffBreak) (int_2_U SerialTurnOnBreak) (int_2_U SerialUpdateAndSwitchToNew) (int_2_U SerialUpdateAndSwitchToUser) (int_2_U SerialUpdateInterruptBuffer) (int_2_U SerialUpdateReadByIsr) (int_2_U hdevobj) (int_2_U hiostackloc) (int_2_U hirp) (int_2_U hlock) (int_2_U notused_hiostackloc) (int_2_U sdv_irql_current) (int_2_U sdv_irql_previous) (int_2_U sdv_irql_previous_2) (int_2_U sdv_irql_previous_3) (int_2_U BOOGIE_LARGE_INT_2147483648) (int_2_U BOOGIE_LARGE_INT_4294967295)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (Argument4___unnamed_16_5ac3fe10Inv (Argument4___unnamed_16_5ac3fe10 ?x25)) ?x25) :pattern ((Argument4___unnamed_16_5ac3fe10Inv (Argument4___unnamed_16_5ac3fe10 ?x25))) )) (forall ((?x26 Int)) (! (= (Argument4___unnamed_16_5ac3fe10 (Argument4___unnamed_16_5ac3fe10Inv ?x26)) ?x26) :pattern ((Argument4___unnamed_16_5ac3fe10Inv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10 ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (Argument4___unnamed_16_5ac3fe10Inv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10 ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (Argument4___unnamed_16_5ac3fe10 (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10 ?S14) (int_2_U (Argument4___unnamed_16_5ac3fe10 (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_Argument4___unnamed_16_5ac3fe10 ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S15) (int_2_U (Argument4___unnamed_16_5ac3fe10Inv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S15)) )) (forall ((?x31 Int)) (! (= (Argument4___unnamed_16_5ac3fe10 ?x31) (+ ?x31 12)) :pattern ((Argument4___unnamed_16_5ac3fe10 ?x31)) )) (forall ((?x32 Int)) (! (= (Argument4___unnamed_16_5ac3fe10Inv ?x32) (- ?x32 12)) :pattern ((Argument4___unnamed_16_5ac3fe10Inv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 12 1) (Argument4___unnamed_16_5ac3fe10Inv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 12 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 12) (Argument4___unnamed_16_5ac3fe10Inv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 12)) )) (forall ((?x35 Int)) (! (= (AssociatedIrp__IRPInv (AssociatedIrp__IRP ?x35)) ?x35) :pattern ((AssociatedIrp__IRPInv (AssociatedIrp__IRP ?x35))) )) (forall ((?x36 Int)) (! (= (AssociatedIrp__IRP (AssociatedIrp__IRPInv ?x36)) ?x36) :pattern ((AssociatedIrp__IRPInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRP ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (AssociatedIrp__IRPInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_AssociatedIrp__IRP ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRPInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (AssociatedIrp__IRP (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_AssociatedIrp__IRPInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRP ?S18) (int_2_U (AssociatedIrp__IRP (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_AssociatedIrp__IRP ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRPInv ?S19) (int_2_U (AssociatedIrp__IRPInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_AssociatedIrp__IRPInv ?S19)) )) (forall ((?x41 Int)) (! (= (AssociatedIrp__IRP ?x41) (+ ?x41 12)) :pattern ((AssociatedIrp__IRP ?x41)) )) (forall ((?x42 Int)) (! (= (AssociatedIrp__IRPInv ?x42) (- ?x42 12)) :pattern ((AssociatedIrp__IRPInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 12 1) (AssociatedIrp__IRPInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 12 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 12) (AssociatedIrp__IRPInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 12)) )) (forall ((?x45 Int)) (! (= (BaudRate__SERIAL_BAUD_RATEInv (BaudRate__SERIAL_BAUD_RATE ?x45)) ?x45) :pattern ((BaudRate__SERIAL_BAUD_RATEInv (BaudRate__SERIAL_BAUD_RATE ?x45))) )) (forall ((?x46 Int)) (! (= (BaudRate__SERIAL_BAUD_RATE (BaudRate__SERIAL_BAUD_RATEInv ?x46)) ?x46) :pattern ((BaudRate__SERIAL_BAUD_RATEInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATE ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (BaudRate__SERIAL_BAUD_RATEInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATE ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (BaudRate__SERIAL_BAUD_RATE (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATE ?S22) (int_2_U (BaudRate__SERIAL_BAUD_RATE (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_BaudRate__SERIAL_BAUD_RATE ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S23) (int_2_U (BaudRate__SERIAL_BAUD_RATEInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S23)) )) (forall ((?x51 Int)) (! (= (BaudRate__SERIAL_BAUD_RATE ?x51) (+ ?x51 0)) :pattern ((BaudRate__SERIAL_BAUD_RATE ?x51)) )) (forall ((?x52 Int)) (! (= (BaudRate__SERIAL_BAUD_RATEInv ?x52) (- ?x52 0)) :pattern ((BaudRate__SERIAL_BAUD_RATEInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1) (BaudRate__SERIAL_BAUD_RATEInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 0) (BaudRate__SERIAL_BAUD_RATEInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 0)) )) (forall ((?x55 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATAInv (BaudRate__SERIAL_WMI_COMM_DATA ?x55)) ?x55) :pattern ((BaudRate__SERIAL_WMI_COMM_DATAInv (BaudRate__SERIAL_WMI_COMM_DATA ?x55))) )) (forall ((?x56 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATA (BaudRate__SERIAL_WMI_COMM_DATAInv ?x56)) ?x56) :pattern ((BaudRate__SERIAL_WMI_COMM_DATAInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (BaudRate__SERIAL_WMI_COMM_DATAInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (BaudRate__SERIAL_WMI_COMM_DATA (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S26) (int_2_U (BaudRate__SERIAL_WMI_COMM_DATA (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S27) (int_2_U (BaudRate__SERIAL_WMI_COMM_DATAInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S27)) )) (forall ((?x61 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATA ?x61) (+ ?x61 0)) :pattern ((BaudRate__SERIAL_WMI_COMM_DATA ?x61)) )) (forall ((?x62 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATAInv ?x62) (- ?x62 0)) :pattern ((BaudRate__SERIAL_WMI_COMM_DATAInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1) (BaudRate__SERIAL_WMI_COMM_DATAInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 0) (BaudRate__SERIAL_WMI_COMM_DATAInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 0)) )) (forall ((?x65 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATAInv (BitsPerByte__SERIAL_WMI_COMM_DATA ?x65)) ?x65) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATAInv (BitsPerByte__SERIAL_WMI_COMM_DATA ?x65))) )) (forall ((?x66 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATA (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x66)) ?x66) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATAInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATA (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S30) (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATA (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S31) (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATAInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S31)) )) (forall ((?x71 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATA ?x71) (+ ?x71 4)) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATA ?x71)) )) (forall ((?x72 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x72) (- ?x72 4)) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 4 1) (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 4 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 4) (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 4)) )) (forall ((?x75 Int)) (! (= (Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x75)) ?x75) :pattern ((Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x75))) )) (forall ((?x76 Int)) (! (= (Blink__LIST_ENTRY (Blink__LIST_ENTRYInv ?x76)) ?x76) :pattern ((Blink__LIST_ENTRYInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRY ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (Blink__LIST_ENTRY (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRYInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S34) (int_2_U (Blink__LIST_ENTRY (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_Blink__LIST_ENTRY ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S35) (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_Blink__LIST_ENTRYInv ?S35)) )) (forall ((?x81 Int)) (! (= (Blink__LIST_ENTRY ?x81) (+ ?x81 4)) :pattern ((Blink__LIST_ENTRY ?x81)) )) (forall ((?x82 Int)) (! (= (Blink__LIST_ENTRYInv ?x82) (- ?x82 4)) :pattern ((Blink__LIST_ENTRYInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 4 1) (Blink__LIST_ENTRYInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 4 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 4) (Blink__LIST_ENTRYInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 4)) )) (forall ((?x85 Int)) (! (= (BreakChar__SERIAL_CHARSInv (BreakChar__SERIAL_CHARS ?x85)) ?x85) :pattern ((BreakChar__SERIAL_CHARSInv (BreakChar__SERIAL_CHARS ?x85))) )) (forall ((?x86 Int)) (! (= (BreakChar__SERIAL_CHARS (BreakChar__SERIAL_CHARSInv ?x86)) ?x86) :pattern ((BreakChar__SERIAL_CHARSInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARS ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (BreakChar__SERIAL_CHARSInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_BreakChar__SERIAL_CHARS ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARSInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (BreakChar__SERIAL_CHARS (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_BreakChar__SERIAL_CHARSInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARS ?S38) (int_2_U (BreakChar__SERIAL_CHARS (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_BreakChar__SERIAL_CHARS ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARSInv ?S39) (int_2_U (BreakChar__SERIAL_CHARSInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_BreakChar__SERIAL_CHARSInv ?S39)) )) (forall ((?x91 Int)) (! (= (BreakChar__SERIAL_CHARS ?x91) (+ ?x91 2)) :pattern ((BreakChar__SERIAL_CHARS ?x91)) )) (forall ((?x92 Int)) (! (= (BreakChar__SERIAL_CHARSInv ?x92) (- ?x92 2)) :pattern ((BreakChar__SERIAL_CHARSInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 2 1) (BreakChar__SERIAL_CHARSInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 2 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 2) (BreakChar__SERIAL_CHARSInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 2)) )) (forall ((?x95 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSIONInv (BufferSize__SERIAL_DEVICE_EXTENSION ?x95)) ?x95) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSIONInv (BufferSize__SERIAL_DEVICE_EXTENSION ?x95))) )) (forall ((?x96 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSION (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x96)) ?x96) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSION (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S42) (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSION (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S43) (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S43)) )) (forall ((?x101 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSION ?x101) (+ ?x101 252)) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSION ?x101)) )) (forall ((?x102 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x102) (- ?x102 252)) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 252 1) (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 252 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 252) (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 252)) )) (forall ((?x105 Int)) (! (= (CancelIrql__IRPInv (CancelIrql__IRP ?x105)) ?x105) :pattern ((CancelIrql__IRPInv (CancelIrql__IRP ?x105))) )) (forall ((?x106 Int)) (! (= (CancelIrql__IRP (CancelIrql__IRPInv ?x106)) ?x106) :pattern ((CancelIrql__IRPInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRP ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (CancelIrql__IRPInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelIrql__IRP ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRPInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (CancelIrql__IRP (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelIrql__IRPInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRP ?S46) (int_2_U (CancelIrql__IRP (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_CancelIrql__IRP ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRPInv ?S47) (int_2_U (CancelIrql__IRPInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_CancelIrql__IRPInv ?S47)) )) (forall ((?x111 Int)) (! (= (CancelIrql__IRP ?x111) (+ ?x111 37)) :pattern ((CancelIrql__IRP ?x111)) )) (forall ((?x112 Int)) (! (= (CancelIrql__IRPInv ?x112) (- ?x112 37)) :pattern ((CancelIrql__IRPInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 37 1) (CancelIrql__IRPInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 37 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 37) (CancelIrql__IRPInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 37)) )) (forall ((?x115 Int)) (! (= (CancelRoutine__IRPInv (CancelRoutine__IRP ?x115)) ?x115) :pattern ((CancelRoutine__IRPInv (CancelRoutine__IRP ?x115))) )) (forall ((?x116 Int)) (! (= (CancelRoutine__IRP (CancelRoutine__IRPInv ?x116)) ?x116) :pattern ((CancelRoutine__IRPInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRP ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (CancelRoutine__IRPInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelRoutine__IRP ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRPInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (CancelRoutine__IRP (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelRoutine__IRPInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRP ?S50) (int_2_U (CancelRoutine__IRP (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_CancelRoutine__IRP ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRPInv ?S51) (int_2_U (CancelRoutine__IRPInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_CancelRoutine__IRPInv ?S51)) )) (forall ((?x121 Int)) (! (= (CancelRoutine__IRP ?x121) (+ ?x121 56)) :pattern ((CancelRoutine__IRP ?x121)) )) (forall ((?x122 Int)) (! (= (CancelRoutine__IRPInv ?x122) (- ?x122 56)) :pattern ((CancelRoutine__IRPInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 56 1) (CancelRoutine__IRPInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 56 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 56) (CancelRoutine__IRPInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 56)) )) (forall ((?x125 Int)) (! (= (Cancel__IRPInv (Cancel__IRP ?x125)) ?x125) :pattern ((Cancel__IRPInv (Cancel__IRP ?x125))) )) (forall ((?x126 Int)) (! (= (Cancel__IRP (Cancel__IRPInv ?x126)) ?x126) :pattern ((Cancel__IRPInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancel__IRP ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (Cancel__IRPInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancel__IRP ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancel__IRPInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (Cancel__IRP (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancel__IRPInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancel__IRP ?S54) (int_2_U (Cancel__IRP (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_Cancel__IRP ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancel__IRPInv ?S55) (int_2_U (Cancel__IRPInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_Cancel__IRPInv ?S55)) )) (forall ((?x131 Int)) (! (= (Cancel__IRP ?x131) (+ ?x131 36)) :pattern ((Cancel__IRP ?x131)) )) (forall ((?x132 Int)) (! (= (Cancel__IRPInv ?x132) (- ?x132 36)) :pattern ((Cancel__IRPInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 36 1) (Cancel__IRPInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 36 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 36) (Cancel__IRPInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 36)) )) (forall ((?x135 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHARInv (CharsCopied__SERIAL_UPDATE_CHAR ?x135)) ?x135) :pattern ((CharsCopied__SERIAL_UPDATE_CHARInv (CharsCopied__SERIAL_UPDATE_CHAR ?x135))) )) (forall ((?x136 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHAR (CharsCopied__SERIAL_UPDATE_CHARInv ?x136)) ?x136) :pattern ((CharsCopied__SERIAL_UPDATE_CHARInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (CharsCopied__SERIAL_UPDATE_CHARInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (CharsCopied__SERIAL_UPDATE_CHAR (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S58) (int_2_U (CharsCopied__SERIAL_UPDATE_CHAR (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S59) (int_2_U (CharsCopied__SERIAL_UPDATE_CHARInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S59)) )) (forall ((?x141 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHAR ?x141) (+ ?x141 4)) :pattern ((CharsCopied__SERIAL_UPDATE_CHAR ?x141)) )) (forall ((?x142 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHARInv ?x142) (- ?x142 4)) :pattern ((CharsCopied__SERIAL_UPDATE_CHARInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1) (CharsCopied__SERIAL_UPDATE_CHARInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 4) (CharsCopied__SERIAL_UPDATE_CHARInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 4)) )) (forall ((?x145 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x145)) ?x145) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x145))) )) (forall ((?x146 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x146)) ?x146) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S62) (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S63) (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S63)) )) (forall ((?x151 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x151) (+ ?x151 232)) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x151)) )) (forall ((?x152 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x152) (- ?x152 232)) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 232 1) (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 232 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 232) (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 232)) )) (forall ((?x155 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSIONInv (ClockRate__SERIAL_DEVICE_EXTENSION ?x155)) ?x155) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSIONInv (ClockRate__SERIAL_DEVICE_EXTENSION ?x155))) )) (forall ((?x156 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSION (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x156)) ?x156) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSION (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S66) (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSION (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S67) (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S67)) )) (forall ((?x161 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSION ?x161) (+ ?x161 324)) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSION ?x161)) )) (forall ((?x162 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x162) (- ?x162 324)) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 324 1) (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 324 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 324) (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 324)) )) (forall ((?x165 Int)) (! (= (Completed__SERIAL_UPDATE_CHARInv (Completed__SERIAL_UPDATE_CHAR ?x165)) ?x165) :pattern ((Completed__SERIAL_UPDATE_CHARInv (Completed__SERIAL_UPDATE_CHAR ?x165))) )) (forall ((?x166 Int)) (! (= (Completed__SERIAL_UPDATE_CHAR (Completed__SERIAL_UPDATE_CHARInv ?x166)) ?x166) :pattern ((Completed__SERIAL_UPDATE_CHARInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHAR ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Completed__SERIAL_UPDATE_CHARInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Completed__SERIAL_UPDATE_CHAR ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHARInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Completed__SERIAL_UPDATE_CHAR (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Completed__SERIAL_UPDATE_CHARInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHAR ?S70) (int_2_U (Completed__SERIAL_UPDATE_CHAR (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Completed__SERIAL_UPDATE_CHAR ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHARInv ?S71) (int_2_U (Completed__SERIAL_UPDATE_CHARInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Completed__SERIAL_UPDATE_CHARInv ?S71)) )) (forall ((?x171 Int)) (! (= (Completed__SERIAL_UPDATE_CHAR ?x171) (+ ?x171 8)) :pattern ((Completed__SERIAL_UPDATE_CHAR ?x171)) )) (forall ((?x172 Int)) (! (= (Completed__SERIAL_UPDATE_CHARInv ?x172) (- ?x172 8)) :pattern ((Completed__SERIAL_UPDATE_CHARInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 8 1) (Completed__SERIAL_UPDATE_CHARInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 8 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 8) (Completed__SERIAL_UPDATE_CHARInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 8)) )) (forall ((?x175 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOWInv (ControlHandShake__SERIAL_HANDFLOW ?x175)) ?x175) :pattern ((ControlHandShake__SERIAL_HANDFLOWInv (ControlHandShake__SERIAL_HANDFLOW ?x175))) )) (forall ((?x176 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOW (ControlHandShake__SERIAL_HANDFLOWInv ?x176)) ?x176) :pattern ((ControlHandShake__SERIAL_HANDFLOWInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOW ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (ControlHandShake__SERIAL_HANDFLOWInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOW ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (ControlHandShake__SERIAL_HANDFLOW (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOW ?S74) (int_2_U (ControlHandShake__SERIAL_HANDFLOW (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_ControlHandShake__SERIAL_HANDFLOW ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S75) (int_2_U (ControlHandShake__SERIAL_HANDFLOWInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S75)) )) (forall ((?x181 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOW ?x181) (+ ?x181 0)) :pattern ((ControlHandShake__SERIAL_HANDFLOW ?x181)) )) (forall ((?x182 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOWInv ?x182) (- ?x182 0)) :pattern ((ControlHandShake__SERIAL_HANDFLOWInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 0 1) (ControlHandShake__SERIAL_HANDFLOWInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 0 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 0) (ControlHandShake__SERIAL_HANDFLOWInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 0)) )) (forall ((?x185 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSIONInv (ControlLock__SERIAL_DEVICE_EXTENSION ?x185)) ?x185) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSIONInv (ControlLock__SERIAL_DEVICE_EXTENSION ?x185))) )) (forall ((?x186 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSION (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x186)) ?x186) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S78) (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S79) (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S79)) )) (forall ((?x191 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSION ?x191) (+ ?x191 476)) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSION ?x191)) )) (forall ((?x192 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x192) (- ?x192 476)) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 476 1) (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 476 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 476) (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 476)) )) (forall ((?x195 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSIONInv (Controller__SERIAL_DEVICE_EXTENSION ?x195)) ?x195) :pattern ((Controller__SERIAL_DEVICE_EXTENSIONInv (Controller__SERIAL_DEVICE_EXTENSION ?x195))) )) (forall ((?x196 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSION (Controller__SERIAL_DEVICE_EXTENSIONInv ?x196)) ?x196) :pattern ((Controller__SERIAL_DEVICE_EXTENSIONInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (Controller__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (Controller__SERIAL_DEVICE_EXTENSION (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S82) (int_2_U (Controller__SERIAL_DEVICE_EXTENSION (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S83) (int_2_U (Controller__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S83)) )) (forall ((?x201 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSION ?x201) (+ ?x201 144)) :pattern ((Controller__SERIAL_DEVICE_EXTENSION ?x201)) )) (forall ((?x202 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSIONInv ?x202) (- ?x202 144)) :pattern ((Controller__SERIAL_DEVICE_EXTENSIONInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 144 1) (Controller__SERIAL_DEVICE_EXTENSIONInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 144 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 144) (Controller__SERIAL_DEVICE_EXTENSIONInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 144)) )) (forall ((?x205 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x205)) ?x205) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x205))) )) (forall ((?x206 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSION (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x206)) ?x206) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S86) (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S87) (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S87)) )) (forall ((?x211 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x211) (+ ?x211 292)) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x211)) )) (forall ((?x212 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x212) (- ?x212 292)) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 292 1) (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 292 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 292) (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 292)) )) (forall ((?x215 Int)) (! (= (Counter__SERIAL_XOFF_COUNTERInv (Counter__SERIAL_XOFF_COUNTER ?x215)) ?x215) :pattern ((Counter__SERIAL_XOFF_COUNTERInv (Counter__SERIAL_XOFF_COUNTER ?x215))) )) (forall ((?x216 Int)) (! (= (Counter__SERIAL_XOFF_COUNTER (Counter__SERIAL_XOFF_COUNTERInv ?x216)) ?x216) :pattern ((Counter__SERIAL_XOFF_COUNTERInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTER ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (Counter__SERIAL_XOFF_COUNTERInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTER ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (Counter__SERIAL_XOFF_COUNTER (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTER ?S90) (int_2_U (Counter__SERIAL_XOFF_COUNTER (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_Counter__SERIAL_XOFF_COUNTER ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S91) (int_2_U (Counter__SERIAL_XOFF_COUNTERInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S91)) )) (forall ((?x221 Int)) (! (= (Counter__SERIAL_XOFF_COUNTER ?x221) (+ ?x221 4)) :pattern ((Counter__SERIAL_XOFF_COUNTER ?x221)) )) (forall ((?x222 Int)) (! (= (Counter__SERIAL_XOFF_COUNTERInv ?x222) (- ?x222 4)) :pattern ((Counter__SERIAL_XOFF_COUNTERInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 4 1) (Counter__SERIAL_XOFF_COUNTERInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 4 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 4) (Counter__SERIAL_XOFF_COUNTERInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 4)) )) (forall ((?x225 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (CurrentBaud__SERIAL_DEVICE_EXTENSION ?x225)) ?x225) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (CurrentBaud__SERIAL_DEVICE_EXTENSION ?x225))) )) (forall ((?x226 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSION (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x226)) ?x226) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSION (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S94) (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSION (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S95) (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S95)) )) (forall ((?x231 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSION ?x231) (+ ?x231 300)) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSION ?x231)) )) (forall ((?x232 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x232) (- ?x232 300)) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 300 1) (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 300 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 300) (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 300)) )) (forall ((?x235 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x235)) ?x235) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x235))) )) (forall ((?x236 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x236)) ?x236) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S98) (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S99) (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S99)) )) (forall ((?x241 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x241) (+ ?x241 208)) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x241)) )) (forall ((?x242 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x242) (- ?x242 208)) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 208 1) (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 208 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 208) (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 208)) )) (forall ((?x245 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x245)) ?x245) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x245))) )) (forall ((?x246 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x246)) ?x246) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S102) (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S103) (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S103)) )) (forall ((?x251 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x251) (+ ?x251 196)) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x251)) )) (forall ((?x252 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x252) (- ?x252 196)) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 196 1) (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 196 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 196) (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 196)) )) (forall ((?x255 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x255)) ?x255) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x255))) )) (forall ((?x256 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x256)) ?x256) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S106) (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S107) (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S107)) )) (forall ((?x261 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x261) (+ ?x261 200)) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x261)) )) (forall ((?x262 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x262) (- ?x262 200)) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 200 1) (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 200 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 200) (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 200)) )) (forall ((?x265 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x265)) ?x265) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x265))) )) (forall ((?x266 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSION (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x266)) ?x266) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S110) (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S111) (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S111)) )) (forall ((?x271 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x271) (+ ?x271 188)) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x271)) )) (forall ((?x272 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x272) (- ?x272 188)) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 188 1) (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 188 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 188) (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 188)) )) (forall ((?x275 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROPInv (CurrentRxQueue__SERIAL_COMMPROP ?x275)) ?x275) :pattern ((CurrentRxQueue__SERIAL_COMMPROPInv (CurrentRxQueue__SERIAL_COMMPROP ?x275))) )) (forall ((?x276 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROP (CurrentRxQueue__SERIAL_COMMPROPInv ?x276)) ?x276) :pattern ((CurrentRxQueue__SERIAL_COMMPROPInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (CurrentRxQueue__SERIAL_COMMPROPInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (CurrentRxQueue__SERIAL_COMMPROP (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S114) (int_2_U (CurrentRxQueue__SERIAL_COMMPROP (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S115) (int_2_U (CurrentRxQueue__SERIAL_COMMPROPInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S115)) )) (forall ((?x281 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROP ?x281) (+ ?x281 48)) :pattern ((CurrentRxQueue__SERIAL_COMMPROP ?x281)) )) (forall ((?x282 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROPInv ?x282) (- ?x282 48)) :pattern ((CurrentRxQueue__SERIAL_COMMPROPInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1) (CurrentRxQueue__SERIAL_COMMPROPInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 48) (CurrentRxQueue__SERIAL_COMMPROPInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 48)) )) (forall ((?x285 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROPInv (CurrentTxQueue__SERIAL_COMMPROP ?x285)) ?x285) :pattern ((CurrentTxQueue__SERIAL_COMMPROPInv (CurrentTxQueue__SERIAL_COMMPROP ?x285))) )) (forall ((?x286 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROP (CurrentTxQueue__SERIAL_COMMPROPInv ?x286)) ?x286) :pattern ((CurrentTxQueue__SERIAL_COMMPROPInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (CurrentTxQueue__SERIAL_COMMPROPInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (CurrentTxQueue__SERIAL_COMMPROP (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S118) (int_2_U (CurrentTxQueue__SERIAL_COMMPROP (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S119) (int_2_U (CurrentTxQueue__SERIAL_COMMPROPInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S119)) )) (forall ((?x291 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROP ?x291) (+ ?x291 44)) :pattern ((CurrentTxQueue__SERIAL_COMMPROP ?x291)) )) (forall ((?x292 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROPInv ?x292) (- ?x292 44)) :pattern ((CurrentTxQueue__SERIAL_COMMPROPInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 44 1) (CurrentTxQueue__SERIAL_COMMPROPInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 44 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 44) (CurrentTxQueue__SERIAL_COMMPROPInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 44)) )) (forall ((?x295 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x295)) ?x295) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x295))) )) (forall ((?x296 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x296)) ?x296) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S122) (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S123) (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S123)) )) (forall ((?x301 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x301) (+ ?x301 192)) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x301)) )) (forall ((?x302 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x302) (- ?x302 192)) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 192 1) (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 192 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 192) (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 192)) )) (forall ((?x305 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x305)) ?x305) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x305))) )) (forall ((?x306 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x306)) ?x306) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S126) (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S127) (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S127)) )) (forall ((?x311 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x311) (+ ?x311 212)) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x311)) )) (forall ((?x312 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x312) (- ?x312 212)) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 212 1) (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 212 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 212) (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 212)) )) (forall ((?x315 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (CutOverAmount__SERIAL_DEVICE_EXTENSION ?x315)) ?x315) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (CutOverAmount__SERIAL_DEVICE_EXTENSION ?x315))) )) (forall ((?x316 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSION (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x316)) ?x316) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S130) (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S131) (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S131)) )) (forall ((?x321 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSION ?x321) (+ ?x321 80)) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSION ?x321)) )) (forall ((?x322 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x322) (- ?x322 80)) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 80 1) (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 80 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 80) (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 80)) )) (forall ((?x325 Int)) (! (= (Data__SERIAL_IOCTL_SYNCInv (Data__SERIAL_IOCTL_SYNC ?x325)) ?x325) :pattern ((Data__SERIAL_IOCTL_SYNCInv (Data__SERIAL_IOCTL_SYNC ?x325))) )) (forall ((?x326 Int)) (! (= (Data__SERIAL_IOCTL_SYNC (Data__SERIAL_IOCTL_SYNCInv ?x326)) ?x326) :pattern ((Data__SERIAL_IOCTL_SYNCInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNC ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (Data__SERIAL_IOCTL_SYNCInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_Data__SERIAL_IOCTL_SYNC ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNCInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (Data__SERIAL_IOCTL_SYNC (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_Data__SERIAL_IOCTL_SYNCInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNC ?S134) (int_2_U (Data__SERIAL_IOCTL_SYNC (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_Data__SERIAL_IOCTL_SYNC ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNCInv ?S135) (int_2_U (Data__SERIAL_IOCTL_SYNCInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_Data__SERIAL_IOCTL_SYNCInv ?S135)) )) (forall ((?x331 Int)) (! (= (Data__SERIAL_IOCTL_SYNC ?x331) (+ ?x331 4)) :pattern ((Data__SERIAL_IOCTL_SYNC ?x331)) )) (forall ((?x332 Int)) (! (= (Data__SERIAL_IOCTL_SYNCInv ?x332) (- ?x332 4)) :pattern ((Data__SERIAL_IOCTL_SYNCInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 4 1) (Data__SERIAL_IOCTL_SYNCInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 4 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 4) (Data__SERIAL_IOCTL_SYNCInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 4)) )) (forall ((?x335 Int)) (! (= (DeviceExtension__DEVICE_OBJECTInv (DeviceExtension__DEVICE_OBJECT ?x335)) ?x335) :pattern ((DeviceExtension__DEVICE_OBJECTInv (DeviceExtension__DEVICE_OBJECT ?x335))) )) (forall ((?x336 Int)) (! (= (DeviceExtension__DEVICE_OBJECT (DeviceExtension__DEVICE_OBJECTInv ?x336)) ?x336) :pattern ((DeviceExtension__DEVICE_OBJECTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (DeviceExtension__DEVICE_OBJECTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (DeviceExtension__DEVICE_OBJECT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S138) (int_2_U (DeviceExtension__DEVICE_OBJECT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_DeviceExtension__DEVICE_OBJECT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S139) (int_2_U (DeviceExtension__DEVICE_OBJECTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_DeviceExtension__DEVICE_OBJECTInv ?S139)) )) (forall ((?x341 Int)) (! (= (DeviceExtension__DEVICE_OBJECT ?x341) (+ ?x341 40)) :pattern ((DeviceExtension__DEVICE_OBJECT ?x341)) )) (forall ((?x342 Int)) (! (= (DeviceExtension__DEVICE_OBJECTInv ?x342) (- ?x342 40)) :pattern ((DeviceExtension__DEVICE_OBJECTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 40 1) (DeviceExtension__DEVICE_OBJECTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 40 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 40) (DeviceExtension__DEVICE_OBJECTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 40)) )) (forall ((?x345 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3aInv (DeviceIoControl___unnamed_16_57edbc3a ?x345)) ?x345) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv (DeviceIoControl___unnamed_16_57edbc3a ?x345))) )) (forall ((?x346 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3a (DeviceIoControl___unnamed_16_57edbc3aInv ?x346)) ?x346) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (DeviceIoControl___unnamed_16_57edbc3aInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (DeviceIoControl___unnamed_16_57edbc3a (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S142) (int_2_U (DeviceIoControl___unnamed_16_57edbc3a (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S143) (int_2_U (DeviceIoControl___unnamed_16_57edbc3aInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S143)) )) (forall ((?x351 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3a ?x351) (+ ?x351 0)) :pattern ((DeviceIoControl___unnamed_16_57edbc3a ?x351)) )) (forall ((?x352 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3aInv ?x352) (- ?x352 0)) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1) (DeviceIoControl___unnamed_16_57edbc3aInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 0) (DeviceIoControl___unnamed_16_57edbc3aInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 0)) )) (forall ((?x355 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x355)) ?x355) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x355))) )) (forall ((?x356 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSION (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x356)) ?x356) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x356)) )) (forall ((?x357 boogieU) (?S144 boogieU)) (! (=> (and (= (type ?x357) intType) (= (type ?S144) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S144) ?x357)) boolTrue) (= (U_2_bool (MapType0Select ?S144 (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x357))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S144) ?x357)) )) (forall ((?x358 boogieU) (?S145 boogieU)) (! (=> (and (= (type ?x358) intType) (= (type ?S145) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S145) ?x358)) boolTrue) (= (U_2_bool (MapType0Select ?S145 (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSION (U_2_int ?x358))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S145) ?x358)) )) (forall ((?x359 boogieU) (?S146 boogieU)) (! (=> (and (= (type ?x359) intType) (= (type ?S146) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S146 ?x359)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S146) (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSION (U_2_int ?x359))))) boolTrue))) :pattern ((MapType0Select ?S146 ?x359) (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S146)) )) (forall ((?x360 boogieU) (?S147 boogieU)) (! (=> (and (= (type ?x360) intType) (= (type ?S147) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S147 ?x360)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S147) (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x360))))) boolTrue))) :pattern ((MapType0Select ?S147 ?x360) (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S147)) )) (forall ((?x361 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x361) (+ ?x361 405)) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x361)) )) (forall ((?x362 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x362) (- ?x362 405)) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x362)) )) (forall ((?x363 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x363 405 1) (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x363)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x363 405 1)) )) (forall ((?x364 Int)) (! (= (MINUS_LEFT_PTR ?x364 1 405) (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x364)) :pattern ((MINUS_LEFT_PTR ?x364 1 405)) )) (forall ((?x365 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x365)) ?x365) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x365))) )) (forall ((?x366 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSION (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x366)) ?x366) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x366)) )) (forall ((?x367 boogieU) (?S148 boogieU)) (! (=> (and (= (type ?x367) intType) (= (type ?S148) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S148) ?x367)) boolTrue) (= (U_2_bool (MapType0Select ?S148 (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x367))))) boolTrue))) :pattern ((MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S148) ?x367)) )) (forall ((?x368 boogieU) (?S149 boogieU)) (! (=> (and (= (type ?x368) intType) (= (type ?S149) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S149) ?x368)) boolTrue) (= (U_2_bool (MapType0Select ?S149 (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSION (U_2_int ?x368))))) boolTrue))) :pattern ((MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S149) ?x368)) )) (forall ((?x369 boogieU) (?S150 boogieU)) (! (=> (and (= (type ?x369) intType) (= (type ?S150) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S150 ?x369)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S150) (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSION (U_2_int ?x369))))) boolTrue))) :pattern ((MapType0Select ?S150 ?x369) (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S150)) )) (forall ((?x370 boogieU) (?S151 boogieU)) (! (=> (and (= (type ?x370) intType) (= (type ?S151) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S151 ?x370)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S151) (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x370))))) boolTrue))) :pattern ((MapType0Select ?S151 ?x370) (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S151)) )) (forall ((?x371 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x371) (+ ?x371 1252)) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x371)) )) (forall ((?x372 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x372) (- ?x372 1252)) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x372)) )) (forall ((?x373 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x373 1252 1) (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x373)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x373 1252 1)) )) (forall ((?x374 Int)) (! (= (MINUS_LEFT_PTR ?x374 1 1252) (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x374)) :pattern ((MINUS_LEFT_PTR ?x374 1 1252)) )) (forall ((?x375 Int)) (! (= (DeviceState__POWER_STATEInv (DeviceState__POWER_STATE ?x375)) ?x375) :pattern ((DeviceState__POWER_STATEInv (DeviceState__POWER_STATE ?x375))) )) (forall ((?x376 Int)) (! (= (DeviceState__POWER_STATE (DeviceState__POWER_STATEInv ?x376)) ?x376) :pattern ((DeviceState__POWER_STATEInv ?x376)) )) (forall ((?x377 boogieU) (?S152 boogieU)) (! (=> (and (= (type ?x377) intType) (= (type ?S152) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATE ?S152) ?x377)) boolTrue) (= (U_2_bool (MapType0Select ?S152 (int_2_U (DeviceState__POWER_STATEInv (U_2_int ?x377))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceState__POWER_STATE ?S152) ?x377)) )) (forall ((?x378 boogieU) (?S153 boogieU)) (! (=> (and (= (type ?x378) intType) (= (type ?S153) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATEInv ?S153) ?x378)) boolTrue) (= (U_2_bool (MapType0Select ?S153 (int_2_U (DeviceState__POWER_STATE (U_2_int ?x378))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceState__POWER_STATEInv ?S153) ?x378)) )) (forall ((?x379 boogieU) (?S154 boogieU)) (! (=> (and (= (type ?x379) intType) (= (type ?S154) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S154 ?x379)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATE ?S154) (int_2_U (DeviceState__POWER_STATE (U_2_int ?x379))))) boolTrue))) :pattern ((MapType0Select ?S154 ?x379) (x_S_DeviceState__POWER_STATE ?S154)) )) (forall ((?x380 boogieU) (?S155 boogieU)) (! (=> (and (= (type ?x380) intType) (= (type ?S155) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S155 ?x380)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATEInv ?S155) (int_2_U (DeviceState__POWER_STATEInv (U_2_int ?x380))))) boolTrue))) :pattern ((MapType0Select ?S155 ?x380) (x_S_DeviceState__POWER_STATEInv ?S155)) )) (forall ((?x381 Int)) (! (= (DeviceState__POWER_STATE ?x381) (+ ?x381 0)) :pattern ((DeviceState__POWER_STATE ?x381)) )) (forall ((?x382 Int)) (! (= (DeviceState__POWER_STATEInv ?x382) (- ?x382 0)) :pattern ((DeviceState__POWER_STATEInv ?x382)) )) (forall ((?x383 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x383 0 1) (DeviceState__POWER_STATEInv ?x383)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x383 0 1)) )) (forall ((?x384 Int)) (! (= (MINUS_LEFT_PTR ?x384 1 0) (DeviceState__POWER_STATEInv ?x384)) :pattern ((MINUS_LEFT_PTR ?x384 1 0)) )) (forall ((?x385 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSIONInv (DpcCount__SERIAL_DEVICE_EXTENSION ?x385)) ?x385) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSIONInv (DpcCount__SERIAL_DEVICE_EXTENSION ?x385))) )) (forall ((?x386 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSION (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x386)) ?x386) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x386)) )) (forall ((?x387 boogieU) (?S156 boogieU)) (! (=> (and (= (type ?x387) intType) (= (type ?S156) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S156) ?x387)) boolTrue) (= (U_2_bool (MapType0Select ?S156 (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x387))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S156) ?x387)) )) (forall ((?x388 boogieU) (?S157 boogieU)) (! (=> (and (= (type ?x388) intType) (= (type ?S157) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S157) ?x388)) boolTrue) (= (U_2_bool (MapType0Select ?S157 (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSION (U_2_int ?x388))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S157) ?x388)) )) (forall ((?x389 boogieU) (?S158 boogieU)) (! (=> (and (= (type ?x389) intType) (= (type ?S158) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S158 ?x389)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S158) (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSION (U_2_int ?x389))))) boolTrue))) :pattern ((MapType0Select ?S158 ?x389) (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S158)) )) (forall ((?x390 boogieU) (?S159 boogieU)) (! (=> (and (= (type ?x390) intType) (= (type ?S159) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S159 ?x390)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S159) (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x390))))) boolTrue))) :pattern ((MapType0Select ?S159 ?x390) (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S159)) )) (forall ((?x391 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSION ?x391) (+ ?x391 1616)) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSION ?x391)) )) (forall ((?x392 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x392) (- ?x392 1616)) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x392)) )) (forall ((?x393 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x393 1616 1) (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x393)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x393 1616 1)) )) (forall ((?x394 Int)) (! (= (MINUS_LEFT_PTR ?x394 1 1616) (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x394)) :pattern ((MINUS_LEFT_PTR ?x394 1 1616)) )) (forall ((?x395 Int)) (! (= (Dpc__KTIMERInv (Dpc__KTIMER ?x395)) ?x395) :pattern ((Dpc__KTIMERInv (Dpc__KTIMER ?x395))) )) (forall ((?x396 Int)) (! (= (Dpc__KTIMER (Dpc__KTIMERInv ?x396)) ?x396) :pattern ((Dpc__KTIMERInv ?x396)) )) (forall ((?x397 boogieU) (?S160 boogieU)) (! (=> (and (= (type ?x397) intType) (= (type ?S160) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMER ?S160) ?x397)) boolTrue) (= (U_2_bool (MapType0Select ?S160 (int_2_U (Dpc__KTIMERInv (U_2_int ?x397))))) boolTrue))) :pattern ((MapType0Select (x_S_Dpc__KTIMER ?S160) ?x397)) )) (forall ((?x398 boogieU) (?S161 boogieU)) (! (=> (and (= (type ?x398) intType) (= (type ?S161) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMERInv ?S161) ?x398)) boolTrue) (= (U_2_bool (MapType0Select ?S161 (int_2_U (Dpc__KTIMER (U_2_int ?x398))))) boolTrue))) :pattern ((MapType0Select (x_S_Dpc__KTIMERInv ?S161) ?x398)) )) (forall ((?x399 boogieU) (?S162 boogieU)) (! (=> (and (= (type ?x399) intType) (= (type ?S162) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S162 ?x399)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMER ?S162) (int_2_U (Dpc__KTIMER (U_2_int ?x399))))) boolTrue))) :pattern ((MapType0Select ?S162 ?x399) (x_S_Dpc__KTIMER ?S162)) )) (forall ((?x400 boogieU) (?S163 boogieU)) (! (=> (and (= (type ?x400) intType) (= (type ?S163) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S163 ?x400)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMERInv ?S163) (int_2_U (Dpc__KTIMERInv (U_2_int ?x400))))) boolTrue))) :pattern ((MapType0Select ?S163 ?x400) (x_S_Dpc__KTIMERInv ?S163)) )) (forall ((?x401 Int)) (! (= (Dpc__KTIMER ?x401) (+ ?x401 32)) :pattern ((Dpc__KTIMER ?x401)) )) (forall ((?x402 Int)) (! (= (Dpc__KTIMERInv ?x402) (- ?x402 32)) :pattern ((Dpc__KTIMERInv ?x402)) )) (forall ((?x403 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x403 32 1) (Dpc__KTIMERInv ?x403)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x403 32 1)) )) (forall ((?x404 Int)) (! (= (MINUS_LEFT_PTR ?x404 1 32) (Dpc__KTIMERInv ?x404)) :pattern ((MINUS_LEFT_PTR ?x404 1 32)) )) (forall ((?x405 Int)) (! (= (EofChar__SERIAL_CHARSInv (EofChar__SERIAL_CHARS ?x405)) ?x405) :pattern ((EofChar__SERIAL_CHARSInv (EofChar__SERIAL_CHARS ?x405))) )) (forall ((?x406 Int)) (! (= (EofChar__SERIAL_CHARS (EofChar__SERIAL_CHARSInv ?x406)) ?x406) :pattern ((EofChar__SERIAL_CHARSInv ?x406)) )) (forall ((?x407 boogieU) (?S164 boogieU)) (! (=> (and (= (type ?x407) intType) (= (type ?S164) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARS ?S164) ?x407)) boolTrue) (= (U_2_bool (MapType0Select ?S164 (int_2_U (EofChar__SERIAL_CHARSInv (U_2_int ?x407))))) boolTrue))) :pattern ((MapType0Select (x_S_EofChar__SERIAL_CHARS ?S164) ?x407)) )) (forall ((?x408 boogieU) (?S165 boogieU)) (! (=> (and (= (type ?x408) intType) (= (type ?S165) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARSInv ?S165) ?x408)) boolTrue) (= (U_2_bool (MapType0Select ?S165 (int_2_U (EofChar__SERIAL_CHARS (U_2_int ?x408))))) boolTrue))) :pattern ((MapType0Select (x_S_EofChar__SERIAL_CHARSInv ?S165) ?x408)) )) (forall ((?x409 boogieU) (?S166 boogieU)) (! (=> (and (= (type ?x409) intType) (= (type ?S166) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S166 ?x409)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARS ?S166) (int_2_U (EofChar__SERIAL_CHARS (U_2_int ?x409))))) boolTrue))) :pattern ((MapType0Select ?S166 ?x409) (x_S_EofChar__SERIAL_CHARS ?S166)) )) (forall ((?x410 boogieU) (?S167 boogieU)) (! (=> (and (= (type ?x410) intType) (= (type ?S167) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S167 ?x410)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARSInv ?S167) (int_2_U (EofChar__SERIAL_CHARSInv (U_2_int ?x410))))) boolTrue))) :pattern ((MapType0Select ?S167 ?x410) (x_S_EofChar__SERIAL_CHARSInv ?S167)) )) (forall ((?x411 Int)) (! (= (EofChar__SERIAL_CHARS ?x411) (+ ?x411 0)) :pattern ((EofChar__SERIAL_CHARS ?x411)) )) (forall ((?x412 Int)) (! (= (EofChar__SERIAL_CHARSInv ?x412) (- ?x412 0)) :pattern ((EofChar__SERIAL_CHARSInv ?x412)) )) (forall ((?x413 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x413 0 1) (EofChar__SERIAL_CHARSInv ?x413)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x413 0 1)) )) (forall ((?x414 Int)) (! (= (MINUS_LEFT_PTR ?x414 1 0) (EofChar__SERIAL_CHARSInv ?x414)) :pattern ((MINUS_LEFT_PTR ?x414 1 0)) )) (forall ((?x415 Int)) (! (= (ErrorChar__SERIAL_CHARSInv (ErrorChar__SERIAL_CHARS ?x415)) ?x415) :pattern ((ErrorChar__SERIAL_CHARSInv (ErrorChar__SERIAL_CHARS ?x415))) )) (forall ((?x416 Int)) (! (= (ErrorChar__SERIAL_CHARS (ErrorChar__SERIAL_CHARSInv ?x416)) ?x416) :pattern ((ErrorChar__SERIAL_CHARSInv ?x416)) )) (forall ((?x417 boogieU) (?S168 boogieU)) (! (=> (and (= (type ?x417) intType) (= (type ?S168) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARS ?S168) ?x417)) boolTrue) (= (U_2_bool (MapType0Select ?S168 (int_2_U (ErrorChar__SERIAL_CHARSInv (U_2_int ?x417))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorChar__SERIAL_CHARS ?S168) ?x417)) )) (forall ((?x418 boogieU) (?S169 boogieU)) (! (=> (and (= (type ?x418) intType) (= (type ?S169) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARSInv ?S169) ?x418)) boolTrue) (= (U_2_bool (MapType0Select ?S169 (int_2_U (ErrorChar__SERIAL_CHARS (U_2_int ?x418))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorChar__SERIAL_CHARSInv ?S169) ?x418)) )) (forall ((?x419 boogieU) (?S170 boogieU)) (! (=> (and (= (type ?x419) intType) (= (type ?S170) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S170 ?x419)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARS ?S170) (int_2_U (ErrorChar__SERIAL_CHARS (U_2_int ?x419))))) boolTrue))) :pattern ((MapType0Select ?S170 ?x419) (x_S_ErrorChar__SERIAL_CHARS ?S170)) )) (forall ((?x420 boogieU) (?S171 boogieU)) (! (=> (and (= (type ?x420) intType) (= (type ?S171) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S171 ?x420)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARSInv ?S171) (int_2_U (ErrorChar__SERIAL_CHARSInv (U_2_int ?x420))))) boolTrue))) :pattern ((MapType0Select ?S171 ?x420) (x_S_ErrorChar__SERIAL_CHARSInv ?S171)) )) (forall ((?x421 Int)) (! (= (ErrorChar__SERIAL_CHARS ?x421) (+ ?x421 1)) :pattern ((ErrorChar__SERIAL_CHARS ?x421)) )) (forall ((?x422 Int)) (! (= (ErrorChar__SERIAL_CHARSInv ?x422) (- ?x422 1)) :pattern ((ErrorChar__SERIAL_CHARSInv ?x422)) )) (forall ((?x423 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x423 1 1) (ErrorChar__SERIAL_CHARSInv ?x423)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x423 1 1)) )) (forall ((?x424 Int)) (! (= (MINUS_LEFT_PTR ?x424 1 1) (ErrorChar__SERIAL_CHARSInv ?x424)) :pattern ((MINUS_LEFT_PTR ?x424 1 1)) )) (forall ((?x425 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSIONInv (ErrorWord__SERIAL_DEVICE_EXTENSION ?x425)) ?x425) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSIONInv (ErrorWord__SERIAL_DEVICE_EXTENSION ?x425))) )) (forall ((?x426 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSION (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x426)) ?x426) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x426)) )) (forall ((?x427 boogieU) (?S172 boogieU)) (! (=> (and (= (type ?x427) intType) (= (type ?S172) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S172) ?x427)) boolTrue) (= (U_2_bool (MapType0Select ?S172 (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x427))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S172) ?x427)) )) (forall ((?x428 boogieU) (?S173 boogieU)) (! (=> (and (= (type ?x428) intType) (= (type ?S173) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S173) ?x428)) boolTrue) (= (U_2_bool (MapType0Select ?S173 (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSION (U_2_int ?x428))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S173) ?x428)) )) (forall ((?x429 boogieU) (?S174 boogieU)) (! (=> (and (= (type ?x429) intType) (= (type ?S174) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S174 ?x429)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S174) (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSION (U_2_int ?x429))))) boolTrue))) :pattern ((MapType0Select ?S174 ?x429) (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S174)) )) (forall ((?x430 boogieU) (?S175 boogieU)) (! (=> (and (= (type ?x430) intType) (= (type ?S175) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S175 ?x430)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S175) (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x430))))) boolTrue))) :pattern ((MapType0Select ?S175 ?x430) (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S175)) )) (forall ((?x431 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSION ?x431) (+ ?x431 284)) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSION ?x431)) )) (forall ((?x432 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x432) (- ?x432 284)) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x432)) )) (forall ((?x433 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x433 284 1) (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x433)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x433 284 1)) )) (forall ((?x434 Int)) (! (= (MINUS_LEFT_PTR ?x434 1 284) (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x434)) :pattern ((MINUS_LEFT_PTR ?x434 1 284)) )) (forall ((?x435 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSIONInv (EscapeChar__SERIAL_DEVICE_EXTENSION ?x435)) ?x435) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSIONInv (EscapeChar__SERIAL_DEVICE_EXTENSION ?x435))) )) (forall ((?x436 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSION (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x436)) ?x436) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x436)) )) (forall ((?x437 boogieU) (?S176 boogieU)) (! (=> (and (= (type ?x437) intType) (= (type ?S176) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S176) ?x437)) boolTrue) (= (U_2_bool (MapType0Select ?S176 (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x437))))) boolTrue))) :pattern ((MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S176) ?x437)) )) (forall ((?x438 boogieU) (?S177 boogieU)) (! (=> (and (= (type ?x438) intType) (= (type ?S177) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S177) ?x438)) boolTrue) (= (U_2_bool (MapType0Select ?S177 (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x438))))) boolTrue))) :pattern ((MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S177) ?x438)) )) (forall ((?x439 boogieU) (?S178 boogieU)) (! (=> (and (= (type ?x439) intType) (= (type ?S178) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S178 ?x439)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S178) (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x439))))) boolTrue))) :pattern ((MapType0Select ?S178 ?x439) (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S178)) )) (forall ((?x440 boogieU) (?S179 boogieU)) (! (=> (and (= (type ?x440) intType) (= (type ?S179) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S179 ?x440)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S179) (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x440))))) boolTrue))) :pattern ((MapType0Select ?S179 ?x440) (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S179)) )) (forall ((?x441 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSION ?x441) (+ ?x441 466)) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSION ?x441)) )) (forall ((?x442 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x442) (- ?x442 466)) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x442)) )) (forall ((?x443 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x443 466 1) (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x443)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x443 466 1)) )) (forall ((?x444 Int)) (! (= (MINUS_LEFT_PTR ?x444 1 466) (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x444)) :pattern ((MINUS_LEFT_PTR ?x444 1 466)) )) (forall ((?x445 Int)) (! (= (EventChar__SERIAL_CHARSInv (EventChar__SERIAL_CHARS ?x445)) ?x445) :pattern ((EventChar__SERIAL_CHARSInv (EventChar__SERIAL_CHARS ?x445))) )) (forall ((?x446 Int)) (! (= (EventChar__SERIAL_CHARS (EventChar__SERIAL_CHARSInv ?x446)) ?x446) :pattern ((EventChar__SERIAL_CHARSInv ?x446)) )) (forall ((?x447 boogieU) (?S180 boogieU)) (! (=> (and (= (type ?x447) intType) (= (type ?S180) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARS ?S180) ?x447)) boolTrue) (= (U_2_bool (MapType0Select ?S180 (int_2_U (EventChar__SERIAL_CHARSInv (U_2_int ?x447))))) boolTrue))) :pattern ((MapType0Select (x_S_EventChar__SERIAL_CHARS ?S180) ?x447)) )) (forall ((?x448 boogieU) (?S181 boogieU)) (! (=> (and (= (type ?x448) intType) (= (type ?S181) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARSInv ?S181) ?x448)) boolTrue) (= (U_2_bool (MapType0Select ?S181 (int_2_U (EventChar__SERIAL_CHARS (U_2_int ?x448))))) boolTrue))) :pattern ((MapType0Select (x_S_EventChar__SERIAL_CHARSInv ?S181) ?x448)) )) (forall ((?x449 boogieU) (?S182 boogieU)) (! (=> (and (= (type ?x449) intType) (= (type ?S182) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S182 ?x449)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARS ?S182) (int_2_U (EventChar__SERIAL_CHARS (U_2_int ?x449))))) boolTrue))) :pattern ((MapType0Select ?S182 ?x449) (x_S_EventChar__SERIAL_CHARS ?S182)) )) (forall ((?x450 boogieU) (?S183 boogieU)) (! (=> (and (= (type ?x450) intType) (= (type ?S183) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S183 ?x450)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARSInv ?S183) (int_2_U (EventChar__SERIAL_CHARSInv (U_2_int ?x450))))) boolTrue))) :pattern ((MapType0Select ?S183 ?x450) (x_S_EventChar__SERIAL_CHARSInv ?S183)) )) (forall ((?x451 Int)) (! (= (EventChar__SERIAL_CHARS ?x451) (+ ?x451 3)) :pattern ((EventChar__SERIAL_CHARS ?x451)) )) (forall ((?x452 Int)) (! (= (EventChar__SERIAL_CHARSInv ?x452) (- ?x452 3)) :pattern ((EventChar__SERIAL_CHARSInv ?x452)) )) (forall ((?x453 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x453 3 1) (EventChar__SERIAL_CHARSInv ?x453)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x453 3 1)) )) (forall ((?x454 Int)) (! (= (MINUS_LEFT_PTR ?x454 1 3) (EventChar__SERIAL_CHARSInv ?x454)) :pattern ((MINUS_LEFT_PTR ?x454 1 3)) )) (forall ((?x455 Int)) (! (= (Extension__SERIAL_IOCTL_SYNCInv (Extension__SERIAL_IOCTL_SYNC ?x455)) ?x455) :pattern ((Extension__SERIAL_IOCTL_SYNCInv (Extension__SERIAL_IOCTL_SYNC ?x455))) )) (forall ((?x456 Int)) (! (= (Extension__SERIAL_IOCTL_SYNC (Extension__SERIAL_IOCTL_SYNCInv ?x456)) ?x456) :pattern ((Extension__SERIAL_IOCTL_SYNCInv ?x456)) )) (forall ((?x457 boogieU) (?S184 boogieU)) (! (=> (and (= (type ?x457) intType) (= (type ?S184) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNC ?S184) ?x457)) boolTrue) (= (U_2_bool (MapType0Select ?S184 (int_2_U (Extension__SERIAL_IOCTL_SYNCInv (U_2_int ?x457))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNC ?S184) ?x457)) )) (forall ((?x458 boogieU) (?S185 boogieU)) (! (=> (and (= (type ?x458) intType) (= (type ?S185) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S185) ?x458)) boolTrue) (= (U_2_bool (MapType0Select ?S185 (int_2_U (Extension__SERIAL_IOCTL_SYNC (U_2_int ?x458))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S185) ?x458)) )) (forall ((?x459 boogieU) (?S186 boogieU)) (! (=> (and (= (type ?x459) intType) (= (type ?S186) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S186 ?x459)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNC ?S186) (int_2_U (Extension__SERIAL_IOCTL_SYNC (U_2_int ?x459))))) boolTrue))) :pattern ((MapType0Select ?S186 ?x459) (x_S_Extension__SERIAL_IOCTL_SYNC ?S186)) )) (forall ((?x460 boogieU) (?S187 boogieU)) (! (=> (and (= (type ?x460) intType) (= (type ?S187) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S187 ?x460)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S187) (int_2_U (Extension__SERIAL_IOCTL_SYNCInv (U_2_int ?x460))))) boolTrue))) :pattern ((MapType0Select ?S187 ?x460) (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S187)) )) (forall ((?x461 Int)) (! (= (Extension__SERIAL_IOCTL_SYNC ?x461) (+ ?x461 0)) :pattern ((Extension__SERIAL_IOCTL_SYNC ?x461)) )) (forall ((?x462 Int)) (! (= (Extension__SERIAL_IOCTL_SYNCInv ?x462) (- ?x462 0)) :pattern ((Extension__SERIAL_IOCTL_SYNCInv ?x462)) )) (forall ((?x463 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1) (Extension__SERIAL_IOCTL_SYNCInv ?x463)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1)) )) (forall ((?x464 Int)) (! (= (MINUS_LEFT_PTR ?x464 1 0) (Extension__SERIAL_IOCTL_SYNCInv ?x464)) :pattern ((MINUS_LEFT_PTR ?x464 1 0)) )) (forall ((?x465 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMSInv (Extension__SERIAL_RESIZE_PARAMS ?x465)) ?x465) :pattern ((Extension__SERIAL_RESIZE_PARAMSInv (Extension__SERIAL_RESIZE_PARAMS ?x465))) )) (forall ((?x466 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMS (Extension__SERIAL_RESIZE_PARAMSInv ?x466)) ?x466) :pattern ((Extension__SERIAL_RESIZE_PARAMSInv ?x466)) )) (forall ((?x467 boogieU) (?S188 boogieU)) (! (=> (and (= (type ?x467) intType) (= (type ?S188) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMS ?S188) ?x467)) boolTrue) (= (U_2_bool (MapType0Select ?S188 (int_2_U (Extension__SERIAL_RESIZE_PARAMSInv (U_2_int ?x467))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMS ?S188) ?x467)) )) (forall ((?x468 boogieU) (?S189 boogieU)) (! (=> (and (= (type ?x468) intType) (= (type ?S189) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S189) ?x468)) boolTrue) (= (U_2_bool (MapType0Select ?S189 (int_2_U (Extension__SERIAL_RESIZE_PARAMS (U_2_int ?x468))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S189) ?x468)) )) (forall ((?x469 boogieU) (?S190 boogieU)) (! (=> (and (= (type ?x469) intType) (= (type ?S190) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S190 ?x469)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMS ?S190) (int_2_U (Extension__SERIAL_RESIZE_PARAMS (U_2_int ?x469))))) boolTrue))) :pattern ((MapType0Select ?S190 ?x469) (x_S_Extension__SERIAL_RESIZE_PARAMS ?S190)) )) (forall ((?x470 boogieU) (?S191 boogieU)) (! (=> (and (= (type ?x470) intType) (= (type ?S191) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S191 ?x470)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S191) (int_2_U (Extension__SERIAL_RESIZE_PARAMSInv (U_2_int ?x470))))) boolTrue))) :pattern ((MapType0Select ?S191 ?x470) (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S191)) )) (forall ((?x471 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMS ?x471) (+ ?x471 0)) :pattern ((Extension__SERIAL_RESIZE_PARAMS ?x471)) )) (forall ((?x472 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMSInv ?x472) (- ?x472 0)) :pattern ((Extension__SERIAL_RESIZE_PARAMSInv ?x472)) )) (forall ((?x473 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x473 0 1) (Extension__SERIAL_RESIZE_PARAMSInv ?x473)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x473 0 1)) )) (forall ((?x474 Int)) (! (= (MINUS_LEFT_PTR ?x474 1 0) (Extension__SERIAL_RESIZE_PARAMSInv ?x474)) :pattern ((MINUS_LEFT_PTR ?x474 1 0)) )) (forall ((?x475 Int)) (! (= (Extension__SERIAL_UPDATE_CHARInv (Extension__SERIAL_UPDATE_CHAR ?x475)) ?x475) :pattern ((Extension__SERIAL_UPDATE_CHARInv (Extension__SERIAL_UPDATE_CHAR ?x475))) )) (forall ((?x476 Int)) (! (= (Extension__SERIAL_UPDATE_CHAR (Extension__SERIAL_UPDATE_CHARInv ?x476)) ?x476) :pattern ((Extension__SERIAL_UPDATE_CHARInv ?x476)) )) (forall ((?x477 boogieU) (?S192 boogieU)) (! (=> (and (= (type ?x477) intType) (= (type ?S192) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHAR ?S192) ?x477)) boolTrue) (= (U_2_bool (MapType0Select ?S192 (int_2_U (Extension__SERIAL_UPDATE_CHARInv (U_2_int ?x477))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_UPDATE_CHAR ?S192) ?x477)) )) (forall ((?x478 boogieU) (?S193 boogieU)) (! (=> (and (= (type ?x478) intType) (= (type ?S193) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHARInv ?S193) ?x478)) boolTrue) (= (U_2_bool (MapType0Select ?S193 (int_2_U (Extension__SERIAL_UPDATE_CHAR (U_2_int ?x478))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_UPDATE_CHARInv ?S193) ?x478)) )) (forall ((?x479 boogieU) (?S194 boogieU)) (! (=> (and (= (type ?x479) intType) (= (type ?S194) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S194 ?x479)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHAR ?S194) (int_2_U (Extension__SERIAL_UPDATE_CHAR (U_2_int ?x479))))) boolTrue))) :pattern ((MapType0Select ?S194 ?x479) (x_S_Extension__SERIAL_UPDATE_CHAR ?S194)) )) (forall ((?x480 boogieU) (?S195 boogieU)) (! (=> (and (= (type ?x480) intType) (= (type ?S195) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S195 ?x480)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHARInv ?S195) (int_2_U (Extension__SERIAL_UPDATE_CHARInv (U_2_int ?x480))))) boolTrue))) :pattern ((MapType0Select ?S195 ?x480) (x_S_Extension__SERIAL_UPDATE_CHARInv ?S195)) )) (forall ((?x481 Int)) (! (= (Extension__SERIAL_UPDATE_CHAR ?x481) (+ ?x481 0)) :pattern ((Extension__SERIAL_UPDATE_CHAR ?x481)) )) (forall ((?x482 Int)) (! (= (Extension__SERIAL_UPDATE_CHARInv ?x482) (- ?x482 0)) :pattern ((Extension__SERIAL_UPDATE_CHARInv ?x482)) )) (forall ((?x483 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x483 0 1) (Extension__SERIAL_UPDATE_CHARInv ?x483)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x483 0 1)) )) (forall ((?x484 Int)) (! (= (MINUS_LEFT_PTR ?x484 1 0) (Extension__SERIAL_UPDATE_CHARInv ?x484)) :pattern ((MINUS_LEFT_PTR ?x484 1 0)) )) (forall ((?x485 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x485)) ?x485) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x485))) )) (forall ((?x486 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSION (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x486)) ?x486) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x486)) )) (forall ((?x487 boogieU) (?S196 boogieU)) (! (=> (and (= (type ?x487) intType) (= (type ?S196) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S196) ?x487)) boolTrue) (= (U_2_bool (MapType0Select ?S196 (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x487))))) boolTrue))) :pattern ((MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S196) ?x487)) )) (forall ((?x488 boogieU) (?S197 boogieU)) (! (=> (and (= (type ?x488) intType) (= (type ?S197) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S197) ?x488)) boolTrue) (= (U_2_bool (MapType0Select ?S197 (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x488))))) boolTrue))) :pattern ((MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S197) ?x488)) )) (forall ((?x489 boogieU) (?S198 boogieU)) (! (=> (and (= (type ?x489) intType) (= (type ?S198) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S198 ?x489)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S198) (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x489))))) boolTrue))) :pattern ((MapType0Select ?S198 ?x489) (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S198)) )) (forall ((?x490 boogieU) (?S199 boogieU)) (! (=> (and (= (type ?x490) intType) (= (type ?S199) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S199 ?x490)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S199) (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x490))))) boolTrue))) :pattern ((MapType0Select ?S199 ?x490) (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S199)) )) (forall ((?x491 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x491) (+ ?x491 244)) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x491)) )) (forall ((?x492 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x492) (- ?x492 244)) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x492)) )) (forall ((?x493 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x493 244 1) (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x493)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x493 244 1)) )) (forall ((?x494 Int)) (! (= (MINUS_LEFT_PTR ?x494 1 244) (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x494)) :pattern ((MINUS_LEFT_PTR ?x494 1 244)) )) (forall ((?x495 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSIONInv (FlagsLock__SERIAL_DEVICE_EXTENSION ?x495)) ?x495) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSIONInv (FlagsLock__SERIAL_DEVICE_EXTENSION ?x495))) )) (forall ((?x496 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSION (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x496)) ?x496) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x496)) )) (forall ((?x497 boogieU) (?S200 boogieU)) (! (=> (and (= (type ?x497) intType) (= (type ?S200) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S200) ?x497)) boolTrue) (= (U_2_bool (MapType0Select ?S200 (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x497))))) boolTrue))) :pattern ((MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S200) ?x497)) )) (forall ((?x498 boogieU) (?S201 boogieU)) (! (=> (and (= (type ?x498) intType) (= (type ?S201) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S201) ?x498)) boolTrue) (= (U_2_bool (MapType0Select ?S201 (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x498))))) boolTrue))) :pattern ((MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S201) ?x498)) )) (forall ((?x499 boogieU) (?S202 boogieU)) (! (=> (and (= (type ?x499) intType) (= (type ?S202) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S202 ?x499)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S202) (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x499))))) boolTrue))) :pattern ((MapType0Select ?S202 ?x499) (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S202)) )) (forall ((?x500 boogieU) (?S203 boogieU)) (! (=> (and (= (type ?x500) intType) (= (type ?S203) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S203 ?x500)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S203) (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x500))))) boolTrue))) :pattern ((MapType0Select ?S203 ?x500) (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S203)) )) (forall ((?x501 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSION ?x501) (+ ?x501 480)) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSION ?x501)) )) (forall ((?x502 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x502) (- ?x502 480)) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x502)) )) (forall ((?x503 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x503 480 1) (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x503)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x503 480 1)) )) (forall ((?x504 Int)) (! (= (MINUS_LEFT_PTR ?x504 1 480) (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x504)) :pattern ((MINUS_LEFT_PTR ?x504 1 480)) )) (forall ((?x505 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSIONInv (Flags__SERIAL_DEVICE_EXTENSION ?x505)) ?x505) :pattern ((Flags__SERIAL_DEVICE_EXTENSIONInv (Flags__SERIAL_DEVICE_EXTENSION ?x505))) )) (forall ((?x506 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSION (Flags__SERIAL_DEVICE_EXTENSIONInv ?x506)) ?x506) :pattern ((Flags__SERIAL_DEVICE_EXTENSIONInv ?x506)) )) (forall ((?x507 boogieU) (?S204 boogieU)) (! (=> (and (= (type ?x507) intType) (= (type ?S204) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S204) ?x507)) boolTrue) (= (U_2_bool (MapType0Select ?S204 (int_2_U (Flags__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x507))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S204) ?x507)) )) (forall ((?x508 boogieU) (?S205 boogieU)) (! (=> (and (= (type ?x508) intType) (= (type ?S205) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S205) ?x508)) boolTrue) (= (U_2_bool (MapType0Select ?S205 (int_2_U (Flags__SERIAL_DEVICE_EXTENSION (U_2_int ?x508))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S205) ?x508)) )) (forall ((?x509 boogieU) (?S206 boogieU)) (! (=> (and (= (type ?x509) intType) (= (type ?S206) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S206 ?x509)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S206) (int_2_U (Flags__SERIAL_DEVICE_EXTENSION (U_2_int ?x509))))) boolTrue))) :pattern ((MapType0Select ?S206 ?x509) (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S206)) )) (forall ((?x510 boogieU) (?S207 boogieU)) (! (=> (and (= (type ?x510) intType) (= (type ?S207) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S207 ?x510)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S207) (int_2_U (Flags__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x510))))) boolTrue))) :pattern ((MapType0Select ?S207 ?x510) (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S207)) )) (forall ((?x511 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSION ?x511) (+ ?x511 1276)) :pattern ((Flags__SERIAL_DEVICE_EXTENSION ?x511)) )) (forall ((?x512 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSIONInv ?x512) (- ?x512 1276)) :pattern ((Flags__SERIAL_DEVICE_EXTENSIONInv ?x512)) )) (forall ((?x513 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x513 1276 1) (Flags__SERIAL_DEVICE_EXTENSIONInv ?x513)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x513 1276 1)) )) (forall ((?x514 Int)) (! (= (MINUS_LEFT_PTR ?x514 1 1276) (Flags__SERIAL_DEVICE_EXTENSIONInv ?x514)) :pattern ((MINUS_LEFT_PTR ?x514 1 1276)) )) (forall ((?x515 Int)) (! (= (Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x515)) ?x515) :pattern ((Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x515))) )) (forall ((?x516 Int)) (! (= (Flink__LIST_ENTRY (Flink__LIST_ENTRYInv ?x516)) ?x516) :pattern ((Flink__LIST_ENTRYInv ?x516)) )) (forall ((?x517 boogieU) (?S208 boogieU)) (! (=> (and (= (type ?x517) intType) (= (type ?S208) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S208) ?x517)) boolTrue) (= (U_2_bool (MapType0Select ?S208 (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x517))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRY ?S208) ?x517)) )) (forall ((?x518 boogieU) (?S209 boogieU)) (! (=> (and (= (type ?x518) intType) (= (type ?S209) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S209) ?x518)) boolTrue) (= (U_2_bool (MapType0Select ?S209 (int_2_U (Flink__LIST_ENTRY (U_2_int ?x518))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRYInv ?S209) ?x518)) )) (forall ((?x519 boogieU) (?S210 boogieU)) (! (=> (and (= (type ?x519) intType) (= (type ?S210) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S210 ?x519)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S210) (int_2_U (Flink__LIST_ENTRY (U_2_int ?x519))))) boolTrue))) :pattern ((MapType0Select ?S210 ?x519) (x_S_Flink__LIST_ENTRY ?S210)) )) (forall ((?x520 boogieU) (?S211 boogieU)) (! (=> (and (= (type ?x520) intType) (= (type ?S211) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S211 ?x520)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S211) (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x520))))) boolTrue))) :pattern ((MapType0Select ?S211 ?x520) (x_S_Flink__LIST_ENTRYInv ?S211)) )) (forall ((?x521 Int)) (! (= (Flink__LIST_ENTRY ?x521) (+ ?x521 0)) :pattern ((Flink__LIST_ENTRY ?x521)) )) (forall ((?x522 Int)) (! (= (Flink__LIST_ENTRYInv ?x522) (- ?x522 0)) :pattern ((Flink__LIST_ENTRYInv ?x522)) )) (forall ((?x523 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1) (Flink__LIST_ENTRYInv ?x523)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1)) )) (forall ((?x524 Int)) (! (= (MINUS_LEFT_PTR ?x524 1 0) (Flink__LIST_ENTRYInv ?x524)) :pattern ((MINUS_LEFT_PTR ?x524 1 0)) )) (forall ((?x525 Int)) (! (= (FlowReplace__SERIAL_HANDFLOWInv (FlowReplace__SERIAL_HANDFLOW ?x525)) ?x525) :pattern ((FlowReplace__SERIAL_HANDFLOWInv (FlowReplace__SERIAL_HANDFLOW ?x525))) )) (forall ((?x526 Int)) (! (= (FlowReplace__SERIAL_HANDFLOW (FlowReplace__SERIAL_HANDFLOWInv ?x526)) ?x526) :pattern ((FlowReplace__SERIAL_HANDFLOWInv ?x526)) )) (forall ((?x527 boogieU) (?S212 boogieU)) (! (=> (and (= (type ?x527) intType) (= (type ?S212) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOW ?S212) ?x527)) boolTrue) (= (U_2_bool (MapType0Select ?S212 (int_2_U (FlowReplace__SERIAL_HANDFLOWInv (U_2_int ?x527))))) boolTrue))) :pattern ((MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOW ?S212) ?x527)) )) (forall ((?x528 boogieU) (?S213 boogieU)) (! (=> (and (= (type ?x528) intType) (= (type ?S213) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S213) ?x528)) boolTrue) (= (U_2_bool (MapType0Select ?S213 (int_2_U (FlowReplace__SERIAL_HANDFLOW (U_2_int ?x528))))) boolTrue))) :pattern ((MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S213) ?x528)) )) (forall ((?x529 boogieU) (?S214 boogieU)) (! (=> (and (= (type ?x529) intType) (= (type ?S214) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S214 ?x529)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOW ?S214) (int_2_U (FlowReplace__SERIAL_HANDFLOW (U_2_int ?x529))))) boolTrue))) :pattern ((MapType0Select ?S214 ?x529) (x_S_FlowReplace__SERIAL_HANDFLOW ?S214)) )) (forall ((?x530 boogieU) (?S215 boogieU)) (! (=> (and (= (type ?x530) intType) (= (type ?S215) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S215 ?x530)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S215) (int_2_U (FlowReplace__SERIAL_HANDFLOWInv (U_2_int ?x530))))) boolTrue))) :pattern ((MapType0Select ?S215 ?x530) (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S215)) )) (forall ((?x531 Int)) (! (= (FlowReplace__SERIAL_HANDFLOW ?x531) (+ ?x531 4)) :pattern ((FlowReplace__SERIAL_HANDFLOW ?x531)) )) (forall ((?x532 Int)) (! (= (FlowReplace__SERIAL_HANDFLOWInv ?x532) (- ?x532 4)) :pattern ((FlowReplace__SERIAL_HANDFLOWInv ?x532)) )) (forall ((?x533 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x533 4 1) (FlowReplace__SERIAL_HANDFLOWInv ?x533)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x533 4 1)) )) (forall ((?x534 Int)) (! (= (MINUS_LEFT_PTR ?x534 1 4) (FlowReplace__SERIAL_HANDFLOWInv ?x534)) :pattern ((MINUS_LEFT_PTR ?x534 1 4)) )) (forall ((?x535 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSIONInv (HandFlow__SERIAL_DEVICE_EXTENSION ?x535)) ?x535) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSIONInv (HandFlow__SERIAL_DEVICE_EXTENSION ?x535))) )) (forall ((?x536 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSION (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x536)) ?x536) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x536)) )) (forall ((?x537 boogieU) (?S216 boogieU)) (! (=> (and (= (type ?x537) intType) (= (type ?S216) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S216) ?x537)) boolTrue) (= (U_2_bool (MapType0Select ?S216 (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x537))))) boolTrue))) :pattern ((MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S216) ?x537)) )) (forall ((?x538 boogieU) (?S217 boogieU)) (! (=> (and (= (type ?x538) intType) (= (type ?S217) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S217) ?x538)) boolTrue) (= (U_2_bool (MapType0Select ?S217 (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSION (U_2_int ?x538))))) boolTrue))) :pattern ((MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S217) ?x538)) )) (forall ((?x539 boogieU) (?S218 boogieU)) (! (=> (and (= (type ?x539) intType) (= (type ?S218) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S218 ?x539)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S218) (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSION (U_2_int ?x539))))) boolTrue))) :pattern ((MapType0Select ?S218 ?x539) (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S218)) )) (forall ((?x540 boogieU) (?S219 boogieU)) (! (=> (and (= (type ?x540) intType) (= (type ?S219) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S219 ?x540)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S219) (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x540))))) boolTrue))) :pattern ((MapType0Select ?S219 ?x540) (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S219)) )) (forall ((?x541 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSION ?x541) (+ ?x541 364)) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSION ?x541)) )) (forall ((?x542 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x542) (- ?x542 364)) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x542)) )) (forall ((?x543 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x543 364 1) (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x543)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x543 364 1)) )) (forall ((?x544 Int)) (! (= (MINUS_LEFT_PTR ?x544 1 364) (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x544)) :pattern ((MINUS_LEFT_PTR ?x544 1 364)) )) (forall ((?x545 Int)) (! (= (HighPart___unnamed_8_544b88f4Inv (HighPart___unnamed_8_544b88f4 ?x545)) ?x545) :pattern ((HighPart___unnamed_8_544b88f4Inv (HighPart___unnamed_8_544b88f4 ?x545))) )) (forall ((?x546 Int)) (! (= (HighPart___unnamed_8_544b88f4 (HighPart___unnamed_8_544b88f4Inv ?x546)) ?x546) :pattern ((HighPart___unnamed_8_544b88f4Inv ?x546)) )) (forall ((?x547 boogieU) (?S220 boogieU)) (! (=> (and (= (type ?x547) intType) (= (type ?S220) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4 ?S220) ?x547)) boolTrue) (= (U_2_bool (MapType0Select ?S220 (int_2_U (HighPart___unnamed_8_544b88f4Inv (U_2_int ?x547))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_544b88f4 ?S220) ?x547)) )) (forall ((?x548 boogieU) (?S221 boogieU)) (! (=> (and (= (type ?x548) intType) (= (type ?S221) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4Inv ?S221) ?x548)) boolTrue) (= (U_2_bool (MapType0Select ?S221 (int_2_U (HighPart___unnamed_8_544b88f4 (U_2_int ?x548))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_544b88f4Inv ?S221) ?x548)) )) (forall ((?x549 boogieU) (?S222 boogieU)) (! (=> (and (= (type ?x549) intType) (= (type ?S222) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S222 ?x549)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4 ?S222) (int_2_U (HighPart___unnamed_8_544b88f4 (U_2_int ?x549))))) boolTrue))) :pattern ((MapType0Select ?S222 ?x549) (x_S_HighPart___unnamed_8_544b88f4 ?S222)) )) (forall ((?x550 boogieU) (?S223 boogieU)) (! (=> (and (= (type ?x550) intType) (= (type ?S223) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S223 ?x550)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4Inv ?S223) (int_2_U (HighPart___unnamed_8_544b88f4Inv (U_2_int ?x550))))) boolTrue))) :pattern ((MapType0Select ?S223 ?x550) (x_S_HighPart___unnamed_8_544b88f4Inv ?S223)) )) (forall ((?x551 Int)) (! (= (HighPart___unnamed_8_544b88f4 ?x551) (+ ?x551 4)) :pattern ((HighPart___unnamed_8_544b88f4 ?x551)) )) (forall ((?x552 Int)) (! (= (HighPart___unnamed_8_544b88f4Inv ?x552) (- ?x552 4)) :pattern ((HighPart___unnamed_8_544b88f4Inv ?x552)) )) (forall ((?x553 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x553 4 1) (HighPart___unnamed_8_544b88f4Inv ?x553)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x553 4 1)) )) (forall ((?x554 Int)) (! (= (MINUS_LEFT_PTR ?x554 1 4) (HighPart___unnamed_8_544b88f4Inv ?x554)) :pattern ((MINUS_LEFT_PTR ?x554 1 4)) )) (forall ((?x555 Int)) (! (= (HighPart___unnamed_8_5d67d492Inv (HighPart___unnamed_8_5d67d492 ?x555)) ?x555) :pattern ((HighPart___unnamed_8_5d67d492Inv (HighPart___unnamed_8_5d67d492 ?x555))) )) (forall ((?x556 Int)) (! (= (HighPart___unnamed_8_5d67d492 (HighPart___unnamed_8_5d67d492Inv ?x556)) ?x556) :pattern ((HighPart___unnamed_8_5d67d492Inv ?x556)) )) (forall ((?x557 boogieU) (?S224 boogieU)) (! (=> (and (= (type ?x557) intType) (= (type ?S224) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492 ?S224) ?x557)) boolTrue) (= (U_2_bool (MapType0Select ?S224 (int_2_U (HighPart___unnamed_8_5d67d492Inv (U_2_int ?x557))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_5d67d492 ?S224) ?x557)) )) (forall ((?x558 boogieU) (?S225 boogieU)) (! (=> (and (= (type ?x558) intType) (= (type ?S225) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492Inv ?S225) ?x558)) boolTrue) (= (U_2_bool (MapType0Select ?S225 (int_2_U (HighPart___unnamed_8_5d67d492 (U_2_int ?x558))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_5d67d492Inv ?S225) ?x558)) )) (forall ((?x559 boogieU) (?S226 boogieU)) (! (=> (and (= (type ?x559) intType) (= (type ?S226) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S226 ?x559)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492 ?S226) (int_2_U (HighPart___unnamed_8_5d67d492 (U_2_int ?x559))))) boolTrue))) :pattern ((MapType0Select ?S226 ?x559) (x_S_HighPart___unnamed_8_5d67d492 ?S226)) )) (forall ((?x560 boogieU) (?S227 boogieU)) (! (=> (and (= (type ?x560) intType) (= (type ?S227) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S227 ?x560)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492Inv ?S227) (int_2_U (HighPart___unnamed_8_5d67d492Inv (U_2_int ?x560))))) boolTrue))) :pattern ((MapType0Select ?S227 ?x560) (x_S_HighPart___unnamed_8_5d67d492Inv ?S227)) )) (forall ((?x561 Int)) (! (= (HighPart___unnamed_8_5d67d492 ?x561) (+ ?x561 4)) :pattern ((HighPart___unnamed_8_5d67d492 ?x561)) )) (forall ((?x562 Int)) (! (= (HighPart___unnamed_8_5d67d492Inv ?x562) (- ?x562 4)) :pattern ((HighPart___unnamed_8_5d67d492Inv ?x562)) )) (forall ((?x563 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x563 4 1) (HighPart___unnamed_8_5d67d492Inv ?x563)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x563 4 1)) )) (forall ((?x564 Int)) (! (= (MINUS_LEFT_PTR ?x564 1 4) (HighPart___unnamed_8_5d67d492Inv ?x564)) :pattern ((MINUS_LEFT_PTR ?x564 1 4)) )) (forall ((?x565 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x565)) ?x565) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x565))) )) (forall ((?x566 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x566)) ?x566) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x566)) )) (forall ((?x567 boogieU) (?S228 boogieU)) (! (=> (and (= (type ?x567) intType) (= (type ?S228) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S228) ?x567)) boolTrue) (= (U_2_bool (MapType0Select ?S228 (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x567))))) boolTrue))) :pattern ((MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S228) ?x567)) )) (forall ((?x568 boogieU) (?S229 boogieU)) (! (=> (and (= (type ?x568) intType) (= (type ?S229) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S229) ?x568)) boolTrue) (= (U_2_bool (MapType0Select ?S229 (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x568))))) boolTrue))) :pattern ((MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S229) ?x568)) )) (forall ((?x569 boogieU) (?S230 boogieU)) (! (=> (and (= (type ?x569) intType) (= (type ?S230) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S230 ?x569)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S230) (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x569))))) boolTrue))) :pattern ((MapType0Select ?S230 ?x569) (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S230)) )) (forall ((?x570 boogieU) (?S231 boogieU)) (! (=> (and (= (type ?x570) intType) (= (type ?S231) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S231 ?x570)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S231) (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x570))))) boolTrue))) :pattern ((MapType0Select ?S231 ?x570) (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S231)) )) (forall ((?x571 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x571) (+ ?x571 1088)) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x571)) )) (forall ((?x572 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x572) (- ?x572 1088)) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x572)) )) (forall ((?x573 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x573 1088 1) (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x573)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x573 1088 1)) )) (forall ((?x574 Int)) (! (= (MINUS_LEFT_PTR ?x574 1 1088) (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x574)) :pattern ((MINUS_LEFT_PTR ?x574 1 1088)) )) (forall ((?x575 Int)) (! (= (InSize__SERIAL_QUEUE_SIZEInv (InSize__SERIAL_QUEUE_SIZE ?x575)) ?x575) :pattern ((InSize__SERIAL_QUEUE_SIZEInv (InSize__SERIAL_QUEUE_SIZE ?x575))) )) (forall ((?x576 Int)) (! (= (InSize__SERIAL_QUEUE_SIZE (InSize__SERIAL_QUEUE_SIZEInv ?x576)) ?x576) :pattern ((InSize__SERIAL_QUEUE_SIZEInv ?x576)) )) (forall ((?x577 boogieU) (?S232 boogieU)) (! (=> (and (= (type ?x577) intType) (= (type ?S232) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZE ?S232) ?x577)) boolTrue) (= (U_2_bool (MapType0Select ?S232 (int_2_U (InSize__SERIAL_QUEUE_SIZEInv (U_2_int ?x577))))) boolTrue))) :pattern ((MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZE ?S232) ?x577)) )) (forall ((?x578 boogieU) (?S233 boogieU)) (! (=> (and (= (type ?x578) intType) (= (type ?S233) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S233) ?x578)) boolTrue) (= (U_2_bool (MapType0Select ?S233 (int_2_U (InSize__SERIAL_QUEUE_SIZE (U_2_int ?x578))))) boolTrue))) :pattern ((MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S233) ?x578)) )) (forall ((?x579 boogieU) (?S234 boogieU)) (! (=> (and (= (type ?x579) intType) (= (type ?S234) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S234 ?x579)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZE ?S234) (int_2_U (InSize__SERIAL_QUEUE_SIZE (U_2_int ?x579))))) boolTrue))) :pattern ((MapType0Select ?S234 ?x579) (x_S_InSize__SERIAL_QUEUE_SIZE ?S234)) )) (forall ((?x580 boogieU) (?S235 boogieU)) (! (=> (and (= (type ?x580) intType) (= (type ?S235) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S235 ?x580)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S235) (int_2_U (InSize__SERIAL_QUEUE_SIZEInv (U_2_int ?x580))))) boolTrue))) :pattern ((MapType0Select ?S235 ?x580) (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S235)) )) (forall ((?x581 Int)) (! (= (InSize__SERIAL_QUEUE_SIZE ?x581) (+ ?x581 0)) :pattern ((InSize__SERIAL_QUEUE_SIZE ?x581)) )) (forall ((?x582 Int)) (! (= (InSize__SERIAL_QUEUE_SIZEInv ?x582) (- ?x582 0)) :pattern ((InSize__SERIAL_QUEUE_SIZEInv ?x582)) )) (forall ((?x583 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x583 0 1) (InSize__SERIAL_QUEUE_SIZEInv ?x583)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x583 0 1)) )) (forall ((?x584 Int)) (! (= (MINUS_LEFT_PTR ?x584 1 0) (InSize__SERIAL_QUEUE_SIZEInv ?x584)) :pattern ((MINUS_LEFT_PTR ?x584 1 0)) )) (forall ((?x585 Int)) (! (= (Information__IO_STATUS_BLOCKInv (Information__IO_STATUS_BLOCK ?x585)) ?x585) :pattern ((Information__IO_STATUS_BLOCKInv (Information__IO_STATUS_BLOCK ?x585))) )) (forall ((?x586 Int)) (! (= (Information__IO_STATUS_BLOCK (Information__IO_STATUS_BLOCKInv ?x586)) ?x586) :pattern ((Information__IO_STATUS_BLOCKInv ?x586)) )) (forall ((?x587 boogieU) (?S236 boogieU)) (! (=> (and (= (type ?x587) intType) (= (type ?S236) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S236) ?x587)) boolTrue) (= (U_2_bool (MapType0Select ?S236 (int_2_U (Information__IO_STATUS_BLOCKInv (U_2_int ?x587))))) boolTrue))) :pattern ((MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S236) ?x587)) )) (forall ((?x588 boogieU) (?S237 boogieU)) (! (=> (and (= (type ?x588) intType) (= (type ?S237) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S237) ?x588)) boolTrue) (= (U_2_bool (MapType0Select ?S237 (int_2_U (Information__IO_STATUS_BLOCK (U_2_int ?x588))))) boolTrue))) :pattern ((MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S237) ?x588)) )) (forall ((?x589 boogieU) (?S238 boogieU)) (! (=> (and (= (type ?x589) intType) (= (type ?S238) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S238 ?x589)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S238) (int_2_U (Information__IO_STATUS_BLOCK (U_2_int ?x589))))) boolTrue))) :pattern ((MapType0Select ?S238 ?x589) (x_S_Information__IO_STATUS_BLOCK ?S238)) )) (forall ((?x590 boogieU) (?S239 boogieU)) (! (=> (and (= (type ?x590) intType) (= (type ?S239) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S239 ?x590)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S239) (int_2_U (Information__IO_STATUS_BLOCKInv (U_2_int ?x590))))) boolTrue))) :pattern ((MapType0Select ?S239 ?x590) (x_S_Information__IO_STATUS_BLOCKInv ?S239)) )) (forall ((?x591 Int)) (! (= (Information__IO_STATUS_BLOCK ?x591) (+ ?x591 4)) :pattern ((Information__IO_STATUS_BLOCK ?x591)) )) (forall ((?x592 Int)) (! (= (Information__IO_STATUS_BLOCKInv ?x592) (- ?x592 4)) :pattern ((Information__IO_STATUS_BLOCKInv ?x592)) )) (forall ((?x593 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x593 4 1) (Information__IO_STATUS_BLOCKInv ?x593)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x593 4 1)) )) (forall ((?x594 Int)) (! (= (MINUS_LEFT_PTR ?x594 1 4) (Information__IO_STATUS_BLOCKInv ?x594)) :pattern ((MINUS_LEFT_PTR ?x594 1 4)) )) (forall ((?x595 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7Inv (InputBufferLength___unnamed_16_5bbbf1e7 ?x595)) ?x595) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7Inv (InputBufferLength___unnamed_16_5bbbf1e7 ?x595))) )) (forall ((?x596 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7 (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x596)) ?x596) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7Inv ?x596)) )) (forall ((?x597 boogieU) (?S240 boogieU)) (! (=> (and (= (type ?x597) intType) (= (type ?S240) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S240) ?x597)) boolTrue) (= (U_2_bool (MapType0Select ?S240 (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x597))))) boolTrue))) :pattern ((MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S240) ?x597)) )) (forall ((?x598 boogieU) (?S241 boogieU)) (! (=> (and (= (type ?x598) intType) (= (type ?S241) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S241) ?x598)) boolTrue) (= (U_2_bool (MapType0Select ?S241 (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x598))))) boolTrue))) :pattern ((MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S241) ?x598)) )) (forall ((?x599 boogieU) (?S242 boogieU)) (! (=> (and (= (type ?x599) intType) (= (type ?S242) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S242 ?x599)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S242) (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x599))))) boolTrue))) :pattern ((MapType0Select ?S242 ?x599) (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S242)) )) (forall ((?x600 boogieU) (?S243 boogieU)) (! (=> (and (= (type ?x600) intType) (= (type ?S243) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S243 ?x600)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S243) (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x600))))) boolTrue))) :pattern ((MapType0Select ?S243 ?x600) (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S243)) )) (forall ((?x601 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7 ?x601) (+ ?x601 4)) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7 ?x601)) )) (forall ((?x602 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x602) (- ?x602 4)) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7Inv ?x602)) )) (forall ((?x603 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x603 4 1) (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x603)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x603 4 1)) )) (forall ((?x604 Int)) (! (= (MINUS_LEFT_PTR ?x604 1 4) (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x604)) :pattern ((MINUS_LEFT_PTR ?x604 1 4)) )) (forall ((?x605 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x605)) ?x605) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x605))) )) (forall ((?x606 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x606)) ?x606) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x606)) )) (forall ((?x607 boogieU) (?S244 boogieU)) (! (=> (and (= (type ?x607) intType) (= (type ?S244) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S244) ?x607)) boolTrue) (= (U_2_bool (MapType0Select ?S244 (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x607))))) boolTrue))) :pattern ((MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S244) ?x607)) )) (forall ((?x608 boogieU) (?S245 boogieU)) (! (=> (and (= (type ?x608) intType) (= (type ?S245) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S245) ?x608)) boolTrue) (= (U_2_bool (MapType0Select ?S245 (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x608))))) boolTrue))) :pattern ((MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S245) ?x608)) )) (forall ((?x609 boogieU) (?S246 boogieU)) (! (=> (and (= (type ?x609) intType) (= (type ?S246) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S246 ?x609)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S246) (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x609))))) boolTrue))) :pattern ((MapType0Select ?S246 ?x609) (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S246)) )) (forall ((?x610 boogieU) (?S247 boogieU)) (! (=> (and (= (type ?x610) intType) (= (type ?S247) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S247 ?x610)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S247) (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x610))))) boolTrue))) :pattern ((MapType0Select ?S247 ?x610) (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S247)) )) (forall ((?x611 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x611) (+ ?x611 224)) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x611)) )) (forall ((?x612 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x612) (- ?x612 224)) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x612)) )) (forall ((?x613 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x613 224 1) (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x613)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x613 224 1)) )) (forall ((?x614 Int)) (! (= (MINUS_LEFT_PTR ?x614 1 224) (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x614)) :pattern ((MINUS_LEFT_PTR ?x614 1 224)) )) (forall ((?x615 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSIONInv (Interrupt__SERIAL_DEVICE_EXTENSION ?x615)) ?x615) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSIONInv (Interrupt__SERIAL_DEVICE_EXTENSION ?x615))) )) (forall ((?x616 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSION (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x616)) ?x616) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x616)) )) (forall ((?x617 boogieU) (?S248 boogieU)) (! (=> (and (= (type ?x617) intType) (= (type ?S248) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S248) ?x617)) boolTrue) (= (U_2_bool (MapType0Select ?S248 (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x617))))) boolTrue))) :pattern ((MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S248) ?x617)) )) (forall ((?x618 boogieU) (?S249 boogieU)) (! (=> (and (= (type ?x618) intType) (= (type ?S249) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S249) ?x618)) boolTrue) (= (U_2_bool (MapType0Select ?S249 (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSION (U_2_int ?x618))))) boolTrue))) :pattern ((MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S249) ?x618)) )) (forall ((?x619 boogieU) (?S250 boogieU)) (! (=> (and (= (type ?x619) intType) (= (type ?S250) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S250 ?x619)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S250) (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSION (U_2_int ?x619))))) boolTrue))) :pattern ((MapType0Select ?S250 ?x619) (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S250)) )) (forall ((?x620 boogieU) (?S251 boogieU)) (! (=> (and (= (type ?x620) intType) (= (type ?S251) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S251 ?x620)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S251) (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x620))))) boolTrue))) :pattern ((MapType0Select ?S251 ?x620) (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S251)) )) (forall ((?x621 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSION ?x621) (+ ?x621 152)) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSION ?x621)) )) (forall ((?x622 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x622) (- ?x622 152)) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x622)) )) (forall ((?x623 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x623 152 1) (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x623)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x623 152 1)) )) (forall ((?x624 Int)) (! (= (MINUS_LEFT_PTR ?x624 1 152) (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x624)) :pattern ((MINUS_LEFT_PTR ?x624 1 152)) )) (forall ((?x625 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x625)) ?x625) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x625))) )) (forall ((?x626 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x626)) ?x626) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x626)) )) (forall ((?x627 boogieU) (?S252 boogieU)) (! (=> (and (= (type ?x627) intType) (= (type ?S252) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S252) ?x627)) boolTrue) (= (U_2_bool (MapType0Select ?S252 (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x627))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S252) ?x627)) )) (forall ((?x628 boogieU) (?S253 boogieU)) (! (=> (and (= (type ?x628) intType) (= (type ?S253) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S253) ?x628)) boolTrue) (= (U_2_bool (MapType0Select ?S253 (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x628))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S253) ?x628)) )) (forall ((?x629 boogieU) (?S254 boogieU)) (! (=> (and (= (type ?x629) intType) (= (type ?S254) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S254 ?x629)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S254) (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x629))))) boolTrue))) :pattern ((MapType0Select ?S254 ?x629) (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S254)) )) (forall ((?x630 boogieU) (?S255 boogieU)) (! (=> (and (= (type ?x630) intType) (= (type ?S255) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S255 ?x630)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S255) (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x630))))) boolTrue))) :pattern ((MapType0Select ?S255 ?x630) (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S255)) )) (forall ((?x631 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x631) (+ ?x631 580)) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x631)) )) (forall ((?x632 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x632) (- ?x632 580)) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x632)) )) (forall ((?x633 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x633 580 1) (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x633)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x633 580 1)) )) (forall ((?x634 Int)) (! (= (MINUS_LEFT_PTR ?x634 1 580) (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x634)) :pattern ((MINUS_LEFT_PTR ?x634 1 580)) )) (forall ((?x635 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x635)) ?x635) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x635))) )) (forall ((?x636 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x636)) ?x636) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x636)) )) (forall ((?x637 boogieU) (?S256 boogieU)) (! (=> (and (= (type ?x637) intType) (= (type ?S256) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S256) ?x637)) boolTrue) (= (U_2_bool (MapType0Select ?S256 (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x637))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S256) ?x637)) )) (forall ((?x638 boogieU) (?S257 boogieU)) (! (=> (and (= (type ?x638) intType) (= (type ?S257) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S257) ?x638)) boolTrue) (= (U_2_bool (MapType0Select ?S257 (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (U_2_int ?x638))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S257) ?x638)) )) (forall ((?x639 boogieU) (?S258 boogieU)) (! (=> (and (= (type ?x639) intType) (= (type ?S258) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S258 ?x639)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S258) (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (U_2_int ?x639))))) boolTrue))) :pattern ((MapType0Select ?S258 ?x639) (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S258)) )) (forall ((?x640 boogieU) (?S259 boogieU)) (! (=> (and (= (type ?x640) intType) (= (type ?S259) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S259 ?x640)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S259) (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x640))))) boolTrue))) :pattern ((MapType0Select ?S259 ?x640) (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S259)) )) (forall ((?x641 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x641) (+ ?x641 128)) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x641)) )) (forall ((?x642 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x642) (- ?x642 128)) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x642)) )) (forall ((?x643 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x643 128 1) (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x643)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x643 128 1)) )) (forall ((?x644 Int)) (! (= (MINUS_LEFT_PTR ?x644 1 128) (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x644)) :pattern ((MINUS_LEFT_PTR ?x644 1 128)) )) (forall ((?x645 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSIONInv (IntervalTime__SERIAL_DEVICE_EXTENSION ?x645)) ?x645) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSIONInv (IntervalTime__SERIAL_DEVICE_EXTENSION ?x645))) )) (forall ((?x646 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSION (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x646)) ?x646) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x646)) )) (forall ((?x647 boogieU) (?S260 boogieU)) (! (=> (and (= (type ?x647) intType) (= (type ?S260) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S260) ?x647)) boolTrue) (= (U_2_bool (MapType0Select ?S260 (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x647))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S260) ?x647)) )) (forall ((?x648 boogieU) (?S261 boogieU)) (! (=> (and (= (type ?x648) intType) (= (type ?S261) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S261) ?x648)) boolTrue) (= (U_2_bool (MapType0Select ?S261 (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x648))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S261) ?x648)) )) (forall ((?x649 boogieU) (?S262 boogieU)) (! (=> (and (= (type ?x649) intType) (= (type ?S262) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S262 ?x649)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S262) (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x649))))) boolTrue))) :pattern ((MapType0Select ?S262 ?x649) (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S262)) )) (forall ((?x650 boogieU) (?S263 boogieU)) (! (=> (and (= (type ?x650) intType) (= (type ?S263) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S263 ?x650)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S263) (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x650))))) boolTrue))) :pattern ((MapType0Select ?S263 ?x650) (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S263)) )) (forall ((?x651 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSION ?x651) (+ ?x651 56)) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSION ?x651)) )) (forall ((?x652 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x652) (- ?x652 56)) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x652)) )) (forall ((?x653 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x653 56 1) (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x653)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x653 56 1)) )) (forall ((?x654 Int)) (! (= (MINUS_LEFT_PTR ?x654 1 56) (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x654)) :pattern ((MINUS_LEFT_PTR ?x654 1 56)) )) (forall ((?x655 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7Inv (IoControlCode___unnamed_16_5bbbf1e7 ?x655)) ?x655) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv (IoControlCode___unnamed_16_5bbbf1e7 ?x655))) )) (forall ((?x656 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7 (IoControlCode___unnamed_16_5bbbf1e7Inv ?x656)) ?x656) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv ?x656)) )) (forall ((?x657 boogieU) (?S264 boogieU)) (! (=> (and (= (type ?x657) intType) (= (type ?S264) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S264) ?x657)) boolTrue) (= (U_2_bool (MapType0Select ?S264 (int_2_U (IoControlCode___unnamed_16_5bbbf1e7Inv (U_2_int ?x657))))) boolTrue))) :pattern ((MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S264) ?x657)) )) (forall ((?x658 boogieU) (?S265 boogieU)) (! (=> (and (= (type ?x658) intType) (= (type ?S265) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S265) ?x658)) boolTrue) (= (U_2_bool (MapType0Select ?S265 (int_2_U (IoControlCode___unnamed_16_5bbbf1e7 (U_2_int ?x658))))) boolTrue))) :pattern ((MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S265) ?x658)) )) (forall ((?x659 boogieU) (?S266 boogieU)) (! (=> (and (= (type ?x659) intType) (= (type ?S266) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S266 ?x659)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S266) (int_2_U (IoControlCode___unnamed_16_5bbbf1e7 (U_2_int ?x659))))) boolTrue))) :pattern ((MapType0Select ?S266 ?x659) (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S266)) )) (forall ((?x660 boogieU) (?S267 boogieU)) (! (=> (and (= (type ?x660) intType) (= (type ?S267) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S267 ?x660)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S267) (int_2_U (IoControlCode___unnamed_16_5bbbf1e7Inv (U_2_int ?x660))))) boolTrue))) :pattern ((MapType0Select ?S267 ?x660) (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S267)) )) (forall ((?x661 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7 ?x661) (+ ?x661 8)) :pattern ((IoControlCode___unnamed_16_5bbbf1e7 ?x661)) )) (forall ((?x662 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7Inv ?x662) (- ?x662 8)) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv ?x662)) )) (forall ((?x663 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x663 8 1) (IoControlCode___unnamed_16_5bbbf1e7Inv ?x663)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x663 8 1)) )) (forall ((?x664 Int)) (! (= (MINUS_LEFT_PTR ?x664 1 8) (IoControlCode___unnamed_16_5bbbf1e7Inv ?x664)) :pattern ((MINUS_LEFT_PTR ?x664 1 8)) )) (forall ((?x665 Int)) (! (= (IoStatus__IRPInv (IoStatus__IRP ?x665)) ?x665) :pattern ((IoStatus__IRPInv (IoStatus__IRP ?x665))) )) (forall ((?x666 Int)) (! (= (IoStatus__IRP (IoStatus__IRPInv ?x666)) ?x666) :pattern ((IoStatus__IRPInv ?x666)) )) (forall ((?x667 boogieU) (?S268 boogieU)) (! (=> (and (= (type ?x667) intType) (= (type ?S268) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__IRP ?S268) ?x667)) boolTrue) (= (U_2_bool (MapType0Select ?S268 (int_2_U (IoStatus__IRPInv (U_2_int ?x667))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__IRP ?S268) ?x667)) )) (forall ((?x668 boogieU) (?S269 boogieU)) (! (=> (and (= (type ?x668) intType) (= (type ?S269) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__IRPInv ?S269) ?x668)) boolTrue) (= (U_2_bool (MapType0Select ?S269 (int_2_U (IoStatus__IRP (U_2_int ?x668))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__IRPInv ?S269) ?x668)) )) (forall ((?x669 boogieU) (?S270 boogieU)) (! (=> (and (= (type ?x669) intType) (= (type ?S270) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S270 ?x669)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__IRP ?S270) (int_2_U (IoStatus__IRP (U_2_int ?x669))))) boolTrue))) :pattern ((MapType0Select ?S270 ?x669) (x_S_IoStatus__IRP ?S270)) )) (forall ((?x670 boogieU) (?S271 boogieU)) (! (=> (and (= (type ?x670) intType) (= (type ?S271) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S271 ?x670)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__IRPInv ?S271) (int_2_U (IoStatus__IRPInv (U_2_int ?x670))))) boolTrue))) :pattern ((MapType0Select ?S271 ?x670) (x_S_IoStatus__IRPInv ?S271)) )) (forall ((?x671 Int)) (! (= (IoStatus__IRP ?x671) (+ ?x671 24)) :pattern ((IoStatus__IRP ?x671)) )) (forall ((?x672 Int)) (! (= (IoStatus__IRPInv ?x672) (- ?x672 24)) :pattern ((IoStatus__IRPInv ?x672)) )) (forall ((?x673 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x673 24 1) (IoStatus__IRPInv ?x673)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x673 24 1)) )) (forall ((?x674 Int)) (! (= (MINUS_LEFT_PTR ?x674 1 24) (IoStatus__IRPInv ?x674)) :pattern ((MINUS_LEFT_PTR ?x674 1 24)) )) (forall ((?x675 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x675)) ?x675) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x675))) )) (forall ((?x676 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSION (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x676)) ?x676) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x676)) )) (forall ((?x677 boogieU) (?S272 boogieU)) (! (=> (and (= (type ?x677) intType) (= (type ?S272) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S272) ?x677)) boolTrue) (= (U_2_bool (MapType0Select ?S272 (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x677))))) boolTrue))) :pattern ((MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S272) ?x677)) )) (forall ((?x678 boogieU) (?S273 boogieU)) (! (=> (and (= (type ?x678) intType) (= (type ?S273) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S273) ?x678)) boolTrue) (= (U_2_bool (MapType0Select ?S273 (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x678))))) boolTrue))) :pattern ((MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S273) ?x678)) )) (forall ((?x679 boogieU) (?S274 boogieU)) (! (=> (and (= (type ?x679) intType) (= (type ?S274) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S274 ?x679)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S274) (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x679))))) boolTrue))) :pattern ((MapType0Select ?S274 ?x679) (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S274)) )) (forall ((?x680 boogieU) (?S275 boogieU)) (! (=> (and (= (type ?x680) intType) (= (type ?S275) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S275 ?x680)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S275) (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x680))))) boolTrue))) :pattern ((MapType0Select ?S275 ?x680) (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S275)) )) (forall ((?x681 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x681) (+ ?x681 264)) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x681)) )) (forall ((?x682 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x682) (- ?x682 264)) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x682)) )) (forall ((?x683 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x683 264 1) (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x683)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x683 264 1)) )) (forall ((?x684 Int)) (! (= (MINUS_LEFT_PTR ?x684 1 264) (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x684)) :pattern ((MINUS_LEFT_PTR ?x684 1 264)) )) (forall ((?x685 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (LastCharSlot__SERIAL_DEVICE_EXTENSION ?x685)) ?x685) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (LastCharSlot__SERIAL_DEVICE_EXTENSION ?x685))) )) (forall ((?x686 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSION (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x686)) ?x686) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x686)) )) (forall ((?x687 boogieU) (?S276 boogieU)) (! (=> (and (= (type ?x687) intType) (= (type ?S276) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S276) ?x687)) boolTrue) (= (U_2_bool (MapType0Select ?S276 (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x687))))) boolTrue))) :pattern ((MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S276) ?x687)) )) (forall ((?x688 boogieU) (?S277 boogieU)) (! (=> (and (= (type ?x688) intType) (= (type ?S277) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S277) ?x688)) boolTrue) (= (U_2_bool (MapType0Select ?S277 (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSION (U_2_int ?x688))))) boolTrue))) :pattern ((MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S277) ?x688)) )) (forall ((?x689 boogieU) (?S278 boogieU)) (! (=> (and (= (type ?x689) intType) (= (type ?S278) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S278 ?x689)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S278) (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSION (U_2_int ?x689))))) boolTrue))) :pattern ((MapType0Select ?S278 ?x689) (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S278)) )) (forall ((?x690 boogieU) (?S279 boogieU)) (! (=> (and (= (type ?x690) intType) (= (type ?S279) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S279 ?x690)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S279) (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x690))))) boolTrue))) :pattern ((MapType0Select ?S279 ?x690) (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S279)) )) (forall ((?x691 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSION ?x691) (+ ?x691 240)) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSION ?x691)) )) (forall ((?x692 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x692) (- ?x692 240)) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x692)) )) (forall ((?x693 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x693 240 1) (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x693)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x693 240 1)) )) (forall ((?x694 Int)) (! (= (MINUS_LEFT_PTR ?x694 1 240) (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x694)) :pattern ((MINUS_LEFT_PTR ?x694 1 240)) )) (forall ((?x695 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSIONInv (LastReadTime__SERIAL_DEVICE_EXTENSION ?x695)) ?x695) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSIONInv (LastReadTime__SERIAL_DEVICE_EXTENSION ?x695))) )) (forall ((?x696 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSION (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x696)) ?x696) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x696)) )) (forall ((?x697 boogieU) (?S280 boogieU)) (! (=> (and (= (type ?x697) intType) (= (type ?S280) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S280) ?x697)) boolTrue) (= (U_2_bool (MapType0Select ?S280 (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x697))))) boolTrue))) :pattern ((MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S280) ?x697)) )) (forall ((?x698 boogieU) (?S281 boogieU)) (! (=> (and (= (type ?x698) intType) (= (type ?S281) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S281) ?x698)) boolTrue) (= (U_2_bool (MapType0Select ?S281 (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x698))))) boolTrue))) :pattern ((MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S281) ?x698)) )) (forall ((?x699 boogieU) (?S282 boogieU)) (! (=> (and (= (type ?x699) intType) (= (type ?S282) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S282 ?x699)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S282) (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x699))))) boolTrue))) :pattern ((MapType0Select ?S282 ?x699) (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S282)) )) (forall ((?x700 boogieU) (?S283 boogieU)) (! (=> (and (= (type ?x700) intType) (= (type ?S283) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S283 ?x700)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S283) (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x700))))) boolTrue))) :pattern ((MapType0Select ?S283 ?x700) (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S283)) )) (forall ((?x701 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSION ?x701) (+ ?x701 88)) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSION ?x701)) )) (forall ((?x702 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x702) (- ?x702 88)) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x702)) )) (forall ((?x703 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x703 88 1) (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x703)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x703 88 1)) )) (forall ((?x704 Int)) (! (= (MINUS_LEFT_PTR ?x704 1 88) (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x704)) :pattern ((MINUS_LEFT_PTR ?x704 1 88)) )) (forall ((?x705 Int)) (! (= (Length___unnamed_16_3a584a7cInv (Length___unnamed_16_3a584a7c ?x705)) ?x705) :pattern ((Length___unnamed_16_3a584a7cInv (Length___unnamed_16_3a584a7c ?x705))) )) (forall ((?x706 Int)) (! (= (Length___unnamed_16_3a584a7c (Length___unnamed_16_3a584a7cInv ?x706)) ?x706) :pattern ((Length___unnamed_16_3a584a7cInv ?x706)) )) (forall ((?x707 boogieU) (?S284 boogieU)) (! (=> (and (= (type ?x707) intType) (= (type ?S284) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7c ?S284) ?x707)) boolTrue) (= (U_2_bool (MapType0Select ?S284 (int_2_U (Length___unnamed_16_3a584a7cInv (U_2_int ?x707))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_3a584a7c ?S284) ?x707)) )) (forall ((?x708 boogieU) (?S285 boogieU)) (! (=> (and (= (type ?x708) intType) (= (type ?S285) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7cInv ?S285) ?x708)) boolTrue) (= (U_2_bool (MapType0Select ?S285 (int_2_U (Length___unnamed_16_3a584a7c (U_2_int ?x708))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_3a584a7cInv ?S285) ?x708)) )) (forall ((?x709 boogieU) (?S286 boogieU)) (! (=> (and (= (type ?x709) intType) (= (type ?S286) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S286 ?x709)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7c ?S286) (int_2_U (Length___unnamed_16_3a584a7c (U_2_int ?x709))))) boolTrue))) :pattern ((MapType0Select ?S286 ?x709) (x_S_Length___unnamed_16_3a584a7c ?S286)) )) (forall ((?x710 boogieU) (?S287 boogieU)) (! (=> (and (= (type ?x710) intType) (= (type ?S287) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S287 ?x710)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7cInv ?S287) (int_2_U (Length___unnamed_16_3a584a7cInv (U_2_int ?x710))))) boolTrue))) :pattern ((MapType0Select ?S287 ?x710) (x_S_Length___unnamed_16_3a584a7cInv ?S287)) )) (forall ((?x711 Int)) (! (= (Length___unnamed_16_3a584a7c ?x711) (+ ?x711 0)) :pattern ((Length___unnamed_16_3a584a7c ?x711)) )) (forall ((?x712 Int)) (! (= (Length___unnamed_16_3a584a7cInv ?x712) (- ?x712 0)) :pattern ((Length___unnamed_16_3a584a7cInv ?x712)) )) (forall ((?x713 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x713 0 1) (Length___unnamed_16_3a584a7cInv ?x713)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x713 0 1)) )) (forall ((?x714 Int)) (! (= (MINUS_LEFT_PTR ?x714 1 0) (Length___unnamed_16_3a584a7cInv ?x714)) :pattern ((MINUS_LEFT_PTR ?x714 1 0)) )) (forall ((?x715 Int)) (! (= (Length___unnamed_16_94922103Inv (Length___unnamed_16_94922103 ?x715)) ?x715) :pattern ((Length___unnamed_16_94922103Inv (Length___unnamed_16_94922103 ?x715))) )) (forall ((?x716 Int)) (! (= (Length___unnamed_16_94922103 (Length___unnamed_16_94922103Inv ?x716)) ?x716) :pattern ((Length___unnamed_16_94922103Inv ?x716)) )) (forall ((?x717 boogieU) (?S288 boogieU)) (! (=> (and (= (type ?x717) intType) (= (type ?S288) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103 ?S288) ?x717)) boolTrue) (= (U_2_bool (MapType0Select ?S288 (int_2_U (Length___unnamed_16_94922103Inv (U_2_int ?x717))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_94922103 ?S288) ?x717)) )) (forall ((?x718 boogieU) (?S289 boogieU)) (! (=> (and (= (type ?x718) intType) (= (type ?S289) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103Inv ?S289) ?x718)) boolTrue) (= (U_2_bool (MapType0Select ?S289 (int_2_U (Length___unnamed_16_94922103 (U_2_int ?x718))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_94922103Inv ?S289) ?x718)) )) (forall ((?x719 boogieU) (?S290 boogieU)) (! (=> (and (= (type ?x719) intType) (= (type ?S290) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S290 ?x719)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103 ?S290) (int_2_U (Length___unnamed_16_94922103 (U_2_int ?x719))))) boolTrue))) :pattern ((MapType0Select ?S290 ?x719) (x_S_Length___unnamed_16_94922103 ?S290)) )) (forall ((?x720 boogieU) (?S291 boogieU)) (! (=> (and (= (type ?x720) intType) (= (type ?S291) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S291 ?x720)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103Inv ?S291) (int_2_U (Length___unnamed_16_94922103Inv (U_2_int ?x720))))) boolTrue))) :pattern ((MapType0Select ?S291 ?x720) (x_S_Length___unnamed_16_94922103Inv ?S291)) )) (forall ((?x721 Int)) (! (= (Length___unnamed_16_94922103 ?x721) (+ ?x721 0)) :pattern ((Length___unnamed_16_94922103 ?x721)) )) (forall ((?x722 Int)) (! (= (Length___unnamed_16_94922103Inv ?x722) (- ?x722 0)) :pattern ((Length___unnamed_16_94922103Inv ?x722)) )) (forall ((?x723 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x723 0 1) (Length___unnamed_16_94922103Inv ?x723)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x723 0 1)) )) (forall ((?x724 Int)) (! (= (MINUS_LEFT_PTR ?x724 1 0) (Length___unnamed_16_94922103Inv ?x724)) :pattern ((MINUS_LEFT_PTR ?x724 1 0)) )) (forall ((?x725 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSIONInv (LineControl__SERIAL_DEVICE_EXTENSION ?x725)) ?x725) :pattern ((LineControl__SERIAL_DEVICE_EXTENSIONInv (LineControl__SERIAL_DEVICE_EXTENSION ?x725))) )) (forall ((?x726 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSION (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x726)) ?x726) :pattern ((LineControl__SERIAL_DEVICE_EXTENSIONInv ?x726)) )) (forall ((?x727 boogieU) (?S292 boogieU)) (! (=> (and (= (type ?x727) intType) (= (type ?S292) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S292) ?x727)) boolTrue) (= (U_2_bool (MapType0Select ?S292 (int_2_U (LineControl__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x727))))) boolTrue))) :pattern ((MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S292) ?x727)) )) (forall ((?x728 boogieU) (?S293 boogieU)) (! (=> (and (= (type ?x728) intType) (= (type ?S293) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S293) ?x728)) boolTrue) (= (U_2_bool (MapType0Select ?S293 (int_2_U (LineControl__SERIAL_DEVICE_EXTENSION (U_2_int ?x728))))) boolTrue))) :pattern ((MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S293) ?x728)) )) (forall ((?x729 boogieU) (?S294 boogieU)) (! (=> (and (= (type ?x729) intType) (= (type ?S294) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S294 ?x729)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S294) (int_2_U (LineControl__SERIAL_DEVICE_EXTENSION (U_2_int ?x729))))) boolTrue))) :pattern ((MapType0Select ?S294 ?x729) (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S294)) )) (forall ((?x730 boogieU) (?S295 boogieU)) (! (=> (and (= (type ?x730) intType) (= (type ?S295) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S295 ?x730)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S295) (int_2_U (LineControl__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x730))))) boolTrue))) :pattern ((MapType0Select ?S295 ?x730) (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S295)) )) (forall ((?x731 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSION ?x731) (+ ?x731 404)) :pattern ((LineControl__SERIAL_DEVICE_EXTENSION ?x731)) )) (forall ((?x732 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x732) (- ?x732 404)) :pattern ((LineControl__SERIAL_DEVICE_EXTENSIONInv ?x732)) )) (forall ((?x733 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x733 404 1) (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x733)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x733 404 1)) )) (forall ((?x734 Int)) (! (= (MINUS_LEFT_PTR ?x734 1 404) (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x734)) :pattern ((MINUS_LEFT_PTR ?x734 1 404)) )) (forall ((?x735 Int)) (! (= (ListEntry___unnamed_12_5cc47a19Inv (ListEntry___unnamed_12_5cc47a19 ?x735)) ?x735) :pattern ((ListEntry___unnamed_12_5cc47a19Inv (ListEntry___unnamed_12_5cc47a19 ?x735))) )) (forall ((?x736 Int)) (! (= (ListEntry___unnamed_12_5cc47a19 (ListEntry___unnamed_12_5cc47a19Inv ?x736)) ?x736) :pattern ((ListEntry___unnamed_12_5cc47a19Inv ?x736)) )) (forall ((?x737 boogieU) (?S296 boogieU)) (! (=> (and (= (type ?x737) intType) (= (type ?S296) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19 ?S296) ?x737)) boolTrue) (= (U_2_bool (MapType0Select ?S296 (int_2_U (ListEntry___unnamed_12_5cc47a19Inv (U_2_int ?x737))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19 ?S296) ?x737)) )) (forall ((?x738 boogieU) (?S297 boogieU)) (! (=> (and (= (type ?x738) intType) (= (type ?S297) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S297) ?x738)) boolTrue) (= (U_2_bool (MapType0Select ?S297 (int_2_U (ListEntry___unnamed_12_5cc47a19 (U_2_int ?x738))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S297) ?x738)) )) (forall ((?x739 boogieU) (?S298 boogieU)) (! (=> (and (= (type ?x739) intType) (= (type ?S298) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S298 ?x739)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19 ?S298) (int_2_U (ListEntry___unnamed_12_5cc47a19 (U_2_int ?x739))))) boolTrue))) :pattern ((MapType0Select ?S298 ?x739) (x_S_ListEntry___unnamed_12_5cc47a19 ?S298)) )) (forall ((?x740 boogieU) (?S299 boogieU)) (! (=> (and (= (type ?x740) intType) (= (type ?S299) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S299 ?x740)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S299) (int_2_U (ListEntry___unnamed_12_5cc47a19Inv (U_2_int ?x740))))) boolTrue))) :pattern ((MapType0Select ?S299 ?x740) (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S299)) )) (forall ((?x741 Int)) (! (= (ListEntry___unnamed_12_5cc47a19 ?x741) (+ ?x741 0)) :pattern ((ListEntry___unnamed_12_5cc47a19 ?x741)) )) (forall ((?x742 Int)) (! (= (ListEntry___unnamed_12_5cc47a19Inv ?x742) (- ?x742 0)) :pattern ((ListEntry___unnamed_12_5cc47a19Inv ?x742)) )) (forall ((?x743 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x743 0 1) (ListEntry___unnamed_12_5cc47a19Inv ?x743)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x743 0 1)) )) (forall ((?x744 Int)) (! (= (MINUS_LEFT_PTR ?x744 1 0) (ListEntry___unnamed_12_5cc47a19Inv ?x744)) :pattern ((MINUS_LEFT_PTR ?x744 1 0)) )) (forall ((?x745 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x745)) ?x745) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x745))) )) (forall ((?x746 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSION (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x746)) ?x746) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x746)) )) (forall ((?x747 boogieU) (?S300 boogieU)) (! (=> (and (= (type ?x747) intType) (= (type ?S300) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S300) ?x747)) boolTrue) (= (U_2_bool (MapType0Select ?S300 (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x747))))) boolTrue))) :pattern ((MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S300) ?x747)) )) (forall ((?x748 boogieU) (?S301 boogieU)) (! (=> (and (= (type ?x748) intType) (= (type ?S301) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S301) ?x748)) boolTrue) (= (U_2_bool (MapType0Select ?S301 (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x748))))) boolTrue))) :pattern ((MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S301) ?x748)) )) (forall ((?x749 boogieU) (?S302 boogieU)) (! (=> (and (= (type ?x749) intType) (= (type ?S302) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S302 ?x749)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S302) (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x749))))) boolTrue))) :pattern ((MapType0Select ?S302 ?x749) (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S302)) )) (forall ((?x750 boogieU) (?S303 boogieU)) (! (=> (and (= (type ?x750) intType) (= (type ?S303) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S303 ?x750)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S303) (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x750))))) boolTrue))) :pattern ((MapType0Select ?S303 ?x750) (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S303)) )) (forall ((?x751 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x751) (+ ?x751 72)) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x751)) )) (forall ((?x752 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x752) (- ?x752 72)) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x752)) )) (forall ((?x753 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x753 72 1) (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x753)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x753 72 1)) )) (forall ((?x754 Int)) (! (= (MINUS_LEFT_PTR ?x754 1 72) (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x754)) :pattern ((MINUS_LEFT_PTR ?x754 1 72)) )) (forall ((?x755 Int)) (! (= (LowPart___unnamed_8_544b88f4Inv (LowPart___unnamed_8_544b88f4 ?x755)) ?x755) :pattern ((LowPart___unnamed_8_544b88f4Inv (LowPart___unnamed_8_544b88f4 ?x755))) )) (forall ((?x756 Int)) (! (= (LowPart___unnamed_8_544b88f4 (LowPart___unnamed_8_544b88f4Inv ?x756)) ?x756) :pattern ((LowPart___unnamed_8_544b88f4Inv ?x756)) )) (forall ((?x757 boogieU) (?S304 boogieU)) (! (=> (and (= (type ?x757) intType) (= (type ?S304) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4 ?S304) ?x757)) boolTrue) (= (U_2_bool (MapType0Select ?S304 (int_2_U (LowPart___unnamed_8_544b88f4Inv (U_2_int ?x757))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_544b88f4 ?S304) ?x757)) )) (forall ((?x758 boogieU) (?S305 boogieU)) (! (=> (and (= (type ?x758) intType) (= (type ?S305) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4Inv ?S305) ?x758)) boolTrue) (= (U_2_bool (MapType0Select ?S305 (int_2_U (LowPart___unnamed_8_544b88f4 (U_2_int ?x758))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_544b88f4Inv ?S305) ?x758)) )) (forall ((?x759 boogieU) (?S306 boogieU)) (! (=> (and (= (type ?x759) intType) (= (type ?S306) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S306 ?x759)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4 ?S306) (int_2_U (LowPart___unnamed_8_544b88f4 (U_2_int ?x759))))) boolTrue))) :pattern ((MapType0Select ?S306 ?x759) (x_S_LowPart___unnamed_8_544b88f4 ?S306)) )) (forall ((?x760 boogieU) (?S307 boogieU)) (! (=> (and (= (type ?x760) intType) (= (type ?S307) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S307 ?x760)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4Inv ?S307) (int_2_U (LowPart___unnamed_8_544b88f4Inv (U_2_int ?x760))))) boolTrue))) :pattern ((MapType0Select ?S307 ?x760) (x_S_LowPart___unnamed_8_544b88f4Inv ?S307)) )) (forall ((?x761 Int)) (! (= (LowPart___unnamed_8_544b88f4 ?x761) (+ ?x761 0)) :pattern ((LowPart___unnamed_8_544b88f4 ?x761)) )) (forall ((?x762 Int)) (! (= (LowPart___unnamed_8_544b88f4Inv ?x762) (- ?x762 0)) :pattern ((LowPart___unnamed_8_544b88f4Inv ?x762)) )) (forall ((?x763 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x763 0 1) (LowPart___unnamed_8_544b88f4Inv ?x763)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x763 0 1)) )) (forall ((?x764 Int)) (! (= (MINUS_LEFT_PTR ?x764 1 0) (LowPart___unnamed_8_544b88f4Inv ?x764)) :pattern ((MINUS_LEFT_PTR ?x764 1 0)) )) (forall ((?x765 Int)) (! (= (LowPart___unnamed_8_5d67d492Inv (LowPart___unnamed_8_5d67d492 ?x765)) ?x765) :pattern ((LowPart___unnamed_8_5d67d492Inv (LowPart___unnamed_8_5d67d492 ?x765))) )) (forall ((?x766 Int)) (! (= (LowPart___unnamed_8_5d67d492 (LowPart___unnamed_8_5d67d492Inv ?x766)) ?x766) :pattern ((LowPart___unnamed_8_5d67d492Inv ?x766)) )) (forall ((?x767 boogieU) (?S308 boogieU)) (! (=> (and (= (type ?x767) intType) (= (type ?S308) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492 ?S308) ?x767)) boolTrue) (= (U_2_bool (MapType0Select ?S308 (int_2_U (LowPart___unnamed_8_5d67d492Inv (U_2_int ?x767))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_5d67d492 ?S308) ?x767)) )) (forall ((?x768 boogieU) (?S309 boogieU)) (! (=> (and (= (type ?x768) intType) (= (type ?S309) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492Inv ?S309) ?x768)) boolTrue) (= (U_2_bool (MapType0Select ?S309 (int_2_U (LowPart___unnamed_8_5d67d492 (U_2_int ?x768))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_5d67d492Inv ?S309) ?x768)) )) (forall ((?x769 boogieU) (?S310 boogieU)) (! (=> (and (= (type ?x769) intType) (= (type ?S310) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S310 ?x769)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492 ?S310) (int_2_U (LowPart___unnamed_8_5d67d492 (U_2_int ?x769))))) boolTrue))) :pattern ((MapType0Select ?S310 ?x769) (x_S_LowPart___unnamed_8_5d67d492 ?S310)) )) (forall ((?x770 boogieU) (?S311 boogieU)) (! (=> (and (= (type ?x770) intType) (= (type ?S311) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S311 ?x770)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492Inv ?S311) (int_2_U (LowPart___unnamed_8_5d67d492Inv (U_2_int ?x770))))) boolTrue))) :pattern ((MapType0Select ?S311 ?x770) (x_S_LowPart___unnamed_8_5d67d492Inv ?S311)) )) (forall ((?x771 Int)) (! (= (LowPart___unnamed_8_5d67d492 ?x771) (+ ?x771 0)) :pattern ((LowPart___unnamed_8_5d67d492 ?x771)) )) (forall ((?x772 Int)) (! (= (LowPart___unnamed_8_5d67d492Inv ?x772) (- ?x772 0)) :pattern ((LowPart___unnamed_8_5d67d492Inv ?x772)) )) (forall ((?x773 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x773 0 1) (LowPart___unnamed_8_5d67d492Inv ?x773)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x773 0 1)) )) (forall ((?x774 Int)) (! (= (MINUS_LEFT_PTR ?x774 1 0) (LowPart___unnamed_8_5d67d492Inv ?x774)) :pattern ((MINUS_LEFT_PTR ?x774 1 0)) )) (forall ((?x775 Int)) (! (= (MajorFunction__IO_STACK_LOCATIONInv (MajorFunction__IO_STACK_LOCATION ?x775)) ?x775) :pattern ((MajorFunction__IO_STACK_LOCATIONInv (MajorFunction__IO_STACK_LOCATION ?x775))) )) (forall ((?x776 Int)) (! (= (MajorFunction__IO_STACK_LOCATION (MajorFunction__IO_STACK_LOCATIONInv ?x776)) ?x776) :pattern ((MajorFunction__IO_STACK_LOCATIONInv ?x776)) )) (forall ((?x777 boogieU) (?S312 boogieU)) (! (=> (and (= (type ?x777) intType) (= (type ?S312) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S312) ?x777)) boolTrue) (= (U_2_bool (MapType0Select ?S312 (int_2_U (MajorFunction__IO_STACK_LOCATIONInv (U_2_int ?x777))))) boolTrue))) :pattern ((MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S312) ?x777)) )) (forall ((?x778 boogieU) (?S313 boogieU)) (! (=> (and (= (type ?x778) intType) (= (type ?S313) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S313) ?x778)) boolTrue) (= (U_2_bool (MapType0Select ?S313 (int_2_U (MajorFunction__IO_STACK_LOCATION (U_2_int ?x778))))) boolTrue))) :pattern ((MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S313) ?x778)) )) (forall ((?x779 boogieU) (?S314 boogieU)) (! (=> (and (= (type ?x779) intType) (= (type ?S314) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S314 ?x779)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S314) (int_2_U (MajorFunction__IO_STACK_LOCATION (U_2_int ?x779))))) boolTrue))) :pattern ((MapType0Select ?S314 ?x779) (x_S_MajorFunction__IO_STACK_LOCATION ?S314)) )) (forall ((?x780 boogieU) (?S315 boogieU)) (! (=> (and (= (type ?x780) intType) (= (type ?S315) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S315 ?x780)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S315) (int_2_U (MajorFunction__IO_STACK_LOCATIONInv (U_2_int ?x780))))) boolTrue))) :pattern ((MapType0Select ?S315 ?x780) (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S315)) )) (forall ((?x781 Int)) (! (= (MajorFunction__IO_STACK_LOCATION ?x781) (+ ?x781 0)) :pattern ((MajorFunction__IO_STACK_LOCATION ?x781)) )) (forall ((?x782 Int)) (! (= (MajorFunction__IO_STACK_LOCATIONInv ?x782) (- ?x782 0)) :pattern ((MajorFunction__IO_STACK_LOCATIONInv ?x782)) )) (forall ((?x783 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x783 0 1) (MajorFunction__IO_STACK_LOCATIONInv ?x783)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x783 0 1)) )) (forall ((?x784 Int)) (! (= (MINUS_LEFT_PTR ?x784 1 0) (MajorFunction__IO_STACK_LOCATIONInv ?x784)) :pattern ((MINUS_LEFT_PTR ?x784 1 0)) )) (forall ((?x785 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSIONInv (MaskQueue__SERIAL_DEVICE_EXTENSION ?x785)) ?x785) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSIONInv (MaskQueue__SERIAL_DEVICE_EXTENSION ?x785))) )) (forall ((?x786 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSION (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x786)) ?x786) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x786)) )) (forall ((?x787 boogieU) (?S316 boogieU)) (! (=> (and (= (type ?x787) intType) (= (type ?S316) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S316) ?x787)) boolTrue) (= (U_2_bool (MapType0Select ?S316 (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x787))))) boolTrue))) :pattern ((MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S316) ?x787)) )) (forall ((?x788 boogieU) (?S317 boogieU)) (! (=> (and (= (type ?x788) intType) (= (type ?S317) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S317) ?x788)) boolTrue) (= (U_2_bool (MapType0Select ?S317 (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x788))))) boolTrue))) :pattern ((MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S317) ?x788)) )) (forall ((?x789 boogieU) (?S318 boogieU)) (! (=> (and (= (type ?x789) intType) (= (type ?S318) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S318 ?x789)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S318) (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x789))))) boolTrue))) :pattern ((MapType0Select ?S318 ?x789) (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S318)) )) (forall ((?x790 boogieU) (?S319 boogieU)) (! (=> (and (= (type ?x790) intType) (= (type ?S319) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S319 ?x790)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S319) (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x790))))) boolTrue))) :pattern ((MapType0Select ?S319 ?x790) (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S319)) )) (forall ((?x791 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSION ?x791) (+ ?x791 172)) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSION ?x791)) )) (forall ((?x792 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x792) (- ?x792 172)) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x792)) )) (forall ((?x793 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x793 172 1) (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x793)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x793 172 1)) )) (forall ((?x794 Int)) (! (= (MINUS_LEFT_PTR ?x794 1 172) (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x794)) :pattern ((MINUS_LEFT_PTR ?x794 1 172)) )) (forall ((?x795 Int)) (! (= (MaxBaud__SERIAL_COMMPROPInv (MaxBaud__SERIAL_COMMPROP ?x795)) ?x795) :pattern ((MaxBaud__SERIAL_COMMPROPInv (MaxBaud__SERIAL_COMMPROP ?x795))) )) (forall ((?x796 Int)) (! (= (MaxBaud__SERIAL_COMMPROP (MaxBaud__SERIAL_COMMPROPInv ?x796)) ?x796) :pattern ((MaxBaud__SERIAL_COMMPROPInv ?x796)) )) (forall ((?x797 boogieU) (?S320 boogieU)) (! (=> (and (= (type ?x797) intType) (= (type ?S320) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROP ?S320) ?x797)) boolTrue) (= (U_2_bool (MapType0Select ?S320 (int_2_U (MaxBaud__SERIAL_COMMPROPInv (U_2_int ?x797))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxBaud__SERIAL_COMMPROP ?S320) ?x797)) )) (forall ((?x798 boogieU) (?S321 boogieU)) (! (=> (and (= (type ?x798) intType) (= (type ?S321) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROPInv ?S321) ?x798)) boolTrue) (= (U_2_bool (MapType0Select ?S321 (int_2_U (MaxBaud__SERIAL_COMMPROP (U_2_int ?x798))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxBaud__SERIAL_COMMPROPInv ?S321) ?x798)) )) (forall ((?x799 boogieU) (?S322 boogieU)) (! (=> (and (= (type ?x799) intType) (= (type ?S322) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S322 ?x799)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROP ?S322) (int_2_U (MaxBaud__SERIAL_COMMPROP (U_2_int ?x799))))) boolTrue))) :pattern ((MapType0Select ?S322 ?x799) (x_S_MaxBaud__SERIAL_COMMPROP ?S322)) )) (forall ((?x800 boogieU) (?S323 boogieU)) (! (=> (and (= (type ?x800) intType) (= (type ?S323) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S323 ?x800)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROPInv ?S323) (int_2_U (MaxBaud__SERIAL_COMMPROPInv (U_2_int ?x800))))) boolTrue))) :pattern ((MapType0Select ?S323 ?x800) (x_S_MaxBaud__SERIAL_COMMPROPInv ?S323)) )) (forall ((?x801 Int)) (! (= (MaxBaud__SERIAL_COMMPROP ?x801) (+ ?x801 20)) :pattern ((MaxBaud__SERIAL_COMMPROP ?x801)) )) (forall ((?x802 Int)) (! (= (MaxBaud__SERIAL_COMMPROPInv ?x802) (- ?x802 20)) :pattern ((MaxBaud__SERIAL_COMMPROPInv ?x802)) )) (forall ((?x803 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x803 20 1) (MaxBaud__SERIAL_COMMPROPInv ?x803)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x803 20 1)) )) (forall ((?x804 Int)) (! (= (MINUS_LEFT_PTR ?x804 1 20) (MaxBaud__SERIAL_COMMPROPInv ?x804)) :pattern ((MINUS_LEFT_PTR ?x804 1 20)) )) (forall ((?x805 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROPInv (MaxRxQueue__SERIAL_COMMPROP ?x805)) ?x805) :pattern ((MaxRxQueue__SERIAL_COMMPROPInv (MaxRxQueue__SERIAL_COMMPROP ?x805))) )) (forall ((?x806 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROP (MaxRxQueue__SERIAL_COMMPROPInv ?x806)) ?x806) :pattern ((MaxRxQueue__SERIAL_COMMPROPInv ?x806)) )) (forall ((?x807 boogieU) (?S324 boogieU)) (! (=> (and (= (type ?x807) intType) (= (type ?S324) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROP ?S324) ?x807)) boolTrue) (= (U_2_bool (MapType0Select ?S324 (int_2_U (MaxRxQueue__SERIAL_COMMPROPInv (U_2_int ?x807))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROP ?S324) ?x807)) )) (forall ((?x808 boogieU) (?S325 boogieU)) (! (=> (and (= (type ?x808) intType) (= (type ?S325) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S325) ?x808)) boolTrue) (= (U_2_bool (MapType0Select ?S325 (int_2_U (MaxRxQueue__SERIAL_COMMPROP (U_2_int ?x808))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S325) ?x808)) )) (forall ((?x809 boogieU) (?S326 boogieU)) (! (=> (and (= (type ?x809) intType) (= (type ?S326) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S326 ?x809)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROP ?S326) (int_2_U (MaxRxQueue__SERIAL_COMMPROP (U_2_int ?x809))))) boolTrue))) :pattern ((MapType0Select ?S326 ?x809) (x_S_MaxRxQueue__SERIAL_COMMPROP ?S326)) )) (forall ((?x810 boogieU) (?S327 boogieU)) (! (=> (and (= (type ?x810) intType) (= (type ?S327) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S327 ?x810)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S327) (int_2_U (MaxRxQueue__SERIAL_COMMPROPInv (U_2_int ?x810))))) boolTrue))) :pattern ((MapType0Select ?S327 ?x810) (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S327)) )) (forall ((?x811 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROP ?x811) (+ ?x811 16)) :pattern ((MaxRxQueue__SERIAL_COMMPROP ?x811)) )) (forall ((?x812 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROPInv ?x812) (- ?x812 16)) :pattern ((MaxRxQueue__SERIAL_COMMPROPInv ?x812)) )) (forall ((?x813 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x813 16 1) (MaxRxQueue__SERIAL_COMMPROPInv ?x813)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x813 16 1)) )) (forall ((?x814 Int)) (! (= (MINUS_LEFT_PTR ?x814 1 16) (MaxRxQueue__SERIAL_COMMPROPInv ?x814)) :pattern ((MINUS_LEFT_PTR ?x814 1 16)) )) (forall ((?x815 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROPInv (MaxTxQueue__SERIAL_COMMPROP ?x815)) ?x815) :pattern ((MaxTxQueue__SERIAL_COMMPROPInv (MaxTxQueue__SERIAL_COMMPROP ?x815))) )) (forall ((?x816 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROP (MaxTxQueue__SERIAL_COMMPROPInv ?x816)) ?x816) :pattern ((MaxTxQueue__SERIAL_COMMPROPInv ?x816)) )) (forall ((?x817 boogieU) (?S328 boogieU)) (! (=> (and (= (type ?x817) intType) (= (type ?S328) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROP ?S328) ?x817)) boolTrue) (= (U_2_bool (MapType0Select ?S328 (int_2_U (MaxTxQueue__SERIAL_COMMPROPInv (U_2_int ?x817))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROP ?S328) ?x817)) )) (forall ((?x818 boogieU) (?S329 boogieU)) (! (=> (and (= (type ?x818) intType) (= (type ?S329) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S329) ?x818)) boolTrue) (= (U_2_bool (MapType0Select ?S329 (int_2_U (MaxTxQueue__SERIAL_COMMPROP (U_2_int ?x818))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S329) ?x818)) )) (forall ((?x819 boogieU) (?S330 boogieU)) (! (=> (and (= (type ?x819) intType) (= (type ?S330) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S330 ?x819)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROP ?S330) (int_2_U (MaxTxQueue__SERIAL_COMMPROP (U_2_int ?x819))))) boolTrue))) :pattern ((MapType0Select ?S330 ?x819) (x_S_MaxTxQueue__SERIAL_COMMPROP ?S330)) )) (forall ((?x820 boogieU) (?S331 boogieU)) (! (=> (and (= (type ?x820) intType) (= (type ?S331) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S331 ?x820)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S331) (int_2_U (MaxTxQueue__SERIAL_COMMPROPInv (U_2_int ?x820))))) boolTrue))) :pattern ((MapType0Select ?S331 ?x820) (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S331)) )) (forall ((?x821 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROP ?x821) (+ ?x821 12)) :pattern ((MaxTxQueue__SERIAL_COMMPROP ?x821)) )) (forall ((?x822 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROPInv ?x822) (- ?x822 12)) :pattern ((MaxTxQueue__SERIAL_COMMPROPInv ?x822)) )) (forall ((?x823 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x823 12 1) (MaxTxQueue__SERIAL_COMMPROPInv ?x823)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x823 12 1)) )) (forall ((?x824 Int)) (! (= (MINUS_LEFT_PTR ?x824 1 12) (MaxTxQueue__SERIAL_COMMPROPInv ?x824)) :pattern ((MINUS_LEFT_PTR ?x824 1 12)) )) (forall ((?x825 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMSInv (NewBufferSize__SERIAL_RESIZE_PARAMS ?x825)) ?x825) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMSInv (NewBufferSize__SERIAL_RESIZE_PARAMS ?x825))) )) (forall ((?x826 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMS (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x826)) ?x826) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x826)) )) (forall ((?x827 boogieU) (?S332 boogieU)) (! (=> (and (= (type ?x827) intType) (= (type ?S332) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S332) ?x827)) boolTrue) (= (U_2_bool (MapType0Select ?S332 (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMSInv (U_2_int ?x827))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S332) ?x827)) )) (forall ((?x828 boogieU) (?S333 boogieU)) (! (=> (and (= (type ?x828) intType) (= (type ?S333) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S333) ?x828)) boolTrue) (= (U_2_bool (MapType0Select ?S333 (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMS (U_2_int ?x828))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S333) ?x828)) )) (forall ((?x829 boogieU) (?S334 boogieU)) (! (=> (and (= (type ?x829) intType) (= (type ?S334) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S334 ?x829)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S334) (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMS (U_2_int ?x829))))) boolTrue))) :pattern ((MapType0Select ?S334 ?x829) (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S334)) )) (forall ((?x830 boogieU) (?S335 boogieU)) (! (=> (and (= (type ?x830) intType) (= (type ?S335) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S335 ?x830)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S335) (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMSInv (U_2_int ?x830))))) boolTrue))) :pattern ((MapType0Select ?S335 ?x830) (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S335)) )) (forall ((?x831 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMS ?x831) (+ ?x831 12)) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMS ?x831)) )) (forall ((?x832 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x832) (- ?x832 12)) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x832)) )) (forall ((?x833 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x833 12 1) (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x833)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x833 12 1)) )) (forall ((?x834 Int)) (! (= (MINUS_LEFT_PTR ?x834 1 12) (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x834)) :pattern ((MINUS_LEFT_PTR ?x834 1 12)) )) (forall ((?x835 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMSInv (NewBuffer__SERIAL_RESIZE_PARAMS ?x835)) ?x835) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMSInv (NewBuffer__SERIAL_RESIZE_PARAMS ?x835))) )) (forall ((?x836 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMS (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x836)) ?x836) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMSInv ?x836)) )) (forall ((?x837 boogieU) (?S336 boogieU)) (! (=> (and (= (type ?x837) intType) (= (type ?S336) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S336) ?x837)) boolTrue) (= (U_2_bool (MapType0Select ?S336 (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x837))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S336) ?x837)) )) (forall ((?x838 boogieU) (?S337 boogieU)) (! (=> (and (= (type ?x838) intType) (= (type ?S337) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S337) ?x838)) boolTrue) (= (U_2_bool (MapType0Select ?S337 (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x838))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S337) ?x838)) )) (forall ((?x839 boogieU) (?S338 boogieU)) (! (=> (and (= (type ?x839) intType) (= (type ?S338) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S338 ?x839)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S338) (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x839))))) boolTrue))) :pattern ((MapType0Select ?S338 ?x839) (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S338)) )) (forall ((?x840 boogieU) (?S339 boogieU)) (! (=> (and (= (type ?x840) intType) (= (type ?S339) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S339 ?x840)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S339) (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x840))))) boolTrue))) :pattern ((MapType0Select ?S339 ?x840) (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S339)) )) (forall ((?x841 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMS ?x841) (+ ?x841 8)) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMS ?x841)) )) (forall ((?x842 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x842) (- ?x842 8)) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMSInv ?x842)) )) (forall ((?x843 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x843 8 1) (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x843)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x843 8 1)) )) (forall ((?x844 Int)) (! (= (MINUS_LEFT_PTR ?x844 1 8) (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x844)) :pattern ((MINUS_LEFT_PTR ?x844 1 8)) )) (forall ((?x845 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMSInv (NumberMoved__SERIAL_RESIZE_PARAMS ?x845)) ?x845) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMSInv (NumberMoved__SERIAL_RESIZE_PARAMS ?x845))) )) (forall ((?x846 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMS (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x846)) ?x846) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMSInv ?x846)) )) (forall ((?x847 boogieU) (?S340 boogieU)) (! (=> (and (= (type ?x847) intType) (= (type ?S340) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S340) ?x847)) boolTrue) (= (U_2_bool (MapType0Select ?S340 (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMSInv (U_2_int ?x847))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S340) ?x847)) )) (forall ((?x848 boogieU) (?S341 boogieU)) (! (=> (and (= (type ?x848) intType) (= (type ?S341) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S341) ?x848)) boolTrue) (= (U_2_bool (MapType0Select ?S341 (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMS (U_2_int ?x848))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S341) ?x848)) )) (forall ((?x849 boogieU) (?S342 boogieU)) (! (=> (and (= (type ?x849) intType) (= (type ?S342) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S342 ?x849)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S342) (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMS (U_2_int ?x849))))) boolTrue))) :pattern ((MapType0Select ?S342 ?x849) (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S342)) )) (forall ((?x850 boogieU) (?S343 boogieU)) (! (=> (and (= (type ?x850) intType) (= (type ?S343) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S343 ?x850)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S343) (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMSInv (U_2_int ?x850))))) boolTrue))) :pattern ((MapType0Select ?S343 ?x850) (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S343)) )) (forall ((?x851 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMS ?x851) (+ ?x851 16)) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMS ?x851)) )) (forall ((?x852 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x852) (- ?x852 16)) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMSInv ?x852)) )) (forall ((?x853 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x853 16 1) (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x853)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x853 16 1)) )) (forall ((?x854 Int)) (! (= (MINUS_LEFT_PTR ?x854 1 16) (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x854)) :pattern ((MINUS_LEFT_PTR ?x854 1 16)) )) (forall ((?x855 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x855)) ?x855) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x855))) )) (forall ((?x856 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSION (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x856)) ?x856) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x856)) )) (forall ((?x857 boogieU) (?S344 boogieU)) (! (=> (and (= (type ?x857) intType) (= (type ?S344) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S344) ?x857)) boolTrue) (= (U_2_bool (MapType0Select ?S344 (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x857))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S344) ?x857)) )) (forall ((?x858 boogieU) (?S345 boogieU)) (! (=> (and (= (type ?x858) intType) (= (type ?S345) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S345) ?x858)) boolTrue) (= (U_2_bool (MapType0Select ?S345 (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x858))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S345) ?x858)) )) (forall ((?x859 boogieU) (?S346 boogieU)) (! (=> (and (= (type ?x859) intType) (= (type ?S346) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S346 ?x859)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S346) (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x859))))) boolTrue))) :pattern ((MapType0Select ?S346 ?x859) (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S346)) )) (forall ((?x860 boogieU) (?S347 boogieU)) (! (=> (and (= (type ?x860) intType) (= (type ?S347) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S347 ?x860)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S347) (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x860))))) boolTrue))) :pattern ((MapType0Select ?S347 ?x860) (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S347)) )) (forall ((?x861 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x861) (+ ?x861 260)) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x861)) )) (forall ((?x862 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x862) (- ?x862 260)) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x862)) )) (forall ((?x863 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x863 260 1) (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x863)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x863 260 1)) )) (forall ((?x864 Int)) (! (= (MINUS_LEFT_PTR ?x864 1 260) (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x864)) :pattern ((MINUS_LEFT_PTR ?x864 1 260)) )) (forall ((?x865 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMSInv (OldBuffer__SERIAL_RESIZE_PARAMS ?x865)) ?x865) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMSInv (OldBuffer__SERIAL_RESIZE_PARAMS ?x865))) )) (forall ((?x866 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMS (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x866)) ?x866) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMSInv ?x866)) )) (forall ((?x867 boogieU) (?S348 boogieU)) (! (=> (and (= (type ?x867) intType) (= (type ?S348) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S348) ?x867)) boolTrue) (= (U_2_bool (MapType0Select ?S348 (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x867))))) boolTrue))) :pattern ((MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S348) ?x867)) )) (forall ((?x868 boogieU) (?S349 boogieU)) (! (=> (and (= (type ?x868) intType) (= (type ?S349) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S349) ?x868)) boolTrue) (= (U_2_bool (MapType0Select ?S349 (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x868))))) boolTrue))) :pattern ((MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S349) ?x868)) )) (forall ((?x869 boogieU) (?S350 boogieU)) (! (=> (and (= (type ?x869) intType) (= (type ?S350) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S350 ?x869)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S350) (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x869))))) boolTrue))) :pattern ((MapType0Select ?S350 ?x869) (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S350)) )) (forall ((?x870 boogieU) (?S351 boogieU)) (! (=> (and (= (type ?x870) intType) (= (type ?S351) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S351 ?x870)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S351) (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x870))))) boolTrue))) :pattern ((MapType0Select ?S351 ?x870) (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S351)) )) (forall ((?x871 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMS ?x871) (+ ?x871 4)) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMS ?x871)) )) (forall ((?x872 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x872) (- ?x872 4)) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMSInv ?x872)) )) (forall ((?x873 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x873 4 1) (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x873)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x873 4 1)) )) (forall ((?x874 Int)) (! (= (MINUS_LEFT_PTR ?x874 1 4) (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x874)) :pattern ((MINUS_LEFT_PTR ?x874 1 4)) )) (forall ((?x875 Int)) (! (= (Others___unnamed_16_57edbc3aInv (Others___unnamed_16_57edbc3a ?x875)) ?x875) :pattern ((Others___unnamed_16_57edbc3aInv (Others___unnamed_16_57edbc3a ?x875))) )) (forall ((?x876 Int)) (! (= (Others___unnamed_16_57edbc3a (Others___unnamed_16_57edbc3aInv ?x876)) ?x876) :pattern ((Others___unnamed_16_57edbc3aInv ?x876)) )) (forall ((?x877 boogieU) (?S352 boogieU)) (! (=> (and (= (type ?x877) intType) (= (type ?S352) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3a ?S352) ?x877)) boolTrue) (= (U_2_bool (MapType0Select ?S352 (int_2_U (Others___unnamed_16_57edbc3aInv (U_2_int ?x877))))) boolTrue))) :pattern ((MapType0Select (x_S_Others___unnamed_16_57edbc3a ?S352) ?x877)) )) (forall ((?x878 boogieU) (?S353 boogieU)) (! (=> (and (= (type ?x878) intType) (= (type ?S353) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3aInv ?S353) ?x878)) boolTrue) (= (U_2_bool (MapType0Select ?S353 (int_2_U (Others___unnamed_16_57edbc3a (U_2_int ?x878))))) boolTrue))) :pattern ((MapType0Select (x_S_Others___unnamed_16_57edbc3aInv ?S353) ?x878)) )) (forall ((?x879 boogieU) (?S354 boogieU)) (! (=> (and (= (type ?x879) intType) (= (type ?S354) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S354 ?x879)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3a ?S354) (int_2_U (Others___unnamed_16_57edbc3a (U_2_int ?x879))))) boolTrue))) :pattern ((MapType0Select ?S354 ?x879) (x_S_Others___unnamed_16_57edbc3a ?S354)) )) (forall ((?x880 boogieU) (?S355 boogieU)) (! (=> (and (= (type ?x880) intType) (= (type ?S355) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S355 ?x880)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3aInv ?S355) (int_2_U (Others___unnamed_16_57edbc3aInv (U_2_int ?x880))))) boolTrue))) :pattern ((MapType0Select ?S355 ?x880) (x_S_Others___unnamed_16_57edbc3aInv ?S355)) )) (forall ((?x881 Int)) (! (= (Others___unnamed_16_57edbc3a ?x881) (+ ?x881 0)) :pattern ((Others___unnamed_16_57edbc3a ?x881)) )) (forall ((?x882 Int)) (! (= (Others___unnamed_16_57edbc3aInv ?x882) (- ?x882 0)) :pattern ((Others___unnamed_16_57edbc3aInv ?x882)) )) (forall ((?x883 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x883 0 1) (Others___unnamed_16_57edbc3aInv ?x883)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x883 0 1)) )) (forall ((?x884 Int)) (! (= (MINUS_LEFT_PTR ?x884 1 0) (Others___unnamed_16_57edbc3aInv ?x884)) :pattern ((MINUS_LEFT_PTR ?x884 1 0)) )) (forall ((?x885 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7Inv (OutputBufferLength___unnamed_16_5bbbf1e7 ?x885)) ?x885) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv (OutputBufferLength___unnamed_16_5bbbf1e7 ?x885))) )) (forall ((?x886 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7 (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x886)) ?x886) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x886)) )) (forall ((?x887 boogieU) (?S356 boogieU)) (! (=> (and (= (type ?x887) intType) (= (type ?S356) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S356) ?x887)) boolTrue) (= (U_2_bool (MapType0Select ?S356 (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x887))))) boolTrue))) :pattern ((MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S356) ?x887)) )) (forall ((?x888 boogieU) (?S357 boogieU)) (! (=> (and (= (type ?x888) intType) (= (type ?S357) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S357) ?x888)) boolTrue) (= (U_2_bool (MapType0Select ?S357 (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x888))))) boolTrue))) :pattern ((MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S357) ?x888)) )) (forall ((?x889 boogieU) (?S358 boogieU)) (! (=> (and (= (type ?x889) intType) (= (type ?S358) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S358 ?x889)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S358) (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x889))))) boolTrue))) :pattern ((MapType0Select ?S358 ?x889) (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S358)) )) (forall ((?x890 boogieU) (?S359 boogieU)) (! (=> (and (= (type ?x890) intType) (= (type ?S359) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S359 ?x890)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S359) (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x890))))) boolTrue))) :pattern ((MapType0Select ?S359 ?x890) (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S359)) )) (forall ((?x891 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7 ?x891) (+ ?x891 0)) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7 ?x891)) )) (forall ((?x892 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x892) (- ?x892 0)) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x892)) )) (forall ((?x893 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x893 0 1) (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x893)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x893 0 1)) )) (forall ((?x894 Int)) (! (= (MINUS_LEFT_PTR ?x894 1 0) (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x894)) :pattern ((MINUS_LEFT_PTR ?x894 1 0)) )) (forall ((?x895 Int)) (! (= (Overlay___unnamed_48_ffd8d308Inv (Overlay___unnamed_48_ffd8d308 ?x895)) ?x895) :pattern ((Overlay___unnamed_48_ffd8d308Inv (Overlay___unnamed_48_ffd8d308 ?x895))) )) (forall ((?x896 Int)) (! (= (Overlay___unnamed_48_ffd8d308 (Overlay___unnamed_48_ffd8d308Inv ?x896)) ?x896) :pattern ((Overlay___unnamed_48_ffd8d308Inv ?x896)) )) (forall ((?x897 boogieU) (?S360 boogieU)) (! (=> (and (= (type ?x897) intType) (= (type ?S360) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308 ?S360) ?x897)) boolTrue) (= (U_2_bool (MapType0Select ?S360 (int_2_U (Overlay___unnamed_48_ffd8d308Inv (U_2_int ?x897))))) boolTrue))) :pattern ((MapType0Select (x_S_Overlay___unnamed_48_ffd8d308 ?S360) ?x897)) )) (forall ((?x898 boogieU) (?S361 boogieU)) (! (=> (and (= (type ?x898) intType) (= (type ?S361) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308Inv ?S361) ?x898)) boolTrue) (= (U_2_bool (MapType0Select ?S361 (int_2_U (Overlay___unnamed_48_ffd8d308 (U_2_int ?x898))))) boolTrue))) :pattern ((MapType0Select (x_S_Overlay___unnamed_48_ffd8d308Inv ?S361) ?x898)) )) (forall ((?x899 boogieU) (?S362 boogieU)) (! (=> (and (= (type ?x899) intType) (= (type ?S362) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S362 ?x899)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308 ?S362) (int_2_U (Overlay___unnamed_48_ffd8d308 (U_2_int ?x899))))) boolTrue))) :pattern ((MapType0Select ?S362 ?x899) (x_S_Overlay___unnamed_48_ffd8d308 ?S362)) )) (forall ((?x900 boogieU) (?S363 boogieU)) (! (=> (and (= (type ?x900) intType) (= (type ?S363) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S363 ?x900)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308Inv ?S363) (int_2_U (Overlay___unnamed_48_ffd8d308Inv (U_2_int ?x900))))) boolTrue))) :pattern ((MapType0Select ?S363 ?x900) (x_S_Overlay___unnamed_48_ffd8d308Inv ?S363)) )) (forall ((?x901 Int)) (! (= (Overlay___unnamed_48_ffd8d308 ?x901) (+ ?x901 0)) :pattern ((Overlay___unnamed_48_ffd8d308 ?x901)) )) (forall ((?x902 Int)) (! (= (Overlay___unnamed_48_ffd8d308Inv ?x902) (- ?x902 0)) :pattern ((Overlay___unnamed_48_ffd8d308Inv ?x902)) )) (forall ((?x903 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x903 0 1) (Overlay___unnamed_48_ffd8d308Inv ?x903)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x903 0 1)) )) (forall ((?x904 Int)) (! (= (MINUS_LEFT_PTR ?x904 1 0) (Overlay___unnamed_48_ffd8d308Inv ?x904)) :pattern ((MINUS_LEFT_PTR ?x904 1 0)) )) (forall ((?x905 Int)) (! (= (PacketLength__SERIAL_COMMPROPInv (PacketLength__SERIAL_COMMPROP ?x905)) ?x905) :pattern ((PacketLength__SERIAL_COMMPROPInv (PacketLength__SERIAL_COMMPROP ?x905))) )) (forall ((?x906 Int)) (! (= (PacketLength__SERIAL_COMMPROP (PacketLength__SERIAL_COMMPROPInv ?x906)) ?x906) :pattern ((PacketLength__SERIAL_COMMPROPInv ?x906)) )) (forall ((?x907 boogieU) (?S364 boogieU)) (! (=> (and (= (type ?x907) intType) (= (type ?S364) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROP ?S364) ?x907)) boolTrue) (= (U_2_bool (MapType0Select ?S364 (int_2_U (PacketLength__SERIAL_COMMPROPInv (U_2_int ?x907))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketLength__SERIAL_COMMPROP ?S364) ?x907)) )) (forall ((?x908 boogieU) (?S365 boogieU)) (! (=> (and (= (type ?x908) intType) (= (type ?S365) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROPInv ?S365) ?x908)) boolTrue) (= (U_2_bool (MapType0Select ?S365 (int_2_U (PacketLength__SERIAL_COMMPROP (U_2_int ?x908))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketLength__SERIAL_COMMPROPInv ?S365) ?x908)) )) (forall ((?x909 boogieU) (?S366 boogieU)) (! (=> (and (= (type ?x909) intType) (= (type ?S366) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S366 ?x909)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROP ?S366) (int_2_U (PacketLength__SERIAL_COMMPROP (U_2_int ?x909))))) boolTrue))) :pattern ((MapType0Select ?S366 ?x909) (x_S_PacketLength__SERIAL_COMMPROP ?S366)) )) (forall ((?x910 boogieU) (?S367 boogieU)) (! (=> (and (= (type ?x910) intType) (= (type ?S367) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S367 ?x910)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROPInv ?S367) (int_2_U (PacketLength__SERIAL_COMMPROPInv (U_2_int ?x910))))) boolTrue))) :pattern ((MapType0Select ?S367 ?x910) (x_S_PacketLength__SERIAL_COMMPROPInv ?S367)) )) (forall ((?x911 Int)) (! (= (PacketLength__SERIAL_COMMPROP ?x911) (+ ?x911 0)) :pattern ((PacketLength__SERIAL_COMMPROP ?x911)) )) (forall ((?x912 Int)) (! (= (PacketLength__SERIAL_COMMPROPInv ?x912) (- ?x912 0)) :pattern ((PacketLength__SERIAL_COMMPROPInv ?x912)) )) (forall ((?x913 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x913 0 1) (PacketLength__SERIAL_COMMPROPInv ?x913)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x913 0 1)) )) (forall ((?x914 Int)) (! (= (MINUS_LEFT_PTR ?x914 1 0) (PacketLength__SERIAL_COMMPROPInv ?x914)) :pattern ((MINUS_LEFT_PTR ?x914 1 0)) )) (forall ((?x915 Int)) (! (= (PacketVersion__SERIAL_COMMPROPInv (PacketVersion__SERIAL_COMMPROP ?x915)) ?x915) :pattern ((PacketVersion__SERIAL_COMMPROPInv (PacketVersion__SERIAL_COMMPROP ?x915))) )) (forall ((?x916 Int)) (! (= (PacketVersion__SERIAL_COMMPROP (PacketVersion__SERIAL_COMMPROPInv ?x916)) ?x916) :pattern ((PacketVersion__SERIAL_COMMPROPInv ?x916)) )) (forall ((?x917 boogieU) (?S368 boogieU)) (! (=> (and (= (type ?x917) intType) (= (type ?S368) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROP ?S368) ?x917)) boolTrue) (= (U_2_bool (MapType0Select ?S368 (int_2_U (PacketVersion__SERIAL_COMMPROPInv (U_2_int ?x917))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketVersion__SERIAL_COMMPROP ?S368) ?x917)) )) (forall ((?x918 boogieU) (?S369 boogieU)) (! (=> (and (= (type ?x918) intType) (= (type ?S369) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROPInv ?S369) ?x918)) boolTrue) (= (U_2_bool (MapType0Select ?S369 (int_2_U (PacketVersion__SERIAL_COMMPROP (U_2_int ?x918))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketVersion__SERIAL_COMMPROPInv ?S369) ?x918)) )) (forall ((?x919 boogieU) (?S370 boogieU)) (! (=> (and (= (type ?x919) intType) (= (type ?S370) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S370 ?x919)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROP ?S370) (int_2_U (PacketVersion__SERIAL_COMMPROP (U_2_int ?x919))))) boolTrue))) :pattern ((MapType0Select ?S370 ?x919) (x_S_PacketVersion__SERIAL_COMMPROP ?S370)) )) (forall ((?x920 boogieU) (?S371 boogieU)) (! (=> (and (= (type ?x920) intType) (= (type ?S371) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S371 ?x920)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROPInv ?S371) (int_2_U (PacketVersion__SERIAL_COMMPROPInv (U_2_int ?x920))))) boolTrue))) :pattern ((MapType0Select ?S371 ?x920) (x_S_PacketVersion__SERIAL_COMMPROPInv ?S371)) )) (forall ((?x921 Int)) (! (= (PacketVersion__SERIAL_COMMPROP ?x921) (+ ?x921 2)) :pattern ((PacketVersion__SERIAL_COMMPROP ?x921)) )) (forall ((?x922 Int)) (! (= (PacketVersion__SERIAL_COMMPROPInv ?x922) (- ?x922 2)) :pattern ((PacketVersion__SERIAL_COMMPROPInv ?x922)) )) (forall ((?x923 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x923 2 1) (PacketVersion__SERIAL_COMMPROPInv ?x923)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x923 2 1)) )) (forall ((?x924 Int)) (! (= (MINUS_LEFT_PTR ?x924 1 2) (PacketVersion__SERIAL_COMMPROPInv ?x924)) :pattern ((MINUS_LEFT_PTR ?x924 1 2)) )) (forall ((?x925 Int)) (! (= (Parameters__IO_STACK_LOCATIONInv (Parameters__IO_STACK_LOCATION ?x925)) ?x925) :pattern ((Parameters__IO_STACK_LOCATIONInv (Parameters__IO_STACK_LOCATION ?x925))) )) (forall ((?x926 Int)) (! (= (Parameters__IO_STACK_LOCATION (Parameters__IO_STACK_LOCATIONInv ?x926)) ?x926) :pattern ((Parameters__IO_STACK_LOCATIONInv ?x926)) )) (forall ((?x927 boogieU) (?S372 boogieU)) (! (=> (and (= (type ?x927) intType) (= (type ?S372) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S372) ?x927)) boolTrue) (= (U_2_bool (MapType0Select ?S372 (int_2_U (Parameters__IO_STACK_LOCATIONInv (U_2_int ?x927))))) boolTrue))) :pattern ((MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S372) ?x927)) )) (forall ((?x928 boogieU) (?S373 boogieU)) (! (=> (and (= (type ?x928) intType) (= (type ?S373) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S373) ?x928)) boolTrue) (= (U_2_bool (MapType0Select ?S373 (int_2_U (Parameters__IO_STACK_LOCATION (U_2_int ?x928))))) boolTrue))) :pattern ((MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S373) ?x928)) )) (forall ((?x929 boogieU) (?S374 boogieU)) (! (=> (and (= (type ?x929) intType) (= (type ?S374) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S374 ?x929)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S374) (int_2_U (Parameters__IO_STACK_LOCATION (U_2_int ?x929))))) boolTrue))) :pattern ((MapType0Select ?S374 ?x929) (x_S_Parameters__IO_STACK_LOCATION ?S374)) )) (forall ((?x930 boogieU) (?S375 boogieU)) (! (=> (and (= (type ?x930) intType) (= (type ?S375) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S375 ?x930)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S375) (int_2_U (Parameters__IO_STACK_LOCATIONInv (U_2_int ?x930))))) boolTrue))) :pattern ((MapType0Select ?S375 ?x930) (x_S_Parameters__IO_STACK_LOCATIONInv ?S375)) )) (forall ((?x931 Int)) (! (= (Parameters__IO_STACK_LOCATION ?x931) (+ ?x931 4)) :pattern ((Parameters__IO_STACK_LOCATION ?x931)) )) (forall ((?x932 Int)) (! (= (Parameters__IO_STACK_LOCATIONInv ?x932) (- ?x932 4)) :pattern ((Parameters__IO_STACK_LOCATIONInv ?x932)) )) (forall ((?x933 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x933 4 1) (Parameters__IO_STACK_LOCATIONInv ?x933)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x933 4 1)) )) (forall ((?x934 Int)) (! (= (MINUS_LEFT_PTR ?x934 1 4) (Parameters__IO_STACK_LOCATIONInv ?x934)) :pattern ((MINUS_LEFT_PTR ?x934 1 4)) )) (forall ((?x935 Int)) (! (= (Parity__SERIAL_LINE_CONTROLInv (Parity__SERIAL_LINE_CONTROL ?x935)) ?x935) :pattern ((Parity__SERIAL_LINE_CONTROLInv (Parity__SERIAL_LINE_CONTROL ?x935))) )) (forall ((?x936 Int)) (! (= (Parity__SERIAL_LINE_CONTROL (Parity__SERIAL_LINE_CONTROLInv ?x936)) ?x936) :pattern ((Parity__SERIAL_LINE_CONTROLInv ?x936)) )) (forall ((?x937 boogieU) (?S376 boogieU)) (! (=> (and (= (type ?x937) intType) (= (type ?S376) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROL ?S376) ?x937)) boolTrue) (= (U_2_bool (MapType0Select ?S376 (int_2_U (Parity__SERIAL_LINE_CONTROLInv (U_2_int ?x937))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_LINE_CONTROL ?S376) ?x937)) )) (forall ((?x938 boogieU) (?S377 boogieU)) (! (=> (and (= (type ?x938) intType) (= (type ?S377) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROLInv ?S377) ?x938)) boolTrue) (= (U_2_bool (MapType0Select ?S377 (int_2_U (Parity__SERIAL_LINE_CONTROL (U_2_int ?x938))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_LINE_CONTROLInv ?S377) ?x938)) )) (forall ((?x939 boogieU) (?S378 boogieU)) (! (=> (and (= (type ?x939) intType) (= (type ?S378) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S378 ?x939)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROL ?S378) (int_2_U (Parity__SERIAL_LINE_CONTROL (U_2_int ?x939))))) boolTrue))) :pattern ((MapType0Select ?S378 ?x939) (x_S_Parity__SERIAL_LINE_CONTROL ?S378)) )) (forall ((?x940 boogieU) (?S379 boogieU)) (! (=> (and (= (type ?x940) intType) (= (type ?S379) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S379 ?x940)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROLInv ?S379) (int_2_U (Parity__SERIAL_LINE_CONTROLInv (U_2_int ?x940))))) boolTrue))) :pattern ((MapType0Select ?S379 ?x940) (x_S_Parity__SERIAL_LINE_CONTROLInv ?S379)) )) (forall ((?x941 Int)) (! (= (Parity__SERIAL_LINE_CONTROL ?x941) (+ ?x941 1)) :pattern ((Parity__SERIAL_LINE_CONTROL ?x941)) )) (forall ((?x942 Int)) (! (= (Parity__SERIAL_LINE_CONTROLInv ?x942) (- ?x942 1)) :pattern ((Parity__SERIAL_LINE_CONTROLInv ?x942)) )) (forall ((?x943 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x943 1 1) (Parity__SERIAL_LINE_CONTROLInv ?x943)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x943 1 1)) )) (forall ((?x944 Int)) (! (= (MINUS_LEFT_PTR ?x944 1 1) (Parity__SERIAL_LINE_CONTROLInv ?x944)) :pattern ((MINUS_LEFT_PTR ?x944 1 1)) )) (forall ((?x945 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATAInv (Parity__SERIAL_WMI_COMM_DATA ?x945)) ?x945) :pattern ((Parity__SERIAL_WMI_COMM_DATAInv (Parity__SERIAL_WMI_COMM_DATA ?x945))) )) (forall ((?x946 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATA (Parity__SERIAL_WMI_COMM_DATAInv ?x946)) ?x946) :pattern ((Parity__SERIAL_WMI_COMM_DATAInv ?x946)) )) (forall ((?x947 boogieU) (?S380 boogieU)) (! (=> (and (= (type ?x947) intType) (= (type ?S380) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATA ?S380) ?x947)) boolTrue) (= (U_2_bool (MapType0Select ?S380 (int_2_U (Parity__SERIAL_WMI_COMM_DATAInv (U_2_int ?x947))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATA ?S380) ?x947)) )) (forall ((?x948 boogieU) (?S381 boogieU)) (! (=> (and (= (type ?x948) intType) (= (type ?S381) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S381) ?x948)) boolTrue) (= (U_2_bool (MapType0Select ?S381 (int_2_U (Parity__SERIAL_WMI_COMM_DATA (U_2_int ?x948))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S381) ?x948)) )) (forall ((?x949 boogieU) (?S382 boogieU)) (! (=> (and (= (type ?x949) intType) (= (type ?S382) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S382 ?x949)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATA ?S382) (int_2_U (Parity__SERIAL_WMI_COMM_DATA (U_2_int ?x949))))) boolTrue))) :pattern ((MapType0Select ?S382 ?x949) (x_S_Parity__SERIAL_WMI_COMM_DATA ?S382)) )) (forall ((?x950 boogieU) (?S383 boogieU)) (! (=> (and (= (type ?x950) intType) (= (type ?S383) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S383 ?x950)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S383) (int_2_U (Parity__SERIAL_WMI_COMM_DATAInv (U_2_int ?x950))))) boolTrue))) :pattern ((MapType0Select ?S383 ?x950) (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S383)) )) (forall ((?x951 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATA ?x951) (+ ?x951 8)) :pattern ((Parity__SERIAL_WMI_COMM_DATA ?x951)) )) (forall ((?x952 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATAInv ?x952) (- ?x952 8)) :pattern ((Parity__SERIAL_WMI_COMM_DATAInv ?x952)) )) (forall ((?x953 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x953 8 1) (Parity__SERIAL_WMI_COMM_DATAInv ?x953)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x953 8 1)) )) (forall ((?x954 Int)) (! (= (MINUS_LEFT_PTR ?x954 1 8) (Parity__SERIAL_WMI_COMM_DATAInv ?x954)) :pattern ((MINUS_LEFT_PTR ?x954 1 8)) )) (forall ((?x955 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSIONInv (Pdo__SERIAL_DEVICE_EXTENSION ?x955)) ?x955) :pattern ((Pdo__SERIAL_DEVICE_EXTENSIONInv (Pdo__SERIAL_DEVICE_EXTENSION ?x955))) )) (forall ((?x956 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSION (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x956)) ?x956) :pattern ((Pdo__SERIAL_DEVICE_EXTENSIONInv ?x956)) )) (forall ((?x957 boogieU) (?S384 boogieU)) (! (=> (and (= (type ?x957) intType) (= (type ?S384) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S384) ?x957)) boolTrue) (= (U_2_bool (MapType0Select ?S384 (int_2_U (Pdo__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x957))))) boolTrue))) :pattern ((MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S384) ?x957)) )) (forall ((?x958 boogieU) (?S385 boogieU)) (! (=> (and (= (type ?x958) intType) (= (type ?S385) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S385) ?x958)) boolTrue) (= (U_2_bool (MapType0Select ?S385 (int_2_U (Pdo__SERIAL_DEVICE_EXTENSION (U_2_int ?x958))))) boolTrue))) :pattern ((MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S385) ?x958)) )) (forall ((?x959 boogieU) (?S386 boogieU)) (! (=> (and (= (type ?x959) intType) (= (type ?S386) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S386 ?x959)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S386) (int_2_U (Pdo__SERIAL_DEVICE_EXTENSION (U_2_int ?x959))))) boolTrue))) :pattern ((MapType0Select ?S386 ?x959) (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S386)) )) (forall ((?x960 boogieU) (?S387 boogieU)) (! (=> (and (= (type ?x960) intType) (= (type ?S387) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S387 ?x960)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S387) (int_2_U (Pdo__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x960))))) boolTrue))) :pattern ((MapType0Select ?S387 ?x960) (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S387)) )) (forall ((?x961 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSION ?x961) (+ ?x961 1432)) :pattern ((Pdo__SERIAL_DEVICE_EXTENSION ?x961)) )) (forall ((?x962 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x962) (- ?x962 1432)) :pattern ((Pdo__SERIAL_DEVICE_EXTENSIONInv ?x962)) )) (forall ((?x963 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x963 1432 1) (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x963)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x963 1432 1)) )) (forall ((?x964 Int)) (! (= (MINUS_LEFT_PTR ?x964 1 1432) (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x964)) :pattern ((MINUS_LEFT_PTR ?x964 1 1432)) )) (forall ((?x965 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x965)) ?x965) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x965))) )) (forall ((?x966 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSION (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x966)) ?x966) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x966)) )) (forall ((?x967 boogieU) (?S388 boogieU)) (! (=> (and (= (type ?x967) intType) (= (type ?S388) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S388) ?x967)) boolTrue) (= (U_2_bool (MapType0Select ?S388 (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x967))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S388) ?x967)) )) (forall ((?x968 boogieU) (?S389 boogieU)) (! (=> (and (= (type ?x968) intType) (= (type ?S389) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S389) ?x968)) boolTrue) (= (U_2_bool (MapType0Select ?S389 (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x968))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S389) ?x968)) )) (forall ((?x969 boogieU) (?S390 boogieU)) (! (=> (and (= (type ?x969) intType) (= (type ?S390) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S390 ?x969)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S390) (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x969))))) boolTrue))) :pattern ((MapType0Select ?S390 ?x969) (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S390)) )) (forall ((?x970 boogieU) (?S391 boogieU)) (! (=> (and (= (type ?x970) intType) (= (type ?S391) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S391 ?x970)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S391) (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x970))))) boolTrue))) :pattern ((MapType0Select ?S391 ?x970) (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S391)) )) (forall ((?x971 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x971) (+ ?x971 1620)) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x971)) )) (forall ((?x972 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x972) (- ?x972 1620)) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x972)) )) (forall ((?x973 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x973 1620 1) (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x973)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x973 1620 1)) )) (forall ((?x974 Int)) (! (= (MINUS_LEFT_PTR ?x974 1 1620) (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x974)) :pattern ((MINUS_LEFT_PTR ?x974 1 1620)) )) (forall ((?x975 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x975)) ?x975) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x975))) )) (forall ((?x976 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSION (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x976)) ?x976) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x976)) )) (forall ((?x977 boogieU) (?S392 boogieU)) (! (=> (and (= (type ?x977) intType) (= (type ?S392) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S392) ?x977)) boolTrue) (= (U_2_bool (MapType0Select ?S392 (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x977))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S392) ?x977)) )) (forall ((?x978 boogieU) (?S393 boogieU)) (! (=> (and (= (type ?x978) intType) (= (type ?S393) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S393) ?x978)) boolTrue) (= (U_2_bool (MapType0Select ?S393 (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSION (U_2_int ?x978))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S393) ?x978)) )) (forall ((?x979 boogieU) (?S394 boogieU)) (! (=> (and (= (type ?x979) intType) (= (type ?S394) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S394 ?x979)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S394) (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSION (U_2_int ?x979))))) boolTrue))) :pattern ((MapType0Select ?S394 ?x979) (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S394)) )) (forall ((?x980 boogieU) (?S395 boogieU)) (! (=> (and (= (type ?x980) intType) (= (type ?S395) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S395 ?x980)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S395) (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x980))))) boolTrue))) :pattern ((MapType0Select ?S395 ?x980) (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S395)) )) (forall ((?x981 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x981) (+ ?x981 1248)) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x981)) )) (forall ((?x982 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x982) (- ?x982 1248)) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x982)) )) (forall ((?x983 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x983 1248 1) (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x983)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x983 1248 1)) )) (forall ((?x984 Int)) (! (= (MINUS_LEFT_PTR ?x984 1 1248) (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x984)) :pattern ((MINUS_LEFT_PTR ?x984 1 1248)) )) (forall ((?x985 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x985)) ?x985) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x985))) )) (forall ((?x986 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSION (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x986)) ?x986) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x986)) )) (forall ((?x987 boogieU) (?S396 boogieU)) (! (=> (and (= (type ?x987) intType) (= (type ?S396) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S396) ?x987)) boolTrue) (= (U_2_bool (MapType0Select ?S396 (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x987))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S396) ?x987)) )) (forall ((?x988 boogieU) (?S397 boogieU)) (! (=> (and (= (type ?x988) intType) (= (type ?S397) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S397) ?x988)) boolTrue) (= (U_2_bool (MapType0Select ?S397 (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x988))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S397) ?x988)) )) (forall ((?x989 boogieU) (?S398 boogieU)) (! (=> (and (= (type ?x989) intType) (= (type ?S398) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S398 ?x989)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S398) (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x989))))) boolTrue))) :pattern ((MapType0Select ?S398 ?x989) (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S398)) )) (forall ((?x990 boogieU) (?S399 boogieU)) (! (=> (and (= (type ?x990) intType) (= (type ?S399) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S399 ?x990)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S399) (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x990))))) boolTrue))) :pattern ((MapType0Select ?S399 ?x990) (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S399)) )) (forall ((?x991 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x991) (+ ?x991 1256)) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x991)) )) (forall ((?x992 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x992) (- ?x992 1256)) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x992)) )) (forall ((?x993 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x993 1256 1) (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x993)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x993 1256 1)) )) (forall ((?x994 Int)) (! (= (MINUS_LEFT_PTR ?x994 1 1256) (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x994)) :pattern ((MINUS_LEFT_PTR ?x994 1 1256)) )) (forall ((?x995 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSIONInv (PowerState__SERIAL_DEVICE_EXTENSION ?x995)) ?x995) :pattern ((PowerState__SERIAL_DEVICE_EXTENSIONInv (PowerState__SERIAL_DEVICE_EXTENSION ?x995))) )) (forall ((?x996 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSION (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x996)) ?x996) :pattern ((PowerState__SERIAL_DEVICE_EXTENSIONInv ?x996)) )) (forall ((?x997 boogieU) (?S400 boogieU)) (! (=> (and (= (type ?x997) intType) (= (type ?S400) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S400) ?x997)) boolTrue) (= (U_2_bool (MapType0Select ?S400 (int_2_U (PowerState__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x997))))) boolTrue))) :pattern ((MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S400) ?x997)) )) (forall ((?x998 boogieU) (?S401 boogieU)) (! (=> (and (= (type ?x998) intType) (= (type ?S401) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S401) ?x998)) boolTrue) (= (U_2_bool (MapType0Select ?S401 (int_2_U (PowerState__SERIAL_DEVICE_EXTENSION (U_2_int ?x998))))) boolTrue))) :pattern ((MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S401) ?x998)) )) (forall ((?x999 boogieU) (?S402 boogieU)) (! (=> (and (= (type ?x999) intType) (= (type ?S402) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S402 ?x999)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S402) (int_2_U (PowerState__SERIAL_DEVICE_EXTENSION (U_2_int ?x999))))) boolTrue))) :pattern ((MapType0Select ?S402 ?x999) (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S402)) )) (forall ((?x1000 boogieU) (?S403 boogieU)) (! (=> (and (= (type ?x1000) intType) (= (type ?S403) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S403 ?x1000)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S403) (int_2_U (PowerState__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1000))))) boolTrue))) :pattern ((MapType0Select ?S403 ?x1000) (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S403)) )) (forall ((?x1001 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSION ?x1001) (+ ?x1001 1212)) :pattern ((PowerState__SERIAL_DEVICE_EXTENSION ?x1001)) )) (forall ((?x1002 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1002) (- ?x1002 1212)) :pattern ((PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1002)) )) (forall ((?x1003 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1003 1212 1) (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1003)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1003 1212 1)) )) (forall ((?x1004 Int)) (! (= (MINUS_LEFT_PTR ?x1004 1 1212) (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1004)) :pattern ((MINUS_LEFT_PTR ?x1004 1 1212)) )) (forall ((?x1005 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROPInv (ProvCapabilities__SERIAL_COMMPROP ?x1005)) ?x1005) :pattern ((ProvCapabilities__SERIAL_COMMPROPInv (ProvCapabilities__SERIAL_COMMPROP ?x1005))) )) (forall ((?x1006 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROP (ProvCapabilities__SERIAL_COMMPROPInv ?x1006)) ?x1006) :pattern ((ProvCapabilities__SERIAL_COMMPROPInv ?x1006)) )) (forall ((?x1007 boogieU) (?S404 boogieU)) (! (=> (and (= (type ?x1007) intType) (= (type ?S404) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROP ?S404) ?x1007)) boolTrue) (= (U_2_bool (MapType0Select ?S404 (int_2_U (ProvCapabilities__SERIAL_COMMPROPInv (U_2_int ?x1007))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROP ?S404) ?x1007)) )) (forall ((?x1008 boogieU) (?S405 boogieU)) (! (=> (and (= (type ?x1008) intType) (= (type ?S405) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S405) ?x1008)) boolTrue) (= (U_2_bool (MapType0Select ?S405 (int_2_U (ProvCapabilities__SERIAL_COMMPROP (U_2_int ?x1008))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S405) ?x1008)) )) (forall ((?x1009 boogieU) (?S406 boogieU)) (! (=> (and (= (type ?x1009) intType) (= (type ?S406) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S406 ?x1009)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROP ?S406) (int_2_U (ProvCapabilities__SERIAL_COMMPROP (U_2_int ?x1009))))) boolTrue))) :pattern ((MapType0Select ?S406 ?x1009) (x_S_ProvCapabilities__SERIAL_COMMPROP ?S406)) )) (forall ((?x1010 boogieU) (?S407 boogieU)) (! (=> (and (= (type ?x1010) intType) (= (type ?S407) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S407 ?x1010)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S407) (int_2_U (ProvCapabilities__SERIAL_COMMPROPInv (U_2_int ?x1010))))) boolTrue))) :pattern ((MapType0Select ?S407 ?x1010) (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S407)) )) (forall ((?x1011 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROP ?x1011) (+ ?x1011 28)) :pattern ((ProvCapabilities__SERIAL_COMMPROP ?x1011)) )) (forall ((?x1012 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROPInv ?x1012) (- ?x1012 28)) :pattern ((ProvCapabilities__SERIAL_COMMPROPInv ?x1012)) )) (forall ((?x1013 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1013 28 1) (ProvCapabilities__SERIAL_COMMPROPInv ?x1013)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1013 28 1)) )) (forall ((?x1014 Int)) (! (= (MINUS_LEFT_PTR ?x1014 1 28) (ProvCapabilities__SERIAL_COMMPROPInv ?x1014)) :pattern ((MINUS_LEFT_PTR ?x1014 1 28)) )) (forall ((?x1015 Int)) (! (= (ProvSubType__SERIAL_COMMPROPInv (ProvSubType__SERIAL_COMMPROP ?x1015)) ?x1015) :pattern ((ProvSubType__SERIAL_COMMPROPInv (ProvSubType__SERIAL_COMMPROP ?x1015))) )) (forall ((?x1016 Int)) (! (= (ProvSubType__SERIAL_COMMPROP (ProvSubType__SERIAL_COMMPROPInv ?x1016)) ?x1016) :pattern ((ProvSubType__SERIAL_COMMPROPInv ?x1016)) )) (forall ((?x1017 boogieU) (?S408 boogieU)) (! (=> (and (= (type ?x1017) intType) (= (type ?S408) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROP ?S408) ?x1017)) boolTrue) (= (U_2_bool (MapType0Select ?S408 (int_2_U (ProvSubType__SERIAL_COMMPROPInv (U_2_int ?x1017))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvSubType__SERIAL_COMMPROP ?S408) ?x1017)) )) (forall ((?x1018 boogieU) (?S409 boogieU)) (! (=> (and (= (type ?x1018) intType) (= (type ?S409) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROPInv ?S409) ?x1018)) boolTrue) (= (U_2_bool (MapType0Select ?S409 (int_2_U (ProvSubType__SERIAL_COMMPROP (U_2_int ?x1018))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvSubType__SERIAL_COMMPROPInv ?S409) ?x1018)) )) (forall ((?x1019 boogieU) (?S410 boogieU)) (! (=> (and (= (type ?x1019) intType) (= (type ?S410) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S410 ?x1019)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROP ?S410) (int_2_U (ProvSubType__SERIAL_COMMPROP (U_2_int ?x1019))))) boolTrue))) :pattern ((MapType0Select ?S410 ?x1019) (x_S_ProvSubType__SERIAL_COMMPROP ?S410)) )) (forall ((?x1020 boogieU) (?S411 boogieU)) (! (=> (and (= (type ?x1020) intType) (= (type ?S411) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S411 ?x1020)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROPInv ?S411) (int_2_U (ProvSubType__SERIAL_COMMPROPInv (U_2_int ?x1020))))) boolTrue))) :pattern ((MapType0Select ?S411 ?x1020) (x_S_ProvSubType__SERIAL_COMMPROPInv ?S411)) )) (forall ((?x1021 Int)) (! (= (ProvSubType__SERIAL_COMMPROP ?x1021) (+ ?x1021 24)) :pattern ((ProvSubType__SERIAL_COMMPROP ?x1021)) )) (forall ((?x1022 Int)) (! (= (ProvSubType__SERIAL_COMMPROPInv ?x1022) (- ?x1022 24)) :pattern ((ProvSubType__SERIAL_COMMPROPInv ?x1022)) )) (forall ((?x1023 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1023 24 1) (ProvSubType__SERIAL_COMMPROPInv ?x1023)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1023 24 1)) )) (forall ((?x1024 Int)) (! (= (MINUS_LEFT_PTR ?x1024 1 24) (ProvSubType__SERIAL_COMMPROPInv ?x1024)) :pattern ((MINUS_LEFT_PTR ?x1024 1 24)) )) (forall ((?x1025 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1025)) ?x1025) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1025))) )) (forall ((?x1026 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSION (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1026)) ?x1026) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1026)) )) (forall ((?x1027 boogieU) (?S412 boogieU)) (! (=> (and (= (type ?x1027) intType) (= (type ?S412) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S412) ?x1027)) boolTrue) (= (U_2_bool (MapType0Select ?S412 (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1027))))) boolTrue))) :pattern ((MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S412) ?x1027)) )) (forall ((?x1028 boogieU) (?S413 boogieU)) (! (=> (and (= (type ?x1028) intType) (= (type ?S413) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S413) ?x1028)) boolTrue) (= (U_2_bool (MapType0Select ?S413 (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1028))))) boolTrue))) :pattern ((MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S413) ?x1028)) )) (forall ((?x1029 boogieU) (?S414 boogieU)) (! (=> (and (= (type ?x1029) intType) (= (type ?S414) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S414 ?x1029)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S414) (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1029))))) boolTrue))) :pattern ((MapType0Select ?S414 ?x1029) (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S414)) )) (forall ((?x1030 boogieU) (?S415 boogieU)) (! (=> (and (= (type ?x1030) intType) (= (type ?S415) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S415 ?x1030)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S415) (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1030))))) boolTrue))) :pattern ((MapType0Select ?S415 ?x1030) (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S415)) )) (forall ((?x1031 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1031) (+ ?x1031 180)) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1031)) )) (forall ((?x1032 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1032) (- ?x1032 180)) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1032)) )) (forall ((?x1033 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1033 180 1) (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1033)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1033 180 1)) )) (forall ((?x1034 Int)) (! (= (MINUS_LEFT_PTR ?x1034 1 180) (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1034)) :pattern ((MINUS_LEFT_PTR ?x1034 1 180)) )) (forall ((?x1035 Int)) (! (= (QuadPart__LARGE_INTEGERInv (QuadPart__LARGE_INTEGER ?x1035)) ?x1035) :pattern ((QuadPart__LARGE_INTEGERInv (QuadPart__LARGE_INTEGER ?x1035))) )) (forall ((?x1036 Int)) (! (= (QuadPart__LARGE_INTEGER (QuadPart__LARGE_INTEGERInv ?x1036)) ?x1036) :pattern ((QuadPart__LARGE_INTEGERInv ?x1036)) )) (forall ((?x1037 boogieU) (?S416 boogieU)) (! (=> (and (= (type ?x1037) intType) (= (type ?S416) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGER ?S416) ?x1037)) boolTrue) (= (U_2_bool (MapType0Select ?S416 (int_2_U (QuadPart__LARGE_INTEGERInv (U_2_int ?x1037))))) boolTrue))) :pattern ((MapType0Select (x_S_QuadPart__LARGE_INTEGER ?S416) ?x1037)) )) (forall ((?x1038 boogieU) (?S417 boogieU)) (! (=> (and (= (type ?x1038) intType) (= (type ?S417) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGERInv ?S417) ?x1038)) boolTrue) (= (U_2_bool (MapType0Select ?S417 (int_2_U (QuadPart__LARGE_INTEGER (U_2_int ?x1038))))) boolTrue))) :pattern ((MapType0Select (x_S_QuadPart__LARGE_INTEGERInv ?S417) ?x1038)) )) (forall ((?x1039 boogieU) (?S418 boogieU)) (! (=> (and (= (type ?x1039) intType) (= (type ?S418) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S418 ?x1039)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGER ?S418) (int_2_U (QuadPart__LARGE_INTEGER (U_2_int ?x1039))))) boolTrue))) :pattern ((MapType0Select ?S418 ?x1039) (x_S_QuadPart__LARGE_INTEGER ?S418)) )) (forall ((?x1040 boogieU) (?S419 boogieU)) (! (=> (and (= (type ?x1040) intType) (= (type ?S419) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S419 ?x1040)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGERInv ?S419) (int_2_U (QuadPart__LARGE_INTEGERInv (U_2_int ?x1040))))) boolTrue))) :pattern ((MapType0Select ?S419 ?x1040) (x_S_QuadPart__LARGE_INTEGERInv ?S419)) )) (forall ((?x1041 Int)) (! (= (QuadPart__LARGE_INTEGER ?x1041) (+ ?x1041 0)) :pattern ((QuadPart__LARGE_INTEGER ?x1041)) )) (forall ((?x1042 Int)) (! (= (QuadPart__LARGE_INTEGERInv ?x1042) (- ?x1042 0)) :pattern ((QuadPart__LARGE_INTEGERInv ?x1042)) )) (forall ((?x1043 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1043 0 1) (QuadPart__LARGE_INTEGERInv ?x1043)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1043 0 1)) )) (forall ((?x1044 Int)) (! (= (MINUS_LEFT_PTR ?x1044 1 0) (QuadPart__LARGE_INTEGERInv ?x1044)) :pattern ((MINUS_LEFT_PTR ?x1044 1 0)) )) (forall ((?x1045 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1045)) ?x1045) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1045))) )) (forall ((?x1046 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSION (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1046)) ?x1046) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1046)) )) (forall ((?x1047 boogieU) (?S420 boogieU)) (! (=> (and (= (type ?x1047) intType) (= (type ?S420) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S420) ?x1047)) boolTrue) (= (U_2_bool (MapType0Select ?S420 (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1047))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S420) ?x1047)) )) (forall ((?x1048 boogieU) (?S421 boogieU)) (! (=> (and (= (type ?x1048) intType) (= (type ?S421) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S421) ?x1048)) boolTrue) (= (U_2_bool (MapType0Select ?S421 (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSION (U_2_int ?x1048))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S421) ?x1048)) )) (forall ((?x1049 boogieU) (?S422 boogieU)) (! (=> (and (= (type ?x1049) intType) (= (type ?S422) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S422 ?x1049)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S422) (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSION (U_2_int ?x1049))))) boolTrue))) :pattern ((MapType0Select ?S422 ?x1049) (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S422)) )) (forall ((?x1050 boogieU) (?S423 boogieU)) (! (=> (and (= (type ?x1050) intType) (= (type ?S423) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S423 ?x1050)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S423) (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1050))))) boolTrue))) :pattern ((MapType0Select ?S423 ?x1050) (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S423)) )) (forall ((?x1051 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1051) (+ ?x1051 296)) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1051)) )) (forall ((?x1052 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1052) (- ?x1052 296)) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1052)) )) (forall ((?x1053 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1053 296 1) (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1053)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1053 296 1)) )) (forall ((?x1054 Int)) (! (= (MINUS_LEFT_PTR ?x1054 1 296) (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1054)) :pattern ((MINUS_LEFT_PTR ?x1054 1 296)) )) (forall ((?x1055 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTSInv (ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1055)) ?x1055) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTSInv (ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1055))) )) (forall ((?x1056 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTS (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1056)) ?x1056) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1056)) )) (forall ((?x1057 boogieU) (?S424 boogieU)) (! (=> (and (= (type ?x1057) intType) (= (type ?S424) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S424) ?x1057)) boolTrue) (= (U_2_bool (MapType0Select ?S424 (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTSInv (U_2_int ?x1057))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S424) ?x1057)) )) (forall ((?x1058 boogieU) (?S425 boogieU)) (! (=> (and (= (type ?x1058) intType) (= (type ?S425) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S425) ?x1058)) boolTrue) (= (U_2_bool (MapType0Select ?S425 (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTS (U_2_int ?x1058))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S425) ?x1058)) )) (forall ((?x1059 boogieU) (?S426 boogieU)) (! (=> (and (= (type ?x1059) intType) (= (type ?S426) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S426 ?x1059)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S426) (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTS (U_2_int ?x1059))))) boolTrue))) :pattern ((MapType0Select ?S426 ?x1059) (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S426)) )) (forall ((?x1060 boogieU) (?S427 boogieU)) (! (=> (and (= (type ?x1060) intType) (= (type ?S427) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S427 ?x1060)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S427) (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTSInv (U_2_int ?x1060))))) boolTrue))) :pattern ((MapType0Select ?S427 ?x1060) (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S427)) )) (forall ((?x1061 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1061) (+ ?x1061 0)) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1061)) )) (forall ((?x1062 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1062) (- ?x1062 0)) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1062)) )) (forall ((?x1063 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1063 0 1) (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1063)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1063 0 1)) )) (forall ((?x1064 Int)) (! (= (MINUS_LEFT_PTR ?x1064 1 0) (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1064)) :pattern ((MINUS_LEFT_PTR ?x1064 1 0)) )) (forall ((?x1065 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSIONInv (ReadQueue__SERIAL_DEVICE_EXTENSION ?x1065)) ?x1065) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSIONInv (ReadQueue__SERIAL_DEVICE_EXTENSION ?x1065))) )) (forall ((?x1066 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSION (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1066)) ?x1066) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1066)) )) (forall ((?x1067 boogieU) (?S428 boogieU)) (! (=> (and (= (type ?x1067) intType) (= (type ?S428) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S428) ?x1067)) boolTrue) (= (U_2_bool (MapType0Select ?S428 (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1067))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S428) ?x1067)) )) (forall ((?x1068 boogieU) (?S429 boogieU)) (! (=> (and (= (type ?x1068) intType) (= (type ?S429) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S429) ?x1068)) boolTrue) (= (U_2_bool (MapType0Select ?S429 (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1068))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S429) ?x1068)) )) (forall ((?x1069 boogieU) (?S430 boogieU)) (! (=> (and (= (type ?x1069) intType) (= (type ?S430) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S430 ?x1069)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S430) (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1069))))) boolTrue))) :pattern ((MapType0Select ?S430 ?x1069) (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S430)) )) (forall ((?x1070 boogieU) (?S431 boogieU)) (! (=> (and (= (type ?x1070) intType) (= (type ?S431) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S431 ?x1070)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S431) (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1070))))) boolTrue))) :pattern ((MapType0Select ?S431 ?x1070) (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S431)) )) (forall ((?x1071 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSION ?x1071) (+ ?x1071 156)) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSION ?x1071)) )) (forall ((?x1072 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1072) (- ?x1072 156)) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1072)) )) (forall ((?x1073 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1073 156 1) (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1073)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1073 156 1)) )) (forall ((?x1074 Int)) (! (= (MINUS_LEFT_PTR ?x1074 1 156) (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1074)) :pattern ((MINUS_LEFT_PTR ?x1074 1 156)) )) (forall ((?x1075 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1075)) ?x1075) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1075))) )) (forall ((?x1076 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1076)) ?x1076) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1076)) )) (forall ((?x1077 boogieU) (?S432 boogieU)) (! (=> (and (= (type ?x1077) intType) (= (type ?S432) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S432) ?x1077)) boolTrue) (= (U_2_bool (MapType0Select ?S432 (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1077))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S432) ?x1077)) )) (forall ((?x1078 boogieU) (?S433 boogieU)) (! (=> (and (= (type ?x1078) intType) (= (type ?S433) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S433) ?x1078)) boolTrue) (= (U_2_bool (MapType0Select ?S433 (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1078))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S433) ?x1078)) )) (forall ((?x1079 boogieU) (?S434 boogieU)) (! (=> (and (= (type ?x1079) intType) (= (type ?S434) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S434 ?x1079)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S434) (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1079))))) boolTrue))) :pattern ((MapType0Select ?S434 ?x1079) (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S434)) )) (forall ((?x1080 boogieU) (?S435 boogieU)) (! (=> (and (= (type ?x1080) intType) (= (type ?S435) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S435 ?x1080)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S435) (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1080))))) boolTrue))) :pattern ((MapType0Select ?S435 ?x1080) (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S435)) )) (forall ((?x1081 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1081) (+ ?x1081 1008)) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1081)) )) (forall ((?x1082 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1082) (- ?x1082 1008)) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1082)) )) (forall ((?x1083 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1083 1008 1) (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1083)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1083 1008 1)) )) (forall ((?x1084 Int)) (! (= (MINUS_LEFT_PTR ?x1084 1 1008) (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1084)) :pattern ((MINUS_LEFT_PTR ?x1084 1 1008)) )) (forall ((?x1085 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1085)) ?x1085) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1085))) )) (forall ((?x1086 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1086)) ?x1086) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1086)) )) (forall ((?x1087 boogieU) (?S436 boogieU)) (! (=> (and (= (type ?x1087) intType) (= (type ?S436) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S436) ?x1087)) boolTrue) (= (U_2_bool (MapType0Select ?S436 (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1087))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S436) ?x1087)) )) (forall ((?x1088 boogieU) (?S437 boogieU)) (! (=> (and (= (type ?x1088) intType) (= (type ?S437) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S437) ?x1088)) boolTrue) (= (U_2_bool (MapType0Select ?S437 (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1088))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S437) ?x1088)) )) (forall ((?x1089 boogieU) (?S438 boogieU)) (! (=> (and (= (type ?x1089) intType) (= (type ?S438) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S438 ?x1089)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S438) (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1089))))) boolTrue))) :pattern ((MapType0Select ?S438 ?x1089) (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S438)) )) (forall ((?x1090 boogieU) (?S439 boogieU)) (! (=> (and (= (type ?x1090) intType) (= (type ?S439) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S439 ?x1090)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S439) (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1090))))) boolTrue))) :pattern ((MapType0Select ?S439 ?x1090) (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S439)) )) (forall ((?x1091 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1091) (+ ?x1091 968)) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1091)) )) (forall ((?x1092 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1092) (- ?x1092 968)) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1092)) )) (forall ((?x1093 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1093 968 1) (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1093)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1093 968 1)) )) (forall ((?x1094 Int)) (! (= (MINUS_LEFT_PTR ?x1094 1 968) (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1094)) :pattern ((MINUS_LEFT_PTR ?x1094 1 968)) )) (forall ((?x1095 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1095)) ?x1095) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1095))) )) (forall ((?x1096 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1096)) ?x1096) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1096)) )) (forall ((?x1097 boogieU) (?S440 boogieU)) (! (=> (and (= (type ?x1097) intType) (= (type ?S440) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S440) ?x1097)) boolTrue) (= (U_2_bool (MapType0Select ?S440 (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1097))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S440) ?x1097)) )) (forall ((?x1098 boogieU) (?S441 boogieU)) (! (=> (and (= (type ?x1098) intType) (= (type ?S441) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S441) ?x1098)) boolTrue) (= (U_2_bool (MapType0Select ?S441 (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1098))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S441) ?x1098)) )) (forall ((?x1099 boogieU) (?S442 boogieU)) (! (=> (and (= (type ?x1099) intType) (= (type ?S442) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S442 ?x1099)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S442) (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1099))))) boolTrue))) :pattern ((MapType0Select ?S442 ?x1099) (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S442)) )) (forall ((?x1100 boogieU) (?S443 boogieU)) (! (=> (and (= (type ?x1100) intType) (= (type ?S443) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S443 ?x1100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S443) (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1100))))) boolTrue))) :pattern ((MapType0Select ?S443 ?x1100) (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S443)) )) (forall ((?x1101 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1101) (+ ?x1101 8)) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1101)) )) (forall ((?x1102 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1102) (- ?x1102 8)) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1102)) )) (forall ((?x1103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1103 8 1) (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1103 8 1)) )) (forall ((?x1104 Int)) (! (= (MINUS_LEFT_PTR ?x1104 1 8) (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1104)) :pattern ((MINUS_LEFT_PTR ?x1104 1 8)) )) (forall ((?x1105 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1105)) ?x1105) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1105))) )) (forall ((?x1106 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1106)) ?x1106) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1106)) )) (forall ((?x1107 boogieU) (?S444 boogieU)) (! (=> (and (= (type ?x1107) intType) (= (type ?S444) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S444) ?x1107)) boolTrue) (= (U_2_bool (MapType0Select ?S444 (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1107))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S444) ?x1107)) )) (forall ((?x1108 boogieU) (?S445 boogieU)) (! (=> (and (= (type ?x1108) intType) (= (type ?S445) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S445) ?x1108)) boolTrue) (= (U_2_bool (MapType0Select ?S445 (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1108))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S445) ?x1108)) )) (forall ((?x1109 boogieU) (?S446 boogieU)) (! (=> (and (= (type ?x1109) intType) (= (type ?S446) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S446 ?x1109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S446) (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1109))))) boolTrue))) :pattern ((MapType0Select ?S446 ?x1109) (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S446)) )) (forall ((?x1110 boogieU) (?S447 boogieU)) (! (=> (and (= (type ?x1110) intType) (= (type ?S447) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S447 ?x1110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S447) (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1110))))) boolTrue))) :pattern ((MapType0Select ?S447 ?x1110) (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S447)) )) (forall ((?x1111 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1111) (+ ?x1111 4)) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1111)) )) (forall ((?x1112 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1112) (- ?x1112 4)) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1112)) )) (forall ((?x1113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1113 4 1) (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1113 4 1)) )) (forall ((?x1114 Int)) (! (= (MINUS_LEFT_PTR ?x1114 1 4) (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1114)) :pattern ((MINUS_LEFT_PTR ?x1114 1 4)) )) (forall ((?x1115 Int)) (! (= (Read___unnamed_16_57edbc3aInv (Read___unnamed_16_57edbc3a ?x1115)) ?x1115) :pattern ((Read___unnamed_16_57edbc3aInv (Read___unnamed_16_57edbc3a ?x1115))) )) (forall ((?x1116 Int)) (! (= (Read___unnamed_16_57edbc3a (Read___unnamed_16_57edbc3aInv ?x1116)) ?x1116) :pattern ((Read___unnamed_16_57edbc3aInv ?x1116)) )) (forall ((?x1117 boogieU) (?S448 boogieU)) (! (=> (and (= (type ?x1117) intType) (= (type ?S448) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3a ?S448) ?x1117)) boolTrue) (= (U_2_bool (MapType0Select ?S448 (int_2_U (Read___unnamed_16_57edbc3aInv (U_2_int ?x1117))))) boolTrue))) :pattern ((MapType0Select (x_S_Read___unnamed_16_57edbc3a ?S448) ?x1117)) )) (forall ((?x1118 boogieU) (?S449 boogieU)) (! (=> (and (= (type ?x1118) intType) (= (type ?S449) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3aInv ?S449) ?x1118)) boolTrue) (= (U_2_bool (MapType0Select ?S449 (int_2_U (Read___unnamed_16_57edbc3a (U_2_int ?x1118))))) boolTrue))) :pattern ((MapType0Select (x_S_Read___unnamed_16_57edbc3aInv ?S449) ?x1118)) )) (forall ((?x1119 boogieU) (?S450 boogieU)) (! (=> (and (= (type ?x1119) intType) (= (type ?S450) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S450 ?x1119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3a ?S450) (int_2_U (Read___unnamed_16_57edbc3a (U_2_int ?x1119))))) boolTrue))) :pattern ((MapType0Select ?S450 ?x1119) (x_S_Read___unnamed_16_57edbc3a ?S450)) )) (forall ((?x1120 boogieU) (?S451 boogieU)) (! (=> (and (= (type ?x1120) intType) (= (type ?S451) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S451 ?x1120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3aInv ?S451) (int_2_U (Read___unnamed_16_57edbc3aInv (U_2_int ?x1120))))) boolTrue))) :pattern ((MapType0Select ?S451 ?x1120) (x_S_Read___unnamed_16_57edbc3aInv ?S451)) )) (forall ((?x1121 Int)) (! (= (Read___unnamed_16_57edbc3a ?x1121) (+ ?x1121 0)) :pattern ((Read___unnamed_16_57edbc3a ?x1121)) )) (forall ((?x1122 Int)) (! (= (Read___unnamed_16_57edbc3aInv ?x1122) (- ?x1122 0)) :pattern ((Read___unnamed_16_57edbc3aInv ?x1122)) )) (forall ((?x1123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1123 0 1) (Read___unnamed_16_57edbc3aInv ?x1123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1123 0 1)) )) (forall ((?x1124 Int)) (! (= (MINUS_LEFT_PTR ?x1124 1 0) (Read___unnamed_16_57edbc3aInv ?x1124)) :pattern ((MINUS_LEFT_PTR ?x1124 1 0)) )) (forall ((?x1125 Int)) (! (= (ServiceMask__SERIAL_COMMPROPInv (ServiceMask__SERIAL_COMMPROP ?x1125)) ?x1125) :pattern ((ServiceMask__SERIAL_COMMPROPInv (ServiceMask__SERIAL_COMMPROP ?x1125))) )) (forall ((?x1126 Int)) (! (= (ServiceMask__SERIAL_COMMPROP (ServiceMask__SERIAL_COMMPROPInv ?x1126)) ?x1126) :pattern ((ServiceMask__SERIAL_COMMPROPInv ?x1126)) )) (forall ((?x1127 boogieU) (?S452 boogieU)) (! (=> (and (= (type ?x1127) intType) (= (type ?S452) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROP ?S452) ?x1127)) boolTrue) (= (U_2_bool (MapType0Select ?S452 (int_2_U (ServiceMask__SERIAL_COMMPROPInv (U_2_int ?x1127))))) boolTrue))) :pattern ((MapType0Select (x_S_ServiceMask__SERIAL_COMMPROP ?S452) ?x1127)) )) (forall ((?x1128 boogieU) (?S453 boogieU)) (! (=> (and (= (type ?x1128) intType) (= (type ?S453) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROPInv ?S453) ?x1128)) boolTrue) (= (U_2_bool (MapType0Select ?S453 (int_2_U (ServiceMask__SERIAL_COMMPROP (U_2_int ?x1128))))) boolTrue))) :pattern ((MapType0Select (x_S_ServiceMask__SERIAL_COMMPROPInv ?S453) ?x1128)) )) (forall ((?x1129 boogieU) (?S454 boogieU)) (! (=> (and (= (type ?x1129) intType) (= (type ?S454) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S454 ?x1129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROP ?S454) (int_2_U (ServiceMask__SERIAL_COMMPROP (U_2_int ?x1129))))) boolTrue))) :pattern ((MapType0Select ?S454 ?x1129) (x_S_ServiceMask__SERIAL_COMMPROP ?S454)) )) (forall ((?x1130 boogieU) (?S455 boogieU)) (! (=> (and (= (type ?x1130) intType) (= (type ?S455) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S455 ?x1130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROPInv ?S455) (int_2_U (ServiceMask__SERIAL_COMMPROPInv (U_2_int ?x1130))))) boolTrue))) :pattern ((MapType0Select ?S455 ?x1130) (x_S_ServiceMask__SERIAL_COMMPROPInv ?S455)) )) (forall ((?x1131 Int)) (! (= (ServiceMask__SERIAL_COMMPROP ?x1131) (+ ?x1131 4)) :pattern ((ServiceMask__SERIAL_COMMPROP ?x1131)) )) (forall ((?x1132 Int)) (! (= (ServiceMask__SERIAL_COMMPROPInv ?x1132) (- ?x1132 4)) :pattern ((ServiceMask__SERIAL_COMMPROPInv ?x1132)) )) (forall ((?x1133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1133 4 1) (ServiceMask__SERIAL_COMMPROPInv ?x1133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1133 4 1)) )) (forall ((?x1134 Int)) (! (= (MINUS_LEFT_PTR ?x1134 1 4) (ServiceMask__SERIAL_COMMPROPInv ?x1134)) :pattern ((MINUS_LEFT_PTR ?x1134 1 4)) )) (forall ((?x1135 Int)) (! (= (SettableBaud__SERIAL_COMMPROPInv (SettableBaud__SERIAL_COMMPROP ?x1135)) ?x1135) :pattern ((SettableBaud__SERIAL_COMMPROPInv (SettableBaud__SERIAL_COMMPROP ?x1135))) )) (forall ((?x1136 Int)) (! (= (SettableBaud__SERIAL_COMMPROP (SettableBaud__SERIAL_COMMPROPInv ?x1136)) ?x1136) :pattern ((SettableBaud__SERIAL_COMMPROPInv ?x1136)) )) (forall ((?x1137 boogieU) (?S456 boogieU)) (! (=> (and (= (type ?x1137) intType) (= (type ?S456) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROP ?S456) ?x1137)) boolTrue) (= (U_2_bool (MapType0Select ?S456 (int_2_U (SettableBaud__SERIAL_COMMPROPInv (U_2_int ?x1137))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableBaud__SERIAL_COMMPROP ?S456) ?x1137)) )) (forall ((?x1138 boogieU) (?S457 boogieU)) (! (=> (and (= (type ?x1138) intType) (= (type ?S457) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROPInv ?S457) ?x1138)) boolTrue) (= (U_2_bool (MapType0Select ?S457 (int_2_U (SettableBaud__SERIAL_COMMPROP (U_2_int ?x1138))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableBaud__SERIAL_COMMPROPInv ?S457) ?x1138)) )) (forall ((?x1139 boogieU) (?S458 boogieU)) (! (=> (and (= (type ?x1139) intType) (= (type ?S458) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S458 ?x1139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROP ?S458) (int_2_U (SettableBaud__SERIAL_COMMPROP (U_2_int ?x1139))))) boolTrue))) :pattern ((MapType0Select ?S458 ?x1139) (x_S_SettableBaud__SERIAL_COMMPROP ?S458)) )) (forall ((?x1140 boogieU) (?S459 boogieU)) (! (=> (and (= (type ?x1140) intType) (= (type ?S459) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S459 ?x1140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROPInv ?S459) (int_2_U (SettableBaud__SERIAL_COMMPROPInv (U_2_int ?x1140))))) boolTrue))) :pattern ((MapType0Select ?S459 ?x1140) (x_S_SettableBaud__SERIAL_COMMPROPInv ?S459)) )) (forall ((?x1141 Int)) (! (= (SettableBaud__SERIAL_COMMPROP ?x1141) (+ ?x1141 36)) :pattern ((SettableBaud__SERIAL_COMMPROP ?x1141)) )) (forall ((?x1142 Int)) (! (= (SettableBaud__SERIAL_COMMPROPInv ?x1142) (- ?x1142 36)) :pattern ((SettableBaud__SERIAL_COMMPROPInv ?x1142)) )) (forall ((?x1143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1143 36 1) (SettableBaud__SERIAL_COMMPROPInv ?x1143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1143 36 1)) )) (forall ((?x1144 Int)) (! (= (MINUS_LEFT_PTR ?x1144 1 36) (SettableBaud__SERIAL_COMMPROPInv ?x1144)) :pattern ((MINUS_LEFT_PTR ?x1144 1 36)) )) (forall ((?x1145 Int)) (! (= (SettableData__SERIAL_COMMPROPInv (SettableData__SERIAL_COMMPROP ?x1145)) ?x1145) :pattern ((SettableData__SERIAL_COMMPROPInv (SettableData__SERIAL_COMMPROP ?x1145))) )) (forall ((?x1146 Int)) (! (= (SettableData__SERIAL_COMMPROP (SettableData__SERIAL_COMMPROPInv ?x1146)) ?x1146) :pattern ((SettableData__SERIAL_COMMPROPInv ?x1146)) )) (forall ((?x1147 boogieU) (?S460 boogieU)) (! (=> (and (= (type ?x1147) intType) (= (type ?S460) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROP ?S460) ?x1147)) boolTrue) (= (U_2_bool (MapType0Select ?S460 (int_2_U (SettableData__SERIAL_COMMPROPInv (U_2_int ?x1147))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableData__SERIAL_COMMPROP ?S460) ?x1147)) )) (forall ((?x1148 boogieU) (?S461 boogieU)) (! (=> (and (= (type ?x1148) intType) (= (type ?S461) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROPInv ?S461) ?x1148)) boolTrue) (= (U_2_bool (MapType0Select ?S461 (int_2_U (SettableData__SERIAL_COMMPROP (U_2_int ?x1148))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableData__SERIAL_COMMPROPInv ?S461) ?x1148)) )) (forall ((?x1149 boogieU) (?S462 boogieU)) (! (=> (and (= (type ?x1149) intType) (= (type ?S462) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S462 ?x1149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROP ?S462) (int_2_U (SettableData__SERIAL_COMMPROP (U_2_int ?x1149))))) boolTrue))) :pattern ((MapType0Select ?S462 ?x1149) (x_S_SettableData__SERIAL_COMMPROP ?S462)) )) (forall ((?x1150 boogieU) (?S463 boogieU)) (! (=> (and (= (type ?x1150) intType) (= (type ?S463) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S463 ?x1150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROPInv ?S463) (int_2_U (SettableData__SERIAL_COMMPROPInv (U_2_int ?x1150))))) boolTrue))) :pattern ((MapType0Select ?S463 ?x1150) (x_S_SettableData__SERIAL_COMMPROPInv ?S463)) )) (forall ((?x1151 Int)) (! (= (SettableData__SERIAL_COMMPROP ?x1151) (+ ?x1151 40)) :pattern ((SettableData__SERIAL_COMMPROP ?x1151)) )) (forall ((?x1152 Int)) (! (= (SettableData__SERIAL_COMMPROPInv ?x1152) (- ?x1152 40)) :pattern ((SettableData__SERIAL_COMMPROPInv ?x1152)) )) (forall ((?x1153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1153 40 1) (SettableData__SERIAL_COMMPROPInv ?x1153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1153 40 1)) )) (forall ((?x1154 Int)) (! (= (MINUS_LEFT_PTR ?x1154 1 40) (SettableData__SERIAL_COMMPROPInv ?x1154)) :pattern ((MINUS_LEFT_PTR ?x1154 1 40)) )) (forall ((?x1155 Int)) (! (= (SettableParams__SERIAL_COMMPROPInv (SettableParams__SERIAL_COMMPROP ?x1155)) ?x1155) :pattern ((SettableParams__SERIAL_COMMPROPInv (SettableParams__SERIAL_COMMPROP ?x1155))) )) (forall ((?x1156 Int)) (! (= (SettableParams__SERIAL_COMMPROP (SettableParams__SERIAL_COMMPROPInv ?x1156)) ?x1156) :pattern ((SettableParams__SERIAL_COMMPROPInv ?x1156)) )) (forall ((?x1157 boogieU) (?S464 boogieU)) (! (=> (and (= (type ?x1157) intType) (= (type ?S464) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROP ?S464) ?x1157)) boolTrue) (= (U_2_bool (MapType0Select ?S464 (int_2_U (SettableParams__SERIAL_COMMPROPInv (U_2_int ?x1157))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableParams__SERIAL_COMMPROP ?S464) ?x1157)) )) (forall ((?x1158 boogieU) (?S465 boogieU)) (! (=> (and (= (type ?x1158) intType) (= (type ?S465) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROPInv ?S465) ?x1158)) boolTrue) (= (U_2_bool (MapType0Select ?S465 (int_2_U (SettableParams__SERIAL_COMMPROP (U_2_int ?x1158))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableParams__SERIAL_COMMPROPInv ?S465) ?x1158)) )) (forall ((?x1159 boogieU) (?S466 boogieU)) (! (=> (and (= (type ?x1159) intType) (= (type ?S466) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S466 ?x1159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROP ?S466) (int_2_U (SettableParams__SERIAL_COMMPROP (U_2_int ?x1159))))) boolTrue))) :pattern ((MapType0Select ?S466 ?x1159) (x_S_SettableParams__SERIAL_COMMPROP ?S466)) )) (forall ((?x1160 boogieU) (?S467 boogieU)) (! (=> (and (= (type ?x1160) intType) (= (type ?S467) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S467 ?x1160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROPInv ?S467) (int_2_U (SettableParams__SERIAL_COMMPROPInv (U_2_int ?x1160))))) boolTrue))) :pattern ((MapType0Select ?S467 ?x1160) (x_S_SettableParams__SERIAL_COMMPROPInv ?S467)) )) (forall ((?x1161 Int)) (! (= (SettableParams__SERIAL_COMMPROP ?x1161) (+ ?x1161 32)) :pattern ((SettableParams__SERIAL_COMMPROP ?x1161)) )) (forall ((?x1162 Int)) (! (= (SettableParams__SERIAL_COMMPROPInv ?x1162) (- ?x1162 32)) :pattern ((SettableParams__SERIAL_COMMPROPInv ?x1162)) )) (forall ((?x1163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1163 32 1) (SettableParams__SERIAL_COMMPROPInv ?x1163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1163 32 1)) )) (forall ((?x1164 Int)) (! (= (MINUS_LEFT_PTR ?x1164 1 32) (SettableParams__SERIAL_COMMPROPInv ?x1164)) :pattern ((MINUS_LEFT_PTR ?x1164 1 32)) )) (forall ((?x1165 Int)) (! (= (SettableStopParity__SERIAL_COMMPROPInv (SettableStopParity__SERIAL_COMMPROP ?x1165)) ?x1165) :pattern ((SettableStopParity__SERIAL_COMMPROPInv (SettableStopParity__SERIAL_COMMPROP ?x1165))) )) (forall ((?x1166 Int)) (! (= (SettableStopParity__SERIAL_COMMPROP (SettableStopParity__SERIAL_COMMPROPInv ?x1166)) ?x1166) :pattern ((SettableStopParity__SERIAL_COMMPROPInv ?x1166)) )) (forall ((?x1167 boogieU) (?S468 boogieU)) (! (=> (and (= (type ?x1167) intType) (= (type ?S468) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROP ?S468) ?x1167)) boolTrue) (= (U_2_bool (MapType0Select ?S468 (int_2_U (SettableStopParity__SERIAL_COMMPROPInv (U_2_int ?x1167))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROP ?S468) ?x1167)) )) (forall ((?x1168 boogieU) (?S469 boogieU)) (! (=> (and (= (type ?x1168) intType) (= (type ?S469) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S469) ?x1168)) boolTrue) (= (U_2_bool (MapType0Select ?S469 (int_2_U (SettableStopParity__SERIAL_COMMPROP (U_2_int ?x1168))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S469) ?x1168)) )) (forall ((?x1169 boogieU) (?S470 boogieU)) (! (=> (and (= (type ?x1169) intType) (= (type ?S470) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S470 ?x1169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROP ?S470) (int_2_U (SettableStopParity__SERIAL_COMMPROP (U_2_int ?x1169))))) boolTrue))) :pattern ((MapType0Select ?S470 ?x1169) (x_S_SettableStopParity__SERIAL_COMMPROP ?S470)) )) (forall ((?x1170 boogieU) (?S471 boogieU)) (! (=> (and (= (type ?x1170) intType) (= (type ?S471) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S471 ?x1170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S471) (int_2_U (SettableStopParity__SERIAL_COMMPROPInv (U_2_int ?x1170))))) boolTrue))) :pattern ((MapType0Select ?S471 ?x1170) (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S471)) )) (forall ((?x1171 Int)) (! (= (SettableStopParity__SERIAL_COMMPROP ?x1171) (+ ?x1171 42)) :pattern ((SettableStopParity__SERIAL_COMMPROP ?x1171)) )) (forall ((?x1172 Int)) (! (= (SettableStopParity__SERIAL_COMMPROPInv ?x1172) (- ?x1172 42)) :pattern ((SettableStopParity__SERIAL_COMMPROPInv ?x1172)) )) (forall ((?x1173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1173 42 1) (SettableStopParity__SERIAL_COMMPROPInv ?x1173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1173 42 1)) )) (forall ((?x1174 Int)) (! (= (MINUS_LEFT_PTR ?x1174 1 42) (SettableStopParity__SERIAL_COMMPROPInv ?x1174)) :pattern ((MINUS_LEFT_PTR ?x1174 1 42)) )) (forall ((?x1175 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1175)) ?x1175) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1175))) )) (forall ((?x1176 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1176)) ?x1176) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1176)) )) (forall ((?x1177 boogieU) (?S472 boogieU)) (! (=> (and (= (type ?x1177) intType) (= (type ?S472) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S472) ?x1177)) boolTrue) (= (U_2_bool (MapType0Select ?S472 (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1177))))) boolTrue))) :pattern ((MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S472) ?x1177)) )) (forall ((?x1178 boogieU) (?S473 boogieU)) (! (=> (and (= (type ?x1178) intType) (= (type ?S473) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S473) ?x1178)) boolTrue) (= (U_2_bool (MapType0Select ?S473 (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x1178))))) boolTrue))) :pattern ((MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S473) ?x1178)) )) (forall ((?x1179 boogieU) (?S474 boogieU)) (! (=> (and (= (type ?x1179) intType) (= (type ?S474) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S474 ?x1179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S474) (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x1179))))) boolTrue))) :pattern ((MapType0Select ?S474 ?x1179) (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S474)) )) (forall ((?x1180 boogieU) (?S475 boogieU)) (! (=> (and (= (type ?x1180) intType) (= (type ?S475) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S475 ?x1180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S475) (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1180))))) boolTrue))) :pattern ((MapType0Select ?S475 ?x1180) (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S475)) )) (forall ((?x1181 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1181) (+ ?x1181 64)) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1181)) )) (forall ((?x1182 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1182) (- ?x1182 64)) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1182)) )) (forall ((?x1183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1183 64 1) (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1183 64 1)) )) (forall ((?x1184 Int)) (! (= (MINUS_LEFT_PTR ?x1184 1 64) (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1184)) :pattern ((MINUS_LEFT_PTR ?x1184 1 64)) )) (forall ((?x1185 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSIONInv (SpecialChars__SERIAL_DEVICE_EXTENSION ?x1185)) ?x1185) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSIONInv (SpecialChars__SERIAL_DEVICE_EXTENSION ?x1185))) )) (forall ((?x1186 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSION (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1186)) ?x1186) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1186)) )) (forall ((?x1187 boogieU) (?S476 boogieU)) (! (=> (and (= (type ?x1187) intType) (= (type ?S476) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S476) ?x1187)) boolTrue) (= (U_2_bool (MapType0Select ?S476 (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1187))))) boolTrue))) :pattern ((MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S476) ?x1187)) )) (forall ((?x1188 boogieU) (?S477 boogieU)) (! (=> (and (= (type ?x1188) intType) (= (type ?S477) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S477) ?x1188)) boolTrue) (= (U_2_bool (MapType0Select ?S477 (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSION (U_2_int ?x1188))))) boolTrue))) :pattern ((MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S477) ?x1188)) )) (forall ((?x1189 boogieU) (?S478 boogieU)) (! (=> (and (= (type ?x1189) intType) (= (type ?S478) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S478 ?x1189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S478) (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSION (U_2_int ?x1189))))) boolTrue))) :pattern ((MapType0Select ?S478 ?x1189) (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S478)) )) (forall ((?x1190 boogieU) (?S479 boogieU)) (! (=> (and (= (type ?x1190) intType) (= (type ?S479) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S479 ?x1190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S479) (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1190))))) boolTrue))) :pattern ((MapType0Select ?S479 ?x1190) (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S479)) )) (forall ((?x1191 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSION ?x1191) (+ ?x1191 356)) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSION ?x1191)) )) (forall ((?x1192 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1192) (- ?x1192 356)) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1192)) )) (forall ((?x1193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1193 356 1) (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1193 356 1)) )) (forall ((?x1194 Int)) (! (= (MINUS_LEFT_PTR ?x1194 1 356) (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1194)) :pattern ((MINUS_LEFT_PTR ?x1194 1 356)) )) (forall ((?x1195 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1195)) ?x1195) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1195))) )) (forall ((?x1196 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSION (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1196)) ?x1196) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1196)) )) (forall ((?x1197 boogieU) (?S480 boogieU)) (! (=> (and (= (type ?x1197) intType) (= (type ?S480) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S480) ?x1197)) boolTrue) (= (U_2_bool (MapType0Select ?S480 (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1197))))) boolTrue))) :pattern ((MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S480) ?x1197)) )) (forall ((?x1198 boogieU) (?S481 boogieU)) (! (=> (and (= (type ?x1198) intType) (= (type ?S481) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S481) ?x1198)) boolTrue) (= (U_2_bool (MapType0Select ?S481 (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1198))))) boolTrue))) :pattern ((MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S481) ?x1198)) )) (forall ((?x1199 boogieU) (?S482 boogieU)) (! (=> (and (= (type ?x1199) intType) (= (type ?S482) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S482 ?x1199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S482) (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1199))))) boolTrue))) :pattern ((MapType0Select ?S482 ?x1199) (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S482)) )) (forall ((?x1200 boogieU) (?S483 boogieU)) (! (=> (and (= (type ?x1200) intType) (= (type ?S483) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S483 ?x1200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S483) (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1200))))) boolTrue))) :pattern ((MapType0Select ?S483 ?x1200) (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S483)) )) (forall ((?x1201 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1201) (+ ?x1201 1348)) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1201)) )) (forall ((?x1202 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1202) (- ?x1202 1348)) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1202)) )) (forall ((?x1203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1203 1348 1) (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1203 1348 1)) )) (forall ((?x1204 Int)) (! (= (MINUS_LEFT_PTR ?x1204 1 1348) (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1204)) :pattern ((MINUS_LEFT_PTR ?x1204 1 1348)) )) (forall ((?x1205 Int)) (! (= (Status___unnamed_4_ab1173deInv (Status___unnamed_4_ab1173de ?x1205)) ?x1205) :pattern ((Status___unnamed_4_ab1173deInv (Status___unnamed_4_ab1173de ?x1205))) )) (forall ((?x1206 Int)) (! (= (Status___unnamed_4_ab1173de (Status___unnamed_4_ab1173deInv ?x1206)) ?x1206) :pattern ((Status___unnamed_4_ab1173deInv ?x1206)) )) (forall ((?x1207 boogieU) (?S484 boogieU)) (! (=> (and (= (type ?x1207) intType) (= (type ?S484) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173de ?S484) ?x1207)) boolTrue) (= (U_2_bool (MapType0Select ?S484 (int_2_U (Status___unnamed_4_ab1173deInv (U_2_int ?x1207))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_ab1173de ?S484) ?x1207)) )) (forall ((?x1208 boogieU) (?S485 boogieU)) (! (=> (and (= (type ?x1208) intType) (= (type ?S485) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S485) ?x1208)) boolTrue) (= (U_2_bool (MapType0Select ?S485 (int_2_U (Status___unnamed_4_ab1173de (U_2_int ?x1208))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S485) ?x1208)) )) (forall ((?x1209 boogieU) (?S486 boogieU)) (! (=> (and (= (type ?x1209) intType) (= (type ?S486) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S486 ?x1209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173de ?S486) (int_2_U (Status___unnamed_4_ab1173de (U_2_int ?x1209))))) boolTrue))) :pattern ((MapType0Select ?S486 ?x1209) (x_S_Status___unnamed_4_ab1173de ?S486)) )) (forall ((?x1210 boogieU) (?S487 boogieU)) (! (=> (and (= (type ?x1210) intType) (= (type ?S487) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S487 ?x1210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S487) (int_2_U (Status___unnamed_4_ab1173deInv (U_2_int ?x1210))))) boolTrue))) :pattern ((MapType0Select ?S487 ?x1210) (x_S_Status___unnamed_4_ab1173deInv ?S487)) )) (forall ((?x1211 Int)) (! (= (Status___unnamed_4_ab1173de ?x1211) (+ ?x1211 0)) :pattern ((Status___unnamed_4_ab1173de ?x1211)) )) (forall ((?x1212 Int)) (! (= (Status___unnamed_4_ab1173deInv ?x1212) (- ?x1212 0)) :pattern ((Status___unnamed_4_ab1173deInv ?x1212)) )) (forall ((?x1213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1213 0 1) (Status___unnamed_4_ab1173deInv ?x1213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1213 0 1)) )) (forall ((?x1214 Int)) (! (= (MINUS_LEFT_PTR ?x1214 1 0) (Status___unnamed_4_ab1173deInv ?x1214)) :pattern ((MINUS_LEFT_PTR ?x1214 1 0)) )) (forall ((?x1215 Int)) (! (= (StopBits__SERIAL_LINE_CONTROLInv (StopBits__SERIAL_LINE_CONTROL ?x1215)) ?x1215) :pattern ((StopBits__SERIAL_LINE_CONTROLInv (StopBits__SERIAL_LINE_CONTROL ?x1215))) )) (forall ((?x1216 Int)) (! (= (StopBits__SERIAL_LINE_CONTROL (StopBits__SERIAL_LINE_CONTROLInv ?x1216)) ?x1216) :pattern ((StopBits__SERIAL_LINE_CONTROLInv ?x1216)) )) (forall ((?x1217 boogieU) (?S488 boogieU)) (! (=> (and (= (type ?x1217) intType) (= (type ?S488) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROL ?S488) ?x1217)) boolTrue) (= (U_2_bool (MapType0Select ?S488 (int_2_U (StopBits__SERIAL_LINE_CONTROLInv (U_2_int ?x1217))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROL ?S488) ?x1217)) )) (forall ((?x1218 boogieU) (?S489 boogieU)) (! (=> (and (= (type ?x1218) intType) (= (type ?S489) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S489) ?x1218)) boolTrue) (= (U_2_bool (MapType0Select ?S489 (int_2_U (StopBits__SERIAL_LINE_CONTROL (U_2_int ?x1218))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S489) ?x1218)) )) (forall ((?x1219 boogieU) (?S490 boogieU)) (! (=> (and (= (type ?x1219) intType) (= (type ?S490) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S490 ?x1219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROL ?S490) (int_2_U (StopBits__SERIAL_LINE_CONTROL (U_2_int ?x1219))))) boolTrue))) :pattern ((MapType0Select ?S490 ?x1219) (x_S_StopBits__SERIAL_LINE_CONTROL ?S490)) )) (forall ((?x1220 boogieU) (?S491 boogieU)) (! (=> (and (= (type ?x1220) intType) (= (type ?S491) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S491 ?x1220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S491) (int_2_U (StopBits__SERIAL_LINE_CONTROLInv (U_2_int ?x1220))))) boolTrue))) :pattern ((MapType0Select ?S491 ?x1220) (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S491)) )) (forall ((?x1221 Int)) (! (= (StopBits__SERIAL_LINE_CONTROL ?x1221) (+ ?x1221 0)) :pattern ((StopBits__SERIAL_LINE_CONTROL ?x1221)) )) (forall ((?x1222 Int)) (! (= (StopBits__SERIAL_LINE_CONTROLInv ?x1222) (- ?x1222 0)) :pattern ((StopBits__SERIAL_LINE_CONTROLInv ?x1222)) )) (forall ((?x1223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1223 0 1) (StopBits__SERIAL_LINE_CONTROLInv ?x1223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1223 0 1)) )) (forall ((?x1224 Int)) (! (= (MINUS_LEFT_PTR ?x1224 1 0) (StopBits__SERIAL_LINE_CONTROLInv ?x1224)) :pattern ((MINUS_LEFT_PTR ?x1224 1 0)) )) (forall ((?x1225 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATAInv (StopBits__SERIAL_WMI_COMM_DATA ?x1225)) ?x1225) :pattern ((StopBits__SERIAL_WMI_COMM_DATAInv (StopBits__SERIAL_WMI_COMM_DATA ?x1225))) )) (forall ((?x1226 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATA (StopBits__SERIAL_WMI_COMM_DATAInv ?x1226)) ?x1226) :pattern ((StopBits__SERIAL_WMI_COMM_DATAInv ?x1226)) )) (forall ((?x1227 boogieU) (?S492 boogieU)) (! (=> (and (= (type ?x1227) intType) (= (type ?S492) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S492) ?x1227)) boolTrue) (= (U_2_bool (MapType0Select ?S492 (int_2_U (StopBits__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1227))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S492) ?x1227)) )) (forall ((?x1228 boogieU) (?S493 boogieU)) (! (=> (and (= (type ?x1228) intType) (= (type ?S493) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S493) ?x1228)) boolTrue) (= (U_2_bool (MapType0Select ?S493 (int_2_U (StopBits__SERIAL_WMI_COMM_DATA (U_2_int ?x1228))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S493) ?x1228)) )) (forall ((?x1229 boogieU) (?S494 boogieU)) (! (=> (and (= (type ?x1229) intType) (= (type ?S494) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S494 ?x1229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S494) (int_2_U (StopBits__SERIAL_WMI_COMM_DATA (U_2_int ?x1229))))) boolTrue))) :pattern ((MapType0Select ?S494 ?x1229) (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S494)) )) (forall ((?x1230 boogieU) (?S495 boogieU)) (! (=> (and (= (type ?x1230) intType) (= (type ?S495) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S495 ?x1230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S495) (int_2_U (StopBits__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1230))))) boolTrue))) :pattern ((MapType0Select ?S495 ?x1230) (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S495)) )) (forall ((?x1231 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATA ?x1231) (+ ?x1231 16)) :pattern ((StopBits__SERIAL_WMI_COMM_DATA ?x1231)) )) (forall ((?x1232 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATAInv ?x1232) (- ?x1232 16)) :pattern ((StopBits__SERIAL_WMI_COMM_DATAInv ?x1232)) )) (forall ((?x1233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1233 16 1) (StopBits__SERIAL_WMI_COMM_DATAInv ?x1233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1233 16 1)) )) (forall ((?x1234 Int)) (! (= (MINUS_LEFT_PTR ?x1234 1 16) (StopBits__SERIAL_WMI_COMM_DATAInv ?x1234)) :pattern ((MINUS_LEFT_PTR ?x1234 1 16)) )) (forall ((?x1235 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1235)) ?x1235) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1235))) )) (forall ((?x1236 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSION (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1236)) ?x1236) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1236)) )) (forall ((?x1237 boogieU) (?S496 boogieU)) (! (=> (and (= (type ?x1237) intType) (= (type ?S496) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S496) ?x1237)) boolTrue) (= (U_2_bool (MapType0Select ?S496 (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1237))))) boolTrue))) :pattern ((MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S496) ?x1237)) )) (forall ((?x1238 boogieU) (?S497 boogieU)) (! (=> (and (= (type ?x1238) intType) (= (type ?S497) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S497) ?x1238)) boolTrue) (= (U_2_bool (MapType0Select ?S497 (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSION (U_2_int ?x1238))))) boolTrue))) :pattern ((MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S497) ?x1238)) )) (forall ((?x1239 boogieU) (?S498 boogieU)) (! (=> (and (= (type ?x1239) intType) (= (type ?S498) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S498 ?x1239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S498) (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSION (U_2_int ?x1239))))) boolTrue))) :pattern ((MapType0Select ?S498 ?x1239) (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S498)) )) (forall ((?x1240 boogieU) (?S499 boogieU)) (! (=> (and (= (type ?x1240) intType) (= (type ?S499) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S499 ?x1240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S499) (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1240))))) boolTrue))) :pattern ((MapType0Select ?S499 ?x1240) (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S499)) )) (forall ((?x1241 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1241) (+ ?x1241 312)) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1241)) )) (forall ((?x1242 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1242) (- ?x1242 312)) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1242)) )) (forall ((?x1243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1243 312 1) (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1243 312 1)) )) (forall ((?x1244 Int)) (! (= (MINUS_LEFT_PTR ?x1244 1 312) (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1244)) :pattern ((MINUS_LEFT_PTR ?x1244 1 312)) )) (forall ((?x1245 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35Inv (SystemBuffer___unnamed_4_3dc37e35 ?x1245)) ?x1245) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv (SystemBuffer___unnamed_4_3dc37e35 ?x1245))) )) (forall ((?x1246 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35 (SystemBuffer___unnamed_4_3dc37e35Inv ?x1246)) ?x1246) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv ?x1246)) )) (forall ((?x1247 boogieU) (?S500 boogieU)) (! (=> (and (= (type ?x1247) intType) (= (type ?S500) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S500) ?x1247)) boolTrue) (= (U_2_bool (MapType0Select ?S500 (int_2_U (SystemBuffer___unnamed_4_3dc37e35Inv (U_2_int ?x1247))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S500) ?x1247)) )) (forall ((?x1248 boogieU) (?S501 boogieU)) (! (=> (and (= (type ?x1248) intType) (= (type ?S501) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S501) ?x1248)) boolTrue) (= (U_2_bool (MapType0Select ?S501 (int_2_U (SystemBuffer___unnamed_4_3dc37e35 (U_2_int ?x1248))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S501) ?x1248)) )) (forall ((?x1249 boogieU) (?S502 boogieU)) (! (=> (and (= (type ?x1249) intType) (= (type ?S502) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S502 ?x1249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S502) (int_2_U (SystemBuffer___unnamed_4_3dc37e35 (U_2_int ?x1249))))) boolTrue))) :pattern ((MapType0Select ?S502 ?x1249) (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S502)) )) (forall ((?x1250 boogieU) (?S503 boogieU)) (! (=> (and (= (type ?x1250) intType) (= (type ?S503) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S503 ?x1250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S503) (int_2_U (SystemBuffer___unnamed_4_3dc37e35Inv (U_2_int ?x1250))))) boolTrue))) :pattern ((MapType0Select ?S503 ?x1250) (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S503)) )) (forall ((?x1251 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35 ?x1251) (+ ?x1251 0)) :pattern ((SystemBuffer___unnamed_4_3dc37e35 ?x1251)) )) (forall ((?x1252 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35Inv ?x1252) (- ?x1252 0)) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv ?x1252)) )) (forall ((?x1253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1253 0 1) (SystemBuffer___unnamed_4_3dc37e35Inv ?x1253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1253 0 1)) )) (forall ((?x1254 Int)) (! (= (MINUS_LEFT_PTR ?x1254 1 0) (SystemBuffer___unnamed_4_3dc37e35Inv ?x1254)) :pattern ((MINUS_LEFT_PTR ?x1254 1 0)) )) (forall ((?x1255 Int)) (! (= (SystemState__POWER_STATEInv (SystemState__POWER_STATE ?x1255)) ?x1255) :pattern ((SystemState__POWER_STATEInv (SystemState__POWER_STATE ?x1255))) )) (forall ((?x1256 Int)) (! (= (SystemState__POWER_STATE (SystemState__POWER_STATEInv ?x1256)) ?x1256) :pattern ((SystemState__POWER_STATEInv ?x1256)) )) (forall ((?x1257 boogieU) (?S504 boogieU)) (! (=> (and (= (type ?x1257) intType) (= (type ?S504) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATE ?S504) ?x1257)) boolTrue) (= (U_2_bool (MapType0Select ?S504 (int_2_U (SystemState__POWER_STATEInv (U_2_int ?x1257))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemState__POWER_STATE ?S504) ?x1257)) )) (forall ((?x1258 boogieU) (?S505 boogieU)) (! (=> (and (= (type ?x1258) intType) (= (type ?S505) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATEInv ?S505) ?x1258)) boolTrue) (= (U_2_bool (MapType0Select ?S505 (int_2_U (SystemState__POWER_STATE (U_2_int ?x1258))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemState__POWER_STATEInv ?S505) ?x1258)) )) (forall ((?x1259 boogieU) (?S506 boogieU)) (! (=> (and (= (type ?x1259) intType) (= (type ?S506) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S506 ?x1259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATE ?S506) (int_2_U (SystemState__POWER_STATE (U_2_int ?x1259))))) boolTrue))) :pattern ((MapType0Select ?S506 ?x1259) (x_S_SystemState__POWER_STATE ?S506)) )) (forall ((?x1260 boogieU) (?S507 boogieU)) (! (=> (and (= (type ?x1260) intType) (= (type ?S507) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S507 ?x1260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATEInv ?S507) (int_2_U (SystemState__POWER_STATEInv (U_2_int ?x1260))))) boolTrue))) :pattern ((MapType0Select ?S507 ?x1260) (x_S_SystemState__POWER_STATEInv ?S507)) )) (forall ((?x1261 Int)) (! (= (SystemState__POWER_STATE ?x1261) (+ ?x1261 0)) :pattern ((SystemState__POWER_STATE ?x1261)) )) (forall ((?x1262 Int)) (! (= (SystemState__POWER_STATEInv ?x1262) (- ?x1262 0)) :pattern ((SystemState__POWER_STATEInv ?x1262)) )) (forall ((?x1263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1263 0 1) (SystemState__POWER_STATEInv ?x1263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1263 0 1)) )) (forall ((?x1264 Int)) (! (= (MINUS_LEFT_PTR ?x1264 1 0) (SystemState__POWER_STATEInv ?x1264)) :pattern ((MINUS_LEFT_PTR ?x1264 1 0)) )) (forall ((?x1265 Int)) (! (= (Tail__IRPInv (Tail__IRP ?x1265)) ?x1265) :pattern ((Tail__IRPInv (Tail__IRP ?x1265))) )) (forall ((?x1266 Int)) (! (= (Tail__IRP (Tail__IRPInv ?x1266)) ?x1266) :pattern ((Tail__IRPInv ?x1266)) )) (forall ((?x1267 boogieU) (?S508 boogieU)) (! (=> (and (= (type ?x1267) intType) (= (type ?S508) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Tail__IRP ?S508) ?x1267)) boolTrue) (= (U_2_bool (MapType0Select ?S508 (int_2_U (Tail__IRPInv (U_2_int ?x1267))))) boolTrue))) :pattern ((MapType0Select (x_S_Tail__IRP ?S508) ?x1267)) )) (forall ((?x1268 boogieU) (?S509 boogieU)) (! (=> (and (= (type ?x1268) intType) (= (type ?S509) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Tail__IRPInv ?S509) ?x1268)) boolTrue) (= (U_2_bool (MapType0Select ?S509 (int_2_U (Tail__IRP (U_2_int ?x1268))))) boolTrue))) :pattern ((MapType0Select (x_S_Tail__IRPInv ?S509) ?x1268)) )) (forall ((?x1269 boogieU) (?S510 boogieU)) (! (=> (and (= (type ?x1269) intType) (= (type ?S510) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S510 ?x1269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Tail__IRP ?S510) (int_2_U (Tail__IRP (U_2_int ?x1269))))) boolTrue))) :pattern ((MapType0Select ?S510 ?x1269) (x_S_Tail__IRP ?S510)) )) (forall ((?x1270 boogieU) (?S511 boogieU)) (! (=> (and (= (type ?x1270) intType) (= (type ?S511) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S511 ?x1270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Tail__IRPInv ?S511) (int_2_U (Tail__IRPInv (U_2_int ?x1270))))) boolTrue))) :pattern ((MapType0Select ?S511 ?x1270) (x_S_Tail__IRPInv ?S511)) )) (forall ((?x1271 Int)) (! (= (Tail__IRP ?x1271) (+ ?x1271 64)) :pattern ((Tail__IRP ?x1271)) )) (forall ((?x1272 Int)) (! (= (Tail__IRPInv ?x1272) (- ?x1272 64)) :pattern ((Tail__IRPInv ?x1272)) )) (forall ((?x1273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1273 64 1) (Tail__IRPInv ?x1273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1273 64 1)) )) (forall ((?x1274 Int)) (! (= (MINUS_LEFT_PTR ?x1274 1 64) (Tail__IRPInv ?x1274)) :pattern ((MINUS_LEFT_PTR ?x1274 1 64)) )) (forall ((?x1275 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTERInv (Timeout__SERIAL_XOFF_COUNTER ?x1275)) ?x1275) :pattern ((Timeout__SERIAL_XOFF_COUNTERInv (Timeout__SERIAL_XOFF_COUNTER ?x1275))) )) (forall ((?x1276 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTER (Timeout__SERIAL_XOFF_COUNTERInv ?x1276)) ?x1276) :pattern ((Timeout__SERIAL_XOFF_COUNTERInv ?x1276)) )) (forall ((?x1277 boogieU) (?S512 boogieU)) (! (=> (and (= (type ?x1277) intType) (= (type ?S512) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTER ?S512) ?x1277)) boolTrue) (= (U_2_bool (MapType0Select ?S512 (int_2_U (Timeout__SERIAL_XOFF_COUNTERInv (U_2_int ?x1277))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTER ?S512) ?x1277)) )) (forall ((?x1278 boogieU) (?S513 boogieU)) (! (=> (and (= (type ?x1278) intType) (= (type ?S513) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S513) ?x1278)) boolTrue) (= (U_2_bool (MapType0Select ?S513 (int_2_U (Timeout__SERIAL_XOFF_COUNTER (U_2_int ?x1278))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S513) ?x1278)) )) (forall ((?x1279 boogieU) (?S514 boogieU)) (! (=> (and (= (type ?x1279) intType) (= (type ?S514) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S514 ?x1279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTER ?S514) (int_2_U (Timeout__SERIAL_XOFF_COUNTER (U_2_int ?x1279))))) boolTrue))) :pattern ((MapType0Select ?S514 ?x1279) (x_S_Timeout__SERIAL_XOFF_COUNTER ?S514)) )) (forall ((?x1280 boogieU) (?S515 boogieU)) (! (=> (and (= (type ?x1280) intType) (= (type ?S515) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S515 ?x1280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S515) (int_2_U (Timeout__SERIAL_XOFF_COUNTERInv (U_2_int ?x1280))))) boolTrue))) :pattern ((MapType0Select ?S515 ?x1280) (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S515)) )) (forall ((?x1281 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTER ?x1281) (+ ?x1281 0)) :pattern ((Timeout__SERIAL_XOFF_COUNTER ?x1281)) )) (forall ((?x1282 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTERInv ?x1282) (- ?x1282 0)) :pattern ((Timeout__SERIAL_XOFF_COUNTERInv ?x1282)) )) (forall ((?x1283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1283 0 1) (Timeout__SERIAL_XOFF_COUNTERInv ?x1283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1283 0 1)) )) (forall ((?x1284 Int)) (! (= (MINUS_LEFT_PTR ?x1284 1 0) (Timeout__SERIAL_XOFF_COUNTERInv ?x1284)) :pattern ((MINUS_LEFT_PTR ?x1284 1 0)) )) (forall ((?x1285 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSIONInv (Timeouts__SERIAL_DEVICE_EXTENSION ?x1285)) ?x1285) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSIONInv (Timeouts__SERIAL_DEVICE_EXTENSION ?x1285))) )) (forall ((?x1286 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSION (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1286)) ?x1286) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1286)) )) (forall ((?x1287 boogieU) (?S516 boogieU)) (! (=> (and (= (type ?x1287) intType) (= (type ?S516) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S516) ?x1287)) boolTrue) (= (U_2_bool (MapType0Select ?S516 (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1287))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S516) ?x1287)) )) (forall ((?x1288 boogieU) (?S517 boogieU)) (! (=> (and (= (type ?x1288) intType) (= (type ?S517) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S517) ?x1288)) boolTrue) (= (U_2_bool (MapType0Select ?S517 (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSION (U_2_int ?x1288))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S517) ?x1288)) )) (forall ((?x1289 boogieU) (?S518 boogieU)) (! (=> (and (= (type ?x1289) intType) (= (type ?S518) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S518 ?x1289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S518) (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSION (U_2_int ?x1289))))) boolTrue))) :pattern ((MapType0Select ?S518 ?x1289) (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S518)) )) (forall ((?x1290 boogieU) (?S519 boogieU)) (! (=> (and (= (type ?x1290) intType) (= (type ?S519) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S519 ?x1290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S519) (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1290))))) boolTrue))) :pattern ((MapType0Select ?S519 ?x1290) (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S519)) )) (forall ((?x1291 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSION ?x1291) (+ ?x1291 336)) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSION ?x1291)) )) (forall ((?x1292 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1292) (- ?x1292 336)) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1292)) )) (forall ((?x1293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1293 336 1) (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1293 336 1)) )) (forall ((?x1294 Int)) (! (= (MINUS_LEFT_PTR ?x1294 1 336) (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1294)) :pattern ((MINUS_LEFT_PTR ?x1294 1 336)) )) (forall ((?x1295 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1295)) ?x1295) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1295))) )) (forall ((?x1296 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSION (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1296)) ?x1296) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1296)) )) (forall ((?x1297 boogieU) (?S520 boogieU)) (! (=> (and (= (type ?x1297) intType) (= (type ?S520) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S520) ?x1297)) boolTrue) (= (U_2_bool (MapType0Select ?S520 (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1297))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S520) ?x1297)) )) (forall ((?x1298 boogieU) (?S521 boogieU)) (! (=> (and (= (type ?x1298) intType) (= (type ?S521) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S521) ?x1298)) boolTrue) (= (U_2_bool (MapType0Select ?S521 (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSION (U_2_int ?x1298))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S521) ?x1298)) )) (forall ((?x1299 boogieU) (?S522 boogieU)) (! (=> (and (= (type ?x1299) intType) (= (type ?S522) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S522 ?x1299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S522) (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSION (U_2_int ?x1299))))) boolTrue))) :pattern ((MapType0Select ?S522 ?x1299) (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S522)) )) (forall ((?x1300 boogieU) (?S523 boogieU)) (! (=> (and (= (type ?x1300) intType) (= (type ?S523) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S523 ?x1300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S523) (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1300))))) boolTrue))) :pattern ((MapType0Select ?S523 ?x1300) (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S523)) )) (forall ((?x1301 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1301) (+ ?x1301 288)) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1301)) )) (forall ((?x1302 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1302) (- ?x1302 288)) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1302)) )) (forall ((?x1303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1303 288 1) (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1303 288 1)) )) (forall ((?x1304 Int)) (! (= (MINUS_LEFT_PTR ?x1304 1 288) (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1304)) :pattern ((MINUS_LEFT_PTR ?x1304 1 288)) )) (forall ((?x1305 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1305)) ?x1305) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1305))) )) (forall ((?x1306 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1306)) ?x1306) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1306)) )) (forall ((?x1307 boogieU) (?S524 boogieU)) (! (=> (and (= (type ?x1307) intType) (= (type ?S524) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S524) ?x1307)) boolTrue) (= (U_2_bool (MapType0Select ?S524 (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1307))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S524) ?x1307)) )) (forall ((?x1308 boogieU) (?S525 boogieU)) (! (=> (and (= (type ?x1308) intType) (= (type ?S525) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S525) ?x1308)) boolTrue) (= (U_2_bool (MapType0Select ?S525 (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1308))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S525) ?x1308)) )) (forall ((?x1309 boogieU) (?S526 boogieU)) (! (=> (and (= (type ?x1309) intType) (= (type ?S526) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S526 ?x1309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S526) (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1309))))) boolTrue))) :pattern ((MapType0Select ?S526 ?x1309) (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S526)) )) (forall ((?x1310 boogieU) (?S527 boogieU)) (! (=> (and (= (type ?x1310) intType) (= (type ?S527) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S527 ?x1310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S527) (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1310))))) boolTrue))) :pattern ((MapType0Select ?S527 ?x1310) (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S527)) )) (forall ((?x1311 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1311) (+ ?x1311 740)) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1311)) )) (forall ((?x1312 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1312) (- ?x1312 740)) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1312)) )) (forall ((?x1313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1313 740 1) (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1313 740 1)) )) (forall ((?x1314 Int)) (! (= (MINUS_LEFT_PTR ?x1314 1 740) (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1314)) :pattern ((MINUS_LEFT_PTR ?x1314 1 740)) )) (forall ((?x1315 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1315)) ?x1315) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1315))) )) (forall ((?x1316 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1316)) ?x1316) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1316)) )) (forall ((?x1317 boogieU) (?S528 boogieU)) (! (=> (and (= (type ?x1317) intType) (= (type ?S528) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S528) ?x1317)) boolTrue) (= (U_2_bool (MapType0Select ?S528 (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1317))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S528) ?x1317)) )) (forall ((?x1318 boogieU) (?S529 boogieU)) (! (=> (and (= (type ?x1318) intType) (= (type ?S529) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S529) ?x1318)) boolTrue) (= (U_2_bool (MapType0Select ?S529 (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1318))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S529) ?x1318)) )) (forall ((?x1319 boogieU) (?S530 boogieU)) (! (=> (and (= (type ?x1319) intType) (= (type ?S530) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S530 ?x1319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S530) (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1319))))) boolTrue))) :pattern ((MapType0Select ?S530 ?x1319) (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S530)) )) (forall ((?x1320 boogieU) (?S531 boogieU)) (! (=> (and (= (type ?x1320) intType) (= (type ?S531) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S531 ?x1320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S531) (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1320))))) boolTrue))) :pattern ((MapType0Select ?S531 ?x1320) (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S531)) )) (forall ((?x1321 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1321) (+ ?x1321 548)) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1321)) )) (forall ((?x1322 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1322) (- ?x1322 548)) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1322)) )) (forall ((?x1323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1323 548 1) (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1323 548 1)) )) (forall ((?x1324 Int)) (! (= (MINUS_LEFT_PTR ?x1324 1 548) (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1324)) :pattern ((MINUS_LEFT_PTR ?x1324 1 548)) )) (forall ((?x1325 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1325)) ?x1325) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1325))) )) (forall ((?x1326 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1326)) ?x1326) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1326)) )) (forall ((?x1327 boogieU) (?S532 boogieU)) (! (=> (and (= (type ?x1327) intType) (= (type ?S532) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S532) ?x1327)) boolTrue) (= (U_2_bool (MapType0Select ?S532 (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1327))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S532) ?x1327)) )) (forall ((?x1328 boogieU) (?S533 boogieU)) (! (=> (and (= (type ?x1328) intType) (= (type ?S533) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S533) ?x1328)) boolTrue) (= (U_2_bool (MapType0Select ?S533 (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1328))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S533) ?x1328)) )) (forall ((?x1329 boogieU) (?S534 boogieU)) (! (=> (and (= (type ?x1329) intType) (= (type ?S534) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S534 ?x1329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S534) (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1329))))) boolTrue))) :pattern ((MapType0Select ?S534 ?x1329) (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S534)) )) (forall ((?x1330 boogieU) (?S535 boogieU)) (! (=> (and (= (type ?x1330) intType) (= (type ?S535) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S535 ?x1330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S535) (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1330))))) boolTrue))) :pattern ((MapType0Select ?S535 ?x1330) (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S535)) )) (forall ((?x1331 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1331) (+ ?x1331 612)) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1331)) )) (forall ((?x1332 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1332) (- ?x1332 612)) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1332)) )) (forall ((?x1333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1333 612 1) (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1333 612 1)) )) (forall ((?x1334 Int)) (! (= (MINUS_LEFT_PTR ?x1334 1 612) (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1334)) :pattern ((MINUS_LEFT_PTR ?x1334 1 612)) )) (forall ((?x1335 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7Inv (Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1335)) ?x1335) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7Inv (Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1335))) )) (forall ((?x1336 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7 (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1336)) ?x1336) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1336)) )) (forall ((?x1337 boogieU) (?S536 boogieU)) (! (=> (and (= (type ?x1337) intType) (= (type ?S536) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S536) ?x1337)) boolTrue) (= (U_2_bool (MapType0Select ?S536 (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7Inv (U_2_int ?x1337))))) boolTrue))) :pattern ((MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S536) ?x1337)) )) (forall ((?x1338 boogieU) (?S537 boogieU)) (! (=> (and (= (type ?x1338) intType) (= (type ?S537) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S537) ?x1338)) boolTrue) (= (U_2_bool (MapType0Select ?S537 (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7 (U_2_int ?x1338))))) boolTrue))) :pattern ((MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S537) ?x1338)) )) (forall ((?x1339 boogieU) (?S538 boogieU)) (! (=> (and (= (type ?x1339) intType) (= (type ?S538) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S538 ?x1339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S538) (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7 (U_2_int ?x1339))))) boolTrue))) :pattern ((MapType0Select ?S538 ?x1339) (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S538)) )) (forall ((?x1340 boogieU) (?S539 boogieU)) (! (=> (and (= (type ?x1340) intType) (= (type ?S539) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S539 ?x1340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S539) (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7Inv (U_2_int ?x1340))))) boolTrue))) :pattern ((MapType0Select ?S539 ?x1340) (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S539)) )) (forall ((?x1341 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1341) (+ ?x1341 12)) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1341)) )) (forall ((?x1342 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1342) (- ?x1342 12)) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1342)) )) (forall ((?x1343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1343 12 1) (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1343 12 1)) )) (forall ((?x1344 Int)) (! (= (MINUS_LEFT_PTR ?x1344 1 12) (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1344)) :pattern ((MINUS_LEFT_PTR ?x1344 1 12)) )) (forall ((?x1345 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1345)) ?x1345) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1345))) )) (forall ((?x1346 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSION (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1346)) ?x1346) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1346)) )) (forall ((?x1347 boogieU) (?S540 boogieU)) (! (=> (and (= (type ?x1347) intType) (= (type ?S540) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S540) ?x1347)) boolTrue) (= (U_2_bool (MapType0Select ?S540 (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1347))))) boolTrue))) :pattern ((MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S540) ?x1347)) )) (forall ((?x1348 boogieU) (?S541 boogieU)) (! (=> (and (= (type ?x1348) intType) (= (type ?S541) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S541) ?x1348)) boolTrue) (= (U_2_bool (MapType0Select ?S541 (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x1348))))) boolTrue))) :pattern ((MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S541) ?x1348)) )) (forall ((?x1349 boogieU) (?S542 boogieU)) (! (=> (and (= (type ?x1349) intType) (= (type ?S542) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S542 ?x1349)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S542) (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x1349))))) boolTrue))) :pattern ((MapType0Select ?S542 ?x1349) (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S542)) )) (forall ((?x1350 boogieU) (?S543 boogieU)) (! (=> (and (= (type ?x1350) intType) (= (type ?S543) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S543 ?x1350)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S543) (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1350))))) boolTrue))) :pattern ((MapType0Select ?S543 ?x1350) (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S543)) )) (forall ((?x1351 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1351) (+ ?x1351 465)) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1351)) )) (forall ((?x1352 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1352) (- ?x1352 465)) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1352)) )) (forall ((?x1353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1353 465 1) (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1353 465 1)) )) (forall ((?x1354 Int)) (! (= (MINUS_LEFT_PTR ?x1354 1 465) (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1354)) :pattern ((MINUS_LEFT_PTR ?x1354 1 465)) )) (forall ((?x1355 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSIONInv (WmiCommData__SERIAL_DEVICE_EXTENSION ?x1355)) ?x1355) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSIONInv (WmiCommData__SERIAL_DEVICE_EXTENSION ?x1355))) )) (forall ((?x1356 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSION (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1356)) ?x1356) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1356)) )) (forall ((?x1357 boogieU) (?S544 boogieU)) (! (=> (and (= (type ?x1357) intType) (= (type ?S544) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S544) ?x1357)) boolTrue) (= (U_2_bool (MapType0Select ?S544 (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1357))))) boolTrue))) :pattern ((MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S544) ?x1357)) )) (forall ((?x1358 boogieU) (?S545 boogieU)) (! (=> (and (= (type ?x1358) intType) (= (type ?S545) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S545) ?x1358)) boolTrue) (= (U_2_bool (MapType0Select ?S545 (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSION (U_2_int ?x1358))))) boolTrue))) :pattern ((MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S545) ?x1358)) )) (forall ((?x1359 boogieU) (?S546 boogieU)) (! (=> (and (= (type ?x1359) intType) (= (type ?S546) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S546 ?x1359)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S546) (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSION (U_2_int ?x1359))))) boolTrue))) :pattern ((MapType0Select ?S546 ?x1359) (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S546)) )) (forall ((?x1360 boogieU) (?S547 boogieU)) (! (=> (and (= (type ?x1360) intType) (= (type ?S547) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S547 ?x1360)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S547) (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1360))))) boolTrue))) :pattern ((MapType0Select ?S547 ?x1360) (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S547)) )) (forall ((?x1361 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSION ?x1361) (+ ?x1361 1484)) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSION ?x1361)) )) (forall ((?x1362 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1362) (- ?x1362 1484)) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1362)) )) (forall ((?x1363 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1363 1484 1) (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1363)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1363 1484 1)) )) (forall ((?x1364 Int)) (! (= (MINUS_LEFT_PTR ?x1364 1 1484) (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1364)) :pattern ((MINUS_LEFT_PTR ?x1364 1 1484)) )) (forall ((?x1365 Int)) (! (= (WordLength__SERIAL_LINE_CONTROLInv (WordLength__SERIAL_LINE_CONTROL ?x1365)) ?x1365) :pattern ((WordLength__SERIAL_LINE_CONTROLInv (WordLength__SERIAL_LINE_CONTROL ?x1365))) )) (forall ((?x1366 Int)) (! (= (WordLength__SERIAL_LINE_CONTROL (WordLength__SERIAL_LINE_CONTROLInv ?x1366)) ?x1366) :pattern ((WordLength__SERIAL_LINE_CONTROLInv ?x1366)) )) (forall ((?x1367 boogieU) (?S548 boogieU)) (! (=> (and (= (type ?x1367) intType) (= (type ?S548) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROL ?S548) ?x1367)) boolTrue) (= (U_2_bool (MapType0Select ?S548 (int_2_U (WordLength__SERIAL_LINE_CONTROLInv (U_2_int ?x1367))))) boolTrue))) :pattern ((MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROL ?S548) ?x1367)) )) (forall ((?x1368 boogieU) (?S549 boogieU)) (! (=> (and (= (type ?x1368) intType) (= (type ?S549) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S549) ?x1368)) boolTrue) (= (U_2_bool (MapType0Select ?S549 (int_2_U (WordLength__SERIAL_LINE_CONTROL (U_2_int ?x1368))))) boolTrue))) :pattern ((MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S549) ?x1368)) )) (forall ((?x1369 boogieU) (?S550 boogieU)) (! (=> (and (= (type ?x1369) intType) (= (type ?S550) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S550 ?x1369)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROL ?S550) (int_2_U (WordLength__SERIAL_LINE_CONTROL (U_2_int ?x1369))))) boolTrue))) :pattern ((MapType0Select ?S550 ?x1369) (x_S_WordLength__SERIAL_LINE_CONTROL ?S550)) )) (forall ((?x1370 boogieU) (?S551 boogieU)) (! (=> (and (= (type ?x1370) intType) (= (type ?S551) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S551 ?x1370)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S551) (int_2_U (WordLength__SERIAL_LINE_CONTROLInv (U_2_int ?x1370))))) boolTrue))) :pattern ((MapType0Select ?S551 ?x1370) (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S551)) )) (forall ((?x1371 Int)) (! (= (WordLength__SERIAL_LINE_CONTROL ?x1371) (+ ?x1371 2)) :pattern ((WordLength__SERIAL_LINE_CONTROL ?x1371)) )) (forall ((?x1372 Int)) (! (= (WordLength__SERIAL_LINE_CONTROLInv ?x1372) (- ?x1372 2)) :pattern ((WordLength__SERIAL_LINE_CONTROLInv ?x1372)) )) (forall ((?x1373 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1373 2 1) (WordLength__SERIAL_LINE_CONTROLInv ?x1373)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1373 2 1)) )) (forall ((?x1374 Int)) (! (= (MINUS_LEFT_PTR ?x1374 1 2) (WordLength__SERIAL_LINE_CONTROLInv ?x1374)) :pattern ((MINUS_LEFT_PTR ?x1374 1 2)) )) (forall ((?x1375 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSIONInv (WriteQueue__SERIAL_DEVICE_EXTENSION ?x1375)) ?x1375) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSIONInv (WriteQueue__SERIAL_DEVICE_EXTENSION ?x1375))) )) (forall ((?x1376 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSION (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1376)) ?x1376) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1376)) )) (forall ((?x1377 boogieU) (?S552 boogieU)) (! (=> (and (= (type ?x1377) intType) (= (type ?S552) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S552) ?x1377)) boolTrue) (= (U_2_bool (MapType0Select ?S552 (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1377))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S552) ?x1377)) )) (forall ((?x1378 boogieU) (?S553 boogieU)) (! (=> (and (= (type ?x1378) intType) (= (type ?S553) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S553) ?x1378)) boolTrue) (= (U_2_bool (MapType0Select ?S553 (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1378))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S553) ?x1378)) )) (forall ((?x1379 boogieU) (?S554 boogieU)) (! (=> (and (= (type ?x1379) intType) (= (type ?S554) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S554 ?x1379)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S554) (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1379))))) boolTrue))) :pattern ((MapType0Select ?S554 ?x1379) (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S554)) )) (forall ((?x1380 boogieU) (?S555 boogieU)) (! (=> (and (= (type ?x1380) intType) (= (type ?S555) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S555 ?x1380)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S555) (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1380))))) boolTrue))) :pattern ((MapType0Select ?S555 ?x1380) (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S555)) )) (forall ((?x1381 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSION ?x1381) (+ ?x1381 164)) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSION ?x1381)) )) (forall ((?x1382 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1382) (- ?x1382 164)) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1382)) )) (forall ((?x1383 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1383 164 1) (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1383)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1383 164 1)) )) (forall ((?x1384 Int)) (! (= (MINUS_LEFT_PTR ?x1384 1 164) (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1384)) :pattern ((MINUS_LEFT_PTR ?x1384 1 164)) )) (forall ((?x1385 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1385)) ?x1385) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1385))) )) (forall ((?x1386 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1386)) ?x1386) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1386)) )) (forall ((?x1387 boogieU) (?S556 boogieU)) (! (=> (and (= (type ?x1387) intType) (= (type ?S556) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S556) ?x1387)) boolTrue) (= (U_2_bool (MapType0Select ?S556 (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1387))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S556) ?x1387)) )) (forall ((?x1388 boogieU) (?S557 boogieU)) (! (=> (and (= (type ?x1388) intType) (= (type ?S557) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S557) ?x1388)) boolTrue) (= (U_2_bool (MapType0Select ?S557 (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1388))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S557) ?x1388)) )) (forall ((?x1389 boogieU) (?S558 boogieU)) (! (=> (and (= (type ?x1389) intType) (= (type ?S558) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S558 ?x1389)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S558) (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1389))))) boolTrue))) :pattern ((MapType0Select ?S558 ?x1389) (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S558)) )) (forall ((?x1390 boogieU) (?S559 boogieU)) (! (=> (and (= (type ?x1390) intType) (= (type ?S559) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S559 ?x1390)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S559) (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1390))))) boolTrue))) :pattern ((MapType0Select ?S559 ?x1390) (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S559)) )) (forall ((?x1391 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1391) (+ ?x1391 1048)) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1391)) )) (forall ((?x1392 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1392) (- ?x1392 1048)) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1392)) )) (forall ((?x1393 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1393 1048 1) (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1393)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1393 1048 1)) )) (forall ((?x1394 Int)) (! (= (MINUS_LEFT_PTR ?x1394 1 1048) (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1394)) :pattern ((MINUS_LEFT_PTR ?x1394 1 1048)) )) (forall ((?x1395 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1395)) ?x1395) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1395))) )) (forall ((?x1396 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1396)) ?x1396) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1396)) )) (forall ((?x1397 boogieU) (?S560 boogieU)) (! (=> (and (= (type ?x1397) intType) (= (type ?S560) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S560) ?x1397)) boolTrue) (= (U_2_bool (MapType0Select ?S560 (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1397))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S560) ?x1397)) )) (forall ((?x1398 boogieU) (?S561 boogieU)) (! (=> (and (= (type ?x1398) intType) (= (type ?S561) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S561) ?x1398)) boolTrue) (= (U_2_bool (MapType0Select ?S561 (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1398))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S561) ?x1398)) )) (forall ((?x1399 boogieU) (?S562 boogieU)) (! (=> (and (= (type ?x1399) intType) (= (type ?S562) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S562 ?x1399)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S562) (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1399))))) boolTrue))) :pattern ((MapType0Select ?S562 ?x1399) (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S562)) )) (forall ((?x1400 boogieU) (?S563 boogieU)) (! (=> (and (= (type ?x1400) intType) (= (type ?S563) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S563 ?x1400)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S563) (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1400))))) boolTrue))) :pattern ((MapType0Select ?S563 ?x1400) (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S563)) )) (forall ((?x1401 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1401) (+ ?x1401 16)) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1401)) )) (forall ((?x1402 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1402) (- ?x1402 16)) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1402)) )) (forall ((?x1403 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1403 16 1) (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1403)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1403 16 1)) )) (forall ((?x1404 Int)) (! (= (MINUS_LEFT_PTR ?x1404 1 16) (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1404)) :pattern ((MINUS_LEFT_PTR ?x1404 1 16)) )) (forall ((?x1405 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1405)) ?x1405) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1405))) )) (forall ((?x1406 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1406)) ?x1406) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1406)) )) (forall ((?x1407 boogieU) (?S564 boogieU)) (! (=> (and (= (type ?x1407) intType) (= (type ?S564) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S564) ?x1407)) boolTrue) (= (U_2_bool (MapType0Select ?S564 (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1407))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S564) ?x1407)) )) (forall ((?x1408 boogieU) (?S565 boogieU)) (! (=> (and (= (type ?x1408) intType) (= (type ?S565) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S565) ?x1408)) boolTrue) (= (U_2_bool (MapType0Select ?S565 (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1408))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S565) ?x1408)) )) (forall ((?x1409 boogieU) (?S566 boogieU)) (! (=> (and (= (type ?x1409) intType) (= (type ?S566) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S566 ?x1409)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S566) (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1409))))) boolTrue))) :pattern ((MapType0Select ?S566 ?x1409) (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S566)) )) (forall ((?x1410 boogieU) (?S567 boogieU)) (! (=> (and (= (type ?x1410) intType) (= (type ?S567) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S567 ?x1410)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S567) (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1410))))) boolTrue))) :pattern ((MapType0Select ?S567 ?x1410) (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S567)) )) (forall ((?x1411 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1411) (+ ?x1411 12)) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1411)) )) (forall ((?x1412 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1412) (- ?x1412 12)) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1412)) )) (forall ((?x1413 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1413 12 1) (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1413)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1413 12 1)) )) (forall ((?x1414 Int)) (! (= (MINUS_LEFT_PTR ?x1414 1 12) (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1414)) :pattern ((MINUS_LEFT_PTR ?x1414 1 12)) )) (forall ((?x1415 Int)) (! (= (Write___unnamed_16_57edbc3aInv (Write___unnamed_16_57edbc3a ?x1415)) ?x1415) :pattern ((Write___unnamed_16_57edbc3aInv (Write___unnamed_16_57edbc3a ?x1415))) )) (forall ((?x1416 Int)) (! (= (Write___unnamed_16_57edbc3a (Write___unnamed_16_57edbc3aInv ?x1416)) ?x1416) :pattern ((Write___unnamed_16_57edbc3aInv ?x1416)) )) (forall ((?x1417 boogieU) (?S568 boogieU)) (! (=> (and (= (type ?x1417) intType) (= (type ?S568) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3a ?S568) ?x1417)) boolTrue) (= (U_2_bool (MapType0Select ?S568 (int_2_U (Write___unnamed_16_57edbc3aInv (U_2_int ?x1417))))) boolTrue))) :pattern ((MapType0Select (x_S_Write___unnamed_16_57edbc3a ?S568) ?x1417)) )) (forall ((?x1418 boogieU) (?S569 boogieU)) (! (=> (and (= (type ?x1418) intType) (= (type ?S569) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3aInv ?S569) ?x1418)) boolTrue) (= (U_2_bool (MapType0Select ?S569 (int_2_U (Write___unnamed_16_57edbc3a (U_2_int ?x1418))))) boolTrue))) :pattern ((MapType0Select (x_S_Write___unnamed_16_57edbc3aInv ?S569) ?x1418)) )) (forall ((?x1419 boogieU) (?S570 boogieU)) (! (=> (and (= (type ?x1419) intType) (= (type ?S570) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S570 ?x1419)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3a ?S570) (int_2_U (Write___unnamed_16_57edbc3a (U_2_int ?x1419))))) boolTrue))) :pattern ((MapType0Select ?S570 ?x1419) (x_S_Write___unnamed_16_57edbc3a ?S570)) )) (forall ((?x1420 boogieU) (?S571 boogieU)) (! (=> (and (= (type ?x1420) intType) (= (type ?S571) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S571 ?x1420)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3aInv ?S571) (int_2_U (Write___unnamed_16_57edbc3aInv (U_2_int ?x1420))))) boolTrue))) :pattern ((MapType0Select ?S571 ?x1420) (x_S_Write___unnamed_16_57edbc3aInv ?S571)) )) (forall ((?x1421 Int)) (! (= (Write___unnamed_16_57edbc3a ?x1421) (+ ?x1421 0)) :pattern ((Write___unnamed_16_57edbc3a ?x1421)) )) (forall ((?x1422 Int)) (! (= (Write___unnamed_16_57edbc3aInv ?x1422) (- ?x1422 0)) :pattern ((Write___unnamed_16_57edbc3aInv ?x1422)) )) (forall ((?x1423 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1423 0 1) (Write___unnamed_16_57edbc3aInv ?x1423)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1423 0 1)) )) (forall ((?x1424 Int)) (! (= (MINUS_LEFT_PTR ?x1424 1 0) (Write___unnamed_16_57edbc3aInv ?x1424)) :pattern ((MINUS_LEFT_PTR ?x1424 1 0)) )) (forall ((?x1425 Int)) (! (= (XoffChar__SERIAL_CHARSInv (XoffChar__SERIAL_CHARS ?x1425)) ?x1425) :pattern ((XoffChar__SERIAL_CHARSInv (XoffChar__SERIAL_CHARS ?x1425))) )) (forall ((?x1426 Int)) (! (= (XoffChar__SERIAL_CHARS (XoffChar__SERIAL_CHARSInv ?x1426)) ?x1426) :pattern ((XoffChar__SERIAL_CHARSInv ?x1426)) )) (forall ((?x1427 boogieU) (?S572 boogieU)) (! (=> (and (= (type ?x1427) intType) (= (type ?S572) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARS ?S572) ?x1427)) boolTrue) (= (U_2_bool (MapType0Select ?S572 (int_2_U (XoffChar__SERIAL_CHARSInv (U_2_int ?x1427))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffChar__SERIAL_CHARS ?S572) ?x1427)) )) (forall ((?x1428 boogieU) (?S573 boogieU)) (! (=> (and (= (type ?x1428) intType) (= (type ?S573) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARSInv ?S573) ?x1428)) boolTrue) (= (U_2_bool (MapType0Select ?S573 (int_2_U (XoffChar__SERIAL_CHARS (U_2_int ?x1428))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffChar__SERIAL_CHARSInv ?S573) ?x1428)) )) (forall ((?x1429 boogieU) (?S574 boogieU)) (! (=> (and (= (type ?x1429) intType) (= (type ?S574) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S574 ?x1429)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARS ?S574) (int_2_U (XoffChar__SERIAL_CHARS (U_2_int ?x1429))))) boolTrue))) :pattern ((MapType0Select ?S574 ?x1429) (x_S_XoffChar__SERIAL_CHARS ?S574)) )) (forall ((?x1430 boogieU) (?S575 boogieU)) (! (=> (and (= (type ?x1430) intType) (= (type ?S575) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S575 ?x1430)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARSInv ?S575) (int_2_U (XoffChar__SERIAL_CHARSInv (U_2_int ?x1430))))) boolTrue))) :pattern ((MapType0Select ?S575 ?x1430) (x_S_XoffChar__SERIAL_CHARSInv ?S575)) )) (forall ((?x1431 Int)) (! (= (XoffChar__SERIAL_CHARS ?x1431) (+ ?x1431 5)) :pattern ((XoffChar__SERIAL_CHARS ?x1431)) )) (forall ((?x1432 Int)) (! (= (XoffChar__SERIAL_CHARSInv ?x1432) (- ?x1432 5)) :pattern ((XoffChar__SERIAL_CHARSInv ?x1432)) )) (forall ((?x1433 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1433 5 1) (XoffChar__SERIAL_CHARSInv ?x1433)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1433 5 1)) )) (forall ((?x1434 Int)) (! (= (MINUS_LEFT_PTR ?x1434 1 5) (XoffChar__SERIAL_CHARSInv ?x1434)) :pattern ((MINUS_LEFT_PTR ?x1434 1 5)) )) (forall ((?x1435 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATAInv (XoffCharacter__SERIAL_WMI_COMM_DATA ?x1435)) ?x1435) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATAInv (XoffCharacter__SERIAL_WMI_COMM_DATA ?x1435))) )) (forall ((?x1436 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATA (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1436)) ?x1436) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1436)) )) (forall ((?x1437 boogieU) (?S576 boogieU)) (! (=> (and (= (type ?x1437) intType) (= (type ?S576) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S576) ?x1437)) boolTrue) (= (U_2_bool (MapType0Select ?S576 (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1437))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S576) ?x1437)) )) (forall ((?x1438 boogieU) (?S577 boogieU)) (! (=> (and (= (type ?x1438) intType) (= (type ?S577) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S577) ?x1438)) boolTrue) (= (U_2_bool (MapType0Select ?S577 (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1438))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S577) ?x1438)) )) (forall ((?x1439 boogieU) (?S578 boogieU)) (! (=> (and (= (type ?x1439) intType) (= (type ?S578) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S578 ?x1439)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S578) (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1439))))) boolTrue))) :pattern ((MapType0Select ?S578 ?x1439) (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S578)) )) (forall ((?x1440 boogieU) (?S579 boogieU)) (! (=> (and (= (type ?x1440) intType) (= (type ?S579) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S579 ?x1440)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S579) (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1440))))) boolTrue))) :pattern ((MapType0Select ?S579 ?x1440) (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S579)) )) (forall ((?x1441 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATA ?x1441) (+ ?x1441 20)) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATA ?x1441)) )) (forall ((?x1442 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1442) (- ?x1442 20)) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1442)) )) (forall ((?x1443 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1443 20 1) (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1443)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1443 20 1)) )) (forall ((?x1444 Int)) (! (= (MINUS_LEFT_PTR ?x1444 1 20) (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1444)) :pattern ((MINUS_LEFT_PTR ?x1444 1 20)) )) (forall ((?x1445 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1445)) ?x1445) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1445))) )) (forall ((?x1446 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1446)) ?x1446) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1446)) )) (forall ((?x1447 boogieU) (?S580 boogieU)) (! (=> (and (= (type ?x1447) intType) (= (type ?S580) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S580) ?x1447)) boolTrue) (= (U_2_bool (MapType0Select ?S580 (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1447))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S580) ?x1447)) )) (forall ((?x1448 boogieU) (?S581 boogieU)) (! (=> (and (= (type ?x1448) intType) (= (type ?S581) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S581) ?x1448)) boolTrue) (= (U_2_bool (MapType0Select ?S581 (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1448))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S581) ?x1448)) )) (forall ((?x1449 boogieU) (?S582 boogieU)) (! (=> (and (= (type ?x1449) intType) (= (type ?S582) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S582 ?x1449)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S582) (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1449))))) boolTrue))) :pattern ((MapType0Select ?S582 ?x1449) (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S582)) )) (forall ((?x1450 boogieU) (?S583 boogieU)) (! (=> (and (= (type ?x1450) intType) (= (type ?S583) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S583 ?x1450)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S583) (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1450))))) boolTrue))) :pattern ((MapType0Select ?S583 ?x1450) (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S583)) )) (forall ((?x1451 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1451) (+ ?x1451 772)) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1451)) )) (forall ((?x1452 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1452) (- ?x1452 772)) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1452)) )) (forall ((?x1453 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1453 772 1) (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1453)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1453 772 1)) )) (forall ((?x1454 Int)) (! (= (MINUS_LEFT_PTR ?x1454 1 772) (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1454)) :pattern ((MINUS_LEFT_PTR ?x1454 1 772)) )) (forall ((?x1455 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1455)) ?x1455) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1455))) )) (forall ((?x1456 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSION (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1456)) ?x1456) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1456)) )) (forall ((?x1457 boogieU) (?S584 boogieU)) (! (=> (and (= (type ?x1457) intType) (= (type ?S584) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S584) ?x1457)) boolTrue) (= (U_2_bool (MapType0Select ?S584 (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1457))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S584) ?x1457)) )) (forall ((?x1458 boogieU) (?S585 boogieU)) (! (=> (and (= (type ?x1458) intType) (= (type ?S585) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S585) ?x1458)) boolTrue) (= (U_2_bool (MapType0Select ?S585 (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1458))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S585) ?x1458)) )) (forall ((?x1459 boogieU) (?S586 boogieU)) (! (=> (and (= (type ?x1459) intType) (= (type ?S586) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S586 ?x1459)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S586) (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1459))))) boolTrue))) :pattern ((MapType0Select ?S586 ?x1459) (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S586)) )) (forall ((?x1460 boogieU) (?S587 boogieU)) (! (=> (and (= (type ?x1460) intType) (= (type ?S587) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S587 ?x1460)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S587) (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1460))))) boolTrue))) :pattern ((MapType0Select ?S587 ?x1460) (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S587)) )) (forall ((?x1461 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1461) (+ ?x1461 1128)) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1461)) )) (forall ((?x1462 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1462) (- ?x1462 1128)) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1462)) )) (forall ((?x1463 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1463 1128 1) (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1463)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1463 1128 1)) )) (forall ((?x1464 Int)) (! (= (MINUS_LEFT_PTR ?x1464 1 1128) (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1464)) :pattern ((MINUS_LEFT_PTR ?x1464 1 1128)) )) (forall ((?x1465 Int)) (! (= (XoffLimit__SERIAL_HANDFLOWInv (XoffLimit__SERIAL_HANDFLOW ?x1465)) ?x1465) :pattern ((XoffLimit__SERIAL_HANDFLOWInv (XoffLimit__SERIAL_HANDFLOW ?x1465))) )) (forall ((?x1466 Int)) (! (= (XoffLimit__SERIAL_HANDFLOW (XoffLimit__SERIAL_HANDFLOWInv ?x1466)) ?x1466) :pattern ((XoffLimit__SERIAL_HANDFLOWInv ?x1466)) )) (forall ((?x1467 boogieU) (?S588 boogieU)) (! (=> (and (= (type ?x1467) intType) (= (type ?S588) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOW ?S588) ?x1467)) boolTrue) (= (U_2_bool (MapType0Select ?S588 (int_2_U (XoffLimit__SERIAL_HANDFLOWInv (U_2_int ?x1467))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOW ?S588) ?x1467)) )) (forall ((?x1468 boogieU) (?S589 boogieU)) (! (=> (and (= (type ?x1468) intType) (= (type ?S589) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S589) ?x1468)) boolTrue) (= (U_2_bool (MapType0Select ?S589 (int_2_U (XoffLimit__SERIAL_HANDFLOW (U_2_int ?x1468))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S589) ?x1468)) )) (forall ((?x1469 boogieU) (?S590 boogieU)) (! (=> (and (= (type ?x1469) intType) (= (type ?S590) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S590 ?x1469)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOW ?S590) (int_2_U (XoffLimit__SERIAL_HANDFLOW (U_2_int ?x1469))))) boolTrue))) :pattern ((MapType0Select ?S590 ?x1469) (x_S_XoffLimit__SERIAL_HANDFLOW ?S590)) )) (forall ((?x1470 boogieU) (?S591 boogieU)) (! (=> (and (= (type ?x1470) intType) (= (type ?S591) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S591 ?x1470)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S591) (int_2_U (XoffLimit__SERIAL_HANDFLOWInv (U_2_int ?x1470))))) boolTrue))) :pattern ((MapType0Select ?S591 ?x1470) (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S591)) )) (forall ((?x1471 Int)) (! (= (XoffLimit__SERIAL_HANDFLOW ?x1471) (+ ?x1471 12)) :pattern ((XoffLimit__SERIAL_HANDFLOW ?x1471)) )) (forall ((?x1472 Int)) (! (= (XoffLimit__SERIAL_HANDFLOWInv ?x1472) (- ?x1472 12)) :pattern ((XoffLimit__SERIAL_HANDFLOWInv ?x1472)) )) (forall ((?x1473 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1473 12 1) (XoffLimit__SERIAL_HANDFLOWInv ?x1473)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1473 12 1)) )) (forall ((?x1474 Int)) (! (= (MINUS_LEFT_PTR ?x1474 1 12) (XoffLimit__SERIAL_HANDFLOWInv ?x1474)) :pattern ((MINUS_LEFT_PTR ?x1474 1 12)) )) (forall ((?x1475 Int)) (! (= (XonChar__SERIAL_CHARSInv (XonChar__SERIAL_CHARS ?x1475)) ?x1475) :pattern ((XonChar__SERIAL_CHARSInv (XonChar__SERIAL_CHARS ?x1475))) )) (forall ((?x1476 Int)) (! (= (XonChar__SERIAL_CHARS (XonChar__SERIAL_CHARSInv ?x1476)) ?x1476) :pattern ((XonChar__SERIAL_CHARSInv ?x1476)) )) (forall ((?x1477 boogieU) (?S592 boogieU)) (! (=> (and (= (type ?x1477) intType) (= (type ?S592) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARS ?S592) ?x1477)) boolTrue) (= (U_2_bool (MapType0Select ?S592 (int_2_U (XonChar__SERIAL_CHARSInv (U_2_int ?x1477))))) boolTrue))) :pattern ((MapType0Select (x_S_XonChar__SERIAL_CHARS ?S592) ?x1477)) )) (forall ((?x1478 boogieU) (?S593 boogieU)) (! (=> (and (= (type ?x1478) intType) (= (type ?S593) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARSInv ?S593) ?x1478)) boolTrue) (= (U_2_bool (MapType0Select ?S593 (int_2_U (XonChar__SERIAL_CHARS (U_2_int ?x1478))))) boolTrue))) :pattern ((MapType0Select (x_S_XonChar__SERIAL_CHARSInv ?S593) ?x1478)) )) (forall ((?x1479 boogieU) (?S594 boogieU)) (! (=> (and (= (type ?x1479) intType) (= (type ?S594) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S594 ?x1479)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARS ?S594) (int_2_U (XonChar__SERIAL_CHARS (U_2_int ?x1479))))) boolTrue))) :pattern ((MapType0Select ?S594 ?x1479) (x_S_XonChar__SERIAL_CHARS ?S594)) )) (forall ((?x1480 boogieU) (?S595 boogieU)) (! (=> (and (= (type ?x1480) intType) (= (type ?S595) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S595 ?x1480)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARSInv ?S595) (int_2_U (XonChar__SERIAL_CHARSInv (U_2_int ?x1480))))) boolTrue))) :pattern ((MapType0Select ?S595 ?x1480) (x_S_XonChar__SERIAL_CHARSInv ?S595)) )) (forall ((?x1481 Int)) (! (= (XonChar__SERIAL_CHARS ?x1481) (+ ?x1481 4)) :pattern ((XonChar__SERIAL_CHARS ?x1481)) )) (forall ((?x1482 Int)) (! (= (XonChar__SERIAL_CHARSInv ?x1482) (- ?x1482 4)) :pattern ((XonChar__SERIAL_CHARSInv ?x1482)) )) (forall ((?x1483 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1483 4 1) (XonChar__SERIAL_CHARSInv ?x1483)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1483 4 1)) )) (forall ((?x1484 Int)) (! (= (MINUS_LEFT_PTR ?x1484 1 4) (XonChar__SERIAL_CHARSInv ?x1484)) :pattern ((MINUS_LEFT_PTR ?x1484 1 4)) )) (forall ((?x1485 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATAInv (XonCharacter__SERIAL_WMI_COMM_DATA ?x1485)) ?x1485) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATAInv (XonCharacter__SERIAL_WMI_COMM_DATA ?x1485))) )) (forall ((?x1486 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATA (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1486)) ?x1486) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1486)) )) (forall ((?x1487 boogieU) (?S596 boogieU)) (! (=> (and (= (type ?x1487) intType) (= (type ?S596) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S596) ?x1487)) boolTrue) (= (U_2_bool (MapType0Select ?S596 (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1487))))) boolTrue))) :pattern ((MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S596) ?x1487)) )) (forall ((?x1488 boogieU) (?S597 boogieU)) (! (=> (and (= (type ?x1488) intType) (= (type ?S597) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S597) ?x1488)) boolTrue) (= (U_2_bool (MapType0Select ?S597 (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1488))))) boolTrue))) :pattern ((MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S597) ?x1488)) )) (forall ((?x1489 boogieU) (?S598 boogieU)) (! (=> (and (= (type ?x1489) intType) (= (type ?S598) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S598 ?x1489)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S598) (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1489))))) boolTrue))) :pattern ((MapType0Select ?S598 ?x1489) (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S598)) )) (forall ((?x1490 boogieU) (?S599 boogieU)) (! (=> (and (= (type ?x1490) intType) (= (type ?S599) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S599 ?x1490)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S599) (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1490))))) boolTrue))) :pattern ((MapType0Select ?S599 ?x1490) (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S599)) )) (forall ((?x1491 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATA ?x1491) (+ ?x1491 28)) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATA ?x1491)) )) (forall ((?x1492 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1492) (- ?x1492 28)) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1492)) )) (forall ((?x1493 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1493 28 1) (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1493)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1493 28 1)) )) (forall ((?x1494 Int)) (! (= (MINUS_LEFT_PTR ?x1494 1 28) (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1494)) :pattern ((MINUS_LEFT_PTR ?x1494 1 28)) )) (forall ((?x1495 Int)) (! (= (XonLimit__SERIAL_HANDFLOWInv (XonLimit__SERIAL_HANDFLOW ?x1495)) ?x1495) :pattern ((XonLimit__SERIAL_HANDFLOWInv (XonLimit__SERIAL_HANDFLOW ?x1495))) )) (forall ((?x1496 Int)) (! (= (XonLimit__SERIAL_HANDFLOW (XonLimit__SERIAL_HANDFLOWInv ?x1496)) ?x1496) :pattern ((XonLimit__SERIAL_HANDFLOWInv ?x1496)) )) (forall ((?x1497 boogieU) (?S600 boogieU)) (! (=> (and (= (type ?x1497) intType) (= (type ?S600) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOW ?S600) ?x1497)) boolTrue) (= (U_2_bool (MapType0Select ?S600 (int_2_U (XonLimit__SERIAL_HANDFLOWInv (U_2_int ?x1497))))) boolTrue))) :pattern ((MapType0Select (x_S_XonLimit__SERIAL_HANDFLOW ?S600) ?x1497)) )) (forall ((?x1498 boogieU) (?S601 boogieU)) (! (=> (and (= (type ?x1498) intType) (= (type ?S601) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOWInv ?S601) ?x1498)) boolTrue) (= (U_2_bool (MapType0Select ?S601 (int_2_U (XonLimit__SERIAL_HANDFLOW (U_2_int ?x1498))))) boolTrue))) :pattern ((MapType0Select (x_S_XonLimit__SERIAL_HANDFLOWInv ?S601) ?x1498)) )) (forall ((?x1499 boogieU) (?S602 boogieU)) (! (=> (and (= (type ?x1499) intType) (= (type ?S602) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S602 ?x1499)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOW ?S602) (int_2_U (XonLimit__SERIAL_HANDFLOW (U_2_int ?x1499))))) boolTrue))) :pattern ((MapType0Select ?S602 ?x1499) (x_S_XonLimit__SERIAL_HANDFLOW ?S602)) )) (forall ((?x1500 boogieU) (?S603 boogieU)) (! (=> (and (= (type ?x1500) intType) (= (type ?S603) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S603 ?x1500)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOWInv ?S603) (int_2_U (XonLimit__SERIAL_HANDFLOWInv (U_2_int ?x1500))))) boolTrue))) :pattern ((MapType0Select ?S603 ?x1500) (x_S_XonLimit__SERIAL_HANDFLOWInv ?S603)) )) (forall ((?x1501 Int)) (! (= (XonLimit__SERIAL_HANDFLOW ?x1501) (+ ?x1501 8)) :pattern ((XonLimit__SERIAL_HANDFLOW ?x1501)) )) (forall ((?x1502 Int)) (! (= (XonLimit__SERIAL_HANDFLOWInv ?x1502) (- ?x1502 8)) :pattern ((XonLimit__SERIAL_HANDFLOWInv ?x1502)) )) (forall ((?x1503 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1503 8 1) (XonLimit__SERIAL_HANDFLOWInv ?x1503)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1503 8 1)) )) (forall ((?x1504 Int)) (! (= (MINUS_LEFT_PTR ?x1504 1 8) (XonLimit__SERIAL_HANDFLOWInv ?x1504)) :pattern ((MINUS_LEFT_PTR ?x1504 1 8)) )) (forall ((?x1505 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1505)) ?x1505) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1505))) )) (forall ((?x1506 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1506)) ?x1506) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1506)) )) (forall ((?x1507 boogieU) (?S604 boogieU)) (! (=> (and (= (type ?x1507) intType) (= (type ?S604) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S604) ?x1507)) boolTrue) (= (U_2_bool (MapType0Select ?S604 (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (U_2_int ?x1507))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S604) ?x1507)) )) (forall ((?x1508 boogieU) (?S605 boogieU)) (! (=> (and (= (type ?x1508) intType) (= (type ?S605) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S605) ?x1508)) boolTrue) (= (U_2_bool (MapType0Select ?S605 (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (U_2_int ?x1508))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S605) ?x1508)) )) (forall ((?x1509 boogieU) (?S606 boogieU)) (! (=> (and (= (type ?x1509) intType) (= (type ?S606) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S606 ?x1509)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S606) (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (U_2_int ?x1509))))) boolTrue))) :pattern ((MapType0Select ?S606 ?x1509) (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S606)) )) (forall ((?x1510 boogieU) (?S607 boogieU)) (! (=> (and (= (type ?x1510) intType) (= (type ?S607) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S607 ?x1510)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S607) (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (U_2_int ?x1510))))) boolTrue))) :pattern ((MapType0Select ?S607 ?x1510) (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S607)) )) (forall ((?x1511 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1511) (+ ?x1511 24)) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1511)) )) (forall ((?x1512 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1512) (- ?x1512 24)) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1512)) )) (forall ((?x1513 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1513 24 1) (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1513)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1513 24 1)) )) (forall ((?x1514 Int)) (! (= (MINUS_LEFT_PTR ?x1514 1 24) (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1514)) :pattern ((MINUS_LEFT_PTR ?x1514 1 24)) )) (forall ((?x1515 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1515)) ?x1515) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1515))) )) (forall ((?x1516 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1516)) ?x1516) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1516)) )) (forall ((?x1517 boogieU) (?S608 boogieU)) (! (=> (and (= (type ?x1517) intType) (= (type ?S608) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S608) ?x1517)) boolTrue) (= (U_2_bool (MapType0Select ?S608 (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (U_2_int ?x1517))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S608) ?x1517)) )) (forall ((?x1518 boogieU) (?S609 boogieU)) (! (=> (and (= (type ?x1518) intType) (= (type ?S609) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S609) ?x1518)) boolTrue) (= (U_2_bool (MapType0Select ?S609 (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (U_2_int ?x1518))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S609) ?x1518)) )) (forall ((?x1519 boogieU) (?S610 boogieU)) (! (=> (and (= (type ?x1519) intType) (= (type ?S610) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S610 ?x1519)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S610) (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (U_2_int ?x1519))))) boolTrue))) :pattern ((MapType0Select ?S610 ?x1519) (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S610)) )) (forall ((?x1520 boogieU) (?S611 boogieU)) (! (=> (and (= (type ?x1520) intType) (= (type ?S611) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S611 ?x1520)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S611) (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (U_2_int ?x1520))))) boolTrue))) :pattern ((MapType0Select ?S611 ?x1520) (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S611)) )) (forall ((?x1521 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1521) (+ ?x1521 0)) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1521)) )) (forall ((?x1522 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1522) (- ?x1522 0)) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1522)) )) (forall ((?x1523 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1523 0 1) (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1523)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1523 0 1)) )) (forall ((?x1524 Int)) (! (= (MINUS_LEFT_PTR ?x1524 1 0) (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1524)) :pattern ((MINUS_LEFT_PTR ?x1524 1 0)) )) (forall ((?x1525 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGERInv (x__unnamed_8_544b88f4__LARGE_INTEGER ?x1525)) ?x1525) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGERInv (x__unnamed_8_544b88f4__LARGE_INTEGER ?x1525))) )) (forall ((?x1526 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGER (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1526)) ?x1526) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1526)) )) (forall ((?x1527 boogieU) (?S612 boogieU)) (! (=> (and (= (type ?x1527) intType) (= (type ?S612) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S612) ?x1527)) boolTrue) (= (U_2_bool (MapType0Select ?S612 (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGERInv (U_2_int ?x1527))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S612) ?x1527)) )) (forall ((?x1528 boogieU) (?S613 boogieU)) (! (=> (and (= (type ?x1528) intType) (= (type ?S613) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S613) ?x1528)) boolTrue) (= (U_2_bool (MapType0Select ?S613 (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGER (U_2_int ?x1528))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S613) ?x1528)) )) (forall ((?x1529 boogieU) (?S614 boogieU)) (! (=> (and (= (type ?x1529) intType) (= (type ?S614) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S614 ?x1529)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S614) (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGER (U_2_int ?x1529))))) boolTrue))) :pattern ((MapType0Select ?S614 ?x1529) (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S614)) )) (forall ((?x1530 boogieU) (?S615 boogieU)) (! (=> (and (= (type ?x1530) intType) (= (type ?S615) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S615 ?x1530)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S615) (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGERInv (U_2_int ?x1530))))) boolTrue))) :pattern ((MapType0Select ?S615 ?x1530) (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S615)) )) (forall ((?x1531 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGER ?x1531) (+ ?x1531 0)) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGER ?x1531)) )) (forall ((?x1532 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1532) (- ?x1532 0)) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1532)) )) (forall ((?x1533 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1533 0 1) (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1533)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1533 0 1)) )) (forall ((?x1534 Int)) (! (= (MINUS_LEFT_PTR ?x1534 1 0) (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1534)) :pattern ((MINUS_LEFT_PTR ?x1534 1 0)) )) (forall ((?x1535 Int)) (! (= (u__LARGE_INTEGERInv (u__LARGE_INTEGER ?x1535)) ?x1535) :pattern ((u__LARGE_INTEGERInv (u__LARGE_INTEGER ?x1535))) )) (forall ((?x1536 Int)) (! (= (u__LARGE_INTEGER (u__LARGE_INTEGERInv ?x1536)) ?x1536) :pattern ((u__LARGE_INTEGERInv ?x1536)) )) (forall ((?x1537 boogieU) (?S616 boogieU)) (! (=> (and (= (type ?x1537) intType) (= (type ?S616) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGER ?S616) ?x1537)) boolTrue) (= (U_2_bool (MapType0Select ?S616 (int_2_U (u__LARGE_INTEGERInv (U_2_int ?x1537))))) boolTrue))) :pattern ((MapType0Select (x_S_u__LARGE_INTEGER ?S616) ?x1537)) )) (forall ((?x1538 boogieU) (?S617 boogieU)) (! (=> (and (= (type ?x1538) intType) (= (type ?S617) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGERInv ?S617) ?x1538)) boolTrue) (= (U_2_bool (MapType0Select ?S617 (int_2_U (u__LARGE_INTEGER (U_2_int ?x1538))))) boolTrue))) :pattern ((MapType0Select (x_S_u__LARGE_INTEGERInv ?S617) ?x1538)) )) (forall ((?x1539 boogieU) (?S618 boogieU)) (! (=> (and (= (type ?x1539) intType) (= (type ?S618) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S618 ?x1539)) boolTrue) (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGER ?S618) (int_2_U (u__LARGE_INTEGER (U_2_int ?x1539))))) boolTrue))) :pattern ((MapType0Select ?S618 ?x1539) (x_S_u__LARGE_INTEGER ?S618)) )) (forall ((?x1540 boogieU) (?S619 boogieU)) (! (=> (and (= (type ?x1540) intType) (= (type ?S619) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S619 ?x1540)) boolTrue) (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGERInv ?S619) (int_2_U (u__LARGE_INTEGERInv (U_2_int ?x1540))))) boolTrue))) :pattern ((MapType0Select ?S619 ?x1540) (x_S_u__LARGE_INTEGERInv ?S619)) )) (forall ((?x1541 Int)) (! (= (u__LARGE_INTEGER ?x1541) (+ ?x1541 0)) :pattern ((u__LARGE_INTEGER ?x1541)) )) (forall ((?x1542 Int)) (! (= (u__LARGE_INTEGERInv ?x1542) (- ?x1542 0)) :pattern ((u__LARGE_INTEGERInv ?x1542)) )) (forall ((?x1543 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1543 0 1) (u__LARGE_INTEGERInv ?x1543)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1543 0 1)) )) (forall ((?x1544 Int)) (! (= (MINUS_LEFT_PTR ?x1544 1 0) (u__LARGE_INTEGERInv ?x1544)) :pattern ((MINUS_LEFT_PTR ?x1544 1 0)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= SerialCancelCurrentRead 0)) (not (= SerialCancelCurrentWrite 0)) (not (= SerialCancelCurrentXoff 0)) (not (= SerialCancelImmediate 0)) (not (= SerialCancelQueued 0)) (not (= SerialClearStats 0)) (not (= SerialClrDTR 0)) (not (= SerialClrRTS 0)) (not (= SerialFilterCancelQueued 0)) (not (= SerialGetCommStatus 0)) (not (= SerialGetMCRContents 0)) (not (= SerialGetModemUpdate 0)) (not (= SerialGetNextIrp 0)) (not (= SerialGetNextWrite 0)) (not (= SerialGetStats 0)) (not (= SerialGiveImmediateToIsr 0)) (not (= SerialGiveWriteToIsr 0)) (not (= SerialGiveXoffToIsr 0)) (not (= SerialGrabReadFromIsr 0)) (not (= SerialGrabWriteFromIsr 0)) (not (= SerialGrabXoffFromIsr 0)) (not (= SerialPretendXoff 0)) (not (= SerialPretendXon 0)) (not (= SerialProcessEmptyTransmit 0)) (not (= SerialSetBaud 0)) (not (= SerialSetChars 0)) (not (= SerialSetDTR 0)) (not (= SerialSetEscapeChar 0)) (not (= SerialSetFCRContents 0)) (not (= SerialSetHandFlow 0)) (not (= SerialSetLineControl 0)) (not (= SerialSetMCRContents 0)) (not (= SerialSetRTS 0)) (not (= SerialStartMask 0)) (not (= SerialStartPurge 0)) (not (= SerialStartRead 0)) (not (= SerialStartWrite 0)) (not (= SerialSystemPowerCompletion 0)) (not (= SerialTurnOffBreak 0)) (not (= SerialTurnOnBreak 0)) (not (= SerialUpdateAndSwitchToNew 0)) (not (= SerialUpdateAndSwitchToUser 0)) (not (= SerialUpdateInterruptBuffer 0)) (not (= SerialUpdateReadByIsr 0)) (not (= hdevobj 0)) (not (= hiostackloc 0)) (not (= hirp 0)) (not (= hlock 0)) (not (= notused_hiostackloc 0)) (not (= sdv_irql_current 0)) (not (= sdv_irql_previous 0)) (not (= sdv_irql_previous_2 0)) (not (= sdv_irql_previous_3 0))))
(assert (let ((?v_0 (MapType0Type intType intType)) (?v_1 (MapType0Type intType nameType))) (and (= (type Mem_0_T.CancelRoutine__IRP.125) ?v_0) (= (type Mem_s_1_T.CancelRoutine__IRP) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.125) ?v_0) (= (type Mem_s_2_T.CancelRoutine__IRP) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.125) ?v_0) (= (type Mem_s_3_T.CancelRoutine__IRP) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.125) ?v_0) (= (type Mem_s_4_T.CancelRoutine__IRP) ?v_0) (= (type Mem_0_T.Cancel__IRP.2) ?v_0) (= (type Mem_s_1_T.Cancel__IRP) ?v_0) (= (type Mem_1_T.Cancel__IRP.2) ?v_0) (= (type Mem_s_2_T.Cancel__IRP) ?v_0) (= (type Mem_2_T.Cancel__IRP.2) ?v_0) (= (type Mem_s_3_T.Cancel__IRP) ?v_0) (= (type Mem_3_T.Cancel__IRP.2) ?v_0) (= (type Mem_s_4_T.Cancel__IRP) ?v_0) (= (type Mem_0_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_1_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_s_2_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_2_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_s_3_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_3_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_s_4_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_0_T.P_IRP.92) ?v_0) (= (type Mem_s_1_T.P_IRP) ?v_0) (= (type Mem_1_T.P_IRP.92) ?v_0) (= (type Mem_s_2_T.P_IRP) ?v_0) (= (type Mem_2_T.P_IRP.92) ?v_0) (= (type Mem_s_3_T.P_IRP) ?v_0) (= (type Mem_3_T.P_IRP.92) ?v_0) (= (type Mem_s_4_T.P_IRP) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.98) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.98) ?v_0) (= (type alloc.119) ?v_1) (= (type alloc.96) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.98) ?v_0) (= (type Mem_2_T.P_IRP.69) ?v_0) (= (type Mem_0_T.P_IRP.69) ?v_0) (= (type Mem_4_T.P_IRP.92) ?v_0) (= (type Mem_4_T.P_IRP.69) ?v_0) (= (type Mem_3_T.P_IRP.69) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.125) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.98) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.98) ?v_0) (= (type Mem_1_T.P_IRP.69) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.124) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.124) ?v_0) (= (type alloc.118) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.124) ?v_0) (= (type Mem_2_T.P_IRP.91) ?v_0) (= (type Mem_0_T.P_IRP.91) ?v_0) (= (type Mem_4_T.P_IRP.91) ?v_0) (= (type Mem_3_T.P_IRP.91) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.124) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.124) ?v_0) (= (type Mem_1_T.P_IRP.91) ?v_0) (= (type alloc.117) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.101) ?v_0) (= (type alloc.99) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.101) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.101) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.101) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.101) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.123) ?v_0) (= (type alloc.116) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.123) ?v_0) (= (type Mem_2_T.P_IRP.90) ?v_0) (= (type Mem_4_T.P_IRP.90) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.123) ?v_0) (= (type Mem_3_T.P_IRP.90) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.123) ?v_0) (= (type Mem_0_T.P_IRP.90) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.123) ?v_0) (= (type Mem_1_T.P_IRP.90) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.122) ?v_0) (= (type alloc.115) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.122) ?v_0) (= (type Mem_2_T.P_IRP.89) ?v_0) (= (type Mem_4_T.P_IRP.89) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.122) ?v_0) (= (type Mem_3_T.P_IRP.89) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.122) ?v_0) (= (type Mem_0_T.P_IRP.89) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.122) ?v_0) (= (type Mem_1_T.P_IRP.89) ?v_0) (= (type alloc.114) ?v_1) (= (type Mem_T.MajorFunction__IO_STACK_LOCATION.0) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.121) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.121) ?v_0) (= (type alloc.113) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.121) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.121) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.121) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.120) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.120) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.120) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.120) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.120) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.118) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.119) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.118) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.118) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.118) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.118) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.119) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.119) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.119) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.119) ?v_0) (= (type alloc.112) ?v_1) (= (type Mem_3_T.P_IRP.87) ?v_0) (= (type Mem_1_T.P_IRP.87) ?v_0) (= (type Mem_0_T.P_IRP.88) ?v_0) (= (type Mem_2_T.P_IRP.87) ?v_0) (= (type Mem_4_T.P_IRP.87) ?v_0) (= (type Mem_0_T.P_IRP.87) ?v_0) (= (type Mem_1_T.P_IRP.88) ?v_0) (= (type Mem_2_T.P_IRP.88) ?v_0) (= (type Mem_3_T.P_IRP.88) ?v_0) (= (type Mem_4_T.P_IRP.88) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.115) ?v_0) (= (type Mem_3_T.P_IRP.86) ?v_0) (= (type Mem_1_T.P_IRP.86) ?v_0) (= (type Mem_0_T.P_IRP.86) ?v_0) (= (type Mem_2_T.P_IRP.86) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.115) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.115) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.115) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.115) ?v_0) (= (type Mem_4_T.P_IRP.86) ?v_0) (= (type Mem_3_T.P_IRP.82) ?v_0) (= (type Mem_1_T.P_IRP.82) ?v_0) (= (type Mem_0_T.P_IRP.85) ?v_0) (= (type Mem_2_T.P_IRP.82) ?v_0) (= (type Mem_4_T.P_IRP.82) ?v_0) (= (type Mem_0_T.P_IRP.82) ?v_0) (= (type Mem_1_T.P_IRP.83) ?v_0) (= (type Mem_2_T.P_IRP.83) ?v_0) (= (type Mem_3_T.P_IRP.83) ?v_0) (= (type Mem_4_T.P_IRP.83) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.117) ?v_0) (= (type Mem_3_T.P_IRP.85) ?v_0) (= (type Mem_1_T.P_IRP.85) ?v_0) (= (type Mem_0_T.P_IRP.84) ?v_0) (= (type Mem_2_T.P_IRP.85) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.117) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.117) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.117) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.117) ?v_0) (= (type Mem_4_T.P_IRP.85) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.116) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.116) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.116) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.116) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.116) ?v_0) (= (type Mem_0_T.P_IRP.83) ?v_0) (= (type Mem_1_T.P_IRP.84) ?v_0) (= (type Mem_2_T.P_IRP.84) ?v_0) (= (type Mem_3_T.P_IRP.84) ?v_0) (= (type Mem_4_T.P_IRP.84) ?v_0) (= (type alloc.111) ?v_1) (= (type alloc.104) ?v_1) (= (type alloc.109) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.112) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.112) ?v_0) (= (type Mem_4_T.P_IRP.81) ?v_0) (= (type Mem_0_T.P_IRP.81) ?v_0) (= (type Mem_1_T.P_IRP.81) ?v_0) (= (type Mem_2_T.P_IRP.81) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.112) ?v_0) (= (type Mem_3_T.P_IRP.81) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.112) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.112) ?v_0) (= (type Mem_4_T.Cancel__IRP.2) ?v_0) (= (type alloc.108) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.111) ?v_0) (= (type Mem_4_T.P_IRP.80) ?v_0) (= (type Mem_0_T.P_IRP.80) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.111) ?v_0) (= (type Mem_2_T.P_IRP.80) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.111) ?v_0) (= (type Mem_3_T.P_IRP.80) ?v_0) (= (type Mem_1_T.P_IRP.80) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.111) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.111) ?v_0) (= (type Mem_0_T.P_IRP.79) ?v_0) (= (type Mem_1_T.P_IRP.79) ?v_0) (= (type Mem_2_T.P_IRP.79) ?v_0) (= (type Mem_3_T.P_IRP.79) ?v_0) (= (type Mem_4_T.P_IRP.79) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.110) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.110) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.110) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.110) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.110) ?v_0) (= (type alloc.103) ?v_1) (= (type alloc.100) ?v_1) (= (type alloc.101) ?v_1) (= (type alloc.102) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.114) ?v_0) (= (type alloc.110) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.114) ?v_0) (= (type Mem_2_T.P_IRP.76) ?v_0) (= (type Mem_4_T.P_IRP.76) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.114) ?v_0) (= (type Mem_3_T.P_IRP.76) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.114) ?v_0) (= (type Mem_0_T.P_IRP.76) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.114) ?v_0) (= (type Mem_1_T.P_IRP.76) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.113) ?v_0) (= (type alloc.106) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.113) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.113) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.113) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.113) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.106) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.106) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.106) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.106) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.106) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.104) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.105) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.104) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.104) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.104) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.104) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.105) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.105) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.105) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.105) ?v_0) (= (type alloc.105) ?v_1) (= (type Mem_3_T.P_IRP.74) ?v_0) (= (type Mem_1_T.P_IRP.74) ?v_0) (= (type Mem_0_T.P_IRP.75) ?v_0) (= (type Mem_2_T.P_IRP.74) ?v_0) (= (type Mem_4_T.P_IRP.74) ?v_0) (= (type Mem_0_T.P_IRP.74) ?v_0) (= (type Mem_1_T.P_IRP.75) ?v_0) (= (type Mem_2_T.P_IRP.75) ?v_0) (= (type Mem_3_T.P_IRP.75) ?v_0) (= (type Mem_4_T.P_IRP.75) ?v_0) (= (type Mem_2_T.P_IRP.73) ?v_0) (= (type Mem_0_T.P_IRP.73) ?v_0) (= (type Mem_1_T.P_IRP.73) ?v_0) (= (type Mem_3_T.P_IRP.73) ?v_0) (= (type Mem_4_T.P_IRP.73) ?v_0) (= (type Mem_0_T.P_IRP.70) ?v_0) (= (type Mem_1_T.P_IRP.70) ?v_0) (= (type Mem_2_T.P_IRP.70) ?v_0) (= (type Mem_3_T.P_IRP.70) ?v_0) (= (type Mem_4_T.P_IRP.72) ?v_0) (= (type Mem_2_T.P_IRP.72) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.103) ?v_0) (= (type Mem_0_T.P_IRP.72) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.103) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.103) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.103) ?v_0) (= (type Mem_1_T.P_IRP.72) ?v_0) (= (type Mem_3_T.P_IRP.72) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.103) ?v_0) (= (type Mem_4_T.P_IRP.71) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.102) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.102) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.102) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.102) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.102) ?v_0) (= (type Mem_0_T.P_IRP.71) ?v_0) (= (type Mem_1_T.P_IRP.71) ?v_0) (= (type Mem_2_T.P_IRP.71) ?v_0) (= (type Mem_3_T.P_IRP.71) ?v_0) (= (type Mem_4_T.P_IRP.70) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.109) ?v_0) (= (type alloc.107) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.109) ?v_0) (= (type Mem_2_T.P_IRP.78) ?v_0) (= (type Mem_4_T.P_IRP.78) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.109) ?v_0) (= (type Mem_3_T.P_IRP.78) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.109) ?v_0) (= (type Mem_0_T.P_IRP.78) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.109) ?v_0) (= (type Mem_1_T.P_IRP.78) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.108) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.108) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.108) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.108) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.108) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.107) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.107) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.107) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.107) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.107) ?v_0) (= (type Mem_0_T.P_IRP.77) ?v_0) (= (type Mem_1_T.P_IRP.77) ?v_0) (= (type Mem_2_T.P_IRP.77) ?v_0) (= (type Mem_3_T.P_IRP.77) ?v_0) (= (type Mem_4_T.P_IRP.77) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.100) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.100) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.100) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.100) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.100) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.99) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.99) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.99) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.99) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.99) ?v_0) (= (type alloc.98) ?v_1) (= (type alloc.97) ?v_1) (= (type Mem_4_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.69) ?v_0) (= (type Mem_0_T.P_IRP.46) ?v_0) (= (type alloc.76) ?v_1) (= (type Mem_1_T.Cancel__IRP) ?v_0) (= (type Mem_2_T.P_IRP.46) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.69) ?v_0) (= (type Mem_4_T.P_IRP.46) ?v_0) (= (type Mem_0_T.Cancel__IRP) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.69) ?v_0) (= (type Mem_4_T.Cancel__IRP) ?v_0) (= (type Mem_3_T.P_IRP.46) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.69) ?v_0) (= (type Mem_3_T.Cancel__IRP) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.69) ?v_0) (= (type Mem_2_T.Cancel__IRP) ?v_0) (= (type Mem_1_T.P_IRP.46) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.97) ?v_0) (= (type Mem_0_T.P_IRP.68) ?v_0) (= (type alloc.95) ?v_1) (= (type Mem_1_T.Cancel__IRP.1) ?v_0) (= (type Mem_2_T.P_IRP.68) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.97) ?v_0) (= (type Mem_4_T.P_IRP.68) ?v_0) (= (type Mem_0_T.Cancel__IRP.1) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.97) ?v_0) (= (type Mem_4_T.Cancel__IRP.1) ?v_0) (= (type Mem_3_T.P_IRP.68) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.97) ?v_0) (= (type Mem_3_T.Cancel__IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.97) ?v_0) (= (type Mem_2_T.Cancel__IRP.1) ?v_0) (= (type Mem_1_T.P_IRP.68) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.74) ?v_0) (= (type alloc.77) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.74) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.74) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.74) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.74) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.96) ?v_0) (= (type Mem_0_T.P_IRP.67) ?v_0) (= (type alloc.94) ?v_1) (= (type Mem_2_T.P_IRP.67) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.96) ?v_0) (= (type Mem_4_T.P_IRP.67) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.96) ?v_0) (= (type Mem_3_T.P_IRP.67) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.96) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.96) ?v_0) (= (type Mem_1_T.P_IRP.67) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.95) ?v_0) (= (type alloc.93) ?v_1) (= (type Mem_2_T.P_IRP.66) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.95) ?v_0) (= (type Mem_4_T.P_IRP.66) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.95) ?v_0) (= (type Mem_3_T.P_IRP.66) ?v_0) (= (type Mem_0_T.P_IRP.66) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.95) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.95) ?v_0) (= (type Mem_1_T.P_IRP.66) ?v_0) (= (type alloc.92) ?v_1) (= (type Mem_4_T.CancelRoutine__IRP.94) ?v_0) (= (type alloc.91) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.94) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.94) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.94) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.94) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.93) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.93) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.93) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.93) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.93) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.91) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.92) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.91) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.91) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.91) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.91) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.92) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.92) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.92) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.92) ?v_0) (= (type alloc.89) ?v_1) (= (type Mem_3_T.P_IRP.64) ?v_0) (= (type Mem_1_T.P_IRP.64) ?v_0) (= (type Mem_0_T.P_IRP.65) ?v_0) (= (type Mem_2_T.P_IRP.64) ?v_0) (= (type Mem_4_T.P_IRP.64) ?v_0) (= (type Mem_0_T.P_IRP.64) ?v_0) (= (type Mem_1_T.P_IRP.65) ?v_0) (= (type Mem_2_T.P_IRP.65) ?v_0) (= (type Mem_3_T.P_IRP.65) ?v_0) (= (type Mem_4_T.P_IRP.65) ?v_0) (= (type Mem_2_T.P_IRP.59) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.85) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.85) ?v_0) (= (type Mem_0_T.P_IRP.59) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.85) ?v_0) (= (type Mem_1_T.P_IRP.59) ?v_0) (= (type Mem_3_T.P_IRP.59) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.85) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.85) ?v_0) (= (type Mem_4_T.P_IRP.59) ?v_0) (= (type Mem_3_T.P_IRP.57) ?v_0) (= (type Mem_1_T.P_IRP.57) ?v_0) (= (type Mem_0_T.P_IRP.58) ?v_0) (= (type Mem_2_T.P_IRP.57) ?v_0) (= (type Mem_4_T.P_IRP.57) ?v_0) (= (type Mem_0_T.P_IRP.57) ?v_0) (= (type Mem_1_T.P_IRP.58) ?v_0) (= (type Mem_2_T.P_IRP.58) ?v_0) (= (type Mem_3_T.P_IRP.58) ?v_0) (= (type Mem_4_T.P_IRP.58) ?v_0) (= (type Mem_2_T.P_IRP.61) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.90) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.90) ?v_0) (= (type Mem_0_T.P_IRP.61) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.90) ?v_0) (= (type Mem_1_T.P_IRP.61) ?v_0) (= (type Mem_3_T.P_IRP.61) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.90) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.90) ?v_0) (= (type Mem_4_T.P_IRP.61) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.89) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.89) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.89) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.89) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.89) ?v_0) (= (type Mem_0_T.P_IRP.60) ?v_0) (= (type Mem_1_T.P_IRP.60) ?v_0) (= (type Mem_2_T.P_IRP.60) ?v_0) (= (type Mem_3_T.P_IRP.60) ?v_0) (= (type Mem_4_T.P_IRP.60) ?v_0) (= (type alloc.88) ?v_1) (= (type alloc.83) ?v_1) (= (type alloc.85) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.78) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.78) ?v_0) (= (type Mem_0_T.P_IRP.53) ?v_0) (= (type Mem_4_T.P_IRP.53) ?v_0) (= (type Mem_1_T.P_IRP.53) ?v_0) (= (type Mem_2_T.P_IRP.53) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.78) ?v_0) (= (type Mem_3_T.P_IRP.53) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.78) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.78) ?v_0) (= (type alloc.84) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.76) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.76) ?v_0) (= (type Mem_0_T.P_IRP.52) ?v_0) (= (type Mem_4_T.P_IRP.52) ?v_0) (= (type Mem_1_T.P_IRP.52) ?v_0) (= (type Mem_2_T.P_IRP.52) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.76) ?v_0) (= (type Mem_3_T.P_IRP.52) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.76) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.76) ?v_0) (= (type Mem_0_T.P_IRP.47) ?v_0) (= (type Mem_1_T.P_IRP.47) ?v_0) (= (type Mem_2_T.P_IRP.47) ?v_0) (= (type Mem_3_T.P_IRP.51) ?v_0) (= (type Mem_4_T.P_IRP.47) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.75) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.75) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.75) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.75) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.75) ?v_0) (= (type alloc.81) ?v_1) (= (type alloc.78) ?v_1) (= (type alloc.79) ?v_1) (= (type alloc.80) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.84) ?v_0) (= (type alloc.87) ?v_1) (= (type Mem_2_T.P_IRP.56) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.84) ?v_0) (= (type Mem_4_T.P_IRP.56) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.84) ?v_0) (= (type Mem_3_T.P_IRP.56) ?v_0) (= (type Mem_0_T.P_IRP.56) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.84) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.84) ?v_0) (= (type Mem_1_T.P_IRP.56) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.83) ?v_0) (= (type alloc.86) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.83) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.83) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.83) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.83) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.82) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.82) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.82) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.82) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.82) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.80) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.81) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.80) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.80) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.80) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.80) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.81) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.81) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.81) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.81) ?v_0) (= (type alloc.82) ?v_1) (= (type Mem_3_T.P_IRP.54) ?v_0) (= (type Mem_1_T.P_IRP.54) ?v_0) (= (type Mem_0_T.P_IRP.55) ?v_0) (= (type Mem_2_T.P_IRP.54) ?v_0) (= (type Mem_4_T.P_IRP.54) ?v_0) (= (type Mem_0_T.P_IRP.54) ?v_0) (= (type Mem_1_T.P_IRP.55) ?v_0) (= (type Mem_2_T.P_IRP.55) ?v_0) (= (type Mem_3_T.P_IRP.55) ?v_0) (= (type Mem_4_T.P_IRP.55) ?v_0) (= (type Mem_0_T.P_IRP.51) ?v_0) (= (type Mem_2_T.P_IRP.51) ?v_0) (= (type Mem_1_T.P_IRP.51) ?v_0) (= (type Mem_3_T.P_IRP.50) ?v_0) (= (type Mem_4_T.P_IRP.51) ?v_0) (= (type Mem_0_T.P_IRP.48) ?v_0) (= (type Mem_1_T.P_IRP.48) ?v_0) (= (type Mem_2_T.P_IRP.48) ?v_0) (= (type Mem_3_T.P_IRP.47) ?v_0) (= (type Mem_4_T.P_IRP.48) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.79) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.79) ?v_0) (= (type Mem_0_T.P_IRP.50) ?v_0) (= (type Mem_2_T.P_IRP.50) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.79) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.79) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.79) ?v_0) (= (type Mem_1_T.P_IRP.50) ?v_0) (= (type Mem_3_T.P_IRP.49) ?v_0) (= (type Mem_4_T.P_IRP.50) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.77) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.77) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.77) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.77) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.77) ?v_0) (= (type Mem_0_T.P_IRP.49) ?v_0) (= (type Mem_1_T.P_IRP.49) ?v_0) (= (type Mem_2_T.P_IRP.49) ?v_0) (= (type Mem_3_T.P_IRP.48) ?v_0) (= (type Mem_4_T.P_IRP.49) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.88) ?v_0) (= (type Mem_0_T.P_IRP.63) ?v_0) (= (type alloc.90) ?v_1) (= (type Mem_2_T.P_IRP.63) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.88) ?v_0) (= (type Mem_4_T.P_IRP.63) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.88) ?v_0) (= (type Mem_3_T.P_IRP.63) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.88) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.88) ?v_0) (= (type Mem_1_T.P_IRP.63) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.87) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.87) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.87) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.87) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.87) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.86) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.86) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.86) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.86) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.86) ?v_0) (= (type Mem_0_T.P_IRP.62) ?v_0) (= (type Mem_1_T.P_IRP.62) ?v_0) (= (type Mem_2_T.P_IRP.62) ?v_0) (= (type Mem_3_T.P_IRP.62) ?v_0) (= (type Mem_4_T.P_IRP.62) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.73) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.73) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.73) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.73) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.73) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.71) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.72) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.71) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.71) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.71) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.71) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.72) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.72) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.72) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.72) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.70) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.70) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.70) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.70) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.70) ?v_0) (= (type Mem_0_T.Cancel__IRP.0) ?v_0) (= (type Mem_1_T.Cancel__IRP.0) ?v_0) (= (type Mem_2_T.Cancel__IRP.0) ?v_0) (= (type Mem_3_T.Cancel__IRP.0) ?v_0) (= (type Mem_4_T.Cancel__IRP.0) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.13) ?v_0) (= (type Mem_0_T.P_IRP) ?v_0) (= (type Mem_4_T.P_IRP) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.13) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.13) ?v_0) (= (type alloc.11) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.13) ?v_0) (= (type Mem_3_T.P_IRP) ?v_0) (= (type Mem_2_T.P_IRP) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.13) ?v_0) (= (type Mem_1_T.P_IRP) ?v_0) (= (type alloc.10) ?v_1) (= (type Mem_4_T.CancelRoutine__IRP.12) ?v_0) (= (type alloc.4) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.12) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.12) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.12) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.12) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.11) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.11) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.11) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.11) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.11) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.2) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.7) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.2) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.2) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.2) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.2) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.7) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.7) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.7) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.10) ?v_0) (= (type alloc.2) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.6) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.6) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.6) ?v_0) (= (type alloc.7) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.6) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.6) ?v_0) (= (type alloc.6) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.68) ?v_0) (= (type Mem_0_T.P_IRP.45) ?v_0) (= (type Mem_4_T.P_IRP.45) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.68) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.68) ?v_0) (= (type alloc.75) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.68) ?v_0) (= (type Mem_3_T.P_IRP.45) ?v_0) (= (type Mem_2_T.P_IRP.45) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.68) ?v_0) (= (type Mem_1_T.P_IRP.45) ?v_0) (= (type alloc.74) ?v_1) (= (type Mem_4_T.CancelRoutine__IRP.18) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.18) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.18) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.18) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.18) ?v_0) (= (type alloc.27) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.17) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.17) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.17) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.17) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.17) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.16) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.16) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.16) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.16) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.16) ?v_0) (= (type alloc.12) ?v_1) (= (type Mem_4_T.CancelRoutine__IRP.15) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.15) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.15) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.15) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.15) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.14) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.14) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.14) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.14) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.14) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.67) ?v_0) (= (type Mem_0_T.P_IRP.44) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.67) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.67) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.67) ?v_0) (= (type Mem_2_T.P_IRP.44) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.67) ?v_0) (= (type Mem_4_T.P_IRP.44) ?v_0) (= (type Mem_1_T.P_IRP.44) ?v_0) (= (type alloc.73) ?v_1) (= (type Mem_3_T.P_IRP.44) ?v_0) (= (type alloc.72) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.65) ?v_0) (= (type alloc.69) ?v_1) (= (type Mem_2_T.P_IRP.43) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.65) ?v_0) (= (type Mem_4_T.P_IRP.43) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.65) ?v_0) (= (type Mem_3_T.P_IRP.43) ?v_0) (= (type Mem_0_T.P_IRP.43) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.65) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.65) ?v_0) (= (type Mem_1_T.P_IRP.43) ?v_0) (= (type alloc.68) ?v_1) (= (type Mem_4_T.CancelRoutine__IRP.64) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.64) ?v_0) (= (type alloc.67) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.64) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.64) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.64) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.63) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.63) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.63) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.63) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.63) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.61) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.62) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.61) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.61) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.61) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.61) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.62) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.62) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.62) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.62) ?v_0) (= (type alloc.66) ?v_1) (= (type Mem_3_T.P_IRP.41) ?v_0) (= (type Mem_1_T.P_IRP.41) ?v_0) (= (type Mem_0_T.P_IRP.42) ?v_0) (= (type Mem_2_T.P_IRP.41) ?v_0) (= (type Mem_4_T.P_IRP.41) ?v_0) (= (type Mem_0_T.P_IRP.41) ?v_0) (= (type Mem_1_T.P_IRP.42) ?v_0) (= (type Mem_2_T.P_IRP.42) ?v_0) (= (type Mem_3_T.P_IRP.42) ?v_0) (= (type Mem_4_T.P_IRP.42) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.58) ?v_0) (= (type Mem_1_T.P_IRP.38) ?v_0) (= (type Mem_0_T.P_IRP.38) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.58) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.58) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.58) ?v_0) (= (type Mem_3_T.P_IRP.38) ?v_0) (= (type Mem_2_T.P_IRP.38) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.58) ?v_0) (= (type Mem_4_T.P_IRP.38) ?v_0) (= (type Mem_3_T.P_IRP.36) ?v_0) (= (type Mem_1_T.P_IRP.36) ?v_0) (= (type Mem_0_T.P_IRP.37) ?v_0) (= (type Mem_2_T.P_IRP.36) ?v_0) (= (type Mem_4_T.P_IRP.36) ?v_0) (= (type Mem_0_T.P_IRP.36) ?v_0) (= (type Mem_1_T.P_IRP.37) ?v_0) (= (type Mem_2_T.P_IRP.37) ?v_0) (= (type Mem_3_T.P_IRP.37) ?v_0) (= (type Mem_4_T.P_IRP.37) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.60) ?v_0) (= (type Mem_1_T.P_IRP.40) ?v_0) (= (type Mem_0_T.P_IRP.40) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.60) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.60) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.60) ?v_0) (= (type Mem_3_T.P_IRP.40) ?v_0) (= (type Mem_2_T.P_IRP.40) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.60) ?v_0) (= (type Mem_4_T.P_IRP.40) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.59) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.59) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.59) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.59) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.59) ?v_0) (= (type Mem_0_T.P_IRP.39) ?v_0) (= (type Mem_1_T.P_IRP.39) ?v_0) (= (type Mem_2_T.P_IRP.39) ?v_0) (= (type Mem_3_T.P_IRP.39) ?v_0) (= (type Mem_4_T.P_IRP.39) ?v_0) (= (type alloc.65) ?v_1) (= (type alloc.62) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.53) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.53) ?v_0) (= (type Mem_0_T.P_IRP.32) ?v_0) (= (type Mem_4_T.P_IRP.32) ?v_0) (= (type Mem_1_T.P_IRP.32) ?v_0) (= (type Mem_2_T.P_IRP.32) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.53) ?v_0) (= (type Mem_3_T.P_IRP.32) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.53) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.53) ?v_0) (= (type alloc.64) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.57) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.57) ?v_0) (= (type Mem_0_T.P_IRP.35) ?v_0) (= (type Mem_4_T.P_IRP.35) ?v_0) (= (type Mem_1_T.P_IRP.35) ?v_0) (= (type Mem_2_T.P_IRP.35) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.57) ?v_0) (= (type Mem_3_T.P_IRP.35) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.57) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.57) ?v_0) (= (type alloc.63) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.56) ?v_0) (= (type Mem_4_T.P_IRP.34) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.56) ?v_0) (= (type Mem_1_T.P_IRP.34) ?v_0) (= (type Mem_2_T.P_IRP.34) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.56) ?v_0) (= (type Mem_0_T.P_IRP.34) ?v_0) (= (type Mem_3_T.P_IRP.34) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.56) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.56) ?v_0) (= (type Mem_0_T.P_IRP.33) ?v_0) (= (type Mem_1_T.P_IRP.33) ?v_0) (= (type Mem_2_T.P_IRP.33) ?v_0) (= (type Mem_3_T.P_IRP.33) ?v_0) (= (type Mem_4_T.P_IRP.33) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.55) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.55) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.55) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.55) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.55) ?v_0) (= (type alloc.61) ?v_1) (= (type alloc.58) ?v_1) (= (type alloc.57) ?v_1) (= (type alloc.59) ?v_1) (= (type alloc.60) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.66) ?v_0) (= (type alloc.71) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.66) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.66) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.66) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.66) ?v_0) (= (type alloc.70) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.54) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.54) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.54) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.54) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.54) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.52) ?v_0) (= (type alloc.56) ?v_1) (= (type Mem_2_T.P_IRP.31) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.52) ?v_0) (= (type Mem_4_T.P_IRP.31) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.52) ?v_0) (= (type Mem_3_T.P_IRP.31) ?v_0) (= (type Mem_0_T.P_IRP.31) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.52) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.52) ?v_0) (= (type Mem_1_T.P_IRP.31) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.21) ?v_0) (= (type alloc.28) ?v_1) (= (type Mem_2_T.P_IRP.1) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.21) ?v_0) (= (type Mem_4_T.P_IRP.1) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.21) ?v_0) (= (type Mem_3_T.P_IRP.1) ?v_0) (= (type Mem_0_T.P_IRP.1) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.21) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.21) ?v_0) (= (type Mem_1_T.P_IRP.1) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.40) ?v_0) (= (type alloc.44) ?v_1) (= (type Mem_2_T.P_IRP.20) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.40) ?v_0) (= (type Mem_4_T.P_IRP.20) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.40) ?v_0) (= (type Mem_3_T.P_IRP.20) ?v_0) (= (type Mem_0_T.P_IRP.20) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.40) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.40) ?v_0) (= (type Mem_1_T.P_IRP.20) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.39) ?v_0) (= (type alloc.43) ?v_1) (= (type Mem_2_T.P_IRP.19) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.39) ?v_0) (= (type Mem_4_T.P_IRP.19) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.39) ?v_0) (= (type Mem_3_T.P_IRP.19) ?v_0) (= (type Mem_0_T.P_IRP.19) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.39) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.39) ?v_0) (= (type Mem_1_T.P_IRP.19) ?v_0) (= (type alloc.42) ?v_1) (= (type alloc.41) ?v_1) (= (type Mem_4_T.CancelRoutine__IRP.38) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.38) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.38) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.38) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.38) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.37) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.37) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.37) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.37) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.37) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.35) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.36) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.35) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.35) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.35) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.35) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.36) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.36) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.36) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.36) ?v_0) (= (type alloc.39) ?v_1) (= (type Mem_3_T.P_IRP.17) ?v_0) (= (type Mem_1_T.P_IRP.17) ?v_0) (= (type Mem_0_T.P_IRP.18) ?v_0) (= (type Mem_2_T.P_IRP.17) ?v_0) (= (type Mem_4_T.P_IRP.17) ?v_0) (= (type Mem_0_T.P_IRP.17) ?v_0) (= (type Mem_1_T.P_IRP.18) ?v_0) (= (type Mem_2_T.P_IRP.18) ?v_0) (= (type Mem_3_T.P_IRP.18) ?v_0) (= (type Mem_4_T.P_IRP.18) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.30) ?v_0) (= (type Mem_4_T.P_IRP.14) ?v_0) (= (type Mem_0_T.P_IRP.14) ?v_0) (= (type Mem_2_T.P_IRP.14) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.30) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.30) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.30) ?v_0) (= (type Mem_1_T.P_IRP.14) ?v_0) (= (type Mem_3_T.P_IRP.14) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.30) ?v_0) (= (type Mem_3_T.P_IRP.12) ?v_0) (= (type Mem_1_T.P_IRP.12) ?v_0) (= (type Mem_0_T.P_IRP.13) ?v_0) (= (type Mem_2_T.P_IRP.12) ?v_0) (= (type Mem_4_T.P_IRP.12) ?v_0) (= (type Mem_0_T.P_IRP.12) ?v_0) (= (type Mem_1_T.P_IRP.13) ?v_0) (= (type Mem_2_T.P_IRP.13) ?v_0) (= (type Mem_3_T.P_IRP.13) ?v_0) (= (type Mem_4_T.P_IRP.13) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.34) ?v_0) (= (type Mem_4_T.P_IRP.16) ?v_0) (= (type Mem_0_T.P_IRP.16) ?v_0) (= (type Mem_2_T.P_IRP.16) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.34) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.34) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.34) ?v_0) (= (type Mem_1_T.P_IRP.16) ?v_0) (= (type Mem_3_T.P_IRP.16) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.34) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.33) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.33) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.33) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.33) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.33) ?v_0) (= (type Mem_0_T.P_IRP.15) ?v_0) (= (type Mem_1_T.P_IRP.15) ?v_0) (= (type Mem_2_T.P_IRP.15) ?v_0) (= (type Mem_3_T.P_IRP.15) ?v_0) (= (type Mem_4_T.P_IRP.15) ?v_0) (= (type alloc.38) ?v_1) (= (type alloc.33) ?v_1) (= (type alloc.37) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.29) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.29) ?v_0) (= (type Mem_0_T.P_IRP.11) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.29) ?v_0) (= (type Mem_4_T.P_IRP.11) ?v_0) (= (type Mem_2_T.P_IRP.11) ?v_0) (= (type Mem_3_T.P_IRP.11) ?v_0) (= (type Mem_1_T.P_IRP.11) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.29) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.29) ?v_0) (= (type alloc.36) ?v_1) (= (type Mem_2_T.CancelRoutine__IRP.28) ?v_0) (= (type Mem_0_T.P_IRP.10) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.28) ?v_0) (= (type Mem_1_T.P_IRP.10) ?v_0) (= (type Mem_2_T.P_IRP.10) ?v_0) (= (type Mem_3_T.P_IRP.10) ?v_0) (= (type Mem_4_T.P_IRP.10) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.28) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.28) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.28) ?v_0) (= (type Mem_0_T.P_IRP.9) ?v_0) (= (type Mem_1_T.P_IRP.9) ?v_0) (= (type Mem_2_T.P_IRP.9) ?v_0) (= (type Mem_3_T.P_IRP.9) ?v_0) (= (type Mem_4_T.P_IRP.9) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.27) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.27) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.27) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.27) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.27) ?v_0) (= (type alloc.32) ?v_1) (= (type alloc.29) ?v_1) (= (type alloc.30) ?v_1) (= (type alloc.31) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.32) ?v_0) (= (type alloc.40) ?v_1) (= (type Mem_2_T.P_IRP.8) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.32) ?v_0) (= (type Mem_4_T.P_IRP.8) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.32) ?v_0) (= (type Mem_3_T.P_IRP.8) ?v_0) (= (type Mem_0_T.P_IRP.8) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.32) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.32) ?v_0) (= (type Mem_1_T.P_IRP.8) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.31) ?v_0) (= (type alloc.35) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.31) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.31) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.31) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.31) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.26) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.26) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.26) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.26) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.26) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.24) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.25) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.24) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.24) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.24) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.24) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.25) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.25) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.25) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.25) ?v_0) (= (type alloc.34) ?v_1) (= (type Mem_3_T.P_IRP.6) ?v_0) (= (type Mem_1_T.P_IRP.6) ?v_0) (= (type Mem_0_T.P_IRP.7) ?v_0) (= (type Mem_2_T.P_IRP.6) ?v_0) (= (type Mem_4_T.P_IRP.6) ?v_0) (= (type Mem_0_T.P_IRP.6) ?v_0) (= (type Mem_1_T.P_IRP.7) ?v_0) (= (type Mem_2_T.P_IRP.7) ?v_0) (= (type Mem_3_T.P_IRP.7) ?v_0) (= (type Mem_4_T.P_IRP.7) ?v_0) (= (type Mem_1_T.P_IRP.4) ?v_0) (= (type Mem_0_T.P_IRP.4) ?v_0) (= (type Mem_3_T.P_IRP.4) ?v_0) (= (type Mem_2_T.P_IRP.4) ?v_0) (= (type Mem_4_T.P_IRP.3) ?v_0) (= (type Mem_0_T.P_IRP.2) ?v_0) (= (type Mem_1_T.P_IRP.2) ?v_0) (= (type Mem_2_T.P_IRP.2) ?v_0) (= (type Mem_3_T.P_IRP.2) ?v_0) (= (type Mem_4_T.P_IRP.2) ?v_0) (= (type Mem_1_T.P_IRP.5) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.23) ?v_0) (= (type Mem_0_T.P_IRP.5) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.23) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.23) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.23) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.23) ?v_0) (= (type Mem_3_T.P_IRP.5) ?v_0) (= (type Mem_2_T.P_IRP.5) ?v_0) (= (type Mem_4_T.P_IRP.5) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.22) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.22) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.22) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.22) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.22) ?v_0) (= (type Mem_0_T.P_IRP.3) ?v_0) (= (type Mem_1_T.P_IRP.3) ?v_0) (= (type Mem_2_T.P_IRP.3) ?v_0) (= (type Mem_3_T.P_IRP.3) ?v_0) (= (type Mem_4_T.P_IRP.4) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.51) ?v_0) (= (type alloc.55) ?v_1) (= (type Mem_2_T.P_IRP.30) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.51) ?v_0) (= (type Mem_4_T.P_IRP.30) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.51) ?v_0) (= (type Mem_3_T.P_IRP.30) ?v_0) (= (type Mem_0_T.P_IRP.30) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.51) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.51) ?v_0) (= (type Mem_1_T.P_IRP.30) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.50) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.50) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.50) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.50) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.50) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.49) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.49) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.49) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.49) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.49) ?v_0) (= (type Mem_0_T.P_IRP.29) ?v_0) (= (type Mem_1_T.P_IRP.29) ?v_0) (= (type Mem_2_T.P_IRP.29) ?v_0) (= (type Mem_3_T.P_IRP.29) ?v_0) (= (type Mem_4_T.P_IRP.29) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.20) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.20) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.20) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.20) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.20) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.19) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.19) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.19) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.19) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.19) ?v_0) (= (type alloc.17) ?v_1) (= (type alloc.16) ?v_1) (= (type alloc.13) ?v_1) (= (type alloc.14) ?v_1) (= (type alloc.15) ?v_1) (= (type Mem_4_T.CancelRoutine__IRP.48) ?v_0) (= (type Mem_0_T.P_IRP.28) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.48) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.48) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.48) ?v_0) (= (type Mem_2_T.P_IRP.28) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.48) ?v_0) (= (type Mem_4_T.P_IRP.28) ?v_0) (= (type Mem_1_T.P_IRP.28) ?v_0) (= (type alloc.54) ?v_1) (= (type Mem_3_T.P_IRP.28) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.47) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.47) ?v_0) (= (type Mem_2_T.P_IRP.27) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.47) ?v_0) (= (type Mem_0_T.P_IRP.27) ?v_0) (= (type Mem_4_T.P_IRP.27) ?v_0) (= (type Mem_3_T.P_IRP.27) ?v_0) (= (type Mem_1_T.P_IRP.27) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.47) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.47) ?v_0) (= (type alloc.53) ?v_1) (= (type alloc.52) ?v_1) (= (type Mem_4_T.CancelRoutine__IRP.46) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.46) ?v_0) (= (type alloc.51) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.46) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.46) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.46) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.45) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.45) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.45) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.45) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.45) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.43) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.44) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.43) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.43) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.43) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.43) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.44) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.44) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.44) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.44) ?v_0) (= (type alloc.50) ?v_1) (= (type Mem_3_T.P_IRP.25) ?v_0) (= (type Mem_1_T.P_IRP.25) ?v_0) (= (type Mem_0_T.P_IRP.26) ?v_0) (= (type Mem_2_T.P_IRP.25) ?v_0) (= (type Mem_4_T.P_IRP.25) ?v_0) (= (type Mem_0_T.P_IRP.25) ?v_0) (= (type Mem_1_T.P_IRP.26) ?v_0) (= (type Mem_2_T.P_IRP.26) ?v_0) (= (type Mem_3_T.P_IRP.26) ?v_0) (= (type Mem_4_T.P_IRP.26) ?v_0) (= (type Mem_0_T.P_IRP.22) ?v_0) (= (type Mem_2_T.P_IRP.22) ?v_0) (= (type Mem_1_T.P_IRP.22) ?v_0) (= (type Mem_3_T.P_IRP.22) ?v_0) (= (type Mem_4_T.P_IRP.22) ?v_0) (= (type Mem_0_T.P_IRP.21) ?v_0) (= (type Mem_1_T.P_IRP.21) ?v_0) (= (type Mem_2_T.P_IRP.21) ?v_0) (= (type Mem_3_T.P_IRP.21) ?v_0) (= (type Mem_4_T.P_IRP.21) ?v_0) (= (type Mem_0_T.P_IRP.24) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.42) ?v_0) (= (type Mem_2_T.P_IRP.24) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.42) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.42) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.42) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.42) ?v_0) (= (type Mem_1_T.P_IRP.24) ?v_0) (= (type Mem_3_T.P_IRP.24) ?v_0) (= (type Mem_4_T.P_IRP.24) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.41) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.41) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.41) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.41) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.41) ?v_0) (= (type Mem_0_T.P_IRP.23) ?v_0) (= (type Mem_1_T.P_IRP.23) ?v_0) (= (type Mem_2_T.P_IRP.23) ?v_0) (= (type Mem_3_T.P_IRP.23) ?v_0) (= (type Mem_4_T.P_IRP.23) ?v_0) (= (type alloc.49) ?v_1) (= (type alloc.26) ?v_1) (= (type alloc.25) ?v_1) (= (type alloc.24) ?v_1) (= (type alloc.48) ?v_1) (= (type alloc.47) ?v_1) (= (type alloc.46) ?v_1) (= (type alloc.45) ?v_1) (= (type alloc.23) ?v_1) (= (type alloc.18) ?v_1) (= (type alloc.19) ?v_1) (= (type alloc.20) ?v_1) (= (type alloc.21) ?v_1) (= (type alloc.22) ?v_1) (= (type Mem_0_T.P_IRP.0) ?v_0) (= (type Mem_1_T.P_IRP.0) ?v_0) (= (type Mem_2_T.P_IRP.0) ?v_0) (= (type Mem_3_T.P_IRP.0) ?v_0) (= (type Mem_4_T.P_IRP.0) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.10) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.10) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.10) ?v_0) (= (type alloc.9) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.10) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.9) ?v_0) (= (type alloc.8) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.9) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.9) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.8) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.9) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.9) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.8) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.8) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.8) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.8) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.7) ?v_0) (= (type alloc.5) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP.5) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.5) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.5) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.5) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.5) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.4) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.4) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.4) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.4) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.4) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.3) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.3) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.3) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.3) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.3) ?v_0) (= (type alloc.3) ?v_1) (= (type Mem_3_T.CancelRoutine__IRP) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.1) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.1) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.1) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.0) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.0) ?v_0) (= (type Mem_2_T.CancelRoutine__IRP.0) ?v_0) (= (type Mem_3_T.CancelRoutine__IRP.0) ?v_0) (= (type Mem_4_T.CancelRoutine__IRP.0) ?v_0) (= (type alloc.1) ?v_1) (= (type alloc.0) ?v_1) (= (type alloc) ?v_1) (= (type Mem_T.MajorFunction__IO_STACK_LOCATION) ?v_0))))
(assert (let ((?v_5714 (int_2_U SerialCancelCurrentWrite)) (?v_552 (int_2_U SerialCancelCurrentXoff)) (?v_4974 (int_2_U SerialCancelQueued)) (?v_8801 (int_2_U SerialFilterCancelQueued)) (?v_8453 (int_2_U hirp)) (?v_1043 (= SerialGetNextIrp 0))) (let ((?v_1515 (not ?v_1043)) (?v_5685 (= SerialGiveWriteToIsr 0)) (?v_530 (= SerialGiveXoffToIsr 0))) (let ((?v_1934 (not ?v_530)) (?v_2894 (= SerialGrabReadFromIsr 0))) (let ((?v_1491 (not ?v_2894)) (?v_7203 (= SerialGrabXoffFromIsr 0))) (let ((?v_5026 (not ?v_7203)) (?v_173 (= SerialProcessEmptyTransmit 0))) (let ((?v_1594 (not ?v_173)) (?v_7898 (= SerialUpdateAndSwitchToNew 0)) (?v_8259 (= SerialUpdateAndSwitchToUser 0)) (?v_8046 (= SerialUpdateInterruptBuffer 0)) (?v_32 (not (not (= errorReached.90 0))))) (let ((?v_52 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.125 Mem_s_1_T.CancelRoutine__IRP) (=> (= Mem_1_T.CancelRoutine__IRP.125 Mem_s_2_T.CancelRoutine__IRP) (=> (= Mem_2_T.CancelRoutine__IRP.125 Mem_s_3_T.CancelRoutine__IRP) (=> (= Mem_3_T.CancelRoutine__IRP.125 Mem_s_4_T.CancelRoutine__IRP) (=> (= Mem_0_T.Cancel__IRP.2 Mem_s_1_T.Cancel__IRP) (=> (= Mem_1_T.Cancel__IRP.2 Mem_s_2_T.Cancel__IRP) (=> (= Mem_2_T.Cancel__IRP.2 Mem_s_3_T.Cancel__IRP) (=> (= Mem_3_T.Cancel__IRP.2 Mem_s_4_T.Cancel__IRP) (=> (= Mem_0_T.DeviceExtension__DEVICE_OBJECT Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_1_T.DeviceExtension__DEVICE_OBJECT Mem_s_2_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_2_T.DeviceExtension__DEVICE_OBJECT Mem_s_3_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_3_T.DeviceExtension__DEVICE_OBJECT Mem_s_4_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_0_T.P_IRP.92 Mem_s_1_T.P_IRP) (=> (= Mem_1_T.P_IRP.92 Mem_s_2_T.P_IRP) (=> (= Mem_2_T.P_IRP.92 Mem_s_3_T.P_IRP) (=> (= Mem_3_T.P_IRP.92 Mem_s_4_T.P_IRP) (=> (= irpCompleted_0.52 irpCompleted_s_1) (=> (= irpCompleted_1.52 irpCompleted_s_2) (=> (= irpCompleted_2.52 irpCompleted_s_3) (=> (= irpCompleted_3.52 irpCompleted_s_4) (=> (= lockStatus_0.41 lockStatus_s_1) (=> (= lockStatus_1.41 lockStatus_s_2) (=> (= lockStatus_2.41 lockStatus_s_3) (=> (= lockStatus_3.41 lockStatus_s_4) (=> (= cancelLockStatus_0.90 cancelLockStatus_s_1) (=> (= cancelLockStatus_1.90 cancelLockStatus_s_2) (=> (= cancelLockStatus_2.90 cancelLockStatus_s_3) (=> (= cancelLockStatus_3.90 cancelLockStatus_s_4) (and ?v_32 (=> ?v_32 true)))))))))))))))))))))))))))))))) (?v_11 (>= 1 0)) (?v_51 (int_2_U call88382formal.new.0))) (let ((?v_54 (=> true (and ?v_11 (=> ?v_11 (=> (> call88382formal.new.0 0) (=> (forall ((?x1545 Int)) (! (=> (and (<= call88382formal.new.0 ?x1545) (< ?x1545 (+ call88382formal.new.0 1))) (= (Base ?x1545) call88382formal.new.0)) :pattern ((Base ?x1545)) )) (=> (forall ((?x1546 boogieU)) (! (=> (= (type ?x1546) intType) (or (= (U_2_int ?x1546) call88382formal.new.0) (= (MapType0Select alloc.117 ?x1546) (MapType0Select alloc.118 ?x1546)))) :pattern ((MapType0Select alloc.118 ?x1546)) )) (=> (and (= (MapType0Select alloc.117 ?v_51) UNALLOCATED) (= (MapType0Select alloc.118 ?v_51) ALLOCATED)) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.12 inline.SerialTryToCompleteCurrent.1.myVar_0.11) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= Mem_3_T.CancelRoutine__IRP.125 Mem_3_T.CancelRoutine__IRP.124) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.10 inline.KeSynchronizeExecution.10.myNondetVar_0.9) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.3 inline.SerialCancelTimer.5.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7) (=> (= cancelLockStatus_4.90 cancelLockStatus_4.89) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.6 inline.SerialRundownIrpRefs.1.myNondetVar_2.5) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.2 inline.SerialGetNextWrite.2.havoc_stringTemp.1) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.1.myVar_0.11) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.8 inline.SerialGetNextWrite.2.tempBoogie0.7) (=> (= inline.SerialCompleteRead.0..oldIrql.6.704.10.SerialCompleteRead.0 call79533formal.new.0) (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= Mem_1_T.CancelRoutine__IRP.125 Mem_1_T.CancelRoutine__IRP.124) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.4 inline.sdv_InterlockedDecrement.19.myNondetVar_0.3) (=> (= inline.IsListEmpty.6.myNondetVar_0.3 inline.IsListEmpty.6.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.9 inline.SerialGetNextIrpLocked.4.myVar_0.8) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent.0 1) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_2.0) (=> (= cancelLockStatus_0.90 cancelLockStatus_0.89) (=> (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0) (=> (= x.SerialCompleteRead.arg.2.7..6 x.SerialCompleteRead.arg.2.7..5) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2) (=> (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.3 inline.sdv_InterlockedDecrement.23.myNondetVar_0.2) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.6 inline.SerialRundownIrpRefs.1.tempBoogie0.5) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..4) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> (= inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..3) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3) (=> (= inline.SerialCompleteRead.0.havoc_stringTemp.0 call88382formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.12 inline.SerialRundownIrpRefs.1.myNondetVar_0.11) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 SerialGetNextIrp) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.SerialCompleteRead.0..result.SerialDbgPrintEx.710.20.1..1 inline.SerialCompleteRead.0..result.SerialDbgPrintEx.710.20.1..0) (=> (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0) (=> (= irpCompleted_0.52 irpCompleted_0.51) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= alloc.119 alloc.118) (=> (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.22 inline.SerialGetNextWrite.2.myNondetVar_0.21) (=> (= inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1.0 1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 0) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.5 inline.sdv_InterlockedDecrement.22.myNondetVar_0.4) (=> (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2) (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.1.myVar_0.5) (=> (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= Mem_2_T.CancelRoutine__IRP.125 Mem_2_T.CancelRoutine__IRP.124) (=> (= inline.SerialCompleteRead.0..DeferredContext.2.671.13.SerialCompleteRead1.0 x.SerialCompleteRead.arg.2.7..5) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent.0 x.SerialCompleteRead.arg.2.7..5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= Mem_2_T.P_IRP.92 Mem_2_T.P_IRP.91) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.9 inline.SerialGetNextIrpLocked.5.myVar_0.8) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..0) (=> (= irpCompleted_2.52 irpCompleted_2.51) (=> (= Mem_0_T.P_IRP.92 Mem_0_T.P_IRP.91) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= Mem_4_T.P_IRP.92 Mem_4_T.P_IRP.91) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_1.0) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2) (=> (= inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= errorReached.90 errorReached.89) (=> (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..1) (=> (= inline.RemoveHeadList.5.myNondetVar_0.5 inline.RemoveHeadList.5.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0) (=> (= cancelLockStatus_1.90 cancelLockStatus_1.89) (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.3 inline.SerialGetNextIrp.4.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.6 inline.SerialRundownIrpRefs.1.myNondetVar_1.5) (=> (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.9 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 0) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.27 inline.SerialRundownIrpRefs.1.myVar_0.26) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.1.myVar_0.11) (=> (= inline.SerialCompleteRead.0..DeferredContext.2.671.13.SerialCompleteRead.0 x.SerialCompleteRead.arg.2.7..5) (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.7 inline.SerialGetNextWrite.2.myNondetVar_1.6) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent.0 call79733formal.new.0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialCompleteRead.0..extension.5.703.29.SerialCompleteRead.0 x.SerialCompleteRead.arg.2.7..5) (=> (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1) (=> (= irpCompleted_4.52 irpCompleted_4.51) (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1) (=> (= inline.sdv_InterlockedDecrement.24.myNondetVar_0.2 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..2) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3) (=> (= inline.IsListEmpty.5.myNondetVar_0.3 inline.IsListEmpty.5.myNondetVar_0.2) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.3 inline.SerialCancelTimer.4.myNondetVar_0.2) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialCompleteRead.0..result.SerialDbgPrintEx.742.20.3..1 inline.SerialCompleteRead.0..result.SerialDbgPrintEx.742.20.3..0) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.3 inline.SerialGetNextIrp.5.myNondetVar_0.2) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0) (=> (= Mem_3_T.P_IRP.92 Mem_3_T.P_IRP.91) (=> (= irpCompleted_1.52 irpCompleted_1.51) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.4 inline.sdv_InterlockedDecrement.18.myNondetVar_0.3) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.11 inline.KeSynchronizeExecution.11.myNondetVar_0.10) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= k.413 k.412) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialCompleteRead.0.myNondetVar_0.1 inline.SerialCompleteRead.0.myNondetVar_0.0) (=> (= Mem_4_T.CancelRoutine__IRP.125 Mem_4_T.CancelRoutine__IRP.124) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0) (=> (= cancelLockStatus_3.90 cancelLockStatus_3.89) (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.7 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.6) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextWrite.2.myVar_0.28 inline.SerialGetNextWrite.2.myVar_0.27) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..2) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.7 inline.sdv_InterlockedDecrement.21.myNondetVar_0.6) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..3) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= irpCompleted_3.52 irpCompleted_3.51) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_IoAcquireCancelSpinLock.15..result.userContextSwitch.1645.2.1..0 call79565formal.ret.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.6 inline.SerialGetNextWrite.2.myNondetVar_2.5) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent.0 1) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..2) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialSetTimer.5.myNondetVar_0.9 inline.SerialSetTimer.5.myNondetVar_0.8) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.7) (=> (= inline.RemoveHeadList.4.myNondetVar_0.5 inline.RemoveHeadList.4.myNondetVar_0.4) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.6 inline.sdv_InterlockedIncrement.6.myNondetVar_0.5) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2) (=> (= Mem_0_T.CancelRoutine__IRP.125 Mem_0_T.CancelRoutine__IRP.124) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= Mem_1_T.P_IRP.92 Mem_1_T.P_IRP.91) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3313.2.3..0) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.8 inline.KeSynchronizeExecution.9.myNondetVar_0.7) (=> (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..3) (=> (= inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1) (=> (= cancelLockStatus_2.90 cancelLockStatus_2.89) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.7) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 SerialGetNextIrp) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1.0 x.SerialCompleteRead.arg.2.7..5) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.5 inline.sdv_InterlockedDecrement.20.myNondetVar_0.4) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0) (=> (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.1.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3) ?v_52))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_53 (= inline.sdv_InterlockedDecrement.24.myNondetVar_0.1 0))) (let ((?v_101 (and (=> true (=> (not ?v_53) (=> true (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2.) ?v_54)))) (=> true (=> ?v_53 (=> true (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0 call88372formal.ret.0) (=> true (=> true (=> true ?v_54)))))))))) (let ((?v_1229 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_101)))))))))))))))))) (?v_1047 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1048 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_1049 (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.)) (?v_1050 (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1051 (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1052 (= inline.KeSynchronizeExecution.10.myNondetVar_0.9 inline.KeSynchronizeExecution.10.myNondetVar_0)) (?v_1053 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_1054 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1055 (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1056 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1057 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1058 (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.)) (?v_1059 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1060 (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1061 (= inline.SerialGetNextWrite.2.havoc_stringTemp.1 inline.SerialGetNextWrite.2.havoc_stringTemp)) (?v_1062 (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer)) (?v_1063 (= inline.SerialGetNextWrite.2.tempBoogie0.7 inline.SerialGetNextWrite.2.tempBoogie0)) (?v_1064 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_1065 (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1066 (= inline.IsListEmpty.5.myNondetVar_0.2 inline.IsListEmpty.5.myNondetVar_0)) (?v_1067 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1068 (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.5.havoc_stringTemp)) (?v_1069 (= inline.SerialGetNextIrpLocked.4.myVar_0.8 inline.SerialGetNextIrpLocked.4.myVar_0)) (?v_1070 (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList)) (?v_1071 (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1072 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1073 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1074 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite)) (?v_1075 (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.)) (?v_1076 (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1077 (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2.)) (?v_1078 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_1079 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1080 (= inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1.)) (?v_1081 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_1082 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1083 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_1084 (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.)) (?v_1085 (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1086 (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1087 (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite)) (?v_1088 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1089 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1090 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_1091 (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.)) (?v_1092 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1093 (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1.)) (?v_1094 (= inline.SerialGetNextWrite.2.myNondetVar_0.21 inline.SerialGetNextWrite.2.myNondetVar_0)) (?v_1095 (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution)) (?v_1096 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_1097 (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.4 inline.sdv_InterlockedDecrement.22.myNondetVar_0)) (?v_1098 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_1099 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_1100 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_1101 (= inline.RemoveHeadList.4.myNondetVar_0.4 inline.RemoveHeadList.4.myNondetVar_0)) (?v_1102 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_1103 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1104 (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1105 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1106 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1107 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_1108 (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1109 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13.)) (?v_1110 (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1111 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_1112 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1113 (= inline.SerialGetNextIrpLocked.5.myVar_0.8 inline.SerialGetNextIrpLocked.5.myVar_0)) (?v_1114 (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1115 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_1116 (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1.)) (?v_1117 (= inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1.)) (?v_1118 (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.)) (?v_1119 (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1120 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1121 (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.)) (?v_1122 (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1.)) (?v_1123 (= inline.RemoveHeadList.5.myNondetVar_0.4 inline.RemoveHeadList.5.myNondetVar_0)) (?v_1124 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1)) (?v_1125 (= inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1.)) (?v_1126 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1127 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1128 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.)) (?v_1129 (= inline.SerialGetNextIrp.4.myNondetVar_0.2 inline.SerialGetNextIrp.4.myNondetVar_0)) (?v_1130 (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.4.havoc_stringTemp)) (?v_1131 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_1132 (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2.)) (?v_1133 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1134 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1135 (= inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1.)) (?v_1136 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite)) (?v_1137 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_1138 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1139 (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1.)) (?v_1140 (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1141 (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite)) (?v_1142 (= inline.SerialGetNextWrite.2.myNondetVar_1.6 inline.SerialGetNextWrite.2.myNondetVar_1)) (?v_1143 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1144 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1145 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_1146 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_1147 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1148 (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1.)) (?v_1149 (= inline.IsListEmpty.6.myNondetVar_0.2 inline.IsListEmpty.6.myNondetVar_0)) (?v_1150 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1151 (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3.)) (?v_1152 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1153 (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.)) (?v_1154 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_1155 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1156 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1157 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_1158 (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.6)) (?v_1159 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_1160 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1.)) (?v_1161 (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1162 (= inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1.)) (?v_1163 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1164 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_1165 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1166 (= inline.KeSynchronizeExecution.11.myNondetVar_0.10 inline.KeSynchronizeExecution.11.myNondetVar_0)) (?v_1167 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_1168 (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1.)) (?v_1169 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1170 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1171 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_1172 (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1173 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1174 (= inline.SerialGetNextIrp.5.myNondetVar_0.2 inline.SerialGetNextIrp.5.myNondetVar_0)) (?v_1175 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1176 (= inline.SerialGetNextWrite.2.myVar_0.27 inline.SerialGetNextWrite.2.myVar_0)) (?v_1177 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1178 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.6 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_1179 (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1.)) (?v_1180 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1181 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1182 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1183 (= inline.SerialGetNextWrite.2.myNondetVar_2.5 inline.SerialGetNextWrite.2.myNondetVar_2)) (?v_1184 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_1185 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1186 (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3.)) (?v_1187 (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.)) (?v_1188 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1189 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1190 (= inline.SerialSetTimer.5.myNondetVar_0.8 inline.SerialSetTimer.5.myNondetVar_0)) (?v_1191 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_1192 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1193 (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1194 (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.5 inline.sdv_InterlockedIncrement.6.myNondetVar_0)) (?v_1195 (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList)) (?v_1196 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_1197 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1198 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1199 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1200 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_1201 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1202 (= inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1.)) (?v_1203 (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3.)) (?v_1204 (= inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1.)) (?v_1205 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1206 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_1207 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1208 (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1209 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1210 (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite)) (?v_1211 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1212 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1)) (?v_1213 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite)) (?v_1214 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1215 (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.)) (?v_1216 (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.4 inline.sdv_InterlockedDecrement.20.myNondetVar_0)) (?v_1217 (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.)) (?v_1218 (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1219 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1)) (?v_1220 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1221 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1222 (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite)) (?v_1223 (= inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1.)) (?v_1224 (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_1225 (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_1226 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1227 (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1228 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer))) (let ((?v_1231 (=> true (=> ?v_1047 (=> (= Mem_3_T.CancelRoutine__IRP.124 Mem_3_T.CancelRoutine__IRP.109) (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> (= cancelLockStatus_4.89 cancelLockStatus_4.77) (=> ?v_1059 (=> ?v_1060 (=> (= irpCompleted_3.51 irpCompleted_3.43) (=> ?v_1061 (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0) (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5) (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> (= cancelLockStatus_0.89 cancelLockStatus_0.77) (=> ?v_1074 (=> ?v_1075 (=> (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.2 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> (= errorReached.89 errorReached.77) (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> (= irpCompleted_0.51 irpCompleted_0.43) (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> (= alloc.117 alloc.107) (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> (= Mem_2_T.CancelRoutine__IRP.124 Mem_2_T.CancelRoutine__IRP.109) (=> (= Mem_2_T.P_IRP.91 Mem_2_T.P_IRP.78) (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..0) (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> (= irpCompleted_2.51 irpCompleted_2.43) (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> (= Mem_4_T.P_IRP.91 Mem_4_T.P_IRP.78) (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0 call87955formal.new.0) (=> (= cancelLockStatus_1.89 cancelLockStatus_1.77) (=> ?v_1126 (=> ?v_1127 (=> (= cancelLockStatus_3.89 cancelLockStatus_3.77) (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> (= inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..0 call87877formal.ret.0) (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..0) (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> (= irpCompleted_4.51 irpCompleted_4.43) (=> ?v_1155 (=> ?v_1156 (=> (= Mem_1_T.CancelRoutine__IRP.124 Mem_1_T.CancelRoutine__IRP.109) (=> ?v_1157 (=> ?v_1158 (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> (= Mem_3_T.P_IRP.91 Mem_3_T.P_IRP.78) (=> ?v_1162 (=> (= irpCompleted_1.51 irpCompleted_1.43) (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> (= k.412 k.373) (=> ?v_1171 (=> (= Mem_4_T.CancelRoutine__IRP.124 Mem_4_T.CancelRoutine__IRP.109) (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5) (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> (= Mem_0_T.P_IRP.91 Mem_0_T.P_IRP.78) (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5) (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> (= Mem_0_T.CancelRoutine__IRP.124 Mem_0_T.CancelRoutine__IRP.109) (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> (= cancelLockStatus_2.89 cancelLockStatus_2.77) (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> (= Mem_1_T.P_IRP.91 Mem_1_T.P_IRP.78) (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 ?v_1229))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1230 (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.1 0))) (let ((?v_1268 (and (=> true (=> (not ?v_1230) (=> true (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2.) ?v_1231)))) (=> true (=> ?v_1230 (=> true (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0 call88306formal.ret.0) (=> true (=> true (=> true ?v_1231))))))))) (?v_1267 (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 hirp))) (let ((?v_1235 (=> true (=> (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..0 call87988formal.ret.0) (=> (= Mem_1_T.CancelRoutine__IRP.109 Mem_1_T.CancelRoutine__IRP.108) (=> (= Mem_2_T.CancelRoutine__IRP.109 Mem_2_T.CancelRoutine__IRP.108) (=> (= irpCompleted_2.43 irpCompleted_2.42) (=> (= Mem_4_T.CancelRoutine__IRP.109 Mem_4_T.CancelRoutine__IRP.108) (=> (= irpCompleted_1.43 irpCompleted_1.42) (=> (= k.373 k.372) (=> (= irpCompleted_3.43 irpCompleted_3.42) (=> (= errorReached.77 errorReached.76) (=> (= Mem_0_T.CancelRoutine__IRP.109 Mem_0_T.CancelRoutine__IRP.108) (=> (= irpCompleted_0.43 irpCompleted_0.42) (=> (= irpCompleted_4.43 irpCompleted_4.42) (=> (= Mem_3_T.CancelRoutine__IRP.109 Mem_3_T.CancelRoutine__IRP.108) ?v_1268))))))))))))))) (?v_1232 (= irpCompleted_4.42 irpCompleted_4.41)) (?v_1233 (= irpCompleted_2.42 irpCompleted_2.41)) (?v_1234 (= irpCompleted_3.42 irpCompleted_3.41)) (?v_1237 (= irpCompleted_1.42 irpCompleted_1.41))) (let ((?v_1238 (=> (= irpCompleted_0.42 irpCompleted_0.41) (=> true ?v_1235)))) (let ((?v_1240 (=> ?v_1237 ?v_1238))) (let ((?v_1242 (=> ?v_1234 ?v_1240))) (let ((?v_1244 (=> ?v_1233 ?v_1242)) (?v_1243 (= k.372 4))) (let ((?v_1259 (not ?v_1243)) (?v_1241 (= k.372 3))) (let ((?v_1257 (not ?v_1241)) (?v_1239 (= k.372 2))) (let ((?v_1255 (not ?v_1239)) (?v_1236 (= k.372 1))) (let ((?v_1251 (not ?v_1236)) (?v_1046 (= k.372 0))) (let ((?v_1245 (not ?v_1046))) (let ((?v_1250 (and (=> true (=> ?v_1046 (=> true (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> ?v_1237 (=> (= irpCompleted_0.42 1) ?v_1235)))))))) (=> true (=> ?v_1245 (and (=> true (=> ?v_1236 (=> true (=> ?v_1232 (=> ?v_1233 (=> ?v_1234 (=> (= irpCompleted_1.42 1) ?v_1238))))))) (=> true (=> ?v_1251 (and (=> true (=> ?v_1239 (=> true (=> ?v_1232 (=> (= irpCompleted_2.42 1) ?v_1242))))) (=> true (=> ?v_1255 (and (=> true (=> ?v_1241 (=> true (=> ?v_1232 (=> ?v_1233 (=> (= irpCompleted_3.42 1) ?v_1240)))))) (=> true (=> ?v_1257 (and (=> true (=> ?v_1243 (=> true (=> (= irpCompleted_4.42 1) ?v_1244)))) (=> true (=> ?v_1259 (=> true (=> ?v_1232 ?v_1244))))))))))))))))))) (let ((?v_1258 (=> true (=> true ?v_1250))) (?v_1247 (= Mem_2_T.CancelRoutine__IRP.108 Mem_2_T.CancelRoutine__IRP.101)) (?v_1252 (= Mem_0_T.CancelRoutine__IRP.108 Mem_0_T.CancelRoutine__IRP.101)) (?v_1248 (= Mem_3_T.CancelRoutine__IRP.108 Mem_3_T.CancelRoutine__IRP.101)) (?v_1253 (= Mem_1_T.CancelRoutine__IRP.108 Mem_1_T.CancelRoutine__IRP.101)) (?v_1249 (= Mem_4_T.CancelRoutine__IRP.108 Mem_4_T.CancelRoutine__IRP.101))) (let ((?v_1254 (=> ?v_1249 ?v_1258))) (let ((?v_1256 (=> ?v_1253 ?v_1254))) (let ((?v_1260 (=> ?v_1252 (=> ?v_1248 ?v_1256))) (?v_1246 (int_2_U (CancelRoutine__IRP inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5))) (?v_46 (int_2_U 0))) (let ((?v_1266 (=> true (=> (<= k.371 k.372) (=> (< k.372 5) (and (=> true (=> ?v_1046 (=> (= Mem_0_T.CancelRoutine__IRP.107 (MapType0Store Mem_0_T.CancelRoutine__IRP.101 ?v_1246 ?v_46)) (=> true (=> ?v_1247 (=> (= Mem_0_T.CancelRoutine__IRP.108 Mem_0_T.CancelRoutine__IRP.107) (=> ?v_1248 (=> ?v_1253 (=> ?v_1249 ?v_1250))))))))) (=> true (=> ?v_1245 (and (=> true (=> ?v_1236 (=> (= Mem_1_T.CancelRoutine__IRP.107 (MapType0Store Mem_1_T.CancelRoutine__IRP.101 ?v_1246 ?v_46)) (=> true (=> ?v_1247 (=> ?v_1252 (=> ?v_1248 (=> (= Mem_1_T.CancelRoutine__IRP.108 Mem_1_T.CancelRoutine__IRP.107) ?v_1254)))))))) (=> true (=> ?v_1251 (and (=> true (=> ?v_1239 (=> (= Mem_2_T.CancelRoutine__IRP.107 (MapType0Store Mem_2_T.CancelRoutine__IRP.101 ?v_1246 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.108 Mem_2_T.CancelRoutine__IRP.107) ?v_1260))))) (=> true (=> ?v_1255 (and (=> true (=> ?v_1241 (=> (= Mem_3_T.CancelRoutine__IRP.107 (MapType0Store Mem_3_T.CancelRoutine__IRP.101 ?v_1246 ?v_46)) (=> true (=> ?v_1247 (=> ?v_1252 (=> (= Mem_3_T.CancelRoutine__IRP.108 Mem_3_T.CancelRoutine__IRP.107) ?v_1256))))))) (=> true (=> ?v_1257 (and (=> true (=> ?v_1243 (=> (= Mem_4_T.CancelRoutine__IRP.107 (MapType0Store Mem_4_T.CancelRoutine__IRP.101 ?v_1246 ?v_46)) (=> true (=> ?v_1247 (=> ?v_1252 (=> ?v_1248 (=> ?v_1253 (=> (= Mem_4_T.CancelRoutine__IRP.108 Mem_4_T.CancelRoutine__IRP.107) ?v_1258))))))))) (=> true (=> ?v_1259 (=> true (=> ?v_1247 ?v_1260))))))))))))))))))))) (?v_1261 (= k.371 0)) (?v_221 (= irpCompleted_0.41 0)) (?v_1262 (= k.371 1)) (?v_223 (= irpCompleted_1.41 0)) (?v_1263 (= k.371 2)) (?v_225 (= irpCompleted_2.41 0)) (?v_1264 (= k.371 3)) (?v_227 (= irpCompleted_3.41 0)) (?v_1265 (= k.371 4)) (?v_229 (= irpCompleted_4.41 0))) (let ((?v_81 (not ?v_221)) (?v_82 (not ?v_223)) (?v_83 (not ?v_225)) (?v_84 (not ?v_227)) (?v_85 (not ?v_229)) (?v_1045 (int_2_U call87955formal.new.0))) (let ((?v_1273 (=> true (and ?v_11 (=> ?v_11 (=> (> call87955formal.new.0 0) (=> (forall ((?x1547 Int)) (! (=> (and (<= call87955formal.new.0 ?x1547) (< ?x1547 (+ call87955formal.new.0 1))) (= (Base ?x1547) call87955formal.new.0)) :pattern ((Base ?x1547)) )) (=> (forall ((?x1548 boogieU)) (! (=> (= (type ?x1548) intType) (or (= (U_2_int ?x1548) call87955formal.new.0) (= (MapType0Select alloc.99 ?x1548) (MapType0Select alloc.107 ?x1548)))) :pattern ((MapType0Select alloc.107 ?x1548)) )) (=> (and (= (MapType0Select alloc.99 ?v_1045) UNALLOCATED) (= (MapType0Select alloc.107 ?v_1045) ALLOCATED)) (and (=> true (=> ?v_1267 (=> true (=> (<= k.370 k.371) (=> (< k.371 5) (and (=> true (=> (=> ?v_1261 ?v_81) (=> (=> ?v_1262 ?v_82) (=> (=> ?v_1263 ?v_83) (=> (=> ?v_1264 ?v_84) (=> (=> ?v_1265 ?v_85) (=> true (=> (= errorReached.76 1) ?v_1266)))))))) (=> true (=> (=> ?v_1261 ?v_221) (=> (=> ?v_1262 ?v_223) (=> (=> ?v_1263 ?v_225) (=> (=> ?v_1264 ?v_227) (=> (=> ?v_1265 ?v_229) (=> true (=> (= errorReached.76 errorReached.72) ?v_1266)))))))))))))) (=> true (=> (not ?v_1267) (=> true (=> (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1.) (=> (= Mem_1_T.CancelRoutine__IRP.109 Mem_1_T.CancelRoutine__IRP.101) (=> (= Mem_2_T.CancelRoutine__IRP.109 Mem_2_T.CancelRoutine__IRP.101) (=> (= irpCompleted_2.43 irpCompleted_2.41) (=> (= Mem_4_T.CancelRoutine__IRP.109 Mem_4_T.CancelRoutine__IRP.101) (=> (= irpCompleted_1.43 irpCompleted_1.41) (=> (= k.373 k.370) (=> (= irpCompleted_3.43 irpCompleted_3.41) (=> (= errorReached.77 errorReached.72) (=> (= Mem_0_T.CancelRoutine__IRP.109 Mem_0_T.CancelRoutine__IRP.101) (=> (= irpCompleted_0.43 irpCompleted_0.41) (=> (= irpCompleted_4.43 irpCompleted_4.41) (=> (= Mem_3_T.CancelRoutine__IRP.109 Mem_3_T.CancelRoutine__IRP.101) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1268))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1279 (=> true (=> true (=> true (=> true ?v_1273))))) (?v_1275 (= cancelLockStatus_1.77 cancelLockStatus_1.72)) (?v_1276 (= cancelLockStatus_0.77 cancelLockStatus_0.72)) (?v_1270 (= cancelLockStatus_2.77 cancelLockStatus_2.72)) (?v_1271 (= cancelLockStatus_4.77 cancelLockStatus_4.72)) (?v_1272 (= cancelLockStatus_3.77 cancelLockStatus_3.72))) (let ((?v_1281 (=> ?v_1272 ?v_1279))) (let ((?v_1277 (=> ?v_1271 ?v_1281))) (let ((?v_1283 (=> ?v_1276 (=> ?v_1270 ?v_1277))) (?v_1282 (= k.370 4)) (?v_1280 (= k.370 3)) (?v_1278 (= k.370 2)) (?v_1274 (= k.370 1)) (?v_1269 (= k.370 0))) (let ((?v_1289 (=> true (=> (<= k.369 k.370) (=> (< k.370 5) (and (=> true (=> ?v_1269 (=> true (=> ?v_1275 (=> (= cancelLockStatus_0.77 0) (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 ?v_1273)))))))) (=> true (=> (not ?v_1269) (and (=> true (=> ?v_1274 (=> true (=> (= cancelLockStatus_1.77 0) ?v_1283)))) (=> true (=> (not ?v_1274) (and (=> true (=> ?v_1278 (=> true (=> ?v_1275 (=> ?v_1276 (=> (= cancelLockStatus_2.77 0) ?v_1277)))))) (=> true (=> (not ?v_1278) (and (=> true (=> ?v_1280 (=> true (=> ?v_1275 (=> ?v_1276 (=> ?v_1270 (=> ?v_1271 (=> (= cancelLockStatus_3.77 0) ?v_1279)))))))) (=> true (=> (not ?v_1280) (and (=> true (=> ?v_1282 (=> true (=> ?v_1275 (=> ?v_1276 (=> ?v_1270 (=> (= cancelLockStatus_4.77 0) ?v_1281))))))) (=> true (=> (not ?v_1282) (=> true (=> ?v_1275 ?v_1283)))))))))))))))))))))) (let ((?v_1300 (=> true (=> true (=> true (=> true ?v_1289))))) (?v_1286 (= Mem_3_T.P_IRP.78 Mem_3_T.P_IRP.69)) (?v_1292 (= Mem_1_T.P_IRP.78 Mem_1_T.P_IRP.69)) (?v_1293 (= Mem_0_T.P_IRP.78 Mem_0_T.P_IRP.69)) (?v_1287 (= Mem_2_T.P_IRP.78 Mem_2_T.P_IRP.69)) (?v_1288 (= Mem_4_T.P_IRP.78 Mem_4_T.P_IRP.69))) (let ((?v_1294 (=> ?v_1288 ?v_1300))) (let ((?v_1297 (=> ?v_1293 (=> ?v_1287 ?v_1294)))) (let ((?v_1302 (=> ?v_1292 ?v_1297)) (?v_1301 (= k.369 4)) (?v_43 (int_2_U inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0))) (let ((?v_1299 (MapType0Store Mem_4_T.P_IRP.69 ?v_43 ?v_46)) (?v_1298 (= k.369 3)) (?v_1296 (MapType0Store Mem_3_T.P_IRP.69 ?v_43 ?v_46)) (?v_1295 (= k.369 2)) (?v_1291 (MapType0Store Mem_2_T.P_IRP.69 ?v_43 ?v_46)) (?v_1290 (= k.369 1)) (?v_1285 (MapType0Store Mem_1_T.P_IRP.69 ?v_43 ?v_46)) (?v_1284 (= k.369 0)) (?v_1044 (MapType0Store Mem_0_T.P_IRP.69 ?v_43 ?v_46))) (let ((?v_1304 (=> true (=> (<= k.368 k.369) (=> (< k.369 5) (and (=> true (=> ?v_1284 (=> (= Mem_0_T.P_IRP.77 ?v_1044) (=> true (=> ?v_1286 (=> ?v_1292 (=> (= Mem_0_T.P_IRP.78 Mem_0_T.P_IRP.77) (=> ?v_1287 (=> ?v_1288 ?v_1289))))))))) (=> true (=> (not ?v_1284) (and (=> true (=> ?v_1290 (=> (= Mem_1_T.P_IRP.77 ?v_1285) (=> true (=> ?v_1286 (=> (= Mem_1_T.P_IRP.78 Mem_1_T.P_IRP.77) ?v_1297)))))) (=> true (=> (not ?v_1290) (and (=> true (=> ?v_1295 (=> (= Mem_2_T.P_IRP.77 ?v_1291) (=> true (=> ?v_1286 (=> ?v_1292 (=> ?v_1293 (=> (= Mem_2_T.P_IRP.78 Mem_2_T.P_IRP.77) ?v_1294)))))))) (=> true (=> (not ?v_1295) (and (=> true (=> ?v_1298 (=> (= Mem_3_T.P_IRP.77 ?v_1296) (=> true (=> (= Mem_3_T.P_IRP.78 Mem_3_T.P_IRP.77) ?v_1302))))) (=> true (=> (not ?v_1298) (and (=> true (=> ?v_1301 (=> (= Mem_4_T.P_IRP.77 ?v_1299) (=> true (=> ?v_1286 (=> ?v_1292 (=> ?v_1293 (=> ?v_1287 (=> (= Mem_4_T.P_IRP.78 Mem_4_T.P_IRP.77) ?v_1300))))))))) (=> true (=> (not ?v_1301) (=> true (=> ?v_1286 ?v_1302)))))))))))))))))))))) (let ((?v_1306 (=> true ?v_1304)) (?v_1309 (= k.368 4)) (?v_396 (U_2_int (MapType0Select Mem_4_T.P_IRP.69 ?v_43))) (?v_1308 (= k.368 3)) (?v_394 (U_2_int (MapType0Select Mem_3_T.P_IRP.69 ?v_43))) (?v_1307 (= k.368 2)) (?v_391 (U_2_int (MapType0Select Mem_2_T.P_IRP.69 ?v_43))) (?v_1305 (= k.368 1)) (?v_388 (U_2_int (MapType0Select Mem_1_T.P_IRP.69 ?v_43))) (?v_1303 (= k.368 0)) (?v_42 (U_2_int (MapType0Select Mem_0_T.P_IRP.69 ?v_43))) (?v_89 (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2.)) (?v_90 (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_91 (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.2 inline.sdv_InterlockedDecrement.23.myNondetVar_0)) (?v_92 (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_93 (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1.)) (?v_94 (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0 inline.SerialTryToCompleteCurrent.1.havoc_stringTemp)) (?v_95 (= inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1.)) (?v_96 (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4.)) (?v_97 (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_98 (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_99 (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_100 (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue))) (let ((?v_112 (=> true (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= Mem_3_T.CancelRoutine__IRP.124 Mem_3_T.CancelRoutine__IRP.123) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.9 inline.KeSynchronizeExecution.10.myNondetVar_0.8) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1) (=> (= cancelLockStatus_4.89 cancelLockStatus_4.88) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= irpCompleted_3.51 irpCompleted_3.50) (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.1 inline.SerialGetNextWrite.2.havoc_stringTemp.0) (=> ?v_89 (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.7 inline.SerialGetNextWrite.2.tempBoogie0.6) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0) (=> ?v_90 (=> (= inline.IsListEmpty.5.myNondetVar_0.2 inline.IsListEmpty.5.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.8 inline.SerialGetNextIrpLocked.4.myVar_0.7) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= cancelLockStatus_0.89 cancelLockStatus_0.88) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1) (=> ?v_91 (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..3) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..2) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= errorReached.89 errorReached.88) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0) (=> ?v_92 (=> (= irpCompleted_0.51 irpCompleted_0.50) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= alloc.117 alloc.116) (=> (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.21 inline.SerialGetNextWrite.2.myNondetVar_0.20) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.4 inline.sdv_InterlockedDecrement.22.myNondetVar_0.3) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1) (=> (= inline.RemoveHeadList.4.myNondetVar_0.4 inline.RemoveHeadList.4.myNondetVar_0.3) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= Mem_2_T.CancelRoutine__IRP.124 Mem_2_T.CancelRoutine__IRP.123) (=> (= Mem_2_T.P_IRP.91 Mem_2_T.P_IRP.90) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> ?v_93 (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.8 inline.SerialGetNextIrpLocked.5.myVar_0.7) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..0 call81778formal.ret.0) (=> (= irpCompleted_2.51 irpCompleted_2.50) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1) (=> (= Mem_4_T.P_IRP.91 Mem_4_T.P_IRP.90) (=> (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..0) (=> (= inline.RemoveHeadList.5.myNondetVar_0.4 inline.RemoveHeadList.5.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..1) (=> ?v_94 (=> (= cancelLockStatus_1.89 cancelLockStatus_1.88) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= cancelLockStatus_3.89 cancelLockStatus_3.88) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.2 inline.SerialGetNextIrp.4.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..2) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.7) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0) (=> ?v_95 (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.6 inline.SerialGetNextWrite.2.myNondetVar_1.5) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> ?v_96 (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0) (=> (= inline.IsListEmpty.6.myNondetVar_0.2 inline.IsListEmpty.6.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..1) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2) (=> (= irpCompleted_4.51 irpCompleted_4.50) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= Mem_1_T.CancelRoutine__IRP.124 Mem_1_T.CancelRoutine__IRP.123) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2) (=> ?v_1158 (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= Mem_3_T.P_IRP.91 Mem_3_T.P_IRP.90) (=> (= inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..1) (=> (= irpCompleted_1.51 irpCompleted_1.50) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.10 inline.KeSynchronizeExecution.11.myNondetVar_0.9) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= k.412 k.411) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= Mem_4_T.CancelRoutine__IRP.124 Mem_4_T.CancelRoutine__IRP.123) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.2 inline.SerialGetNextIrp.5.myNondetVar_0.1) (=> ?v_97 (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextWrite.2.myVar_0.27 inline.SerialGetNextWrite.2.myVar_0.26) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= Mem_0_T.P_IRP.91 Mem_0_T.P_IRP.90) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.6 inline.sdv_InterlockedDecrement.21.myNondetVar_0.5) (=> (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.5 inline.SerialGetNextWrite.2.myNondetVar_2.4) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_98 (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..1) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialSetTimer.5.myNondetVar_0.8 inline.SerialSetTimer.5.myNondetVar_0.7) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.5 inline.sdv_InterlockedIncrement.6.myNondetVar_0.4) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1) (=> (= Mem_0_T.CancelRoutine__IRP.124 Mem_0_T.CancelRoutine__IRP.123) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_99 (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..2) (=> (= inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= cancelLockStatus_2.89 cancelLockStatus_2.88) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.4 inline.sdv_InterlockedDecrement.20.myNondetVar_0.3) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2) (=> ?v_100 (=> (= Mem_1_T.P_IRP.91 Mem_1_T.P_IRP.90) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0) (=> ?v_1223 (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2) ?v_1229))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_102 (= k.411 0)) (?v_39 (int_2_U call79733formal.new.0))) (let ((?v_103 (= (U_2_int (MapType0Select Mem_0_T.P_IRP.90 ?v_39)) 0)) (?v_104 (= k.411 1)) (?v_105 (= (U_2_int (MapType0Select Mem_1_T.P_IRP.90 ?v_39)) 0)) (?v_106 (= k.411 2)) (?v_107 (= (U_2_int (MapType0Select Mem_2_T.P_IRP.90 ?v_39)) 0)) (?v_108 (= k.411 3)) (?v_109 (= (U_2_int (MapType0Select Mem_3_T.P_IRP.90 ?v_39)) 0)) (?v_110 (= k.411 4)) (?v_111 (= (U_2_int (MapType0Select Mem_4_T.P_IRP.90 ?v_39)) 0)) (?v_0 (= 0 0))) (let ((?v_40 (not ?v_0))) (let ((?v_682 (and (=> true (=> (=> ?v_102 (not ?v_103)) (=> (=> ?v_104 (not ?v_105)) (=> (=> ?v_106 (not ?v_107)) (=> (=> ?v_108 (not ?v_109)) (=> (=> ?v_110 (not ?v_111)) (=> true (=> ?v_40 ?v_112)))))))) (=> true (=> (=> ?v_102 ?v_103) (=> (=> ?v_104 ?v_105) (=> (=> ?v_106 ?v_107) (=> (=> ?v_108 ?v_109) (=> (=> ?v_110 ?v_111) ?v_112)))))))) (?v_856 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_857 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_858 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_859 (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.)) (?v_860 (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp)) (?v_861 (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_862 (= inline.KeSynchronizeExecution.10.myNondetVar_0.8 inline.KeSynchronizeExecution.10.myNondetVar_0)) (?v_863 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_864 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_865 (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_866 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_867 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_868 (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.)) (?v_869 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_870 (= inline.SerialGetNextWrite.2.havoc_stringTemp.0 inline.SerialGetNextWrite.2.havoc_stringTemp)) (?v_871 (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp)) (?v_872 (= inline.SerialGetNextWrite.2.tempBoogie0.6 inline.SerialGetNextWrite.2.tempBoogie0)) (?v_873 (= inline.IsListEmpty.5.myNondetVar_0.1 inline.IsListEmpty.5.myNondetVar_0)) (?v_874 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_875 (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.5.havoc_stringTemp)) (?v_876 (= inline.SerialGetNextIrpLocked.4.myVar_0.7 inline.SerialGetNextIrpLocked.4.myVar_0)) (?v_877 (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList)) (?v_878 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite)) (?v_879 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_880 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_881 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite)) (?v_882 (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.)) (?v_883 (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_884 (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2.)) (?v_885 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_886 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_887 (= inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1.)) (?v_888 (= inline.SerialGetNextIrpLocked.5.myVar_0.7 inline.SerialGetNextIrpLocked.5.myVar_0)) (?v_889 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_890 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.)) (?v_891 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp)) (?v_892 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_893 (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.)) (?v_894 (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_895 (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite)) (?v_896 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_897 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_898 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_899 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_900 (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList)) (?v_901 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_902 (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1.)) (?v_903 (= inline.SerialGetNextWrite.2.myNondetVar_0.20 inline.SerialGetNextWrite.2.myNondetVar_0)) (?v_904 (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution)) (?v_905 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_906 (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.3 inline.sdv_InterlockedDecrement.22.myNondetVar_0)) (?v_907 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_908 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_909 (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer)) (?v_910 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_911 (= inline.RemoveHeadList.4.myNondetVar_0.3 inline.RemoveHeadList.4.myNondetVar_0)) (?v_912 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_913 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_914 (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_915 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_916 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_917 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_918 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13.)) (?v_919 (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_920 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_921 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_922 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_923 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_924 (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1.)) (?v_925 (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.)) (?v_926 (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_927 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_928 (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1.)) (?v_929 (= inline.RemoveHeadList.5.myNondetVar_0.3 inline.RemoveHeadList.5.myNondetVar_0)) (?v_930 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1)) (?v_931 (= inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1.)) (?v_932 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_933 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_934 (= inline.SerialGetNextIrp.4.myNondetVar_0.1 inline.SerialGetNextIrp.4.myNondetVar_0)) (?v_935 (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.4.havoc_stringTemp)) (?v_936 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_937 (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2.)) (?v_938 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_939 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_940 (= inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1.)) (?v_941 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite)) (?v_942 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_943 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_944 (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1.)) (?v_945 (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_946 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_947 (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite)) (?v_948 (= inline.SerialGetNextWrite.2.myNondetVar_1.5 inline.SerialGetNextWrite.2.myNondetVar_1)) (?v_949 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_950 (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_951 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_952 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_953 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_954 (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1.)) (?v_955 (= inline.IsListEmpty.6.myNondetVar_0.1 inline.IsListEmpty.6.myNondetVar_0)) (?v_956 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_957 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_958 (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.)) (?v_959 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_960 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_961 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_962 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_963 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_964 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_965 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1.)) (?v_966 (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_967 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_968 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_969 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_970 (= inline.KeSynchronizeExecution.11.myNondetVar_0.9 inline.KeSynchronizeExecution.11.myNondetVar_0)) (?v_971 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_972 (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1.)) (?v_973 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_974 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_975 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_976 (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_977 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp)) (?v_978 (= inline.SerialGetNextIrp.5.myNondetVar_0.1 inline.SerialGetNextIrp.5.myNondetVar_0)) (?v_979 (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.)) (?v_980 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_981 (= inline.SerialGetNextWrite.2.myVar_0.26 inline.SerialGetNextWrite.2.myVar_0)) (?v_982 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_983 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.5 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_984 (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1.)) (?v_985 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_986 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_987 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_988 (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.)) (?v_989 (= inline.SerialGetNextWrite.2.myNondetVar_2.4 inline.SerialGetNextWrite.2.myNondetVar_2)) (?v_990 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_991 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_992 (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3.)) (?v_993 (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.)) (?v_994 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_995 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_996 (= inline.SerialSetTimer.5.myNondetVar_0.7 inline.SerialSetTimer.5.myNondetVar_0)) (?v_997 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_998 (= inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1.)) (?v_999 (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1000 (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.4 inline.sdv_InterlockedIncrement.6.myNondetVar_0)) (?v_1001 (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1002 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1003 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1004 (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1005 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1006 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_1007 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1008 (= inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1.)) (?v_1009 (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3.)) (?v_1010 (= inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1.)) (?v_1011 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1012 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_1013 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1014 (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1015 (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1016 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1017 (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3.)) (?v_1018 (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite)) (?v_1019 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1020 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1)) (?v_1021 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1022 (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.)) (?v_1023 (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.3 inline.sdv_InterlockedDecrement.20.myNondetVar_0)) (?v_1024 (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.)) (?v_1025 (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1026 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1))) (let ((?v_1027 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer) (=> true ?v_682)))))))))) (?v_855 (= SerialGetNextIrp SerialGetNextIrp))) (let ((?v_2293 (not ?v_855)) (?v_723 (=> true (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> ?v_857 (=> (= Mem_3_T.CancelRoutine__IRP.123 Mem_3_T.CancelRoutine__IRP.114) (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0) (=> ?v_866 (=> ?v_867 (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0) (=> (= cancelLockStatus_4.88 cancelLockStatus_4.76) (=> ?v_869 (=> (= irpCompleted_3.50 irpCompleted_3.46) (=> ?v_870 (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0 call86122formal.new.0) (=> ?v_872 (=> ?v_873 (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0) (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> (= cancelLockStatus_0.88 cancelLockStatus_0.76) (=> ?v_881 (=> ?v_882 (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> ?v_884 (=> ?v_885 (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.7 inline.SerialGetNextIrpLocked.5.myVar_0.6) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call79733formal.new.0) (=> ?v_890 (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0 call79733formal.new.0) (=> ?v_892 (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1) (=> ?v_894 (=> ?v_895 (=> (= irpCompleted_0.50 irpCompleted_0.46) (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0) (=> ?v_901 (=> (= alloc.116 alloc.110) (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.3 inline.sdv_InterlockedDecrement.22.myNondetVar_0.2) (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= Mem_2_T.CancelRoutine__IRP.123 Mem_2_T.CancelRoutine__IRP.114) (=> (= Mem_2_T.P_IRP.90 Mem_2_T.P_IRP.76) (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..0 call86633formal.ret.0) (=> (= irpCompleted_2.50 irpCompleted_2.46) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1) (=> ?v_926 (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= Mem_4_T.P_IRP.90 Mem_4_T.P_IRP.76) (=> ?v_928 (=> (= inline.RemoveHeadList.5.myNondetVar_0.3 inline.RemoveHeadList.5.myNondetVar_0.2) (=> ?v_930 (=> ?v_931 (=> (= cancelLockStatus_1.88 cancelLockStatus_1.76) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_933 (=> (= cancelLockStatus_3.88 cancelLockStatus_3.76) (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0 call79733formal.new.0) (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0) (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_952 (=> ?v_953 (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0 call86153formal.ret.0) (=> (= inline.IsListEmpty.6.myNondetVar_0.1 inline.IsListEmpty.6.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= errorReached.88 errorReached.81) (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> (= irpCompleted_4.50 irpCompleted_4.46) (=> ?v_960 (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= Mem_1_T.CancelRoutine__IRP.123 Mem_1_T.CancelRoutine__IRP.114) (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> (= Mem_3_T.P_IRP.90 Mem_3_T.P_IRP.76) (=> (= irpCompleted_1.50 irpCompleted_1.46) (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= k.411 k.385) (=> ?v_975 (=> (= Mem_4_T.CancelRoutine__IRP.123 Mem_4_T.CancelRoutine__IRP.114) (=> ?v_976 (=> ?v_977 (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.1 inline.SerialGetNextIrp.5.myNondetVar_0.0) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0) (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> (= Mem_0_T.P_IRP.90 Mem_0_T.P_IRP.76) (=> ?v_983 (=> ?v_984 (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0) (=> ?v_991 (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..0) (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> (= Mem_0_T.CancelRoutine__IRP.123 Mem_0_T.CancelRoutine__IRP.114) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1003 (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> ?v_1005 (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> (= cancelLockStatus_2.88 cancelLockStatus_2.76) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1017 (=> ?v_1018 (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> ?v_1020 (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call79733formal.new.0) (=> ?v_1022 (=> ?v_1023 (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1) (=> (= Mem_1_T.P_IRP.90 Mem_1_T.P_IRP.76) (=> ?v_1025 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) ?v_1027))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_725 (=> true (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= Mem_4_T.CancelRoutine__IRP.114 Mem_4_T.CancelRoutine__IRP.104) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.5.havoc_stringTemp) (=> (= errorReached.81 errorReached.74) (=> (= alloc.110 alloc.105) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.2 inline.sdv_InterlockedDecrement.22.myNondetVar_0) (=> (= irpCompleted_0.46 irpCompleted_0.41) (=> (= irpCompleted_4.46 irpCompleted_4.41) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.) (=> (= irpCompleted_3.46 irpCompleted_3.41) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= k.385 k.365) (=> (= Mem_3_T.CancelRoutine__IRP.114 Mem_3_T.CancelRoutine__IRP.104) (=> (= irpCompleted_1.46 irpCompleted_1.41) (=> (= Mem_0_T.CancelRoutine__IRP.114 Mem_0_T.CancelRoutine__IRP.104) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= Mem_2_T.CancelRoutine__IRP.114 Mem_2_T.CancelRoutine__IRP.104) (=> (= Mem_1_T.CancelRoutine__IRP.114 Mem_1_T.CancelRoutine__IRP.104) (=> (= irpCompleted_2.46 irpCompleted_2.41) (=> (= inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_723))))))))))))))))))))))))))))))) (?v_724 (= 1 0)) (?v_722 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 0)) (?v_684 (=> true (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) (=> (= Mem_4_T.CancelRoutine__IRP.114 Mem_4_T.CancelRoutine__IRP.113) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0 call86733formal.new.0) (=> (= errorReached.81 errorReached.80) (=> (= alloc.110 alloc.106) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.2 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) (=> (= irpCompleted_0.46 irpCompleted_0.45) (=> (= irpCompleted_4.46 irpCompleted_4.45) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0) (=> (= irpCompleted_3.46 irpCompleted_3.45) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..0) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) (=> (= k.385 k.384) (=> (= Mem_3_T.CancelRoutine__IRP.114 Mem_3_T.CancelRoutine__IRP.113) (=> (= irpCompleted_1.46 irpCompleted_1.45) (=> (= Mem_0_T.CancelRoutine__IRP.114 Mem_0_T.CancelRoutine__IRP.113) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) (=> (= Mem_2_T.CancelRoutine__IRP.114 Mem_2_T.CancelRoutine__IRP.113) (=> (= Mem_1_T.CancelRoutine__IRP.114 Mem_1_T.CancelRoutine__IRP.113) (=> (= irpCompleted_2.46 irpCompleted_2.45) (=> (= inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..0) ?v_723))))))))))))))))))))))))) (?v_683 (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.1 0))) (let ((?v_721 (and (=> true (=> (not ?v_683) (=> true (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.) ?v_684)))) (=> true (=> ?v_683 (=> true (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0 call87084formal.ret.0) (=> true (=> true (=> true ?v_684))))))))) (?v_720 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 hirp))) (let ((?v_688 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.113 Mem_1_T.CancelRoutine__IRP.106) (=> (= Mem_2_T.CancelRoutine__IRP.113 Mem_2_T.CancelRoutine__IRP.106) (=> (= irpCompleted_2.45 irpCompleted_2.44) (=> (= Mem_4_T.CancelRoutine__IRP.113 Mem_4_T.CancelRoutine__IRP.106) (=> (= irpCompleted_1.45 irpCompleted_1.44) (=> (= inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..0 call86766formal.ret.0) (=> (= k.384 k.367) (=> (= irpCompleted_3.45 irpCompleted_3.44) (=> (= errorReached.80 errorReached.75) (=> (= Mem_0_T.CancelRoutine__IRP.113 Mem_0_T.CancelRoutine__IRP.106) (=> (= irpCompleted_0.45 irpCompleted_0.44) (=> (= irpCompleted_4.45 irpCompleted_4.44) (=> (= Mem_3_T.CancelRoutine__IRP.113 Mem_3_T.CancelRoutine__IRP.106) ?v_721))))))))))))))) (?v_685 (= irpCompleted_4.44 irpCompleted_4.41)) (?v_686 (= irpCompleted_2.44 irpCompleted_2.41)) (?v_687 (= irpCompleted_3.44 irpCompleted_3.41)) (?v_690 (= irpCompleted_1.44 irpCompleted_1.41))) (let ((?v_691 (=> (= irpCompleted_0.44 irpCompleted_0.41) (=> true ?v_688)))) (let ((?v_693 (=> ?v_690 ?v_691))) (let ((?v_695 (=> ?v_687 ?v_693))) (let ((?v_697 (=> ?v_686 ?v_695)) (?v_696 (= k.367 4))) (let ((?v_712 (not ?v_696)) (?v_694 (= k.367 3))) (let ((?v_710 (not ?v_694)) (?v_692 (= k.367 2))) (let ((?v_708 (not ?v_692)) (?v_689 (= k.367 1))) (let ((?v_704 (not ?v_689)) (?v_681 (= k.367 0))) (let ((?v_698 (not ?v_681))) (let ((?v_703 (and (=> true (=> ?v_681 (=> true (=> ?v_685 (=> ?v_686 (=> ?v_687 (=> ?v_690 (=> (= irpCompleted_0.44 1) ?v_688)))))))) (=> true (=> ?v_698 (and (=> true (=> ?v_689 (=> true (=> ?v_685 (=> ?v_686 (=> ?v_687 (=> (= irpCompleted_1.44 1) ?v_691))))))) (=> true (=> ?v_704 (and (=> true (=> ?v_692 (=> true (=> ?v_685 (=> (= irpCompleted_2.44 1) ?v_695))))) (=> true (=> ?v_708 (and (=> true (=> ?v_694 (=> true (=> ?v_685 (=> ?v_686 (=> (= irpCompleted_3.44 1) ?v_693)))))) (=> true (=> ?v_710 (and (=> true (=> ?v_696 (=> true (=> (= irpCompleted_4.44 1) ?v_697)))) (=> true (=> ?v_712 (=> true (=> ?v_685 ?v_697))))))))))))))))))) (let ((?v_711 (=> true (=> true ?v_703))) (?v_700 (= Mem_2_T.CancelRoutine__IRP.106 Mem_2_T.CancelRoutine__IRP.104)) (?v_705 (= Mem_0_T.CancelRoutine__IRP.106 Mem_0_T.CancelRoutine__IRP.104)) (?v_701 (= Mem_3_T.CancelRoutine__IRP.106 Mem_3_T.CancelRoutine__IRP.104)) (?v_706 (= Mem_1_T.CancelRoutine__IRP.106 Mem_1_T.CancelRoutine__IRP.104)) (?v_702 (= Mem_4_T.CancelRoutine__IRP.106 Mem_4_T.CancelRoutine__IRP.104))) (let ((?v_707 (=> ?v_702 ?v_711))) (let ((?v_709 (=> ?v_706 ?v_707))) (let ((?v_713 (=> ?v_705 (=> ?v_701 ?v_709))) (?v_699 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5)))) (let ((?v_719 (=> true (=> (<= k.366 k.367) (=> (< k.367 5) (and (=> true (=> ?v_681 (=> (= Mem_0_T.CancelRoutine__IRP.105 (MapType0Store Mem_0_T.CancelRoutine__IRP.104 ?v_699 ?v_46)) (=> true (=> ?v_700 (=> (= Mem_0_T.CancelRoutine__IRP.106 Mem_0_T.CancelRoutine__IRP.105) (=> ?v_701 (=> ?v_706 (=> ?v_702 ?v_703))))))))) (=> true (=> ?v_698 (and (=> true (=> ?v_689 (=> (= Mem_1_T.CancelRoutine__IRP.105 (MapType0Store Mem_1_T.CancelRoutine__IRP.104 ?v_699 ?v_46)) (=> true (=> ?v_700 (=> ?v_705 (=> ?v_701 (=> (= Mem_1_T.CancelRoutine__IRP.106 Mem_1_T.CancelRoutine__IRP.105) ?v_707)))))))) (=> true (=> ?v_704 (and (=> true (=> ?v_692 (=> (= Mem_2_T.CancelRoutine__IRP.105 (MapType0Store Mem_2_T.CancelRoutine__IRP.104 ?v_699 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.106 Mem_2_T.CancelRoutine__IRP.105) ?v_713))))) (=> true (=> ?v_708 (and (=> true (=> ?v_694 (=> (= Mem_3_T.CancelRoutine__IRP.105 (MapType0Store Mem_3_T.CancelRoutine__IRP.104 ?v_699 ?v_46)) (=> true (=> ?v_700 (=> ?v_705 (=> (= Mem_3_T.CancelRoutine__IRP.106 Mem_3_T.CancelRoutine__IRP.105) ?v_709))))))) (=> true (=> ?v_710 (and (=> true (=> ?v_696 (=> (= Mem_4_T.CancelRoutine__IRP.105 (MapType0Store Mem_4_T.CancelRoutine__IRP.104 ?v_699 ?v_46)) (=> true (=> ?v_700 (=> ?v_705 (=> ?v_701 (=> ?v_706 (=> (= Mem_4_T.CancelRoutine__IRP.106 Mem_4_T.CancelRoutine__IRP.105) ?v_711))))))))) (=> true (=> ?v_712 (=> true (=> ?v_700 ?v_713))))))))))))))))))))) (?v_714 (= k.366 0)) (?v_715 (= k.366 1)) (?v_716 (= k.366 2)) (?v_717 (= k.366 3)) (?v_718 (= k.366 4)) (?v_680 (int_2_U call86733formal.new.0)) (?v_2118 (not ?v_724))) (let ((?v_730 (and (=> true (=> ?v_2118 (and (=> true (=> (not ?v_722) (=> true (and ?v_11 (=> ?v_11 (=> (> call86733formal.new.0 0) (=> (forall ((?x1549 Int)) (! (=> (and (<= call86733formal.new.0 ?x1549) (< ?x1549 (+ call86733formal.new.0 1))) (= (Base ?x1549) call86733formal.new.0)) :pattern ((Base ?x1549)) )) (=> (forall ((?x1550 boogieU)) (! (=> (= (type ?x1550) intType) (or (= (U_2_int ?x1550) call86733formal.new.0) (= (MapType0Select alloc.105 ?x1550) (MapType0Select alloc.106 ?x1550)))) :pattern ((MapType0Select alloc.106 ?x1550)) )) (=> (and (= (MapType0Select alloc.105 ?v_680) UNALLOCATED) (= (MapType0Select alloc.106 ?v_680) ALLOCATED)) (and (=> true (=> ?v_720 (=> true (=> (<= k.365 k.366) (=> (< k.366 5) (and (=> true (=> (=> ?v_714 ?v_81) (=> (=> ?v_715 ?v_82) (=> (=> ?v_716 ?v_83) (=> (=> ?v_717 ?v_84) (=> (=> ?v_718 ?v_85) (=> true (=> (= errorReached.75 1) ?v_719)))))))) (=> true (=> (=> ?v_714 ?v_221) (=> (=> ?v_715 ?v_223) (=> (=> ?v_716 ?v_225) (=> (=> ?v_717 ?v_227) (=> (=> ?v_718 ?v_229) (=> true (=> (= errorReached.75 errorReached.74) ?v_719)))))))))))))) (=> true (=> (not ?v_720) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.113 Mem_1_T.CancelRoutine__IRP.104) (=> (= Mem_2_T.CancelRoutine__IRP.113 Mem_2_T.CancelRoutine__IRP.104) (=> (= irpCompleted_2.45 irpCompleted_2.41) (=> (= Mem_4_T.CancelRoutine__IRP.113 Mem_4_T.CancelRoutine__IRP.104) (=> (= irpCompleted_1.45 irpCompleted_1.41) (=> (= inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1.) (=> (= k.384 k.365) (=> (= irpCompleted_3.45 irpCompleted_3.41) (=> (= errorReached.80 errorReached.74) (=> (= Mem_0_T.CancelRoutine__IRP.113 Mem_0_T.CancelRoutine__IRP.104) (=> (= irpCompleted_0.45 irpCompleted_0.41) (=> (= irpCompleted_4.45 irpCompleted_4.41) (=> (= Mem_3_T.CancelRoutine__IRP.113 Mem_3_T.CancelRoutine__IRP.104) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_721))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_722 ?v_725))))) (=> true (=> ?v_724 ?v_725))))) (let ((?v_736 (=> true (=> true (=> true (=> true (=> true ?v_730)))))) (?v_732 (= cancelLockStatus_1.76 cancelLockStatus_1.75)) (?v_733 (= cancelLockStatus_0.76 cancelLockStatus_0.75)) (?v_727 (= cancelLockStatus_2.76 cancelLockStatus_2.75)) (?v_728 (= cancelLockStatus_4.76 cancelLockStatus_4.75)) (?v_729 (= cancelLockStatus_3.76 cancelLockStatus_3.75))) (let ((?v_738 (=> ?v_729 ?v_736))) (let ((?v_734 (=> ?v_728 ?v_738))) (let ((?v_740 (=> ?v_733 (=> ?v_727 ?v_734))) (?v_739 (= k.365 4)) (?v_737 (= k.365 3)) (?v_735 (= k.365 2)) (?v_731 (= k.365 1)) (?v_726 (= k.365 0))) (let ((?v_745 (=> true (=> (<= k.364 k.365) (=> (< k.365 5) (and (=> true (=> ?v_726 (=> true (=> ?v_732 (=> (= cancelLockStatus_0.76 0) (=> ?v_727 (=> ?v_728 (=> ?v_729 ?v_730)))))))) (=> true (=> (not ?v_726) (and (=> true (=> ?v_731 (=> true (=> (= cancelLockStatus_1.76 0) ?v_740)))) (=> true (=> (not ?v_731) (and (=> true (=> ?v_735 (=> true (=> ?v_732 (=> ?v_733 (=> (= cancelLockStatus_2.76 0) ?v_734)))))) (=> true (=> (not ?v_735) (and (=> true (=> ?v_737 (=> true (=> ?v_732 (=> ?v_733 (=> ?v_727 (=> ?v_728 (=> (= cancelLockStatus_3.76 0) ?v_736)))))))) (=> true (=> (not ?v_737) (and (=> true (=> ?v_739 (=> true (=> ?v_732 (=> ?v_733 (=> ?v_727 (=> (= cancelLockStatus_4.76 0) ?v_738))))))) (=> true (=> (not ?v_739) (=> true (=> ?v_732 ?v_740)))))))))))))))))))))) (let ((?v_753 (=> true (=> true (=> true (=> true ?v_745))))) (?v_742 (= Mem_3_T.P_IRP.76 Mem_3_T.P_IRP.74)) (?v_747 (= Mem_1_T.P_IRP.76 Mem_1_T.P_IRP.74)) (?v_748 (= Mem_0_T.P_IRP.76 Mem_0_T.P_IRP.74)) (?v_743 (= Mem_2_T.P_IRP.76 Mem_2_T.P_IRP.74)) (?v_744 (= Mem_4_T.P_IRP.76 Mem_4_T.P_IRP.74))) (let ((?v_749 (=> ?v_744 ?v_753))) (let ((?v_751 (=> ?v_748 (=> ?v_743 ?v_749)))) (let ((?v_755 (=> ?v_747 ?v_751)) (?v_754 (= k.364 4)) (?v_752 (= k.364 3)) (?v_750 (= k.364 2)) (?v_746 (= k.364 1)) (?v_741 (= k.364 0))) (let ((?v_775 (=> true (=> (<= k.363 k.364) (=> (< k.364 5) (and (=> true (=> ?v_741 (=> (= Mem_0_T.P_IRP.75 (MapType0Store Mem_0_T.P_IRP.74 ?v_39 (MapType0Select Mem_0_T.P_IRP.74 ?v_43))) (=> true (=> ?v_742 (=> ?v_747 (=> (= Mem_0_T.P_IRP.76 Mem_0_T.P_IRP.75) (=> ?v_743 (=> ?v_744 ?v_745))))))))) (=> true (=> (not ?v_741) (and (=> true (=> ?v_746 (=> (= Mem_1_T.P_IRP.75 (MapType0Store Mem_1_T.P_IRP.74 ?v_39 (MapType0Select Mem_1_T.P_IRP.74 ?v_43))) (=> true (=> ?v_742 (=> (= Mem_1_T.P_IRP.76 Mem_1_T.P_IRP.75) ?v_751)))))) (=> true (=> (not ?v_746) (and (=> true (=> ?v_750 (=> (= Mem_2_T.P_IRP.75 (MapType0Store Mem_2_T.P_IRP.74 ?v_39 (MapType0Select Mem_2_T.P_IRP.74 ?v_43))) (=> true (=> ?v_742 (=> ?v_747 (=> ?v_748 (=> (= Mem_2_T.P_IRP.76 Mem_2_T.P_IRP.75) ?v_749)))))))) (=> true (=> (not ?v_750) (and (=> true (=> ?v_752 (=> (= Mem_3_T.P_IRP.75 (MapType0Store Mem_3_T.P_IRP.74 ?v_39 (MapType0Select Mem_3_T.P_IRP.74 ?v_43))) (=> true (=> (= Mem_3_T.P_IRP.76 Mem_3_T.P_IRP.75) ?v_755))))) (=> true (=> (not ?v_752) (and (=> true (=> ?v_754 (=> (= Mem_4_T.P_IRP.75 (MapType0Store Mem_4_T.P_IRP.74 ?v_39 (MapType0Select Mem_4_T.P_IRP.74 ?v_43))) (=> true (=> ?v_742 (=> ?v_747 (=> ?v_748 (=> ?v_743 (=> (= Mem_4_T.P_IRP.76 Mem_4_T.P_IRP.75) ?v_753))))))))) (=> true (=> (not ?v_754) (=> true (=> ?v_742 ?v_755)))))))))))))))))))))) (let ((?v_780 (=> true (=> (<= k.361 k.362) (=> (< k.362 5) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.5.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= errorReached.74 errorReached.73) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.6 inline.SerialGetNextIrpLocked.5.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..0 call87689formal.ret.0) (=> (= k.363 k.362) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> (= Mem_2_T.P_IRP.74 Mem_2_T.P_IRP.72) (=> (= Mem_4_T.CancelRoutine__IRP.104 Mem_4_T.CancelRoutine__IRP.103) (=> (= inline.RemoveHeadList.5.myNondetVar_0.2 inline.RemoveHeadList.5.myNondetVar_0.1) (=> (= Mem_0_T.P_IRP.74 Mem_0_T.P_IRP.72) (=> (= Mem_3_T.CancelRoutine__IRP.104 Mem_3_T.CancelRoutine__IRP.103) (=> (= Mem_2_T.CancelRoutine__IRP.104 Mem_2_T.CancelRoutine__IRP.103) (=> (= Mem_0_T.CancelRoutine__IRP.104 Mem_0_T.CancelRoutine__IRP.103) (=> (= Mem_1_T.P_IRP.74 Mem_1_T.P_IRP.72) (=> (= Mem_3_T.P_IRP.74 Mem_3_T.P_IRP.72) (=> (= Mem_1_T.CancelRoutine__IRP.104 Mem_1_T.CancelRoutine__IRP.103) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.5.myVar_0.5) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> (= Mem_4_T.P_IRP.74 Mem_4_T.P_IRP.71) ?v_775))))))))))))))))))))))))))))))) (let ((?v_788 (=> true ?v_780)) (?v_777 (= Mem_2_T.CancelRoutine__IRP.103 Mem_2_T.CancelRoutine__IRP.101)) (?v_782 (= Mem_0_T.CancelRoutine__IRP.103 Mem_0_T.CancelRoutine__IRP.101)) (?v_778 (= Mem_3_T.CancelRoutine__IRP.103 Mem_3_T.CancelRoutine__IRP.101)) (?v_783 (= Mem_1_T.CancelRoutine__IRP.103 Mem_1_T.CancelRoutine__IRP.101)) (?v_779 (= Mem_4_T.CancelRoutine__IRP.103 Mem_4_T.CancelRoutine__IRP.101))) (let ((?v_784 (=> ?v_779 ?v_788))) (let ((?v_786 (=> ?v_783 ?v_784))) (let ((?v_790 (=> ?v_782 (=> ?v_778 ?v_786))) (?v_789 (= k.361 4)) (?v_774 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.5.myVar_0.5))) (?v_787 (= k.361 3)) (?v_785 (= k.361 2)) (?v_781 (= k.361 1)) (?v_776 (= k.361 0))) (let ((?v_798 (=> true (=> (<= k.360 k.361) (=> (< k.361 5) (and (=> true (=> ?v_776 (=> (= Mem_0_T.CancelRoutine__IRP.102 (MapType0Store Mem_0_T.CancelRoutine__IRP.101 ?v_774 ?v_46)) (=> true (=> ?v_777 (=> (= Mem_0_T.CancelRoutine__IRP.103 Mem_0_T.CancelRoutine__IRP.102) (=> ?v_778 (=> ?v_783 (=> ?v_779 ?v_780))))))))) (=> true (=> (not ?v_776) (and (=> true (=> ?v_781 (=> (= Mem_1_T.CancelRoutine__IRP.102 (MapType0Store Mem_1_T.CancelRoutine__IRP.101 ?v_774 ?v_46)) (=> true (=> ?v_777 (=> ?v_782 (=> ?v_778 (=> (= Mem_1_T.CancelRoutine__IRP.103 Mem_1_T.CancelRoutine__IRP.102) ?v_784)))))))) (=> true (=> (not ?v_781) (and (=> true (=> ?v_785 (=> (= Mem_2_T.CancelRoutine__IRP.102 (MapType0Store Mem_2_T.CancelRoutine__IRP.101 ?v_774 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.103 Mem_2_T.CancelRoutine__IRP.102) ?v_790))))) (=> true (=> (not ?v_785) (and (=> true (=> ?v_787 (=> (= Mem_3_T.CancelRoutine__IRP.102 (MapType0Store Mem_3_T.CancelRoutine__IRP.101 ?v_774 ?v_46)) (=> true (=> ?v_777 (=> ?v_782 (=> (= Mem_3_T.CancelRoutine__IRP.103 Mem_3_T.CancelRoutine__IRP.102) ?v_786))))))) (=> true (=> (not ?v_787) (and (=> true (=> ?v_789 (=> (= Mem_4_T.CancelRoutine__IRP.102 (MapType0Store Mem_4_T.CancelRoutine__IRP.101 ?v_774 ?v_46)) (=> true (=> ?v_777 (=> ?v_782 (=> ?v_778 (=> ?v_783 (=> (= Mem_4_T.CancelRoutine__IRP.103 Mem_4_T.CancelRoutine__IRP.102) ?v_788))))))))) (=> true (=> (not ?v_789) (=> true (=> ?v_777 ?v_790)))))))))))))))))))))) (let ((?v_800 (=> (= errorReached.73 errorReached.72) ?v_798)) (?v_799 (= inline.SerialGetNextIrpLocked.5.myVar_0.5 hirp)) (?v_796 (= k.360 k.359)) (?v_797 (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0 call87598formal.ret.0)) (?v_791 (= k.359 0)) (?v_792 (= k.359 1)) (?v_793 (= k.359 2)) (?v_794 (= k.359 3)) (?v_795 (= k.359 4))) (let ((?v_802 (and (=> true (=> ?v_799 (=> true (=> (<= k.358 k.359) (=> (< k.359 5) (and (=> true (=> (=> ?v_791 ?v_81) (=> (=> ?v_792 ?v_82) (=> (=> ?v_793 ?v_83) (=> (=> ?v_794 ?v_84) (=> (=> ?v_795 ?v_85) (=> true (=> ?v_796 (=> ?v_797 (=> (= errorReached.73 1) ?v_798)))))))))) (=> true (=> (=> ?v_791 ?v_221) (=> (=> ?v_792 ?v_223) (=> (=> ?v_793 ?v_225) (=> (=> ?v_794 ?v_227) (=> (=> ?v_795 ?v_229) (=> true (=> ?v_796 (=> ?v_797 ?v_800))))))))))))))) (=> true (=> (not ?v_799) (=> true (=> (= k.360 k.358) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.) ?v_800)))))))) (let ((?v_804 (=> true (=> true ?v_802))) (?v_807 (= k.358 4)) (?v_806 (= k.358 3)) (?v_805 (= k.358 2)) (?v_803 (= k.358 1)) (?v_801 (= k.358 0))) (let ((?v_810 (=> true (=> (<= k.357 k.358) (=> (< k.358 5) (and (=> true (=> ?v_801 (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.101 ?v_774))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_802))))) (=> true (=> (not ?v_801) (and (=> true (=> ?v_803 (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.101 ?v_774))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_804))))) (=> true (=> (not ?v_803) (and (=> true (=> ?v_805 (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.101 ?v_774))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_804))))) (=> true (=> (not ?v_805) (and (=> true (=> ?v_806 (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.101 ?v_774))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_804))))) (=> true (=> (not ?v_806) (and (=> true (=> ?v_807 (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.101 ?v_774))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_804))))) (=> true (=> (not ?v_807) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_804)))))))))))))))))))))) (let ((?v_813 (=> true (=> true (=> true (=> true ?v_810))))) (?v_818 (= k.357 4)) (?v_817 (U_2_int (MapType0Select Mem_4_T.P_IRP.71 ?v_43))) (?v_816 (= k.357 3)) (?v_815 (U_2_int (MapType0Select Mem_3_T.P_IRP.72 ?v_43))) (?v_814 (= k.357 2)) (?v_812 (U_2_int (MapType0Select Mem_2_T.P_IRP.72 ?v_43))) (?v_811 (= k.357 1)) (?v_809 (U_2_int (MapType0Select Mem_1_T.P_IRP.72 ?v_43))) (?v_808 (= k.357 0)) (?v_773 (U_2_int (MapType0Select Mem_0_T.P_IRP.72 ?v_43))) (?v_772 (= k.356 0)) (?v_819 (= k.356 1)) (?v_825 (= k.356 2)) (?v_829 (= k.356 3)) (?v_831 (= k.356 4))) (let ((?v_824 (=> true (=> (=> ?v_772 (not (= ?v_773 hirp))) (=> (=> ?v_819 (not (= ?v_809 hirp))) (=> (=> ?v_825 (not (= ?v_812 hirp))) (=> (=> ?v_829 (not (= ?v_815 hirp))) (=> (=> ?v_831 (not (= ?v_817 hirp))) (=> true (=> (<= k.356 k.357) (=> (< k.357 5) (and (=> true (=> ?v_808 (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.0 ?v_773) (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.5 inline.SerialGetNextIrpLocked.5.myVar_0.0) ?v_810))))) (=> true (=> (not ?v_808) (and (=> true (=> ?v_811 (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.2 ?v_809) (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.5 inline.SerialGetNextIrpLocked.5.myVar_0.2) ?v_813))))) (=> true (=> (not ?v_811) (and (=> true (=> ?v_814 (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.1 ?v_812) (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.5 inline.SerialGetNextIrpLocked.5.myVar_0.1) ?v_813))))) (=> true (=> (not ?v_814) (and (=> true (=> ?v_816 (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.3 ?v_815) (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.5 inline.SerialGetNextIrpLocked.5.myVar_0.3) ?v_813))))) (=> true (=> (not ?v_816) (and (=> true (=> ?v_818 (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.4 ?v_817) (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.5 inline.SerialGetNextIrpLocked.5.myVar_0.4) ?v_813))))) (=> true (=> (not ?v_818) (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.5 inline.SerialGetNextIrpLocked.5.myVar_0) ?v_813)))))))))))))))))))))))))))) (let ((?v_832 (=> true ?v_824)) (?v_821 (= Mem_3_T.P_IRP.72 Mem_3_T.P_IRP.69)) (?v_826 (= Mem_1_T.P_IRP.72 Mem_1_T.P_IRP.69)) (?v_827 (= Mem_0_T.P_IRP.72 Mem_0_T.P_IRP.69)) (?v_822 (= Mem_2_T.P_IRP.72 Mem_2_T.P_IRP.69)) (?v_823 (= Mem_4_T.P_IRP.71 Mem_4_T.P_IRP.69))) (let ((?v_828 (=> ?v_823 ?v_832))) (let ((?v_830 (=> ?v_827 (=> ?v_822 ?v_828)))) (let ((?v_833 (=> ?v_826 ?v_830)) (?v_820 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.5.myNondetVar_0.0 1 88))) (?v_771 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 0)) (?v_760 (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= errorReached.74 errorReached.72) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.6 inline.SerialGetNextIrpLocked.5.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3.) (=> (= k.363 k.355) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.) (=> (= Mem_2_T.P_IRP.74 Mem_2_T.P_IRP.73) (=> (= Mem_4_T.CancelRoutine__IRP.104 Mem_4_T.CancelRoutine__IRP.101) (=> (= inline.RemoveHeadList.5.myNondetVar_0.2 inline.RemoveHeadList.5.myNondetVar_0) (=> (= Mem_0_T.P_IRP.74 Mem_0_T.P_IRP.73) (=> (= Mem_3_T.CancelRoutine__IRP.104 Mem_3_T.CancelRoutine__IRP.101) (=> (= Mem_2_T.CancelRoutine__IRP.104 Mem_2_T.CancelRoutine__IRP.101) (=> (= Mem_0_T.CancelRoutine__IRP.104 Mem_0_T.CancelRoutine__IRP.101) (=> (= Mem_1_T.P_IRP.74 Mem_1_T.P_IRP.73) (=> (= Mem_3_T.P_IRP.74 Mem_3_T.P_IRP.73) (=> (= Mem_1_T.CancelRoutine__IRP.104 Mem_1_T.CancelRoutine__IRP.101) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList) (=> (= Mem_4_T.P_IRP.74 Mem_4_T.P_IRP.73) ?v_775)))))))))))))))))))))))))))) (let ((?v_768 (=> true ?v_760)) (?v_757 (= Mem_3_T.P_IRP.73 Mem_3_T.P_IRP.69)) (?v_762 (= Mem_1_T.P_IRP.73 Mem_1_T.P_IRP.69)) (?v_763 (= Mem_0_T.P_IRP.73 Mem_0_T.P_IRP.69)) (?v_758 (= Mem_2_T.P_IRP.73 Mem_2_T.P_IRP.69)) (?v_759 (= Mem_4_T.P_IRP.73 Mem_4_T.P_IRP.69))) (let ((?v_764 (=> ?v_759 ?v_768))) (let ((?v_766 (=> ?v_763 (=> ?v_758 ?v_764)))) (let ((?v_770 (=> ?v_762 ?v_766)) (?v_769 (= k.355 4)) (?v_767 (= k.355 3)) (?v_765 (= k.355 2)) (?v_761 (= k.355 1)) (?v_756 (= k.355 0))) (let ((?v_835 (=> true (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.6.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_771) (=> true (=> (<= k.354 k.355) (=> (< k.355 5) (and (=> true (=> ?v_756 (=> (= Mem_0_T.P_IRP.70 ?v_1044) (=> true (=> ?v_757 (=> ?v_762 (=> (= Mem_0_T.P_IRP.73 Mem_0_T.P_IRP.70) (=> ?v_758 (=> ?v_759 ?v_760))))))))) (=> true (=> (not ?v_756) (and (=> true (=> ?v_761 (=> (= Mem_1_T.P_IRP.70 ?v_1285) (=> true (=> ?v_757 (=> (= Mem_1_T.P_IRP.73 Mem_1_T.P_IRP.70) ?v_766)))))) (=> true (=> (not ?v_761) (and (=> true (=> ?v_765 (=> (= Mem_2_T.P_IRP.70 ?v_1291) (=> true (=> ?v_757 (=> ?v_762 (=> ?v_763 (=> (= Mem_2_T.P_IRP.73 Mem_2_T.P_IRP.70) ?v_764)))))))) (=> true (=> (not ?v_765) (and (=> true (=> ?v_767 (=> (= Mem_3_T.P_IRP.70 ?v_1296) (=> true (=> (= Mem_3_T.P_IRP.73 Mem_3_T.P_IRP.70) ?v_770))))) (=> true (=> (not ?v_767) (and (=> true (=> ?v_769 (=> (= Mem_4_T.P_IRP.72 ?v_1299) (=> true (=> ?v_757 (=> ?v_762 (=> ?v_763 (=> ?v_758 (=> (= Mem_4_T.P_IRP.73 Mem_4_T.P_IRP.72) ?v_768))))))))) (=> true (=> (not ?v_769) (=> true (=> ?v_757 ?v_770)))))))))))))))))))))) (=> true (=> ?v_771 (=> true (=> (<= k.354 k.356) (=> (< k.356 5) (and (=> true (=> ?v_772 (=> (= Mem_0_T.P_IRP.71 (MapType0Store Mem_0_T.P_IRP.69 ?v_43 ?v_820)) (=> true (=> ?v_821 (=> ?v_826 (=> (= Mem_0_T.P_IRP.72 Mem_0_T.P_IRP.71) (=> ?v_822 (=> ?v_823 ?v_824))))))))) (=> true (=> (not ?v_772) (and (=> true (=> ?v_819 (=> (= Mem_1_T.P_IRP.71 (MapType0Store Mem_1_T.P_IRP.69 ?v_43 ?v_820)) (=> true (=> ?v_821 (=> (= Mem_1_T.P_IRP.72 Mem_1_T.P_IRP.71) ?v_830)))))) (=> true (=> (not ?v_819) (and (=> true (=> ?v_825 (=> (= Mem_2_T.P_IRP.71 (MapType0Store Mem_2_T.P_IRP.69 ?v_43 ?v_820)) (=> true (=> ?v_821 (=> ?v_826 (=> ?v_827 (=> (= Mem_2_T.P_IRP.72 Mem_2_T.P_IRP.71) ?v_828)))))))) (=> true (=> (not ?v_825) (and (=> true (=> ?v_829 (=> (= Mem_3_T.P_IRP.71 (MapType0Store Mem_3_T.P_IRP.69 ?v_43 ?v_820)) (=> true (=> (= Mem_3_T.P_IRP.72 Mem_3_T.P_IRP.71) ?v_833))))) (=> true (=> (not ?v_829) (and (=> true (=> ?v_831 (=> (= Mem_4_T.P_IRP.70 (MapType0Store Mem_4_T.P_IRP.69 ?v_43 ?v_820)) (=> true (=> ?v_821 (=> ?v_826 (=> ?v_827 (=> ?v_822 (=> (= Mem_4_T.P_IRP.71 Mem_4_T.P_IRP.70) ?v_832))))))))) (=> true (=> (not ?v_831) (=> true (=> ?v_821 ?v_833))))))))))))))))))))))))))) (let ((?v_837 (=> true (=> true (=> true (=> true ?v_835))))) (?v_840 (= k.354 4)) (?v_839 (= k.354 3)) (?v_838 (= k.354 2)) (?v_836 (= k.354 1)) (?v_834 (= k.354 0))) (let ((?v_845 (=> true (=> (<= k.353 k.354) (=> (< k.354 5) (and (=> true (=> ?v_834 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.0 ?v_42) (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_835))))) (=> true (=> (not ?v_834) (and (=> true (=> ?v_836 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.1 ?v_388) (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_837))))) (=> true (=> (not ?v_836) (and (=> true (=> ?v_838 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 ?v_391) (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2) ?v_837))))) (=> true (=> (not ?v_838) (and (=> true (=> ?v_839 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.3 ?v_394) (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.3) ?v_837))))) (=> true (=> (not ?v_839) (and (=> true (=> ?v_840 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.4 ?v_396) (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.4) ?v_837))))) (=> true (=> (not ?v_840) (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_837)))))))))))))))))))))) (let ((?v_851 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_845))))))))) (?v_847 (= cancelLockStatus_1.75 cancelLockStatus_1.74)) (?v_848 (= cancelLockStatus_0.75 cancelLockStatus_0.74)) (?v_842 (= cancelLockStatus_2.75 cancelLockStatus_2.74)) (?v_843 (= cancelLockStatus_4.75 cancelLockStatus_4.74)) (?v_844 (= cancelLockStatus_3.75 cancelLockStatus_3.74))) (let ((?v_853 (=> ?v_844 ?v_851))) (let ((?v_849 (=> ?v_843 ?v_853))) (let ((?v_854 (=> ?v_848 (=> ?v_842 ?v_849))) (?v_852 (= k.353 4)) (?v_850 (= k.353 3)) (?v_846 (= k.353 2)) (?v_841 (= k.353 1)) (?v_679 (= k.353 0)) (?v_76 (= cancelLockStatus_0.74 0)) (?v_413 (= cancelLockStatus_1.74 0)) (?v_414 (= cancelLockStatus_2.74 0)) (?v_415 (= cancelLockStatus_3.74 0)) (?v_416 (= cancelLockStatus_4.74 0)) (?v_678 (int_2_U call86122formal.new.0)) (?v_677 (= SerialGetNextIrp SerialGetNextWrite))) (let ((?v_2115 (not ?v_677)) (?v_88 (int_2_U call84413formal.new.0))) (let ((?v_157 (=> true (and ?v_11 (=> ?v_11 (=> (> call84413formal.new.0 0) (=> (forall ((?x1553 Int)) (! (=> (and (<= call84413formal.new.0 ?x1553) (< ?x1553 (+ call84413formal.new.0 1))) (= (Base ?x1553) call84413formal.new.0)) :pattern ((Base ?x1553)) )) (=> (forall ((?x1554 boogieU)) (! (=> (= (type ?x1554) intType) (or (= (U_2_int ?x1554) call84413formal.new.0) (= (MapType0Select alloc.114 ?x1554) (MapType0Select alloc.115 ?x1554)))) :pattern ((MapType0Select alloc.115 ?x1554)) )) (=> (and (= (MapType0Select alloc.114 ?v_88) UNALLOCATED) (= (MapType0Select alloc.115 ?v_88) ALLOCATED)) (=> true (=> ?v_856 (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> (= Mem_3_T.CancelRoutine__IRP.123 Mem_3_T.CancelRoutine__IRP.122) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0 call82586formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.8 inline.KeSynchronizeExecution.10.myNondetVar_0.7) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> ?v_865 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_868 (=> (= cancelLockStatus_4.88 cancelLockStatus_4.87) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= irpCompleted_3.50 irpCompleted_3.49) (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.0 call84413formal.new.0) (=> ?v_871 (=> (= inline.SerialGetNextWrite.2.tempBoogie0.6 inline.SerialGetNextWrite.2.tempBoogie0.5) (=> (= inline.IsListEmpty.5.myNondetVar_0.1 inline.IsListEmpty.5.myNondetVar_0.0) (=> ?v_874 (=> ?v_875 (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.7 inline.SerialGetNextIrpLocked.4.myVar_0.6) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0 call79733formal.new.0) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_880 (=> (= cancelLockStatus_0.88 cancelLockStatus_0.87) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0 x.SerialCompleteRead.arg.2.7..5) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0) (=> ?v_883 (=> (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..2) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2) (=> ?v_891 (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1) (=> ?v_893 (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0 call81911formal.new.0) (=> (= irpCompleted_0.50 irpCompleted_0.49) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.5) (=> ?v_899 (=> ?v_900 (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= alloc.116 alloc.115) (=> (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.20 inline.SerialGetNextWrite.2.myNondetVar_0.19) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_906 (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0) (=> (= inline.RemoveHeadList.4.myNondetVar_0.3 inline.RemoveHeadList.4.myNondetVar_0.2) (=> ?v_912 (=> (= Mem_2_T.CancelRoutine__IRP.123 Mem_2_T.CancelRoutine__IRP.122) (=> (= Mem_2_T.P_IRP.90 Mem_2_T.P_IRP.89) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call79733formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2) (=> ?v_924 (=> (= irpCompleted_2.50 irpCompleted_2.49) (=> ?v_925 (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0) (=> ?v_927 (=> (= Mem_4_T.P_IRP.90 Mem_4_T.P_IRP.89) (=> (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..0 call82617formal.ret.0) (=> ?v_929 (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0 x.SerialCompleteRead.arg.2.7..5) (=> (= inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..0) (=> (= cancelLockStatus_1.88 cancelLockStatus_1.87) (=> ?v_932 (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= cancelLockStatus_3.88 cancelLockStatus_3.87) (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.1 inline.SerialGetNextIrp.4.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..1) (=> ?v_938 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.6) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_944 (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0 call81908formal.new.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.5 inline.SerialGetNextWrite.2.myNondetVar_1.4) (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> (= errorReached.88 errorReached.87) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1) (=> (= irpCompleted_4.50 irpCompleted_4.49) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.5) (=> ?v_961 (=> (= Mem_1_T.CancelRoutine__IRP.123 Mem_1_T.CancelRoutine__IRP.122) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0 call79733formal.new.0) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..0) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= Mem_3_T.P_IRP.90 Mem_3_T.P_IRP.89) (=> (= irpCompleted_1.50 irpCompleted_1.49) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.9 inline.KeSynchronizeExecution.11.myNondetVar_0.8) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0 call79733formal.new.0) (=> ?v_974 (=> (= k.411 k.410) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call79733formal.new.0) (=> (= Mem_4_T.CancelRoutine__IRP.123 Mem_4_T.CancelRoutine__IRP.122) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0 call79733formal.new.0) (=> ?v_978 (=> ?v_979 (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialGetNextWrite.2.myVar_0.26 inline.SerialGetNextWrite.2.myVar_0.25) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= Mem_0_T.P_IRP.90 Mem_0_T.P_IRP.89) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.5 inline.sdv_InterlockedDecrement.21.myNondetVar_0.4) (=> (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..0) (=> ?v_985 (=> ?v_986 (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.4 inline.SerialGetNextWrite.2.myNondetVar_2.3) (=> ?v_990 (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1) (=> ?v_992 (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialSetTimer.5.myNondetVar_0.7 inline.SerialSetTimer.5.myNondetVar_0.6) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.4 inline.sdv_InterlockedIncrement.6.myNondetVar_0.3) (=> (= Mem_0_T.CancelRoutine__IRP.123 Mem_0_T.CancelRoutine__IRP.122) (=> ?v_1001 (=> ?v_1002 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_1004 (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_1006 (=> ?v_1007 (=> (= inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1..0 call83097formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= cancelLockStatus_2.88 cancelLockStatus_2.87) (=> ?v_1016 (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..0) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0 call81902formal.new.0) (=> ?v_1019 (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2) (=> ?v_1021 (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.3 inline.sdv_InterlockedDecrement.20.myNondetVar_0.2) (=> ?v_1024 (=> (= Mem_1_T.P_IRP.90 Mem_1_T.P_IRP.89) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> ?v_1026 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0 call81905formal.new.0) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1) ?v_682))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_156 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_162 (=> true (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..0 call84625formal.ret.0) (=> (= cancelLockStatus_4.87 cancelLockStatus_4.86) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0) (=> (= cancelLockStatus_3.87 cancelLockStatus_3.86) (=> (= cancelLockStatus_1.87 cancelLockStatus_1.86) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= k.410 k.409) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.7 inline.KeSynchronizeExecution.10.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.2.myVar_0.25 inline.SerialGetNextWrite.2.myVar_0.18) (=> (= cancelLockStatus_0.87 cancelLockStatus_0.86) (=> (= cancelLockStatus_2.87 cancelLockStatus_2.86) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.19 inline.SerialGetNextWrite.2.myNondetVar_0.18) (=> ?v_156 (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> (= inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..0 call84432formal.ret.0) ?v_157))))))))))))))))))))))) (let ((?v_168 (=> true (=> true (=> true (=> true ?v_162))))) (?v_164 (= cancelLockStatus_1.86 cancelLockStatus_1.85)) (?v_165 (= cancelLockStatus_0.86 cancelLockStatus_0.85)) (?v_159 (= cancelLockStatus_2.86 cancelLockStatus_2.85)) (?v_160 (= cancelLockStatus_4.86 cancelLockStatus_4.85)) (?v_161 (= cancelLockStatus_3.86 cancelLockStatus_3.85))) (let ((?v_170 (=> ?v_161 ?v_168))) (let ((?v_166 (=> ?v_160 ?v_170))) (let ((?v_172 (=> ?v_165 (=> ?v_159 ?v_166))) (?v_171 (= k.409 4)) (?v_169 (= k.409 3)) (?v_167 (= k.409 2)) (?v_163 (= k.409 1)) (?v_158 (= k.409 0))) (let ((?v_174 (=> true (=> (<= k.408 k.409) (=> (< k.409 5) (and (=> true (=> ?v_158 (=> true (=> ?v_164 (=> (= cancelLockStatus_0.86 0) (=> ?v_159 (=> ?v_160 (=> ?v_161 ?v_162)))))))) (=> true (=> (not ?v_158) (and (=> true (=> ?v_163 (=> true (=> (= cancelLockStatus_1.86 0) ?v_172)))) (=> true (=> (not ?v_163) (and (=> true (=> ?v_167 (=> true (=> ?v_164 (=> ?v_165 (=> (= cancelLockStatus_2.86 0) ?v_166)))))) (=> true (=> (not ?v_167) (and (=> true (=> ?v_169 (=> true (=> ?v_164 (=> ?v_165 (=> ?v_159 (=> ?v_160 (=> (= cancelLockStatus_3.86 0) ?v_168)))))))) (=> true (=> (not ?v_169) (and (=> true (=> ?v_171 (=> true (=> ?v_164 (=> ?v_165 (=> ?v_159 (=> (= cancelLockStatus_4.86 0) ?v_170))))))) (=> true (=> (not ?v_171) (=> true (=> ?v_164 ?v_172)))))))))))))))))))))) (let ((?v_179 (and (=> true (=> ?v_1594 (=> true (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.6 inline.KeSynchronizeExecution.10.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.10..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.10..result.SynchronizeRoutine.4679.26.2.) ?v_174)))))) (=> true (=> ?v_173 (=> true (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.6 inline.KeSynchronizeExecution.10.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true (=> true (=> true ?v_174))))))))))))))) (let ((?v_185 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_179)))))))))) (?v_181 (= cancelLockStatus_1.85 cancelLockStatus_1.84)) (?v_182 (= cancelLockStatus_0.85 cancelLockStatus_0.84)) (?v_176 (= cancelLockStatus_2.85 cancelLockStatus_2.84)) (?v_177 (= cancelLockStatus_4.85 cancelLockStatus_4.84)) (?v_178 (= cancelLockStatus_3.85 cancelLockStatus_3.84))) (let ((?v_187 (=> ?v_178 ?v_185))) (let ((?v_183 (=> ?v_177 ?v_187))) (let ((?v_188 (=> ?v_182 (=> ?v_176 ?v_183))) (?v_186 (= k.408 4)) (?v_184 (= k.408 3)) (?v_180 (= k.408 2)) (?v_175 (= k.408 1)) (?v_155 (= k.408 0)) (?v_154 (= cancelLockStatus_0.84 0)) (?v_238 (= cancelLockStatus_1.84 0)) (?v_246 (= cancelLockStatus_2.84 0)) (?v_249 (= cancelLockStatus_3.84 0)) (?v_252 (= cancelLockStatus_4.84 0)) (?v_144 (= k.406 0)) (?v_87 (U_2_int (MapType0Select Mem_0_T.P_IRP.89 ?v_39)))) (let ((?v_145 (= ?v_87 0)) (?v_146 (= k.406 1)) (?v_134 (U_2_int (MapType0Select Mem_1_T.P_IRP.89 ?v_39)))) (let ((?v_147 (= ?v_134 0)) (?v_148 (= k.406 2)) (?v_137 (U_2_int (MapType0Select Mem_2_T.P_IRP.89 ?v_39)))) (let ((?v_149 (= ?v_137 0)) (?v_150 (= k.406 3)) (?v_140 (U_2_int (MapType0Select Mem_3_T.P_IRP.89 ?v_39)))) (let ((?v_151 (= ?v_140 0)) (?v_152 (= k.406 4)) (?v_142 (U_2_int (MapType0Select Mem_4_T.P_IRP.89 ?v_39)))) (let ((?v_153 (= ?v_142 0)) (?v_114 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_115 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.24)) (?v_116 (= inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1.)) (?v_117 (= cancelLockStatus_4.87 cancelLockStatus_4.84)) (?v_118 (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.)) (?v_119 (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution)) (?v_120 (= cancelLockStatus_3.87 cancelLockStatus_3.84)) (?v_121 (= cancelLockStatus_1.87 cancelLockStatus_1.84)) (?v_122 (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_123 (= k.410 k.407)) (?v_124 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.24)) (?v_125 (= inline.KeSynchronizeExecution.10.myNondetVar_0.7 inline.KeSynchronizeExecution.10.myNondetVar_0)) (?v_126 (= inline.SerialGetNextWrite.2.myVar_0.25 inline.SerialGetNextWrite.2.myVar_0.24)) (?v_127 (= cancelLockStatus_0.87 cancelLockStatus_0.84)) (?v_128 (= cancelLockStatus_2.87 cancelLockStatus_2.84)) (?v_129 (= inline.SerialGetNextWrite.2.myNondetVar_0.19 inline.SerialGetNextWrite.2.myNondetVar_0.16)) (?v_130 (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1.) ?v_157)))) (?v_113 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_132 (and (=> true (=> ?v_113 (=> true (=> ?v_114 (=> ?v_115 (=> ?v_116 (=> ?v_117 (=> ?v_118 (=> ?v_119 (=> ?v_120 (=> ?v_121 (=> ?v_122 (=> ?v_123 (=> ?v_124 (=> ?v_125 (=> ?v_126 (=> ?v_127 (=> ?v_128 (=> ?v_129 (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_130)))))))))))))))))))) (=> true (=> (not ?v_113) (=> true (=> ?v_114 (=> ?v_115 (=> ?v_116 (=> ?v_117 (=> ?v_118 (=> ?v_119 (=> ?v_120 (=> ?v_121 (=> ?v_122 (=> ?v_123 (=> ?v_124 (=> ?v_125 (=> ?v_126 (=> ?v_127 (=> ?v_128 (=> ?v_129 (=> ?v_156 ?v_130)))))))))))))))))))))) (?v_131 (= inline.SerialGetNextWrite.2.myVar_0.24 hirp))) (let ((?v_135 (and (=> true (=> ?v_131 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_132)))) (=> true (=> (not ?v_131) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_132))))))))))) (let ((?v_138 (=> true (=> true (=> true (=> true ?v_135))))) (?v_143 (= k.407 4)) (?v_141 (= k.407 3)) (?v_139 (= k.407 2)) (?v_136 (= k.407 1)) (?v_133 (= k.407 0))) (let ((?v_234 (and (=> true (=> (=> ?v_144 (not ?v_145)) (=> (=> ?v_146 (not ?v_147)) (=> (=> ?v_148 (not ?v_149)) (=> (=> ?v_150 (not ?v_151)) (=> (=> ?v_152 (not ?v_153)) (=> true (=> (<= k.406 k.407) (=> (< k.407 5) (and (=> true (=> ?v_133 (=> (= inline.SerialGetNextWrite.2.myVar_0.20 ?v_87) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.24 inline.SerialGetNextWrite.2.myVar_0.20) ?v_135))))) (=> true (=> (not ?v_133) (and (=> true (=> ?v_136 (=> (= inline.SerialGetNextWrite.2.myVar_0.19 ?v_134) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.24 inline.SerialGetNextWrite.2.myVar_0.19) ?v_138))))) (=> true (=> (not ?v_136) (and (=> true (=> ?v_139 (=> (= inline.SerialGetNextWrite.2.myVar_0.22 ?v_137) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.24 inline.SerialGetNextWrite.2.myVar_0.22) ?v_138))))) (=> true (=> (not ?v_139) (and (=> true (=> ?v_141 (=> (= inline.SerialGetNextWrite.2.myVar_0.23 ?v_140) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.24 inline.SerialGetNextWrite.2.myVar_0.23) ?v_138))))) (=> true (=> (not ?v_141) (and (=> true (=> ?v_143 (=> (= inline.SerialGetNextWrite.2.myVar_0.21 ?v_142) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.24 inline.SerialGetNextWrite.2.myVar_0.21) ?v_138))))) (=> true (=> (not ?v_143) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.24 inline.SerialGetNextWrite.2.myVar_0.18) ?v_138)))))))))))))))))))))))))) (=> true (=> (=> ?v_144 ?v_145) (=> (=> ?v_146 ?v_147) (=> (=> ?v_148 ?v_149) (=> (=> ?v_150 ?v_151) (=> (=> ?v_152 ?v_153) (=> true (=> (<= k.406 k.408) (=> (< k.408 5) (=> true (=> (=> ?v_155 ?v_154) (=> (=> ?v_175 ?v_238) (=> (=> ?v_180 ?v_246) (=> (=> ?v_184 ?v_249) (=> (=> ?v_186 ?v_252) (and (=> true (=> ?v_155 (=> true (=> ?v_181 (=> (= cancelLockStatus_0.85 1) (=> ?v_176 (=> ?v_177 (=> ?v_178 ?v_179)))))))) (=> true (=> (not ?v_155) (and (=> true (=> ?v_175 (=> true (=> (= cancelLockStatus_1.85 1) ?v_188)))) (=> true (=> (not ?v_175) (and (=> true (=> ?v_180 (=> true (=> ?v_181 (=> ?v_182 (=> (= cancelLockStatus_2.85 1) ?v_183)))))) (=> true (=> (not ?v_180) (and (=> true (=> ?v_184 (=> true (=> ?v_181 (=> ?v_182 (=> ?v_176 (=> ?v_177 (=> (= cancelLockStatus_3.85 1) ?v_185)))))))) (=> true (=> (not ?v_184) (and (=> true (=> ?v_186 (=> true (=> ?v_181 (=> ?v_182 (=> ?v_176 (=> (= cancelLockStatus_4.85 1) ?v_187))))))) (=> true (=> (not ?v_186) (=> true (=> ?v_181 ?v_188))))))))))))))))))))))))))))))))))) (let ((?v_236 (=> true (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.) (=> (= Mem_4_T.CancelRoutine__IRP.122 Mem_4_T.CancelRoutine__IRP.118) (=> (= errorReached.87 errorReached.84) (=> (= Mem_0_T.CancelRoutine__IRP.122 Mem_0_T.CancelRoutine__IRP.118) (=> (= irpCompleted_2.49 irpCompleted_2.41) (=> (= irpCompleted_0.49 irpCompleted_0.41) (=> (= irpCompleted_4.49 irpCompleted_4.41) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.2 inline.sdv_InterlockedDecrement.20.myNondetVar_0) (=> (= irpCompleted_3.49 irpCompleted_3.41) (=> (= alloc.114 alloc.112) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= k.406 k.402) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= Mem_3_T.CancelRoutine__IRP.122 Mem_3_T.CancelRoutine__IRP.118) (=> (= irpCompleted_1.49 irpCompleted_1.41) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.4.havoc_stringTemp) (=> (= Mem_2_T.CancelRoutine__IRP.122 Mem_2_T.CancelRoutine__IRP.118) (=> (= Mem_1_T.CancelRoutine__IRP.122 Mem_1_T.CancelRoutine__IRP.118) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_234)))))))))))))))))))))))))))))))) (?v_235 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_233 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 0)) (?v_190 (=> true (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..0) (=> (= Mem_4_T.CancelRoutine__IRP.122 Mem_4_T.CancelRoutine__IRP.121) (=> (= errorReached.87 errorReached.86) (=> (= Mem_0_T.CancelRoutine__IRP.122 Mem_0_T.CancelRoutine__IRP.121) (=> (= irpCompleted_2.49 irpCompleted_2.48) (=> (= irpCompleted_0.49 irpCompleted_0.48) (=> (= irpCompleted_4.49 irpCompleted_4.48) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.2 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) (=> (= irpCompleted_3.49 irpCompleted_3.48) (=> (= alloc.114 alloc.113) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= k.406 k.405) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) (=> (= Mem_3_T.CancelRoutine__IRP.122 Mem_3_T.CancelRoutine__IRP.121) (=> (= irpCompleted_1.49 irpCompleted_1.48) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0 call83197formal.new.0) (=> (= Mem_2_T.CancelRoutine__IRP.122 Mem_2_T.CancelRoutine__IRP.121) (=> (= Mem_1_T.CancelRoutine__IRP.122 Mem_1_T.CancelRoutine__IRP.121) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) ?v_234))))))))))))))))))))))))) (?v_189 (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.1 0))) (let ((?v_232 (and (=> true (=> (not ?v_189) (=> true (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.) ?v_190)))) (=> true (=> ?v_189 (=> true (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0 call83548formal.ret.0) (=> true (=> true (=> true ?v_190))))))))) (?v_231 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 hirp))) (let ((?v_194 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.121 Mem_1_T.CancelRoutine__IRP.120) (=> (= irpCompleted_1.48 irpCompleted_1.47) (=> (= Mem_2_T.CancelRoutine__IRP.121 Mem_2_T.CancelRoutine__IRP.120) (=> (= irpCompleted_2.48 irpCompleted_2.47) (=> (= Mem_4_T.CancelRoutine__IRP.121 Mem_4_T.CancelRoutine__IRP.120) (=> (= k.405 k.404) (=> (= irpCompleted_3.48 irpCompleted_3.47) (=> (= errorReached.86 errorReached.85) (=> (= Mem_0_T.CancelRoutine__IRP.121 Mem_0_T.CancelRoutine__IRP.120) (=> (= irpCompleted_0.48 irpCompleted_0.47) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0 call83230formal.ret.0) (=> (= irpCompleted_4.48 irpCompleted_4.47) (=> (= Mem_3_T.CancelRoutine__IRP.121 Mem_3_T.CancelRoutine__IRP.120) ?v_232))))))))))))))) (?v_191 (= irpCompleted_4.47 irpCompleted_4.41)) (?v_192 (= irpCompleted_2.47 irpCompleted_2.41)) (?v_193 (= irpCompleted_3.47 irpCompleted_3.41)) (?v_196 (= irpCompleted_1.47 irpCompleted_1.41))) (let ((?v_197 (=> (= irpCompleted_0.47 irpCompleted_0.41) (=> true ?v_194)))) (let ((?v_199 (=> ?v_196 ?v_197))) (let ((?v_201 (=> ?v_193 ?v_199))) (let ((?v_203 (=> ?v_192 ?v_201)) (?v_202 (= k.404 4))) (let ((?v_218 (not ?v_202)) (?v_200 (= k.404 3))) (let ((?v_216 (not ?v_200)) (?v_198 (= k.404 2))) (let ((?v_214 (not ?v_198)) (?v_195 (= k.404 1))) (let ((?v_210 (not ?v_195)) (?v_86 (= k.404 0))) (let ((?v_204 (not ?v_86))) (let ((?v_209 (and (=> true (=> ?v_86 (=> true (=> ?v_191 (=> ?v_192 (=> ?v_193 (=> ?v_196 (=> (= irpCompleted_0.47 1) ?v_194)))))))) (=> true (=> ?v_204 (and (=> true (=> ?v_195 (=> true (=> ?v_191 (=> ?v_192 (=> ?v_193 (=> (= irpCompleted_1.47 1) ?v_197))))))) (=> true (=> ?v_210 (and (=> true (=> ?v_198 (=> true (=> ?v_191 (=> (= irpCompleted_2.47 1) ?v_201))))) (=> true (=> ?v_214 (and (=> true (=> ?v_200 (=> true (=> ?v_191 (=> ?v_192 (=> (= irpCompleted_3.47 1) ?v_199)))))) (=> true (=> ?v_216 (and (=> true (=> ?v_202 (=> true (=> (= irpCompleted_4.47 1) ?v_203)))) (=> true (=> ?v_218 (=> true (=> ?v_191 ?v_203))))))))))))))))))) (let ((?v_217 (=> true (=> true ?v_209))) (?v_206 (= Mem_2_T.CancelRoutine__IRP.120 Mem_2_T.CancelRoutine__IRP.118)) (?v_211 (= Mem_0_T.CancelRoutine__IRP.120 Mem_0_T.CancelRoutine__IRP.118)) (?v_207 (= Mem_3_T.CancelRoutine__IRP.120 Mem_3_T.CancelRoutine__IRP.118)) (?v_212 (= Mem_1_T.CancelRoutine__IRP.120 Mem_1_T.CancelRoutine__IRP.118)) (?v_208 (= Mem_4_T.CancelRoutine__IRP.120 Mem_4_T.CancelRoutine__IRP.118))) (let ((?v_213 (=> ?v_208 ?v_217))) (let ((?v_215 (=> ?v_212 ?v_213))) (let ((?v_219 (=> ?v_211 (=> ?v_207 ?v_215))) (?v_205 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5)))) (let ((?v_230 (=> true (=> (<= k.403 k.404) (=> (< k.404 5) (and (=> true (=> ?v_86 (=> (= Mem_0_T.CancelRoutine__IRP.119 (MapType0Store Mem_0_T.CancelRoutine__IRP.118 ?v_205 ?v_46)) (=> true (=> ?v_206 (=> (= Mem_0_T.CancelRoutine__IRP.120 Mem_0_T.CancelRoutine__IRP.119) (=> ?v_207 (=> ?v_212 (=> ?v_208 ?v_209))))))))) (=> true (=> ?v_204 (and (=> true (=> ?v_195 (=> (= Mem_1_T.CancelRoutine__IRP.119 (MapType0Store Mem_1_T.CancelRoutine__IRP.118 ?v_205 ?v_46)) (=> true (=> ?v_206 (=> ?v_211 (=> ?v_207 (=> (= Mem_1_T.CancelRoutine__IRP.120 Mem_1_T.CancelRoutine__IRP.119) ?v_213)))))))) (=> true (=> ?v_210 (and (=> true (=> ?v_198 (=> (= Mem_2_T.CancelRoutine__IRP.119 (MapType0Store Mem_2_T.CancelRoutine__IRP.118 ?v_205 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.120 Mem_2_T.CancelRoutine__IRP.119) ?v_219))))) (=> true (=> ?v_214 (and (=> true (=> ?v_200 (=> (= Mem_3_T.CancelRoutine__IRP.119 (MapType0Store Mem_3_T.CancelRoutine__IRP.118 ?v_205 ?v_46)) (=> true (=> ?v_206 (=> ?v_211 (=> (= Mem_3_T.CancelRoutine__IRP.120 Mem_3_T.CancelRoutine__IRP.119) ?v_215))))))) (=> true (=> ?v_216 (and (=> true (=> ?v_202 (=> (= Mem_4_T.CancelRoutine__IRP.119 (MapType0Store Mem_4_T.CancelRoutine__IRP.118 ?v_205 ?v_46)) (=> true (=> ?v_206 (=> ?v_211 (=> ?v_207 (=> ?v_212 (=> (= Mem_4_T.CancelRoutine__IRP.120 Mem_4_T.CancelRoutine__IRP.119) ?v_217))))))))) (=> true (=> ?v_218 (=> true (=> ?v_206 ?v_219))))))))))))))))))))) (?v_220 (= k.403 0)) (?v_222 (= k.403 1)) (?v_224 (= k.403 2)) (?v_226 (= k.403 3)) (?v_228 (= k.403 4)) (?v_80 (int_2_U call83197formal.new.0))) (let ((?v_242 (and (=> true (=> (not ?v_235) (and (=> true (=> (not ?v_233) (=> true (and ?v_11 (=> ?v_11 (=> (> call83197formal.new.0 0) (=> (forall ((?x1555 Int)) (! (=> (and (<= call83197formal.new.0 ?x1555) (< ?x1555 (+ call83197formal.new.0 1))) (= (Base ?x1555) call83197formal.new.0)) :pattern ((Base ?x1555)) )) (=> (forall ((?x1556 boogieU)) (! (=> (= (type ?x1556) intType) (or (= (U_2_int ?x1556) call83197formal.new.0) (= (MapType0Select alloc.112 ?x1556) (MapType0Select alloc.113 ?x1556)))) :pattern ((MapType0Select alloc.113 ?x1556)) )) (=> (and (= (MapType0Select alloc.112 ?v_80) UNALLOCATED) (= (MapType0Select alloc.113 ?v_80) ALLOCATED)) (and (=> true (=> ?v_231 (=> true (=> (<= k.402 k.403) (=> (< k.403 5) (and (=> true (=> (=> ?v_220 ?v_81) (=> (=> ?v_222 ?v_82) (=> (=> ?v_224 ?v_83) (=> (=> ?v_226 ?v_84) (=> (=> ?v_228 ?v_85) (=> true (=> (= errorReached.85 1) ?v_230)))))))) (=> true (=> (=> ?v_220 ?v_221) (=> (=> ?v_222 ?v_223) (=> (=> ?v_224 ?v_225) (=> (=> ?v_226 ?v_227) (=> (=> ?v_228 ?v_229) (=> true (=> (= errorReached.85 errorReached.84) ?v_230)))))))))))))) (=> true (=> (not ?v_231) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.121 Mem_1_T.CancelRoutine__IRP.118) (=> (= irpCompleted_1.48 irpCompleted_1.41) (=> (= Mem_2_T.CancelRoutine__IRP.121 Mem_2_T.CancelRoutine__IRP.118) (=> (= irpCompleted_2.48 irpCompleted_2.41) (=> (= Mem_4_T.CancelRoutine__IRP.121 Mem_4_T.CancelRoutine__IRP.118) (=> (= k.405 k.402) (=> (= irpCompleted_3.48 irpCompleted_3.41) (=> (= errorReached.86 errorReached.84) (=> (= Mem_0_T.CancelRoutine__IRP.121 Mem_0_T.CancelRoutine__IRP.118) (=> (= irpCompleted_0.48 irpCompleted_0.41) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_4.48 irpCompleted_4.41) (=> (= Mem_3_T.CancelRoutine__IRP.121 Mem_3_T.CancelRoutine__IRP.118) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_232))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_233 ?v_236))))) (=> true (=> ?v_235 ?v_236))))) (let ((?v_250 (=> true (=> true (=> true (=> true (=> true ?v_242)))))) (?v_244 (= cancelLockStatus_1.84 cancelLockStatus_1.83)) (?v_245 (= cancelLockStatus_0.84 cancelLockStatus_0.83)) (?v_239 (= cancelLockStatus_2.84 cancelLockStatus_2.83)) (?v_240 (= cancelLockStatus_4.84 cancelLockStatus_4.83)) (?v_241 (= cancelLockStatus_3.84 cancelLockStatus_3.83))) (let ((?v_253 (=> ?v_241 ?v_250))) (let ((?v_247 (=> ?v_240 ?v_253))) (let ((?v_255 (=> ?v_245 (=> ?v_239 ?v_247))) (?v_254 (= k.402 4)) (?v_251 (= k.402 3)) (?v_248 (= k.402 2)) (?v_243 (= k.402 1)) (?v_237 (= k.402 0))) (let ((?v_260 (=> true (=> (<= k.401 k.402) (=> (< k.402 5) (and (=> true (=> ?v_237 (=> true (=> ?v_244 (=> ?v_154 (=> ?v_239 (=> ?v_240 (=> ?v_241 ?v_242)))))))) (=> true (=> (not ?v_237) (and (=> true (=> ?v_243 (=> true (=> ?v_238 ?v_255)))) (=> true (=> (not ?v_243) (and (=> true (=> ?v_248 (=> true (=> ?v_244 (=> ?v_245 (=> ?v_246 ?v_247)))))) (=> true (=> (not ?v_248) (and (=> true (=> ?v_251 (=> true (=> ?v_244 (=> ?v_245 (=> ?v_239 (=> ?v_240 (=> ?v_249 ?v_250)))))))) (=> true (=> (not ?v_251) (and (=> true (=> ?v_254 (=> true (=> ?v_244 (=> ?v_245 (=> ?v_239 (=> ?v_252 ?v_253))))))) (=> true (=> (not ?v_254) (=> true (=> ?v_244 ?v_255)))))))))))))))))))))) (let ((?v_268 (=> true (=> true (=> true (=> true ?v_260))))) (?v_257 (= Mem_3_T.P_IRP.89 Mem_3_T.P_IRP.87)) (?v_262 (= Mem_1_T.P_IRP.89 Mem_1_T.P_IRP.87)) (?v_263 (= Mem_0_T.P_IRP.89 Mem_0_T.P_IRP.87)) (?v_258 (= Mem_2_T.P_IRP.89 Mem_2_T.P_IRP.87)) (?v_259 (= Mem_4_T.P_IRP.89 Mem_4_T.P_IRP.87))) (let ((?v_264 (=> ?v_259 ?v_268))) (let ((?v_266 (=> ?v_263 (=> ?v_258 ?v_264)))) (let ((?v_270 (=> ?v_262 ?v_266)) (?v_269 (= k.401 4)) (?v_267 (= k.401 3)) (?v_265 (= k.401 2)) (?v_261 (= k.401 1)) (?v_256 (= k.401 0))) (let ((?v_290 (=> true (=> (<= k.400 k.401) (=> (< k.401 5) (and (=> true (=> ?v_256 (=> (= Mem_0_T.P_IRP.88 (MapType0Store Mem_0_T.P_IRP.87 ?v_39 (MapType0Select Mem_0_T.P_IRP.87 ?v_43))) (=> true (=> ?v_257 (=> ?v_262 (=> (= Mem_0_T.P_IRP.89 Mem_0_T.P_IRP.88) (=> ?v_258 (=> ?v_259 ?v_260))))))))) (=> true (=> (not ?v_256) (and (=> true (=> ?v_261 (=> (= Mem_1_T.P_IRP.88 (MapType0Store Mem_1_T.P_IRP.87 ?v_39 (MapType0Select Mem_1_T.P_IRP.87 ?v_43))) (=> true (=> ?v_257 (=> (= Mem_1_T.P_IRP.89 Mem_1_T.P_IRP.88) ?v_266)))))) (=> true (=> (not ?v_261) (and (=> true (=> ?v_265 (=> (= Mem_2_T.P_IRP.88 (MapType0Store Mem_2_T.P_IRP.87 ?v_39 (MapType0Select Mem_2_T.P_IRP.87 ?v_43))) (=> true (=> ?v_257 (=> ?v_262 (=> ?v_263 (=> (= Mem_2_T.P_IRP.89 Mem_2_T.P_IRP.88) ?v_264)))))))) (=> true (=> (not ?v_265) (and (=> true (=> ?v_267 (=> (= Mem_3_T.P_IRP.88 (MapType0Store Mem_3_T.P_IRP.87 ?v_39 (MapType0Select Mem_3_T.P_IRP.87 ?v_43))) (=> true (=> (= Mem_3_T.P_IRP.89 Mem_3_T.P_IRP.88) ?v_270))))) (=> true (=> (not ?v_267) (and (=> true (=> ?v_269 (=> (= Mem_4_T.P_IRP.88 (MapType0Store Mem_4_T.P_IRP.87 ?v_39 (MapType0Select Mem_4_T.P_IRP.87 ?v_43))) (=> true (=> ?v_257 (=> ?v_262 (=> ?v_263 (=> ?v_258 (=> (= Mem_4_T.P_IRP.89 Mem_4_T.P_IRP.88) ?v_268))))))))) (=> true (=> (not ?v_269) (=> true (=> ?v_257 ?v_270)))))))))))))))))))))) (let ((?v_295 (=> true (=> (<= k.398 k.399) (=> (< k.399 5) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..0 call84153formal.ret.0) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= errorReached.84 errorReached.83) (=> (= Mem_0_T.CancelRoutine__IRP.118 Mem_0_T.CancelRoutine__IRP.117) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.4.myVar_0.5) (=> (= Mem_3_T.P_IRP.87 Mem_3_T.P_IRP.85) (=> (= Mem_1_T.P_IRP.87 Mem_1_T.P_IRP.85) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= Mem_0_T.P_IRP.87 Mem_0_T.P_IRP.84) (=> (= Mem_2_T.P_IRP.87 Mem_2_T.P_IRP.85) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= Mem_1_T.CancelRoutine__IRP.118 Mem_1_T.CancelRoutine__IRP.117) (=> (= k.400 k.399) (=> (= Mem_3_T.CancelRoutine__IRP.118 Mem_3_T.CancelRoutine__IRP.117) (=> (= Mem_2_T.CancelRoutine__IRP.118 Mem_2_T.CancelRoutine__IRP.117) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..0) (=> (= inline.RemoveHeadList.4.myNondetVar_0.2 inline.RemoveHeadList.4.myNondetVar_0.1) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.4.myVar_0.5) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.6 inline.SerialGetNextIrpLocked.4.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= Mem_4_T.CancelRoutine__IRP.118 Mem_4_T.CancelRoutine__IRP.117) (=> (= Mem_4_T.P_IRP.87 Mem_4_T.P_IRP.85) ?v_290))))))))))))))))))))))))))))))) (let ((?v_303 (=> true ?v_295)) (?v_292 (= Mem_2_T.CancelRoutine__IRP.117 Mem_2_T.CancelRoutine__IRP.115)) (?v_297 (= Mem_0_T.CancelRoutine__IRP.117 Mem_0_T.CancelRoutine__IRP.115)) (?v_293 (= Mem_3_T.CancelRoutine__IRP.117 Mem_3_T.CancelRoutine__IRP.115)) (?v_298 (= Mem_1_T.CancelRoutine__IRP.117 Mem_1_T.CancelRoutine__IRP.115)) (?v_294 (= Mem_4_T.CancelRoutine__IRP.117 Mem_4_T.CancelRoutine__IRP.115))) (let ((?v_299 (=> ?v_294 ?v_303))) (let ((?v_301 (=> ?v_298 ?v_299))) (let ((?v_305 (=> ?v_297 (=> ?v_293 ?v_301))) (?v_304 (= k.398 4)) (?v_289 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.4.myVar_0.5))) (?v_302 (= k.398 3)) (?v_300 (= k.398 2)) (?v_296 (= k.398 1)) (?v_291 (= k.398 0))) (let ((?v_313 (=> true (=> (<= k.397 k.398) (=> (< k.398 5) (and (=> true (=> ?v_291 (=> (= Mem_0_T.CancelRoutine__IRP.116 (MapType0Store Mem_0_T.CancelRoutine__IRP.115 ?v_289 ?v_46)) (=> true (=> ?v_292 (=> (= Mem_0_T.CancelRoutine__IRP.117 Mem_0_T.CancelRoutine__IRP.116) (=> ?v_293 (=> ?v_298 (=> ?v_294 ?v_295))))))))) (=> true (=> (not ?v_291) (and (=> true (=> ?v_296 (=> (= Mem_1_T.CancelRoutine__IRP.116 (MapType0Store Mem_1_T.CancelRoutine__IRP.115 ?v_289 ?v_46)) (=> true (=> ?v_292 (=> ?v_297 (=> ?v_293 (=> (= Mem_1_T.CancelRoutine__IRP.117 Mem_1_T.CancelRoutine__IRP.116) ?v_299)))))))) (=> true (=> (not ?v_296) (and (=> true (=> ?v_300 (=> (= Mem_2_T.CancelRoutine__IRP.116 (MapType0Store Mem_2_T.CancelRoutine__IRP.115 ?v_289 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.117 Mem_2_T.CancelRoutine__IRP.116) ?v_305))))) (=> true (=> (not ?v_300) (and (=> true (=> ?v_302 (=> (= Mem_3_T.CancelRoutine__IRP.116 (MapType0Store Mem_3_T.CancelRoutine__IRP.115 ?v_289 ?v_46)) (=> true (=> ?v_292 (=> ?v_297 (=> (= Mem_3_T.CancelRoutine__IRP.117 Mem_3_T.CancelRoutine__IRP.116) ?v_301))))))) (=> true (=> (not ?v_302) (and (=> true (=> ?v_304 (=> (= Mem_4_T.CancelRoutine__IRP.116 (MapType0Store Mem_4_T.CancelRoutine__IRP.115 ?v_289 ?v_46)) (=> true (=> ?v_292 (=> ?v_297 (=> ?v_293 (=> ?v_298 (=> (= Mem_4_T.CancelRoutine__IRP.117 Mem_4_T.CancelRoutine__IRP.116) ?v_303))))))))) (=> true (=> (not ?v_304) (=> true (=> ?v_292 ?v_305)))))))))))))))))))))) (let ((?v_315 (=> (= errorReached.83 errorReached.82) ?v_313)) (?v_314 (= inline.SerialGetNextIrpLocked.4.myVar_0.5 hirp)) (?v_311 (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..0 call84062formal.ret.0)) (?v_312 (= k.397 k.396)) (?v_306 (= k.396 0)) (?v_307 (= k.396 1)) (?v_308 (= k.396 2)) (?v_309 (= k.396 3)) (?v_310 (= k.396 4))) (let ((?v_317 (and (=> true (=> ?v_314 (=> true (=> (<= k.395 k.396) (=> (< k.396 5) (and (=> true (=> (=> ?v_306 ?v_81) (=> (=> ?v_307 ?v_82) (=> (=> ?v_308 ?v_83) (=> (=> ?v_309 ?v_84) (=> (=> ?v_310 ?v_85) (=> true (=> ?v_311 (=> ?v_312 (=> (= errorReached.83 1) ?v_313)))))))))) (=> true (=> (=> ?v_306 ?v_221) (=> (=> ?v_307 ?v_223) (=> (=> ?v_308 ?v_225) (=> (=> ?v_309 ?v_227) (=> (=> ?v_310 ?v_229) (=> true (=> ?v_311 (=> ?v_312 ?v_315))))))))))))))) (=> true (=> (not ?v_314) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2.) (=> (= k.397 k.395) ?v_315)))))))) (let ((?v_319 (=> true (=> true ?v_317))) (?v_322 (= k.395 4)) (?v_321 (= k.395 3)) (?v_320 (= k.395 2)) (?v_318 (= k.395 1)) (?v_316 (= k.395 0))) (let ((?v_325 (=> true (=> (<= k.394 k.395) (=> (< k.395 5) (and (=> true (=> ?v_316 (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.115 ?v_289))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_317))))) (=> true (=> (not ?v_316) (and (=> true (=> ?v_318 (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.115 ?v_289))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_319))))) (=> true (=> (not ?v_318) (and (=> true (=> ?v_320 (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.115 ?v_289))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_319))))) (=> true (=> (not ?v_320) (and (=> true (=> ?v_321 (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.115 ?v_289))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_319))))) (=> true (=> (not ?v_321) (and (=> true (=> ?v_322 (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.115 ?v_289))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_319))))) (=> true (=> (not ?v_322) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_319)))))))))))))))))))))) (let ((?v_328 (=> true (=> true (=> true (=> true ?v_325))))) (?v_333 (= k.394 4)) (?v_332 (U_2_int (MapType0Select Mem_4_T.P_IRP.85 ?v_43))) (?v_331 (= k.394 3)) (?v_330 (U_2_int (MapType0Select Mem_3_T.P_IRP.85 ?v_43))) (?v_329 (= k.394 2)) (?v_327 (U_2_int (MapType0Select Mem_2_T.P_IRP.85 ?v_43))) (?v_326 (= k.394 1)) (?v_324 (U_2_int (MapType0Select Mem_1_T.P_IRP.85 ?v_43))) (?v_323 (= k.394 0)) (?v_288 (U_2_int (MapType0Select Mem_0_T.P_IRP.84 ?v_43))) (?v_287 (= k.393 0)) (?v_334 (= k.393 1)) (?v_340 (= k.393 2)) (?v_344 (= k.393 3)) (?v_346 (= k.393 4))) (let ((?v_339 (=> true (=> (=> ?v_287 (not (= ?v_288 hirp))) (=> (=> ?v_334 (not (= ?v_324 hirp))) (=> (=> ?v_340 (not (= ?v_327 hirp))) (=> (=> ?v_344 (not (= ?v_330 hirp))) (=> (=> ?v_346 (not (= ?v_332 hirp))) (=> true (=> (<= k.393 k.394) (=> (< k.394 5) (and (=> true (=> ?v_323 (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.0 ?v_288) (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.5 inline.SerialGetNextIrpLocked.4.myVar_0.0) ?v_325))))) (=> true (=> (not ?v_323) (and (=> true (=> ?v_326 (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.1 ?v_324) (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.5 inline.SerialGetNextIrpLocked.4.myVar_0.1) ?v_328))))) (=> true (=> (not ?v_326) (and (=> true (=> ?v_329 (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.2 ?v_327) (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.5 inline.SerialGetNextIrpLocked.4.myVar_0.2) ?v_328))))) (=> true (=> (not ?v_329) (and (=> true (=> ?v_331 (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.3 ?v_330) (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.5 inline.SerialGetNextIrpLocked.4.myVar_0.3) ?v_328))))) (=> true (=> (not ?v_331) (and (=> true (=> ?v_333 (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.4 ?v_332) (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.5 inline.SerialGetNextIrpLocked.4.myVar_0.4) ?v_328))))) (=> true (=> (not ?v_333) (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.5 inline.SerialGetNextIrpLocked.4.myVar_0) ?v_328)))))))))))))))))))))))))))) (let ((?v_347 (=> true ?v_339)) (?v_336 (= Mem_3_T.P_IRP.85 Mem_3_T.P_IRP.82)) (?v_341 (= Mem_1_T.P_IRP.85 Mem_1_T.P_IRP.82)) (?v_342 (= Mem_0_T.P_IRP.84 Mem_0_T.P_IRP.82)) (?v_337 (= Mem_2_T.P_IRP.85 Mem_2_T.P_IRP.82)) (?v_338 (= Mem_4_T.P_IRP.85 Mem_4_T.P_IRP.82))) (let ((?v_343 (=> ?v_338 ?v_347))) (let ((?v_345 (=> ?v_342 (=> ?v_337 ?v_343)))) (let ((?v_348 (=> ?v_341 ?v_345)) (?v_335 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.4.myNondetVar_0.0 1 88))) (?v_286 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 0)) (?v_275 (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3.) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.) (=> (= errorReached.84 errorReached.82) (=> (= Mem_0_T.CancelRoutine__IRP.118 Mem_0_T.CancelRoutine__IRP.115) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_3_T.P_IRP.87 Mem_3_T.P_IRP.86) (=> (= Mem_1_T.P_IRP.87 Mem_1_T.P_IRP.86) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.P_IRP.87 Mem_0_T.P_IRP.86) (=> (= Mem_2_T.P_IRP.87 Mem_2_T.P_IRP.86) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= Mem_1_T.CancelRoutine__IRP.118 Mem_1_T.CancelRoutine__IRP.115) (=> (= k.400 k.392) (=> (= Mem_3_T.CancelRoutine__IRP.118 Mem_3_T.CancelRoutine__IRP.115) (=> (= Mem_2_T.CancelRoutine__IRP.118 Mem_2_T.CancelRoutine__IRP.115) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2.) (=> (= inline.RemoveHeadList.4.myNondetVar_0.2 inline.RemoveHeadList.4.myNondetVar_0) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.6 inline.SerialGetNextIrpLocked.4.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_4_T.CancelRoutine__IRP.118 Mem_4_T.CancelRoutine__IRP.115) (=> (= Mem_4_T.P_IRP.87 Mem_4_T.P_IRP.86) ?v_290)))))))))))))))))))))))))))) (let ((?v_283 (=> true ?v_275)) (?v_272 (= Mem_3_T.P_IRP.86 Mem_3_T.P_IRP.82)) (?v_277 (= Mem_1_T.P_IRP.86 Mem_1_T.P_IRP.82)) (?v_278 (= Mem_0_T.P_IRP.86 Mem_0_T.P_IRP.82)) (?v_273 (= Mem_2_T.P_IRP.86 Mem_2_T.P_IRP.82)) (?v_274 (= Mem_4_T.P_IRP.86 Mem_4_T.P_IRP.82))) (let ((?v_279 (=> ?v_274 ?v_283))) (let ((?v_281 (=> ?v_278 (=> ?v_273 ?v_279)))) (let ((?v_285 (=> ?v_277 ?v_281)) (?v_284 (= k.392 4)) (?v_282 (= k.392 3)) (?v_280 (= k.392 2)) (?v_276 (= k.392 1)) (?v_271 (= k.392 0))) (let ((?v_350 (=> true (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.5.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_286) (=> true (=> (<= k.391 k.392) (=> (< k.392 5) (and (=> true (=> ?v_271 (=> (= Mem_0_T.P_IRP.85 (MapType0Store Mem_0_T.P_IRP.82 ?v_43 ?v_46)) (=> true (=> ?v_272 (=> ?v_277 (=> (= Mem_0_T.P_IRP.86 Mem_0_T.P_IRP.85) (=> ?v_273 (=> ?v_274 ?v_275))))))))) (=> true (=> (not ?v_271) (and (=> true (=> ?v_276 (=> (= Mem_1_T.P_IRP.83 (MapType0Store Mem_1_T.P_IRP.82 ?v_43 ?v_46)) (=> true (=> ?v_272 (=> (= Mem_1_T.P_IRP.86 Mem_1_T.P_IRP.83) ?v_281)))))) (=> true (=> (not ?v_276) (and (=> true (=> ?v_280 (=> (= Mem_2_T.P_IRP.83 (MapType0Store Mem_2_T.P_IRP.82 ?v_43 ?v_46)) (=> true (=> ?v_272 (=> ?v_277 (=> ?v_278 (=> (= Mem_2_T.P_IRP.86 Mem_2_T.P_IRP.83) ?v_279)))))))) (=> true (=> (not ?v_280) (and (=> true (=> ?v_282 (=> (= Mem_3_T.P_IRP.83 (MapType0Store Mem_3_T.P_IRP.82 ?v_43 ?v_46)) (=> true (=> (= Mem_3_T.P_IRP.86 Mem_3_T.P_IRP.83) ?v_285))))) (=> true (=> (not ?v_282) (and (=> true (=> ?v_284 (=> (= Mem_4_T.P_IRP.83 (MapType0Store Mem_4_T.P_IRP.82 ?v_43 ?v_46)) (=> true (=> ?v_272 (=> ?v_277 (=> ?v_278 (=> ?v_273 (=> (= Mem_4_T.P_IRP.86 Mem_4_T.P_IRP.83) ?v_283))))))))) (=> true (=> (not ?v_284) (=> true (=> ?v_272 ?v_285)))))))))))))))))))))) (=> true (=> ?v_286 (=> true (=> (<= k.391 k.393) (=> (< k.393 5) (and (=> true (=> ?v_287 (=> (= Mem_0_T.P_IRP.83 (MapType0Store Mem_0_T.P_IRP.82 ?v_43 ?v_335)) (=> true (=> ?v_336 (=> ?v_341 (=> (= Mem_0_T.P_IRP.84 Mem_0_T.P_IRP.83) (=> ?v_337 (=> ?v_338 ?v_339))))))))) (=> true (=> (not ?v_287) (and (=> true (=> ?v_334 (=> (= Mem_1_T.P_IRP.84 (MapType0Store Mem_1_T.P_IRP.82 ?v_43 ?v_335)) (=> true (=> ?v_336 (=> (= Mem_1_T.P_IRP.85 Mem_1_T.P_IRP.84) ?v_345)))))) (=> true (=> (not ?v_334) (and (=> true (=> ?v_340 (=> (= Mem_2_T.P_IRP.84 (MapType0Store Mem_2_T.P_IRP.82 ?v_43 ?v_335)) (=> true (=> ?v_336 (=> ?v_341 (=> ?v_342 (=> (= Mem_2_T.P_IRP.85 Mem_2_T.P_IRP.84) ?v_343)))))))) (=> true (=> (not ?v_340) (and (=> true (=> ?v_344 (=> (= Mem_3_T.P_IRP.84 (MapType0Store Mem_3_T.P_IRP.82 ?v_43 ?v_335)) (=> true (=> (= Mem_3_T.P_IRP.85 Mem_3_T.P_IRP.84) ?v_348))))) (=> true (=> (not ?v_344) (and (=> true (=> ?v_346 (=> (= Mem_4_T.P_IRP.84 (MapType0Store Mem_4_T.P_IRP.82 ?v_43 ?v_335)) (=> true (=> ?v_336 (=> ?v_341 (=> ?v_342 (=> ?v_337 (=> (= Mem_4_T.P_IRP.85 Mem_4_T.P_IRP.84) ?v_347))))))))) (=> true (=> (not ?v_346) (=> true (=> ?v_336 ?v_348))))))))))))))))))))))))))) (let ((?v_352 (=> true (=> true (=> true (=> true ?v_350))))) (?v_355 (= k.391 4)) (?v_354 (= k.391 3)) (?v_353 (= k.391 2)) (?v_351 (= k.391 1)) (?v_349 (= k.391 0))) (let ((?v_360 (=> true (=> (<= k.390 k.391) (=> (< k.391 5) (and (=> true (=> ?v_349 (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.82 ?v_43))) (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_350))))) (=> true (=> (not ?v_349) (and (=> true (=> ?v_351 (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 (U_2_int (MapType0Select Mem_1_T.P_IRP.82 ?v_43))) (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2) ?v_352))))) (=> true (=> (not ?v_351) (and (=> true (=> ?v_353 (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_2_T.P_IRP.82 ?v_43))) (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_352))))) (=> true (=> (not ?v_353) (and (=> true (=> ?v_354 (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.3 (U_2_int (MapType0Select Mem_3_T.P_IRP.82 ?v_43))) (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.3) ?v_352))))) (=> true (=> (not ?v_354) (and (=> true (=> ?v_355 (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.4 (U_2_int (MapType0Select Mem_4_T.P_IRP.82 ?v_43))) (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.4) ?v_352))))) (=> true (=> (not ?v_355) (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_352)))))))))))))))))))))) (let ((?v_366 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_360))))))))) (?v_362 (= cancelLockStatus_1.83 cancelLockStatus_1.82)) (?v_363 (= cancelLockStatus_0.83 cancelLockStatus_0.82)) (?v_357 (= cancelLockStatus_2.83 cancelLockStatus_2.82)) (?v_358 (= cancelLockStatus_4.83 cancelLockStatus_4.82)) (?v_359 (= cancelLockStatus_3.83 cancelLockStatus_3.82))) (let ((?v_368 (=> ?v_359 ?v_366))) (let ((?v_364 (=> ?v_358 ?v_368))) (let ((?v_369 (=> ?v_363 (=> ?v_357 ?v_364))) (?v_367 (= k.390 4)) (?v_365 (= k.390 3)) (?v_361 (= k.390 2)) (?v_356 (= k.390 1)) (?v_79 (= k.390 0)) (?v_78 (int_2_U call82586formal.new.0))) (let ((?v_418 (=> true (and ?v_11 (=> ?v_11 (=> (> call82586formal.new.0 0) (=> (forall ((?x1557 Int)) (! (=> (and (<= call82586formal.new.0 ?x1557) (< ?x1557 (+ call82586formal.new.0 1))) (= (Base ?x1557) call82586formal.new.0)) :pattern ((Base ?x1557)) )) (=> (forall ((?x1558 boogieU)) (! (=> (= (type ?x1558) intType) (or (= (U_2_int ?x1558) call82586formal.new.0) (= (MapType0Select alloc.111 ?x1558) (MapType0Select alloc.112 ?x1558)))) :pattern ((MapType0Select alloc.112 ?x1558)) )) (=> (and (= (MapType0Select alloc.111 ?v_78) UNALLOCATED) (= (MapType0Select alloc.112 ?v_78) ALLOCATED)) (=> true (=> (<= k.389 k.390) (=> (< k.390 5) (=> true (=> (=> ?v_79 (= cancelLockStatus_0.82 0)) (=> (=> ?v_356 (= cancelLockStatus_1.82 0)) (=> (=> ?v_361 (= cancelLockStatus_2.82 0)) (=> (=> ?v_365 (= cancelLockStatus_3.82 0)) (=> (=> ?v_367 (= cancelLockStatus_4.82 0)) (and (=> true (=> ?v_79 (=> true (=> ?v_362 (=> (= cancelLockStatus_0.83 1) (=> ?v_357 (=> ?v_358 (=> ?v_359 ?v_360)))))))) (=> true (=> (not ?v_79) (and (=> true (=> ?v_356 (=> true (=> (= cancelLockStatus_1.83 1) ?v_369)))) (=> true (=> (not ?v_356) (and (=> true (=> ?v_361 (=> true (=> ?v_362 (=> ?v_363 (=> (= cancelLockStatus_2.83 1) ?v_364)))))) (=> true (=> (not ?v_361) (and (=> true (=> ?v_365 (=> true (=> ?v_362 (=> ?v_363 (=> ?v_357 (=> ?v_358 (=> (= cancelLockStatus_3.83 1) ?v_366)))))))) (=> true (=> (not ?v_365) (and (=> true (=> ?v_367 (=> true (=> ?v_362 (=> ?v_363 (=> ?v_357 (=> (= cancelLockStatus_4.83 1) ?v_368))))))) (=> true (=> (not ?v_367) (=> true (=> ?v_362 ?v_369))))))))))))))))))))))))))))))))))) (let ((?v_658 (=> true (=> true ?v_418))) (?v_600 (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_601 (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.3 inline.sdv_InterlockedIncrement.6.myNondetVar_0)) (?v_602 (= alloc.111 alloc.104)) (?v_603 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_604 (= Mem_3_T.CancelRoutine__IRP.115 Mem_3_T.CancelRoutine__IRP.101)) (?v_605 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_606 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_607 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_608 (= inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1.)) (?v_609 (= Mem_1_T.CancelRoutine__IRP.115 Mem_1_T.CancelRoutine__IRP.101)) (?v_610 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_611 (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer)) (?v_612 (= Mem_4_T.P_IRP.82 Mem_4_T.P_IRP.69)) (?v_613 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_614 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.11)) (?v_615 (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2.)) (?v_616 (= Mem_0_T.P_IRP.82 Mem_0_T.P_IRP.69)) (?v_617 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_618 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_619 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite)) (?v_620 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1)) (?v_621 (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1.)) (?v_622 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.11)) (?v_623 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_624 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_625 (= inline.SerialGetNextWrite.2.myVar_0.18 inline.SerialGetNextWrite.2.myVar_0.11)) (?v_626 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_627 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_628 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_629 (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3.)) (?v_630 (= inline.SerialGetNextWrite.2.myNondetVar_2.3 inline.SerialGetNextWrite.2.myNondetVar_2)) (?v_631 (= Mem_1_T.P_IRP.82 Mem_1_T.P_IRP.69)) (?v_632 (= Mem_2_T.P_IRP.82 Mem_2_T.P_IRP.69)) (?v_633 (= errorReached.82 errorReached.72)) (?v_634 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_635 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_636 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_637 (= Mem_0_T.CancelRoutine__IRP.115 Mem_0_T.CancelRoutine__IRP.101)) (?v_638 (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1.)) (?v_639 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_640 (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_641 (= inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1.)) (?v_642 (= Mem_3_T.P_IRP.82 Mem_3_T.P_IRP.69)) (?v_643 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_644 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_645 (= inline.SerialSetTimer.5.myNondetVar_0.6 inline.SerialSetTimer.5.myNondetVar_0)) (?v_646 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_647 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_648 (= Mem_2_T.CancelRoutine__IRP.115 Mem_2_T.CancelRoutine__IRP.101)) (?v_649 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_650 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_651 (= inline.KeSynchronizeExecution.11.myNondetVar_0.8 inline.KeSynchronizeExecution.11.myNondetVar_0)) (?v_652 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer)) (?v_653 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_654 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_655 (= Mem_4_T.CancelRoutine__IRP.115 Mem_4_T.CancelRoutine__IRP.101)) (?v_656 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.4 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_657 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.)) (?v_599 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_423 (=> true (=> ?v_600 (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.3 inline.sdv_InterlockedIncrement.6.myNondetVar_0.2) (=> (= alloc.111 alloc.109) (=> ?v_603 (=> (= Mem_3_T.CancelRoutine__IRP.115 Mem_3_T.CancelRoutine__IRP.112) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0) (=> ?v_608 (=> (= Mem_1_T.CancelRoutine__IRP.115 Mem_1_T.CancelRoutine__IRP.112) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0) (=> (= Mem_4_T.P_IRP.82 Mem_4_T.P_IRP.81) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_614 (=> (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..1) (=> (= k.389 k.383) (=> (= cancelLockStatus_4.82 cancelLockStatus_4.79) (=> (= Mem_0_T.P_IRP.82 Mem_0_T.P_IRP.81) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0) (=> ?v_618 (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1) (=> ?v_621 (=> ?v_622 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> ?v_625 (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..0) (=> (= cancelLockStatus_2.82 cancelLockStatus_2.79) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.5 inline.SerialGetNextWrite.2.tempBoogie0.3) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.3 inline.SerialGetNextWrite.2.myNondetVar_2.2) (=> (= Mem_1_T.P_IRP.82 Mem_1_T.P_IRP.81) (=> (= Mem_2_T.P_IRP.82 Mem_2_T.P_IRP.81) (=> (= errorReached.82 errorReached.79) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0) (=> (= cancelLockStatus_1.82 cancelLockStatus_1.79) (=> (= Mem_0_T.CancelRoutine__IRP.115 Mem_0_T.CancelRoutine__IRP.112) (=> (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..0 call85094formal.ret.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.16 inline.SerialGetNextWrite.2.myNondetVar_0.13) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> ?v_640 (=> (= inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..0 call84732formal.ret.0) (=> (= Mem_3_T.P_IRP.82 Mem_3_T.P_IRP.81) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0) (=> (= cancelLockStatus_3.82 cancelLockStatus_3.79) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialSetTimer.5.myNondetVar_0.6 inline.SerialSetTimer.5.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= cancelLockStatus_0.82 cancelLockStatus_0.79) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= Mem_2_T.CancelRoutine__IRP.115 Mem_2_T.CancelRoutine__IRP.112) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.8 inline.KeSynchronizeExecution.11.myNondetVar_0.7) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.4 inline.SerialGetNextWrite.2.myNondetVar_1.2) (=> ?v_654 (=> (= Mem_4_T.CancelRoutine__IRP.115 Mem_4_T.CancelRoutine__IRP.112) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.4 inline.sdv_InterlockedDecrement.21.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1) ?v_658)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_429 (=> true (=> true (=> true (=> true ?v_423))))) (?v_425 (= cancelLockStatus_1.79 cancelLockStatus_1.78)) (?v_426 (= cancelLockStatus_0.79 cancelLockStatus_0.78)) (?v_420 (= cancelLockStatus_2.79 cancelLockStatus_2.78)) (?v_421 (= cancelLockStatus_4.79 cancelLockStatus_4.78)) (?v_422 (= cancelLockStatus_3.79 cancelLockStatus_3.78))) (let ((?v_431 (=> ?v_422 ?v_429))) (let ((?v_427 (=> ?v_421 ?v_431))) (let ((?v_433 (=> ?v_426 (=> ?v_420 ?v_427))) (?v_432 (= k.383 4)) (?v_430 (= k.383 3)) (?v_428 (= k.383 2)) (?v_424 (= k.383 1)) (?v_419 (= k.383 0))) (let ((?v_484 (=> true (=> (<= k.382 k.383) (=> (< k.383 5) (and (=> true (=> ?v_419 (=> true (=> ?v_425 (=> (= cancelLockStatus_0.79 0) (=> ?v_420 (=> ?v_421 (=> ?v_422 ?v_423)))))))) (=> true (=> (not ?v_419) (and (=> true (=> ?v_424 (=> true (=> (= cancelLockStatus_1.79 0) ?v_433)))) (=> true (=> (not ?v_424) (and (=> true (=> ?v_428 (=> true (=> ?v_425 (=> ?v_426 (=> (= cancelLockStatus_2.79 0) ?v_427)))))) (=> true (=> (not ?v_428) (and (=> true (=> ?v_430 (=> true (=> ?v_425 (=> ?v_426 (=> ?v_420 (=> ?v_421 (=> (= cancelLockStatus_3.79 0) ?v_429)))))))) (=> true (=> (not ?v_430) (and (=> true (=> ?v_432 (=> true (=> ?v_425 (=> ?v_426 (=> ?v_420 (=> (= cancelLockStatus_4.79 0) ?v_431))))))) (=> true (=> (not ?v_432) (=> true (=> ?v_425 ?v_433)))))))))))))))))))))) (let ((?v_497 (=> true (=> true (=> true ?v_484)))) (?v_436 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.3 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_437 (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.2 inline.sdv_InterlockedIncrement.6.myNondetVar_0)) (?v_438 (= alloc.109 alloc.104)) (?v_501 (= Mem_3_T.CancelRoutine__IRP.112 Mem_3_T.CancelRoutine__IRP.111)) (?v_440 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_441 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_442 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_502 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5)) (?v_503 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5)) (?v_504 (= k.382 k.381)) (?v_505 (= Mem_4_T.P_IRP.81 Mem_4_T.P_IRP.80)) (?v_506 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5)) (?v_507 (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..0)) (?v_508 (= inline.KeSynchronizeExecution.11.myNondetVar_0.7 inline.KeSynchronizeExecution.11.myNondetVar_0.6)) (?v_509 (= Mem_0_T.P_IRP.81 Mem_0_T.P_IRP.80)) (?v_451 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_452 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1)) (?v_510 (= Mem_1_T.CancelRoutine__IRP.112 Mem_1_T.CancelRoutine__IRP.111)) (?v_511 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0)) (?v_455 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_512 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5)) (?v_513 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_514 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff)) (?v_515 (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..0 call85489formal.ret.0)) (?v_516 (= Mem_2_T.P_IRP.81 Mem_2_T.P_IRP.80)) (?v_517 (= errorReached.79 errorReached.78)) (?v_518 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_519 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_466 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_520 (= Mem_0_T.CancelRoutine__IRP.112 Mem_0_T.CancelRoutine__IRP.111)) (?v_521 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr)) (?v_522 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0)) (?v_523 (= Mem_3_T.P_IRP.81 Mem_3_T.P_IRP.80)) (?v_471 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_524 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5)) (?v_473 (= inline.SerialSetTimer.5.myNondetVar_0.5 inline.SerialSetTimer.5.myNondetVar_0)) (?v_474 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_525 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_526 (= Mem_1_T.P_IRP.81 Mem_1_T.P_IRP.80)) (?v_527 (= Mem_2_T.CancelRoutine__IRP.112 Mem_2_T.CancelRoutine__IRP.111)) (?v_478 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_479 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer)) (?v_528 (= Mem_4_T.CancelRoutine__IRP.112 Mem_4_T.CancelRoutine__IRP.111)) (?v_482 (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer))) (let ((?v_529 (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0) ?v_497))) (let ((?v_498 (=> true (=> (forall ((?r Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.2.myNondetVar_1.1 ?r) 0)) (not (= (BIT_BAND 4 ?r) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_2.1 4) ?r) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.10 4) ?r)) )) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.11 4)) (=> true (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.3 inline.sdv_InterlockedDecrement.21.myNondetVar_0.2) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.2 inline.sdv_InterlockedIncrement.6.myNondetVar_0.1) (=> (= alloc.109 alloc.108) (=> ?v_501 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0 call81911formal.new.0) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0 4) (=> ?v_502 (=> ?v_503 (=> ?v_504 (=> ?v_505 (=> ?v_506 (=> ?v_507 (=> ?v_508 (=> ?v_509 (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0 call85852formal.ret.0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_510 (=> ?v_511 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5) (=> ?v_512 (=> ?v_513 (=> ?v_514 (=> ?v_515 (=> (= inline.SerialGetNextWrite.2.tempBoogie0.3 inline.SerialGetNextWrite.2.tempBoogie0.2) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.2 inline.SerialGetNextWrite.2.myNondetVar_2.1) (=> ?v_516 (=> ?v_517 (=> ?v_518 (=> ?v_519 (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_520 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.12 inline.SerialGetNextWrite.2.myNondetVar_0.11) (=> ?v_521 (=> ?v_522 (=> ?v_523 (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_524 (=> (= inline.SerialSetTimer.5.myNondetVar_0.5 inline.SerialSetTimer.5.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5) (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0 call85802formal.new.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.2 inline.SerialGetNextWrite.2.myNondetVar_1.1) (=> ?v_528 (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0 call85852formal.ret.0) ?v_529))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_495 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 hirp))) (let ((?v_549 (not ?v_495))) (let ((?v_500 (and (=> true (=> ?v_495 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_498)))) (=> true (=> ?v_549 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_498)))))))))) (?v_499 (= call85852formal.ret.0 0)) (?v_73 (>= 8 0)) (?v_496 (int_2_U call85802formal.new.0))) (let ((?v_531 (and (=> true (=> (not (= inline.SerialGetNextWrite.2.myNondetVar_0.7 0)) (=> true (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0 (XoffCountTimer__SERIAL_DEVICE_EXTENSION x.SerialCompleteRead.arg.2.7..5)) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0 (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION x.SerialCompleteRead.arg.2.7..5)) (=> true (and ?v_73 (=> ?v_73 (=> (> call85802formal.new.0 0) (=> (forall ((?x1559 Int)) (! (=> (and (<= call85802formal.new.0 ?x1559) (< ?x1559 (+ call85802formal.new.0 8))) (= (Base ?x1559) call85802formal.new.0)) :pattern ((Base ?x1559)) )) (=> (forall ((?x1560 boogieU)) (! (=> (= (type ?x1560) intType) (or (= (U_2_int ?x1560) call85802formal.new.0) (= (MapType0Select alloc.104 ?x1560) (MapType0Select alloc.108 ?x1560)))) :pattern ((MapType0Select alloc.108 ?x1560)) )) (=> (and (= (MapType0Select alloc.104 ?v_496) UNALLOCATED) (= (MapType0Select alloc.108 ?v_496) ALLOCATED)) (=> (= (Base call81911formal.new.0) call81911formal.new.0) (and (=> true (=> (not ?v_499) (=> true (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.2 inline.sdv_InterlockedDecrement.21.myNondetVar_0.1) ?v_500)))) (=> true (=> ?v_499 (=> true (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.2 inline.sdv_InterlockedDecrement.21.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_500))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.8 0) (=> true (=> ?v_436 (=> ?v_437 (=> ?v_438 (=> ?v_501 (=> ?v_440 (=> ?v_441 (=> ?v_442 (=> ?v_502 (=> ?v_503 (=> ?v_504 (=> ?v_505 (=> ?v_506 (=> ?v_507 (=> ?v_508 (=> ?v_509 (=> ?v_451 (=> ?v_452 (=> ?v_510 (=> ?v_511 (=> ?v_455 (=> ?v_512 (=> ?v_513 (=> ?v_514 (=> ?v_515 (=> (= inline.SerialGetNextWrite.2.tempBoogie0.3 inline.SerialGetNextWrite.2.tempBoogie0.1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.2 inline.SerialGetNextWrite.2.myNondetVar_2.0) (=> ?v_516 (=> ?v_517 (=> ?v_518 (=> ?v_519 (=> ?v_466 (=> ?v_520 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.12 inline.SerialGetNextWrite.2.myNondetVar_0.8) (=> ?v_521 (=> ?v_522 (=> ?v_523 (=> ?v_471 (=> ?v_524 (=> ?v_473 (=> ?v_474 (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> ?v_478 (=> ?v_479 (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.2 inline.SerialGetNextWrite.2.myNondetVar_1.0) (=> ?v_528 (=> ?v_482 ?v_529)))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_538 (and (=> true (=> ?v_1934 (=> true (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.11..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.6 inline.KeSynchronizeExecution.11.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.11..result.SynchronizeRoutine.4679.26.2.) ?v_531)))))) (=> true (=> ?v_530 (=> true (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.6 inline.KeSynchronizeExecution.11.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true (=> true ?v_531))))))))))))) (let ((?v_546 (=> true (=> true (=> true (=> true (=> true (=> true ?v_538))))))) (?v_535 (= Mem_3_T.P_IRP.80 Mem_3_T.P_IRP.69)) (?v_540 (= Mem_1_T.P_IRP.80 Mem_1_T.P_IRP.69)) (?v_541 (= Mem_0_T.P_IRP.80 Mem_0_T.P_IRP.69)) (?v_536 (= Mem_2_T.P_IRP.80 Mem_2_T.P_IRP.69)) (?v_537 (= Mem_4_T.P_IRP.80 Mem_4_T.P_IRP.69))) (let ((?v_542 (=> ?v_537 ?v_546))) (let ((?v_544 (=> ?v_541 (=> ?v_536 ?v_542)))) (let ((?v_548 (=> ?v_540 ?v_544)) (?v_547 (= k.381 4)) (?v_533 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION x.SerialCompleteRead.arg.2.7..5))) (?v_534 (int_2_U inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5)) (?v_545 (= k.381 3)) (?v_543 (= k.381 2)) (?v_539 (= k.381 1)) (?v_532 (= k.381 0))) (let ((?v_550 (=> true (=> (forall ((?r0 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.2.myNondetVar_1.0 ?r0) 0)) (not (= (BIT_BAND 2 ?r0) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_2.0 2) ?r0) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.4 2) ?r0)) )) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.1 (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.5 2)) (=> true (=> (<= k.380 k.381) (=> (< k.381 5) (and (=> true (=> ?v_532 (=> (= Mem_0_T.P_IRP.79 (MapType0Store Mem_0_T.P_IRP.69 ?v_533 ?v_534)) (=> true (=> ?v_535 (=> ?v_540 (=> (= Mem_0_T.P_IRP.80 Mem_0_T.P_IRP.79) (=> ?v_536 (=> ?v_537 ?v_538))))))))) (=> true (=> (not ?v_532) (and (=> true (=> ?v_539 (=> (= Mem_1_T.P_IRP.79 (MapType0Store Mem_1_T.P_IRP.69 ?v_533 ?v_534)) (=> true (=> ?v_535 (=> (= Mem_1_T.P_IRP.80 Mem_1_T.P_IRP.79) ?v_544)))))) (=> true (=> (not ?v_539) (and (=> true (=> ?v_543 (=> (= Mem_2_T.P_IRP.79 (MapType0Store Mem_2_T.P_IRP.69 ?v_533 ?v_534)) (=> true (=> ?v_535 (=> ?v_540 (=> ?v_541 (=> (= Mem_2_T.P_IRP.80 Mem_2_T.P_IRP.79) ?v_542)))))))) (=> true (=> (not ?v_543) (and (=> true (=> ?v_545 (=> (= Mem_3_T.P_IRP.79 (MapType0Store Mem_3_T.P_IRP.69 ?v_533 ?v_534)) (=> true (=> (= Mem_3_T.P_IRP.80 Mem_3_T.P_IRP.79) ?v_548))))) (=> true (=> (not ?v_545) (and (=> true (=> ?v_547 (=> (= Mem_4_T.P_IRP.79 (MapType0Store Mem_4_T.P_IRP.69 ?v_533 ?v_534)) (=> true (=> ?v_535 (=> ?v_540 (=> ?v_541 (=> ?v_536 (=> (= Mem_4_T.P_IRP.80 Mem_4_T.P_IRP.79) ?v_546))))))))) (=> true (=> (not ?v_547) (=> true (=> ?v_535 ?v_548))))))))))))))))))))))))) (let ((?v_556 (=> true (=> (<= k.379 k.380) (=> (< k.380 5) (and (=> true (=> ?v_495 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_550)))) (=> true (=> ?v_549 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_550)))))))))))))) (let ((?v_564 (=> true ?v_556)) (?v_553 (= Mem_2_T.CancelRoutine__IRP.111 Mem_2_T.CancelRoutine__IRP.101)) (?v_558 (= Mem_0_T.CancelRoutine__IRP.111 Mem_0_T.CancelRoutine__IRP.101)) (?v_554 (= Mem_3_T.CancelRoutine__IRP.111 Mem_3_T.CancelRoutine__IRP.101)) (?v_559 (= Mem_1_T.CancelRoutine__IRP.111 Mem_1_T.CancelRoutine__IRP.101)) (?v_555 (= Mem_4_T.CancelRoutine__IRP.111 Mem_4_T.CancelRoutine__IRP.101))) (let ((?v_560 (=> ?v_555 ?v_564))) (let ((?v_562 (=> ?v_559 ?v_560))) (let ((?v_566 (=> ?v_558 (=> ?v_554 ?v_562))) (?v_565 (= k.379 4)) (?v_494 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5))) (?v_563 (= k.379 3)) (?v_561 (= k.379 2)) (?v_557 (= k.379 1)) (?v_551 (= k.379 0))) (let ((?v_574 (=> true (=> (<= k.378 k.379) (=> (< k.379 5) (and (=> true (=> ?v_551 (=> (= Mem_0_T.CancelRoutine__IRP.110 (MapType0Store Mem_0_T.CancelRoutine__IRP.101 ?v_494 ?v_552)) (=> true (=> ?v_553 (=> (= Mem_0_T.CancelRoutine__IRP.111 Mem_0_T.CancelRoutine__IRP.110) (=> ?v_554 (=> ?v_559 (=> ?v_555 ?v_556))))))))) (=> true (=> (not ?v_551) (and (=> true (=> ?v_557 (=> (= Mem_1_T.CancelRoutine__IRP.110 (MapType0Store Mem_1_T.CancelRoutine__IRP.101 ?v_494 ?v_552)) (=> true (=> ?v_553 (=> ?v_558 (=> ?v_554 (=> (= Mem_1_T.CancelRoutine__IRP.111 Mem_1_T.CancelRoutine__IRP.110) ?v_560)))))))) (=> true (=> (not ?v_557) (and (=> true (=> ?v_561 (=> (= Mem_2_T.CancelRoutine__IRP.110 (MapType0Store Mem_2_T.CancelRoutine__IRP.101 ?v_494 ?v_552)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.111 Mem_2_T.CancelRoutine__IRP.110) ?v_566))))) (=> true (=> (not ?v_561) (and (=> true (=> ?v_563 (=> (= Mem_3_T.CancelRoutine__IRP.110 (MapType0Store Mem_3_T.CancelRoutine__IRP.101 ?v_494 ?v_552)) (=> true (=> ?v_553 (=> ?v_558 (=> (= Mem_3_T.CancelRoutine__IRP.111 Mem_3_T.CancelRoutine__IRP.110) ?v_562))))))) (=> true (=> (not ?v_563) (and (=> true (=> ?v_565 (=> (= Mem_4_T.CancelRoutine__IRP.110 (MapType0Store Mem_4_T.CancelRoutine__IRP.101 ?v_494 ?v_552)) (=> true (=> ?v_553 (=> ?v_558 (=> ?v_554 (=> ?v_559 (=> (= Mem_4_T.CancelRoutine__IRP.111 Mem_4_T.CancelRoutine__IRP.110) ?v_564))))))))) (=> true (=> (not ?v_565) (=> true (=> ?v_553 ?v_566)))))))))))))))))))))) (let ((?v_575 (=> (= errorReached.78 errorReached.72) ?v_574)) (?v_572 (= k.378 k.377)) (?v_573 (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..0 call85398formal.ret.0)) (?v_567 (= k.377 0)) (?v_568 (= k.377 1)) (?v_569 (= k.377 2)) (?v_570 (= k.377 3)) (?v_571 (= k.377 4))) (let ((?v_577 (and (=> true (=> ?v_495 (=> true (=> (<= k.376 k.377) (=> (< k.377 5) (and (=> true (=> (=> ?v_567 ?v_81) (=> (=> ?v_568 ?v_82) (=> (=> ?v_569 ?v_83) (=> (=> ?v_570 ?v_84) (=> (=> ?v_571 ?v_85) (=> true (=> ?v_572 (=> ?v_573 (=> (= errorReached.78 1) ?v_574)))))))))) (=> true (=> (=> ?v_567 ?v_221) (=> (=> ?v_568 ?v_223) (=> (=> ?v_569 ?v_225) (=> (=> ?v_570 ?v_227) (=> (=> ?v_571 ?v_229) (=> true (=> ?v_572 (=> ?v_573 ?v_575))))))))))))))) (=> true (=> ?v_549 (=> true (=> (= k.378 k.376) (=> (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2.) ?v_575)))))))) (let ((?v_579 (=> true (=> true ?v_577))) (?v_582 (= k.376 4)) (?v_581 (= k.376 3)) (?v_580 (= k.376 2)) (?v_578 (= k.376 1)) (?v_576 (= k.376 0)) (?v_434 (= k.375 0)) (?v_435 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5)))) (let ((?v_485 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP.2 ?v_435)) 0)) (?v_486 (= k.375 1)) (?v_487 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP.2 ?v_435)) 0)) (?v_488 (= k.375 2)) (?v_489 (= (U_2_int (MapType0Select Mem_2_T.Cancel__IRP.2 ?v_435)) 0)) (?v_490 (= k.375 3)) (?v_491 (= (U_2_int (MapType0Select Mem_3_T.Cancel__IRP.2 ?v_435)) 0)) (?v_492 (= k.375 4)) (?v_493 (= (U_2_int (MapType0Select Mem_4_T.Cancel__IRP.2 ?v_435)) 0)) (?v_439 (= Mem_3_T.CancelRoutine__IRP.112 Mem_3_T.CancelRoutine__IRP.101)) (?v_443 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_444 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_445 (= k.382 k.375)) (?v_446 (= Mem_4_T.P_IRP.81 Mem_4_T.P_IRP.69)) (?v_447 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_448 (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2.)) (?v_449 (= inline.KeSynchronizeExecution.11.myNondetVar_0.7 inline.KeSynchronizeExecution.11.myNondetVar_0)) (?v_450 (= Mem_0_T.P_IRP.81 Mem_0_T.P_IRP.69)) (?v_453 (= Mem_1_T.CancelRoutine__IRP.112 Mem_1_T.CancelRoutine__IRP.101)) (?v_454 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_456 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_457 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_458 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_459 (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3.)) (?v_460 (= inline.SerialGetNextWrite.2.tempBoogie0.3 inline.SerialGetNextWrite.2.tempBoogie0.0)) (?v_461 (= inline.SerialGetNextWrite.2.myNondetVar_2.2 inline.SerialGetNextWrite.2.myNondetVar_2)) (?v_462 (= Mem_2_T.P_IRP.81 Mem_2_T.P_IRP.69)) (?v_463 (= errorReached.79 errorReached.72)) (?v_464 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_465 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_467 (= Mem_0_T.CancelRoutine__IRP.112 Mem_0_T.CancelRoutine__IRP.101)) (?v_468 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_469 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_470 (= Mem_3_T.P_IRP.81 Mem_3_T.P_IRP.69)) (?v_472 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_475 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_476 (= Mem_1_T.P_IRP.81 Mem_1_T.P_IRP.69)) (?v_477 (= Mem_2_T.CancelRoutine__IRP.112 Mem_2_T.CancelRoutine__IRP.101)) (?v_480 (= inline.SerialGetNextWrite.2.myNondetVar_1.2 inline.SerialGetNextWrite.2.myNondetVar_1)) (?v_481 (= Mem_4_T.CancelRoutine__IRP.112 Mem_4_T.CancelRoutine__IRP.101)) (?v_483 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.))) (let ((?v_583 (=> true (=> (= inline.SerialGetNextWrite.2.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.2.myNondetVar_0.1 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.2.myNondetVar_0.3 0)) (=> true (=> ?v_436 (=> ?v_437 (=> ?v_438 (=> ?v_439 (=> ?v_440 (=> ?v_441 (=> ?v_442 (=> ?v_443 (=> ?v_444 (=> ?v_445 (=> ?v_446 (=> ?v_447 (=> ?v_448 (=> ?v_449 (=> ?v_450 (=> ?v_451 (=> ?v_452 (=> ?v_453 (=> ?v_454 (=> ?v_455 (=> ?v_456 (=> ?v_457 (=> ?v_458 (=> ?v_459 (=> ?v_460 (=> ?v_461 (=> ?v_462 (=> ?v_463 (=> ?v_464 (=> ?v_465 (=> ?v_466 (=> ?v_467 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.12 inline.SerialGetNextWrite.2.myNondetVar_0.3) (=> ?v_468 (=> ?v_469 (=> ?v_470 (=> ?v_471 (=> ?v_472 (=> ?v_473 (=> ?v_474 (=> ?v_475 (=> ?v_476 (=> ?v_477 (=> ?v_478 (=> ?v_479 (=> ?v_480 (=> ?v_481 (=> ?v_482 (=> ?v_483 ?v_484)))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.2 0) (and (=> true (=> (=> ?v_434 (not ?v_485)) (=> (=> ?v_486 (not ?v_487)) (=> (=> ?v_488 (not ?v_489)) (=> (=> ?v_490 (not ?v_491)) (=> (=> ?v_492 (not ?v_493)) (=> true (=> ?v_436 (=> ?v_437 (=> ?v_438 (=> ?v_439 (=> ?v_440 (=> ?v_441 (=> ?v_442 (=> ?v_443 (=> ?v_444 (=> ?v_445 (=> ?v_446 (=> ?v_447 (=> ?v_448 (=> ?v_449 (=> ?v_450 (=> ?v_451 (=> ?v_452 (=> ?v_453 (=> ?v_454 (=> ?v_455 (=> ?v_456 (=> ?v_457 (=> ?v_458 (=> ?v_459 (=> ?v_460 (=> ?v_461 (=> ?v_462 (=> ?v_463 (=> ?v_464 (=> ?v_465 (=> ?v_466 (=> ?v_467 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.12 inline.SerialGetNextWrite.2.myNondetVar_0.2) (=> ?v_468 (=> ?v_469 (=> ?v_470 (=> ?v_471 (=> ?v_472 (=> ?v_473 (=> ?v_474 (=> ?v_475 (=> ?v_476 (=> ?v_477 (=> ?v_478 (=> ?v_479 (=> ?v_480 (=> ?v_481 (=> ?v_482 (=> ?v_483 ?v_497)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_434 ?v_485) (=> (=> ?v_486 ?v_487) (=> (=> ?v_488 ?v_489) (=> (=> ?v_490 ?v_491) (=> (=> ?v_492 ?v_493) (=> true (=> (<= k.375 k.376) (=> (< k.376 5) (and (=> true (=> ?v_576 (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.101 ?v_494))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_577))))) (=> true (=> (not ?v_576) (and (=> true (=> ?v_578 (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.101 ?v_494))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_579))))) (=> true (=> (not ?v_578) (and (=> true (=> ?v_580 (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.101 ?v_494))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_579))))) (=> true (=> (not ?v_580) (and (=> true (=> ?v_581 (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.101 ?v_494))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_579))))) (=> true (=> (not ?v_581) (and (=> true (=> ?v_582 (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.101 ?v_494))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_579))))) (=> true (=> (not ?v_582) (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_579)))))))))))))))))))))))))))))))))) (let ((?v_584 (=> true (=> true ?v_583)))) (let ((?v_589 (=> true (=> (<= k.374 k.375) (=> (< k.375 5) (and (=> true (=> ?v_434 (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.1 ?v_42) (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.1) ?v_583))))) (=> true (=> (not ?v_434) (and (=> true (=> ?v_486 (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.0 ?v_388) (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.0) ?v_584))))) (=> true (=> (not ?v_486) (and (=> true (=> ?v_488 (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.3 ?v_391) (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.3) ?v_584))))) (=> true (=> (not ?v_488) (and (=> true (=> ?v_490 (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 ?v_394) (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2) ?v_584))))) (=> true (=> (not ?v_490) (and (=> true (=> ?v_492 (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.4 ?v_396) (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.4) ?v_584))))) (=> true (=> (not ?v_492) (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite) ?v_584)))))))))))))))))))))) (let ((?v_595 (=> true (=> true (=> true (=> true ?v_589))))) (?v_591 (= cancelLockStatus_1.78 cancelLockStatus_1.74)) (?v_592 (= cancelLockStatus_0.78 cancelLockStatus_0.74)) (?v_586 (= cancelLockStatus_2.78 cancelLockStatus_2.74)) (?v_587 (= cancelLockStatus_4.78 cancelLockStatus_4.74)) (?v_588 (= cancelLockStatus_3.78 cancelLockStatus_3.74))) (let ((?v_597 (=> ?v_588 ?v_595))) (let ((?v_593 (=> ?v_587 ?v_597))) (let ((?v_598 (=> ?v_592 (=> ?v_586 ?v_593))) (?v_596 (= k.374 4)) (?v_594 (= k.374 3)) (?v_590 (= k.374 2)) (?v_585 (= k.374 1)) (?v_417 (= k.374 0))) (let ((?v_660 (and (=> true (=> ?v_599 (=> true (=> (<= k.352 k.374) (=> (< k.374 5) (=> true (=> (=> ?v_417 ?v_76) (=> (=> ?v_585 ?v_413) (=> (=> ?v_590 ?v_414) (=> (=> ?v_594 ?v_415) (=> (=> ?v_596 ?v_416) (and (=> true (=> ?v_417 (=> true (=> ?v_591 (=> (= cancelLockStatus_0.78 1) (=> ?v_586 (=> ?v_587 (=> ?v_588 ?v_589)))))))) (=> true (=> (not ?v_417) (and (=> true (=> ?v_585 (=> true (=> (= cancelLockStatus_1.78 1) ?v_598)))) (=> true (=> (not ?v_585) (and (=> true (=> ?v_590 (=> true (=> ?v_591 (=> ?v_592 (=> (= cancelLockStatus_2.78 1) ?v_593)))))) (=> true (=> (not ?v_590) (and (=> true (=> ?v_594 (=> true (=> ?v_591 (=> ?v_592 (=> ?v_586 (=> ?v_587 (=> (= cancelLockStatus_3.78 1) ?v_595)))))))) (=> true (=> (not ?v_594) (and (=> true (=> ?v_596 (=> true (=> ?v_591 (=> ?v_592 (=> ?v_586 (=> (= cancelLockStatus_4.78 1) ?v_597))))))) (=> true (=> (not ?v_596) (=> true (=> ?v_591 ?v_598)))))))))))))))))))))))))))) (=> true (=> (not ?v_599) (=> true (=> ?v_600 (=> ?v_601 (=> ?v_602 (=> ?v_603 (=> ?v_604 (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> ?v_608 (=> ?v_609 (=> ?v_610 (=> ?v_611 (=> ?v_612 (=> ?v_613 (=> ?v_614 (=> ?v_615 (=> (= k.389 k.352) (=> (= cancelLockStatus_4.82 cancelLockStatus_4.74) (=> ?v_616 (=> ?v_617 (=> ?v_618 (=> ?v_619 (=> ?v_620 (=> ?v_621 (=> ?v_622 (=> ?v_623 (=> ?v_624 (=> ?v_625 (=> ?v_626 (=> ?v_627 (=> ?v_628 (=> ?v_629 (=> (= cancelLockStatus_2.82 cancelLockStatus_2.74) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.5 inline.SerialGetNextWrite.2.tempBoogie0) (=> ?v_630 (=> ?v_631 (=> ?v_632 (=> ?v_633 (=> ?v_634 (=> ?v_635 (=> ?v_636 (=> (= cancelLockStatus_1.82 cancelLockStatus_1.74) (=> ?v_637 (=> ?v_638 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.16 inline.SerialGetNextWrite.2.myNondetVar_0) (=> ?v_639 (=> ?v_640 (=> ?v_641 (=> ?v_642 (=> ?v_643 (=> (= cancelLockStatus_3.82 cancelLockStatus_3.74) (=> ?v_644 (=> ?v_645 (=> ?v_646 (=> (= cancelLockStatus_0.82 cancelLockStatus_0.74) (=> ?v_647 (=> ?v_648 (=> ?v_649 (=> ?v_650 (=> ?v_651 (=> ?v_652 (=> ?v_653 (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.4 inline.SerialGetNextWrite.2.myNondetVar_1) (=> ?v_654 (=> ?v_655 (=> ?v_656 (=> ?v_657 ?v_658)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_659 (= inline.SerialGetNextWrite.2.myVar_0.11 hirp))) (let ((?v_662 (and (=> true (=> ?v_659 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_660)))) (=> true (=> (not ?v_659) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_660))))))))))) (let ((?v_664 (=> true (=> true (=> true (=> true ?v_662))))) (?v_667 (= k.352 4)) (?v_666 (= k.352 3)) (?v_665 (= k.352 2)) (?v_663 (= k.352 1)) (?v_661 (= k.352 0)) (?v_412 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_374 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_601 (=> ?v_602 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.17) (=> ?v_604 (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> (= inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..0 call82490formal.ret.0) (=> ?v_609 (=> ?v_610 (=> ?v_611 (=> ?v_612 (=> ?v_613 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_615 (=> (= k.389 k.388) (=> (= cancelLockStatus_4.82 cancelLockStatus_4.81) (=> ?v_616 (=> ?v_617 (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> ?v_619 (=> ?v_620 (=> (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..0 call82229formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_623 (=> ?v_624 (=> (= inline.SerialGetNextWrite.2.myVar_0.18 inline.SerialGetNextWrite.2.myVar_0.17) (=> ?v_626 (=> ?v_627 (=> ?v_628 (=> ?v_629 (=> (= cancelLockStatus_2.82 cancelLockStatus_2.81) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.5 inline.SerialGetNextWrite.2.tempBoogie0.4) (=> ?v_630 (=> ?v_631 (=> ?v_632 (=> ?v_633 (=> ?v_634 (=> ?v_635 (=> ?v_636 (=> (= cancelLockStatus_1.82 cancelLockStatus_1.81) (=> ?v_637 (=> ?v_638 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.16 inline.SerialGetNextWrite.2.myNondetVar_0.15) (=> ?v_639 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_641 (=> ?v_642 (=> ?v_643 (=> (= cancelLockStatus_3.82 cancelLockStatus_3.81) (=> ?v_644 (=> ?v_645 (=> ?v_646 (=> (= cancelLockStatus_0.82 cancelLockStatus_0.81) (=> ?v_647 (=> ?v_648 (=> ?v_649 (=> ?v_650 (=> ?v_651 (=> ?v_652 (=> ?v_653 (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.4 inline.SerialGetNextWrite.2.myNondetVar_1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.17) (=> ?v_655 (=> ?v_656 (=> ?v_657 ?v_418)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_380 (=> true (=> true (=> true (=> true ?v_374))))) (?v_376 (= cancelLockStatus_1.81 cancelLockStatus_1.80)) (?v_377 (= cancelLockStatus_0.81 cancelLockStatus_0.80)) (?v_371 (= cancelLockStatus_2.81 cancelLockStatus_2.80)) (?v_372 (= cancelLockStatus_4.81 cancelLockStatus_4.80)) (?v_373 (= cancelLockStatus_3.81 cancelLockStatus_3.80))) (let ((?v_382 (=> ?v_373 ?v_380))) (let ((?v_378 (=> ?v_372 ?v_382))) (let ((?v_384 (=> ?v_377 (=> ?v_371 ?v_378))) (?v_383 (= k.388 4)) (?v_381 (= k.388 3)) (?v_379 (= k.388 2)) (?v_375 (= k.388 1)) (?v_370 (= k.388 0))) (let ((?v_386 (=> true (=> (= inline.SerialGetNextWrite.2.tempBoogie0.4 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.2.myNondetVar_0.14 inline.SerialGetNextWrite.2.myNondetVar_1.3 1)) (=> true (=> (<= k.387 k.388) (=> (< k.388 5) (and (=> true (=> ?v_370 (=> true (=> ?v_376 (=> (= cancelLockStatus_0.81 0) (=> ?v_371 (=> ?v_372 (=> ?v_373 ?v_374)))))))) (=> true (=> (not ?v_370) (and (=> true (=> ?v_375 (=> true (=> (= cancelLockStatus_1.81 0) ?v_384)))) (=> true (=> (not ?v_375) (and (=> true (=> ?v_379 (=> true (=> ?v_376 (=> ?v_377 (=> (= cancelLockStatus_2.81 0) ?v_378)))))) (=> true (=> (not ?v_379) (and (=> true (=> ?v_381 (=> true (=> ?v_376 (=> ?v_377 (=> ?v_371 (=> ?v_372 (=> (= cancelLockStatus_3.81 0) ?v_380)))))))) (=> true (=> (not ?v_381) (and (=> true (=> ?v_383 (=> true (=> ?v_376 (=> ?v_377 (=> ?v_371 (=> (= cancelLockStatus_4.81 0) ?v_382))))))) (=> true (=> (not ?v_383) (=> true (=> ?v_376 ?v_384))))))))))))))))))))))) (?v_385 (= inline.SerialGetNextWrite.2.myVar_0.17 hirp))) (let ((?v_389 (and (=> true (=> ?v_385 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_386)))) (=> true (=> (not ?v_385) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_386)))))))))) (let ((?v_392 (=> true (=> true (=> true (=> true ?v_389))))) (?v_397 (= k.387 4)) (?v_395 (= k.387 3)) (?v_393 (= k.387 2)) (?v_390 (= k.387 1)) (?v_387 (= k.387 0))) (let ((?v_402 (=> true (=> (<= k.386 k.387) (=> (< k.387 5) (and (=> true (=> ?v_387 (=> (= inline.SerialGetNextWrite.2.myVar_0.13 ?v_42) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.17 inline.SerialGetNextWrite.2.myVar_0.13) ?v_389))))) (=> true (=> (not ?v_387) (and (=> true (=> ?v_390 (=> (= inline.SerialGetNextWrite.2.myVar_0.15 ?v_388) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.17 inline.SerialGetNextWrite.2.myVar_0.15) ?v_392))))) (=> true (=> (not ?v_390) (and (=> true (=> ?v_393 (=> (= inline.SerialGetNextWrite.2.myVar_0.12 ?v_391) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.17 inline.SerialGetNextWrite.2.myVar_0.12) ?v_392))))) (=> true (=> (not ?v_393) (and (=> true (=> ?v_395 (=> (= inline.SerialGetNextWrite.2.myVar_0.14 ?v_394) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.17 inline.SerialGetNextWrite.2.myVar_0.14) ?v_392))))) (=> true (=> (not ?v_395) (and (=> true (=> ?v_397 (=> (= inline.SerialGetNextWrite.2.myVar_0.16 ?v_396) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.17 inline.SerialGetNextWrite.2.myVar_0.16) ?v_392))))) (=> true (=> (not ?v_397) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.17 inline.SerialGetNextWrite.2.myVar_0.5) ?v_392)))))))))))))))))))))) (let ((?v_408 (=> true (=> true (=> true (=> true ?v_402))))) (?v_404 (= cancelLockStatus_1.80 cancelLockStatus_1.74)) (?v_405 (= cancelLockStatus_0.80 cancelLockStatus_0.74)) (?v_399 (= cancelLockStatus_2.80 cancelLockStatus_2.74)) (?v_400 (= cancelLockStatus_4.80 cancelLockStatus_4.74)) (?v_401 (= cancelLockStatus_3.80 cancelLockStatus_3.74))) (let ((?v_410 (=> ?v_401 ?v_408))) (let ((?v_406 (=> ?v_400 ?v_410))) (let ((?v_411 (=> ?v_405 (=> ?v_399 ?v_406))) (?v_409 (= k.386 4)) (?v_407 (= k.386 3)) (?v_403 (= k.386 2)) (?v_398 (= k.386 1)) (?v_77 (= k.386 0))) (let ((?v_669 (and (=> true (=> ?v_412 (=> true (=> (<= k.351 k.386) (=> (< k.386 5) (=> true (=> (=> ?v_77 ?v_76) (=> (=> ?v_398 ?v_413) (=> (=> ?v_403 ?v_414) (=> (=> ?v_407 ?v_415) (=> (=> ?v_409 ?v_416) (and (=> true (=> ?v_77 (=> true (=> ?v_404 (=> (= cancelLockStatus_0.80 1) (=> ?v_399 (=> ?v_400 (=> ?v_401 ?v_402)))))))) (=> true (=> (not ?v_77) (and (=> true (=> ?v_398 (=> true (=> (= cancelLockStatus_1.80 1) ?v_411)))) (=> true (=> (not ?v_398) (and (=> true (=> ?v_403 (=> true (=> ?v_404 (=> ?v_405 (=> (= cancelLockStatus_2.80 1) ?v_406)))))) (=> true (=> (not ?v_403) (and (=> true (=> ?v_407 (=> true (=> ?v_404 (=> ?v_405 (=> ?v_399 (=> ?v_400 (=> (= cancelLockStatus_3.80 1) ?v_408)))))))) (=> true (=> (not ?v_407) (and (=> true (=> ?v_409 (=> true (=> ?v_404 (=> ?v_405 (=> ?v_399 (=> (= cancelLockStatus_4.80 1) ?v_410))))))) (=> true (=> (not ?v_409) (=> true (=> ?v_404 ?v_411)))))))))))))))))))))))))))) (=> true (=> (not ?v_412) (=> true (=> (<= k.351 k.352) (=> (< k.352 5) (and (=> true (=> ?v_661 (=> (= inline.SerialGetNextWrite.2.myVar_0.6 ?v_42) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.11 inline.SerialGetNextWrite.2.myVar_0.6) ?v_662))))) (=> true (=> (not ?v_661) (and (=> true (=> ?v_663 (=> (= inline.SerialGetNextWrite.2.myVar_0.10 ?v_388) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.11 inline.SerialGetNextWrite.2.myVar_0.10) ?v_664))))) (=> true (=> (not ?v_663) (and (=> true (=> ?v_665 (=> (= inline.SerialGetNextWrite.2.myVar_0.7 ?v_391) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.11 inline.SerialGetNextWrite.2.myVar_0.7) ?v_664))))) (=> true (=> (not ?v_665) (and (=> true (=> ?v_666 (=> (= inline.SerialGetNextWrite.2.myVar_0.8 ?v_394) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.11 inline.SerialGetNextWrite.2.myVar_0.8) ?v_664))))) (=> true (=> (not ?v_666) (and (=> true (=> ?v_667 (=> (= inline.SerialGetNextWrite.2.myVar_0.9 ?v_396) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.11 inline.SerialGetNextWrite.2.myVar_0.9) ?v_664))))) (=> true (=> (not ?v_667) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.11 inline.SerialGetNextWrite.2.myVar_0.5) ?v_664)))))))))))))))))))))))) (?v_668 (= inline.SerialGetNextWrite.2.myVar_0.5 hirp))) (let ((?v_671 (and (=> true (=> ?v_668 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_669)))) (=> true (=> (not ?v_668) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_669))))))))))) (let ((?v_673 (=> true (=> true (=> true (=> true ?v_671))))) (?v_676 (= k.351 4)) (?v_675 (= k.351 3)) (?v_674 (= k.351 2)) (?v_672 (= k.351 1)) (?v_670 (= k.351 0)) (?v_75 (int_2_U call81945formal.new.0)) (?v_70 (int_2_U call81902formal.new.0)) (?v_71 (int_2_U call81905formal.new.0)) (?v_72 (int_2_U call81908formal.new.0)) (?v_74 (int_2_U call81911formal.new.0))) (let ((?v_1032 (and (=> true (=> ?v_677 (=> true (and ?v_11 (=> ?v_11 (=> (> call81902formal.new.0 0) (=> (forall ((?x1563 Int)) (! (=> (and (<= call81902formal.new.0 ?x1563) (< ?x1563 (+ call81902formal.new.0 1))) (= (Base ?x1563) call81902formal.new.0)) :pattern ((Base ?x1563)) )) (=> (forall ((?x1564 boogieU)) (! (=> (= (type ?x1564) intType) (or (= (U_2_int ?x1564) call81902formal.new.0) (= (MapType0Select alloc.99 ?x1564) (MapType0Select alloc.100 ?x1564)))) :pattern ((MapType0Select alloc.100 ?x1564)) )) (=> (and (= (MapType0Select alloc.99 ?v_70) UNALLOCATED) (= (MapType0Select alloc.100 ?v_70) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call81905formal.new.0 0) (=> (forall ((?x1565 Int)) (! (=> (and (<= call81905formal.new.0 ?x1565) (< ?x1565 (+ call81905formal.new.0 1))) (= (Base ?x1565) call81905formal.new.0)) :pattern ((Base ?x1565)) )) (=> (forall ((?x1566 boogieU)) (! (=> (= (type ?x1566) intType) (or (= (U_2_int ?x1566) call81905formal.new.0) (= (MapType0Select alloc.100 ?x1566) (MapType0Select alloc.101 ?x1566)))) :pattern ((MapType0Select alloc.101 ?x1566)) )) (=> (and (= (MapType0Select alloc.100 ?v_71) UNALLOCATED) (= (MapType0Select alloc.101 ?v_71) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call81908formal.new.0 0) (=> (forall ((?x1567 Int)) (! (=> (and (<= call81908formal.new.0 ?x1567) (< ?x1567 (+ call81908formal.new.0 1))) (= (Base ?x1567) call81908formal.new.0)) :pattern ((Base ?x1567)) )) (=> (forall ((?x1568 boogieU)) (! (=> (= (type ?x1568) intType) (or (= (U_2_int ?x1568) call81908formal.new.0) (= (MapType0Select alloc.101 ?x1568) (MapType0Select alloc.102 ?x1568)))) :pattern ((MapType0Select alloc.102 ?x1568)) )) (=> (and (= (MapType0Select alloc.101 ?v_72) UNALLOCATED) (= (MapType0Select alloc.102 ?v_72) ALLOCATED)) (and ?v_73 (=> ?v_73 (=> (> call81911formal.new.0 0) (=> (forall ((?x1569 Int)) (! (=> (and (<= call81911formal.new.0 ?x1569) (< ?x1569 (+ call81911formal.new.0 8))) (= (Base ?x1569) call81911formal.new.0)) :pattern ((Base ?x1569)) )) (=> (forall ((?x1570 boogieU)) (! (=> (= (type ?x1570) intType) (or (= (U_2_int ?x1570) call81911formal.new.0) (= (MapType0Select alloc.102 ?x1570) (MapType0Select alloc.103 ?x1570)))) :pattern ((MapType0Select alloc.103 ?x1570)) )) (=> (and (= (MapType0Select alloc.102 ?v_74) UNALLOCATED) (= (MapType0Select alloc.103 ?v_74) ALLOCATED)) (=> true (and ?v_11 (=> ?v_11 (=> (> call81945formal.new.0 0) (=> (forall ((?x1561 Int)) (! (=> (and (<= call81945formal.new.0 ?x1561) (< ?x1561 (+ call81945formal.new.0 1))) (= (Base ?x1561) call81945formal.new.0)) :pattern ((Base ?x1561)) )) (=> (forall ((?x1562 boogieU)) (! (=> (= (type ?x1562) intType) (or (= (U_2_int ?x1562) call81945formal.new.0) (= (MapType0Select alloc.103 ?x1562) (MapType0Select alloc.104 ?x1562)))) :pattern ((MapType0Select alloc.104 ?x1562)) )) (=> (and (= (MapType0Select alloc.103 ?v_75) UNALLOCATED) (= (MapType0Select alloc.104 ?v_75) ALLOCATED)) (=> true (=> (<= k.350 k.351) (=> (< k.351 5) (and (=> true (=> ?v_670 (=> (= inline.SerialGetNextWrite.2.myVar_0.4 ?v_42) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.5 inline.SerialGetNextWrite.2.myVar_0.4) ?v_671))))) (=> true (=> (not ?v_670) (and (=> true (=> ?v_672 (=> (= inline.SerialGetNextWrite.2.myVar_0.0 ?v_388) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.5 inline.SerialGetNextWrite.2.myVar_0.0) ?v_673))))) (=> true (=> (not ?v_672) (and (=> true (=> ?v_674 (=> (= inline.SerialGetNextWrite.2.myVar_0.2 ?v_391) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.5 inline.SerialGetNextWrite.2.myVar_0.2) ?v_673))))) (=> true (=> (not ?v_674) (and (=> true (=> ?v_675 (=> (= inline.SerialGetNextWrite.2.myVar_0.3 ?v_394) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.5 inline.SerialGetNextWrite.2.myVar_0.3) ?v_673))))) (=> true (=> (not ?v_675) (and (=> true (=> ?v_676 (=> (= inline.SerialGetNextWrite.2.myVar_0.1 ?v_396) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.5 inline.SerialGetNextWrite.2.myVar_0.1) ?v_673))))) (=> true (=> (not ?v_676) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.5 inline.SerialGetNextWrite.2.myVar_0) ?v_673)))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2115 (and (=> true (=> ?v_855 (=> true (and ?v_11 (=> ?v_11 (=> (> call86122formal.new.0 0) (=> (forall ((?x1551 Int)) (! (=> (and (<= call86122formal.new.0 ?x1551) (< ?x1551 (+ call86122formal.new.0 1))) (= (Base ?x1551) call86122formal.new.0)) :pattern ((Base ?x1551)) )) (=> (forall ((?x1552 boogieU)) (! (=> (= (type ?x1552) intType) (or (= (U_2_int ?x1552) call86122formal.new.0) (= (MapType0Select alloc.99 ?x1552) (MapType0Select alloc.105 ?x1552)))) :pattern ((MapType0Select alloc.105 ?x1552)) )) (=> (and (= (MapType0Select alloc.99 ?v_678) UNALLOCATED) (= (MapType0Select alloc.105 ?v_678) ALLOCATED)) (=> true (=> (<= k.350 k.353) (=> (< k.353 5) (=> true (=> (=> ?v_679 ?v_76) (=> (=> ?v_841 ?v_413) (=> (=> ?v_846 ?v_414) (=> (=> ?v_850 ?v_415) (=> (=> ?v_852 ?v_416) (and (=> true (=> ?v_679 (=> true (=> ?v_847 (=> (= cancelLockStatus_0.75 1) (=> ?v_842 (=> ?v_843 (=> ?v_844 ?v_845)))))))) (=> true (=> (not ?v_679) (and (=> true (=> ?v_841 (=> true (=> (= cancelLockStatus_1.75 1) ?v_854)))) (=> true (=> (not ?v_841) (and (=> true (=> ?v_846 (=> true (=> ?v_847 (=> ?v_848 (=> (= cancelLockStatus_2.75 1) ?v_849)))))) (=> true (=> (not ?v_846) (and (=> true (=> ?v_850 (=> true (=> ?v_847 (=> ?v_848 (=> ?v_842 (=> ?v_843 (=> (= cancelLockStatus_3.75 1) ?v_851)))))))) (=> true (=> (not ?v_850) (and (=> true (=> ?v_852 (=> true (=> ?v_847 (=> ?v_848 (=> ?v_842 (=> (= cancelLockStatus_4.75 1) ?v_853))))))) (=> true (=> (not ?v_852) (=> true (=> ?v_847 ?v_854))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2293 (=> true (and ?v_40 (=> ?v_40 (=> true (=> ?v_856 (=> ?v_857 (=> (= Mem_3_T.CancelRoutine__IRP.123 Mem_3_T.CancelRoutine__IRP.101) (=> ?v_858 (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_862 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_866 (=> ?v_867 (=> ?v_868 (=> (= cancelLockStatus_4.88 cancelLockStatus_4.74) (=> ?v_869 (=> (= irpCompleted_3.50 irpCompleted_3.41) (=> ?v_870 (=> ?v_871 (=> ?v_872 (=> ?v_873 (=> ?v_874 (=> ?v_875 (=> ?v_876 (=> ?v_877 (=> ?v_878 (=> ?v_879 (=> ?v_880 (=> (= cancelLockStatus_0.88 cancelLockStatus_0.74) (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_885 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_889 (=> ?v_890 (=> ?v_891 (=> ?v_892 (=> ?v_893 (=> ?v_894 (=> ?v_895 (=> (= irpCompleted_0.50 irpCompleted_0.41) (=> ?v_896 (=> ?v_897 (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> (= alloc.116 alloc.99) (=> ?v_902 (=> ?v_903 (=> ?v_904 (=> ?v_905 (=> ?v_906 (=> ?v_907 (=> ?v_908 (=> ?v_909 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> (= Mem_2_T.CancelRoutine__IRP.123 Mem_2_T.CancelRoutine__IRP.101) (=> (= Mem_2_T.P_IRP.90 Mem_2_T.P_IRP.69) (=> ?v_913 (=> ?v_914 (=> ?v_915 (=> ?v_916 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> ?v_920 (=> ?v_921 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> (= irpCompleted_2.50 irpCompleted_2.41) (=> ?v_925 (=> ?v_926 (=> ?v_927 (=> (= Mem_4_T.P_IRP.90 Mem_4_T.P_IRP.69) (=> ?v_928 (=> ?v_929 (=> ?v_930 (=> ?v_931 (=> (= cancelLockStatus_1.88 cancelLockStatus_1.74) (=> ?v_932 (=> ?v_933 (=> (= cancelLockStatus_3.88 cancelLockStatus_3.74) (=> ?v_934 (=> ?v_935 (=> ?v_936 (=> ?v_937 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> ?v_947 (=> ?v_948 (=> ?v_949 (=> ?v_950 (=> ?v_951 (=> ?v_952 (=> ?v_953 (=> ?v_954 (=> ?v_955 (=> ?v_956 (=> (= errorReached.88 errorReached.72) (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> (= irpCompleted_4.50 irpCompleted_4.41) (=> ?v_960 (=> ?v_961 (=> (= Mem_1_T.CancelRoutine__IRP.123 Mem_1_T.CancelRoutine__IRP.101) (=> ?v_962 (=> ?v_963 (=> ?v_964 (=> ?v_965 (=> ?v_966 (=> (= Mem_3_T.P_IRP.90 Mem_3_T.P_IRP.69) (=> (= irpCompleted_1.50 irpCompleted_1.41) (=> ?v_967 (=> ?v_968 (=> ?v_969 (=> ?v_970 (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> (= k.411 k.350) (=> ?v_975 (=> (= Mem_4_T.CancelRoutine__IRP.123 Mem_4_T.CancelRoutine__IRP.101) (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_979 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> (= Mem_0_T.P_IRP.90 Mem_0_T.P_IRP.69) (=> ?v_983 (=> ?v_984 (=> ?v_985 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> ?v_992 (=> ?v_993 (=> ?v_994 (=> ?v_995 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_999 (=> ?v_1000 (=> (= Mem_0_T.CancelRoutine__IRP.123 Mem_0_T.CancelRoutine__IRP.101) (=> ?v_1001 (=> ?v_1002 (=> ?v_1003 (=> ?v_1004 (=> ?v_1005 (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_1014 (=> ?v_1015 (=> (= cancelLockStatus_2.88 cancelLockStatus_2.74) (=> ?v_1016 (=> ?v_1017 (=> ?v_1018 (=> ?v_1019 (=> ?v_1020 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_1024 (=> (= Mem_1_T.P_IRP.90 Mem_1_T.P_IRP.69) (=> ?v_1025 (=> ?v_1026 ?v_1027)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1038 (=> true (=> true (=> true (=> true (=> true ?v_1032)))))) (?v_1034 (= cancelLockStatus_1.74 cancelLockStatus_1.72)) (?v_1035 (= cancelLockStatus_0.74 cancelLockStatus_0.72)) (?v_1029 (= cancelLockStatus_2.74 cancelLockStatus_2.72)) (?v_1030 (= cancelLockStatus_4.74 cancelLockStatus_4.72)) (?v_1031 (= cancelLockStatus_3.74 cancelLockStatus_3.72))) (let ((?v_1040 (=> ?v_1031 ?v_1038))) (let ((?v_1036 (=> ?v_1030 ?v_1040))) (let ((?v_1042 (=> ?v_1035 (=> ?v_1029 ?v_1036))) (?v_1041 (= k.350 4)) (?v_1039 (= k.350 3)) (?v_1037 (= k.350 2)) (?v_1033 (= k.350 1)) (?v_1028 (= k.350 0))) (let ((?v_1311 (and (=> true (=> ?v_1515 (=> true (=> (<= k.348 k.350) (=> (< k.350 5) (and (=> true (=> ?v_1028 (=> true (=> ?v_1034 (=> ?v_76 (=> ?v_1029 (=> ?v_1030 (=> ?v_1031 ?v_1032)))))))) (=> true (=> (not ?v_1028) (and (=> true (=> ?v_1033 (=> true (=> ?v_413 ?v_1042)))) (=> true (=> (not ?v_1033) (and (=> true (=> ?v_1037 (=> true (=> ?v_1034 (=> ?v_1035 (=> ?v_414 ?v_1036)))))) (=> true (=> (not ?v_1037) (and (=> true (=> ?v_1039 (=> true (=> ?v_1034 (=> ?v_1035 (=> ?v_1029 (=> ?v_1030 (=> ?v_415 ?v_1038)))))))) (=> true (=> (not ?v_1039) (and (=> true (=> ?v_1041 (=> true (=> ?v_1034 (=> ?v_1035 (=> ?v_1029 (=> ?v_416 ?v_1040))))))) (=> true (=> (not ?v_1041) (=> true (=> ?v_1034 ?v_1042)))))))))))))))))))))) (=> true (=> ?v_1043 (=> true (=> (<= k.348 k.368) (=> (< k.368 5) (and (=> true (=> ?v_1303 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 ?v_42) (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.0) ?v_1304))))) (=> true (=> (not ?v_1303) (and (=> true (=> ?v_1305 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 ?v_388) (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.1) ?v_1306))))) (=> true (=> (not ?v_1305) (and (=> true (=> ?v_1307 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 ?v_391) (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) ?v_1306))))) (=> true (=> (not ?v_1307) (and (=> true (=> ?v_1308 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 ?v_394) (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.3) ?v_1306))))) (=> true (=> (not ?v_1308) (and (=> true (=> ?v_1309 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 ?v_396) (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.4) ?v_1306))))) (=> true (=> (not ?v_1309) (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent) ?v_1306)))))))))))))))))))))))) (?v_1489 (- 0 1073741536))) (let ((?v_1310 (= 0 ?v_1489)) (?v_59 (=> true (=> ?v_1047 (=> (= Mem_3_T.CancelRoutine__IRP.124 Mem_3_T.CancelRoutine__IRP.101) (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_1051 (=> ?v_1052 (=> ?v_1053 (=> ?v_1054 (=> ?v_1055 (=> ?v_1056 (=> ?v_1057 (=> ?v_1058 (=> (= cancelLockStatus_4.89 cancelLockStatus_4.73) (=> ?v_1059 (=> ?v_1060 (=> (= irpCompleted_3.51 irpCompleted_3.41) (=> ?v_1061 (=> ?v_89 (=> ?v_1062 (=> ?v_1063 (=> ?v_1064 (=> ?v_1065 (=> ?v_90 (=> ?v_1066 (=> ?v_1067 (=> ?v_1068 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> (= cancelLockStatus_0.89 cancelLockStatus_0.73) (=> ?v_1074 (=> ?v_1075 (=> ?v_91 (=> ?v_1076 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> ?v_1080 (=> ?v_1081 (=> (= errorReached.89 errorReached.72) (=> ?v_1082 (=> ?v_1083 (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_92 (=> (= irpCompleted_0.51 irpCompleted_0.41) (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> (= alloc.117 alloc.99) (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> (= Mem_2_T.CancelRoutine__IRP.124 Mem_2_T.CancelRoutine__IRP.101) (=> (= Mem_2_T.P_IRP.91 Mem_2_T.P_IRP.69) (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_93 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> (= irpCompleted_2.51 irpCompleted_2.41) (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> (= Mem_4_T.P_IRP.91 Mem_4_T.P_IRP.69) (=> ?v_1122 (=> ?v_1123 (=> ?v_1124 (=> ?v_1125 (=> ?v_94 (=> (= cancelLockStatus_1.89 cancelLockStatus_1.73) (=> ?v_1126 (=> ?v_1127 (=> (= cancelLockStatus_3.89 cancelLockStatus_3.73) (=> ?v_1128 (=> ?v_1129 (=> ?v_1130 (=> ?v_1131 (=> ?v_1132 (=> ?v_1133 (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_95 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_96 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> (= irpCompleted_4.51 irpCompleted_4.41) (=> ?v_1155 (=> ?v_1156 (=> (= Mem_1_T.CancelRoutine__IRP.124 Mem_1_T.CancelRoutine__IRP.101) (=> ?v_1157 (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.5) (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> (= Mem_3_T.P_IRP.91 Mem_3_T.P_IRP.69) (=> ?v_1162 (=> (= irpCompleted_1.51 irpCompleted_1.41) (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> (= k.412 k.349) (=> ?v_1171 (=> (= Mem_4_T.CancelRoutine__IRP.124 Mem_4_T.CancelRoutine__IRP.101) (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_97 (=> ?v_1175 (=> ?v_1176 (=> ?v_1177 (=> (= Mem_0_T.P_IRP.91 Mem_0_T.P_IRP.69) (=> ?v_1178 (=> ?v_1179 (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_98 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> ?v_1195 (=> (= Mem_0_T.CancelRoutine__IRP.124 Mem_0_T.CancelRoutine__IRP.101) (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_99 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> (= cancelLockStatus_2.89 cancelLockStatus_2.73) (=> ?v_1209 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_100 (=> (= Mem_1_T.P_IRP.91 Mem_1_T.P_IRP.69) (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> (= inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..0 call81664formal.ret.0) (=> ?v_1224 (=> ?v_1225 (=> ?v_1226 (=> ?v_1227 (=> ?v_1228 ?v_101)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_65 (=> true (=> true (=> true (=> true ?v_59))))) (?v_61 (= cancelLockStatus_1.73 cancelLockStatus_1.72)) (?v_62 (= cancelLockStatus_0.73 cancelLockStatus_0.72)) (?v_56 (= cancelLockStatus_2.73 cancelLockStatus_2.72)) (?v_57 (= cancelLockStatus_4.73 cancelLockStatus_4.72)) (?v_58 (= cancelLockStatus_3.73 cancelLockStatus_3.72))) (let ((?v_67 (=> ?v_58 ?v_65))) (let ((?v_63 (=> ?v_57 ?v_67))) (let ((?v_69 (=> ?v_62 (=> ?v_56 ?v_63))) (?v_68 (= k.349 4)) (?v_66 (= k.349 3)) (?v_64 (= k.349 2)) (?v_60 (= k.349 1)) (?v_55 (= k.349 0))) (let ((?v_1313 (and (=> true (=> (not (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.5 0)) (=> true (=> (<= k.348 k.349) (=> (< k.349 5) (and (=> true (=> ?v_55 (=> true (=> ?v_61 (=> (= cancelLockStatus_0.73 0) (=> ?v_56 (=> ?v_57 (=> ?v_58 ?v_59)))))))) (=> true (=> (not ?v_55) (and (=> true (=> ?v_60 (=> true (=> (= cancelLockStatus_1.73 0) ?v_69)))) (=> true (=> (not ?v_60) (and (=> true (=> ?v_64 (=> true (=> ?v_61 (=> ?v_62 (=> (= cancelLockStatus_2.73 0) ?v_63)))))) (=> true (=> (not ?v_64) (and (=> true (=> ?v_66 (=> true (=> ?v_61 (=> ?v_62 (=> ?v_56 (=> ?v_57 (=> (= cancelLockStatus_3.73 0) ?v_65)))))))) (=> true (=> (not ?v_66) (and (=> true (=> ?v_68 (=> true (=> ?v_61 (=> ?v_62 (=> ?v_56 (=> (= cancelLockStatus_4.73 0) ?v_67))))))) (=> true (=> (not ?v_68) (=> true (=> ?v_61 ?v_69)))))))))))))))))))))) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.6 0) (and (=> true (=> ?v_1310 ?v_1311)) (=> true (=> (not ?v_1310) (=> true ?v_1311)))))))) (?v_1312 (= inline.SerialTryToCompleteCurrent.1.myVar_0.11 hirp))) (let ((?v_1315 (and (=> true (=> ?v_1312 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1313)))) (=> true (=> (not ?v_1312) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1313))))))))))) (let ((?v_1317 (=> true (=> true (=> true (=> true ?v_1315))))) (?v_1320 (= k.348 4)) (?v_1319 (= k.348 3)) (?v_1318 (= k.348 2)) (?v_1316 (= k.348 1)) (?v_1314 (= k.348 0))) (let ((?v_1343 (=> true (=> (<= k.347 k.348) (=> (< k.348 5) (and (=> true (=> ?v_1314 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.7 ?v_42) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.11 inline.SerialTryToCompleteCurrent.1.myVar_0.7) ?v_1315))))) (=> true (=> (not ?v_1314) (and (=> true (=> ?v_1316 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.6 ?v_388) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.11 inline.SerialTryToCompleteCurrent.1.myVar_0.6) ?v_1317))))) (=> true (=> (not ?v_1316) (and (=> true (=> ?v_1318 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.9 ?v_391) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.11 inline.SerialTryToCompleteCurrent.1.myVar_0.9) ?v_1317))))) (=> true (=> (not ?v_1318) (and (=> true (=> ?v_1319 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.8 ?v_394) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.11 inline.SerialTryToCompleteCurrent.1.myVar_0.8) ?v_1317))))) (=> true (=> (not ?v_1319) (and (=> true (=> ?v_1320 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.10 ?v_396) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.11 inline.SerialTryToCompleteCurrent.1.myVar_0.10) ?v_1317))))) (=> true (=> (not ?v_1320) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.11 inline.SerialTryToCompleteCurrent.1.myVar_0.5) ?v_1317))))))))))))))))))))) (?v_1348 (= inline.SerialRundownIrpRefs.1.tempBoogie0.5 inline.SerialRundownIrpRefs.1.tempBoogie0.3)) (?v_1349 (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1350 (= inline.SerialRundownIrpRefs.1.myNondetVar_1.5 inline.SerialRundownIrpRefs.1.myNondetVar_1.3)) (?v_1351 (= inline.SerialRundownIrpRefs.1.myVar_0.26 inline.SerialRundownIrpRefs.1.myVar_0.19)) (?v_1352 (= inline.SerialRundownIrpRefs.1.myNondetVar_0.11 inline.SerialRundownIrpRefs.1.myNondetVar_0.7)) (?v_1353 (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1354 (= inline.SerialRundownIrpRefs.1.myNondetVar_2.5 inline.SerialRundownIrpRefs.1.myNondetVar_2.3)) (?v_1355 (= k.347 k.345)) (?v_1356 (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1))) (let ((?v_1357 (=> (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs) (=> true (=> true (=> true ?v_1343))))) (?v_1347 (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 0)) (?v_1331 (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0 call81139formal.ret.0)) (?v_1332 (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_1333 (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0 call81139formal.ret.0)) (?v_1334 (= inline.SerialCancelTimer.5.myNondetVar_0.2 inline.SerialCancelTimer.5.myNondetVar_0.1)) (?v_1335 (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1)) (?v_1336 (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0 call81139formal.ret.0)) (?v_1337 (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_1338 (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_1339 (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0 call81139formal.ret.0)) (?v_1340 (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.3 inline.sdv_InterlockedDecrement.19.myNondetVar_0.2)) (?v_1341 (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_1342 (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_1330 (= call81139formal.ret.0 0)) (?v_50 (BIT_BNOT 4))) (let ((?v_1322 (=> true (=> (forall ((?r1 Int)) (! (=> (and (= (POW2 ?r1) boolTrue) (= (POW2 4) boolTrue) (not (= ?r1 4))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_1.4 ?r1) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_2.4 ?v_50) ?r1) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.8 ?v_50) ?r1)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.9 ?v_50) 4) 0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.4 (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.10 ?v_50)) (=> true (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.5 inline.SerialRundownIrpRefs.1.tempBoogie0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.1.myVar_0.25) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.5 inline.SerialRundownIrpRefs.1.myNondetVar_1.4) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.26 inline.SerialRundownIrpRefs.1.myVar_0.25) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.11 inline.SerialRundownIrpRefs.1.myNondetVar_0.10) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.5 inline.SerialRundownIrpRefs.1.myNondetVar_2.4) (=> ?v_1336 (=> (= k.347 k.346) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.1.myVar_0.25) (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0 4) ?v_1343)))))))))))))))))))))))))))) (?v_1321 (= inline.SerialRundownIrpRefs.1.myVar_0.25 hirp))) (let ((?v_1324 (and (=> true (=> ?v_1321 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1322)))) (=> true (=> (not ?v_1321) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1322))))))))))) (let ((?v_1326 (=> true (=> true (=> true (=> true ?v_1324))))) (?v_1329 (= k.346 4)) (?v_1328 (= k.346 3)) (?v_1327 (= k.346 2)) (?v_1325 (= k.346 1)) (?v_1323 (= k.346 0)) (?v_49 (not ?v_1330))) (let ((?v_1346 (and (=> true (=> ?v_49 (=> true (=> (<= k.345 k.346) (=> (< k.346 5) (and (=> true (=> ?v_1323 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.23 ?v_42) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.25 inline.SerialRundownIrpRefs.1.myVar_0.23) ?v_1324))))) (=> true (=> (not ?v_1323) (and (=> true (=> ?v_1325 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.20 ?v_388) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.25 inline.SerialRundownIrpRefs.1.myVar_0.20) ?v_1326))))) (=> true (=> (not ?v_1325) (and (=> true (=> ?v_1327 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.22 ?v_391) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.25 inline.SerialRundownIrpRefs.1.myVar_0.22) ?v_1326))))) (=> true (=> (not ?v_1327) (and (=> true (=> ?v_1328 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.21 ?v_394) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.25 inline.SerialRundownIrpRefs.1.myVar_0.21) ?v_1326))))) (=> true (=> (not ?v_1328) (and (=> true (=> ?v_1329 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.24 ?v_396) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.25 inline.SerialRundownIrpRefs.1.myVar_0.24) ?v_1326))))) (=> true (=> (not ?v_1329) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.25 inline.SerialRundownIrpRefs.1.myVar_0.19) ?v_1326)))))))))))))))))))))) (=> true (=> ?v_1330 (=> true (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1336 (=> ?v_1355 (=> ?v_1356 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 ?v_1357))))))))))))))))))))))))))) (let ((?v_1345 (=> true (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.1 inline.SerialCancelTimer.5.myNondetVar_0.0) (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.2 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) ?v_1346)))))))) (?v_1344 (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.1 0))) (let ((?v_1380 (and (=> true (=> (not ?v_1347) (and (=> true (=> ?v_49 (and (=> true (=> (not ?v_1344) (=> true (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) ?v_1345)))) (=> true (=> ?v_1344 (=> true (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0 call81220formal.ret.0) (=> true (=> true (=> true ?v_1345)))))))))) (=> true (=> ?v_1330 (=> true (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.1 inline.SerialCancelTimer.5.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.2 inline.sdv_InterlockedDecrement.19.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true ?v_1346))))))))))))))))) (=> true (=> ?v_1347 (=> true (=> (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5.) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.2 inline.SerialCancelTimer.5.myNondetVar_0) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1.) (=> ?v_1355 (=> ?v_1356 (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2.) (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.3 inline.sdv_InterlockedDecrement.19.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue) ?v_1357))))))))))))))))))))))))))) (let ((?v_1395 (=> true ?v_1380)) (?v_1385 (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1386 (= inline.SerialRundownIrpRefs.1.tempBoogie0.3 inline.SerialRundownIrpRefs.1.tempBoogie0.1)) (?v_1387 (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs)) (?v_1388 (= inline.SerialRundownIrpRefs.1.myNondetVar_1.3 inline.SerialRundownIrpRefs.1.myNondetVar_1.1)) (?v_1389 (= inline.SerialRundownIrpRefs.1.myVar_0.19 inline.SerialRundownIrpRefs.1.myVar_0.12)) (?v_1390 (= inline.SerialRundownIrpRefs.1.myNondetVar_0.7 inline.SerialRundownIrpRefs.1.myNondetVar_0.3)) (?v_1391 (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1392 (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1393 (= k.345 k.343)) (?v_1394 (= inline.SerialRundownIrpRefs.1.myNondetVar_2.3 inline.SerialRundownIrpRefs.1.myNondetVar_2.1)) (?v_1384 (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 0)) (?v_1368 (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0)) (?v_1369 (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0 call80809formal.ret.0)) (?v_1370 (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.3 inline.sdv_InterlockedDecrement.18.myNondetVar_0.2)) (?v_1371 (= inline.SerialCancelTimer.4.myNondetVar_0.2 inline.SerialCancelTimer.4.myNondetVar_0.1)) (?v_1372 (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1)) (?v_1373 (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0 call80809formal.ret.0)) (?v_1374 (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0 call80809formal.ret.0)) (?v_1375 (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_1376 (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_1377 (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_1378 (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0)) (?v_1379 (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0 call80809formal.ret.0)) (?v_1367 (= call80809formal.ret.0 0)) (?v_48 (BIT_BNOT 8))) (let ((?v_1359 (=> true (=> (forall ((?r2 Int)) (! (=> (and (= (POW2 ?r2) boolTrue) (= (POW2 8) boolTrue) (not (= ?r2 8))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_1.2 ?r2) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_2.2 ?v_48) ?r2) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.4 ?v_48) ?r2)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.5 ?v_48) 8) 0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.2 (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.6 ?v_48)) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.1.myVar_0.18) (=> ?v_1368 (=> ?v_1369 (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.3 inline.SerialRundownIrpRefs.1.tempBoogie0.2) (=> ?v_1370 (=> ?v_1371 (=> (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0 8) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.3 inline.SerialRundownIrpRefs.1.myNondetVar_1.2) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.19 inline.SerialRundownIrpRefs.1.myVar_0.18) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.7 inline.SerialRundownIrpRefs.1.myNondetVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_1372 (=> ?v_1373 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.1.myVar_0.18) (=> (= k.345 k.344) (=> ?v_1374 (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.3 inline.SerialRundownIrpRefs.1.myNondetVar_2.2) (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 ?v_1380)))))))))))))))))))))))))))) (?v_1358 (= inline.SerialRundownIrpRefs.1.myVar_0.18 hirp))) (let ((?v_1361 (and (=> true (=> ?v_1358 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1359)))) (=> true (=> (not ?v_1358) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1359))))))))))) (let ((?v_1363 (=> true (=> true (=> true (=> true ?v_1361))))) (?v_1366 (= k.344 4)) (?v_1365 (= k.344 3)) (?v_1364 (= k.344 2)) (?v_1362 (= k.344 1)) (?v_1360 (= k.344 0)) (?v_47 (not ?v_1367))) (let ((?v_1383 (and (=> true (=> ?v_47 (=> true (=> (<= k.343 k.344) (=> (< k.344 5) (and (=> true (=> ?v_1360 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.14 ?v_42) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.18 inline.SerialRundownIrpRefs.1.myVar_0.14) ?v_1361))))) (=> true (=> (not ?v_1360) (and (=> true (=> ?v_1362 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.13 ?v_388) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.18 inline.SerialRundownIrpRefs.1.myVar_0.13) ?v_1363))))) (=> true (=> (not ?v_1362) (and (=> true (=> ?v_1364 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.15 ?v_391) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.18 inline.SerialRundownIrpRefs.1.myVar_0.15) ?v_1363))))) (=> true (=> (not ?v_1364) (and (=> true (=> ?v_1365 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.16 ?v_394) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.18 inline.SerialRundownIrpRefs.1.myVar_0.16) ?v_1363))))) (=> true (=> (not ?v_1365) (and (=> true (=> ?v_1366 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.17 ?v_396) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.18 inline.SerialRundownIrpRefs.1.myVar_0.17) ?v_1363))))) (=> true (=> (not ?v_1366) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.18 inline.SerialRundownIrpRefs.1.myVar_0.12) ?v_1363)))))))))))))))))))))) (=> true (=> ?v_1367 (=> true (=> ?v_1385 (=> ?v_1368 (=> ?v_1369 (=> ?v_1386 (=> ?v_1370 (=> ?v_1371 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1372 (=> ?v_1373 (=> ?v_1392 (=> ?v_1393 (=> ?v_1374 (=> ?v_1394 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 ?v_1395)))))))))))))))))))))))))))) (let ((?v_1382 (=> true (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.1 inline.SerialCancelTimer.4.myNondetVar_0.0) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.2 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0) ?v_1383)))))))) (?v_1381 (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.1 0))) (let ((?v_1453 (and (=> true (=> (not ?v_1384) (and (=> true (=> ?v_47 (and (=> true (=> (not ?v_1381) (=> true (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) ?v_1382)))) (=> true (=> ?v_1381 (=> true (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0 call80890formal.ret.0) (=> true (=> true (=> true ?v_1382)))))))))) (=> true (=> ?v_1367 (=> true (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.1 inline.SerialCancelTimer.4.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.2 inline.sdv_InterlockedDecrement.18.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) (=> true (=> true (=> true (=> true (=> true ?v_1383))))))))))))))))) (=> true (=> ?v_1384 (=> true (=> ?v_1385 (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer) (=> ?v_1386 (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.3 inline.sdv_InterlockedDecrement.18.myNondetVar_0) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.2 inline.SerialCancelTimer.4.myNondetVar_0) (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2.) (=> ?v_1392 (=> ?v_1393 (=> (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1.) (=> ?v_1394 (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3.) ?v_1395))))))))))))))))))))))))))) (?v_41 (= k.335 0)) (?v_1444 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.98 (int_2_U (CancelRoutine__IRP ?v_42)))) 0)) (?v_1445 (= k.335 1)) (?v_1446 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.98 (int_2_U (CancelRoutine__IRP ?v_388)))) 0)) (?v_1447 (= k.335 2)) (?v_1448 (= (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.98 (int_2_U (CancelRoutine__IRP ?v_391)))) 0)) (?v_1449 (= k.335 3)) (?v_1450 (= (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.98 (int_2_U (CancelRoutine__IRP ?v_394)))) 0)) (?v_1451 (= k.335 4)) (?v_1452 (= (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.98 (int_2_U (CancelRoutine__IRP ?v_396)))) 0))) (let ((?v_1400 (=> true (=> (<= k.341 k.342) (=> (< k.342 5) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= Mem_4_T.CancelRoutine__IRP.101 Mem_4_T.CancelRoutine__IRP.100) (=> (= errorReached.72 errorReached.71) (=> (= Mem_0_T.CancelRoutine__IRP.101 Mem_0_T.CancelRoutine__IRP.100) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.1 inline.SerialRundownIrpRefs.1.tempBoogie0.0) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.1 inline.SerialRundownIrpRefs.1.myNondetVar_1.0) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.12 inline.SerialRundownIrpRefs.1.myVar_0.11) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3313.2.3..0 call80775formal.ret.0) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= Mem_1_T.CancelRoutine__IRP.101 Mem_1_T.CancelRoutine__IRP.100) (=> (= k.343 k.342) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.1.myVar_0.5) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0 2) (=> (= Mem_3_T.CancelRoutine__IRP.101 Mem_3_T.CancelRoutine__IRP.100) (=> (= Mem_2_T.CancelRoutine__IRP.101 Mem_2_T.CancelRoutine__IRP.100) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.1 inline.SerialRundownIrpRefs.1.myNondetVar_2.0) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialRundownIrpRefs.1.myVar_0.11) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.1.myVar_0.5) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.3 inline.SerialRundownIrpRefs.1.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialRundownIrpRefs.1.myVar_0.11) ?v_1453))))))))))))))))))))))))))))) (let ((?v_1408 (=> true ?v_1400)) (?v_1397 (= Mem_2_T.CancelRoutine__IRP.100 Mem_2_T.CancelRoutine__IRP.98)) (?v_1402 (= Mem_0_T.CancelRoutine__IRP.100 Mem_0_T.CancelRoutine__IRP.98)) (?v_1398 (= Mem_3_T.CancelRoutine__IRP.100 Mem_3_T.CancelRoutine__IRP.98)) (?v_1403 (= Mem_1_T.CancelRoutine__IRP.100 Mem_1_T.CancelRoutine__IRP.98)) (?v_1399 (= Mem_4_T.CancelRoutine__IRP.100 Mem_4_T.CancelRoutine__IRP.98))) (let ((?v_1404 (=> ?v_1399 ?v_1408))) (let ((?v_1406 (=> ?v_1403 ?v_1404))) (let ((?v_1410 (=> ?v_1402 (=> ?v_1398 ?v_1406))) (?v_1409 (= k.341 4)) (?v_45 (int_2_U (CancelRoutine__IRP inline.SerialRundownIrpRefs.1.myVar_0.11))) (?v_1407 (= k.341 3)) (?v_1405 (= k.341 2)) (?v_1401 (= k.341 1)) (?v_1396 (= k.341 0))) (let ((?v_1418 (=> true (=> (<= k.340 k.341) (=> (< k.341 5) (and (=> true (=> ?v_1396 (=> (= Mem_0_T.CancelRoutine__IRP.99 (MapType0Store Mem_0_T.CancelRoutine__IRP.98 ?v_45 ?v_46)) (=> true (=> ?v_1397 (=> (= Mem_0_T.CancelRoutine__IRP.100 Mem_0_T.CancelRoutine__IRP.99) (=> ?v_1398 (=> ?v_1403 (=> ?v_1399 ?v_1400))))))))) (=> true (=> (not ?v_1396) (and (=> true (=> ?v_1401 (=> (= Mem_1_T.CancelRoutine__IRP.99 (MapType0Store Mem_1_T.CancelRoutine__IRP.98 ?v_45 ?v_46)) (=> true (=> ?v_1397 (=> ?v_1402 (=> ?v_1398 (=> (= Mem_1_T.CancelRoutine__IRP.100 Mem_1_T.CancelRoutine__IRP.99) ?v_1404)))))))) (=> true (=> (not ?v_1401) (and (=> true (=> ?v_1405 (=> (= Mem_2_T.CancelRoutine__IRP.99 (MapType0Store Mem_2_T.CancelRoutine__IRP.98 ?v_45 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.100 Mem_2_T.CancelRoutine__IRP.99) ?v_1410))))) (=> true (=> (not ?v_1405) (and (=> true (=> ?v_1407 (=> (= Mem_3_T.CancelRoutine__IRP.99 (MapType0Store Mem_3_T.CancelRoutine__IRP.98 ?v_45 ?v_46)) (=> true (=> ?v_1397 (=> ?v_1402 (=> (= Mem_3_T.CancelRoutine__IRP.100 Mem_3_T.CancelRoutine__IRP.99) ?v_1406))))))) (=> true (=> (not ?v_1407) (and (=> true (=> ?v_1409 (=> (= Mem_4_T.CancelRoutine__IRP.99 (MapType0Store Mem_4_T.CancelRoutine__IRP.98 ?v_45 ?v_46)) (=> true (=> ?v_1397 (=> ?v_1402 (=> ?v_1398 (=> ?v_1403 (=> (= Mem_4_T.CancelRoutine__IRP.100 Mem_4_T.CancelRoutine__IRP.99) ?v_1408))))))))) (=> true (=> (not ?v_1409) (=> true (=> ?v_1397 ?v_1410)))))))))))))))))))))) (let ((?v_1420 (=> (= errorReached.71 errorReached.70) ?v_1418)) (?v_1419 (= inline.SerialRundownIrpRefs.1.myVar_0.11 hirp)) (?v_1416 (= k.340 k.339)) (?v_1417 (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0 call80684formal.ret.0)) (?v_1411 (= k.339 0)) (?v_1412 (= k.339 1)) (?v_1413 (= k.339 2)) (?v_1414 (= k.339 3)) (?v_1415 (= k.339 4))) (let ((?v_1422 (and (=> true (=> ?v_1419 (=> true (=> (<= k.338 k.339) (=> (< k.339 5) (and (=> true (=> (=> ?v_1411 ?v_81) (=> (=> ?v_1412 ?v_82) (=> (=> ?v_1413 ?v_83) (=> (=> ?v_1414 ?v_84) (=> (=> ?v_1415 ?v_85) (=> true (=> ?v_1416 (=> ?v_1417 (=> (= errorReached.71 1) ?v_1418)))))))))) (=> true (=> (=> ?v_1411 ?v_221) (=> (=> ?v_1412 ?v_223) (=> (=> ?v_1413 ?v_225) (=> (=> ?v_1414 ?v_227) (=> (=> ?v_1415 ?v_229) (=> true (=> ?v_1416 (=> ?v_1417 ?v_1420))))))))))))))) (=> true (=> (not ?v_1419) (=> true (=> (= k.340 k.338) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2.) ?v_1420)))))))) (let ((?v_1424 (=> true (=> true ?v_1422))) (?v_1427 (= k.338 4)) (?v_1426 (= k.338 3)) (?v_1425 (= k.338 2)) (?v_1423 (= k.338 1)) (?v_1421 (= k.338 0))) (let ((?v_1429 (=> true (=> (<= k.337 k.338) (=> (< k.338 5) (and (=> true (=> ?v_1421 (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.98 ?v_45))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_1422))))) (=> true (=> (not ?v_1421) (and (=> true (=> ?v_1423 (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.98 ?v_45))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_1424))))) (=> true (=> (not ?v_1423) (and (=> true (=> ?v_1425 (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.98 ?v_45))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_1424))))) (=> true (=> (not ?v_1425) (and (=> true (=> ?v_1426 (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.98 ?v_45))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_1424))))) (=> true (=> (not ?v_1426) (and (=> true (=> ?v_1427 (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.98 ?v_45))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_1424))))) (=> true (=> (not ?v_1427) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_1424)))))))))))))))))))))) (let ((?v_1431 (=> true (=> true (=> true (=> true ?v_1429))))) (?v_1434 (= k.337 4)) (?v_1433 (= k.337 3)) (?v_1432 (= k.337 2)) (?v_1430 (= k.337 1)) (?v_1428 (= k.337 0)) (?v_44 (BIT_BNOT 2))) (let ((?v_1436 (=> true (=> (forall ((?r3 Int)) (! (=> (and (= (POW2 ?r3) boolTrue) (= (POW2 2) boolTrue) (not (= ?r3 2))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_1.0 ?r3) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_2.0 ?v_44) ?r3) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.0 ?v_44) ?r3)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.1 ?v_44) 2) 0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.0 (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.2 ?v_44)) (=> true (=> (<= k.336 k.337) (=> (< k.337 5) (and (=> true (=> ?v_1428 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.10 ?v_42) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.11 inline.SerialRundownIrpRefs.1.myVar_0.10) ?v_1429))))) (=> true (=> (not ?v_1428) (and (=> true (=> ?v_1430 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.6 ?v_388) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.11 inline.SerialRundownIrpRefs.1.myVar_0.6) ?v_1431))))) (=> true (=> (not ?v_1430) (and (=> true (=> ?v_1432 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.9 ?v_391) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.11 inline.SerialRundownIrpRefs.1.myVar_0.9) ?v_1431))))) (=> true (=> (not ?v_1432) (and (=> true (=> ?v_1433 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.8 ?v_394) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.11 inline.SerialRundownIrpRefs.1.myVar_0.8) ?v_1431))))) (=> true (=> (not ?v_1433) (and (=> true (=> ?v_1434 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.7 ?v_396) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.11 inline.SerialRundownIrpRefs.1.myVar_0.7) ?v_1431))))) (=> true (=> (not ?v_1434) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.11 inline.SerialRundownIrpRefs.1.myVar_0.5) ?v_1431))))))))))))))))))))))))) (?v_1435 (= inline.SerialRundownIrpRefs.1.myVar_0.5 hirp))) (let ((?v_1438 (and (=> true (=> ?v_1435 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1436)))) (=> true (=> (not ?v_1435) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1436))))))))))) (let ((?v_1440 (=> true (=> true (=> true (=> true ?v_1438))))) (?v_1443 (= k.336 4)) (?v_1442 (= k.336 3)) (?v_1441 (= k.336 2)) (?v_1439 (= k.336 1)) (?v_1437 (= k.336 0))) (let ((?v_1455 (and (=> true (=> (=> ?v_41 (not ?v_1444)) (=> (=> ?v_1445 (not ?v_1446)) (=> (=> ?v_1447 (not ?v_1448)) (=> (=> ?v_1449 (not ?v_1450)) (=> (=> ?v_1451 (not ?v_1452)) (=> true (=> (<= k.335 k.336) (=> (< k.336 5) (and (=> true (=> ?v_1437 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.0 ?v_42) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0.0) ?v_1438))))) (=> true (=> (not ?v_1437) (and (=> true (=> ?v_1439 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.1 ?v_388) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0.1) ?v_1440))))) (=> true (=> (not ?v_1439) (and (=> true (=> ?v_1441 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.2 ?v_391) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0.2) ?v_1440))))) (=> true (=> (not ?v_1441) (and (=> true (=> ?v_1442 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.4 ?v_394) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0.4) ?v_1440))))) (=> true (=> (not ?v_1442) (and (=> true (=> ?v_1443 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.3 ?v_396) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0.3) ?v_1440))))) (=> true (=> (not ?v_1443) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0) ?v_1440)))))))))))))))))))))))))) (=> true (=> (=> ?v_41 ?v_1444) (=> (=> ?v_1445 ?v_1446) (=> (=> ?v_1447 ?v_1448) (=> (=> ?v_1449 ?v_1450) (=> (=> ?v_1451 ?v_1452) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= Mem_4_T.CancelRoutine__IRP.101 Mem_4_T.CancelRoutine__IRP.98) (=> (= errorReached.72 errorReached.70) (=> (= Mem_0_T.CancelRoutine__IRP.101 Mem_0_T.CancelRoutine__IRP.98) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.1 inline.SerialRundownIrpRefs.1.tempBoogie0) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.1 inline.SerialRundownIrpRefs.1.myNondetVar_1) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.12 inline.SerialRundownIrpRefs.1.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_1_T.CancelRoutine__IRP.101 Mem_1_T.CancelRoutine__IRP.98) (=> (= k.343 k.335) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs) (=> (= Mem_3_T.CancelRoutine__IRP.101 Mem_3_T.CancelRoutine__IRP.98) (=> (= Mem_2_T.CancelRoutine__IRP.101 Mem_2_T.CancelRoutine__IRP.98) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.1 inline.SerialRundownIrpRefs.1.myNondetVar_2) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.3 inline.SerialRundownIrpRefs.1.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> true ?v_1453)))))))))))))))))))))))))))))))))) (let ((?v_1454 (=> true (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.7 inline.KeSynchronizeExecution.9.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 0) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 0) ?v_1455))))))))) (let ((?v_1457 (=> true (=> (forall ((?r4 Int)) (! (=> (and (= (POW2 ?r4) boolTrue) (= (POW2 1) boolTrue) (not (= ?r4 1))) (= (not (= (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_1.0 ?r4) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_2.0 (BIT_BNOT 1)) ?r4) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_0.0 (BIT_BNOT 1)) ?r4)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_0.1 (BIT_BNOT 1)) 1) 0) (and (=> true (=> ?v_40 (and (=> true (=> ?v_40 (=> true (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.6 inline.KeSynchronizeExecution.9.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.9..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.9..result.SynchronizeRoutine.4679.26.2.) ?v_1454)))))) (=> true (=> ?v_0 (=> true (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.6 inline.KeSynchronizeExecution.9.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true ?v_1454)))))))))))) (=> true (=> ?v_0 (=> true (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.7 inline.KeSynchronizeExecution.9.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> true (=> true (=> true (=> true ?v_1455)))))))))))))))))) (?v_1456 (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 hirp))) (let ((?v_1458 (and (=> true (=> ?v_1456 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1457)))) (=> true (=> (not ?v_1456) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1457))))))))))) (let ((?v_1459 (=> true (=> true (=> true (=> true ?v_1458))))) (?v_38 (>= 4 0))) (let ((?v_1464 (=> true (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 (CurrentReadIrp__SERIAL_DEVICE_EXTENSION x.SerialCompleteRead.arg.2.7..5)) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 (ReadQueue__SERIAL_DEVICE_EXTENSION x.SerialCompleteRead.arg.2.7..5)) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION x.SerialCompleteRead.arg.2.7..5)) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION x.SerialCompleteRead.arg.2.7..5)) (=> true (and ?v_38 (=> ?v_38 (=> (> call79733formal.new.0 0) (=> (forall ((?x1571 Int)) (! (=> (and (<= call79733formal.new.0 ?x1571) (< ?x1571 (+ call79733formal.new.0 4))) (= (Base ?x1571) call79733formal.new.0)) :pattern ((Base ?x1571)) )) (=> (forall ((?x1572 boogieU)) (! (=> (= (type ?x1572) intType) (or (= (U_2_int ?x1572) call79733formal.new.0) (= (MapType0Select alloc.98 ?x1572) (MapType0Select alloc.99 ?x1572)))) :pattern ((MapType0Select alloc.99 ?x1572)) )) (=> (and (= (MapType0Select alloc.98 ?v_39) UNALLOCATED) (= (MapType0Select alloc.99 ?v_39) ALLOCATED)) (=> true (=> (<= k.334 k.335) (=> (< k.335 5) (and (=> true (=> ?v_41 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.0 ?v_42) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0.0) ?v_1458))))) (=> true (=> (not ?v_41) (and (=> true (=> ?v_1445 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.4 ?v_388) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0.4) ?v_1459))))) (=> true (=> (not ?v_1445) (and (=> true (=> ?v_1447 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.3 ?v_391) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0.3) ?v_1459))))) (=> true (=> (not ?v_1447) (and (=> true (=> ?v_1449 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.1 ?v_394) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0.1) ?v_1459))))) (=> true (=> (not ?v_1449) (and (=> true (=> ?v_1451 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.2 ?v_396) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0.2) ?v_1459))))) (=> true (=> (not ?v_1451) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0) ?v_1459)))))))))))))))))))))))))))))))))) (let ((?v_1470 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1464))))))) (?v_1466 (= cancelLockStatus_1.72 cancelLockStatus_1.71)) (?v_1467 (= cancelLockStatus_0.72 cancelLockStatus_0.71)) (?v_1461 (= cancelLockStatus_2.72 cancelLockStatus_2.71)) (?v_1462 (= cancelLockStatus_4.72 cancelLockStatus_4.71)) (?v_1463 (= cancelLockStatus_3.72 cancelLockStatus_3.71))) (let ((?v_1472 (=> ?v_1463 ?v_1470))) (let ((?v_1468 (=> ?v_1462 ?v_1472))) (let ((?v_1473 (=> ?v_1467 (=> ?v_1461 ?v_1468))) (?v_1471 (= k.334 4)) (?v_1469 (= k.334 3)) (?v_1465 (= k.334 2)) (?v_1460 (= k.334 1)) (?v_37 (= k.334 0)) (?v_36 (int_2_U call79552formal.new.0)) (?v_35 (int_2_U call79533formal.new.0))) (let ((?v_1476 (=> true (and ?v_11 (=> ?v_11 (=> (> call79533formal.new.0 0) (=> (forall ((?x1575 Int)) (! (=> (and (<= call79533formal.new.0 ?x1575) (< ?x1575 (+ call79533formal.new.0 1))) (= (Base ?x1575) call79533formal.new.0)) :pattern ((Base ?x1575)) )) (=> (forall ((?x1576 boogieU)) (! (=> (= (type ?x1576) intType) (or (= (U_2_int ?x1576) call79533formal.new.0) (= (MapType0Select alloc.96 ?x1576) (MapType0Select alloc.97 ?x1576)))) :pattern ((MapType0Select alloc.97 ?x1576)) )) (=> (and (= (MapType0Select alloc.96 ?v_35) UNALLOCATED) (= (MapType0Select alloc.97 ?v_35) ALLOCATED)) (=> true (and ?v_11 (=> ?v_11 (=> (> call79552formal.new.0 0) (=> (forall ((?x1573 Int)) (! (=> (and (<= call79552formal.new.0 ?x1573) (< ?x1573 (+ call79552formal.new.0 1))) (= (Base ?x1573) call79552formal.new.0)) :pattern ((Base ?x1573)) )) (=> (forall ((?x1574 boogieU)) (! (=> (= (type ?x1574) intType) (or (= (U_2_int ?x1574) call79552formal.new.0) (= (MapType0Select alloc.97 ?x1574) (MapType0Select alloc.98 ?x1574)))) :pattern ((MapType0Select alloc.98 ?x1574)) )) (=> (and (= (MapType0Select alloc.97 ?v_36) UNALLOCATED) (= (MapType0Select alloc.98 ?v_36) ALLOCATED)) (=> true (=> (<= k.333 k.334) (=> (< k.334 5) (=> true (=> (=> ?v_37 (= cancelLockStatus_0.71 0)) (=> (=> ?v_1460 (= cancelLockStatus_1.71 0)) (=> (=> ?v_1465 (= cancelLockStatus_2.71 0)) (=> (=> ?v_1469 (= cancelLockStatus_3.71 0)) (=> (=> ?v_1471 (= cancelLockStatus_4.71 0)) (and (=> true (=> ?v_37 (=> true (=> ?v_1466 (=> (= cancelLockStatus_0.72 1) (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 ?v_1464)))))))) (=> true (=> (not ?v_37) (and (=> true (=> ?v_1460 (=> true (=> (= cancelLockStatus_1.72 1) ?v_1473)))) (=> true (=> (not ?v_1460) (and (=> true (=> ?v_1465 (=> true (=> ?v_1466 (=> ?v_1467 (=> (= cancelLockStatus_2.72 1) ?v_1468)))))) (=> true (=> (not ?v_1465) (and (=> true (=> ?v_1469 (=> true (=> ?v_1466 (=> ?v_1467 (=> ?v_1461 (=> ?v_1462 (=> (= cancelLockStatus_3.72 1) ?v_1470)))))))) (=> true (=> (not ?v_1469) (and (=> true (=> ?v_1471 (=> true (=> ?v_1466 (=> ?v_1467 (=> ?v_1461 (=> (= cancelLockStatus_4.72 1) ?v_1472))))))) (=> true (=> (not ?v_1471) (=> true (=> ?v_1466 ?v_1473)))))))))))))))))))))))))))))))))))))))))) (let ((?v_1478 (=> true (=> true (=> true ?v_1476)))) (?v_1481 (= k.333 4)) (?v_1475 (int_2_U (DeviceExtension__DEVICE_OBJECT hdevobj)))) (let ((?v_2910 (U_2_int (MapType0Select Mem_4_T.DeviceExtension__DEVICE_OBJECT ?v_1475))) (?v_1480 (= k.333 3)) (?v_2908 (U_2_int (MapType0Select Mem_3_T.DeviceExtension__DEVICE_OBJECT ?v_1475))) (?v_1479 (= k.333 2)) (?v_2905 (U_2_int (MapType0Select Mem_2_T.DeviceExtension__DEVICE_OBJECT ?v_1475))) (?v_1477 (= k.333 1)) (?v_2902 (U_2_int (MapType0Select Mem_1_T.DeviceExtension__DEVICE_OBJECT ?v_1475))) (?v_1474 (= k.333 0)) (?v_34 (U_2_int (MapType0Select Mem_0_T.DeviceExtension__DEVICE_OBJECT ?v_1475))) (?v_33 (= call79301formal.ret.0 0))) (let ((?v_1498 (=> true (=> (<= 0 k.332) (=> (< k.332 5) (and (=> true (=> (not ?v_33) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.12 inline.SerialTryToCompleteCurrent.1.myVar_0) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= Mem_3_T.CancelRoutine__IRP.125 Mem_3_T.CancelRoutine__IRP.98) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.10 inline.KeSynchronizeExecution.10.myNondetVar_0) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.3 inline.SerialCancelTimer.5.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.1.myNondetVar_0) (=> (= cancelLockStatus_4.90 cancelLockStatus_4.71) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.6 inline.SerialRundownIrpRefs.1.myNondetVar_2) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.2 inline.SerialGetNextWrite.2.havoc_stringTemp) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1) (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.8 inline.SerialGetNextWrite.2.tempBoogie0) (=> (= inline.SerialCompleteRead.0..oldIrql.6.704.10.SerialCompleteRead.0 inline.SerialCompleteRead.0..oldIrql.6.704.10.SerialCompleteRead) (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp) (=> (= Mem_1_T.CancelRoutine__IRP.125 Mem_1_T.CancelRoutine__IRP.98) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.4 inline.sdv_InterlockedDecrement.19.myNondetVar_0) (=> (= inline.IsListEmpty.6.myNondetVar_0.3 inline.IsListEmpty.6.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.5.havoc_stringTemp) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.9 inline.SerialGetNextIrpLocked.4.myVar_0) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_2) (=> (= cancelLockStatus_0.90 cancelLockStatus_0.71) (=> (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs) (=> (= x.SerialCompleteRead.arg.2.7..6 x.SerialCompleteRead.arg.2.7.) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.3 inline.sdv_InterlockedDecrement.23.myNondetVar_0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.6 inline.SerialRundownIrpRefs.1.tempBoogie0) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3310.4.2.) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1) (=> (= inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.10..result.userContextSwitch.2077.4.1.) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite) (=> (= inline.SerialCompleteRead.0.havoc_stringTemp.0 inline.SerialCompleteRead.0.havoc_stringTemp) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3.) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.12 inline.SerialRundownIrpRefs.1.myNondetVar_0) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite) (=> (= inline.SerialCompleteRead.0..result.SerialDbgPrintEx.710.20.1..1 inline.SerialCompleteRead.0..result.SerialDbgPrintEx.710.20.1.) (=> (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent) (=> (= irpCompleted_0.52 irpCompleted_0.41) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= alloc.119 alloc.96) (=> (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1.) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.22 inline.SerialGetNextWrite.2.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.5 inline.sdv_InterlockedDecrement.22.myNondetVar_0) (=> (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2.) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.) (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= Mem_2_T.CancelRoutine__IRP.125 Mem_2_T.CancelRoutine__IRP.98) (=> (= inline.SerialCompleteRead.0..DeferredContext.2.671.13.SerialCompleteRead1.0 inline.SerialCompleteRead.0..DeferredContext.2.671.13.SerialCompleteRead1) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite) (=> (= inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= Mem_2_T.P_IRP.92 Mem_2_T.P_IRP.69) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1.) (=> (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1.) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.9 inline.SerialGetNextIrpLocked.5.myVar_0) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1.) (=> (= irpCompleted_2.52 irpCompleted_2.41) (=> (= Mem_0_T.P_IRP.92 Mem_0_T.P_IRP.69) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= Mem_4_T.P_IRP.92 Mem_4_T.P_IRP.69) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_1) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.) (=> (= inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= errorReached.90 errorReached.70) (=> (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1.) (=> (= inline.RemoveHeadList.5.myNondetVar_0.5 inline.RemoveHeadList.5.myNondetVar_0) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1) (=> (= inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.19..result.userContextSwitch.1645.2.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs) (=> (= cancelLockStatus_1.90 cancelLockStatus_1.71) (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.3 inline.SerialGetNextIrp.4.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.4.havoc_stringTemp) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2.) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.6 inline.SerialRundownIrpRefs.1.myNondetVar_1) (=> (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.1.havoc_stringTemp) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.18..result.userContextSwitch.1645.2.1.) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.9 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.27 inline.SerialRundownIrpRefs.1.myVar_0) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1.) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialCompleteRead.0..DeferredContext.2.671.13.SerialCompleteRead.0 inline.SerialCompleteRead.0..DeferredContext.2.671.13.SerialCompleteRead) (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.7 inline.SerialGetNextWrite.2.myNondetVar_1) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty) (=> (= inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent) (=> (= inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.SerialCompleteRead.0..extension.5.703.29.SerialCompleteRead.0 inline.SerialCompleteRead.0..extension.5.703.29.SerialCompleteRead) (=> (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4.) (=> (= irpCompleted_4.52 irpCompleted_4.41) (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1.) (=> (= inline.sdv_InterlockedDecrement.24.myNondetVar_0.2 inline.sdv_InterlockedDecrement.24.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.) (=> (= inline.IsListEmpty.5.myNondetVar_0.3 inline.IsListEmpty.5.myNondetVar_0) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.3 inline.SerialCancelTimer.4.myNondetVar_0) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialCompleteRead.0..result.SerialDbgPrintEx.742.20.3..1 inline.SerialCompleteRead.0..result.SerialDbgPrintEx.742.20.3.) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1.) (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.3 inline.SerialGetNextIrp.5.myNondetVar_0) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1) (=> (= Mem_3_T.P_IRP.92 Mem_3_T.P_IRP.69) (=> (= irpCompleted_1.52 irpCompleted_1.41) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.4 inline.sdv_InterlockedDecrement.18.myNondetVar_0) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.11 inline.KeSynchronizeExecution.11.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1.) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= k.413 k.332) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.SerialCompleteRead.0.myNondetVar_0.1 inline.SerialCompleteRead.0.myNondetVar_0) (=> (= Mem_4_T.CancelRoutine__IRP.125 Mem_4_T.CancelRoutine__IRP.98) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5.) (=> (= cancelLockStatus_3.90 cancelLockStatus_3.71) (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.7 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialGetNextWrite.2.myVar_0.28 inline.SerialGetNextWrite.2.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.27..result.userContextSwitch.3151.2.1.) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.7 inline.sdv_InterlockedDecrement.21.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2.) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= irpCompleted_3.52 irpCompleted_3.41) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoAcquireCancelSpinLock.15..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.15..result.userContextSwitch.1645.2.1.) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.6 inline.SerialGetNextWrite.2.myNondetVar_2) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3313.2.3.) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialSetTimer.5.myNondetVar_0.9 inline.SerialSetTimer.5.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.RemoveHeadList.4.myNondetVar_0.5 inline.RemoveHeadList.4.myNondetVar_0) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.29..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.6 inline.sdv_InterlockedIncrement.6.myNondetVar_0) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList) (=> (= Mem_0_T.CancelRoutine__IRP.125 Mem_0_T.CancelRoutine__IRP.98) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= Mem_1_T.P_IRP.92 Mem_1_T.P_IRP.69) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3313.2.3.) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.8 inline.KeSynchronizeExecution.9.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.12..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.28..result.userContextSwitch.3151.2.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution) (=> (= cancelLockStatus_2.90 cancelLockStatus_2.71) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite) (=> (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.5 inline.sdv_InterlockedDecrement.20.myNondetVar_0) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2.) (=> (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer) ?v_52))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_33 (=> true (=> (<= k.332 k.333) (=> (< k.333 5) (and (=> true (=> ?v_1474 (=> (= x.SerialCompleteRead.arg.2.7..0 ?v_34) (=> true (=> (= x.SerialCompleteRead.arg.2.7..5 x.SerialCompleteRead.arg.2.7..0) ?v_1476))))) (=> true (=> (not ?v_1474) (and (=> true (=> ?v_1477 (=> (= x.SerialCompleteRead.arg.2.7..3 ?v_2902) (=> true (=> (= x.SerialCompleteRead.arg.2.7..5 x.SerialCompleteRead.arg.2.7..3) ?v_1478))))) (=> true (=> (not ?v_1477) (and (=> true (=> ?v_1479 (=> (= x.SerialCompleteRead.arg.2.7..1 ?v_2905) (=> true (=> (= x.SerialCompleteRead.arg.2.7..5 x.SerialCompleteRead.arg.2.7..1) ?v_1478))))) (=> true (=> (not ?v_1479) (and (=> true (=> ?v_1480 (=> (= x.SerialCompleteRead.arg.2.7..2 ?v_2908) (=> true (=> (= x.SerialCompleteRead.arg.2.7..5 x.SerialCompleteRead.arg.2.7..2) ?v_1478))))) (=> true (=> (not ?v_1480) (and (=> true (=> ?v_1481 (=> (= x.SerialCompleteRead.arg.2.7..4 ?v_2910) (=> true (=> (= x.SerialCompleteRead.arg.2.7..5 x.SerialCompleteRead.arg.2.7..4) ?v_1478))))) (=> true (=> (not ?v_1481) (=> true (=> (= x.SerialCompleteRead.arg.2.7..5 x.SerialCompleteRead.arg.2.7.) ?v_1478)))))))))))))))))))))))))))) (let ((?v_3236 (=> true (=> true ?v_1498))) (?v_2927 (= inline.SerialGetNextIrp.6.myNondetVar_0.3 inline.SerialGetNextIrp.6.myNondetVar_0)) (?v_2928 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2929 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer)) (?v_2930 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2931 (= Mem_3_T.CancelRoutine__IRP.98 Mem_3_T.CancelRoutine__IRP.69)) (?v_2932 (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.7.havoc_stringTemp)) (?v_2933 (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.6.havoc_stringTemp)) (?v_2934 (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_2935 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_2936 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_2937 (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.4 inline.sdv_InterlockedDecrement.25.myNondetVar_0)) (?v_2938 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2939 (= inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1.)) (?v_2940 (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1)) (?v_2941 (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1)) (?v_2942 (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1)) (?v_2943 (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.4 inline.sdv_InterlockedDecrement.26.myNondetVar_0)) (?v_2944 (= Mem_0_T.P_IRP.69 Mem_0_T.P_IRP.46)) (?v_2945 (= inline.IsListEmpty.7.myNondetVar_0.3 inline.IsListEmpty.7.myNondetVar_0)) (?v_2946 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_2947 (= irpCompleted_3.41 irpCompleted_3.30)) (?v_2948 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2949 (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1.)) (?v_2950 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2951 (= inline.SerialRundownIrpRefs.2.tempBoogie0.6 inline.SerialRundownIrpRefs.2.tempBoogie0)) (?v_2952 (= inline.SerialGetNextWrite.3.myNondetVar_1.7 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_2953 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_2954 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_2955 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2956 (= inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1.)) (?v_2957 (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2958 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1)) (?v_2959 (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1.)) (?v_2960 (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_2961 (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2962 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_2963 (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.)) (?v_2964 (= inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1.)) (?v_2965 (= inline.SerialCancelCurrentRead.0.myNondetVar_0.1 inline.SerialCancelCurrentRead.0.myNondetVar_0)) (?v_2966 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3.)) (?v_2967 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1)) (?v_2968 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2969 (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.)) (?v_2970 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2971 (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs)) (?v_2972 (= alloc.96 alloc.76)) (?v_2973 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_2974 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2975 (= inline.SerialCancelCurrentRead.0..DeviceObject.1.747.19.SerialCancelCurrentRead1.0 inline.SerialCancelCurrentRead.0..DeviceObject.1.747.19.SerialCancelCurrentRead1)) (?v_2976 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite)) (?v_2977 (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1)) (?v_2978 (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_2979 (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_2980 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2981 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2982 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_2983 (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2984 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2985 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2.)) (?v_2986 (= inline.SerialGetNextIrp.7.myNondetVar_0.3 inline.SerialGetNextIrp.7.myNondetVar_0)) (?v_2987 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2988 (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs)) (?v_2989 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2990 (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList)) (?v_2991 (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2992 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.2.myNondetVar_0)) (?v_2993 (= inline.RemoveHeadList.6.myNondetVar_0.5 inline.RemoveHeadList.6.myNondetVar_0)) (?v_2994 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2995 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3.)) (?v_2996 (= inline.SerialRundownIrpRefs.2.myNondetVar_2.6 inline.SerialRundownIrpRefs.2.myNondetVar_2)) (?v_2997 (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2998 (= irpCompleted_0.41 irpCompleted_0.30)) (?v_2999 (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs)) (?v_3000 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3001 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_3002 (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3003 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_2)) (?v_3004 (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent)) (?v_3005 (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3006 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_3007 (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1.)) (?v_3008 (= inline.SerialCancelTimer.6.myNondetVar_0.3 inline.SerialCancelTimer.6.myNondetVar_0)) (?v_3009 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3010 (= inline.SerialRundownIrpRefs.2.myNondetVar_0.12 inline.SerialRundownIrpRefs.2.myNondetVar_0)) (?v_3011 (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite)) (?v_3012 (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.)) (?v_3013 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3014 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3015 (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1.)) (?v_3016 (= Mem_1_T.Cancel__IRP.2 Mem_1_T.Cancel__IRP.1)) (?v_3017 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13.)) (?v_3018 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3019 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_3020 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_1)) (?v_3021 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3022 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3023 (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite)) (?v_3024 (= Mem_2_T.P_IRP.69 Mem_2_T.P_IRP.46)) (?v_3025 (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent)) (?v_3026 (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4.)) (?v_3027 (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3.)) (?v_3028 (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.7 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_3029 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3030 (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite)) (?v_3031 (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_3032 (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution)) (?v_3033 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3034 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_3035 (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3036 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3037 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_3038 (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.)) (?v_3039 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.7 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_3040 (= inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2.)) (?v_3041 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_3042 (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3043 (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite)) (?v_3044 (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_3045 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3046 (= inline.SerialSetTimer.6.myNondetVar_0.9 inline.SerialSetTimer.6.myNondetVar_0)) (?v_3047 (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.)) (?v_3048 (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer)) (?v_3049 (= inline.SerialGetNextWrite.3.tempBoogie0.8 inline.SerialGetNextWrite.3.tempBoogie0)) (?v_3050 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_3051 (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3052 (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3053 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3054 (= irpCompleted_2.41 irpCompleted_2.30)) (?v_3055 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_3056 (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.)) (?v_3057 (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3058 (= Mem_2_T.CancelRoutine__IRP.98 Mem_2_T.CancelRoutine__IRP.69)) (?v_3059 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3060 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_3061 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3062 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3063 (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3064 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3065 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3066 (= Mem_4_T.P_IRP.69 Mem_4_T.P_IRP.46)) (?v_3067 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3068 (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.)) (?v_3069 (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_3070 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3071 (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2.)) (?v_3072 (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3073 (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3074 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_3075 (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3.)) (?v_3076 (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.)) (?v_3077 (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.)) (?v_3078 (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent)) (?v_3079 (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3080 (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3081 (= inline.SerialGetNextWrite.3.myNondetVar_2.6 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_3082 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3083 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_3084 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3085 (= inline.RemoveHeadList.7.myNondetVar_0.5 inline.RemoveHeadList.7.myNondetVar_0)) (?v_3086 (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3087 (= inline.SerialTryToCompleteCurrent.2.myVar_0.12 inline.SerialTryToCompleteCurrent.2.myVar_0)) (?v_3088 (= inline.SerialGetNextIrpLocked.6.myVar_0.9 inline.SerialGetNextIrpLocked.6.myVar_0)) (?v_3089 (= inline.KeSynchronizeExecution.13.myNondetVar_0.10 inline.KeSynchronizeExecution.13.myNondetVar_0)) (?v_3090 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3091 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3092 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3093 (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3094 (= inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1.)) (?v_3095 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3096 (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3097 (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3098 (= Mem_0_T.Cancel__IRP.2 Mem_0_T.Cancel__IRP.1)) (?v_3099 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3100 (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3101 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_3102 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_3103 (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3104 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3105 (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_3106 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_3107 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3108 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_3109 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_3110 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3111 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_3112 (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3113 (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_3114 (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3115 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite)) (?v_3116 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3117 (= irpCompleted_4.41 irpCompleted_4.30)) (?v_3118 (= inline.SerialGetNextWrite.3.myNondetVar_0.22 inline.SerialGetNextWrite.3.myNondetVar_0)) (?v_3119 (= Mem_1_T.CancelRoutine__IRP.98 Mem_1_T.CancelRoutine__IRP.69)) (?v_3120 (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1.)) (?v_3121 (= Mem_4_T.Cancel__IRP.2 Mem_4_T.Cancel__IRP.1)) (?v_3122 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3123 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.5 inline.sdv_InterlockedDecrement.29.myNondetVar_0)) (?v_3124 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.9 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_3125 (= inline.SerialGetNextIrpLocked.7.myVar_0.9 inline.SerialGetNextIrpLocked.7.myVar_0)) (?v_3126 (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1.)) (?v_3127 (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3128 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.6 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_3129 (= Mem_3_T.P_IRP.69 Mem_3_T.P_IRP.46)) (?v_3130 (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1.)) (?v_3131 (= irpCompleted_1.41 irpCompleted_1.30)) (?v_3132 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_3133 (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1)) (?v_3134 (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3135 (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_3136 (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1.)) (?v_3137 (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3138 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_3139 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3140 (= inline.SerialGetNextWrite.3.havoc_stringTemp.2 inline.SerialGetNextWrite.3.havoc_stringTemp)) (?v_3141 (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3142 (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList)) (?v_3143 (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.3 inline.sdv_InterlockedDecrement.30.myNondetVar_0)) (?v_3144 (= k.331 k.251)) (?v_3145 (= inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent)) (?v_3146 (= inline.KeSynchronizeExecution.14.myNondetVar_0.11 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_3147 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_3148 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_3149 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3150 (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3151 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_3152 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_3153 (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1.)) (?v_3154 (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.)) (?v_3155 (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3156 (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3157 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3158 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3159 (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1.)) (?v_3160 (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1.)) (?v_3161 (= inline.SerialCancelCurrentRead.0..DeviceObject.1.747.19.SerialCancelCurrentRead.0 inline.SerialCancelCurrentRead.0..DeviceObject.1.747.19.SerialCancelCurrentRead)) (?v_3162 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_3163 (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3164 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3165 (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1.)) (?v_3166 (= inline.KeSynchronizeExecution.12.myNondetVar_0.8 inline.KeSynchronizeExecution.12.myNondetVar_0)) (?v_3167 (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1)) (?v_3168 (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.)) (?v_3169 (= inline.SerialRundownIrpRefs.2.myVar_0.27 inline.SerialRundownIrpRefs.2.myVar_0)) (?v_3170 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_3171 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_3172 (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs)) (?v_3173 (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_3174 (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1.)) (?v_3175 (= Mem_4_T.CancelRoutine__IRP.98 Mem_4_T.CancelRoutine__IRP.69)) (?v_3176 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3177 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1)) (?v_3178 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_3179 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3180 (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_3181 (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_3182 (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1.)) (?v_3183 (= inline.IsListEmpty.8.myNondetVar_0.3 inline.IsListEmpty.8.myNondetVar_0)) (?v_3184 (= Mem_3_T.Cancel__IRP.2 Mem_3_T.Cancel__IRP.1)) (?v_3185 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_3186 (= inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3313.2.3.)) (?v_3187 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3188 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.5 inline.sdv_InterlockedDecrement.27.myNondetVar_0)) (?v_3189 (= Mem_0_T.CancelRoutine__IRP.98 Mem_0_T.CancelRoutine__IRP.69)) (?v_3190 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3191 (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.2.havoc_stringTemp)) (?v_3192 (= Mem_2_T.Cancel__IRP.2 Mem_2_T.Cancel__IRP.1)) (?v_3193 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_3194 (= inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent)) (?v_3195 (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2.)) (?v_3196 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3197 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3198 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer)) (?v_3199 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5.)) (?v_3200 (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2.)) (?v_3201 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3202 (= inline.SerialGetNextWrite.3.myVar_0.28 inline.SerialGetNextWrite.3.myVar_0)) (?v_3203 (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1.)) (?v_3204 (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_3205 (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3206 (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.6 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead)) (?v_3207 (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1)) (?v_3208 (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent)) (?v_3209 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3210 (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2.)) (?v_3211 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3212 (= inline.SerialCancelTimer.7.myNondetVar_0.3 inline.SerialCancelTimer.7.myNondetVar_0)) (?v_3213 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_3214 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_3215 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_3216 (= inline.SerialRundownIrpRefs.2.myNondetVar_1.6 inline.SerialRundownIrpRefs.2.myNondetVar_1)) (?v_3217 (= Mem_1_T.P_IRP.69 Mem_1_T.P_IRP.46)) (?v_3218 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3219 (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3220 (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3221 (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3222 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3223 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3224 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1.)) (?v_3225 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3226 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_3227 (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3228 (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3229 (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3230 (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.)) (?v_3231 (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2.)) (?v_3232 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3233 (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer)) (?v_3234 (= errorReached.70 errorReached.50)) (?v_3235 (= inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1.)) (?v_1483 (= k.251 0)) (?v_1488 (int_2_U (CancelRoutine__IRP hirp)))) (let ((?v_2922 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.69 ?v_1488)) SerialCancelCurrentRead)) (?v_1484 (= k.251 1)) (?v_2923 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.69 ?v_1488)) SerialCancelCurrentRead)) (?v_1485 (= k.251 2)) (?v_2924 (= (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.69 ?v_1488)) SerialCancelCurrentRead)) (?v_1486 (= k.251 3)) (?v_2925 (= (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.69 ?v_1488)) SerialCancelCurrentRead)) (?v_1487 (= k.251 4)) (?v_2926 (= (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.69 ?v_1488)) SerialCancelCurrentRead)) (?v_1546 (=> true (=> (= inline.SerialGetNextIrp.6.myNondetVar_0.3 inline.SerialGetNextIrp.6.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.7) (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= Mem_3_T.CancelRoutine__IRP.98 Mem_3_T.CancelRoutine__IRP.97) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2) (=> (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.4 inline.sdv_InterlockedDecrement.25.myNondetVar_0.3) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5) (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.4 inline.sdv_InterlockedDecrement.26.myNondetVar_0.3) (=> (= Mem_0_T.P_IRP.69 Mem_0_T.P_IRP.68) (=> (= cancelLockStatus_4.71 cancelLockStatus_4.70) (=> (= inline.IsListEmpty.7.myNondetVar_0.3 inline.IsListEmpty.7.myNondetVar_0.2) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1) (=> (= irpCompleted_3.41 irpCompleted_3.40) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..3) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.6 inline.SerialRundownIrpRefs.2.tempBoogie0.5) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.7 inline.SerialGetNextWrite.3.myNondetVar_1.6) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2) (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2) (=> (= inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1..1) (=> (= cancelLockStatus_0.71 cancelLockStatus_0.70) (=> (= inline.SerialCancelCurrentRead.0.myNondetVar_0.1 inline.SerialCancelCurrentRead.0.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..3) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0) (=> (= alloc.96 alloc.95) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialCancelCurrentRead.0..DeviceObject.1.747.19.SerialCancelCurrentRead1.0 hdevobj) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 SerialGetNextIrp) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4) (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..4) (=> (= inline.SerialGetNextIrp.7.myNondetVar_0.3 inline.SerialGetNextIrp.7.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7) (=> (= inline.RemoveHeadList.6.myNondetVar_0.5 inline.RemoveHeadList.6.myNondetVar_0.4) (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9) (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.6 inline.SerialRundownIrpRefs.2.myNondetVar_2.5) (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= irpCompleted_0.41 irpCompleted_0.40) (=> (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_2.0) (=> (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent.0 2) (=> (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialCancelTimer.6.myNondetVar_0.3 inline.SerialCancelTimer.6.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.12 inline.SerialRundownIrpRefs.2.myNondetVar_0.11) (=> (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1) (=> ?v_3016 (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_1.0) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= Mem_2_T.P_IRP.69 Mem_2_T.P_IRP.68) (=> (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..2) (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.7 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.6) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.7 inline.sdv_InterlockedDecrement.28.myNondetVar_0.6) (=> (= inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2..1) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.SerialSetTimer.6.myNondetVar_0.9 inline.SerialSetTimer.6.myNondetVar_0.8) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2) (=> (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.8 inline.SerialGetNextWrite.3.tempBoogie0.7) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= irpCompleted_2.41 irpCompleted_2.40) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= Mem_2_T.CancelRoutine__IRP.98 Mem_2_T.CancelRoutine__IRP.97) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= Mem_4_T.P_IRP.69 Mem_4_T.P_IRP.68) (=> (= cancelLockStatus_1.71 cancelLockStatus_1.70) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= cancelLockStatus_3.71 cancelLockStatus_3.70) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..3) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..2) (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 SerialGetNextIrp) (=> (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.2.myVar_0.11) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.6 inline.SerialGetNextWrite.3.myNondetVar_2.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.RemoveHeadList.7.myNondetVar_0.5 inline.RemoveHeadList.7.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.12 inline.SerialTryToCompleteCurrent.2.myVar_0.11) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.9 inline.SerialGetNextIrpLocked.6.myVar_0.8) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.10 inline.KeSynchronizeExecution.13.myNondetVar_0.9) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..0) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> ?v_3098 (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.2.myVar_0.11) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= irpCompleted_4.41 irpCompleted_4.40) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.22 inline.SerialGetNextWrite.3.myNondetVar_0.21) (=> (= Mem_1_T.CancelRoutine__IRP.98 Mem_1_T.CancelRoutine__IRP.97) (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1) (=> ?v_3121 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.5 inline.sdv_InterlockedDecrement.29.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.9 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.8) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.9 inline.SerialGetNextIrpLocked.7.myVar_0.8) (=> (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.6 inline.sdv_InterlockedIncrement.7.myNondetVar_0.5) (=> (= Mem_3_T.P_IRP.69 Mem_3_T.P_IRP.68) (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1) (=> (= irpCompleted_1.41 irpCompleted_1.40) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3) (=> (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 SerialGrabReadFromIsr) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..1) (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialGetNextWrite.3.havoc_stringTemp.2 inline.SerialGetNextWrite.3.havoc_stringTemp.1) (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.3 inline.sdv_InterlockedDecrement.30.myNondetVar_0.2) (=> (= k.331 k.330) (=> (= inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent.0 2) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.11 inline.KeSynchronizeExecution.14.myNondetVar_0.10) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..2) (=> (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialCancelCurrentRead.0..DeviceObject.1.747.19.SerialCancelCurrentRead.0 hdevobj) (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.2.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..2) (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.8 inline.KeSynchronizeExecution.12.myNondetVar_0.7) (=> (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialRundownIrpRefs.2.myVar_0.27 inline.SerialRundownIrpRefs.2.myVar_0.26) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 SerialGrabReadFromIsr) (=> (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..2) (=> (= Mem_4_T.CancelRoutine__IRP.98 Mem_4_T.CancelRoutine__IRP.97) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..3) (=> (= inline.IsListEmpty.8.myNondetVar_0.3 inline.IsListEmpty.8.myNondetVar_0.2) (=> ?v_3184 (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3) (=> (= inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3313.2.3..0) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.5 inline.sdv_InterlockedDecrement.27.myNondetVar_0.4) (=> (= Mem_0_T.CancelRoutine__IRP.98 Mem_0_T.CancelRoutine__IRP.97) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0) (=> ?v_3192 (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent.0 call88986formal.new.0) (=> (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0) (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.3.myVar_0.28 inline.SerialGetNextWrite.3.myVar_0.27) (=> (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1.0 2) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.6 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5) (=> (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5) (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= cancelLockStatus_2.71 cancelLockStatus_2.70) (=> (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialCancelTimer.7.myNondetVar_0.3 inline.SerialCancelTimer.7.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.6 inline.SerialRundownIrpRefs.2.myNondetVar_1.5) (=> (= Mem_1_T.P_IRP.69 Mem_1_T.P_IRP.68) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.2.myVar_0.5) (=> (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..3) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= errorReached.70 errorReached.69) (=> (= inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..2) ?v_3236))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2669 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1546))))))) (?v_2487 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2488 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2489 (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.7.havoc_stringTemp)) (?v_2490 (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.6.havoc_stringTemp)) (?v_2491 (= inline.SerialGetNextWrite.3.myNondetVar_2.5 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_2492 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_2493 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_2494 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2495 (= inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1.)) (?v_2496 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2497 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_2498 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2499 (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1.)) (?v_2500 (= inline.SerialGetNextWrite.3.myNondetVar_1.6 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_2501 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_2502 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_2503 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2504 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2505 (= inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1.)) (?v_2506 (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1.)) (?v_2507 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_2508 (= inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1.)) (?v_2509 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1)) (?v_2510 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2511 (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.)) (?v_2512 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2513 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2514 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_2515 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2516 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2517 (= inline.IsListEmpty.8.myNondetVar_0.2 inline.IsListEmpty.8.myNondetVar_0)) (?v_2518 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2519 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2520 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2.)) (?v_2521 (= inline.SerialGetNextIrp.7.myNondetVar_0.2 inline.SerialGetNextIrp.7.myNondetVar_0)) (?v_2522 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2523 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2524 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2525 (= inline.RemoveHeadList.6.myNondetVar_0.4 inline.RemoveHeadList.6.myNondetVar_0)) (?v_2526 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2527 (= inline.IsListEmpty.7.myNondetVar_0.2 inline.IsListEmpty.7.myNondetVar_0)) (?v_2528 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2529 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_2530 (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2531 (= inline.KeSynchronizeExecution.13.myNondetVar_0.9 inline.KeSynchronizeExecution.13.myNondetVar_0)) (?v_2532 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite)) (?v_2533 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_2534 (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1.)) (?v_2535 (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite)) (?v_2536 (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.)) (?v_2537 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2538 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2539 (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1.)) (?v_2540 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13.)) (?v_2541 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2542 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_2543 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2544 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2545 (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite)) (?v_2546 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2547 (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3.)) (?v_2548 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2549 (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite)) (?v_2550 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_2551 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2552 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_2553 (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.)) (?v_2554 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2555 (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.)) (?v_2556 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.6 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_2557 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2558 (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite)) (?v_2559 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2560 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2561 (= inline.SerialSetTimer.6.myNondetVar_0.8 inline.SerialSetTimer.6.myNondetVar_0)) (?v_2562 (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.)) (?v_2563 (= inline.SerialGetNextWrite.3.tempBoogie0.7 inline.SerialGetNextWrite.3.tempBoogie0)) (?v_2564 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_2565 (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2566 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2567 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_2568 (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.)) (?v_2569 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_2570 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2571 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2572 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2573 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_2574 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2575 (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2576 (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2.)) (?v_2577 (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2578 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3.)) (?v_2579 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_2580 (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3.)) (?v_2581 (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.)) (?v_2582 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.6)) (?v_2583 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2584 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2585 (= inline.RemoveHeadList.7.myNondetVar_0.4 inline.RemoveHeadList.7.myNondetVar_0)) (?v_2586 (= inline.SerialGetNextIrpLocked.6.myVar_0.8 inline.SerialGetNextIrpLocked.6.myVar_0)) (?v_2587 (= inline.SerialGetNextIrp.6.myNondetVar_0.2 inline.SerialGetNextIrp.6.myNondetVar_0)) (?v_2588 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2589 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2590 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2591 (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2592 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2593 (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2594 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2595 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_2596 (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2597 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2598 (= inline.SerialGetNextWrite.3.havoc_stringTemp.1 inline.SerialGetNextWrite.3.havoc_stringTemp)) (?v_2599 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2600 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2601 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2602 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_2603 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2604 (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_2605 (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2606 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite)) (?v_2607 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2608 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2609 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_2610 (= inline.SerialGetNextIrpLocked.7.myVar_0.8 inline.SerialGetNextIrpLocked.7.myVar_0)) (?v_2611 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.5 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_2612 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_2613 (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1.)) (?v_2614 (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList)) (?v_2615 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_2616 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_2617 (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList)) (?v_2618 (= inline.KeSynchronizeExecution.14.myNondetVar_0.10 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_2619 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2620 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2621 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_2622 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2623 (= inline.SerialGetNextWrite.3.myNondetVar_0.21 inline.SerialGetNextWrite.3.myNondetVar_0)) (?v_2624 (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2625 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2626 (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.)) (?v_2627 (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1.)) (?v_2628 (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1.)) (?v_2629 (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1.)) (?v_2630 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2631 (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1.)) (?v_2632 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2633 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2634 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_2635 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.4 inline.sdv_InterlockedDecrement.29.myNondetVar_0)) (?v_2636 (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1.)) (?v_2637 (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1.)) (?v_2638 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2639 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_2640 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2641 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.4 inline.sdv_InterlockedDecrement.27.myNondetVar_0)) (?v_2642 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2643 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2644 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2645 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2646 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2647 (= inline.SerialGetNextWrite.3.myVar_0.27 inline.SerialGetNextWrite.3.myVar_0)) (?v_2648 (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.)) (?v_2649 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_2650 (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2651 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2652 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_2653 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2654 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2655 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2656 (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2657 (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2658 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2659 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2660 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1.)) (?v_2661 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_2662 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_2663 (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2664 (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.)) (?v_2665 (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2.)) (?v_2666 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2667 (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2668 (= inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1.))) (let ((?v_2671 (=> true (=> ?v_2487 (=> (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> ?v_2488 (=> (= Mem_3_T.CancelRoutine__IRP.97 Mem_3_T.CancelRoutine__IRP.88) (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> (= Mem_0_T.P_IRP.68 Mem_0_T.P_IRP.63) (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5) (=> ?v_2497 (=> (= irpCompleted_3.40 irpCompleted_3.35) (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> (= alloc.95 alloc.90) (=> ?v_2514 (=> ?v_2515 (=> ?v_2516 (=> (= cancelLockStatus_0.70 cancelLockStatus_0.63) (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> (= irpCompleted_0.40 irpCompleted_0.35) (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> (= Mem_2_T.P_IRP.68 Mem_2_T.P_IRP.63) (=> ?v_2546 (=> (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..0) (=> ?v_2547 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5) (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> (= cancelLockStatus_1.70 cancelLockStatus_1.63) (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> (= irpCompleted_2.40 irpCompleted_2.35) (=> ?v_2567 (=> ?v_2568 (=> (= Mem_2_T.CancelRoutine__IRP.97 Mem_2_T.CancelRoutine__IRP.88) (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> (= Mem_4_T.P_IRP.68 Mem_4_T.P_IRP.63) (=> ?v_2573 (=> ?v_2574 (=> (= cancelLockStatus_4.70 cancelLockStatus_4.63) (=> ?v_2575 (=> (= cancelLockStatus_3.70 cancelLockStatus_3.63) (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> (= inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..0 call97130formal.ret.0) (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> (= irpCompleted_4.40 irpCompleted_4.35) (=> (= Mem_1_T.CancelRoutine__IRP.97 Mem_1_T.CancelRoutine__IRP.88) (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> (= Mem_3_T.P_IRP.68 Mem_3_T.P_IRP.63) (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0) (=> (= irpCompleted_1.40 irpCompleted_1.35) (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.2 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> (= k.330 k.312) (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> (= Mem_4_T.CancelRoutine__IRP.97 Mem_4_T.CancelRoutine__IRP.88) (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2641 (=> (= Mem_0_T.CancelRoutine__IRP.97 Mem_0_T.CancelRoutine__IRP.88) (=> ?v_2642 (=> (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0 call97208formal.new.0) (=> ?v_2643 (=> ?v_2644 (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0) (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5) (=> (= cancelLockStatus_2.70 cancelLockStatus_2.63) (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> (= Mem_1_T.P_IRP.68 Mem_1_T.P_IRP.63) (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> (= errorReached.69 errorReached.62) (=> ?v_2668 ?v_2669))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2670 (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.1 0))) (let ((?v_2708 (and (=> true (=> (not ?v_2670) (=> true (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2.) ?v_2671)))) (=> true (=> ?v_2670 (=> true (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0 call97559formal.ret.0) (=> true (=> true (=> true ?v_2671))))))))) (?v_2707 (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 hirp))) (let ((?v_2675 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.88 Mem_1_T.CancelRoutine__IRP.87) (=> (= irpCompleted_1.35 irpCompleted_1.34) (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0 call97241formal.ret.0) (=> (= Mem_2_T.CancelRoutine__IRP.88 Mem_2_T.CancelRoutine__IRP.87) (=> (= irpCompleted_2.35 irpCompleted_2.34) (=> (= Mem_4_T.CancelRoutine__IRP.88 Mem_4_T.CancelRoutine__IRP.87) (=> (= k.312 k.311) (=> (= irpCompleted_3.35 irpCompleted_3.34) (=> (= errorReached.62 errorReached.61) (=> (= Mem_0_T.CancelRoutine__IRP.88 Mem_0_T.CancelRoutine__IRP.87) (=> (= irpCompleted_0.35 irpCompleted_0.34) (=> (= irpCompleted_4.35 irpCompleted_4.34) (=> (= Mem_3_T.CancelRoutine__IRP.88 Mem_3_T.CancelRoutine__IRP.87) ?v_2708))))))))))))))) (?v_2672 (= irpCompleted_4.34 irpCompleted_4.30)) (?v_2673 (= irpCompleted_2.34 irpCompleted_2.30)) (?v_2674 (= irpCompleted_3.34 irpCompleted_3.30)) (?v_2677 (= irpCompleted_1.34 irpCompleted_1.30))) (let ((?v_2678 (=> (= irpCompleted_0.34 irpCompleted_0.30) (=> true ?v_2675)))) (let ((?v_2680 (=> ?v_2677 ?v_2678))) (let ((?v_2682 (=> ?v_2674 ?v_2680))) (let ((?v_2684 (=> ?v_2673 ?v_2682)) (?v_2683 (= k.311 4))) (let ((?v_2699 (not ?v_2683)) (?v_2681 (= k.311 3))) (let ((?v_2697 (not ?v_2681)) (?v_2679 (= k.311 2))) (let ((?v_2695 (not ?v_2679)) (?v_2676 (= k.311 1))) (let ((?v_2691 (not ?v_2676)) (?v_2486 (= k.311 0))) (let ((?v_2685 (not ?v_2486))) (let ((?v_2690 (and (=> true (=> ?v_2486 (=> true (=> ?v_2672 (=> ?v_2673 (=> ?v_2674 (=> ?v_2677 (=> (= irpCompleted_0.34 1) ?v_2675)))))))) (=> true (=> ?v_2685 (and (=> true (=> ?v_2676 (=> true (=> ?v_2672 (=> ?v_2673 (=> ?v_2674 (=> (= irpCompleted_1.34 1) ?v_2678))))))) (=> true (=> ?v_2691 (and (=> true (=> ?v_2679 (=> true (=> ?v_2672 (=> (= irpCompleted_2.34 1) ?v_2682))))) (=> true (=> ?v_2695 (and (=> true (=> ?v_2681 (=> true (=> ?v_2672 (=> ?v_2673 (=> (= irpCompleted_3.34 1) ?v_2680)))))) (=> true (=> ?v_2697 (and (=> true (=> ?v_2683 (=> true (=> (= irpCompleted_4.34 1) ?v_2684)))) (=> true (=> ?v_2699 (=> true (=> ?v_2672 ?v_2684))))))))))))))))))) (let ((?v_2698 (=> true (=> true ?v_2690))) (?v_2687 (= Mem_2_T.CancelRoutine__IRP.87 Mem_2_T.CancelRoutine__IRP.74)) (?v_2692 (= Mem_0_T.CancelRoutine__IRP.87 Mem_0_T.CancelRoutine__IRP.74)) (?v_2688 (= Mem_3_T.CancelRoutine__IRP.87 Mem_3_T.CancelRoutine__IRP.74)) (?v_2693 (= Mem_1_T.CancelRoutine__IRP.87 Mem_1_T.CancelRoutine__IRP.74)) (?v_2689 (= Mem_4_T.CancelRoutine__IRP.87 Mem_4_T.CancelRoutine__IRP.74))) (let ((?v_2694 (=> ?v_2689 ?v_2698))) (let ((?v_2696 (=> ?v_2693 ?v_2694))) (let ((?v_2700 (=> ?v_2692 (=> ?v_2688 ?v_2696))) (?v_2686 (int_2_U (CancelRoutine__IRP inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5)))) (let ((?v_2706 (=> true (=> (<= k.310 k.311) (=> (< k.311 5) (and (=> true (=> ?v_2486 (=> (= Mem_0_T.CancelRoutine__IRP.86 (MapType0Store Mem_0_T.CancelRoutine__IRP.74 ?v_2686 ?v_46)) (=> true (=> ?v_2687 (=> (= Mem_0_T.CancelRoutine__IRP.87 Mem_0_T.CancelRoutine__IRP.86) (=> ?v_2688 (=> ?v_2693 (=> ?v_2689 ?v_2690))))))))) (=> true (=> ?v_2685 (and (=> true (=> ?v_2676 (=> (= Mem_1_T.CancelRoutine__IRP.86 (MapType0Store Mem_1_T.CancelRoutine__IRP.74 ?v_2686 ?v_46)) (=> true (=> ?v_2687 (=> ?v_2692 (=> ?v_2688 (=> (= Mem_1_T.CancelRoutine__IRP.87 Mem_1_T.CancelRoutine__IRP.86) ?v_2694)))))))) (=> true (=> ?v_2691 (and (=> true (=> ?v_2679 (=> (= Mem_2_T.CancelRoutine__IRP.86 (MapType0Store Mem_2_T.CancelRoutine__IRP.74 ?v_2686 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.87 Mem_2_T.CancelRoutine__IRP.86) ?v_2700))))) (=> true (=> ?v_2695 (and (=> true (=> ?v_2681 (=> (= Mem_3_T.CancelRoutine__IRP.86 (MapType0Store Mem_3_T.CancelRoutine__IRP.74 ?v_2686 ?v_46)) (=> true (=> ?v_2687 (=> ?v_2692 (=> (= Mem_3_T.CancelRoutine__IRP.87 Mem_3_T.CancelRoutine__IRP.86) ?v_2696))))))) (=> true (=> ?v_2697 (and (=> true (=> ?v_2683 (=> (= Mem_4_T.CancelRoutine__IRP.86 (MapType0Store Mem_4_T.CancelRoutine__IRP.74 ?v_2686 ?v_46)) (=> true (=> ?v_2687 (=> ?v_2692 (=> ?v_2688 (=> ?v_2693 (=> (= Mem_4_T.CancelRoutine__IRP.87 Mem_4_T.CancelRoutine__IRP.86) ?v_2698))))))))) (=> true (=> ?v_2699 (=> true (=> ?v_2687 ?v_2700))))))))))))))))))))) (?v_2701 (= k.310 0)) (?v_1659 (= irpCompleted_0.30 0)) (?v_2702 (= k.310 1)) (?v_1661 (= irpCompleted_1.30 0)) (?v_2703 (= k.310 2)) (?v_1663 (= irpCompleted_2.30 0)) (?v_2704 (= k.310 3)) (?v_1665 (= irpCompleted_3.30 0)) (?v_2705 (= k.310 4)) (?v_1667 (= irpCompleted_4.30 0))) (let ((?v_1526 (not ?v_1659)) (?v_1527 (not ?v_1661)) (?v_1528 (not ?v_1663)) (?v_1529 (not ?v_1665)) (?v_1530 (not ?v_1667)) (?v_2485 (int_2_U call97208formal.new.0))) (let ((?v_2713 (=> true (and ?v_11 (=> ?v_11 (=> (> call97208formal.new.0 0) (=> (forall ((?x1577 Int)) (! (=> (and (<= call97208formal.new.0 ?x1577) (< ?x1577 (+ call97208formal.new.0 1))) (= (Base ?x1577) call97208formal.new.0)) :pattern ((Base ?x1577)) )) (=> (forall ((?x1578 boogieU)) (! (=> (= (type ?x1578) intType) (or (= (U_2_int ?x1578) call97208formal.new.0) (= (MapType0Select alloc.77 ?x1578) (MapType0Select alloc.90 ?x1578)))) :pattern ((MapType0Select alloc.90 ?x1578)) )) (=> (and (= (MapType0Select alloc.77 ?v_2485) UNALLOCATED) (= (MapType0Select alloc.90 ?v_2485) ALLOCATED)) (and (=> true (=> ?v_2707 (=> true (=> (<= k.309 k.310) (=> (< k.310 5) (and (=> true (=> (=> ?v_2701 ?v_1526) (=> (=> ?v_2702 ?v_1527) (=> (=> ?v_2703 ?v_1528) (=> (=> ?v_2704 ?v_1529) (=> (=> ?v_2705 ?v_1530) (=> true (=> (= errorReached.61 1) ?v_2706)))))))) (=> true (=> (=> ?v_2701 ?v_1659) (=> (=> ?v_2702 ?v_1661) (=> (=> ?v_2703 ?v_1663) (=> (=> ?v_2704 ?v_1665) (=> (=> ?v_2705 ?v_1667) (=> true (=> (= errorReached.61 errorReached.52) ?v_2706)))))))))))))) (=> true (=> (not ?v_2707) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.88 Mem_1_T.CancelRoutine__IRP.74) (=> (= irpCompleted_1.35 irpCompleted_1.30) (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1.) (=> (= Mem_2_T.CancelRoutine__IRP.88 Mem_2_T.CancelRoutine__IRP.74) (=> (= irpCompleted_2.35 irpCompleted_2.30) (=> (= Mem_4_T.CancelRoutine__IRP.88 Mem_4_T.CancelRoutine__IRP.74) (=> (= k.312 k.309) (=> (= irpCompleted_3.35 irpCompleted_3.30) (=> (= errorReached.62 errorReached.52) (=> (= Mem_0_T.CancelRoutine__IRP.88 Mem_0_T.CancelRoutine__IRP.74) (=> (= irpCompleted_0.35 irpCompleted_0.30) (=> (= irpCompleted_4.35 irpCompleted_4.30) (=> (= Mem_3_T.CancelRoutine__IRP.88 Mem_3_T.CancelRoutine__IRP.74) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2708))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2719 (=> true (=> true (=> true (=> true ?v_2713))))) (?v_2715 (= cancelLockStatus_1.63 cancelLockStatus_1.53)) (?v_2716 (= cancelLockStatus_0.63 cancelLockStatus_0.53)) (?v_2710 (= cancelLockStatus_2.63 cancelLockStatus_2.53)) (?v_2711 (= cancelLockStatus_4.63 cancelLockStatus_4.53)) (?v_2712 (= cancelLockStatus_3.63 cancelLockStatus_3.53))) (let ((?v_2721 (=> ?v_2712 ?v_2719))) (let ((?v_2717 (=> ?v_2711 ?v_2721))) (let ((?v_2723 (=> ?v_2716 (=> ?v_2710 ?v_2717))) (?v_2722 (= k.309 4)) (?v_2720 (= k.309 3)) (?v_2718 (= k.309 2)) (?v_2714 (= k.309 1)) (?v_2709 (= k.309 0))) (let ((?v_2729 (=> true (=> (<= k.308 k.309) (=> (< k.309 5) (and (=> true (=> ?v_2709 (=> true (=> ?v_2715 (=> (= cancelLockStatus_0.63 0) (=> ?v_2710 (=> ?v_2711 (=> ?v_2712 ?v_2713)))))))) (=> true (=> (not ?v_2709) (and (=> true (=> ?v_2714 (=> true (=> (= cancelLockStatus_1.63 0) ?v_2723)))) (=> true (=> (not ?v_2714) (and (=> true (=> ?v_2718 (=> true (=> ?v_2715 (=> ?v_2716 (=> (= cancelLockStatus_2.63 0) ?v_2717)))))) (=> true (=> (not ?v_2718) (and (=> true (=> ?v_2720 (=> true (=> ?v_2715 (=> ?v_2716 (=> ?v_2710 (=> ?v_2711 (=> (= cancelLockStatus_3.63 0) ?v_2719)))))))) (=> true (=> (not ?v_2720) (and (=> true (=> ?v_2722 (=> true (=> ?v_2715 (=> ?v_2716 (=> ?v_2710 (=> (= cancelLockStatus_4.63 0) ?v_2721))))))) (=> true (=> (not ?v_2722) (=> true (=> ?v_2715 ?v_2723)))))))))))))))))))))) (let ((?v_2740 (=> true (=> true (=> true (=> true ?v_2729))))) (?v_2726 (= Mem_3_T.P_IRP.63 Mem_3_T.P_IRP.46)) (?v_2732 (= Mem_1_T.P_IRP.63 Mem_1_T.P_IRP.46)) (?v_2733 (= Mem_0_T.P_IRP.63 Mem_0_T.P_IRP.46)) (?v_2727 (= Mem_2_T.P_IRP.63 Mem_2_T.P_IRP.46)) (?v_2728 (= Mem_4_T.P_IRP.63 Mem_4_T.P_IRP.46))) (let ((?v_2734 (=> ?v_2728 ?v_2740))) (let ((?v_2737 (=> ?v_2733 (=> ?v_2727 ?v_2734)))) (let ((?v_2742 (=> ?v_2732 ?v_2737)) (?v_2741 (= k.308 4)) (?v_1494 (int_2_U inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0))) (let ((?v_2739 (MapType0Store Mem_4_T.P_IRP.46 ?v_1494 ?v_46)) (?v_2738 (= k.308 3)) (?v_2736 (MapType0Store Mem_3_T.P_IRP.46 ?v_1494 ?v_46)) (?v_2735 (= k.308 2)) (?v_2731 (MapType0Store Mem_2_T.P_IRP.46 ?v_1494 ?v_46)) (?v_2730 (= k.308 1)) (?v_2725 (MapType0Store Mem_1_T.P_IRP.46 ?v_1494 ?v_46)) (?v_2724 (= k.308 0)) (?v_2484 (MapType0Store Mem_0_T.P_IRP.46 ?v_1494 ?v_46))) (let ((?v_2744 (=> true (=> (<= k.268 k.308) (=> (< k.308 5) (and (=> true (=> ?v_2724 (=> (= Mem_0_T.P_IRP.62 ?v_2484) (=> true (=> ?v_2726 (=> ?v_2732 (=> (= Mem_0_T.P_IRP.63 Mem_0_T.P_IRP.62) (=> ?v_2727 (=> ?v_2728 ?v_2729))))))))) (=> true (=> (not ?v_2724) (and (=> true (=> ?v_2730 (=> (= Mem_1_T.P_IRP.62 ?v_2725) (=> true (=> ?v_2726 (=> (= Mem_1_T.P_IRP.63 Mem_1_T.P_IRP.62) ?v_2737)))))) (=> true (=> (not ?v_2730) (and (=> true (=> ?v_2735 (=> (= Mem_2_T.P_IRP.62 ?v_2731) (=> true (=> ?v_2726 (=> ?v_2732 (=> ?v_2733 (=> (= Mem_2_T.P_IRP.63 Mem_2_T.P_IRP.62) ?v_2734)))))))) (=> true (=> (not ?v_2735) (and (=> true (=> ?v_2738 (=> (= Mem_3_T.P_IRP.62 ?v_2736) (=> true (=> (= Mem_3_T.P_IRP.63 Mem_3_T.P_IRP.62) ?v_2742))))) (=> true (=> (not ?v_2738) (and (=> true (=> ?v_2741 (=> (= Mem_4_T.P_IRP.62 ?v_2739) (=> true (=> ?v_2726 (=> ?v_2732 (=> ?v_2733 (=> ?v_2727 (=> (= Mem_4_T.P_IRP.63 Mem_4_T.P_IRP.62) ?v_2740))))))))) (=> true (=> (not ?v_2741) (=> true (=> ?v_2726 ?v_2742)))))))))))))))))))))) (let ((?v_2746 (=> true ?v_2744)) (?v_2749 (= k.268 4)) (?v_1834 (U_2_int (MapType0Select Mem_4_T.P_IRP.46 ?v_1494))) (?v_2748 (= k.268 3)) (?v_1832 (U_2_int (MapType0Select Mem_3_T.P_IRP.46 ?v_1494))) (?v_2747 (= k.268 2)) (?v_1829 (U_2_int (MapType0Select Mem_2_T.P_IRP.46 ?v_1494))) (?v_2745 (= k.268 1)) (?v_1826 (U_2_int (MapType0Select Mem_1_T.P_IRP.46 ?v_1494))) (?v_2743 (= k.268 0)) (?v_1493 (U_2_int (MapType0Select Mem_0_T.P_IRP.46 ?v_1494))) (?v_1534 (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1535 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1536 (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4.)) (?v_1537 (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_1538 (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1539 (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1540 (= inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1.)) (?v_1541 (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1.)) (?v_1542 (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.2 inline.sdv_InterlockedDecrement.30.myNondetVar_0)) (?v_1543 (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0 inline.SerialTryToCompleteCurrent.2.havoc_stringTemp)) (?v_1544 (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2.)) (?v_1545 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1))) (let ((?v_1557 (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> ?v_1534 (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= Mem_3_T.CancelRoutine__IRP.97 Mem_3_T.CancelRoutine__IRP.96) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.5 inline.SerialGetNextWrite.3.myNondetVar_2.4) (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= Mem_0_T.P_IRP.68 Mem_0_T.P_IRP.67) (=> ?v_1535 (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0) (=> (= irpCompleted_3.40 irpCompleted_3.39) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..2) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.6 inline.SerialGetNextWrite.3.myNondetVar_1.5) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_2505 (=> (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= alloc.95 alloc.94) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= cancelLockStatus_0.70 cancelLockStatus_0.69) (=> (= inline.IsListEmpty.8.myNondetVar_0.2 inline.IsListEmpty.8.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..3) (=> (= inline.SerialGetNextIrp.7.myNondetVar_0.2 inline.SerialGetNextIrp.7.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.RemoveHeadList.6.myNondetVar_0.4 inline.RemoveHeadList.6.myNondetVar_0.3) (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.IsListEmpty.7.myNondetVar_0.2 inline.IsListEmpty.7.myNondetVar_0.1) (=> (= irpCompleted_0.40 irpCompleted_0.39) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.9 inline.KeSynchronizeExecution.13.myNondetVar_0.8) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0) (=> (= Mem_2_T.P_IRP.68 Mem_2_T.P_IRP.67) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> ?v_1536 (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..1) (=> ?v_1537 (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.6 inline.sdv_InterlockedDecrement.28.myNondetVar_0.5) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.SerialSetTimer.6.myNondetVar_0.8 inline.SerialSetTimer.6.myNondetVar_0.7) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1) (=> (= cancelLockStatus_1.70 cancelLockStatus_1.69) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.7 inline.SerialGetNextWrite.3.tempBoogie0.6) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= irpCompleted_2.40 irpCompleted_2.39) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1) (=> (= Mem_2_T.CancelRoutine__IRP.97 Mem_2_T.CancelRoutine__IRP.96) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= Mem_4_T.P_IRP.68 Mem_4_T.P_IRP.67) (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= cancelLockStatus_4.70 cancelLockStatus_4.69) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= cancelLockStatus_3.70 cancelLockStatus_3.69) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..2) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..2) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..1) (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2) (=> ?v_2582 (=> ?v_1538 (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.RemoveHeadList.7.myNondetVar_0.4 inline.RemoveHeadList.7.myNondetVar_0.3) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.8 inline.SerialGetNextIrpLocked.6.myVar_0.7) (=> (= inline.SerialGetNextIrp.6.myNondetVar_0.2 inline.SerialGetNextIrp.6.myNondetVar_0.1) (=> ?v_1539 (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> ?v_1540 (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextWrite.3.havoc_stringTemp.1 inline.SerialGetNextWrite.3.havoc_stringTemp.0) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> (= irpCompleted_4.40 irpCompleted_4.39) (=> (= Mem_1_T.CancelRoutine__IRP.97 Mem_1_T.CancelRoutine__IRP.96) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.7) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.8 inline.SerialGetNextIrpLocked.7.myVar_0.7) (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.5 inline.sdv_InterlockedIncrement.7.myNondetVar_0.4) (=> (= Mem_3_T.P_IRP.68 Mem_3_T.P_IRP.67) (=> ?v_1541 (=> (= irpCompleted_1.40 irpCompleted_1.39) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..0) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1) (=> ?v_1542 (=> (= k.330 k.329) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.10 inline.KeSynchronizeExecution.14.myNondetVar_0.9) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.21 inline.SerialGetNextWrite.3.myNondetVar_0.20) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0 call91031formal.ret.0) (=> (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.4 inline.sdv_InterlockedDecrement.29.myNondetVar_0.3) (=> (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..1) (=> (= Mem_4_T.CancelRoutine__IRP.97 Mem_4_T.CancelRoutine__IRP.96) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..2) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.4 inline.sdv_InterlockedDecrement.27.myNondetVar_0.3) (=> (= Mem_0_T.CancelRoutine__IRP.97 Mem_0_T.CancelRoutine__IRP.96) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> ?v_1543 (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_1544 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.3.myVar_0.27 inline.SerialGetNextWrite.3.myVar_0.26) (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1) (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1) (=> ?v_1545 (=> (= cancelLockStatus_2.70 cancelLockStatus_2.69) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= Mem_1_T.P_IRP.68 Mem_1_T.P_IRP.67) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..2) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= errorReached.69 errorReached.68) (=> (= inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..1) ?v_2669))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1547 (= k.329 0)) (?v_1490 (int_2_U call88986formal.new.0))) (let ((?v_1548 (= (U_2_int (MapType0Select Mem_0_T.P_IRP.67 ?v_1490)) 0)) (?v_1549 (= k.329 1)) (?v_1550 (= (U_2_int (MapType0Select Mem_1_T.P_IRP.67 ?v_1490)) 0)) (?v_1551 (= k.329 2)) (?v_1552 (= (U_2_int (MapType0Select Mem_2_T.P_IRP.67 ?v_1490)) 0)) (?v_1553 (= k.329 3)) (?v_1554 (= (U_2_int (MapType0Select Mem_3_T.P_IRP.67 ?v_1490)) 0)) (?v_1555 (= k.329 4)) (?v_1556 (= (U_2_int (MapType0Select Mem_4_T.P_IRP.67 ?v_1490)) 0))) (let ((?v_2121 (and (=> true (=> (=> ?v_1547 (not ?v_1548)) (=> (=> ?v_1549 (not ?v_1550)) (=> (=> ?v_1551 (not ?v_1552)) (=> (=> ?v_1553 (not ?v_1554)) (=> (=> ?v_1555 (not ?v_1556)) (=> true (=> ?v_40 ?v_1557)))))))) (=> true (=> (=> ?v_1547 ?v_1548) (=> (=> ?v_1549 ?v_1550) (=> (=> ?v_1551 ?v_1552) (=> (=> ?v_1553 ?v_1554) (=> (=> ?v_1555 ?v_1556) ?v_1557)))))))) (?v_2294 (= inline.SerialGetNextIrp.6.myNondetVar_0.1 inline.SerialGetNextIrp.6.myNondetVar_0)) (?v_2295 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2296 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2297 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2298 (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.7.havoc_stringTemp)) (?v_2299 (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.6.havoc_stringTemp)) (?v_2300 (= inline.SerialGetNextWrite.3.myNondetVar_2.4 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_2301 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_2302 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_2303 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2304 (= inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1.)) (?v_2305 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2306 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_2307 (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1.)) (?v_2308 (= inline.SerialGetNextWrite.3.myNondetVar_1.5 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_2309 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_2310 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_2311 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2312 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2313 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_2314 (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1.)) (?v_2315 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_2316 (= inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1.)) (?v_2317 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1)) (?v_2318 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2319 (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.)) (?v_2320 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2321 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_2322 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2323 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2324 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2325 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2326 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_2327 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2.)) (?v_2328 (= inline.SerialGetNextIrp.7.myNondetVar_0.1 inline.SerialGetNextIrp.7.myNondetVar_0)) (?v_2329 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2330 (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2331 (= inline.RemoveHeadList.6.myNondetVar_0.3 inline.RemoveHeadList.6.myNondetVar_0)) (?v_2332 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2333 (= inline.IsListEmpty.7.myNondetVar_0.1 inline.IsListEmpty.7.myNondetVar_0)) (?v_2334 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2335 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_2336 (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2337 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite)) (?v_2338 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_2339 (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1.)) (?v_2340 (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite)) (?v_2341 (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.)) (?v_2342 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2343 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2344 (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1.)) (?v_2345 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13.)) (?v_2346 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2347 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_2348 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2349 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2350 (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite)) (?v_2351 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2352 (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3.)) (?v_2353 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2354 (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite)) (?v_2355 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_2356 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2357 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_2358 (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.)) (?v_2359 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2360 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_2361 (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.)) (?v_2362 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.5 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_2363 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2364 (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite)) (?v_2365 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2366 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2367 (= inline.SerialSetTimer.6.myNondetVar_0.7 inline.SerialSetTimer.6.myNondetVar_0)) (?v_2368 (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.)) (?v_2369 (= inline.SerialGetNextWrite.3.tempBoogie0.6 inline.SerialGetNextWrite.3.tempBoogie0)) (?v_2370 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_2371 (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2372 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2373 (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.)) (?v_2374 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_2375 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2376 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_2377 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2378 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2379 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2380 (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2.)) (?v_2381 (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2382 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3.)) (?v_2383 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_2384 (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3.)) (?v_2385 (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.)) (?v_2386 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite)) (?v_2387 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2388 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2389 (= inline.RemoveHeadList.7.myNondetVar_0.3 inline.RemoveHeadList.7.myNondetVar_0)) (?v_2390 (= inline.SerialGetNextIrpLocked.6.myVar_0.7 inline.SerialGetNextIrpLocked.6.myVar_0)) (?v_2391 (= inline.KeSynchronizeExecution.13.myNondetVar_0.8 inline.KeSynchronizeExecution.13.myNondetVar_0)) (?v_2392 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2393 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2394 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2395 (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2396 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2397 (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2398 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2399 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_2400 (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2401 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2402 (= inline.SerialGetNextWrite.3.havoc_stringTemp.0 inline.SerialGetNextWrite.3.havoc_stringTemp)) (?v_2403 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2404 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2405 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2406 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2407 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2408 (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_2409 (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2410 (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.)) (?v_2411 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2412 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2413 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2414 (= inline.SerialGetNextIrpLocked.7.myVar_0.7 inline.SerialGetNextIrpLocked.7.myVar_0)) (?v_2415 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.4 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_2416 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_2417 (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1.)) (?v_2418 (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList)) (?v_2419 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_2420 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2421 (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList)) (?v_2422 (= inline.KeSynchronizeExecution.14.myNondetVar_0.9 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_2423 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2424 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_2425 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2426 (= inline.SerialGetNextWrite.3.myNondetVar_0.20 inline.SerialGetNextWrite.3.myNondetVar_0)) (?v_2427 (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2428 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2429 (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.)) (?v_2430 (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1.)) (?v_2431 (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1.)) (?v_2432 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2433 (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1.)) (?v_2434 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2435 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2436 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_2437 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.3 inline.sdv_InterlockedDecrement.29.myNondetVar_0)) (?v_2438 (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1.)) (?v_2439 (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1.)) (?v_2440 (= inline.IsListEmpty.8.myNondetVar_0.1 inline.IsListEmpty.8.myNondetVar_0)) (?v_2441 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_2442 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2443 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.3 inline.sdv_InterlockedDecrement.27.myNondetVar_0)) (?v_2444 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2445 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_2446 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2447 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2448 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2449 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2450 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2451 (= inline.SerialGetNextWrite.3.myVar_0.26 inline.SerialGetNextWrite.3.myVar_0)) (?v_2452 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_2453 (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2454 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2455 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2456 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_2457 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2458 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2459 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2460 (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2461 (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2462 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2463 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2464 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1.)) (?v_2465 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_2466 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_2467 (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp))) (let ((?v_2468 (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2.) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp) (=> (= inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1.) (=> true ?v_2121)))))))) (let ((?v_2162 (=> true (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= Mem_3_T.CancelRoutine__IRP.96 Mem_3_T.CancelRoutine__IRP.84) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0) (=> ?v_2299 (=> ?v_2300 (=> ?v_2301 (=> ?v_2302 (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_2304 (=> ?v_2305 (=> (= cancelLockStatus_4.69 cancelLockStatus_4.58) (=> ?v_2306 (=> (= irpCompleted_3.39 irpCompleted_3.33) (=> ?v_2307 (=> ?v_2308 (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_2310 (=> ?v_2311 (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> ?v_2315 (=> (= inline.sdv_IoReleaseCancelSpinLock.39..result.userContextSwitch.3151.2.1..0 call95886formal.ret.0) (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= alloc.94 alloc.87) (=> ?v_2321 (=> ?v_2322 (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= cancelLockStatus_0.69 cancelLockStatus_0.58) (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> (= inline.SerialGetNextIrp.7.myNondetVar_0.1 inline.SerialGetNextIrp.7.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_2330 (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> (= irpCompleted_0.39 irpCompleted_0.33) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> ?v_2335 (=> ?v_2336 (=> ?v_2337 (=> ?v_2338 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> ?v_2342 (=> ?v_2343 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> ?v_2350 (=> (= Mem_2_T.P_IRP.67 Mem_2_T.P_IRP.56) (=> ?v_2351 (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..0) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call88986formal.new.0) (=> ?v_2354 (=> ?v_2355 (=> ?v_2356 (=> ?v_2357 (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1) (=> ?v_2359 (=> ?v_2360 (=> ?v_2361 (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> ?v_2365 (=> ?v_2366 (=> ?v_2367 (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0) (=> ?v_2369 (=> ?v_2370 (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> ?v_2372 (=> (= irpCompleted_2.39 irpCompleted_2.33) (=> ?v_2373 (=> (= Mem_2_T.CancelRoutine__IRP.96 Mem_2_T.CancelRoutine__IRP.84) (=> ?v_2374 (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_2376 (=> ?v_2377 (=> ?v_2378 (=> (= Mem_4_T.P_IRP.67 Mem_4_T.P_IRP.56) (=> (= cancelLockStatus_1.69 cancelLockStatus_1.58) (=> ?v_2379 (=> (= cancelLockStatus_3.69 cancelLockStatus_3.58) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..1) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> ?v_2382 (=> ?v_2383 (=> ?v_2384 (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1) (=> ?v_2386 (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_2388 (=> (= inline.RemoveHeadList.7.myNondetVar_0.3 inline.RemoveHeadList.7.myNondetVar_0.2) (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2393 (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_2395 (=> ?v_2396 (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0 call88986formal.new.0) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_2401 (=> ?v_2402 (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> ?v_2404 (=> ?v_2405 (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> (= errorReached.68 errorReached.59) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call88986formal.new.0) (=> ?v_2408 (=> ?v_2409 (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= irpCompleted_4.39 irpCompleted_4.33) (=> (= Mem_1_T.CancelRoutine__IRP.96 Mem_1_T.CancelRoutine__IRP.84) (=> ?v_2412 (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.7 inline.SerialGetNextIrpLocked.7.myVar_0.6) (=> ?v_2415 (=> (= Mem_3_T.P_IRP.67 Mem_3_T.P_IRP.56) (=> (= irpCompleted_1.39 irpCompleted_1.33) (=> ?v_2416 (=> (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..0 call95406formal.ret.0) (=> ?v_2418 (=> ?v_2419 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0) (=> (= k.329 k.300) (=> ?v_2422 (=> ?v_2423 (=> ?v_2424 (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) (=> ?v_2426 (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= Mem_0_T.P_IRP.67 Mem_0_T.P_IRP.56) (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0) (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.3 inline.sdv_InterlockedDecrement.29.myNondetVar_0.2) (=> ?v_2438 (=> (= Mem_4_T.CancelRoutine__IRP.96 Mem_4_T.CancelRoutine__IRP.84) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..1) (=> (= inline.IsListEmpty.8.myNondetVar_0.1 inline.IsListEmpty.8.myNondetVar_0.0) (=> ?v_2441 (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_2443 (=> (= Mem_0_T.CancelRoutine__IRP.96 Mem_0_T.CancelRoutine__IRP.84) (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> (= cancelLockStatus_2.69 cancelLockStatus_2.58) (=> ?v_2455 (=> ?v_2456 (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0 call88986formal.new.0) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= Mem_1_T.P_IRP.67 Mem_1_T.P_IRP.56) (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_2463 (=> ?v_2464 (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0) (=> ?v_2466 (=> (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0 call95375formal.new.0) ?v_2468)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2163 (=> true (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.) (=> (= Mem_4_T.CancelRoutine__IRP.84 Mem_4_T.CancelRoutine__IRP.80) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= errorReached.59 errorReached.56) (=> (= irpCompleted_2.33 irpCompleted_2.30) (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.7.havoc_stringTemp) (=> (= irpCompleted_0.33 irpCompleted_0.30) (=> (= k.300 k.296) (=> (= irpCompleted_4.33 irpCompleted_4.30) (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.2 inline.sdv_InterlockedDecrement.29.myNondetVar_0) (=> (= irpCompleted_3.33 irpCompleted_3.30) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= alloc.87 alloc.82) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1.) (=> (= Mem_3_T.CancelRoutine__IRP.84 Mem_3_T.CancelRoutine__IRP.80) (=> (= irpCompleted_1.33 irpCompleted_1.30) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= Mem_2_T.CancelRoutine__IRP.84 Mem_2_T.CancelRoutine__IRP.80) (=> (= Mem_1_T.CancelRoutine__IRP.84 Mem_1_T.CancelRoutine__IRP.80) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= Mem_0_T.CancelRoutine__IRP.84 Mem_0_T.CancelRoutine__IRP.80) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2162))))))))))))))))))))))))))))))) (?v_2161 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 0)) (?v_2123 (=> true (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0) (=> (= Mem_4_T.CancelRoutine__IRP.84 Mem_4_T.CancelRoutine__IRP.83) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= errorReached.59 errorReached.58) (=> (= irpCompleted_2.33 irpCompleted_2.32) (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..0) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0 call95986formal.new.0) (=> (= irpCompleted_0.33 irpCompleted_0.32) (=> (= k.300 k.299) (=> (= irpCompleted_4.33 irpCompleted_4.32) (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.2 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) (=> (= irpCompleted_3.33 irpCompleted_3.32) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) (=> (= alloc.87 alloc.86) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..0) (=> (= Mem_3_T.CancelRoutine__IRP.84 Mem_3_T.CancelRoutine__IRP.83) (=> (= irpCompleted_1.33 irpCompleted_1.32) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= Mem_2_T.CancelRoutine__IRP.84 Mem_2_T.CancelRoutine__IRP.83) (=> (= Mem_1_T.CancelRoutine__IRP.84 Mem_1_T.CancelRoutine__IRP.83) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) (=> (= Mem_0_T.CancelRoutine__IRP.84 Mem_0_T.CancelRoutine__IRP.83) ?v_2162))))))))))))))))))))))))) (?v_2122 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.1 0))) (let ((?v_2160 (and (=> true (=> (not ?v_2122) (=> true (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.) ?v_2123)))) (=> true (=> ?v_2122 (=> true (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0 call96337formal.ret.0) (=> true (=> true (=> true ?v_2123))))))))) (?v_2159 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 hirp))) (let ((?v_2127 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.83 Mem_1_T.CancelRoutine__IRP.82) (=> (= irpCompleted_1.32 irpCompleted_1.31) (=> (= Mem_2_T.CancelRoutine__IRP.83 Mem_2_T.CancelRoutine__IRP.82) (=> (= irpCompleted_2.32 irpCompleted_2.31) (=> (= Mem_4_T.CancelRoutine__IRP.83 Mem_4_T.CancelRoutine__IRP.82) (=> (= k.299 k.298) (=> (= irpCompleted_3.32 irpCompleted_3.31) (=> (= errorReached.58 errorReached.57) (=> (= Mem_0_T.CancelRoutine__IRP.83 Mem_0_T.CancelRoutine__IRP.82) (=> (= irpCompleted_0.32 irpCompleted_0.31) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..0 call96019formal.ret.0) (=> (= irpCompleted_4.32 irpCompleted_4.31) (=> (= Mem_3_T.CancelRoutine__IRP.83 Mem_3_T.CancelRoutine__IRP.82) ?v_2160))))))))))))))) (?v_2124 (= irpCompleted_4.31 irpCompleted_4.30)) (?v_2125 (= irpCompleted_2.31 irpCompleted_2.30)) (?v_2126 (= irpCompleted_3.31 irpCompleted_3.30)) (?v_2129 (= irpCompleted_1.31 irpCompleted_1.30))) (let ((?v_2130 (=> (= irpCompleted_0.31 irpCompleted_0.30) (=> true ?v_2127)))) (let ((?v_2132 (=> ?v_2129 ?v_2130))) (let ((?v_2134 (=> ?v_2126 ?v_2132))) (let ((?v_2136 (=> ?v_2125 ?v_2134)) (?v_2135 (= k.298 4))) (let ((?v_2151 (not ?v_2135)) (?v_2133 (= k.298 3))) (let ((?v_2149 (not ?v_2133)) (?v_2131 (= k.298 2))) (let ((?v_2147 (not ?v_2131)) (?v_2128 (= k.298 1))) (let ((?v_2143 (not ?v_2128)) (?v_2120 (= k.298 0))) (let ((?v_2137 (not ?v_2120))) (let ((?v_2142 (and (=> true (=> ?v_2120 (=> true (=> ?v_2124 (=> ?v_2125 (=> ?v_2126 (=> ?v_2129 (=> (= irpCompleted_0.31 1) ?v_2127)))))))) (=> true (=> ?v_2137 (and (=> true (=> ?v_2128 (=> true (=> ?v_2124 (=> ?v_2125 (=> ?v_2126 (=> (= irpCompleted_1.31 1) ?v_2130))))))) (=> true (=> ?v_2143 (and (=> true (=> ?v_2131 (=> true (=> ?v_2124 (=> (= irpCompleted_2.31 1) ?v_2134))))) (=> true (=> ?v_2147 (and (=> true (=> ?v_2133 (=> true (=> ?v_2124 (=> ?v_2125 (=> (= irpCompleted_3.31 1) ?v_2132)))))) (=> true (=> ?v_2149 (and (=> true (=> ?v_2135 (=> true (=> (= irpCompleted_4.31 1) ?v_2136)))) (=> true (=> ?v_2151 (=> true (=> ?v_2124 ?v_2136))))))))))))))))))) (let ((?v_2150 (=> true (=> true ?v_2142))) (?v_2139 (= Mem_2_T.CancelRoutine__IRP.82 Mem_2_T.CancelRoutine__IRP.80)) (?v_2144 (= Mem_0_T.CancelRoutine__IRP.82 Mem_0_T.CancelRoutine__IRP.80)) (?v_2140 (= Mem_3_T.CancelRoutine__IRP.82 Mem_3_T.CancelRoutine__IRP.80)) (?v_2145 (= Mem_1_T.CancelRoutine__IRP.82 Mem_1_T.CancelRoutine__IRP.80)) (?v_2141 (= Mem_4_T.CancelRoutine__IRP.82 Mem_4_T.CancelRoutine__IRP.80))) (let ((?v_2146 (=> ?v_2141 ?v_2150))) (let ((?v_2148 (=> ?v_2145 ?v_2146))) (let ((?v_2152 (=> ?v_2144 (=> ?v_2140 ?v_2148))) (?v_2138 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5)))) (let ((?v_2158 (=> true (=> (<= k.297 k.298) (=> (< k.298 5) (and (=> true (=> ?v_2120 (=> (= Mem_0_T.CancelRoutine__IRP.81 (MapType0Store Mem_0_T.CancelRoutine__IRP.80 ?v_2138 ?v_46)) (=> true (=> ?v_2139 (=> (= Mem_0_T.CancelRoutine__IRP.82 Mem_0_T.CancelRoutine__IRP.81) (=> ?v_2140 (=> ?v_2145 (=> ?v_2141 ?v_2142))))))))) (=> true (=> ?v_2137 (and (=> true (=> ?v_2128 (=> (= Mem_1_T.CancelRoutine__IRP.81 (MapType0Store Mem_1_T.CancelRoutine__IRP.80 ?v_2138 ?v_46)) (=> true (=> ?v_2139 (=> ?v_2144 (=> ?v_2140 (=> (= Mem_1_T.CancelRoutine__IRP.82 Mem_1_T.CancelRoutine__IRP.81) ?v_2146)))))))) (=> true (=> ?v_2143 (and (=> true (=> ?v_2131 (=> (= Mem_2_T.CancelRoutine__IRP.81 (MapType0Store Mem_2_T.CancelRoutine__IRP.80 ?v_2138 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.82 Mem_2_T.CancelRoutine__IRP.81) ?v_2152))))) (=> true (=> ?v_2147 (and (=> true (=> ?v_2133 (=> (= Mem_3_T.CancelRoutine__IRP.81 (MapType0Store Mem_3_T.CancelRoutine__IRP.80 ?v_2138 ?v_46)) (=> true (=> ?v_2139 (=> ?v_2144 (=> (= Mem_3_T.CancelRoutine__IRP.82 Mem_3_T.CancelRoutine__IRP.81) ?v_2148))))))) (=> true (=> ?v_2149 (and (=> true (=> ?v_2135 (=> (= Mem_4_T.CancelRoutine__IRP.81 (MapType0Store Mem_4_T.CancelRoutine__IRP.80 ?v_2138 ?v_46)) (=> true (=> ?v_2139 (=> ?v_2144 (=> ?v_2140 (=> ?v_2145 (=> (= Mem_4_T.CancelRoutine__IRP.82 Mem_4_T.CancelRoutine__IRP.81) ?v_2150))))))))) (=> true (=> ?v_2151 (=> true (=> ?v_2139 ?v_2152))))))))))))))))))))) (?v_2153 (= k.297 0)) (?v_2154 (= k.297 1)) (?v_2155 (= k.297 2)) (?v_2156 (= k.297 3)) (?v_2157 (= k.297 4)) (?v_2119 (int_2_U call95986formal.new.0))) (let ((?v_2168 (and (=> true (=> ?v_2118 (and (=> true (=> (not ?v_2161) (=> true (and ?v_11 (=> ?v_11 (=> (> call95986formal.new.0 0) (=> (forall ((?x1579 Int)) (! (=> (and (<= call95986formal.new.0 ?x1579) (< ?x1579 (+ call95986formal.new.0 1))) (= (Base ?x1579) call95986formal.new.0)) :pattern ((Base ?x1579)) )) (=> (forall ((?x1580 boogieU)) (! (=> (= (type ?x1580) intType) (or (= (U_2_int ?x1580) call95986formal.new.0) (= (MapType0Select alloc.82 ?x1580) (MapType0Select alloc.86 ?x1580)))) :pattern ((MapType0Select alloc.86 ?x1580)) )) (=> (and (= (MapType0Select alloc.82 ?v_2119) UNALLOCATED) (= (MapType0Select alloc.86 ?v_2119) ALLOCATED)) (and (=> true (=> ?v_2159 (=> true (=> (<= k.296 k.297) (=> (< k.297 5) (and (=> true (=> (=> ?v_2153 ?v_1526) (=> (=> ?v_2154 ?v_1527) (=> (=> ?v_2155 ?v_1528) (=> (=> ?v_2156 ?v_1529) (=> (=> ?v_2157 ?v_1530) (=> true (=> (= errorReached.57 1) ?v_2158)))))))) (=> true (=> (=> ?v_2153 ?v_1659) (=> (=> ?v_2154 ?v_1661) (=> (=> ?v_2155 ?v_1663) (=> (=> ?v_2156 ?v_1665) (=> (=> ?v_2157 ?v_1667) (=> true (=> (= errorReached.57 errorReached.56) ?v_2158)))))))))))))) (=> true (=> (not ?v_2159) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.83 Mem_1_T.CancelRoutine__IRP.80) (=> (= irpCompleted_1.32 irpCompleted_1.30) (=> (= Mem_2_T.CancelRoutine__IRP.83 Mem_2_T.CancelRoutine__IRP.80) (=> (= irpCompleted_2.32 irpCompleted_2.30) (=> (= Mem_4_T.CancelRoutine__IRP.83 Mem_4_T.CancelRoutine__IRP.80) (=> (= k.299 k.296) (=> (= irpCompleted_3.32 irpCompleted_3.30) (=> (= errorReached.58 errorReached.56) (=> (= Mem_0_T.CancelRoutine__IRP.83 Mem_0_T.CancelRoutine__IRP.80) (=> (= irpCompleted_0.32 irpCompleted_0.30) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_4.32 irpCompleted_4.30) (=> (= Mem_3_T.CancelRoutine__IRP.83 Mem_3_T.CancelRoutine__IRP.80) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2160))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2161 ?v_2163))))) (=> true (=> ?v_724 ?v_2163))))) (let ((?v_2174 (=> true (=> true (=> true (=> true (=> true ?v_2168)))))) (?v_2170 (= cancelLockStatus_1.58 cancelLockStatus_1.57)) (?v_2171 (= cancelLockStatus_0.58 cancelLockStatus_0.57)) (?v_2165 (= cancelLockStatus_2.58 cancelLockStatus_2.57)) (?v_2166 (= cancelLockStatus_4.58 cancelLockStatus_4.57)) (?v_2167 (= cancelLockStatus_3.58 cancelLockStatus_3.57))) (let ((?v_2176 (=> ?v_2167 ?v_2174))) (let ((?v_2172 (=> ?v_2166 ?v_2176))) (let ((?v_2178 (=> ?v_2171 (=> ?v_2165 ?v_2172))) (?v_2177 (= k.296 4)) (?v_2175 (= k.296 3)) (?v_2173 (= k.296 2)) (?v_2169 (= k.296 1)) (?v_2164 (= k.296 0))) (let ((?v_2183 (=> true (=> (<= k.295 k.296) (=> (< k.296 5) (and (=> true (=> ?v_2164 (=> true (=> ?v_2170 (=> (= cancelLockStatus_0.58 0) (=> ?v_2165 (=> ?v_2166 (=> ?v_2167 ?v_2168)))))))) (=> true (=> (not ?v_2164) (and (=> true (=> ?v_2169 (=> true (=> (= cancelLockStatus_1.58 0) ?v_2178)))) (=> true (=> (not ?v_2169) (and (=> true (=> ?v_2173 (=> true (=> ?v_2170 (=> ?v_2171 (=> (= cancelLockStatus_2.58 0) ?v_2172)))))) (=> true (=> (not ?v_2173) (and (=> true (=> ?v_2175 (=> true (=> ?v_2170 (=> ?v_2171 (=> ?v_2165 (=> ?v_2166 (=> (= cancelLockStatus_3.58 0) ?v_2174)))))))) (=> true (=> (not ?v_2175) (and (=> true (=> ?v_2177 (=> true (=> ?v_2170 (=> ?v_2171 (=> ?v_2165 (=> (= cancelLockStatus_4.58 0) ?v_2176))))))) (=> true (=> (not ?v_2177) (=> true (=> ?v_2170 ?v_2178)))))))))))))))))))))) (let ((?v_2191 (=> true (=> true (=> true (=> true ?v_2183))))) (?v_2180 (= Mem_3_T.P_IRP.56 Mem_3_T.P_IRP.54)) (?v_2185 (= Mem_1_T.P_IRP.56 Mem_1_T.P_IRP.54)) (?v_2186 (= Mem_0_T.P_IRP.56 Mem_0_T.P_IRP.54)) (?v_2181 (= Mem_2_T.P_IRP.56 Mem_2_T.P_IRP.54)) (?v_2182 (= Mem_4_T.P_IRP.56 Mem_4_T.P_IRP.54))) (let ((?v_2187 (=> ?v_2182 ?v_2191))) (let ((?v_2189 (=> ?v_2186 (=> ?v_2181 ?v_2187)))) (let ((?v_2193 (=> ?v_2185 ?v_2189)) (?v_2192 (= k.295 4)) (?v_2190 (= k.295 3)) (?v_2188 (= k.295 2)) (?v_2184 (= k.295 1)) (?v_2179 (= k.295 0))) (let ((?v_2213 (=> true (=> (<= k.294 k.295) (=> (< k.295 5) (and (=> true (=> ?v_2179 (=> (= Mem_0_T.P_IRP.55 (MapType0Store Mem_0_T.P_IRP.54 ?v_1490 (MapType0Select Mem_0_T.P_IRP.54 ?v_1494))) (=> true (=> ?v_2180 (=> ?v_2185 (=> (= Mem_0_T.P_IRP.56 Mem_0_T.P_IRP.55) (=> ?v_2181 (=> ?v_2182 ?v_2183))))))))) (=> true (=> (not ?v_2179) (and (=> true (=> ?v_2184 (=> (= Mem_1_T.P_IRP.55 (MapType0Store Mem_1_T.P_IRP.54 ?v_1490 (MapType0Select Mem_1_T.P_IRP.54 ?v_1494))) (=> true (=> ?v_2180 (=> (= Mem_1_T.P_IRP.56 Mem_1_T.P_IRP.55) ?v_2189)))))) (=> true (=> (not ?v_2184) (and (=> true (=> ?v_2188 (=> (= Mem_2_T.P_IRP.55 (MapType0Store Mem_2_T.P_IRP.54 ?v_1490 (MapType0Select Mem_2_T.P_IRP.54 ?v_1494))) (=> true (=> ?v_2180 (=> ?v_2185 (=> ?v_2186 (=> (= Mem_2_T.P_IRP.56 Mem_2_T.P_IRP.55) ?v_2187)))))))) (=> true (=> (not ?v_2188) (and (=> true (=> ?v_2190 (=> (= Mem_3_T.P_IRP.55 (MapType0Store Mem_3_T.P_IRP.54 ?v_1490 (MapType0Select Mem_3_T.P_IRP.54 ?v_1494))) (=> true (=> (= Mem_3_T.P_IRP.56 Mem_3_T.P_IRP.55) ?v_2193))))) (=> true (=> (not ?v_2190) (and (=> true (=> ?v_2192 (=> (= Mem_4_T.P_IRP.55 (MapType0Store Mem_4_T.P_IRP.54 ?v_1490 (MapType0Select Mem_4_T.P_IRP.54 ?v_1494))) (=> true (=> ?v_2180 (=> ?v_2185 (=> ?v_2186 (=> ?v_2181 (=> (= Mem_4_T.P_IRP.56 Mem_4_T.P_IRP.55) ?v_2191))))))))) (=> true (=> (not ?v_2192) (=> true (=> ?v_2180 ?v_2193)))))))))))))))))))))) (let ((?v_2218 (=> true (=> (<= k.290 k.293) (=> (< k.293 5) (=> true (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> (= Mem_4_T.CancelRoutine__IRP.80 Mem_4_T.CancelRoutine__IRP.79) (=> (= errorReached.56 errorReached.54) (=> (= Mem_0_T.CancelRoutine__IRP.80 Mem_0_T.CancelRoutine__IRP.79) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.7.myVar_0.5) (=> (= k.294 k.293) (=> (= inline.RemoveHeadList.7.myNondetVar_0.2 inline.RemoveHeadList.7.myNondetVar_0.1) (=> (= Mem_0_T.P_IRP.54 Mem_0_T.P_IRP.50) (=> (= Mem_2_T.P_IRP.54 Mem_2_T.P_IRP.50) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.6 inline.SerialGetNextIrpLocked.7.myVar_0.5) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> (= Mem_3_T.CancelRoutine__IRP.80 Mem_3_T.CancelRoutine__IRP.79) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= Mem_2_T.CancelRoutine__IRP.80 Mem_2_T.CancelRoutine__IRP.79) (=> (= Mem_1_T.CancelRoutine__IRP.80 Mem_1_T.CancelRoutine__IRP.79) (=> (= Mem_1_T.P_IRP.54 Mem_1_T.P_IRP.50) (=> (= Mem_3_T.P_IRP.54 Mem_3_T.P_IRP.49) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.7.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..0) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..0 call96942formal.ret.0) (=> (= Mem_4_T.P_IRP.54 Mem_4_T.P_IRP.50) ?v_2213))))))))))))))))))))))))))))))) (let ((?v_2226 (=> true ?v_2218)) (?v_2215 (= Mem_2_T.CancelRoutine__IRP.79 Mem_2_T.CancelRoutine__IRP.74)) (?v_2220 (= Mem_0_T.CancelRoutine__IRP.79 Mem_0_T.CancelRoutine__IRP.74)) (?v_2216 (= Mem_3_T.CancelRoutine__IRP.79 Mem_3_T.CancelRoutine__IRP.74)) (?v_2221 (= Mem_1_T.CancelRoutine__IRP.79 Mem_1_T.CancelRoutine__IRP.74)) (?v_2217 (= Mem_4_T.CancelRoutine__IRP.79 Mem_4_T.CancelRoutine__IRP.74))) (let ((?v_2222 (=> ?v_2217 ?v_2226))) (let ((?v_2224 (=> ?v_2221 ?v_2222))) (let ((?v_2228 (=> ?v_2220 (=> ?v_2216 ?v_2224))) (?v_2227 (= k.290 4)) (?v_2212 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.7.myVar_0.5))) (?v_2225 (= k.290 3)) (?v_2223 (= k.290 2)) (?v_2219 (= k.290 1)) (?v_2214 (= k.290 0))) (let ((?v_2236 (=> true (=> (<= k.289 k.290) (=> (< k.290 5) (and (=> true (=> ?v_2214 (=> (= Mem_0_T.CancelRoutine__IRP.77 (MapType0Store Mem_0_T.CancelRoutine__IRP.74 ?v_2212 ?v_46)) (=> true (=> ?v_2215 (=> (= Mem_0_T.CancelRoutine__IRP.79 Mem_0_T.CancelRoutine__IRP.77) (=> ?v_2216 (=> ?v_2221 (=> ?v_2217 ?v_2218))))))))) (=> true (=> (not ?v_2214) (and (=> true (=> ?v_2219 (=> (= Mem_1_T.CancelRoutine__IRP.77 (MapType0Store Mem_1_T.CancelRoutine__IRP.74 ?v_2212 ?v_46)) (=> true (=> ?v_2215 (=> ?v_2220 (=> ?v_2216 (=> (= Mem_1_T.CancelRoutine__IRP.79 Mem_1_T.CancelRoutine__IRP.77) ?v_2222)))))))) (=> true (=> (not ?v_2219) (and (=> true (=> ?v_2223 (=> (= Mem_2_T.CancelRoutine__IRP.77 (MapType0Store Mem_2_T.CancelRoutine__IRP.74 ?v_2212 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.79 Mem_2_T.CancelRoutine__IRP.77) ?v_2228))))) (=> true (=> (not ?v_2223) (and (=> true (=> ?v_2225 (=> (= Mem_3_T.CancelRoutine__IRP.77 (MapType0Store Mem_3_T.CancelRoutine__IRP.74 ?v_2212 ?v_46)) (=> true (=> ?v_2215 (=> ?v_2220 (=> (= Mem_3_T.CancelRoutine__IRP.79 Mem_3_T.CancelRoutine__IRP.77) ?v_2224))))))) (=> true (=> (not ?v_2225) (and (=> true (=> ?v_2227 (=> (= Mem_4_T.CancelRoutine__IRP.77 (MapType0Store Mem_4_T.CancelRoutine__IRP.74 ?v_2212 ?v_46)) (=> true (=> ?v_2215 (=> ?v_2220 (=> ?v_2216 (=> ?v_2221 (=> (= Mem_4_T.CancelRoutine__IRP.79 Mem_4_T.CancelRoutine__IRP.77) ?v_2226))))))))) (=> true (=> (not ?v_2227) (=> true (=> ?v_2215 ?v_2228)))))))))))))))))))))) (let ((?v_2238 (=> (= errorReached.54 errorReached.52) ?v_2236)) (?v_2237 (= inline.SerialGetNextIrpLocked.7.myVar_0.5 hirp)) (?v_2234 (= k.289 k.288)) (?v_2235 (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..0 call96851formal.ret.0)) (?v_2229 (= k.288 0)) (?v_2230 (= k.288 1)) (?v_2231 (= k.288 2)) (?v_2232 (= k.288 3)) (?v_2233 (= k.288 4))) (let ((?v_2240 (and (=> true (=> ?v_2237 (=> true (=> (<= k.287 k.288) (=> (< k.288 5) (and (=> true (=> (=> ?v_2229 ?v_1526) (=> (=> ?v_2230 ?v_1527) (=> (=> ?v_2231 ?v_1528) (=> (=> ?v_2232 ?v_1529) (=> (=> ?v_2233 ?v_1530) (=> true (=> ?v_2234 (=> ?v_2235 (=> (= errorReached.54 1) ?v_2236)))))))))) (=> true (=> (=> ?v_2229 ?v_1659) (=> (=> ?v_2230 ?v_1661) (=> (=> ?v_2231 ?v_1663) (=> (=> ?v_2232 ?v_1665) (=> (=> ?v_2233 ?v_1667) (=> true (=> ?v_2234 (=> ?v_2235 ?v_2238))))))))))))))) (=> true (=> (not ?v_2237) (=> true (=> (= k.289 k.287) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2.) ?v_2238)))))))) (let ((?v_2242 (=> true (=> true ?v_2240))) (?v_2245 (= k.287 4)) (?v_2244 (= k.287 3)) (?v_2243 (= k.287 2)) (?v_2241 (= k.287 1)) (?v_2239 (= k.287 0))) (let ((?v_2248 (=> true (=> (<= k.286 k.287) (=> (< k.287 5) (and (=> true (=> ?v_2239 (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.74 ?v_2212))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_2240))))) (=> true (=> (not ?v_2239) (and (=> true (=> ?v_2241 (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.74 ?v_2212))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_2242))))) (=> true (=> (not ?v_2241) (and (=> true (=> ?v_2243 (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.74 ?v_2212))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_2242))))) (=> true (=> (not ?v_2243) (and (=> true (=> ?v_2244 (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.74 ?v_2212))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_2242))))) (=> true (=> (not ?v_2244) (and (=> true (=> ?v_2245 (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.74 ?v_2212))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_2242))))) (=> true (=> (not ?v_2245) (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_2242)))))))))))))))))))))) (let ((?v_2251 (=> true (=> true (=> true (=> true ?v_2248))))) (?v_2256 (= k.286 4)) (?v_2255 (U_2_int (MapType0Select Mem_4_T.P_IRP.50 ?v_1494))) (?v_2254 (= k.286 3)) (?v_2253 (U_2_int (MapType0Select Mem_3_T.P_IRP.49 ?v_1494))) (?v_2252 (= k.286 2)) (?v_2250 (U_2_int (MapType0Select Mem_2_T.P_IRP.50 ?v_1494))) (?v_2249 (= k.286 1)) (?v_2247 (U_2_int (MapType0Select Mem_1_T.P_IRP.50 ?v_1494))) (?v_2246 (= k.286 0)) (?v_2211 (U_2_int (MapType0Select Mem_0_T.P_IRP.50 ?v_1494))) (?v_2210 (= k.285 0)) (?v_2257 (= k.285 1)) (?v_2263 (= k.285 2)) (?v_2267 (= k.285 3)) (?v_2269 (= k.285 4))) (let ((?v_2262 (=> true (=> (=> ?v_2210 (not (= ?v_2211 hirp))) (=> (=> ?v_2257 (not (= ?v_2247 hirp))) (=> (=> ?v_2263 (not (= ?v_2250 hirp))) (=> (=> ?v_2267 (not (= ?v_2253 hirp))) (=> (=> ?v_2269 (not (= ?v_2255 hirp))) (=> true (=> (<= k.285 k.286) (=> (< k.286 5) (and (=> true (=> ?v_2246 (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.1 ?v_2211) (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.5 inline.SerialGetNextIrpLocked.7.myVar_0.1) ?v_2248))))) (=> true (=> (not ?v_2246) (and (=> true (=> ?v_2249 (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.4 ?v_2247) (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.5 inline.SerialGetNextIrpLocked.7.myVar_0.4) ?v_2251))))) (=> true (=> (not ?v_2249) (and (=> true (=> ?v_2252 (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.0 ?v_2250) (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.5 inline.SerialGetNextIrpLocked.7.myVar_0.0) ?v_2251))))) (=> true (=> (not ?v_2252) (and (=> true (=> ?v_2254 (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.3 ?v_2253) (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.5 inline.SerialGetNextIrpLocked.7.myVar_0.3) ?v_2251))))) (=> true (=> (not ?v_2254) (and (=> true (=> ?v_2256 (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.2 ?v_2255) (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.5 inline.SerialGetNextIrpLocked.7.myVar_0.2) ?v_2251))))) (=> true (=> (not ?v_2256) (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.5 inline.SerialGetNextIrpLocked.7.myVar_0) ?v_2251)))))))))))))))))))))))))))) (let ((?v_2270 (=> true ?v_2262)) (?v_2259 (= Mem_3_T.P_IRP.49 Mem_3_T.P_IRP.46)) (?v_2264 (= Mem_1_T.P_IRP.50 Mem_1_T.P_IRP.46)) (?v_2265 (= Mem_0_T.P_IRP.50 Mem_0_T.P_IRP.46)) (?v_2260 (= Mem_2_T.P_IRP.50 Mem_2_T.P_IRP.46)) (?v_2261 (= Mem_4_T.P_IRP.50 Mem_4_T.P_IRP.46))) (let ((?v_2266 (=> ?v_2261 ?v_2270))) (let ((?v_2268 (=> ?v_2265 (=> ?v_2260 ?v_2266)))) (let ((?v_2271 (=> ?v_2264 ?v_2268)) (?v_2258 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.7.myNondetVar_0.0 1 88))) (?v_2209 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 0)) (?v_2198 (=> true (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.) (=> (= Mem_4_T.CancelRoutine__IRP.80 Mem_4_T.CancelRoutine__IRP.74) (=> (= errorReached.56 errorReached.52) (=> (= Mem_0_T.CancelRoutine__IRP.80 Mem_0_T.CancelRoutine__IRP.74) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= k.294 k.284) (=> (= inline.RemoveHeadList.7.myNondetVar_0.2 inline.RemoveHeadList.7.myNondetVar_0) (=> (= Mem_0_T.P_IRP.54 Mem_0_T.P_IRP.51) (=> (= Mem_2_T.P_IRP.54 Mem_2_T.P_IRP.51) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.6 inline.SerialGetNextIrpLocked.7.myVar_0) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.) (=> (= Mem_3_T.CancelRoutine__IRP.80 Mem_3_T.CancelRoutine__IRP.74) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= Mem_2_T.CancelRoutine__IRP.80 Mem_2_T.CancelRoutine__IRP.74) (=> (= Mem_1_T.CancelRoutine__IRP.80 Mem_1_T.CancelRoutine__IRP.74) (=> (= Mem_1_T.P_IRP.54 Mem_1_T.P_IRP.51) (=> (= Mem_3_T.P_IRP.54 Mem_3_T.P_IRP.50) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2.) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3313.2.3.) (=> (= Mem_4_T.P_IRP.54 Mem_4_T.P_IRP.51) ?v_2213)))))))))))))))))))))))))))) (let ((?v_2206 (=> true ?v_2198)) (?v_2195 (= Mem_3_T.P_IRP.50 Mem_3_T.P_IRP.46)) (?v_2200 (= Mem_1_T.P_IRP.51 Mem_1_T.P_IRP.46)) (?v_2201 (= Mem_0_T.P_IRP.51 Mem_0_T.P_IRP.46)) (?v_2196 (= Mem_2_T.P_IRP.51 Mem_2_T.P_IRP.46)) (?v_2197 (= Mem_4_T.P_IRP.51 Mem_4_T.P_IRP.46))) (let ((?v_2202 (=> ?v_2197 ?v_2206))) (let ((?v_2204 (=> ?v_2201 (=> ?v_2196 ?v_2202)))) (let ((?v_2208 (=> ?v_2200 ?v_2204)) (?v_2207 (= k.284 4)) (?v_2205 (= k.284 3)) (?v_2203 (= k.284 2)) (?v_2199 (= k.284 1)) (?v_2194 (= k.284 0))) (let ((?v_2273 (=> true (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.8.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_2209) (=> true (=> (<= k.283 k.284) (=> (< k.284 5) (and (=> true (=> ?v_2194 (=> (= Mem_0_T.P_IRP.48 ?v_2484) (=> true (=> ?v_2195 (=> ?v_2200 (=> (= Mem_0_T.P_IRP.51 Mem_0_T.P_IRP.48) (=> ?v_2196 (=> ?v_2197 ?v_2198))))))))) (=> true (=> (not ?v_2194) (and (=> true (=> ?v_2199 (=> (= Mem_1_T.P_IRP.48 ?v_2725) (=> true (=> ?v_2195 (=> (= Mem_1_T.P_IRP.51 Mem_1_T.P_IRP.48) ?v_2204)))))) (=> true (=> (not ?v_2199) (and (=> true (=> ?v_2203 (=> (= Mem_2_T.P_IRP.48 ?v_2731) (=> true (=> ?v_2195 (=> ?v_2200 (=> ?v_2201 (=> (= Mem_2_T.P_IRP.51 Mem_2_T.P_IRP.48) ?v_2202)))))))) (=> true (=> (not ?v_2203) (and (=> true (=> ?v_2205 (=> (= Mem_3_T.P_IRP.47 ?v_2736) (=> true (=> (= Mem_3_T.P_IRP.50 Mem_3_T.P_IRP.47) ?v_2208))))) (=> true (=> (not ?v_2205) (and (=> true (=> ?v_2207 (=> (= Mem_4_T.P_IRP.48 ?v_2739) (=> true (=> ?v_2195 (=> ?v_2200 (=> ?v_2201 (=> ?v_2196 (=> (= Mem_4_T.P_IRP.51 Mem_4_T.P_IRP.48) ?v_2206))))))))) (=> true (=> (not ?v_2207) (=> true (=> ?v_2195 ?v_2208)))))))))))))))))))))) (=> true (=> ?v_2209 (=> true (=> (<= k.283 k.285) (=> (< k.285 5) (and (=> true (=> ?v_2210 (=> (= Mem_0_T.P_IRP.49 (MapType0Store Mem_0_T.P_IRP.46 ?v_1494 ?v_2258)) (=> true (=> ?v_2259 (=> ?v_2264 (=> (= Mem_0_T.P_IRP.50 Mem_0_T.P_IRP.49) (=> ?v_2260 (=> ?v_2261 ?v_2262))))))))) (=> true (=> (not ?v_2210) (and (=> true (=> ?v_2257 (=> (= Mem_1_T.P_IRP.49 (MapType0Store Mem_1_T.P_IRP.46 ?v_1494 ?v_2258)) (=> true (=> ?v_2259 (=> (= Mem_1_T.P_IRP.50 Mem_1_T.P_IRP.49) ?v_2268)))))) (=> true (=> (not ?v_2257) (and (=> true (=> ?v_2263 (=> (= Mem_2_T.P_IRP.49 (MapType0Store Mem_2_T.P_IRP.46 ?v_1494 ?v_2258)) (=> true (=> ?v_2259 (=> ?v_2264 (=> ?v_2265 (=> (= Mem_2_T.P_IRP.50 Mem_2_T.P_IRP.49) ?v_2266)))))))) (=> true (=> (not ?v_2263) (and (=> true (=> ?v_2267 (=> (= Mem_3_T.P_IRP.48 (MapType0Store Mem_3_T.P_IRP.46 ?v_1494 ?v_2258)) (=> true (=> (= Mem_3_T.P_IRP.49 Mem_3_T.P_IRP.48) ?v_2271))))) (=> true (=> (not ?v_2267) (and (=> true (=> ?v_2269 (=> (= Mem_4_T.P_IRP.49 (MapType0Store Mem_4_T.P_IRP.46 ?v_1494 ?v_2258)) (=> true (=> ?v_2259 (=> ?v_2264 (=> ?v_2265 (=> ?v_2260 (=> (= Mem_4_T.P_IRP.50 Mem_4_T.P_IRP.49) ?v_2270))))))))) (=> true (=> (not ?v_2269) (=> true (=> ?v_2259 ?v_2271))))))))))))))))))))))))))) (let ((?v_2275 (=> true (=> true (=> true (=> true ?v_2273))))) (?v_2278 (= k.283 4)) (?v_2277 (= k.283 3)) (?v_2276 (= k.283 2)) (?v_2274 (= k.283 1)) (?v_2272 (= k.283 0))) (let ((?v_2283 (=> true (=> (<= k.270 k.283) (=> (< k.283 5) (and (=> true (=> ?v_2272 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.3 ?v_1493) (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.3) ?v_2273))))) (=> true (=> (not ?v_2272) (and (=> true (=> ?v_2274 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.1 ?v_1826) (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_2275))))) (=> true (=> (not ?v_2274) (and (=> true (=> ?v_2276 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 ?v_1829) (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2) ?v_2275))))) (=> true (=> (not ?v_2276) (and (=> true (=> ?v_2277 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.4 ?v_1832) (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.4) ?v_2275))))) (=> true (=> (not ?v_2277) (and (=> true (=> ?v_2278 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.0 ?v_1834) (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_2275))))) (=> true (=> (not ?v_2278) (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_2275)))))))))))))))))))))) (let ((?v_2289 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2283))))))))) (?v_2285 (= cancelLockStatus_1.57 cancelLockStatus_1.54)) (?v_2286 (= cancelLockStatus_0.57 cancelLockStatus_0.54)) (?v_2280 (= cancelLockStatus_2.57 cancelLockStatus_2.54)) (?v_2281 (= cancelLockStatus_4.57 cancelLockStatus_4.54)) (?v_2282 (= cancelLockStatus_3.57 cancelLockStatus_3.54))) (let ((?v_2291 (=> ?v_2282 ?v_2289))) (let ((?v_2287 (=> ?v_2281 ?v_2291))) (let ((?v_2292 (=> ?v_2286 (=> ?v_2280 ?v_2287))) (?v_2290 (= k.270 4)) (?v_2288 (= k.270 3)) (?v_2284 (= k.270 2)) (?v_2279 (= k.270 1)) (?v_2117 (= k.270 0)) (?v_1521 (= cancelLockStatus_0.54 0)) (?v_1851 (= cancelLockStatus_1.54 0)) (?v_1852 (= cancelLockStatus_2.54 0)) (?v_1853 (= cancelLockStatus_3.54 0)) (?v_1854 (= cancelLockStatus_4.54 0)) (?v_2116 (int_2_U call95375formal.new.0)) (?v_1533 (int_2_U call93666formal.new.0))) (let ((?v_1596 (=> true (and ?v_11 (=> ?v_11 (=> (> call93666formal.new.0 0) (=> (forall ((?x1583 Int)) (! (=> (and (<= call93666formal.new.0 ?x1583) (< ?x1583 (+ call93666formal.new.0 1))) (= (Base ?x1583) call93666formal.new.0)) :pattern ((Base ?x1583)) )) (=> (forall ((?x1584 boogieU)) (! (=> (= (type ?x1584) intType) (or (= (U_2_int ?x1584) call93666formal.new.0) (= (MapType0Select alloc.92 ?x1584) (MapType0Select alloc.93 ?x1584)))) :pattern ((MapType0Select alloc.93 ?x1584)) )) (=> (and (= (MapType0Select alloc.92 ?v_1533) UNALLOCATED) (= (MapType0Select alloc.93 ?v_1533) ALLOCATED)) (=> true (=> (= inline.SerialGetNextIrp.6.myNondetVar_0.1 inline.SerialGetNextIrp.6.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call88986formal.new.0) (=> ?v_2297 (=> (= Mem_3_T.CancelRoutine__IRP.96 Mem_3_T.CancelRoutine__IRP.95) (=> ?v_2298 (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.4 inline.SerialGetNextWrite.3.myNondetVar_2.3) (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> ?v_2303 (=> (= inline.sdv_IoReleaseCancelSpinLock.36..result.userContextSwitch.3151.2.1..0 call92350formal.ret.0) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= cancelLockStatus_4.69 cancelLockStatus_4.68) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= irpCompleted_3.39 irpCompleted_3.38) (=> (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.5 inline.SerialGetNextWrite.3.myNondetVar_1.4) (=> ?v_2309 (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..0 call91870formal.ret.0) (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1) (=> ?v_2316 (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1) (=> ?v_2320 (=> (= alloc.94 alloc.93) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_2323 (=> (= cancelLockStatus_0.69 cancelLockStatus_0.68) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0 call88986formal.new.0) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..2) (=> ?v_2328 (=> ?v_2329 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.RemoveHeadList.6.myNondetVar_0.3 inline.RemoveHeadList.6.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.IsListEmpty.7.myNondetVar_0.1 inline.IsListEmpty.7.myNondetVar_0.0) (=> (= irpCompleted_0.39 irpCompleted_0.38) (=> ?v_2334 (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0 call88986formal.new.0) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0 call91158formal.new.0) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..0) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call88986formal.new.0) (=> ?v_2349 (=> (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0 call91161formal.new.0) (=> (= Mem_2_T.P_IRP.67 Mem_2_T.P_IRP.66) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_2352 (=> ?v_2353 (=> (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0 call91155formal.new.0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1) (=> ?v_2358 (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.5 inline.sdv_InterlockedDecrement.28.myNondetVar_0.4) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0 call88986formal.new.0) (=> (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0 call91164formal.new.0) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialSetTimer.6.myNondetVar_0.7 inline.SerialSetTimer.6.myNondetVar_0.6) (=> ?v_2368 (=> (= inline.SerialGetNextWrite.3.tempBoogie0.6 inline.SerialGetNextWrite.3.tempBoogie0.5) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> ?v_2371 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= irpCompleted_2.39 irpCompleted_2.38) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0) (=> (= Mem_2_T.CancelRoutine__IRP.96 Mem_2_T.CancelRoutine__IRP.95) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2) (=> ?v_2375 (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.6) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= Mem_4_T.P_IRP.67 Mem_4_T.P_IRP.66) (=> (= cancelLockStatus_1.69 cancelLockStatus_1.68) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= cancelLockStatus_3.69 cancelLockStatus_3.68) (=> ?v_2380 (=> ?v_2381 (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..1) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..0) (=> ?v_2385 (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5) (=> ?v_2387 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_2389 (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.7 inline.SerialGetNextIrpLocked.6.myVar_0.6) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.8 inline.KeSynchronizeExecution.13.myNondetVar_0.7) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_2394 (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> ?v_2397 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.3.havoc_stringTemp.0 call93666formal.new.0) (=> ?v_2403 (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_2406 (=> (= errorReached.68 errorReached.67) (=> ?v_2407 (=> (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> ?v_2410 (=> ?v_2411 (=> (= irpCompleted_4.39 irpCompleted_4.38) (=> (= Mem_1_T.CancelRoutine__IRP.96 Mem_1_T.CancelRoutine__IRP.95) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_2413 (=> ?v_2414 (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.4 inline.sdv_InterlockedIncrement.7.myNondetVar_0.3) (=> (= Mem_3_T.P_IRP.67 Mem_3_T.P_IRP.66) (=> (= irpCompleted_1.39 irpCompleted_1.38) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1) (=> ?v_2417 (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0 call88986formal.new.0) (=> ?v_2420 (=> ?v_2421 (=> (= k.329 k.328) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.9 inline.KeSynchronizeExecution.14.myNondetVar_0.8) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1) (=> ?v_2425 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.20 inline.SerialGetNextWrite.3.myNondetVar_0.19) (=> ?v_2427 (=> (= Mem_0_T.P_IRP.67 Mem_0_T.P_IRP.66) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..0) (=> ?v_2431 (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_2437 (=> (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..0) (=> (= Mem_4_T.CancelRoutine__IRP.96 Mem_4_T.CancelRoutine__IRP.95) (=> ?v_2439 (=> ?v_2440 (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1) (=> ?v_2442 (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.3 inline.sdv_InterlockedDecrement.27.myNondetVar_0.2) (=> (= Mem_0_T.CancelRoutine__IRP.96 Mem_0_T.CancelRoutine__IRP.95) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.5) (=> (= inline.SerialGetNextWrite.3.myVar_0.26 inline.SerialGetNextWrite.3.myVar_0.25) (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= cancelLockStatus_2.69 cancelLockStatus_2.68) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.5) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_2457 (=> ?v_2458 (=> (= Mem_1_T.P_IRP.67 Mem_1_T.P_IRP.66) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> ?v_2462 (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..0) (=> ?v_2465 (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_2467 (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..1) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0 call91839formal.new.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..0) ?v_2121))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1595 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_1601 (=> true (=> (= cancelLockStatus_4.68 cancelLockStatus_4.67) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.SerialGetNextWrite.3.myVar_0.25 inline.SerialGetNextWrite.3.myVar_0.18) (=> (= cancelLockStatus_3.68 cancelLockStatus_3.67) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.19 inline.SerialGetNextWrite.3.myNondetVar_0.18) (=> ?v_1595 (=> (= k.328 k.327) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) (=> (= cancelLockStatus_0.68 cancelLockStatus_0.67) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= cancelLockStatus_2.68 cancelLockStatus_2.67) (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0 call93685formal.ret.0) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> (= cancelLockStatus_1.68 cancelLockStatus_1.67) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.7 inline.KeSynchronizeExecution.13.myNondetVar_0.6) (=> (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..0 call93878formal.ret.0) ?v_1596))))))))))))))))))))))) (let ((?v_1607 (=> true (=> true (=> true (=> true ?v_1601))))) (?v_1603 (= cancelLockStatus_1.67 cancelLockStatus_1.66)) (?v_1604 (= cancelLockStatus_0.67 cancelLockStatus_0.66)) (?v_1598 (= cancelLockStatus_2.67 cancelLockStatus_2.66)) (?v_1599 (= cancelLockStatus_4.67 cancelLockStatus_4.66)) (?v_1600 (= cancelLockStatus_3.67 cancelLockStatus_3.66))) (let ((?v_1609 (=> ?v_1600 ?v_1607))) (let ((?v_1605 (=> ?v_1599 ?v_1609))) (let ((?v_1611 (=> ?v_1604 (=> ?v_1598 ?v_1605))) (?v_1610 (= k.327 4)) (?v_1608 (= k.327 3)) (?v_1606 (= k.327 2)) (?v_1602 (= k.327 1)) (?v_1597 (= k.327 0))) (let ((?v_1612 (=> true (=> (<= k.325 k.327) (=> (< k.327 5) (and (=> true (=> ?v_1597 (=> true (=> ?v_1603 (=> (= cancelLockStatus_0.67 0) (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 ?v_1601)))))))) (=> true (=> (not ?v_1597) (and (=> true (=> ?v_1602 (=> true (=> (= cancelLockStatus_1.67 0) ?v_1611)))) (=> true (=> (not ?v_1602) (and (=> true (=> ?v_1606 (=> true (=> ?v_1603 (=> ?v_1604 (=> (= cancelLockStatus_2.67 0) ?v_1605)))))) (=> true (=> (not ?v_1606) (and (=> true (=> ?v_1608 (=> true (=> ?v_1603 (=> ?v_1604 (=> ?v_1598 (=> ?v_1599 (=> (= cancelLockStatus_3.67 0) ?v_1607)))))))) (=> true (=> (not ?v_1608) (and (=> true (=> ?v_1610 (=> true (=> ?v_1603 (=> ?v_1604 (=> ?v_1598 (=> (= cancelLockStatus_4.67 0) ?v_1609))))))) (=> true (=> (not ?v_1610) (=> true (=> ?v_1603 ?v_1611)))))))))))))))))))))) (let ((?v_1617 (and (=> true (=> ?v_1594 (=> true (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.6 inline.KeSynchronizeExecution.13.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.13..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.13..result.SynchronizeRoutine.4679.26.2.) ?v_1612)))))) (=> true (=> ?v_173 (=> true (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.6 inline.KeSynchronizeExecution.13.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1612))))))))))))))) (let ((?v_1623 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1617)))))))))) (?v_1619 (= cancelLockStatus_1.66 cancelLockStatus_1.65)) (?v_1620 (= cancelLockStatus_0.66 cancelLockStatus_0.65)) (?v_1614 (= cancelLockStatus_2.66 cancelLockStatus_2.65)) (?v_1615 (= cancelLockStatus_4.66 cancelLockStatus_4.65)) (?v_1616 (= cancelLockStatus_3.66 cancelLockStatus_3.65))) (let ((?v_1625 (=> ?v_1616 ?v_1623))) (let ((?v_1621 (=> ?v_1615 ?v_1625))) (let ((?v_1626 (=> ?v_1620 (=> ?v_1614 ?v_1621))) (?v_1624 (= k.325 4)) (?v_1622 (= k.325 3)) (?v_1618 (= k.325 2)) (?v_1613 (= k.325 1)) (?v_1593 (= k.325 0)) (?v_1592 (= cancelLockStatus_0.65 0)) (?v_1676 (= cancelLockStatus_1.65 0)) (?v_1684 (= cancelLockStatus_2.65 0)) (?v_1687 (= cancelLockStatus_3.65 0)) (?v_1690 (= cancelLockStatus_4.65 0)) (?v_1582 (= k.324 0)) (?v_1532 (U_2_int (MapType0Select Mem_0_T.P_IRP.66 ?v_1490)))) (let ((?v_1583 (= ?v_1532 0)) (?v_1584 (= k.324 1)) (?v_1572 (U_2_int (MapType0Select Mem_1_T.P_IRP.66 ?v_1490)))) (let ((?v_1585 (= ?v_1572 0)) (?v_1586 (= k.324 2)) (?v_1575 (U_2_int (MapType0Select Mem_2_T.P_IRP.66 ?v_1490)))) (let ((?v_1587 (= ?v_1575 0)) (?v_1588 (= k.324 3)) (?v_1578 (U_2_int (MapType0Select Mem_3_T.P_IRP.66 ?v_1490)))) (let ((?v_1589 (= ?v_1578 0)) (?v_1590 (= k.324 4)) (?v_1580 (U_2_int (MapType0Select Mem_4_T.P_IRP.66 ?v_1490)))) (let ((?v_1591 (= ?v_1580 0)) (?v_1559 (= cancelLockStatus_4.68 cancelLockStatus_4.65)) (?v_1560 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_1561 (= inline.SerialGetNextWrite.3.myVar_0.25 inline.SerialGetNextWrite.3.myVar_0.24)) (?v_1562 (= cancelLockStatus_3.68 cancelLockStatus_3.65)) (?v_1563 (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_1564 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.24)) (?v_1565 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.24)) (?v_1566 (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.)) (?v_1567 (= inline.SerialGetNextWrite.3.myNondetVar_0.19 inline.SerialGetNextWrite.3.myNondetVar_0.16)) (?v_1568 (=> (= k.328 k.326) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= cancelLockStatus_0.68 cancelLockStatus_0.65) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= cancelLockStatus_2.68 cancelLockStatus_2.65) (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= cancelLockStatus_1.68 cancelLockStatus_1.65) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.7 inline.KeSynchronizeExecution.13.myNondetVar_0) (=> (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1.) ?v_1596))))))))))) (?v_1558 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_1570 (and (=> true (=> ?v_1558 (=> true (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_1568))))))))))))) (=> true (=> (not ?v_1558) (=> true (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> ?v_1595 ?v_1568))))))))))))))) (?v_1569 (= inline.SerialGetNextWrite.3.myVar_0.24 hirp))) (let ((?v_1573 (and (=> true (=> ?v_1569 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1570)))) (=> true (=> (not ?v_1569) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1570))))))))))) (let ((?v_1576 (=> true (=> true (=> true (=> true ?v_1573))))) (?v_1581 (= k.326 4)) (?v_1579 (= k.326 3)) (?v_1577 (= k.326 2)) (?v_1574 (= k.326 1)) (?v_1571 (= k.326 0))) (let ((?v_1672 (and (=> true (=> (=> ?v_1582 (not ?v_1583)) (=> (=> ?v_1584 (not ?v_1585)) (=> (=> ?v_1586 (not ?v_1587)) (=> (=> ?v_1588 (not ?v_1589)) (=> (=> ?v_1590 (not ?v_1591)) (=> true (=> (<= k.324 k.326) (=> (< k.326 5) (and (=> true (=> ?v_1571 (=> (= inline.SerialGetNextWrite.3.myVar_0.19 ?v_1532) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.24 inline.SerialGetNextWrite.3.myVar_0.19) ?v_1573))))) (=> true (=> (not ?v_1571) (and (=> true (=> ?v_1574 (=> (= inline.SerialGetNextWrite.3.myVar_0.23 ?v_1572) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.24 inline.SerialGetNextWrite.3.myVar_0.23) ?v_1576))))) (=> true (=> (not ?v_1574) (and (=> true (=> ?v_1577 (=> (= inline.SerialGetNextWrite.3.myVar_0.20 ?v_1575) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.24 inline.SerialGetNextWrite.3.myVar_0.20) ?v_1576))))) (=> true (=> (not ?v_1577) (and (=> true (=> ?v_1579 (=> (= inline.SerialGetNextWrite.3.myVar_0.21 ?v_1578) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.24 inline.SerialGetNextWrite.3.myVar_0.21) ?v_1576))))) (=> true (=> (not ?v_1579) (and (=> true (=> ?v_1581 (=> (= inline.SerialGetNextWrite.3.myVar_0.22 ?v_1580) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.24 inline.SerialGetNextWrite.3.myVar_0.22) ?v_1576))))) (=> true (=> (not ?v_1581) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.24 inline.SerialGetNextWrite.3.myVar_0.18) ?v_1576)))))))))))))))))))))))))) (=> true (=> (=> ?v_1582 ?v_1583) (=> (=> ?v_1584 ?v_1585) (=> (=> ?v_1586 ?v_1587) (=> (=> ?v_1588 ?v_1589) (=> (=> ?v_1590 ?v_1591) (=> true (=> (<= k.324 k.325) (=> (< k.325 5) (=> true (=> (=> ?v_1593 ?v_1592) (=> (=> ?v_1613 ?v_1676) (=> (=> ?v_1618 ?v_1684) (=> (=> ?v_1622 ?v_1687) (=> (=> ?v_1624 ?v_1690) (and (=> true (=> ?v_1593 (=> true (=> ?v_1619 (=> (= cancelLockStatus_0.66 1) (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 ?v_1617)))))))) (=> true (=> (not ?v_1593) (and (=> true (=> ?v_1613 (=> true (=> (= cancelLockStatus_1.66 1) ?v_1626)))) (=> true (=> (not ?v_1613) (and (=> true (=> ?v_1618 (=> true (=> ?v_1619 (=> ?v_1620 (=> (= cancelLockStatus_2.66 1) ?v_1621)))))) (=> true (=> (not ?v_1618) (and (=> true (=> ?v_1622 (=> true (=> ?v_1619 (=> ?v_1620 (=> ?v_1614 (=> ?v_1615 (=> (= cancelLockStatus_3.66 1) ?v_1623)))))))) (=> true (=> (not ?v_1622) (and (=> true (=> ?v_1624 (=> true (=> ?v_1619 (=> ?v_1620 (=> ?v_1614 (=> (= cancelLockStatus_4.66 1) ?v_1625))))))) (=> true (=> (not ?v_1624) (=> true (=> ?v_1619 ?v_1626))))))))))))))))))))))))))))))))))) (let ((?v_1674 (=> true (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_2.38 irpCompleted_2.30) (=> (= Mem_4_T.CancelRoutine__IRP.95 Mem_4_T.CancelRoutine__IRP.91) (=> (= errorReached.67 errorReached.64) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.6.havoc_stringTemp) (=> (= irpCompleted_0.38 irpCompleted_0.30) (=> (= irpCompleted_4.38 irpCompleted_4.30) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.) (=> (= irpCompleted_3.38 irpCompleted_3.30) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.2 inline.sdv_InterlockedDecrement.27.myNondetVar_0) (=> (= alloc.92 alloc.89) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= k.324 k.320) (=> (= Mem_3_T.CancelRoutine__IRP.95 Mem_3_T.CancelRoutine__IRP.91) (=> (= irpCompleted_1.38 irpCompleted_1.30) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= Mem_2_T.CancelRoutine__IRP.95 Mem_2_T.CancelRoutine__IRP.91) (=> (= Mem_1_T.CancelRoutine__IRP.95 Mem_1_T.CancelRoutine__IRP.91) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.) (=> (= Mem_0_T.CancelRoutine__IRP.95 Mem_0_T.CancelRoutine__IRP.91) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1672)))))))))))))))))))))))))))))))) (?v_1673 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_1671 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 0)) (?v_1628 (=> true (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..0) (=> (= irpCompleted_2.38 irpCompleted_2.37) (=> (= Mem_4_T.CancelRoutine__IRP.95 Mem_4_T.CancelRoutine__IRP.94) (=> (= errorReached.67 errorReached.66) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0 call92450formal.new.0) (=> (= irpCompleted_0.38 irpCompleted_0.37) (=> (= irpCompleted_4.38 irpCompleted_4.37) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..0) (=> (= irpCompleted_3.38 irpCompleted_3.37) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.2 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) (=> (= alloc.92 alloc.91) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= k.324 k.323) (=> (= Mem_3_T.CancelRoutine__IRP.95 Mem_3_T.CancelRoutine__IRP.94) (=> (= irpCompleted_1.38 irpCompleted_1.37) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) (=> (= Mem_2_T.CancelRoutine__IRP.95 Mem_2_T.CancelRoutine__IRP.94) (=> (= Mem_1_T.CancelRoutine__IRP.95 Mem_1_T.CancelRoutine__IRP.94) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0) (=> (= Mem_0_T.CancelRoutine__IRP.95 Mem_0_T.CancelRoutine__IRP.94) ?v_1672))))))))))))))))))))))))) (?v_1627 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.1 0))) (let ((?v_1670 (and (=> true (=> (not ?v_1627) (=> true (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.) ?v_1628)))) (=> true (=> ?v_1627 (=> true (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0 call92801formal.ret.0) (=> true (=> true (=> true ?v_1628))))))))) (?v_1669 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 hirp))) (let ((?v_1632 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.94 Mem_1_T.CancelRoutine__IRP.93) (=> (= irpCompleted_1.37 irpCompleted_1.36) (=> (= Mem_2_T.CancelRoutine__IRP.94 Mem_2_T.CancelRoutine__IRP.93) (=> (= irpCompleted_2.37 irpCompleted_2.36) (=> (= Mem_4_T.CancelRoutine__IRP.94 Mem_4_T.CancelRoutine__IRP.93) (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..0 call92483formal.ret.0) (=> (= k.323 k.322) (=> (= irpCompleted_3.37 irpCompleted_3.36) (=> (= errorReached.66 errorReached.65) (=> (= Mem_0_T.CancelRoutine__IRP.94 Mem_0_T.CancelRoutine__IRP.93) (=> (= irpCompleted_0.37 irpCompleted_0.36) (=> (= irpCompleted_4.37 irpCompleted_4.36) (=> (= Mem_3_T.CancelRoutine__IRP.94 Mem_3_T.CancelRoutine__IRP.93) ?v_1670))))))))))))))) (?v_1629 (= irpCompleted_4.36 irpCompleted_4.30)) (?v_1630 (= irpCompleted_2.36 irpCompleted_2.30)) (?v_1631 (= irpCompleted_3.36 irpCompleted_3.30)) (?v_1634 (= irpCompleted_1.36 irpCompleted_1.30))) (let ((?v_1635 (=> (= irpCompleted_0.36 irpCompleted_0.30) (=> true ?v_1632)))) (let ((?v_1637 (=> ?v_1634 ?v_1635))) (let ((?v_1639 (=> ?v_1631 ?v_1637))) (let ((?v_1641 (=> ?v_1630 ?v_1639)) (?v_1640 (= k.322 4))) (let ((?v_1656 (not ?v_1640)) (?v_1638 (= k.322 3))) (let ((?v_1654 (not ?v_1638)) (?v_1636 (= k.322 2))) (let ((?v_1652 (not ?v_1636)) (?v_1633 (= k.322 1))) (let ((?v_1648 (not ?v_1633)) (?v_1531 (= k.322 0))) (let ((?v_1642 (not ?v_1531))) (let ((?v_1647 (and (=> true (=> ?v_1531 (=> true (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1634 (=> (= irpCompleted_0.36 1) ?v_1632)))))))) (=> true (=> ?v_1642 (and (=> true (=> ?v_1633 (=> true (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> (= irpCompleted_1.36 1) ?v_1635))))))) (=> true (=> ?v_1648 (and (=> true (=> ?v_1636 (=> true (=> ?v_1629 (=> (= irpCompleted_2.36 1) ?v_1639))))) (=> true (=> ?v_1652 (and (=> true (=> ?v_1638 (=> true (=> ?v_1629 (=> ?v_1630 (=> (= irpCompleted_3.36 1) ?v_1637)))))) (=> true (=> ?v_1654 (and (=> true (=> ?v_1640 (=> true (=> (= irpCompleted_4.36 1) ?v_1641)))) (=> true (=> ?v_1656 (=> true (=> ?v_1629 ?v_1641))))))))))))))))))) (let ((?v_1655 (=> true (=> true ?v_1647))) (?v_1644 (= Mem_2_T.CancelRoutine__IRP.93 Mem_2_T.CancelRoutine__IRP.91)) (?v_1649 (= Mem_0_T.CancelRoutine__IRP.93 Mem_0_T.CancelRoutine__IRP.91)) (?v_1645 (= Mem_3_T.CancelRoutine__IRP.93 Mem_3_T.CancelRoutine__IRP.91)) (?v_1650 (= Mem_1_T.CancelRoutine__IRP.93 Mem_1_T.CancelRoutine__IRP.91)) (?v_1646 (= Mem_4_T.CancelRoutine__IRP.93 Mem_4_T.CancelRoutine__IRP.91))) (let ((?v_1651 (=> ?v_1646 ?v_1655))) (let ((?v_1653 (=> ?v_1650 ?v_1651))) (let ((?v_1657 (=> ?v_1649 (=> ?v_1645 ?v_1653))) (?v_1643 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5)))) (let ((?v_1668 (=> true (=> (<= k.321 k.322) (=> (< k.322 5) (and (=> true (=> ?v_1531 (=> (= Mem_0_T.CancelRoutine__IRP.92 (MapType0Store Mem_0_T.CancelRoutine__IRP.91 ?v_1643 ?v_46)) (=> true (=> ?v_1644 (=> (= Mem_0_T.CancelRoutine__IRP.93 Mem_0_T.CancelRoutine__IRP.92) (=> ?v_1645 (=> ?v_1650 (=> ?v_1646 ?v_1647))))))))) (=> true (=> ?v_1642 (and (=> true (=> ?v_1633 (=> (= Mem_1_T.CancelRoutine__IRP.92 (MapType0Store Mem_1_T.CancelRoutine__IRP.91 ?v_1643 ?v_46)) (=> true (=> ?v_1644 (=> ?v_1649 (=> ?v_1645 (=> (= Mem_1_T.CancelRoutine__IRP.93 Mem_1_T.CancelRoutine__IRP.92) ?v_1651)))))))) (=> true (=> ?v_1648 (and (=> true (=> ?v_1636 (=> (= Mem_2_T.CancelRoutine__IRP.92 (MapType0Store Mem_2_T.CancelRoutine__IRP.91 ?v_1643 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.93 Mem_2_T.CancelRoutine__IRP.92) ?v_1657))))) (=> true (=> ?v_1652 (and (=> true (=> ?v_1638 (=> (= Mem_3_T.CancelRoutine__IRP.92 (MapType0Store Mem_3_T.CancelRoutine__IRP.91 ?v_1643 ?v_46)) (=> true (=> ?v_1644 (=> ?v_1649 (=> (= Mem_3_T.CancelRoutine__IRP.93 Mem_3_T.CancelRoutine__IRP.92) ?v_1653))))))) (=> true (=> ?v_1654 (and (=> true (=> ?v_1640 (=> (= Mem_4_T.CancelRoutine__IRP.92 (MapType0Store Mem_4_T.CancelRoutine__IRP.91 ?v_1643 ?v_46)) (=> true (=> ?v_1644 (=> ?v_1649 (=> ?v_1645 (=> ?v_1650 (=> (= Mem_4_T.CancelRoutine__IRP.93 Mem_4_T.CancelRoutine__IRP.92) ?v_1655))))))))) (=> true (=> ?v_1656 (=> true (=> ?v_1644 ?v_1657))))))))))))))))))))) (?v_1658 (= k.321 0)) (?v_1660 (= k.321 1)) (?v_1662 (= k.321 2)) (?v_1664 (= k.321 3)) (?v_1666 (= k.321 4)) (?v_1525 (int_2_U call92450formal.new.0))) (let ((?v_1680 (and (=> true (=> (not ?v_1673) (and (=> true (=> (not ?v_1671) (=> true (and ?v_11 (=> ?v_11 (=> (> call92450formal.new.0 0) (=> (forall ((?x1585 Int)) (! (=> (and (<= call92450formal.new.0 ?x1585) (< ?x1585 (+ call92450formal.new.0 1))) (= (Base ?x1585) call92450formal.new.0)) :pattern ((Base ?x1585)) )) (=> (forall ((?x1586 boogieU)) (! (=> (= (type ?x1586) intType) (or (= (U_2_int ?x1586) call92450formal.new.0) (= (MapType0Select alloc.89 ?x1586) (MapType0Select alloc.91 ?x1586)))) :pattern ((MapType0Select alloc.91 ?x1586)) )) (=> (and (= (MapType0Select alloc.89 ?v_1525) UNALLOCATED) (= (MapType0Select alloc.91 ?v_1525) ALLOCATED)) (and (=> true (=> ?v_1669 (=> true (=> (<= k.320 k.321) (=> (< k.321 5) (and (=> true (=> (=> ?v_1658 ?v_1526) (=> (=> ?v_1660 ?v_1527) (=> (=> ?v_1662 ?v_1528) (=> (=> ?v_1664 ?v_1529) (=> (=> ?v_1666 ?v_1530) (=> true (=> (= errorReached.65 1) ?v_1668)))))))) (=> true (=> (=> ?v_1658 ?v_1659) (=> (=> ?v_1660 ?v_1661) (=> (=> ?v_1662 ?v_1663) (=> (=> ?v_1664 ?v_1665) (=> (=> ?v_1666 ?v_1667) (=> true (=> (= errorReached.65 errorReached.64) ?v_1668)))))))))))))) (=> true (=> (not ?v_1669) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.94 Mem_1_T.CancelRoutine__IRP.91) (=> (= irpCompleted_1.37 irpCompleted_1.30) (=> (= Mem_2_T.CancelRoutine__IRP.94 Mem_2_T.CancelRoutine__IRP.91) (=> (= irpCompleted_2.37 irpCompleted_2.30) (=> (= Mem_4_T.CancelRoutine__IRP.94 Mem_4_T.CancelRoutine__IRP.91) (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1.) (=> (= k.323 k.320) (=> (= irpCompleted_3.37 irpCompleted_3.30) (=> (= errorReached.66 errorReached.64) (=> (= Mem_0_T.CancelRoutine__IRP.94 Mem_0_T.CancelRoutine__IRP.91) (=> (= irpCompleted_0.37 irpCompleted_0.30) (=> (= irpCompleted_4.37 irpCompleted_4.30) (=> (= Mem_3_T.CancelRoutine__IRP.94 Mem_3_T.CancelRoutine__IRP.91) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1670))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1671 ?v_1674))))) (=> true (=> ?v_1673 ?v_1674))))) (let ((?v_1688 (=> true (=> true (=> true (=> true (=> true ?v_1680)))))) (?v_1682 (= cancelLockStatus_1.65 cancelLockStatus_1.62)) (?v_1683 (= cancelLockStatus_0.65 cancelLockStatus_0.62)) (?v_1677 (= cancelLockStatus_2.65 cancelLockStatus_2.62)) (?v_1678 (= cancelLockStatus_4.65 cancelLockStatus_4.62)) (?v_1679 (= cancelLockStatus_3.65 cancelLockStatus_3.62))) (let ((?v_1691 (=> ?v_1679 ?v_1688))) (let ((?v_1685 (=> ?v_1678 ?v_1691))) (let ((?v_1693 (=> ?v_1683 (=> ?v_1677 ?v_1685))) (?v_1692 (= k.320 4)) (?v_1689 (= k.320 3)) (?v_1686 (= k.320 2)) (?v_1681 (= k.320 1)) (?v_1675 (= k.320 0))) (let ((?v_1698 (=> true (=> (<= k.319 k.320) (=> (< k.320 5) (and (=> true (=> ?v_1675 (=> true (=> ?v_1682 (=> ?v_1592 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 ?v_1680)))))))) (=> true (=> (not ?v_1675) (and (=> true (=> ?v_1681 (=> true (=> ?v_1676 ?v_1693)))) (=> true (=> (not ?v_1681) (and (=> true (=> ?v_1686 (=> true (=> ?v_1682 (=> ?v_1683 (=> ?v_1684 ?v_1685)))))) (=> true (=> (not ?v_1686) (and (=> true (=> ?v_1689 (=> true (=> ?v_1682 (=> ?v_1683 (=> ?v_1677 (=> ?v_1678 (=> ?v_1687 ?v_1688)))))))) (=> true (=> (not ?v_1689) (and (=> true (=> ?v_1692 (=> true (=> ?v_1682 (=> ?v_1683 (=> ?v_1677 (=> ?v_1690 ?v_1691))))))) (=> true (=> (not ?v_1692) (=> true (=> ?v_1682 ?v_1693)))))))))))))))))))))) (let ((?v_1706 (=> true (=> true (=> true (=> true ?v_1698))))) (?v_1695 (= Mem_3_T.P_IRP.66 Mem_3_T.P_IRP.64)) (?v_1700 (= Mem_1_T.P_IRP.66 Mem_1_T.P_IRP.64)) (?v_1701 (= Mem_0_T.P_IRP.66 Mem_0_T.P_IRP.64)) (?v_1696 (= Mem_2_T.P_IRP.66 Mem_2_T.P_IRP.64)) (?v_1697 (= Mem_4_T.P_IRP.66 Mem_4_T.P_IRP.64))) (let ((?v_1702 (=> ?v_1697 ?v_1706))) (let ((?v_1704 (=> ?v_1701 (=> ?v_1696 ?v_1702)))) (let ((?v_1708 (=> ?v_1700 ?v_1704)) (?v_1707 (= k.319 4)) (?v_1705 (= k.319 3)) (?v_1703 (= k.319 2)) (?v_1699 (= k.319 1)) (?v_1694 (= k.319 0))) (let ((?v_1728 (=> true (=> (<= k.318 k.319) (=> (< k.319 5) (and (=> true (=> ?v_1694 (=> (= Mem_0_T.P_IRP.65 (MapType0Store Mem_0_T.P_IRP.64 ?v_1490 (MapType0Select Mem_0_T.P_IRP.64 ?v_1494))) (=> true (=> ?v_1695 (=> ?v_1700 (=> (= Mem_0_T.P_IRP.66 Mem_0_T.P_IRP.65) (=> ?v_1696 (=> ?v_1697 ?v_1698))))))))) (=> true (=> (not ?v_1694) (and (=> true (=> ?v_1699 (=> (= Mem_1_T.P_IRP.65 (MapType0Store Mem_1_T.P_IRP.64 ?v_1490 (MapType0Select Mem_1_T.P_IRP.64 ?v_1494))) (=> true (=> ?v_1695 (=> (= Mem_1_T.P_IRP.66 Mem_1_T.P_IRP.65) ?v_1704)))))) (=> true (=> (not ?v_1699) (and (=> true (=> ?v_1703 (=> (= Mem_2_T.P_IRP.65 (MapType0Store Mem_2_T.P_IRP.64 ?v_1490 (MapType0Select Mem_2_T.P_IRP.64 ?v_1494))) (=> true (=> ?v_1695 (=> ?v_1700 (=> ?v_1701 (=> (= Mem_2_T.P_IRP.66 Mem_2_T.P_IRP.65) ?v_1702)))))))) (=> true (=> (not ?v_1703) (and (=> true (=> ?v_1705 (=> (= Mem_3_T.P_IRP.65 (MapType0Store Mem_3_T.P_IRP.64 ?v_1490 (MapType0Select Mem_3_T.P_IRP.64 ?v_1494))) (=> true (=> (= Mem_3_T.P_IRP.66 Mem_3_T.P_IRP.65) ?v_1708))))) (=> true (=> (not ?v_1705) (and (=> true (=> ?v_1707 (=> (= Mem_4_T.P_IRP.65 (MapType0Store Mem_4_T.P_IRP.64 ?v_1490 (MapType0Select Mem_4_T.P_IRP.64 ?v_1494))) (=> true (=> ?v_1695 (=> ?v_1700 (=> ?v_1701 (=> ?v_1696 (=> (= Mem_4_T.P_IRP.66 Mem_4_T.P_IRP.65) ?v_1706))))))))) (=> true (=> (not ?v_1707) (=> true (=> ?v_1695 ?v_1708)))))))))))))))))))))) (let ((?v_1733 (=> true (=> (<= k.316 k.317) (=> (< k.317 5) (=> true (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..0 call93406formal.ret.0) (=> (= errorReached.64 errorReached.63) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.6.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..0) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.6 inline.SerialGetNextIrpLocked.6.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= Mem_2_T.P_IRP.64 Mem_2_T.P_IRP.61) (=> (= Mem_4_T.CancelRoutine__IRP.91 Mem_4_T.CancelRoutine__IRP.90) (=> (= Mem_0_T.CancelRoutine__IRP.91 Mem_0_T.CancelRoutine__IRP.90) (=> (= k.318 k.317) (=> (= Mem_0_T.P_IRP.64 Mem_0_T.P_IRP.61) (=> (= inline.RemoveHeadList.6.myNondetVar_0.2 inline.RemoveHeadList.6.myNondetVar_0.1) (=> (= Mem_2_T.CancelRoutine__IRP.91 Mem_2_T.CancelRoutine__IRP.90) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= Mem_1_T.P_IRP.64 Mem_1_T.P_IRP.61) (=> (= Mem_3_T.P_IRP.64 Mem_3_T.P_IRP.61) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= Mem_1_T.CancelRoutine__IRP.91 Mem_1_T.CancelRoutine__IRP.90) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.6.myVar_0.5) (=> (= Mem_3_T.CancelRoutine__IRP.91 Mem_3_T.CancelRoutine__IRP.90) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= Mem_4_T.P_IRP.64 Mem_4_T.P_IRP.61) ?v_1728))))))))))))))))))))))))))))))) (let ((?v_1741 (=> true ?v_1733)) (?v_1730 (= Mem_2_T.CancelRoutine__IRP.90 Mem_2_T.CancelRoutine__IRP.85)) (?v_1735 (= Mem_0_T.CancelRoutine__IRP.90 Mem_0_T.CancelRoutine__IRP.85)) (?v_1731 (= Mem_3_T.CancelRoutine__IRP.90 Mem_3_T.CancelRoutine__IRP.85)) (?v_1736 (= Mem_1_T.CancelRoutine__IRP.90 Mem_1_T.CancelRoutine__IRP.85)) (?v_1732 (= Mem_4_T.CancelRoutine__IRP.90 Mem_4_T.CancelRoutine__IRP.85))) (let ((?v_1737 (=> ?v_1732 ?v_1741))) (let ((?v_1739 (=> ?v_1736 ?v_1737))) (let ((?v_1743 (=> ?v_1735 (=> ?v_1731 ?v_1739))) (?v_1742 (= k.316 4)) (?v_1727 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.6.myVar_0.5))) (?v_1740 (= k.316 3)) (?v_1738 (= k.316 2)) (?v_1734 (= k.316 1)) (?v_1729 (= k.316 0))) (let ((?v_1751 (=> true (=> (<= k.315 k.316) (=> (< k.316 5) (and (=> true (=> ?v_1729 (=> (= Mem_0_T.CancelRoutine__IRP.89 (MapType0Store Mem_0_T.CancelRoutine__IRP.85 ?v_1727 ?v_46)) (=> true (=> ?v_1730 (=> (= Mem_0_T.CancelRoutine__IRP.90 Mem_0_T.CancelRoutine__IRP.89) (=> ?v_1731 (=> ?v_1736 (=> ?v_1732 ?v_1733))))))))) (=> true (=> (not ?v_1729) (and (=> true (=> ?v_1734 (=> (= Mem_1_T.CancelRoutine__IRP.89 (MapType0Store Mem_1_T.CancelRoutine__IRP.85 ?v_1727 ?v_46)) (=> true (=> ?v_1730 (=> ?v_1735 (=> ?v_1731 (=> (= Mem_1_T.CancelRoutine__IRP.90 Mem_1_T.CancelRoutine__IRP.89) ?v_1737)))))))) (=> true (=> (not ?v_1734) (and (=> true (=> ?v_1738 (=> (= Mem_2_T.CancelRoutine__IRP.89 (MapType0Store Mem_2_T.CancelRoutine__IRP.85 ?v_1727 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.90 Mem_2_T.CancelRoutine__IRP.89) ?v_1743))))) (=> true (=> (not ?v_1738) (and (=> true (=> ?v_1740 (=> (= Mem_3_T.CancelRoutine__IRP.89 (MapType0Store Mem_3_T.CancelRoutine__IRP.85 ?v_1727 ?v_46)) (=> true (=> ?v_1730 (=> ?v_1735 (=> (= Mem_3_T.CancelRoutine__IRP.90 Mem_3_T.CancelRoutine__IRP.89) ?v_1739))))))) (=> true (=> (not ?v_1740) (and (=> true (=> ?v_1742 (=> (= Mem_4_T.CancelRoutine__IRP.89 (MapType0Store Mem_4_T.CancelRoutine__IRP.85 ?v_1727 ?v_46)) (=> true (=> ?v_1730 (=> ?v_1735 (=> ?v_1731 (=> ?v_1736 (=> (= Mem_4_T.CancelRoutine__IRP.90 Mem_4_T.CancelRoutine__IRP.89) ?v_1741))))))))) (=> true (=> (not ?v_1742) (=> true (=> ?v_1730 ?v_1743)))))))))))))))))))))) (let ((?v_1753 (=> (= errorReached.63 errorReached.60) ?v_1751)) (?v_1752 (= inline.SerialGetNextIrpLocked.6.myVar_0.5 hirp)) (?v_1749 (= k.315 k.314)) (?v_1750 (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..0 call93315formal.ret.0)) (?v_1744 (= k.314 0)) (?v_1745 (= k.314 1)) (?v_1746 (= k.314 2)) (?v_1747 (= k.314 3)) (?v_1748 (= k.314 4))) (let ((?v_1755 (and (=> true (=> ?v_1752 (=> true (=> (<= k.313 k.314) (=> (< k.314 5) (and (=> true (=> (=> ?v_1744 ?v_1526) (=> (=> ?v_1745 ?v_1527) (=> (=> ?v_1746 ?v_1528) (=> (=> ?v_1747 ?v_1529) (=> (=> ?v_1748 ?v_1530) (=> true (=> ?v_1749 (=> ?v_1750 (=> (= errorReached.63 1) ?v_1751)))))))))) (=> true (=> (=> ?v_1744 ?v_1659) (=> (=> ?v_1745 ?v_1661) (=> (=> ?v_1746 ?v_1663) (=> (=> ?v_1747 ?v_1665) (=> (=> ?v_1748 ?v_1667) (=> true (=> ?v_1749 (=> ?v_1750 ?v_1753))))))))))))))) (=> true (=> (not ?v_1752) (=> true (=> (= k.315 k.313) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2.) ?v_1753)))))))) (let ((?v_1757 (=> true (=> true ?v_1755))) (?v_1760 (= k.313 4)) (?v_1759 (= k.313 3)) (?v_1758 (= k.313 2)) (?v_1756 (= k.313 1)) (?v_1754 (= k.313 0))) (let ((?v_1763 (=> true (=> (<= k.307 k.313) (=> (< k.313 5) (and (=> true (=> ?v_1754 (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.85 ?v_1727))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_1755))))) (=> true (=> (not ?v_1754) (and (=> true (=> ?v_1756 (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.85 ?v_1727))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_1757))))) (=> true (=> (not ?v_1756) (and (=> true (=> ?v_1758 (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.85 ?v_1727))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_1757))))) (=> true (=> (not ?v_1758) (and (=> true (=> ?v_1759 (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.85 ?v_1727))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_1757))))) (=> true (=> (not ?v_1759) (and (=> true (=> ?v_1760 (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.85 ?v_1727))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_1757))))) (=> true (=> (not ?v_1760) (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_1757)))))))))))))))))))))) (let ((?v_1766 (=> true (=> true (=> true (=> true ?v_1763))))) (?v_1771 (= k.307 4)) (?v_1770 (U_2_int (MapType0Select Mem_4_T.P_IRP.61 ?v_1494))) (?v_1769 (= k.307 3)) (?v_1768 (U_2_int (MapType0Select Mem_3_T.P_IRP.61 ?v_1494))) (?v_1767 (= k.307 2)) (?v_1765 (U_2_int (MapType0Select Mem_2_T.P_IRP.61 ?v_1494))) (?v_1764 (= k.307 1)) (?v_1762 (U_2_int (MapType0Select Mem_1_T.P_IRP.61 ?v_1494))) (?v_1761 (= k.307 0)) (?v_1726 (U_2_int (MapType0Select Mem_0_T.P_IRP.61 ?v_1494))) (?v_1725 (= k.306 0)) (?v_1772 (= k.306 1)) (?v_1778 (= k.306 2)) (?v_1782 (= k.306 3)) (?v_1784 (= k.306 4))) (let ((?v_1777 (=> true (=> (=> ?v_1725 (not (= ?v_1726 hirp))) (=> (=> ?v_1772 (not (= ?v_1762 hirp))) (=> (=> ?v_1778 (not (= ?v_1765 hirp))) (=> (=> ?v_1782 (not (= ?v_1768 hirp))) (=> (=> ?v_1784 (not (= ?v_1770 hirp))) (=> true (=> (<= k.306 k.307) (=> (< k.307 5) (and (=> true (=> ?v_1761 (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.0 ?v_1726) (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.5 inline.SerialGetNextIrpLocked.6.myVar_0.0) ?v_1763))))) (=> true (=> (not ?v_1761) (and (=> true (=> ?v_1764 (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.2 ?v_1762) (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.5 inline.SerialGetNextIrpLocked.6.myVar_0.2) ?v_1766))))) (=> true (=> (not ?v_1764) (and (=> true (=> ?v_1767 (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.1 ?v_1765) (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.5 inline.SerialGetNextIrpLocked.6.myVar_0.1) ?v_1766))))) (=> true (=> (not ?v_1767) (and (=> true (=> ?v_1769 (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.3 ?v_1768) (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.5 inline.SerialGetNextIrpLocked.6.myVar_0.3) ?v_1766))))) (=> true (=> (not ?v_1769) (and (=> true (=> ?v_1771 (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.4 ?v_1770) (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.5 inline.SerialGetNextIrpLocked.6.myVar_0.4) ?v_1766))))) (=> true (=> (not ?v_1771) (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.5 inline.SerialGetNextIrpLocked.6.myVar_0) ?v_1766)))))))))))))))))))))))))))) (let ((?v_1785 (=> true ?v_1777)) (?v_1774 (= Mem_3_T.P_IRP.61 Mem_3_T.P_IRP.57)) (?v_1779 (= Mem_1_T.P_IRP.61 Mem_1_T.P_IRP.57)) (?v_1780 (= Mem_0_T.P_IRP.61 Mem_0_T.P_IRP.57)) (?v_1775 (= Mem_2_T.P_IRP.61 Mem_2_T.P_IRP.57)) (?v_1776 (= Mem_4_T.P_IRP.61 Mem_4_T.P_IRP.57))) (let ((?v_1781 (=> ?v_1776 ?v_1785))) (let ((?v_1783 (=> ?v_1780 (=> ?v_1775 ?v_1781)))) (let ((?v_1786 (=> ?v_1779 ?v_1783)) (?v_1773 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.6.myNondetVar_0.0 1 88))) (?v_1724 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 0)) (?v_1713 (=> true (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3.) (=> (= errorReached.64 errorReached.60) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3310.4.2.) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.6 inline.SerialGetNextIrpLocked.6.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList) (=> (= Mem_2_T.P_IRP.64 Mem_2_T.P_IRP.59) (=> (= Mem_4_T.CancelRoutine__IRP.91 Mem_4_T.CancelRoutine__IRP.85) (=> (= Mem_0_T.CancelRoutine__IRP.91 Mem_0_T.CancelRoutine__IRP.85) (=> (= k.318 k.305) (=> (= Mem_0_T.P_IRP.64 Mem_0_T.P_IRP.59) (=> (= inline.RemoveHeadList.6.myNondetVar_0.2 inline.RemoveHeadList.6.myNondetVar_0) (=> (= Mem_2_T.CancelRoutine__IRP.91 Mem_2_T.CancelRoutine__IRP.85) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= Mem_1_T.P_IRP.64 Mem_1_T.P_IRP.59) (=> (= Mem_3_T.P_IRP.64 Mem_3_T.P_IRP.59) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= Mem_1_T.CancelRoutine__IRP.91 Mem_1_T.CancelRoutine__IRP.85) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= Mem_3_T.CancelRoutine__IRP.91 Mem_3_T.CancelRoutine__IRP.85) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_4_T.P_IRP.64 Mem_4_T.P_IRP.59) ?v_1728)))))))))))))))))))))))))))) (let ((?v_1721 (=> true ?v_1713)) (?v_1710 (= Mem_3_T.P_IRP.59 Mem_3_T.P_IRP.57)) (?v_1715 (= Mem_1_T.P_IRP.59 Mem_1_T.P_IRP.57)) (?v_1716 (= Mem_0_T.P_IRP.59 Mem_0_T.P_IRP.57)) (?v_1711 (= Mem_2_T.P_IRP.59 Mem_2_T.P_IRP.57)) (?v_1712 (= Mem_4_T.P_IRP.59 Mem_4_T.P_IRP.57))) (let ((?v_1717 (=> ?v_1712 ?v_1721))) (let ((?v_1719 (=> ?v_1716 (=> ?v_1711 ?v_1717)))) (let ((?v_1723 (=> ?v_1715 ?v_1719)) (?v_1722 (= k.305 4)) (?v_1720 (= k.305 3)) (?v_1718 (= k.305 2)) (?v_1714 (= k.305 1)) (?v_1709 (= k.305 0))) (let ((?v_1788 (=> true (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.7.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_1724) (=> true (=> (<= k.304 k.305) (=> (< k.305 5) (and (=> true (=> ?v_1709 (=> (= Mem_0_T.P_IRP.58 (MapType0Store Mem_0_T.P_IRP.57 ?v_1494 ?v_46)) (=> true (=> ?v_1710 (=> ?v_1715 (=> (= Mem_0_T.P_IRP.59 Mem_0_T.P_IRP.58) (=> ?v_1711 (=> ?v_1712 ?v_1713))))))))) (=> true (=> (not ?v_1709) (and (=> true (=> ?v_1714 (=> (= Mem_1_T.P_IRP.58 (MapType0Store Mem_1_T.P_IRP.57 ?v_1494 ?v_46)) (=> true (=> ?v_1710 (=> (= Mem_1_T.P_IRP.59 Mem_1_T.P_IRP.58) ?v_1719)))))) (=> true (=> (not ?v_1714) (and (=> true (=> ?v_1718 (=> (= Mem_2_T.P_IRP.58 (MapType0Store Mem_2_T.P_IRP.57 ?v_1494 ?v_46)) (=> true (=> ?v_1710 (=> ?v_1715 (=> ?v_1716 (=> (= Mem_2_T.P_IRP.59 Mem_2_T.P_IRP.58) ?v_1717)))))))) (=> true (=> (not ?v_1718) (and (=> true (=> ?v_1720 (=> (= Mem_3_T.P_IRP.58 (MapType0Store Mem_3_T.P_IRP.57 ?v_1494 ?v_46)) (=> true (=> (= Mem_3_T.P_IRP.59 Mem_3_T.P_IRP.58) ?v_1723))))) (=> true (=> (not ?v_1720) (and (=> true (=> ?v_1722 (=> (= Mem_4_T.P_IRP.58 (MapType0Store Mem_4_T.P_IRP.57 ?v_1494 ?v_46)) (=> true (=> ?v_1710 (=> ?v_1715 (=> ?v_1716 (=> ?v_1711 (=> (= Mem_4_T.P_IRP.59 Mem_4_T.P_IRP.58) ?v_1721))))))))) (=> true (=> (not ?v_1722) (=> true (=> ?v_1710 ?v_1723)))))))))))))))))))))) (=> true (=> ?v_1724 (=> true (=> (<= k.304 k.306) (=> (< k.306 5) (and (=> true (=> ?v_1725 (=> (= Mem_0_T.P_IRP.60 (MapType0Store Mem_0_T.P_IRP.57 ?v_1494 ?v_1773)) (=> true (=> ?v_1774 (=> ?v_1779 (=> (= Mem_0_T.P_IRP.61 Mem_0_T.P_IRP.60) (=> ?v_1775 (=> ?v_1776 ?v_1777))))))))) (=> true (=> (not ?v_1725) (and (=> true (=> ?v_1772 (=> (= Mem_1_T.P_IRP.60 (MapType0Store Mem_1_T.P_IRP.57 ?v_1494 ?v_1773)) (=> true (=> ?v_1774 (=> (= Mem_1_T.P_IRP.61 Mem_1_T.P_IRP.60) ?v_1783)))))) (=> true (=> (not ?v_1772) (and (=> true (=> ?v_1778 (=> (= Mem_2_T.P_IRP.60 (MapType0Store Mem_2_T.P_IRP.57 ?v_1494 ?v_1773)) (=> true (=> ?v_1774 (=> ?v_1779 (=> ?v_1780 (=> (= Mem_2_T.P_IRP.61 Mem_2_T.P_IRP.60) ?v_1781)))))))) (=> true (=> (not ?v_1778) (and (=> true (=> ?v_1782 (=> (= Mem_3_T.P_IRP.60 (MapType0Store Mem_3_T.P_IRP.57 ?v_1494 ?v_1773)) (=> true (=> (= Mem_3_T.P_IRP.61 Mem_3_T.P_IRP.60) ?v_1786))))) (=> true (=> (not ?v_1782) (and (=> true (=> ?v_1784 (=> (= Mem_4_T.P_IRP.60 (MapType0Store Mem_4_T.P_IRP.57 ?v_1494 ?v_1773)) (=> true (=> ?v_1774 (=> ?v_1779 (=> ?v_1780 (=> ?v_1775 (=> (= Mem_4_T.P_IRP.61 Mem_4_T.P_IRP.60) ?v_1785))))))))) (=> true (=> (not ?v_1784) (=> true (=> ?v_1774 ?v_1786))))))))))))))))))))))))))) (let ((?v_1790 (=> true (=> true (=> true (=> true ?v_1788))))) (?v_1793 (= k.304 4)) (?v_1792 (= k.304 3)) (?v_1791 (= k.304 2)) (?v_1789 (= k.304 1)) (?v_1787 (= k.304 0))) (let ((?v_1798 (=> true (=> (<= k.303 k.304) (=> (< k.304 5) (and (=> true (=> ?v_1787 (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.57 ?v_1494))) (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_1788))))) (=> true (=> (not ?v_1787) (and (=> true (=> ?v_1789 (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.4 (U_2_int (MapType0Select Mem_1_T.P_IRP.57 ?v_1494))) (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.4) ?v_1790))))) (=> true (=> (not ?v_1789) (and (=> true (=> ?v_1791 (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_2_T.P_IRP.57 ?v_1494))) (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_1790))))) (=> true (=> (not ?v_1791) (and (=> true (=> ?v_1792 (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 (U_2_int (MapType0Select Mem_3_T.P_IRP.57 ?v_1494))) (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2) ?v_1790))))) (=> true (=> (not ?v_1792) (and (=> true (=> ?v_1793 (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.3 (U_2_int (MapType0Select Mem_4_T.P_IRP.57 ?v_1494))) (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.3) ?v_1790))))) (=> true (=> (not ?v_1793) (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_1790)))))))))))))))))))))) (let ((?v_1804 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1798))))))))) (?v_1800 (= cancelLockStatus_1.62 cancelLockStatus_1.61)) (?v_1801 (= cancelLockStatus_0.62 cancelLockStatus_0.61)) (?v_1795 (= cancelLockStatus_2.62 cancelLockStatus_2.61)) (?v_1796 (= cancelLockStatus_4.62 cancelLockStatus_4.61)) (?v_1797 (= cancelLockStatus_3.62 cancelLockStatus_3.61))) (let ((?v_1806 (=> ?v_1797 ?v_1804))) (let ((?v_1802 (=> ?v_1796 ?v_1806))) (let ((?v_1807 (=> ?v_1801 (=> ?v_1795 ?v_1802))) (?v_1805 (= k.303 4)) (?v_1803 (= k.303 3)) (?v_1799 (= k.303 2)) (?v_1794 (= k.303 1)) (?v_1524 (= k.303 0)) (?v_1523 (int_2_U call91839formal.new.0))) (let ((?v_1856 (=> true (and ?v_11 (=> ?v_11 (=> (> call91839formal.new.0 0) (=> (forall ((?x1587 Int)) (! (=> (and (<= call91839formal.new.0 ?x1587) (< ?x1587 (+ call91839formal.new.0 1))) (= (Base ?x1587) call91839formal.new.0)) :pattern ((Base ?x1587)) )) (=> (forall ((?x1588 boogieU)) (! (=> (= (type ?x1588) intType) (or (= (U_2_int ?x1588) call91839formal.new.0) (= (MapType0Select alloc.88 ?x1588) (MapType0Select alloc.89 ?x1588)))) :pattern ((MapType0Select alloc.89 ?x1588)) )) (=> (and (= (MapType0Select alloc.88 ?v_1523) UNALLOCATED) (= (MapType0Select alloc.89 ?v_1523) ALLOCATED)) (=> true (=> (<= k.302 k.303) (=> (< k.303 5) (=> true (=> (=> ?v_1524 (= cancelLockStatus_0.61 0)) (=> (=> ?v_1794 (= cancelLockStatus_1.61 0)) (=> (=> ?v_1799 (= cancelLockStatus_2.61 0)) (=> (=> ?v_1803 (= cancelLockStatus_3.61 0)) (=> (=> ?v_1805 (= cancelLockStatus_4.61 0)) (and (=> true (=> ?v_1524 (=> true (=> ?v_1800 (=> (= cancelLockStatus_0.62 1) (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 ?v_1798)))))))) (=> true (=> (not ?v_1524) (and (=> true (=> ?v_1794 (=> true (=> (= cancelLockStatus_1.62 1) ?v_1807)))) (=> true (=> (not ?v_1794) (and (=> true (=> ?v_1799 (=> true (=> ?v_1800 (=> ?v_1801 (=> (= cancelLockStatus_2.62 1) ?v_1802)))))) (=> true (=> (not ?v_1799) (and (=> true (=> ?v_1803 (=> true (=> ?v_1800 (=> ?v_1801 (=> ?v_1795 (=> ?v_1796 (=> (= cancelLockStatus_3.62 1) ?v_1804)))))))) (=> true (=> (not ?v_1803) (and (=> true (=> ?v_1805 (=> true (=> ?v_1800 (=> ?v_1801 (=> ?v_1795 (=> (= cancelLockStatus_4.62 1) ?v_1806))))))) (=> true (=> (not ?v_1805) (=> true (=> ?v_1800 ?v_1807))))))))))))))))))))))))))))))))))) (let ((?v_2096 (=> true (=> true ?v_1856))) (?v_2038 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2039 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2040 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.3 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_2041 (= alloc.88 alloc.83)) (?v_2042 (= Mem_3_T.CancelRoutine__IRP.85 Mem_3_T.CancelRoutine__IRP.74)) (?v_2043 (= inline.SerialSetTimer.6.myNondetVar_0.6 inline.SerialSetTimer.6.myNondetVar_0)) (?v_2044 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2045 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_2046 (= Mem_1_T.CancelRoutine__IRP.85 Mem_1_T.CancelRoutine__IRP.74)) (?v_2047 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_2048 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2049 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2050 (= Mem_0_T.P_IRP.57 Mem_0_T.P_IRP.46)) (?v_2051 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_2052 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2053 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.4 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_2054 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2055 (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1.)) (?v_2056 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2057 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_2058 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2059 (= Mem_4_T.P_IRP.57 Mem_4_T.P_IRP.46)) (?v_2060 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_2061 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2062 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2063 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_2064 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2065 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.12)) (?v_2066 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_2067 (= inline.SerialGetNextWrite.3.myVar_0.18 inline.SerialGetNextWrite.3.myVar_0.12)) (?v_2068 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_2069 (= Mem_1_T.P_IRP.57 Mem_1_T.P_IRP.46)) (?v_2070 (= Mem_2_T.P_IRP.57 Mem_2_T.P_IRP.46)) (?v_2071 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2072 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_2073 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2074 (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1.)) (?v_2075 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_2076 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2.)) (?v_2077 (= Mem_0_T.CancelRoutine__IRP.85 Mem_0_T.CancelRoutine__IRP.74)) (?v_2078 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_2079 (= Mem_3_T.P_IRP.57 Mem_3_T.P_IRP.46)) (?v_2080 (= inline.KeSynchronizeExecution.14.myNondetVar_0.8 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_2081 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.12)) (?v_2082 (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1.)) (?v_2083 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_2084 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2085 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_2086 (= inline.SerialGetNextWrite.3.myNondetVar_2.3 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_2087 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_2088 (= Mem_2_T.CancelRoutine__IRP.85 Mem_2_T.CancelRoutine__IRP.74)) (?v_2089 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_2090 (= inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1.)) (?v_2091 (= errorReached.60 errorReached.52)) (?v_2092 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_2093 (= Mem_4_T.CancelRoutine__IRP.85 Mem_4_T.CancelRoutine__IRP.74)) (?v_2094 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3.)) (?v_2095 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2037 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_1861 (=> true (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.3 inline.sdv_InterlockedIncrement.7.myNondetVar_0.2) (=> (= alloc.88 alloc.85) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.5 inline.SerialGetNextWrite.3.tempBoogie0.3) (=> (= Mem_3_T.CancelRoutine__IRP.85 Mem_3_T.CancelRoutine__IRP.78) (=> (= inline.SerialSetTimer.6.myNondetVar_0.6 inline.SerialSetTimer.6.myNondetVar_0.5) (=> ?v_2044 (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0) (=> (= Mem_1_T.CancelRoutine__IRP.85 Mem_1_T.CancelRoutine__IRP.78) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= k.302 k.292) (=> (= cancelLockStatus_4.61 cancelLockStatus_4.59) (=> (= Mem_0_T.P_IRP.57 Mem_0_T.P_IRP.53) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0) (=> ?v_2052 (=> (= cancelLockStatus_0.61 cancelLockStatus_0.59) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.4 inline.sdv_InterlockedDecrement.28.myNondetVar_0.3) (=> ?v_2054 (=> (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..0 call94347formal.ret.0) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= Mem_4_T.P_IRP.57 Mem_4_T.P_IRP.53) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.16 inline.SerialGetNextWrite.3.myNondetVar_0.13) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_2065 (=> (= cancelLockStatus_1.61 cancelLockStatus_1.59) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0) (=> ?v_2067 (=> ?v_2068 (=> (= Mem_1_T.P_IRP.57 Mem_1_T.P_IRP.53) (=> (= Mem_2_T.P_IRP.57 Mem_2_T.P_IRP.53) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_2074 (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..1) (=> (= Mem_0_T.CancelRoutine__IRP.85 Mem_0_T.CancelRoutine__IRP.78) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1) (=> (= Mem_3_T.P_IRP.57 Mem_3_T.P_IRP.53) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.8 inline.KeSynchronizeExecution.14.myNondetVar_0.7) (=> ?v_2081 (=> (= cancelLockStatus_3.61 cancelLockStatus_3.59) (=> (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..0 call93985formal.ret.0) (=> ?v_2083 (=> (= cancelLockStatus_2.61 cancelLockStatus_2.59) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.3 inline.SerialGetNextWrite.3.myNondetVar_2.2) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0) (=> (= Mem_2_T.CancelRoutine__IRP.85 Mem_2_T.CancelRoutine__IRP.78) (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5) (=> ?v_2090 (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.4 inline.SerialGetNextWrite.3.myNondetVar_1.2) (=> (= errorReached.60 errorReached.55) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0) (=> (= Mem_4_T.CancelRoutine__IRP.85 Mem_4_T.CancelRoutine__IRP.78) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) ?v_2096)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1867 (=> true (=> true (=> true (=> true ?v_1861))))) (?v_1863 (= cancelLockStatus_1.59 cancelLockStatus_1.56)) (?v_1864 (= cancelLockStatus_0.59 cancelLockStatus_0.56)) (?v_1858 (= cancelLockStatus_2.59 cancelLockStatus_2.56)) (?v_1859 (= cancelLockStatus_4.59 cancelLockStatus_4.56)) (?v_1860 (= cancelLockStatus_3.59 cancelLockStatus_3.56))) (let ((?v_1869 (=> ?v_1860 ?v_1867))) (let ((?v_1865 (=> ?v_1859 ?v_1869))) (let ((?v_1871 (=> ?v_1864 (=> ?v_1858 ?v_1865))) (?v_1870 (= k.292 4)) (?v_1868 (= k.292 3)) (?v_1866 (= k.292 2)) (?v_1862 (= k.292 1)) (?v_1857 (= k.292 0))) (let ((?v_1922 (=> true (=> (<= k.291 k.292) (=> (< k.292 5) (and (=> true (=> ?v_1857 (=> true (=> ?v_1863 (=> (= cancelLockStatus_0.59 0) (=> ?v_1858 (=> ?v_1859 (=> ?v_1860 ?v_1861)))))))) (=> true (=> (not ?v_1857) (and (=> true (=> ?v_1862 (=> true (=> (= cancelLockStatus_1.59 0) ?v_1871)))) (=> true (=> (not ?v_1862) (and (=> true (=> ?v_1866 (=> true (=> ?v_1863 (=> ?v_1864 (=> (= cancelLockStatus_2.59 0) ?v_1865)))))) (=> true (=> (not ?v_1866) (and (=> true (=> ?v_1868 (=> true (=> ?v_1863 (=> ?v_1864 (=> ?v_1858 (=> ?v_1859 (=> (= cancelLockStatus_3.59 0) ?v_1867)))))))) (=> true (=> (not ?v_1868) (and (=> true (=> ?v_1870 (=> true (=> ?v_1863 (=> ?v_1864 (=> ?v_1858 (=> (= cancelLockStatus_4.59 0) ?v_1869))))))) (=> true (=> (not ?v_1870) (=> true (=> ?v_1863 ?v_1871)))))))))))))))))))))) (let ((?v_1936 (=> true (=> true (=> true ?v_1922)))) (?v_1940 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr)) (?v_1875 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.2 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_1876 (= alloc.85 alloc.83)) (?v_1941 (= Mem_3_T.CancelRoutine__IRP.78 Mem_3_T.CancelRoutine__IRP.76)) (?v_1879 (= inline.SerialSetTimer.6.myNondetVar_0.5 inline.SerialSetTimer.6.myNondetVar_0)) (?v_1880 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_1942 (= Mem_1_T.CancelRoutine__IRP.78 Mem_1_T.CancelRoutine__IRP.76)) (?v_1943 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5)) (?v_1944 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5)) (?v_1945 (= k.291 k.282)) (?v_1946 (= Mem_0_T.P_IRP.53 Mem_0_T.P_IRP.52)) (?v_1886 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_1947 (= errorReached.55 errorReached.53)) (?v_1888 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_1889 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.3 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_1948 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_1949 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0)) (?v_1950 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5)) (?v_1951 (= Mem_4_T.P_IRP.53 Mem_4_T.P_IRP.52)) (?v_1952 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff)) (?v_1953 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_1896 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1954 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5)) (?v_1898 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_1955 (= Mem_1_T.P_IRP.53 Mem_1_T.P_IRP.52)) (?v_1956 (= Mem_2_T.P_IRP.53 Mem_2_T.P_IRP.52)) (?v_1957 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_1902 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_1903 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1958 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0)) (?v_1959 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..0)) (?v_1960 (= Mem_0_T.CancelRoutine__IRP.78 Mem_0_T.CancelRoutine__IRP.76)) (?v_1961 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0)) (?v_1962 (= Mem_3_T.P_IRP.53 Mem_3_T.P_IRP.52)) (?v_1963 (= inline.KeSynchronizeExecution.14.myNondetVar_0.7 inline.KeSynchronizeExecution.14.myNondetVar_0.6)) (?v_1964 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5)) (?v_1911 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_1913 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_1965 (= Mem_2_T.CancelRoutine__IRP.78 Mem_2_T.CancelRoutine__IRP.76)) (?v_1966 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_1917 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_1918 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_1967 (= Mem_4_T.CancelRoutine__IRP.78 Mem_4_T.CancelRoutine__IRP.76)) (?v_1968 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..0 call94742formal.ret.0)) (?v_1921 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation))) (let ((?v_1969 (=> ?v_1921 ?v_1936)) (?v_1937 (=> true (=> (forall ((?r5 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.3.myNondetVar_1.1 ?r5) 0)) (not (= (BIT_BAND 4 ?r5) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_2.1 4) ?r5) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.10 4) ?r5)) )) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.11 4)) (=> true (=> ?v_1940 (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.2 inline.sdv_InterlockedIncrement.7.myNondetVar_0.1) (=> (= alloc.85 alloc.84) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.3 inline.SerialGetNextWrite.3.tempBoogie0.2) (=> ?v_1941 (=> (= inline.SerialSetTimer.6.myNondetVar_0.5 inline.SerialSetTimer.6.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0 4) (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_1947 (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.3 inline.sdv_InterlockedDecrement.28.myNondetVar_0.2) (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.12 inline.SerialGetNextWrite.3.myNondetVar_0.11) (=> ?v_1954 (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0 call91164formal.new.0) (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0 call95105formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.2 inline.SerialGetNextWrite.3.myNondetVar_2.1) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0 call95055formal.new.0) (=> ?v_1965 (=> ?v_1966 (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.2 inline.SerialGetNextWrite.3.myNondetVar_1.1) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0 call95105formal.ret.0) (=> ?v_1967 (=> ?v_1968 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5) ?v_1936)))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1933 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 hirp))) (let ((?v_1988 (not ?v_1933))) (let ((?v_1939 (and (=> true (=> ?v_1933 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1937)))) (=> true (=> ?v_1988 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1937)))))))))) (?v_1938 (= call95105formal.ret.0 0)) (?v_1935 (int_2_U call95055formal.new.0))) (let ((?v_1970 (and (=> true (=> (not (= inline.SerialGetNextWrite.3.myNondetVar_0.8 0)) (=> true (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0 (XoffCountTimer__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5)) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0 (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5)) (=> true (and ?v_73 (=> ?v_73 (=> (> call95055formal.new.0 0) (=> (forall ((?x1589 Int)) (! (=> (and (<= call95055formal.new.0 ?x1589) (< ?x1589 (+ call95055formal.new.0 8))) (= (Base ?x1589) call95055formal.new.0)) :pattern ((Base ?x1589)) )) (=> (forall ((?x1590 boogieU)) (! (=> (= (type ?x1590) intType) (or (= (U_2_int ?x1590) call95055formal.new.0) (= (MapType0Select alloc.83 ?x1590) (MapType0Select alloc.84 ?x1590)))) :pattern ((MapType0Select alloc.84 ?x1590)) )) (=> (and (= (MapType0Select alloc.83 ?v_1935) UNALLOCATED) (= (MapType0Select alloc.84 ?v_1935) ALLOCATED)) (=> (= (Base call91164formal.new.0) call91164formal.new.0) (and (=> true (=> (not ?v_1938) (=> true (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.2 inline.sdv_InterlockedDecrement.28.myNondetVar_0.1) ?v_1939)))) (=> true (=> ?v_1938 (=> true (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.2 inline.sdv_InterlockedDecrement.28.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1939))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.7 0) (=> true (=> ?v_1940 (=> ?v_1875 (=> ?v_1876 (=> (= inline.SerialGetNextWrite.3.tempBoogie0.3 inline.SerialGetNextWrite.3.tempBoogie0.1) (=> ?v_1941 (=> ?v_1879 (=> ?v_1880 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1886 (=> ?v_1947 (=> ?v_1888 (=> ?v_1889 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1896 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.12 inline.SerialGetNextWrite.3.myNondetVar_0.7) (=> ?v_1954 (=> ?v_1898 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1902 (=> ?v_1903 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1911 (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.2 inline.SerialGetNextWrite.3.myNondetVar_2.0) (=> ?v_1913 (=> ?v_1965 (=> ?v_1966 (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.2 inline.SerialGetNextWrite.3.myNondetVar_1.0) (=> ?v_1917 (=> ?v_1918 (=> ?v_1967 (=> ?v_1968 ?v_1969)))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1977 (and (=> true (=> ?v_1934 (=> true (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.14..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.14..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.6 inline.KeSynchronizeExecution.14.myNondetVar_0.5) ?v_1970)))))) (=> true (=> ?v_530 (=> true (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.6 inline.KeSynchronizeExecution.14.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_1970))))))))))))) (let ((?v_1985 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1977))))))) (?v_1974 (= Mem_3_T.P_IRP.52 Mem_3_T.P_IRP.46)) (?v_1979 (= Mem_1_T.P_IRP.52 Mem_1_T.P_IRP.46)) (?v_1980 (= Mem_0_T.P_IRP.52 Mem_0_T.P_IRP.46)) (?v_1975 (= Mem_2_T.P_IRP.52 Mem_2_T.P_IRP.46)) (?v_1976 (= Mem_4_T.P_IRP.52 Mem_4_T.P_IRP.46))) (let ((?v_1981 (=> ?v_1976 ?v_1985))) (let ((?v_1983 (=> ?v_1980 (=> ?v_1975 ?v_1981)))) (let ((?v_1987 (=> ?v_1979 ?v_1983)) (?v_1986 (= k.282 4)) (?v_1972 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5))) (?v_1973 (int_2_U inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5)) (?v_1984 (= k.282 3)) (?v_1982 (= k.282 2)) (?v_1978 (= k.282 1)) (?v_1971 (= k.282 0))) (let ((?v_1989 (=> true (=> (forall ((?r6 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.3.myNondetVar_1.0 ?r6) 0)) (not (= (BIT_BAND 2 ?r6) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_2.0 2) ?r6) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.4 2) ?r6)) )) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.1 (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.5 2)) (=> true (=> (<= k.281 k.282) (=> (< k.282 5) (and (=> true (=> ?v_1971 (=> (= Mem_0_T.P_IRP.47 (MapType0Store Mem_0_T.P_IRP.46 ?v_1972 ?v_1973)) (=> true (=> ?v_1974 (=> ?v_1979 (=> (= Mem_0_T.P_IRP.52 Mem_0_T.P_IRP.47) (=> ?v_1975 (=> ?v_1976 ?v_1977))))))))) (=> true (=> (not ?v_1971) (and (=> true (=> ?v_1978 (=> (= Mem_1_T.P_IRP.47 (MapType0Store Mem_1_T.P_IRP.46 ?v_1972 ?v_1973)) (=> true (=> ?v_1974 (=> (= Mem_1_T.P_IRP.52 Mem_1_T.P_IRP.47) ?v_1983)))))) (=> true (=> (not ?v_1978) (and (=> true (=> ?v_1982 (=> (= Mem_2_T.P_IRP.47 (MapType0Store Mem_2_T.P_IRP.46 ?v_1972 ?v_1973)) (=> true (=> ?v_1974 (=> ?v_1979 (=> ?v_1980 (=> (= Mem_2_T.P_IRP.52 Mem_2_T.P_IRP.47) ?v_1981)))))))) (=> true (=> (not ?v_1982) (and (=> true (=> ?v_1984 (=> (= Mem_3_T.P_IRP.51 (MapType0Store Mem_3_T.P_IRP.46 ?v_1972 ?v_1973)) (=> true (=> (= Mem_3_T.P_IRP.52 Mem_3_T.P_IRP.51) ?v_1987))))) (=> true (=> (not ?v_1984) (and (=> true (=> ?v_1986 (=> (= Mem_4_T.P_IRP.47 (MapType0Store Mem_4_T.P_IRP.46 ?v_1972 ?v_1973)) (=> true (=> ?v_1974 (=> ?v_1979 (=> ?v_1980 (=> ?v_1975 (=> (= Mem_4_T.P_IRP.52 Mem_4_T.P_IRP.47) ?v_1985))))))))) (=> true (=> (not ?v_1986) (=> true (=> ?v_1974 ?v_1987))))))))))))))))))))))))) (let ((?v_1994 (=> true (=> (<= k.280 k.281) (=> (< k.281 5) (and (=> true (=> ?v_1933 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1989)))) (=> true (=> ?v_1988 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1989)))))))))))))) (let ((?v_2002 (=> true ?v_1994)) (?v_1991 (= Mem_2_T.CancelRoutine__IRP.76 Mem_2_T.CancelRoutine__IRP.74)) (?v_1996 (= Mem_0_T.CancelRoutine__IRP.76 Mem_0_T.CancelRoutine__IRP.74)) (?v_1992 (= Mem_3_T.CancelRoutine__IRP.76 Mem_3_T.CancelRoutine__IRP.74)) (?v_1997 (= Mem_1_T.CancelRoutine__IRP.76 Mem_1_T.CancelRoutine__IRP.74)) (?v_1993 (= Mem_4_T.CancelRoutine__IRP.76 Mem_4_T.CancelRoutine__IRP.74))) (let ((?v_1998 (=> ?v_1993 ?v_2002))) (let ((?v_2000 (=> ?v_1997 ?v_1998))) (let ((?v_2004 (=> ?v_1996 (=> ?v_1992 ?v_2000))) (?v_2003 (= k.280 4)) (?v_1932 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5))) (?v_2001 (= k.280 3)) (?v_1999 (= k.280 2)) (?v_1995 (= k.280 1)) (?v_1990 (= k.280 0))) (let ((?v_2012 (=> true (=> (<= k.279 k.280) (=> (< k.280 5) (and (=> true (=> ?v_1990 (=> (= Mem_0_T.CancelRoutine__IRP.75 (MapType0Store Mem_0_T.CancelRoutine__IRP.74 ?v_1932 ?v_552)) (=> true (=> ?v_1991 (=> (= Mem_0_T.CancelRoutine__IRP.76 Mem_0_T.CancelRoutine__IRP.75) (=> ?v_1992 (=> ?v_1997 (=> ?v_1993 ?v_1994))))))))) (=> true (=> (not ?v_1990) (and (=> true (=> ?v_1995 (=> (= Mem_1_T.CancelRoutine__IRP.75 (MapType0Store Mem_1_T.CancelRoutine__IRP.74 ?v_1932 ?v_552)) (=> true (=> ?v_1991 (=> ?v_1996 (=> ?v_1992 (=> (= Mem_1_T.CancelRoutine__IRP.76 Mem_1_T.CancelRoutine__IRP.75) ?v_1998)))))))) (=> true (=> (not ?v_1995) (and (=> true (=> ?v_1999 (=> (= Mem_2_T.CancelRoutine__IRP.75 (MapType0Store Mem_2_T.CancelRoutine__IRP.74 ?v_1932 ?v_552)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.76 Mem_2_T.CancelRoutine__IRP.75) ?v_2004))))) (=> true (=> (not ?v_1999) (and (=> true (=> ?v_2001 (=> (= Mem_3_T.CancelRoutine__IRP.75 (MapType0Store Mem_3_T.CancelRoutine__IRP.74 ?v_1932 ?v_552)) (=> true (=> ?v_1991 (=> ?v_1996 (=> (= Mem_3_T.CancelRoutine__IRP.76 Mem_3_T.CancelRoutine__IRP.75) ?v_2000))))))) (=> true (=> (not ?v_2001) (and (=> true (=> ?v_2003 (=> (= Mem_4_T.CancelRoutine__IRP.75 (MapType0Store Mem_4_T.CancelRoutine__IRP.74 ?v_1932 ?v_552)) (=> true (=> ?v_1991 (=> ?v_1996 (=> ?v_1992 (=> ?v_1997 (=> (= Mem_4_T.CancelRoutine__IRP.76 Mem_4_T.CancelRoutine__IRP.75) ?v_2002))))))))) (=> true (=> (not ?v_2003) (=> true (=> ?v_1991 ?v_2004)))))))))))))))))))))) (let ((?v_2013 (=> (= errorReached.53 errorReached.52) ?v_2012)) (?v_2010 (= k.279 k.278)) (?v_2011 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..0 call94651formal.ret.0)) (?v_2005 (= k.278 0)) (?v_2006 (= k.278 1)) (?v_2007 (= k.278 2)) (?v_2008 (= k.278 3)) (?v_2009 (= k.278 4))) (let ((?v_2015 (and (=> true (=> ?v_1933 (=> true (=> (<= k.277 k.278) (=> (< k.278 5) (and (=> true (=> (=> ?v_2005 ?v_1526) (=> (=> ?v_2006 ?v_1527) (=> (=> ?v_2007 ?v_1528) (=> (=> ?v_2008 ?v_1529) (=> (=> ?v_2009 ?v_1530) (=> true (=> ?v_2010 (=> ?v_2011 (=> (= errorReached.53 1) ?v_2012)))))))))) (=> true (=> (=> ?v_2005 ?v_1659) (=> (=> ?v_2006 ?v_1661) (=> (=> ?v_2007 ?v_1663) (=> (=> ?v_2008 ?v_1665) (=> (=> ?v_2009 ?v_1667) (=> true (=> ?v_2010 (=> ?v_2011 ?v_2013))))))))))))))) (=> true (=> ?v_1988 (=> true (=> (= k.279 k.277) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2.) ?v_2013)))))))) (let ((?v_2017 (=> true (=> true ?v_2015))) (?v_2020 (= k.277 4)) (?v_2019 (= k.277 3)) (?v_2018 (= k.277 2)) (?v_2016 (= k.277 1)) (?v_2014 (= k.277 0)) (?v_1872 (= k.276 0)) (?v_1873 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5)))) (let ((?v_1923 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP.1 ?v_1873)) 0)) (?v_1924 (= k.276 1)) (?v_1925 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP.1 ?v_1873)) 0)) (?v_1926 (= k.276 2)) (?v_1927 (= (U_2_int (MapType0Select Mem_2_T.Cancel__IRP.1 ?v_1873)) 0)) (?v_1928 (= k.276 3)) (?v_1929 (= (U_2_int (MapType0Select Mem_3_T.Cancel__IRP.1 ?v_1873)) 0)) (?v_1930 (= k.276 4)) (?v_1931 (= (U_2_int (MapType0Select Mem_4_T.Cancel__IRP.1 ?v_1873)) 0)) (?v_1874 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1877 (= inline.SerialGetNextWrite.3.tempBoogie0.3 inline.SerialGetNextWrite.3.tempBoogie0.0)) (?v_1878 (= Mem_3_T.CancelRoutine__IRP.78 Mem_3_T.CancelRoutine__IRP.74)) (?v_1881 (= Mem_1_T.CancelRoutine__IRP.78 Mem_1_T.CancelRoutine__IRP.74)) (?v_1882 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1883 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1884 (= k.291 k.276)) (?v_1885 (= Mem_0_T.P_IRP.53 Mem_0_T.P_IRP.46)) (?v_1887 (= errorReached.55 errorReached.52)) (?v_1890 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1891 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_1892 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1893 (= Mem_4_T.P_IRP.53 Mem_4_T.P_IRP.46)) (?v_1894 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1895 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1897 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1899 (= Mem_1_T.P_IRP.53 Mem_1_T.P_IRP.46)) (?v_1900 (= Mem_2_T.P_IRP.53 Mem_2_T.P_IRP.46)) (?v_1901 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1904 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_1905 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3310.4.2.)) (?v_1906 (= Mem_0_T.CancelRoutine__IRP.78 Mem_0_T.CancelRoutine__IRP.74)) (?v_1907 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_1908 (= Mem_3_T.P_IRP.53 Mem_3_T.P_IRP.46)) (?v_1909 (= inline.KeSynchronizeExecution.14.myNondetVar_0.7 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_1910 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1912 (= inline.SerialGetNextWrite.3.myNondetVar_2.2 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_1914 (= Mem_2_T.CancelRoutine__IRP.78 Mem_2_T.CancelRoutine__IRP.74)) (?v_1915 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_1916 (= inline.SerialGetNextWrite.3.myNondetVar_1.2 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_1919 (= Mem_4_T.CancelRoutine__IRP.78 Mem_4_T.CancelRoutine__IRP.74)) (?v_1920 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3.))) (let ((?v_2021 (=> true (=> (= inline.SerialGetNextWrite.3.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.3.myNondetVar_0.1 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.3.myNondetVar_0.2 0)) (=> true (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.12 inline.SerialGetNextWrite.3.myNondetVar_0.2) (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 ?v_1922)))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.3 0) (and (=> true (=> (=> ?v_1872 (not ?v_1923)) (=> (=> ?v_1924 (not ?v_1925)) (=> (=> ?v_1926 (not ?v_1927)) (=> (=> ?v_1928 (not ?v_1929)) (=> (=> ?v_1930 (not ?v_1931)) (=> true (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.12 inline.SerialGetNextWrite.3.myNondetVar_0.3) (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 ?v_1969))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_1872 ?v_1923) (=> (=> ?v_1924 ?v_1925) (=> (=> ?v_1926 ?v_1927) (=> (=> ?v_1928 ?v_1929) (=> (=> ?v_1930 ?v_1931) (=> true (=> (<= k.276 k.277) (=> (< k.277 5) (and (=> true (=> ?v_2014 (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.74 ?v_1932))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_2015))))) (=> true (=> (not ?v_2014) (and (=> true (=> ?v_2016 (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.74 ?v_1932))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_2017))))) (=> true (=> (not ?v_2016) (and (=> true (=> ?v_2018 (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.74 ?v_1932))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_2017))))) (=> true (=> (not ?v_2018) (and (=> true (=> ?v_2019 (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.74 ?v_1932))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_2017))))) (=> true (=> (not ?v_2019) (and (=> true (=> ?v_2020 (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.74 ?v_1932))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_2017))))) (=> true (=> (not ?v_2020) (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_2017)))))))))))))))))))))))))))))))))) (let ((?v_2022 (=> true (=> true ?v_2021)))) (let ((?v_2027 (=> true (=> (<= k.275 k.276) (=> (< k.276 5) (and (=> true (=> ?v_1872 (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.3 ?v_1493) (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.3) ?v_2021))))) (=> true (=> (not ?v_1872) (and (=> true (=> ?v_1924 (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 ?v_1826) (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2) ?v_2022))))) (=> true (=> (not ?v_1924) (and (=> true (=> ?v_1926 (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.4 ?v_1829) (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.4) ?v_2022))))) (=> true (=> (not ?v_1926) (and (=> true (=> ?v_1928 (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.0 ?v_1832) (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.0) ?v_2022))))) (=> true (=> (not ?v_1928) (and (=> true (=> ?v_1930 (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.1 ?v_1834) (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.1) ?v_2022))))) (=> true (=> (not ?v_1930) (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite) ?v_2022)))))))))))))))))))))) (let ((?v_2033 (=> true (=> true (=> true (=> true ?v_2027))))) (?v_2029 (= cancelLockStatus_1.56 cancelLockStatus_1.54)) (?v_2030 (= cancelLockStatus_0.56 cancelLockStatus_0.54)) (?v_2024 (= cancelLockStatus_2.56 cancelLockStatus_2.54)) (?v_2025 (= cancelLockStatus_4.56 cancelLockStatus_4.54)) (?v_2026 (= cancelLockStatus_3.56 cancelLockStatus_3.54))) (let ((?v_2035 (=> ?v_2026 ?v_2033))) (let ((?v_2031 (=> ?v_2025 ?v_2035))) (let ((?v_2036 (=> ?v_2030 (=> ?v_2024 ?v_2031))) (?v_2034 (= k.275 4)) (?v_2032 (= k.275 3)) (?v_2028 (= k.275 2)) (?v_2023 (= k.275 1)) (?v_1855 (= k.275 0))) (let ((?v_2098 (and (=> true (=> ?v_2037 (=> true (=> (<= k.273 k.275) (=> (< k.275 5) (=> true (=> (=> ?v_1855 ?v_1521) (=> (=> ?v_2023 ?v_1851) (=> (=> ?v_2028 ?v_1852) (=> (=> ?v_2032 ?v_1853) (=> (=> ?v_2034 ?v_1854) (and (=> true (=> ?v_1855 (=> true (=> ?v_2029 (=> (= cancelLockStatus_0.56 1) (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 ?v_2027)))))))) (=> true (=> (not ?v_1855) (and (=> true (=> ?v_2023 (=> true (=> (= cancelLockStatus_1.56 1) ?v_2036)))) (=> true (=> (not ?v_2023) (and (=> true (=> ?v_2028 (=> true (=> ?v_2029 (=> ?v_2030 (=> (= cancelLockStatus_2.56 1) ?v_2031)))))) (=> true (=> (not ?v_2028) (and (=> true (=> ?v_2032 (=> true (=> ?v_2029 (=> ?v_2030 (=> ?v_2024 (=> ?v_2025 (=> (= cancelLockStatus_3.56 1) ?v_2033)))))))) (=> true (=> (not ?v_2032) (and (=> true (=> ?v_2034 (=> true (=> ?v_2029 (=> ?v_2030 (=> ?v_2024 (=> (= cancelLockStatus_4.56 1) ?v_2035))))))) (=> true (=> (not ?v_2034) (=> true (=> ?v_2029 ?v_2036)))))))))))))))))))))))))))) (=> true (=> (not ?v_2037) (=> true (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> (= inline.SerialGetNextWrite.3.tempBoogie0.5 inline.SerialGetNextWrite.3.tempBoogie0) (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> (= k.302 k.273) (=> (= cancelLockStatus_4.61 cancelLockStatus_4.54) (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> (= cancelLockStatus_0.61 cancelLockStatus_0.54) (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.16 inline.SerialGetNextWrite.3.myNondetVar_0) (=> ?v_2064 (=> ?v_2065 (=> (= cancelLockStatus_1.61 cancelLockStatus_1.54) (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> ?v_2081 (=> (= cancelLockStatus_3.61 cancelLockStatus_3.54) (=> ?v_2082 (=> ?v_2083 (=> (= cancelLockStatus_2.61 cancelLockStatus_2.54) (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.4 inline.SerialGetNextWrite.3.myNondetVar_1) (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> ?v_2095 ?v_2096)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2097 (= inline.SerialGetNextWrite.3.myVar_0.12 hirp))) (let ((?v_2100 (and (=> true (=> ?v_2097 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_2098)))) (=> true (=> (not ?v_2097) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_2098))))))))))) (let ((?v_2102 (=> true (=> true (=> true (=> true ?v_2100))))) (?v_2105 (= k.273 4)) (?v_2104 (= k.273 3)) (?v_2103 (= k.273 2)) (?v_2101 (= k.273 1)) (?v_2099 (= k.273 0)) (?v_1850 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_1812 (=> true (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> (= inline.SerialGetNextWrite.3.tempBoogie0.5 inline.SerialGetNextWrite.3.tempBoogie0.4) (=> ?v_2042 (=> ?v_2043 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> (= k.302 k.301) (=> (= cancelLockStatus_4.61 cancelLockStatus_4.60) (=> ?v_2050 (=> ?v_2051 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.17) (=> (= cancelLockStatus_0.61 cancelLockStatus_0.60) (=> ?v_2053 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.17) (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.16 inline.SerialGetNextWrite.3.myNondetVar_0.15) (=> ?v_2064 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= cancelLockStatus_1.61 cancelLockStatus_1.60) (=> ?v_2066 (=> (= inline.SerialGetNextWrite.3.myVar_0.18 inline.SerialGetNextWrite.3.myVar_0.17) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..0 call91482formal.ret.0) (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= cancelLockStatus_3.61 cancelLockStatus_3.60) (=> ?v_2082 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= cancelLockStatus_2.61 cancelLockStatus_2.60) (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> (= inline.sdv_IoReleaseCancelSpinLock.35..result.userContextSwitch.3151.2.1..0 call91743formal.ret.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.4 inline.SerialGetNextWrite.3.myNondetVar_1.3) (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> ?v_2095 ?v_1856)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1818 (=> true (=> true (=> true (=> true ?v_1812))))) (?v_1814 (= cancelLockStatus_1.60 cancelLockStatus_1.55)) (?v_1815 (= cancelLockStatus_0.60 cancelLockStatus_0.55)) (?v_1809 (= cancelLockStatus_2.60 cancelLockStatus_2.55)) (?v_1810 (= cancelLockStatus_4.60 cancelLockStatus_4.55)) (?v_1811 (= cancelLockStatus_3.60 cancelLockStatus_3.55))) (let ((?v_1820 (=> ?v_1811 ?v_1818))) (let ((?v_1816 (=> ?v_1810 ?v_1820))) (let ((?v_1822 (=> ?v_1815 (=> ?v_1809 ?v_1816))) (?v_1821 (= k.301 4)) (?v_1819 (= k.301 3)) (?v_1817 (= k.301 2)) (?v_1813 (= k.301 1)) (?v_1808 (= k.301 0))) (let ((?v_1824 (=> true (=> (= inline.SerialGetNextWrite.3.tempBoogie0.4 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.3.myNondetVar_0.14 inline.SerialGetNextWrite.3.myNondetVar_1.3 1)) (=> true (=> (<= k.274 k.301) (=> (< k.301 5) (and (=> true (=> ?v_1808 (=> true (=> ?v_1814 (=> (= cancelLockStatus_0.60 0) (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 ?v_1812)))))))) (=> true (=> (not ?v_1808) (and (=> true (=> ?v_1813 (=> true (=> (= cancelLockStatus_1.60 0) ?v_1822)))) (=> true (=> (not ?v_1813) (and (=> true (=> ?v_1817 (=> true (=> ?v_1814 (=> ?v_1815 (=> (= cancelLockStatus_2.60 0) ?v_1816)))))) (=> true (=> (not ?v_1817) (and (=> true (=> ?v_1819 (=> true (=> ?v_1814 (=> ?v_1815 (=> ?v_1809 (=> ?v_1810 (=> (= cancelLockStatus_3.60 0) ?v_1818)))))))) (=> true (=> (not ?v_1819) (and (=> true (=> ?v_1821 (=> true (=> ?v_1814 (=> ?v_1815 (=> ?v_1809 (=> (= cancelLockStatus_4.60 0) ?v_1820))))))) (=> true (=> (not ?v_1821) (=> true (=> ?v_1814 ?v_1822))))))))))))))))))))))) (?v_1823 (= inline.SerialGetNextWrite.3.myVar_0.17 hirp))) (let ((?v_1827 (and (=> true (=> ?v_1823 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1824)))) (=> true (=> (not ?v_1823) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_1824)))))))))) (let ((?v_1830 (=> true (=> true (=> true (=> true ?v_1827))))) (?v_1835 (= k.274 4)) (?v_1833 (= k.274 3)) (?v_1831 (= k.274 2)) (?v_1828 (= k.274 1)) (?v_1825 (= k.274 0))) (let ((?v_1840 (=> true (=> (<= k.272 k.274) (=> (< k.274 5) (and (=> true (=> ?v_1825 (=> (= inline.SerialGetNextWrite.3.myVar_0.10 ?v_1493) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.17 inline.SerialGetNextWrite.3.myVar_0.10) ?v_1827))))) (=> true (=> (not ?v_1825) (and (=> true (=> ?v_1828 (=> (= inline.SerialGetNextWrite.3.myVar_0.13 ?v_1826) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.17 inline.SerialGetNextWrite.3.myVar_0.13) ?v_1830))))) (=> true (=> (not ?v_1828) (and (=> true (=> ?v_1831 (=> (= inline.SerialGetNextWrite.3.myVar_0.14 ?v_1829) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.17 inline.SerialGetNextWrite.3.myVar_0.14) ?v_1830))))) (=> true (=> (not ?v_1831) (and (=> true (=> ?v_1833 (=> (= inline.SerialGetNextWrite.3.myVar_0.15 ?v_1832) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.17 inline.SerialGetNextWrite.3.myVar_0.15) ?v_1830))))) (=> true (=> (not ?v_1833) (and (=> true (=> ?v_1835 (=> (= inline.SerialGetNextWrite.3.myVar_0.16 ?v_1834) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.17 inline.SerialGetNextWrite.3.myVar_0.16) ?v_1830))))) (=> true (=> (not ?v_1835) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.17 inline.SerialGetNextWrite.3.myVar_0.5) ?v_1830)))))))))))))))))))))) (let ((?v_1846 (=> true (=> true (=> true (=> true ?v_1840))))) (?v_1842 (= cancelLockStatus_1.55 cancelLockStatus_1.54)) (?v_1843 (= cancelLockStatus_0.55 cancelLockStatus_0.54)) (?v_1837 (= cancelLockStatus_2.55 cancelLockStatus_2.54)) (?v_1838 (= cancelLockStatus_4.55 cancelLockStatus_4.54)) (?v_1839 (= cancelLockStatus_3.55 cancelLockStatus_3.54))) (let ((?v_1848 (=> ?v_1839 ?v_1846))) (let ((?v_1844 (=> ?v_1838 ?v_1848))) (let ((?v_1849 (=> ?v_1843 (=> ?v_1837 ?v_1844))) (?v_1847 (= k.272 4)) (?v_1845 (= k.272 3)) (?v_1841 (= k.272 2)) (?v_1836 (= k.272 1)) (?v_1522 (= k.272 0))) (let ((?v_2107 (and (=> true (=> ?v_1850 (=> true (=> (<= k.271 k.272) (=> (< k.272 5) (=> true (=> (=> ?v_1522 ?v_1521) (=> (=> ?v_1836 ?v_1851) (=> (=> ?v_1841 ?v_1852) (=> (=> ?v_1845 ?v_1853) (=> (=> ?v_1847 ?v_1854) (and (=> true (=> ?v_1522 (=> true (=> ?v_1842 (=> (= cancelLockStatus_0.55 1) (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 ?v_1840)))))))) (=> true (=> (not ?v_1522) (and (=> true (=> ?v_1836 (=> true (=> (= cancelLockStatus_1.55 1) ?v_1849)))) (=> true (=> (not ?v_1836) (and (=> true (=> ?v_1841 (=> true (=> ?v_1842 (=> ?v_1843 (=> (= cancelLockStatus_2.55 1) ?v_1844)))))) (=> true (=> (not ?v_1841) (and (=> true (=> ?v_1845 (=> true (=> ?v_1842 (=> ?v_1843 (=> ?v_1837 (=> ?v_1838 (=> (= cancelLockStatus_3.55 1) ?v_1846)))))))) (=> true (=> (not ?v_1845) (and (=> true (=> ?v_1847 (=> true (=> ?v_1842 (=> ?v_1843 (=> ?v_1837 (=> (= cancelLockStatus_4.55 1) ?v_1848))))))) (=> true (=> (not ?v_1847) (=> true (=> ?v_1842 ?v_1849)))))))))))))))))))))))))))) (=> true (=> (not ?v_1850) (=> true (=> (<= k.271 k.273) (=> (< k.273 5) (and (=> true (=> ?v_2099 (=> (= inline.SerialGetNextWrite.3.myVar_0.6 ?v_1493) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.6) ?v_2100))))) (=> true (=> (not ?v_2099) (and (=> true (=> ?v_2101 (=> (= inline.SerialGetNextWrite.3.myVar_0.9 ?v_1826) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.9) ?v_2102))))) (=> true (=> (not ?v_2101) (and (=> true (=> ?v_2103 (=> (= inline.SerialGetNextWrite.3.myVar_0.7 ?v_1829) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.7) ?v_2102))))) (=> true (=> (not ?v_2103) (and (=> true (=> ?v_2104 (=> (= inline.SerialGetNextWrite.3.myVar_0.8 ?v_1832) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.8) ?v_2102))))) (=> true (=> (not ?v_2104) (and (=> true (=> ?v_2105 (=> (= inline.SerialGetNextWrite.3.myVar_0.11 ?v_1834) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.11) ?v_2102))))) (=> true (=> (not ?v_2105) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.5) ?v_2102)))))))))))))))))))))))) (?v_2106 (= inline.SerialGetNextWrite.3.myVar_0.5 hirp))) (let ((?v_2109 (and (=> true (=> ?v_2106 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_2107)))) (=> true (=> (not ?v_2106) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_2107))))))))))) (let ((?v_2111 (=> true (=> true (=> true (=> true ?v_2109))))) (?v_2114 (= k.271 4)) (?v_2113 (= k.271 3)) (?v_2112 (= k.271 2)) (?v_2110 (= k.271 1)) (?v_2108 (= k.271 0)) (?v_1520 (int_2_U call91198formal.new.0)) (?v_1516 (int_2_U call91155formal.new.0)) (?v_1517 (int_2_U call91158formal.new.0)) (?v_1518 (int_2_U call91161formal.new.0)) (?v_1519 (int_2_U call91164formal.new.0))) (let ((?v_2473 (and (=> true (=> ?v_677 (=> true (and ?v_11 (=> ?v_11 (=> (> call91155formal.new.0 0) (=> (forall ((?x1593 Int)) (! (=> (and (<= call91155formal.new.0 ?x1593) (< ?x1593 (+ call91155formal.new.0 1))) (= (Base ?x1593) call91155formal.new.0)) :pattern ((Base ?x1593)) )) (=> (forall ((?x1594 boogieU)) (! (=> (= (type ?x1594) intType) (or (= (U_2_int ?x1594) call91155formal.new.0) (= (MapType0Select alloc.77 ?x1594) (MapType0Select alloc.78 ?x1594)))) :pattern ((MapType0Select alloc.78 ?x1594)) )) (=> (and (= (MapType0Select alloc.77 ?v_1516) UNALLOCATED) (= (MapType0Select alloc.78 ?v_1516) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call91158formal.new.0 0) (=> (forall ((?x1595 Int)) (! (=> (and (<= call91158formal.new.0 ?x1595) (< ?x1595 (+ call91158formal.new.0 1))) (= (Base ?x1595) call91158formal.new.0)) :pattern ((Base ?x1595)) )) (=> (forall ((?x1596 boogieU)) (! (=> (= (type ?x1596) intType) (or (= (U_2_int ?x1596) call91158formal.new.0) (= (MapType0Select alloc.78 ?x1596) (MapType0Select alloc.79 ?x1596)))) :pattern ((MapType0Select alloc.79 ?x1596)) )) (=> (and (= (MapType0Select alloc.78 ?v_1517) UNALLOCATED) (= (MapType0Select alloc.79 ?v_1517) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call91161formal.new.0 0) (=> (forall ((?x1597 Int)) (! (=> (and (<= call91161formal.new.0 ?x1597) (< ?x1597 (+ call91161formal.new.0 1))) (= (Base ?x1597) call91161formal.new.0)) :pattern ((Base ?x1597)) )) (=> (forall ((?x1598 boogieU)) (! (=> (= (type ?x1598) intType) (or (= (U_2_int ?x1598) call91161formal.new.0) (= (MapType0Select alloc.79 ?x1598) (MapType0Select alloc.80 ?x1598)))) :pattern ((MapType0Select alloc.80 ?x1598)) )) (=> (and (= (MapType0Select alloc.79 ?v_1518) UNALLOCATED) (= (MapType0Select alloc.80 ?v_1518) ALLOCATED)) (and ?v_73 (=> ?v_73 (=> (> call91164formal.new.0 0) (=> (forall ((?x1599 Int)) (! (=> (and (<= call91164formal.new.0 ?x1599) (< ?x1599 (+ call91164formal.new.0 8))) (= (Base ?x1599) call91164formal.new.0)) :pattern ((Base ?x1599)) )) (=> (forall ((?x1600 boogieU)) (! (=> (= (type ?x1600) intType) (or (= (U_2_int ?x1600) call91164formal.new.0) (= (MapType0Select alloc.80 ?x1600) (MapType0Select alloc.81 ?x1600)))) :pattern ((MapType0Select alloc.81 ?x1600)) )) (=> (and (= (MapType0Select alloc.80 ?v_1519) UNALLOCATED) (= (MapType0Select alloc.81 ?v_1519) ALLOCATED)) (=> true (and ?v_11 (=> ?v_11 (=> (> call91198formal.new.0 0) (=> (forall ((?x1591 Int)) (! (=> (and (<= call91198formal.new.0 ?x1591) (< ?x1591 (+ call91198formal.new.0 1))) (= (Base ?x1591) call91198formal.new.0)) :pattern ((Base ?x1591)) )) (=> (forall ((?x1592 boogieU)) (! (=> (= (type ?x1592) intType) (or (= (U_2_int ?x1592) call91198formal.new.0) (= (MapType0Select alloc.81 ?x1592) (MapType0Select alloc.83 ?x1592)))) :pattern ((MapType0Select alloc.83 ?x1592)) )) (=> (and (= (MapType0Select alloc.81 ?v_1520) UNALLOCATED) (= (MapType0Select alloc.83 ?v_1520) ALLOCATED)) (=> true (=> (<= k.269 k.271) (=> (< k.271 5) (and (=> true (=> ?v_2108 (=> (= inline.SerialGetNextWrite.3.myVar_0.0 ?v_1493) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0.0) ?v_2109))))) (=> true (=> (not ?v_2108) (and (=> true (=> ?v_2110 (=> (= inline.SerialGetNextWrite.3.myVar_0.2 ?v_1826) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0.2) ?v_2111))))) (=> true (=> (not ?v_2110) (and (=> true (=> ?v_2112 (=> (= inline.SerialGetNextWrite.3.myVar_0.1 ?v_1829) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0.1) ?v_2111))))) (=> true (=> (not ?v_2112) (and (=> true (=> ?v_2113 (=> (= inline.SerialGetNextWrite.3.myVar_0.3 ?v_1832) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0.3) ?v_2111))))) (=> true (=> (not ?v_2113) (and (=> true (=> ?v_2114 (=> (= inline.SerialGetNextWrite.3.myVar_0.4 ?v_1834) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0.4) ?v_2111))))) (=> true (=> (not ?v_2114) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0) ?v_2111)))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2115 (and (=> true (=> ?v_855 (=> true (and ?v_11 (=> ?v_11 (=> (> call95375formal.new.0 0) (=> (forall ((?x1581 Int)) (! (=> (and (<= call95375formal.new.0 ?x1581) (< ?x1581 (+ call95375formal.new.0 1))) (= (Base ?x1581) call95375formal.new.0)) :pattern ((Base ?x1581)) )) (=> (forall ((?x1582 boogieU)) (! (=> (= (type ?x1582) intType) (or (= (U_2_int ?x1582) call95375formal.new.0) (= (MapType0Select alloc.77 ?x1582) (MapType0Select alloc.82 ?x1582)))) :pattern ((MapType0Select alloc.82 ?x1582)) )) (=> (and (= (MapType0Select alloc.77 ?v_2116) UNALLOCATED) (= (MapType0Select alloc.82 ?v_2116) ALLOCATED)) (=> true (=> (<= k.269 k.270) (=> (< k.270 5) (=> true (=> (=> ?v_2117 ?v_1521) (=> (=> ?v_2279 ?v_1851) (=> (=> ?v_2284 ?v_1852) (=> (=> ?v_2288 ?v_1853) (=> (=> ?v_2290 ?v_1854) (and (=> true (=> ?v_2117 (=> true (=> ?v_2285 (=> (= cancelLockStatus_0.57 1) (=> ?v_2280 (=> ?v_2281 (=> ?v_2282 ?v_2283)))))))) (=> true (=> (not ?v_2117) (and (=> true (=> ?v_2279 (=> true (=> (= cancelLockStatus_1.57 1) ?v_2292)))) (=> true (=> (not ?v_2279) (and (=> true (=> ?v_2284 (=> true (=> ?v_2285 (=> ?v_2286 (=> (= cancelLockStatus_2.57 1) ?v_2287)))))) (=> true (=> (not ?v_2284) (and (=> true (=> ?v_2288 (=> true (=> ?v_2285 (=> ?v_2286 (=> ?v_2280 (=> ?v_2281 (=> (= cancelLockStatus_3.57 1) ?v_2289)))))))) (=> true (=> (not ?v_2288) (and (=> true (=> ?v_2290 (=> true (=> ?v_2285 (=> ?v_2286 (=> ?v_2280 (=> (= cancelLockStatus_4.57 1) ?v_2291))))))) (=> true (=> (not ?v_2290) (=> true (=> ?v_2285 ?v_2292))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2293 (=> true (and ?v_40 (=> ?v_40 (=> true (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> (= Mem_3_T.CancelRoutine__IRP.96 Mem_3_T.CancelRoutine__IRP.74) (=> ?v_2298 (=> ?v_2299 (=> ?v_2300 (=> ?v_2301 (=> ?v_2302 (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> (= cancelLockStatus_4.69 cancelLockStatus_4.54) (=> ?v_2306 (=> (= irpCompleted_3.39 irpCompleted_3.30) (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2310 (=> ?v_2311 (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> ?v_2315 (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> (= alloc.94 alloc.77) (=> ?v_2321 (=> ?v_2322 (=> ?v_2323 (=> (= cancelLockStatus_0.69 cancelLockStatus_0.54) (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> (= irpCompleted_0.39 irpCompleted_0.30) (=> ?v_2334 (=> ?v_2335 (=> ?v_2336 (=> ?v_2337 (=> ?v_2338 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> ?v_2342 (=> ?v_2343 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> ?v_2349 (=> ?v_2350 (=> (= Mem_2_T.P_IRP.67 Mem_2_T.P_IRP.46) (=> ?v_2351 (=> ?v_2352 (=> ?v_2353 (=> ?v_2354 (=> ?v_2355 (=> ?v_2356 (=> ?v_2357 (=> ?v_2358 (=> ?v_2359 (=> ?v_2360 (=> ?v_2361 (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> ?v_2365 (=> ?v_2366 (=> ?v_2367 (=> ?v_2368 (=> ?v_2369 (=> ?v_2370 (=> ?v_2371 (=> ?v_2372 (=> (= irpCompleted_2.39 irpCompleted_2.30) (=> ?v_2373 (=> (= Mem_2_T.CancelRoutine__IRP.96 Mem_2_T.CancelRoutine__IRP.74) (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> ?v_2378 (=> (= Mem_4_T.P_IRP.67 Mem_4_T.P_IRP.46) (=> (= cancelLockStatus_1.69 cancelLockStatus_1.54) (=> ?v_2379 (=> (= cancelLockStatus_3.69 cancelLockStatus_3.54) (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> ?v_2384 (=> ?v_2385 (=> ?v_2386 (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2393 (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> (= errorReached.68 errorReached.52) (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2411 (=> (= irpCompleted_4.39 irpCompleted_4.30) (=> (= Mem_1_T.CancelRoutine__IRP.96 Mem_1_T.CancelRoutine__IRP.74) (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> (= Mem_3_T.P_IRP.67 Mem_3_T.P_IRP.46) (=> (= irpCompleted_1.39 irpCompleted_1.30) (=> ?v_2416 (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> ?v_2420 (=> ?v_2421 (=> (= k.329 k.269) (=> ?v_2422 (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> ?v_2427 (=> (= Mem_0_T.P_IRP.67 Mem_0_T.P_IRP.46) (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> (= Mem_4_T.CancelRoutine__IRP.96 Mem_4_T.CancelRoutine__IRP.74) (=> ?v_2439 (=> ?v_2440 (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> (= Mem_0_T.CancelRoutine__IRP.96 Mem_0_T.CancelRoutine__IRP.74) (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> (= cancelLockStatus_2.69 cancelLockStatus_2.54) (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> (= Mem_1_T.P_IRP.67 Mem_1_T.P_IRP.46) (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 ?v_2468))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2479 (=> true (=> true (=> true (=> true (=> true ?v_2473)))))) (?v_2475 (= cancelLockStatus_1.54 cancelLockStatus_1.53)) (?v_2476 (= cancelLockStatus_0.54 cancelLockStatus_0.53)) (?v_2470 (= cancelLockStatus_2.54 cancelLockStatus_2.53)) (?v_2471 (= cancelLockStatus_4.54 cancelLockStatus_4.53)) (?v_2472 (= cancelLockStatus_3.54 cancelLockStatus_3.53))) (let ((?v_2481 (=> ?v_2472 ?v_2479))) (let ((?v_2477 (=> ?v_2471 ?v_2481))) (let ((?v_2483 (=> ?v_2476 (=> ?v_2470 ?v_2477))) (?v_2482 (= k.269 4)) (?v_2480 (= k.269 3)) (?v_2478 (= k.269 2)) (?v_2474 (= k.269 1)) (?v_2469 (= k.269 0))) (let ((?v_2750 (and (=> true (=> ?v_1515 (=> true (=> (<= k.266 k.269) (=> (< k.269 5) (and (=> true (=> ?v_2469 (=> true (=> ?v_2475 (=> ?v_1521 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 ?v_2473)))))))) (=> true (=> (not ?v_2469) (and (=> true (=> ?v_2474 (=> true (=> ?v_1851 ?v_2483)))) (=> true (=> (not ?v_2474) (and (=> true (=> ?v_2478 (=> true (=> ?v_2475 (=> ?v_2476 (=> ?v_1852 ?v_2477)))))) (=> true (=> (not ?v_2478) (and (=> true (=> ?v_2480 (=> true (=> ?v_2475 (=> ?v_2476 (=> ?v_2470 (=> ?v_2471 (=> ?v_1853 ?v_2479)))))))) (=> true (=> (not ?v_2480) (and (=> true (=> ?v_2482 (=> true (=> ?v_2475 (=> ?v_2476 (=> ?v_2470 (=> ?v_1854 ?v_2481))))))) (=> true (=> (not ?v_2482) (=> true (=> ?v_2475 ?v_2483)))))))))))))))))))))) (=> true (=> ?v_1043 (=> true (=> (<= k.266 k.268) (=> (< k.268 5) (and (=> true (=> ?v_2743 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 ?v_1493) (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.0) ?v_2744))))) (=> true (=> (not ?v_2743) (and (=> true (=> ?v_2745 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 ?v_1826) (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.3) ?v_2746))))) (=> true (=> (not ?v_2745) (and (=> true (=> ?v_2747 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 ?v_1829) (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.4) ?v_2746))))) (=> true (=> (not ?v_2747) (and (=> true (=> ?v_2748 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 ?v_1832) (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) ?v_2746))))) (=> true (=> (not ?v_2748) (and (=> true (=> ?v_2749 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 ?v_1834) (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.1) ?v_2746))))) (=> true (=> (not ?v_2749) (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent) ?v_2746)))))))))))))))))))))))) (?v_1514 (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 ?v_1489)) (?v_1503 (=> true (=> ?v_2487 (=> ?v_1534 (=> ?v_2488 (=> (= Mem_3_T.CancelRoutine__IRP.97 Mem_3_T.CancelRoutine__IRP.74) (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> (= Mem_0_T.P_IRP.68 Mem_0_T.P_IRP.46) (=> ?v_1535 (=> ?v_2497 (=> (= irpCompleted_3.40 irpCompleted_3.30) (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> (= inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..0 call90917formal.ret.0) (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> (= alloc.95 alloc.77) (=> ?v_2514 (=> ?v_2515 (=> ?v_2516 (=> (= cancelLockStatus_0.70 cancelLockStatus_0.64) (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> (= irpCompleted_0.40 irpCompleted_0.30) (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> (= Mem_2_T.P_IRP.68 Mem_2_T.P_IRP.46) (=> ?v_2546 (=> ?v_1536 (=> ?v_2547 (=> ?v_1537 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> (= cancelLockStatus_1.70 cancelLockStatus_1.64) (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> (= irpCompleted_2.40 irpCompleted_2.30) (=> ?v_2567 (=> ?v_2568 (=> (= Mem_2_T.CancelRoutine__IRP.97 Mem_2_T.CancelRoutine__IRP.74) (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> (= Mem_4_T.P_IRP.68 Mem_4_T.P_IRP.46) (=> ?v_2573 (=> ?v_2574 (=> (= cancelLockStatus_4.70 cancelLockStatus_4.64) (=> ?v_2575 (=> (= cancelLockStatus_3.70 cancelLockStatus_3.64) (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.5) (=> ?v_1538 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> ?v_1539 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> ?v_1540 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> (= irpCompleted_4.40 irpCompleted_4.30) (=> (= Mem_1_T.CancelRoutine__IRP.97 Mem_1_T.CancelRoutine__IRP.74) (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> (= Mem_3_T.P_IRP.68 Mem_3_T.P_IRP.46) (=> ?v_1541 (=> (= irpCompleted_1.40 irpCompleted_1.30) (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_1542 (=> (= k.330 k.267) (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> (= Mem_4_T.CancelRoutine__IRP.97 Mem_4_T.CancelRoutine__IRP.74) (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2641 (=> (= Mem_0_T.CancelRoutine__IRP.97 Mem_0_T.CancelRoutine__IRP.74) (=> ?v_2642 (=> ?v_1543 (=> ?v_2643 (=> ?v_2644 (=> ?v_1544 (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_1545 (=> (= cancelLockStatus_2.70 cancelLockStatus_2.64) (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> (= Mem_1_T.P_IRP.68 Mem_1_T.P_IRP.46) (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> (= errorReached.69 errorReached.52) (=> ?v_2668 ?v_1546)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1509 (=> true (=> true (=> true (=> true ?v_1503))))) (?v_1505 (= cancelLockStatus_1.64 cancelLockStatus_1.53)) (?v_1506 (= cancelLockStatus_0.64 cancelLockStatus_0.53)) (?v_1500 (= cancelLockStatus_2.64 cancelLockStatus_2.53)) (?v_1501 (= cancelLockStatus_4.64 cancelLockStatus_4.53)) (?v_1502 (= cancelLockStatus_3.64 cancelLockStatus_3.53))) (let ((?v_1511 (=> ?v_1502 ?v_1509))) (let ((?v_1507 (=> ?v_1501 ?v_1511))) (let ((?v_1513 (=> ?v_1506 (=> ?v_1500 ?v_1507))) (?v_1512 (= k.267 4)) (?v_1510 (= k.267 3)) (?v_1508 (= k.267 2)) (?v_1504 (= k.267 1)) (?v_1499 (= k.267 0))) (let ((?v_2752 (and (=> true (=> (not (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.5 0)) (=> true (=> (<= k.266 k.267) (=> (< k.267 5) (and (=> true (=> ?v_1499 (=> true (=> ?v_1505 (=> (= cancelLockStatus_0.64 0) (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 ?v_1503)))))))) (=> true (=> (not ?v_1499) (and (=> true (=> ?v_1504 (=> true (=> (= cancelLockStatus_1.64 0) ?v_1513)))) (=> true (=> (not ?v_1504) (and (=> true (=> ?v_1508 (=> true (=> ?v_1505 (=> ?v_1506 (=> (= cancelLockStatus_2.64 0) ?v_1507)))))) (=> true (=> (not ?v_1508) (and (=> true (=> ?v_1510 (=> true (=> ?v_1505 (=> ?v_1506 (=> ?v_1500 (=> ?v_1501 (=> (= cancelLockStatus_3.64 0) ?v_1509)))))))) (=> true (=> (not ?v_1510) (and (=> true (=> ?v_1512 (=> true (=> ?v_1505 (=> ?v_1506 (=> ?v_1500 (=> (= cancelLockStatus_4.64 0) ?v_1511))))))) (=> true (=> (not ?v_1512) (=> true (=> ?v_1505 ?v_1513)))))))))))))))))))))) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.6 0) (and (=> true (=> ?v_1514 ?v_2750)) (=> true (=> (not ?v_1514) (=> true ?v_2750)))))))) (?v_2751 (= inline.SerialTryToCompleteCurrent.2.myVar_0.11 hirp))) (let ((?v_2754 (and (=> true (=> ?v_2751 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_2752)))) (=> true (=> (not ?v_2751) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_2752))))))))))) (let ((?v_2756 (=> true (=> true (=> true (=> true ?v_2754))))) (?v_2759 (= k.266 4)) (?v_2758 (= k.266 3)) (?v_2757 (= k.266 2)) (?v_2755 (= k.266 1)) (?v_2753 (= k.266 0))) (let ((?v_2782 (=> true (=> (<= k.265 k.266) (=> (< k.266 5) (and (=> true (=> ?v_2753 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.7 ?v_1493) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.11 inline.SerialTryToCompleteCurrent.2.myVar_0.7) ?v_2754))))) (=> true (=> (not ?v_2753) (and (=> true (=> ?v_2755 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.6 ?v_1826) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.11 inline.SerialTryToCompleteCurrent.2.myVar_0.6) ?v_2756))))) (=> true (=> (not ?v_2755) (and (=> true (=> ?v_2757 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.8 ?v_1829) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.11 inline.SerialTryToCompleteCurrent.2.myVar_0.8) ?v_2756))))) (=> true (=> (not ?v_2757) (and (=> true (=> ?v_2758 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.10 ?v_1832) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.11 inline.SerialTryToCompleteCurrent.2.myVar_0.10) ?v_2756))))) (=> true (=> (not ?v_2758) (and (=> true (=> ?v_2759 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.9 ?v_1834) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.11 inline.SerialTryToCompleteCurrent.2.myVar_0.9) ?v_2756))))) (=> true (=> (not ?v_2759) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.11 inline.SerialTryToCompleteCurrent.2.myVar_0.5) ?v_2756)))))))))))))))))))))) (let ((?v_2797 (=> true (=> true (=> true ?v_2782)))) (?v_2787 (= inline.SerialRundownIrpRefs.2.myNondetVar_2.5 inline.SerialRundownIrpRefs.2.myNondetVar_2.3)) (?v_2788 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2789 (= inline.SerialRundownIrpRefs.2.tempBoogie0.5 inline.SerialRundownIrpRefs.2.tempBoogie0.3)) (?v_2790 (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs)) (?v_2791 (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2792 (= inline.SerialRundownIrpRefs.2.myNondetVar_1.5 inline.SerialRundownIrpRefs.2.myNondetVar_1.3)) (?v_2793 (= k.265 k.263)) (?v_2794 (= inline.SerialRundownIrpRefs.2.myNondetVar_0.11 inline.SerialRundownIrpRefs.2.myNondetVar_0.7)) (?v_2795 (= inline.SerialRundownIrpRefs.2.myVar_0.26 inline.SerialRundownIrpRefs.2.myVar_0.19)) (?v_2796 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2786 (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 0)) (?v_2770 (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_2771 (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1)) (?v_2772 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_2773 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_2774 (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_2775 (= inline.SerialCancelTimer.7.myNondetVar_0.2 inline.SerialCancelTimer.7.myNondetVar_0.1)) (?v_2776 (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_2777 (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0 call90392formal.ret.0)) (?v_2778 (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0 call90392formal.ret.0)) (?v_2779 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0 call90392formal.ret.0)) (?v_2780 (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.3 inline.sdv_InterlockedDecrement.26.myNondetVar_0.2)) (?v_2781 (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0 call90392formal.ret.0)) (?v_2769 (= call90392formal.ret.0 0))) (let ((?v_2761 (=> true (=> (forall ((?r7 Int)) (! (=> (and (= (POW2 ?r7) boolTrue) (= (POW2 4) boolTrue) (not (= ?r7 4))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_1.4 ?r7) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_2.4 ?v_50) ?r7) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.8 ?v_50) ?r7)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.9 ?v_50) 4) 0) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.4 (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.10 ?v_50)) (=> true (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.5 inline.SerialRundownIrpRefs.2.myNondetVar_2.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.2.myVar_0.25) (=> ?v_2770 (=> ?v_2771 (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.5 inline.SerialRundownIrpRefs.2.tempBoogie0.4) (=> (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0 4) (=> ?v_2772 (=> ?v_2773 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_2774 (=> ?v_2775 (=> ?v_2776 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.5 inline.SerialRundownIrpRefs.2.myNondetVar_1.4) (=> (= k.265 k.264) (=> ?v_2777 (=> ?v_2778 (=> ?v_2779 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.11 inline.SerialRundownIrpRefs.2.myNondetVar_0.10) (=> (= inline.SerialRundownIrpRefs.2.myVar_0.26 inline.SerialRundownIrpRefs.2.myVar_0.25) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.2.myVar_0.25) (=> ?v_2780 (=> ?v_2781 ?v_2782)))))))))))))))))))))))))))) (?v_2760 (= inline.SerialRundownIrpRefs.2.myVar_0.25 hirp))) (let ((?v_2763 (and (=> true (=> ?v_2760 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_2761)))) (=> true (=> (not ?v_2760) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_2761))))))))))) (let ((?v_2765 (=> true (=> true (=> true (=> true ?v_2763))))) (?v_2768 (= k.264 4)) (?v_2767 (= k.264 3)) (?v_2766 (= k.264 2)) (?v_2764 (= k.264 1)) (?v_2762 (= k.264 0)) (?v_1497 (not ?v_2769))) (let ((?v_2785 (and (=> true (=> ?v_1497 (=> true (=> (<= k.263 k.264) (=> (< k.264 5) (and (=> true (=> ?v_2762 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.20 ?v_1493) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.25 inline.SerialRundownIrpRefs.2.myVar_0.20) ?v_2763))))) (=> true (=> (not ?v_2762) (and (=> true (=> ?v_2764 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.21 ?v_1826) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.25 inline.SerialRundownIrpRefs.2.myVar_0.21) ?v_2765))))) (=> true (=> (not ?v_2764) (and (=> true (=> ?v_2766 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.22 ?v_1829) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.25 inline.SerialRundownIrpRefs.2.myVar_0.22) ?v_2765))))) (=> true (=> (not ?v_2766) (and (=> true (=> ?v_2767 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.23 ?v_1832) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.25 inline.SerialRundownIrpRefs.2.myVar_0.23) ?v_2765))))) (=> true (=> (not ?v_2767) (and (=> true (=> ?v_2768 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.24 ?v_1834) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.25 inline.SerialRundownIrpRefs.2.myVar_0.24) ?v_2765))))) (=> true (=> (not ?v_2768) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.25 inline.SerialRundownIrpRefs.2.myVar_0.19) ?v_2765)))))))))))))))))))))) (=> true (=> ?v_2769 (=> true (=> ?v_2787 (=> ?v_2788 (=> ?v_2770 (=> ?v_2771 (=> ?v_2789 (=> ?v_2790 (=> ?v_2772 (=> ?v_2773 (=> ?v_2791 (=> ?v_2774 (=> ?v_2775 (=> ?v_2776 (=> ?v_2792 (=> ?v_2793 (=> ?v_2777 (=> ?v_2778 (=> ?v_2779 (=> ?v_2794 (=> ?v_2795 (=> ?v_2796 (=> ?v_2780 (=> ?v_2781 ?v_2797)))))))))))))))))))))))))))) (let ((?v_2784 (=> true (=> (= inline.SerialCancelTimer.7.myNondetVar_0.1 inline.SerialCancelTimer.7.myNondetVar_0.0) (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.2 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) ?v_2785)))))))) (?v_2783 (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.1 0))) (let ((?v_2820 (and (=> true (=> (not ?v_2786) (and (=> true (=> ?v_1497 (and (=> true (=> (not ?v_2783) (=> true (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.) ?v_2784)))) (=> true (=> ?v_2783 (=> true (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0 call90473formal.ret.0) (=> true (=> true (=> true ?v_2784)))))))))) (=> true (=> ?v_2769 (=> true (=> (= inline.SerialCancelTimer.7.myNondetVar_0.1 inline.SerialCancelTimer.7.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.2 inline.sdv_InterlockedDecrement.26.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true ?v_2785))))))))))))))))) (=> true (=> ?v_2786 (=> true (=> ?v_2787 (=> ?v_2788 (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.) (=> ?v_2789 (=> ?v_2790 (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer) (=> ?v_2791 (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialCancelTimer.7.myNondetVar_0.2 inline.SerialCancelTimer.7.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_2792 (=> ?v_2793 (=> (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2.) (=> (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5.) (=> ?v_2794 (=> ?v_2795 (=> ?v_2796 (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.3 inline.sdv_InterlockedDecrement.26.myNondetVar_0) (=> (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1.) ?v_2797)))))))))))))))))))))))))))) (let ((?v_2835 (=> true ?v_2820)) (?v_2825 (= inline.SerialRundownIrpRefs.2.myNondetVar_2.3 inline.SerialRundownIrpRefs.2.myNondetVar_2.1)) (?v_2826 (= inline.SerialRundownIrpRefs.2.tempBoogie0.3 inline.SerialRundownIrpRefs.2.tempBoogie0.1)) (?v_2827 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2828 (= inline.SerialRundownIrpRefs.2.myNondetVar_0.7 inline.SerialRundownIrpRefs.2.myNondetVar_0.3)) (?v_2829 (= k.263 k.261)) (?v_2830 (= inline.SerialRundownIrpRefs.2.myNondetVar_1.3 inline.SerialRundownIrpRefs.2.myNondetVar_1.1)) (?v_2831 (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs)) (?v_2832 (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2833 (= inline.SerialRundownIrpRefs.2.myVar_0.19 inline.SerialRundownIrpRefs.2.myVar_0.12)) (?v_2834 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2824 (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 0)) (?v_2808 (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0 call90062formal.ret.0)) (?v_2809 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0)) (?v_2810 (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_2811 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0 call90062formal.ret.0)) (?v_2812 (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_2813 (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1)) (?v_2814 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0)) (?v_2815 (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0 call90062formal.ret.0)) (?v_2816 (= inline.SerialCancelTimer.6.myNondetVar_0.2 inline.SerialCancelTimer.6.myNondetVar_0.1)) (?v_2817 (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0 call90062formal.ret.0)) (?v_2818 (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_2819 (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.3 inline.sdv_InterlockedDecrement.25.myNondetVar_0.2)) (?v_2807 (= call90062formal.ret.0 0))) (let ((?v_2799 (=> true (=> (forall ((?r8 Int)) (! (=> (and (= (POW2 ?r8) boolTrue) (= (POW2 8) boolTrue) (not (= ?r8 8))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_1.2 ?r8) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_2.2 ?v_48) ?r8) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.4 ?v_48) ?r8)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.5 ?v_48) 8) 0) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.2 (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.6 ?v_48)) (=> true (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.3 inline.SerialRundownIrpRefs.2.myNondetVar_2.2) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.3 inline.SerialRundownIrpRefs.2.tempBoogie0.2) (=> ?v_2808 (=> ?v_2809 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.2.myVar_0.18) (=> ?v_2810 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.7 inline.SerialRundownIrpRefs.2.myNondetVar_0.6) (=> (= k.263 k.262) (=> ?v_2811 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.3 inline.SerialRundownIrpRefs.2.myNondetVar_1.2) (=> ?v_2812 (=> ?v_2813 (=> ?v_2814 (=> (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0 8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_2815 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.19 inline.SerialRundownIrpRefs.2.myVar_0.18) (=> ?v_2816 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.2.myVar_0.18) (=> ?v_2817 (=> ?v_2818 (=> ?v_2819 ?v_2820)))))))))))))))))))))))))))) (?v_2798 (= inline.SerialRundownIrpRefs.2.myVar_0.18 hirp))) (let ((?v_2801 (and (=> true (=> ?v_2798 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_2799)))) (=> true (=> (not ?v_2798) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_2799))))))))))) (let ((?v_2803 (=> true (=> true (=> true (=> true ?v_2801))))) (?v_2806 (= k.262 4)) (?v_2805 (= k.262 3)) (?v_2804 (= k.262 2)) (?v_2802 (= k.262 1)) (?v_2800 (= k.262 0)) (?v_1496 (not ?v_2807))) (let ((?v_2823 (and (=> true (=> ?v_1496 (=> true (=> (<= k.261 k.262) (=> (< k.262 5) (and (=> true (=> ?v_2800 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.13 ?v_1493) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.18 inline.SerialRundownIrpRefs.2.myVar_0.13) ?v_2801))))) (=> true (=> (not ?v_2800) (and (=> true (=> ?v_2802 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.14 ?v_1826) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.18 inline.SerialRundownIrpRefs.2.myVar_0.14) ?v_2803))))) (=> true (=> (not ?v_2802) (and (=> true (=> ?v_2804 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.16 ?v_1829) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.18 inline.SerialRundownIrpRefs.2.myVar_0.16) ?v_2803))))) (=> true (=> (not ?v_2804) (and (=> true (=> ?v_2805 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.15 ?v_1832) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.18 inline.SerialRundownIrpRefs.2.myVar_0.15) ?v_2803))))) (=> true (=> (not ?v_2805) (and (=> true (=> ?v_2806 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.17 ?v_1834) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.18 inline.SerialRundownIrpRefs.2.myVar_0.17) ?v_2803))))) (=> true (=> (not ?v_2806) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.18 inline.SerialRundownIrpRefs.2.myVar_0.12) ?v_2803)))))))))))))))))))))) (=> true (=> ?v_2807 (=> true (=> ?v_2825 (=> ?v_2826 (=> ?v_2808 (=> ?v_2809 (=> ?v_2827 (=> ?v_2810 (=> ?v_2828 (=> ?v_2829 (=> ?v_2811 (=> ?v_2830 (=> ?v_2812 (=> ?v_2813 (=> ?v_2814 (=> ?v_2831 (=> ?v_2832 (=> ?v_2815 (=> ?v_2833 (=> ?v_2816 (=> ?v_2834 (=> ?v_2817 (=> ?v_2818 (=> ?v_2819 ?v_2835)))))))))))))))))))))))))))) (let ((?v_2822 (=> true (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.2 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.6.myNondetVar_0.1 inline.SerialCancelTimer.6.myNondetVar_0.0) (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) ?v_2823)))))))) (?v_2821 (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.1 0))) (let ((?v_2893 (and (=> true (=> (not ?v_2824) (and (=> true (=> ?v_1496 (and (=> true (=> (not ?v_2821) (=> true (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.) ?v_2822)))) (=> true (=> ?v_2821 (=> true (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0 call90143formal.ret.0) (=> true (=> true (=> true ?v_2822)))))))))) (=> true (=> ?v_2807 (=> true (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.2 inline.sdv_InterlockedDecrement.25.myNondetVar_0) (=> (= inline.SerialCancelTimer.6.myNondetVar_0.1 inline.SerialCancelTimer.6.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1.) (=> true (=> true (=> true (=> true (=> true ?v_2823))))))))))))))))) (=> true (=> ?v_2824 (=> true (=> ?v_2825 (=> ?v_2826 (=> (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2.) (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1) (=> ?v_2827 (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_2828 (=> ?v_2829 (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3.) (=> ?v_2830 (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer) (=> ?v_2831 (=> ?v_2832 (=> (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer) (=> ?v_2833 (=> (= inline.SerialCancelTimer.6.myNondetVar_0.2 inline.SerialCancelTimer.6.myNondetVar_0) (=> ?v_2834 (=> (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1.) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.3 inline.sdv_InterlockedDecrement.25.myNondetVar_0) ?v_2835))))))))))))))))))))))))))) (?v_1492 (= k.253 0)) (?v_2884 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.71 (int_2_U (CancelRoutine__IRP ?v_1493)))) 0)) (?v_2885 (= k.253 1)) (?v_2886 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.71 (int_2_U (CancelRoutine__IRP ?v_1826)))) 0)) (?v_2887 (= k.253 2)) (?v_2888 (= (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.71 (int_2_U (CancelRoutine__IRP ?v_1829)))) 0)) (?v_2889 (= k.253 3)) (?v_2890 (= (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.71 (int_2_U (CancelRoutine__IRP ?v_1832)))) 0)) (?v_2891 (= k.253 4)) (?v_2892 (= (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.71 (int_2_U (CancelRoutine__IRP ?v_1834)))) 0))) (let ((?v_2840 (=> true (=> (<= k.259 k.260) (=> (< k.260 5) (=> true (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.1 inline.SerialRundownIrpRefs.2.myNondetVar_2.0) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialRundownIrpRefs.2.myVar_0.11) (=> (= Mem_4_T.CancelRoutine__IRP.74 Mem_4_T.CancelRoutine__IRP.73) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= errorReached.52 errorReached.51) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.1 inline.SerialRundownIrpRefs.2.tempBoogie0.0) (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0 2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.2.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3313.2.3..0 call90028formal.ret.0) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialRundownIrpRefs.2.myVar_0.11) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.1 inline.SerialRundownIrpRefs.2.myNondetVar_1.0) (=> (= k.261 k.260) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.2.myVar_0.5) (=> (= Mem_2_T.CancelRoutine__IRP.74 Mem_2_T.CancelRoutine__IRP.73) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.3 inline.SerialRundownIrpRefs.2.myNondetVar_0.2) (=> (= inline.SerialRundownIrpRefs.2.myVar_0.12 inline.SerialRundownIrpRefs.2.myVar_0.11) (=> (= inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2..0) (=> (= Mem_1_T.CancelRoutine__IRP.74 Mem_1_T.CancelRoutine__IRP.73) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= Mem_3_T.CancelRoutine__IRP.74 Mem_3_T.CancelRoutine__IRP.73) (=> (= Mem_0_T.CancelRoutine__IRP.74 Mem_0_T.CancelRoutine__IRP.73) ?v_2893))))))))))))))))))))))))))))) (let ((?v_2848 (=> true ?v_2840)) (?v_2837 (= Mem_2_T.CancelRoutine__IRP.73 Mem_2_T.CancelRoutine__IRP.71)) (?v_2842 (= Mem_0_T.CancelRoutine__IRP.73 Mem_0_T.CancelRoutine__IRP.71)) (?v_2838 (= Mem_3_T.CancelRoutine__IRP.73 Mem_3_T.CancelRoutine__IRP.71)) (?v_2843 (= Mem_1_T.CancelRoutine__IRP.73 Mem_1_T.CancelRoutine__IRP.71)) (?v_2839 (= Mem_4_T.CancelRoutine__IRP.73 Mem_4_T.CancelRoutine__IRP.71))) (let ((?v_2844 (=> ?v_2839 ?v_2848))) (let ((?v_2846 (=> ?v_2843 ?v_2844))) (let ((?v_2850 (=> ?v_2842 (=> ?v_2838 ?v_2846))) (?v_2849 (= k.259 4)) (?v_1495 (int_2_U (CancelRoutine__IRP inline.SerialRundownIrpRefs.2.myVar_0.11))) (?v_2847 (= k.259 3)) (?v_2845 (= k.259 2)) (?v_2841 (= k.259 1)) (?v_2836 (= k.259 0))) (let ((?v_2860 (=> true (=> (<= k.258 k.259) (=> (< k.259 5) (and (=> true (=> ?v_2836 (=> (= Mem_0_T.CancelRoutine__IRP.72 (MapType0Store Mem_0_T.CancelRoutine__IRP.71 ?v_1495 ?v_46)) (=> true (=> ?v_2837 (=> (= Mem_0_T.CancelRoutine__IRP.73 Mem_0_T.CancelRoutine__IRP.72) (=> ?v_2838 (=> ?v_2843 (=> ?v_2839 ?v_2840))))))))) (=> true (=> (not ?v_2836) (and (=> true (=> ?v_2841 (=> (= Mem_1_T.CancelRoutine__IRP.72 (MapType0Store Mem_1_T.CancelRoutine__IRP.71 ?v_1495 ?v_46)) (=> true (=> ?v_2837 (=> ?v_2842 (=> ?v_2838 (=> (= Mem_1_T.CancelRoutine__IRP.73 Mem_1_T.CancelRoutine__IRP.72) ?v_2844)))))))) (=> true (=> (not ?v_2841) (and (=> true (=> ?v_2845 (=> (= Mem_2_T.CancelRoutine__IRP.72 (MapType0Store Mem_2_T.CancelRoutine__IRP.71 ?v_1495 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.73 Mem_2_T.CancelRoutine__IRP.72) ?v_2850))))) (=> true (=> (not ?v_2845) (and (=> true (=> ?v_2847 (=> (= Mem_3_T.CancelRoutine__IRP.72 (MapType0Store Mem_3_T.CancelRoutine__IRP.71 ?v_1495 ?v_46)) (=> true (=> ?v_2837 (=> ?v_2842 (=> (= Mem_3_T.CancelRoutine__IRP.73 Mem_3_T.CancelRoutine__IRP.72) ?v_2846))))))) (=> true (=> (not ?v_2847) (and (=> true (=> ?v_2849 (=> (= Mem_4_T.CancelRoutine__IRP.72 (MapType0Store Mem_4_T.CancelRoutine__IRP.71 ?v_1495 ?v_46)) (=> true (=> ?v_2837 (=> ?v_2842 (=> ?v_2838 (=> ?v_2843 (=> (= Mem_4_T.CancelRoutine__IRP.73 Mem_4_T.CancelRoutine__IRP.72) ?v_2848))))))))) (=> true (=> (not ?v_2849) (=> true (=> ?v_2837 ?v_2850))))))))))))))))))))) (?v_2859 (= errorReached.51 errorReached.50)) (?v_2858 (= inline.SerialRundownIrpRefs.2.myVar_0.11 hirp)) (?v_2856 (= k.258 k.257))) (let ((?v_2857 (=> (= inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2..0 call89937formal.ret.0) ?v_2860)) (?v_2851 (= k.257 0)) (?v_2852 (= k.257 1)) (?v_2853 (= k.257 2)) (?v_2854 (= k.257 3)) (?v_2855 (= k.257 4))) (let ((?v_2862 (and (=> true (=> ?v_2858 (=> true (=> (<= k.256 k.257) (=> (< k.257 5) (and (=> true (=> (=> ?v_2851 ?v_1526) (=> (=> ?v_2852 ?v_1527) (=> (=> ?v_2853 ?v_1528) (=> (=> ?v_2854 ?v_1529) (=> (=> ?v_2855 ?v_1530) (=> true (=> ?v_2856 (=> (= errorReached.51 1) ?v_2857))))))))) (=> true (=> (=> ?v_2851 ?v_1659) (=> (=> ?v_2852 ?v_1661) (=> (=> ?v_2853 ?v_1663) (=> (=> ?v_2854 ?v_1665) (=> (=> ?v_2855 ?v_1667) (=> true (=> ?v_2856 (=> ?v_2859 ?v_2857))))))))))))))) (=> true (=> (not ?v_2858) (=> true (=> (= k.258 k.256) (=> ?v_2859 (=> (= inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2.) ?v_2860))))))))) (let ((?v_2864 (=> true (=> true ?v_2862))) (?v_2867 (= k.256 4)) (?v_2866 (= k.256 3)) (?v_2865 (= k.256 2)) (?v_2863 (= k.256 1)) (?v_2861 (= k.256 0))) (let ((?v_2869 (=> true (=> (<= k.255 k.256) (=> (< k.256 5) (and (=> true (=> ?v_2861 (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.71 ?v_1495))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_2862))))) (=> true (=> (not ?v_2861) (and (=> true (=> ?v_2863 (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.71 ?v_1495))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_2864))))) (=> true (=> (not ?v_2863) (and (=> true (=> ?v_2865 (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.71 ?v_1495))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_2864))))) (=> true (=> (not ?v_2865) (and (=> true (=> ?v_2866 (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.71 ?v_1495))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_2864))))) (=> true (=> (not ?v_2866) (and (=> true (=> ?v_2867 (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.71 ?v_1495))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_2864))))) (=> true (=> (not ?v_2867) (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_2864)))))))))))))))))))))) (let ((?v_2871 (=> true (=> true (=> true (=> true ?v_2869))))) (?v_2874 (= k.255 4)) (?v_2873 (= k.255 3)) (?v_2872 (= k.255 2)) (?v_2870 (= k.255 1)) (?v_2868 (= k.255 0))) (let ((?v_2876 (=> true (=> (forall ((?r9 Int)) (! (=> (and (= (POW2 ?r9) boolTrue) (= (POW2 2) boolTrue) (not (= ?r9 2))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_1.0 ?r9) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_2.0 ?v_44) ?r9) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.0 ?v_44) ?r9)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.1 ?v_44) 2) 0) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.0 (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.2 ?v_44)) (=> true (=> (<= k.254 k.255) (=> (< k.255 5) (and (=> true (=> ?v_2868 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.6 ?v_1493) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.11 inline.SerialRundownIrpRefs.2.myVar_0.6) ?v_2869))))) (=> true (=> (not ?v_2868) (and (=> true (=> ?v_2870 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.7 ?v_1826) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.11 inline.SerialRundownIrpRefs.2.myVar_0.7) ?v_2871))))) (=> true (=> (not ?v_2870) (and (=> true (=> ?v_2872 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.8 ?v_1829) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.11 inline.SerialRundownIrpRefs.2.myVar_0.8) ?v_2871))))) (=> true (=> (not ?v_2872) (and (=> true (=> ?v_2873 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.10 ?v_1832) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.11 inline.SerialRundownIrpRefs.2.myVar_0.10) ?v_2871))))) (=> true (=> (not ?v_2873) (and (=> true (=> ?v_2874 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.9 ?v_1834) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.11 inline.SerialRundownIrpRefs.2.myVar_0.9) ?v_2871))))) (=> true (=> (not ?v_2874) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.11 inline.SerialRundownIrpRefs.2.myVar_0.5) ?v_2871))))))))))))))))))))))))) (?v_2875 (= inline.SerialRundownIrpRefs.2.myVar_0.5 hirp))) (let ((?v_2878 (and (=> true (=> ?v_2875 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_2876)))) (=> true (=> (not ?v_2875) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_2876))))))))))) (let ((?v_2880 (=> true (=> true (=> true (=> true ?v_2878))))) (?v_2883 (= k.254 4)) (?v_2882 (= k.254 3)) (?v_2881 (= k.254 2)) (?v_2879 (= k.254 1)) (?v_2877 (= k.254 0))) (let ((?v_2896 (and (=> true (=> (=> ?v_1492 (not ?v_2884)) (=> (=> ?v_2885 (not ?v_2886)) (=> (=> ?v_2887 (not ?v_2888)) (=> (=> ?v_2889 (not ?v_2890)) (=> (=> ?v_2891 (not ?v_2892)) (=> true (=> (<= k.253 k.254) (=> (< k.254 5) (and (=> true (=> ?v_2877 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.0 ?v_1493) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0.0) ?v_2878))))) (=> true (=> (not ?v_2877) (and (=> true (=> ?v_2879 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.1 ?v_1826) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0.1) ?v_2880))))) (=> true (=> (not ?v_2879) (and (=> true (=> ?v_2881 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.2 ?v_1829) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0.2) ?v_2880))))) (=> true (=> (not ?v_2881) (and (=> true (=> ?v_2882 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.3 ?v_1832) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0.3) ?v_2880))))) (=> true (=> (not ?v_2882) (and (=> true (=> ?v_2883 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.4 ?v_1834) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0.4) ?v_2880))))) (=> true (=> (not ?v_2883) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0) ?v_2880)))))))))))))))))))))))))) (=> true (=> (=> ?v_1492 ?v_2884) (=> (=> ?v_2885 ?v_2886) (=> (=> ?v_2887 ?v_2888) (=> (=> ?v_2889 ?v_2890) (=> (=> ?v_2891 ?v_2892) (=> true (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.1 inline.SerialRundownIrpRefs.2.myNondetVar_2) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_4_T.CancelRoutine__IRP.74 Mem_4_T.CancelRoutine__IRP.71) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= errorReached.52 errorReached.50) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.1 inline.SerialRundownIrpRefs.2.tempBoogie0) (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.1 inline.SerialRundownIrpRefs.2.myNondetVar_1) (=> (= k.261 k.253) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= Mem_2_T.CancelRoutine__IRP.74 Mem_2_T.CancelRoutine__IRP.71) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.3 inline.SerialRundownIrpRefs.2.myNondetVar_0) (=> (= inline.SerialRundownIrpRefs.2.myVar_0.12 inline.SerialRundownIrpRefs.2.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.14..result.userContextSwitch.3310.4.2.) (=> (= Mem_1_T.CancelRoutine__IRP.74 Mem_1_T.CancelRoutine__IRP.71) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= Mem_3_T.CancelRoutine__IRP.74 Mem_3_T.CancelRoutine__IRP.71) (=> (= Mem_0_T.CancelRoutine__IRP.74 Mem_0_T.CancelRoutine__IRP.71) (=> true ?v_2893)))))))))))))))))))))))))))))))))) (let ((?v_2895 (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.7 inline.KeSynchronizeExecution.12.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGrabReadFromIsr) (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGrabReadFromIsr) ?v_2896))))))))) (let ((?v_2898 (=> true (=> (forall ((?r10 Int)) (! (=> (and (= (POW2 ?r10) boolTrue) (= (POW2 2) boolTrue) (not (= ?r10 2))) (= (not (= (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_1.0 ?r10) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_2.0 ?v_44) ?r10) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_0.0 ?v_44) ?r10)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_0.1 ?v_44) 2) 0) (and (=> true (=> ?v_1491 (and (=> true (=> ?v_1491 (=> true (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.6 inline.KeSynchronizeExecution.12.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.12..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.12..result.SynchronizeRoutine.4679.26.2.) ?v_2895)))))) (=> true (=> ?v_2894 (=> true (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.6 inline.KeSynchronizeExecution.12.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true ?v_2895)))))))))))) (=> true (=> ?v_2894 (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.7 inline.KeSynchronizeExecution.12.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_2896)))))))))))))))))) (?v_2897 (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 hirp))) (let ((?v_2899 (and (=> true (=> ?v_2897 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_2898)))) (=> true (=> (not ?v_2897) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_2898))))))))))) (let ((?v_2900 (=> true (=> true (=> true (=> true ?v_2899)))))) (let ((?v_2903 (=> true (=> ?v_1514 (=> (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 (CurrentReadIrp__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5)) (=> (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 (ReadQueue__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5)) (=> (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5)) (=> (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5)) (=> true (and ?v_38 (=> ?v_38 (=> (> call88986formal.new.0 0) (=> (forall ((?x1601 Int)) (! (=> (and (<= call88986formal.new.0 ?x1601) (< ?x1601 (+ call88986formal.new.0 4))) (= (Base ?x1601) call88986formal.new.0)) :pattern ((Base ?x1601)) )) (=> (forall ((?x1602 boogieU)) (! (=> (= (type ?x1602) intType) (or (= (U_2_int ?x1602) call88986formal.new.0) (= (MapType0Select alloc.76 ?x1602) (MapType0Select alloc.77 ?x1602)))) :pattern ((MapType0Select alloc.77 ?x1602)) )) (=> (and (= (MapType0Select alloc.76 ?v_1490) UNALLOCATED) (= (MapType0Select alloc.77 ?v_1490) ALLOCATED)) (=> true (=> (<= k.252 k.253) (=> (< k.253 5) (and (=> true (=> ?v_1492 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.4 ?v_1493) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0.4) ?v_2899))))) (=> true (=> (not ?v_1492) (and (=> true (=> ?v_2885 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.3 ?v_1826) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0.3) ?v_2900))))) (=> true (=> (not ?v_2885) (and (=> true (=> ?v_2887 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.1 ?v_1829) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0.1) ?v_2900))))) (=> true (=> (not ?v_2887) (and (=> true (=> ?v_2889 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.2 ?v_1832) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0.2) ?v_2900))))) (=> true (=> (not ?v_2889) (and (=> true (=> ?v_2891 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.0 ?v_1834) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0.0) ?v_2900))))) (=> true (=> (not ?v_2891) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0) ?v_2900))))))))))))))))))))))))))))))))))) (let ((?v_2906 (=> true (=> true (=> true ?v_2903)))) (?v_2911 (= k.252 4)) (?v_2909 (= k.252 3)) (?v_2907 (= k.252 2)) (?v_2904 (= k.252 1)) (?v_2901 (= k.252 0))) (let ((?v_2915 (=> true (=> (<= k.251 k.252) (=> (< k.252 5) (and (=> true (=> ?v_2901 (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.2 ?v_34) (=> true (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.2) ?v_2903))))) (=> true (=> (not ?v_2901) (and (=> true (=> ?v_2904 (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.1 ?v_2902) (=> true (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.1) ?v_2906))))) (=> true (=> (not ?v_2904) (and (=> true (=> ?v_2907 (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.0 ?v_2905) (=> true (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.0) ?v_2906))))) (=> true (=> (not ?v_2907) (and (=> true (=> ?v_2909 (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.4 ?v_2908) (=> true (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.4) ?v_2906))))) (=> true (=> (not ?v_2909) (and (=> true (=> ?v_2911 (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.3 ?v_2910) (=> true (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.3) ?v_2906))))) (=> true (=> (not ?v_2911) (=> true (=> (= inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead.5 inline.SerialCancelCurrentRead.0..extension.3.771.29.SerialCancelCurrentRead) ?v_2906)))))))))))))))))))))) (let ((?v_2920 (=> true (=> true (=> true (=> true (=> true ?v_2915)))))) (?v_2912 (= Mem_2_T.CancelRoutine__IRP.71 Mem_2_T.CancelRoutine__IRP.69)) (?v_2916 (= Mem_0_T.CancelRoutine__IRP.71 Mem_0_T.CancelRoutine__IRP.69)) (?v_2913 (= Mem_3_T.CancelRoutine__IRP.71 Mem_3_T.CancelRoutine__IRP.69)) (?v_2917 (= Mem_1_T.CancelRoutine__IRP.71 Mem_1_T.CancelRoutine__IRP.69)) (?v_2914 (= Mem_4_T.CancelRoutine__IRP.71 Mem_4_T.CancelRoutine__IRP.69))) (let ((?v_2918 (=> ?v_2914 ?v_2920))) (let ((?v_2919 (=> ?v_2917 ?v_2918))) (let ((?v_2921 (=> ?v_2916 (=> ?v_2913 ?v_2919))) (?v_3252 (not ?v_1487)) (?v_3250 (not ?v_1486)) (?v_3248 (not ?v_1485)) (?v_3244 (not ?v_1484)) (?v_3237 (not ?v_1483))) (let ((?v_3243 (and (=> true (=> (=> ?v_1483 ?v_2922) (=> (=> ?v_1484 ?v_2923) (=> (=> ?v_1485 ?v_2924) (=> (=> ?v_1486 ?v_2925) (=> (=> ?v_1487 ?v_2926) (and (=> true (=> ?v_1483 (=> (= Mem_0_T.CancelRoutine__IRP.70 (MapType0Store Mem_0_T.CancelRoutine__IRP.69 ?v_1488 ?v_46)) (=> true (=> ?v_2912 (=> (= Mem_0_T.CancelRoutine__IRP.71 Mem_0_T.CancelRoutine__IRP.70) (=> ?v_2913 (=> ?v_2917 (=> ?v_2914 ?v_2915))))))))) (=> true (=> ?v_3237 (and (=> true (=> ?v_1484 (=> (= Mem_1_T.CancelRoutine__IRP.70 (MapType0Store Mem_1_T.CancelRoutine__IRP.69 ?v_1488 ?v_46)) (=> true (=> ?v_2912 (=> ?v_2916 (=> ?v_2913 (=> (= Mem_1_T.CancelRoutine__IRP.71 Mem_1_T.CancelRoutine__IRP.70) ?v_2918)))))))) (=> true (=> ?v_3244 (and (=> true (=> ?v_1485 (=> (= Mem_2_T.CancelRoutine__IRP.70 (MapType0Store Mem_2_T.CancelRoutine__IRP.69 ?v_1488 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.71 Mem_2_T.CancelRoutine__IRP.70) ?v_2921))))) (=> true (=> ?v_3248 (and (=> true (=> ?v_1486 (=> (= Mem_3_T.CancelRoutine__IRP.70 (MapType0Store Mem_3_T.CancelRoutine__IRP.69 ?v_1488 ?v_46)) (=> true (=> ?v_2912 (=> ?v_2916 (=> (= Mem_3_T.CancelRoutine__IRP.71 Mem_3_T.CancelRoutine__IRP.70) ?v_2919))))))) (=> true (=> ?v_3250 (and (=> true (=> ?v_1487 (=> (= Mem_4_T.CancelRoutine__IRP.70 (MapType0Store Mem_4_T.CancelRoutine__IRP.69 ?v_1488 ?v_46)) (=> true (=> ?v_2912 (=> ?v_2916 (=> ?v_2913 (=> ?v_2917 (=> (= Mem_4_T.CancelRoutine__IRP.71 Mem_4_T.CancelRoutine__IRP.70) ?v_2920))))))))) (=> true (=> ?v_3252 (=> true (=> ?v_2912 ?v_2921))))))))))))))))))))))) (=> true (=> (=> ?v_1483 (not ?v_2922)) (=> (=> ?v_1484 (not ?v_2923)) (=> (=> ?v_1485 (not ?v_2924)) (=> (=> ?v_1486 (not ?v_2925)) (=> (=> ?v_1487 (not ?v_2926)) (=> true (=> ?v_2927 (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> ?v_2940 (=> ?v_2941 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> (= cancelLockStatus_4.71 cancelLockStatus_4.53) (=> ?v_2945 (=> ?v_2946 (=> ?v_2947 (=> ?v_2948 (=> ?v_2949 (=> ?v_2950 (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2961 (=> ?v_2962 (=> ?v_2963 (=> ?v_2964 (=> (= cancelLockStatus_0.71 cancelLockStatus_0.53) (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_2968 (=> ?v_2969 (=> ?v_2970 (=> ?v_2971 (=> ?v_2972 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_2978 (=> ?v_2979 (=> ?v_2980 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> ?v_2985 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> ?v_2990 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2996 (=> ?v_2997 (=> ?v_2998 (=> ?v_2999 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> ?v_3005 (=> ?v_3006 (=> ?v_3007 (=> ?v_3008 (=> ?v_3009 (=> ?v_3010 (=> ?v_3011 (=> ?v_3012 (=> ?v_3013 (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_3020 (=> ?v_3021 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3026 (=> ?v_3027 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_3037 (=> ?v_3038 (=> ?v_3039 (=> ?v_3040 (=> ?v_3041 (=> ?v_3042 (=> ?v_3043 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> ?v_3055 (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> ?v_3060 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_3065 (=> ?v_3066 (=> (= cancelLockStatus_1.71 cancelLockStatus_1.53) (=> ?v_3067 (=> ?v_3068 (=> ?v_3069 (=> ?v_3070 (=> (= cancelLockStatus_3.71 cancelLockStatus_3.53) (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> ?v_3077 (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> ?v_3086 (=> ?v_3087 (=> ?v_3088 (=> ?v_3089 (=> ?v_3090 (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> ?v_3094 (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> (= cancelLockStatus_2.71 cancelLockStatus_2.53) (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_3213 (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 ?v_3236)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3247 (=> true (=> true ?v_3243))) (?v_3245 (= Mem_0_T.Cancel__IRP.1 Mem_0_T.Cancel__IRP)) (?v_3240 (= Mem_3_T.Cancel__IRP.1 Mem_3_T.Cancel__IRP)) (?v_3241 (= Mem_4_T.Cancel__IRP.1 Mem_4_T.Cancel__IRP)) (?v_3246 (= Mem_1_T.Cancel__IRP.1 Mem_1_T.Cancel__IRP)) (?v_3242 (= Mem_2_T.Cancel__IRP.1 Mem_2_T.Cancel__IRP))) (let ((?v_3249 (=> ?v_3242 ?v_3247))) (let ((?v_3251 (=> ?v_3246 ?v_3249))) (let ((?v_3253 (=> ?v_3241 ?v_3251)) (?v_3238 (int_2_U (Cancel__IRP hirp))) (?v_3239 (int_2_U 1))) (let ((?v_3257 (and (=> true (=> ?v_1483 (=> (= Mem_0_T.Cancel__IRP.0 (MapType0Store Mem_0_T.Cancel__IRP ?v_3238 ?v_3239)) (=> true (=> (= Mem_0_T.Cancel__IRP.1 Mem_0_T.Cancel__IRP.0) (=> ?v_3240 (=> ?v_3241 (=> ?v_3246 (=> ?v_3242 ?v_3243))))))))) (=> true (=> ?v_3237 (and (=> true (=> ?v_1484 (=> (= Mem_1_T.Cancel__IRP.0 (MapType0Store Mem_1_T.Cancel__IRP ?v_3238 ?v_3239)) (=> true (=> ?v_3245 (=> ?v_3240 (=> ?v_3241 (=> (= Mem_1_T.Cancel__IRP.1 Mem_1_T.Cancel__IRP.0) ?v_3249)))))))) (=> true (=> ?v_3244 (and (=> true (=> ?v_1485 (=> (= Mem_2_T.Cancel__IRP.0 (MapType0Store Mem_2_T.Cancel__IRP ?v_3238 ?v_3239)) (=> true (=> ?v_3245 (=> ?v_3240 (=> ?v_3241 (=> ?v_3246 (=> (= Mem_2_T.Cancel__IRP.1 Mem_2_T.Cancel__IRP.0) ?v_3247))))))))) (=> true (=> ?v_3248 (and (=> true (=> ?v_1486 (=> (= Mem_3_T.Cancel__IRP.0 (MapType0Store Mem_3_T.Cancel__IRP ?v_3238 ?v_3239)) (=> true (=> ?v_3245 (=> (= Mem_3_T.Cancel__IRP.1 Mem_3_T.Cancel__IRP.0) ?v_3253)))))) (=> true (=> ?v_3250 (and (=> true (=> ?v_1487 (=> (= Mem_4_T.Cancel__IRP.0 (MapType0Store Mem_4_T.Cancel__IRP ?v_3238 ?v_3239)) (=> true (=> ?v_3245 (=> ?v_3240 (=> (= Mem_4_T.Cancel__IRP.1 Mem_4_T.Cancel__IRP.0) ?v_3251))))))) (=> true (=> ?v_3252 (=> true (=> ?v_3245 (=> ?v_3240 ?v_3253)))))))))))))))))))) (let ((?v_3261 (=> true (=> true ?v_3257))) (?v_3258 (= cancelLockStatus_1.53 cancelLockStatus_1.52)) (?v_3259 (= cancelLockStatus_0.53 cancelLockStatus_0.52)) (?v_3254 (= cancelLockStatus_2.53 cancelLockStatus_2.52)) (?v_3255 (= cancelLockStatus_4.53 cancelLockStatus_4.52)) (?v_3256 (= cancelLockStatus_3.53 cancelLockStatus_3.52))) (let ((?v_3262 (=> ?v_3256 ?v_3261))) (let ((?v_3260 (=> ?v_3255 ?v_3262))) (let ((?v_3263 (=> ?v_3259 (=> ?v_3254 ?v_3260))) (?v_10 (int_2_U (CancelRoutine__IRP x.tmpIrp.2.6628.7.sdv_main))) (?v_1482 (= call79213formal.ret.0 0))) (let ((?v_4117 (=> true (=> (<= 0 k.251) (=> (< k.251 5) (and (=> true (=> (not ?v_1482) (=> true (=> ?v_2927 (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> ?v_2940 (=> ?v_2941 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> (= cancelLockStatus_4.71 cancelLockStatus_4.52) (=> ?v_2945 (=> ?v_2946 (=> ?v_2947 (=> ?v_2948 (=> ?v_2949 (=> ?v_2950 (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2961 (=> ?v_2962 (=> ?v_2963 (=> ?v_2964 (=> (= cancelLockStatus_0.71 cancelLockStatus_0.52) (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_2968 (=> ?v_2969 (=> ?v_2970 (=> ?v_2971 (=> ?v_2972 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_2978 (=> ?v_2979 (=> ?v_2980 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> ?v_2985 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> ?v_2990 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2996 (=> ?v_2997 (=> ?v_2998 (=> ?v_2999 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> ?v_3005 (=> ?v_3006 (=> ?v_3007 (=> ?v_3008 (=> ?v_3009 (=> ?v_3010 (=> ?v_3011 (=> ?v_3012 (=> ?v_3013 (=> ?v_3014 (=> ?v_3015 (=> (= Mem_1_T.Cancel__IRP.2 Mem_1_T.Cancel__IRP) (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_3020 (=> ?v_3021 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3026 (=> ?v_3027 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_3037 (=> ?v_3038 (=> ?v_3039 (=> ?v_3040 (=> ?v_3041 (=> ?v_3042 (=> ?v_3043 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> ?v_3055 (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> ?v_3060 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_3065 (=> ?v_3066 (=> (= cancelLockStatus_1.71 cancelLockStatus_1.52) (=> ?v_3067 (=> ?v_3068 (=> ?v_3069 (=> ?v_3070 (=> (= cancelLockStatus_3.71 cancelLockStatus_3.52) (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> ?v_3077 (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> ?v_3086 (=> ?v_3087 (=> ?v_3088 (=> ?v_3089 (=> ?v_3090 (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> ?v_3094 (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> (= Mem_0_T.Cancel__IRP.2 Mem_0_T.Cancel__IRP) (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> (= Mem_4_T.Cancel__IRP.2 Mem_4_T.Cancel__IRP) (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> (= Mem_3_T.Cancel__IRP.2 Mem_3_T.Cancel__IRP) (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> (= Mem_2_T.Cancel__IRP.2 Mem_2_T.Cancel__IRP) (=> ?v_3193 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> (= cancelLockStatus_2.71 cancelLockStatus_2.52) (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_3213 (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 ?v_1498))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1482 (=> true (=> (=> ?v_1483 (not (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.69 ?v_10)) 0))) (=> (=> ?v_1484 (not (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.69 ?v_10)) 0))) (=> (=> ?v_1485 (not (= (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.69 ?v_10)) 0))) (=> (=> ?v_1486 (not (= (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.69 ?v_10)) 0))) (=> (=> ?v_1487 (not (= (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.69 ?v_10)) 0))) (=> true (=> (=> ?v_1483 (= cancelLockStatus_0.52 0)) (=> (=> ?v_1484 (= cancelLockStatus_1.52 0)) (=> (=> ?v_1485 (= cancelLockStatus_2.52 0)) (=> (=> ?v_1486 (= cancelLockStatus_3.52 0)) (=> (=> ?v_1487 (= cancelLockStatus_4.52 0)) (and (=> true (=> ?v_1483 (=> true (=> ?v_3258 (=> (= cancelLockStatus_0.53 1) (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 ?v_3257)))))))) (=> true (=> ?v_3237 (and (=> true (=> ?v_1484 (=> true (=> (= cancelLockStatus_1.53 1) ?v_3263)))) (=> true (=> ?v_3244 (and (=> true (=> ?v_1485 (=> true (=> ?v_3258 (=> ?v_3259 (=> (= cancelLockStatus_2.53 1) ?v_3260)))))) (=> true (=> ?v_3248 (and (=> true (=> ?v_1486 (=> true (=> ?v_3258 (=> ?v_3259 (=> ?v_3254 (=> ?v_3255 (=> (= cancelLockStatus_3.53 1) ?v_3261)))))))) (=> true (=> ?v_3250 (and (=> true (=> ?v_1487 (=> true (=> ?v_3258 (=> ?v_3259 (=> ?v_3254 (=> (= cancelLockStatus_4.53 1) ?v_3262))))))) (=> true (=> ?v_3252 (=> true (=> ?v_3258 ?v_3263))))))))))))))))))))))))))))))))))))) (let ((?v_4165 (=> true (=> true (=> true (=> true (=> true (=> true ?v_4117))))))) (?v_3313 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer)) (?v_3314 (= inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1.)) (?v_3315 (= inline.SerialGetNextIrpLocked.2.myVar_0.9 inline.SerialGetNextIrpLocked.2.myVar_0)) (?v_3316 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_3317 (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs)) (?v_3318 (= inline.sdv_IoAcquireCancelSpinLock.1..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.1..result.userContextSwitch.1645.2.1.)) (?v_3319 (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.5 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite)) (?v_3320 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_3321 (= inline.SerialStartWrite.0.myNondetVar_0.37 inline.SerialStartWrite.0.myNondetVar_0)) (?v_3322 (= inline.SerialGetNextWrite.0.myNondetVar_2.8 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_3323 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..5 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_3324 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3325 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3326 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3327 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_3328 (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.6 inline.sdv_InterlockedDecrement.10.myNondetVar_0)) (?v_3329 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3330 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer)) (?v_3331 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_3332 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_3333 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_3334 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3335 (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3336 (= inline.KeSynchronizeExecution.7.myNondetVar_0.10 inline.KeSynchronizeExecution.7.myNondetVar_0)) (?v_3337 (= inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1.)) (?v_3338 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_3339 (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs)) (?v_3340 (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.1 inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite)) (?v_3342 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3343 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.7 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_3344 (= lockStatus_2.41 lockStatus_2.14)) (?v_3345 (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.1 inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite)) (?v_3346 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_3347 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1)) (?v_3348 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_3349 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer)) (?v_3350 (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.)) (?v_3351 (= Mem_0_T.P_IRP.46 Mem_0_T.P_IRP)) (?v_3352 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3353 (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.)) (?v_3354 (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3355 (= inline.RemoveHeadList.2.myNondetVar_0.5 inline.RemoveHeadList.2.myNondetVar_0)) (?v_3356 (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer)) (?v_3357 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_3358 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_3359 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_3360 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3361 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3362 (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer)) (?v_3363 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1)) (?v_3364 (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3365 (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3366 (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3367 (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4129 (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1.0 hirp)) (?v_3368 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3369 (= inline.SerialSetTimer.0.myNondetVar_0.11 inline.SerialSetTimer.0.myNondetVar_0)) (?v_4130 (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2.)) (?v_3370 (= inline.KeSynchronizeExecution.8.myNondetVar_0.10 inline.KeSynchronizeExecution.8.myNondetVar_0)) (?v_3371 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3372 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3373 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_8507 (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_3375 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3376 (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite)) (?v_3377 (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1.)) (?v_3378 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3379 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3380 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2)) (?v_3381 (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3382 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer)) (?v_3383 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.)) (?v_3384 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3385 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.)) (?v_3386 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..3 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.)) (?v_3387 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3388 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..5 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.)) (?v_4131 (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..1 inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0)) (?v_3389 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1)) (?v_3390 (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1.0 inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1)) (?v_3391 (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.2.havoc_stringTemp)) (?v_3392 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3393 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3394 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_3395 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3396 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer)) (?v_3397 (= inline.SerialStartWrite.0..result.question.7..3 inline.SerialStartWrite.0..result.question.7.)) (?v_3398 (= inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1.)) (?v_3399 (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.)) (?v_3400 (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..1 inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1.)) (?v_3401 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3402 (= inline.SerialStartWrite.0.myVar_0.54 inline.SerialStartWrite.0.myVar_0)) (?v_3403 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_3404 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3405 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4132 (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3406 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.11 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3407 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3408 (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1.)) (?v_3409 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3410 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.4 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead)) (?v_3411 (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2..0 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2.)) (?v_3412 (= cancelLockStatus_3.52 cancelLockStatus_3.3)) (?v_3413 (= inline.SerialResizeBuffer.0.myNondetVar_1.8 inline.SerialResizeBuffer.0.myNondetVar_1)) (?v_3414 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3415 (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1.)) (?v_3416 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2.)) (?v_3417 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_3418 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3419 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3420 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.8 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1)) (?v_3421 (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..6 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2.)) (?v_3422 (= inline.SerialTryToCompleteCurrent.0.myVar_0.14 inline.SerialTryToCompleteCurrent.0.myVar_0)) (?v_3423 (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1.)) (?v_3424 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3425 (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3426 (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.)) (?v_4133 (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0)) (?v_3427 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3428 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.4 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead)) (?v_3429 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_3430 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.10 inline.SerialTryToCompleteCurrent.0.myNondetVar_0)) (?v_3431 (= cancelLockStatus_0.52 cancelLockStatus_0.3)) (?v_3432 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_3433 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_3434 (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3435 (= inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..4 inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1.)) (?v_3436 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_3437 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..5 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_4134 (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.1 inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0)) (?v_3438 (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1.)) (?v_3439 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3440 (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer)) (?v_3441 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty)) (?v_3443 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.3 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead)) (?v_3444 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_3445 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.3 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead)) (?v_3446 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.12 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3447 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.7 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_3448 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_3449 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3450 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3451 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer)) (?v_3452 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3453 (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.)) (?v_3454 (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue)) (?v_3455 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_3456 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3457 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer)) (?v_3458 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3459 (= inline.SerialGetNextWrite.0.tempBoogie0.10 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_3460 (= inline.SerialCancelTimer.2.myNondetVar_0.5 inline.SerialCancelTimer.2.myNondetVar_0)) (?v_3461 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1)) (?v_3462 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer)) (?v_3463 (= inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1.)) (?v_3464 (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3465 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..3 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18.)) (?v_3466 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3467 (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.5 inline.sdv_InterlockedDecrement.8.myNondetVar_0)) (?v_3469 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer)) (?v_3470 (= inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1.)) (?v_3471 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3472 (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3473 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3474 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_3475 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3476 (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.)) (?v_3477 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..3 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.)) (?v_3478 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.)) (?v_3479 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.15 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0)) (?v_3480 (= inline.SerialStartRead.0.havoc_stringTemp.2 inline.SerialStartRead.0.havoc_stringTemp)) (?v_3481 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_3482 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..6 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2.)) (?v_4135 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_3483 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_3484 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.4 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead)) (?v_3485 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3486 (= inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue)) (?v_3487 (= inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1.)) (?v_3488 (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.)) (?v_3489 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3490 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3491 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_3492 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3493 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3494 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4136 (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..2 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1)) (?v_3496 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3497 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_3498 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.4 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead)) (?v_4137 (= inline.SerialCompleteIfError.0.havoc_stringTemp.1 inline.SerialCompleteIfError.0.havoc_stringTemp.0)) (?v_3499 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3500 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3501 (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3.)) (?v_3502 (= inline.SerialGetNextWrite.0.myNondetVar_0.24 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_3503 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3504 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3505 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3506 (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4138 (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1.)) (?v_3507 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3508 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.3 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_3509 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3510 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2.)) (?v_3511 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3512 (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead)) (?v_3513 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.)) (?v_3514 (= inline.SerialStartRead.0.tempBoogie0.6 inline.SerialStartRead.0.tempBoogie0)) (?v_3515 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3516 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3517 (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..5 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.)) (?v_3518 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3519 (= Mem_4_T.P_IRP.46 Mem_4_T.P_IRP)) (?v_3520 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3521 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_3522 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3523 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3524 (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4139 (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_3525 (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3526 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_3527 (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3528 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.5 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer)) (?v_3529 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3530 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3531 (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1)) (?v_3532 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.6 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_3533 (= inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1.)) (?v_3534 (= inline.SerialGetNextWrite.1.havoc_stringTemp.2 inline.SerialGetNextWrite.1.havoc_stringTemp)) (?v_3535 (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution)) (?v_4140 (= inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5..2 inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5.)) (?v_3536 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_3537 (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.1 inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead)) (?v_3538 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.10 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_3539 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3540 (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.5 inline.sdv_InterlockedIncrement.4.myNondetVar_0)) (?v_3541 (= inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1.)) (?v_3542 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14.)) (?v_3543 (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..2 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1.)) (?v_3544 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.6 inline.sdv_InterlockedDecrement.12.myNondetVar_0)) (?v_3545 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.4 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead)) (?v_3546 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3547 (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.)) (?v_3548 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13.)) (?v_4141 (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..1)) (?v_3549 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.)) (?v_3550 (= inline.SerialCancelTimer.1.myNondetVar_0.5 inline.SerialCancelTimer.1.myNondetVar_0)) (?v_3551 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3552 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_3553 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3554 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3555 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3556 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.8 inline.SerialRundownIrpRefs.0.myNondetVar_1)) (?v_3557 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.14 inline.SerialRundownIrpRefs.0.myNondetVar_0)) (?v_3558 (= inline.SerialCancelTimer.0.myNondetVar_0.5 inline.SerialCancelTimer.0.myNondetVar_0)) (?v_3559 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_3560 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3561 (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.1 inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead)) (?v_3562 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_3563 (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite)) (?v_3564 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_3565 (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1.)) (?v_3566 (= inline.SerialGetNextWrite.0.havoc_stringTemp.4 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_3567 (= inline.KeSynchronizeExecution.0.myNondetVar_0.10 inline.KeSynchronizeExecution.0.myNondetVar_0)) (?v_3568 (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite)) (?v_3569 (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_3570 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_3571 (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue)) (?v_3572 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_3573 (= inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1.)) (?v_3574 (= inline.SerialGetNextIrp.3.myNondetVar_0.3 inline.SerialGetNextIrp.3.myNondetVar_0)) (?v_3575 (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.)) (?v_3576 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_3577 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1)) (?v_3578 (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution)) (?v_3579 (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3580 (= inline.SerialRead.0..result.SerialDbgPrintEx.165.23.16..1 inline.SerialRead.0..result.SerialDbgPrintEx.165.23.16.)) (?v_3581 (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..5 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3.)) (?v_3582 (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.)) (?v_3583 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3584 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.)) (?v_3585 (= lockStatus_3.41 lockStatus_3.14)) (?v_3586 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_3587 (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent)) (?v_3588 (= inline.SerialGetNextWrite.1.myNondetVar_2.6 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_3589 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..4 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_3590 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3591 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent)) (?v_3592 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3593 (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..2 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6.)) (?v_3594 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer)) (?v_3595 (= Mem_3_T.P_IRP.46 Mem_3_T.P_IRP)) (?v_3596 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3597 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_3598 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_3599 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent)) (?v_3600 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2.)) (?v_3601 (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..5 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.)) (?v_4142 (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.3 inline.sdv_InterlockedDecrement.0.myNondetVar_0)) (?v_3602 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3603 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.10 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1)) (?v_3604 (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1)) (?v_3605 (= inline.KeSynchronizeExecution.5.myNondetVar_0.9 inline.KeSynchronizeExecution.5.myNondetVar_0)) (?v_3606 (= inline.SerialResizeBuffer.0.myNondetVar_0.17 inline.SerialResizeBuffer.0.myNondetVar_0)) (?v_3607 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3608 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3609 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3610 (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList)) (?v_3611 (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1.)) (?v_3612 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_4143 (= inline.SerialRead.0..result.SerialDbgPrintEx.137.20.9..1 inline.SerialRead.0..result.SerialDbgPrintEx.137.20.9..0)) (?v_3613 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3614 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_3615 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3616 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.7 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_3617 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3618 (= inline.SerialGetNextWrite.1.myNondetVar_1.7 inline.SerialGetNextWrite.1.myNondetVar_1)) (?v_3619 (= inline.SerialResizeBuffer.0.myVar_0.9 inline.SerialResizeBuffer.0.myVar_0)) (?v_3621 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4144 (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3622 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_3623 (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3624 (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.3 inline.sdv_InterlockedDecrement.16.myNondetVar_0)) (?v_3625 (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..5 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.)) (?v_3626 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_3627 (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.1 inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead)) (?v_3628 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.11 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_3629 (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList)) (?v_3630 (= inline.RemoveHeadList.3.myNondetVar_0.5 inline.RemoveHeadList.3.myNondetVar_0)) (?v_3631 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3632 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3633 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3634 (= lockStatus_1.41 lockStatus_1.14)) (?v_3635 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3636 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3637 (= inline.SerialRead.0..status.5.121.13.SerialRead.0 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2)) (?v_3638 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.7 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_3639 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead)) (?v_3640 (= inline.SerialGetNextWrite.0.myNondetVar_1.9 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_3641 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3642 (= inline.SerialCancelTimer.3.myNondetVar_0.5 inline.SerialCancelTimer.3.myNondetVar_0)) (?v_3643 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_3644 (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.)) (?v_3645 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_3646 (= inline.SerialStartWrite.0.myNondetVar_1.11 inline.SerialStartWrite.0.myNondetVar_1)) (?v_4145 (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0)) (?v_3647 (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent)) (?v_3648 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3649 (= inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7..0 inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7.)) (?v_3650 (= inline.SerialGetNextWrite.0.myVar_0.30 inline.SerialGetNextWrite.0.myVar_0)) (?v_3651 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3652 (= inline.SerialRundownIrpRefs.0.tempBoogie0.8 inline.SerialRundownIrpRefs.0.tempBoogie0)) (?v_3653 (= inline.KeSynchronizeExecution.2.myNondetVar_0.13 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_3654 (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3655 (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3656 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_3657 (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3658 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite)) (?v_3659 (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..5 inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1.)) (?v_3661 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer)) (?v_3662 (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2.)) (?v_3663 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3665 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_3666 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1)) (?v_3667 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3668 (= inline.SerialGetNextWrite.1.myVar_0.28 inline.SerialGetNextWrite.1.myVar_0)) (?v_3669 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs)) (?v_3670 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1)) (?v_3671 (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..1 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4.)) (?v_3672 (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.)) (?v_3673 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1.)) (?v_3674 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3675 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent)) (?v_3676 (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3.)) (?v_3677 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3678 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1)) (?v_3679 (= inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1.)) (?v_3680 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_3681 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3683 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1)) (?v_3684 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3685 (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3686 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_3687 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite)) (?v_3688 (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution)) (?v_3689 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..6 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_3690 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_3691 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_3692 (= inline.KeSynchronizeExecution.1.myNondetVar_0.12 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_3693 (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.6 inline.sdv_InterlockedDecrement.14.myNondetVar_0)) (?v_3694 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3695 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_3696 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3697 (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.)) (?v_3698 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.6 inline.sdv_InterlockedDecrement.3.myNondetVar_0)) (?v_3700 (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..6 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1.)) (?v_3701 (= inline.sdv_IoReleaseCancelSpinLock.24..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.24..result.userContextSwitch.3151.2.1.)) (?v_3702 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.9 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0)) (?v_3703 (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3704 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..7 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_3705 (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..5 inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1.)) (?v_3706 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.8 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_3707 (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3708 (= inline.IsListEmpty.3.myNondetVar_0.3 inline.IsListEmpty.3.myNondetVar_0)) (?v_3709 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3710 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3711 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.5 inline.sdv_InterlockedDecrement.7.myNondetVar_0)) (?v_3712 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3713 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3714 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer)) (?v_3715 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.9 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_3716 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3717 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3718 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3719 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3720 (= inline.SerialGetNextIrp.1.myNondetVar_0.5 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_3721 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.5 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_3722 (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.)) (?v_3723 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_3724 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_4146 (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1)) (?v_3725 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3726 (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1.)) (?v_3727 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.9 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite)) (?v_3728 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3729 (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.5 inline.sdv_InterlockedDecrement.11.myNondetVar_0)) (?v_3730 (= inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1.)) (?v_3731 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.)) (?v_3732 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3733 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3734 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3735 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3736 (= cancelLockStatus_4.52 cancelLockStatus_4.3)) (?v_3737 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3738 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3739 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3.)) (?v_3741 (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1.)) (?v_3742 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4147 (= inline.SerialRead.0..result.SerialCompleteIfError.139.29.11..0 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1)) (?v_3743 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3744 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_3745 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2.)) (?v_3746 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent)) (?v_3747 (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.5 inline.sdv_InterlockedIncrement.3.myNondetVar_0)) (?v_3748 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_3749 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3750 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3751 (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3752 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.4 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead)) (?v_4148 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_3753 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1)) (?v_3754 (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3755 (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3756 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_3757 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_2)) (?v_3758 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3759 (= inline.SerialStartWrite.0.havoc_stringTemp.1 inline.SerialStartWrite.0.havoc_stringTemp)) (?v_3760 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1)) (?v_3761 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_3762 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3763 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.7 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_3764 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_3765 (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1.)) (?v_3766 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3767 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3768 (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3769 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_3770 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_3771 (= lockStatus_4.41 lockStatus_4.14)) (?v_3772 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer)) (?v_3773 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3774 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3775 (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1.)) (?v_3777 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3778 (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3779 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3780 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3781 (= inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3313.2.3.)) (?v_3782 (= inline.IsListEmpty.1.myNondetVar_0.5 inline.IsListEmpty.1.myNondetVar_0)) (?v_3783 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3784 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3785 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer)) (?v_4149 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0)) (?v_3786 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3787 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3788 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1)) (?v_3789 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.10 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_3790 (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.)) (?v_3791 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_8508 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp)) (?v_3793 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3794 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.6 inline.sdv_InterlockedDecrement.2.myNondetVar_0)) (?v_3795 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3796 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3797 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer)) (?v_3798 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3799 (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1.)) (?v_3800 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3801 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.8 inline.SerialRundownIrpRefs.0.myNondetVar_2)) (?v_3802 (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3803 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_4150 (= inline.SerialRead.0..result.SerialDbgPrintEx.133.22.7..1 inline.SerialRead.0..result.SerialDbgPrintEx.133.22.7.)) (?v_3804 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3805 (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3806 (= cancelLockStatus_2.52 cancelLockStatus_2.3)) (?v_3807 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1)) (?v_3808 (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.6 inline.sdv_InterlockedDecrement.15.myNondetVar_0)) (?v_3809 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3810 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3811 (= inline.SerialGetNextIrp.2.myNondetVar_0.3 inline.SerialGetNextIrp.2.myNondetVar_0)) (?v_3812 (= inline.KeSynchronizeExecution.3.myNondetVar_0.10 inline.KeSynchronizeExecution.3.myNondetVar_0)) (?v_3813 (= inline.SerialGetNextWrite.1.tempBoogie0.8 inline.SerialGetNextWrite.1.tempBoogie0)) (?v_3814 (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue)) (?v_3815 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.25 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0)) (?v_3816 (= inline.SerialStartRead.0.myNondetVar_0.85 inline.SerialStartRead.0.myNondetVar_0)) (?v_3817 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3818 (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.1 inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite)) (?v_3819 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3820 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3821 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.6 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer)) (?v_3822 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_3823 (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1.0 inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1)) (?v_3824 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_3825 (= inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1.)) (?v_4151 (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.6 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.5)) (?v_3826 (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.2 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite)) (?v_3827 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution)) (?v_3828 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4152 (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3829 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.)) (?v_3830 (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.5 inline.sdv_InterlockedIncrement.5.myNondetVar_0)) (?v_3831 (= inline.SerialRundownIrpRefs.0.myVar_0.29 inline.SerialRundownIrpRefs.0.myVar_0)) (?v_3832 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1)) (?v_3833 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_3834 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_3835 (= inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1.)) (?v_3836 (= Mem_2_T.P_IRP.46 Mem_2_T.P_IRP)) (?v_3837 (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2.)) (?v_3838 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3839 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_3840 (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2.)) (?v_3841 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_3842 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_3843 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_3844 (= inline.SerialStartWrite.0.myNondetVar_2.7 inline.SerialStartWrite.0.myNondetVar_2)) (?v_3845 (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3846 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3847 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4153 (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.3 inline.sdv_InterlockedDecrement.1.myNondetVar_0.2)) (?v_3848 (= inline.SerialSetTimer.2.myNondetVar_0.8 inline.SerialSetTimer.2.myNondetVar_0)) (?v_3849 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3850 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3851 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_3852 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1)) (?v_3853 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_3854 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3855 (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1.)) (?v_3856 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1)) (?v_3857 (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite)) (?v_3858 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3859 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1)) (?v_3860 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3861 (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3862 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_3863 (= inline.IsListEmpty.2.myNondetVar_0.5 inline.IsListEmpty.2.myNondetVar_0)) (?v_3864 (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0)) (?v_3865 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.4 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead)) (?v_3866 (= inline.SerialGetNextIrp.0.myNondetVar_0.5 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_3867 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3868 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.)) (?v_3869 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3870 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_3871 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3872 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3873 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3874 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4154 (= inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1..0 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1)) (?v_4155 (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1.0 hdevobj)) (?v_3875 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3876 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3877 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3878 (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue)) (?v_3879 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3880 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_3881 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3882 (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..1 inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8.)) (?v_3883 (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3884 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3885 (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.3.havoc_stringTemp)) (?v_3886 (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..2 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11.)) (?v_3887 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3888 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3889 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3890 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_3891 (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3892 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_3893 (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.1 inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite)) (?v_3894 (= inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2.)) (?v_3895 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3896 (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1.)) (?v_3897 (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1.)) (?v_3898 (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.2 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite)) (?v_3899 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3900 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3901 (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3902 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3903 (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer)) (?v_3904 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3905 (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1.)) (?v_3906 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_3907 (= inline.SerialStartOrQueue.0.myNondetVar_0.16 inline.SerialStartOrQueue.0.myNondetVar_0)) (?v_3908 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_3909 (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3910 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer)) (?v_3911 (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3912 (= inline.SerialGetNextIrpLocked.3.myVar_0.9 inline.SerialGetNextIrpLocked.3.myVar_0)) (?v_3913 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1)) (?v_3914 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3915 (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3916 (= lockStatus_0.41 lockStatus_0.14)) (?v_3917 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4156 (= inline.SerialRead.0..result.SerialDbgPrintEx.141.23.12..1 inline.SerialRead.0..result.SerialDbgPrintEx.141.23.12.)) (?v_3918 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_3919 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_3920 (= inline.SerialStartRead.0.myNondetVar_1.17 inline.SerialStartRead.0.myNondetVar_1)) (?v_3921 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3.)) (?v_3922 (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue)) (?v_3923 (= inline.SerialStartRead.0.myNondetVar_2.6 inline.SerialStartRead.0.myNondetVar_2)) (?v_3924 (= inline.InsertTailList.1.myNondetVar_0.2 inline.InsertTailList.1.myNondetVar_0)) (?v_3925 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_3926 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.6 inline.sdv_InterlockedIncrement.2.myNondetVar_0)) (?v_3927 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1.)) (?v_3928 (= inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1.)) (?v_3929 (= inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1.)) (?v_3930 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_3931 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3932 (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2.)) (?v_3933 (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1.)) (?v_3934 (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.)) (?v_3935 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3936 (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3937 (= inline.SerialSetTimer.4.myNondetVar_0.8 inline.SerialSetTimer.4.myNondetVar_0)) (?v_3938 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3939 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer)) (?v_3940 (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..1 inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9.)) (?v_3941 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_3942 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_3943 (= inline.KeSynchronizeExecution.4.myNondetVar_0.11 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_3944 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3945 (= inline.SerialSetTimer.3.myNondetVar_0.8 inline.SerialSetTimer.3.myNondetVar_0)) (?v_3946 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3947 (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1.)) (?v_3948 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1)) (?v_4157 (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3949 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_3950 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3951 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.7 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_3952 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1)) (?v_3953 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer)) (?v_3954 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3955 (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.1 inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead)) (?v_3956 (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3957 (= inline.SerialGetNextIrpLocked.1.myVar_0.11 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_3958 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3959 (= inline.RemoveHeadList.0.myNondetVar_0.7 inline.RemoveHeadList.0.myNondetVar_0)) (?v_3960 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_3961 (= cancelLockStatus_1.52 cancelLockStatus_1.3)) (?v_4158 (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1)) (?v_3962 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1)) (?v_3963 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3964 (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.3 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite)) (?v_3965 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.5 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead)) (?v_3966 (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.1 inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead)) (?v_3967 (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3968 (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1.0 inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1)) (?v_3969 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3970 (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.)) (?v_3971 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3972 (= Mem_1_T.P_IRP.46 Mem_1_T.P_IRP)) (?v_3973 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_3974 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_3975 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3976 (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite)) (?v_3977 (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3978 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_3979 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_3980 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3981 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3982 (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..6 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.)) (?v_3983 (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..2 inline.SerialStartRead.0..result.SerialStartRead.184.0.1.)) (?v_3984 (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.)) (?v_3985 (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1.)) (?v_3986 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3987 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3988 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.5 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3989 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_1)) (?v_3990 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_4159 (= inline.SerialCompleteIfError.0.myNondetVar_0.8 inline.SerialCompleteIfError.0.myNondetVar_0.7)) (?v_3991 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3992 (= inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1.)) (?v_3993 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.6 inline.sdv_InterlockedDecrement.13.myNondetVar_0)) (?v_3994 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3995 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_3996 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3997 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_3998 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3999 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4000 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.9 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_4001 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4002 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4003 (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite)) (?v_4004 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4005 (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1.)) (?v_4006 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite)) (?v_4007 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1)) (?v_4008 (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..4 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1.)) (?v_4009 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4010 (= inline.SerialGetNextIrpLocked.0.myVar_0.11 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_4011 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_4012 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_4013 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_4014 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer)) (?v_4015 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4016 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4017 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_4018 (= inline.IsListEmpty.4.myNondetVar_0.3 inline.IsListEmpty.4.myNondetVar_0)) (?v_4019 (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..1 inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4.)) (?v_4020 (= inline.SerialStartOrQueue.0.myNondetVar_1.2 inline.SerialStartOrQueue.0.myNondetVar_1)) (?v_4021 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_4022 (= inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1.)) (?v_4023 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4024 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4025 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4026 (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4027 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4028 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4029 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.22 inline.SerialGetCharsFromIntBuffer.0.myVar_0)) (?v_4030 (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead)) (?v_4031 (= inline.SerialGetNextWrite.1.myNondetVar_0.22 inline.SerialGetNextWrite.1.myNondetVar_0)) (?v_4032 (= inline.SerialRead.0..result.SerialStartOrQueue.162.34.15..0 inline.SerialRead.0..result.SerialStartOrQueue.162.34.15.)) (?v_4033 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer)) (?v_4034 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer)) (?v_4035 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_4036 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_4037 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4038 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4039 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4040 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..6 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3.)) (?v_4041 (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1.)) (?v_4042 (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.1 inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead)) (?v_4160 (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError.0 hirp)) (?v_4043 (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3.)) (?v_4044 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_4045 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_4046 (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4047 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4048 (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.)) (?v_4049 (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.)) (?v_4050 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_4161 (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_4051 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer)) (?v_4052 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4053 (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_4054 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4055 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.11 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4056 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4057 (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4058 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4059 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4060 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_4061 (= inline.RemoveHeadList.1.myNondetVar_0.7 inline.RemoveHeadList.1.myNondetVar_0)) (?v_4062 (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4063 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4064 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_4065 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4066 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_4067 (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution)) (?v_4068 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_4069 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_8509 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp)) (?v_4071 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_4072 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1)) (?v_4073 (= inline.SerialStartOrQueue.0.havoc_stringTemp.1 inline.SerialStartOrQueue.0.havoc_stringTemp)) (?v_4074 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4075 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4076 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4077 (= inline.SerialStartWrite.0.tempBoogie0.7 inline.SerialStartWrite.0.tempBoogie0)) (?v_4078 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4079 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1)) (?v_4080 (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1.)) (?v_4162 (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4081 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution)) (?v_4163 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0)) (?v_4082 (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.4 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite)) (?v_4083 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1.)) (?v_4084 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4085 (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4086 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4087 (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..5 inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1.)) (?v_4088 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4089 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_4090 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_4091 (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.)) (?v_4092 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4093 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4094 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_4095 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..7 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2.)) (?v_4096 (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.)) (?v_4097 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4098 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4099 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_4100 (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs)) (?v_4101 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.)) (?v_4102 (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4103 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4104 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4105 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4106 (= inline.SerialStartOrQueue.0.tempBoogie0.3 inline.SerialStartOrQueue.0.tempBoogie0)) (?v_4107 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1)) (?v_4164 (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError.0 hdevobj)) (?v_4108 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_4109 (= inline.SerialStartRead.0.myVar_0.48 inline.SerialStartRead.0.myVar_0)) (?v_4110 (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.)) (?v_4111 (= inline.SerialSetTimer.1.myNondetVar_0.9 inline.SerialSetTimer.1.myNondetVar_0)) (?v_4112 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_4113 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_4114 (= inline.KeSynchronizeExecution.6.myNondetVar_0.11 inline.KeSynchronizeExecution.6.myNondetVar_0)) (?v_4115 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1)) (?v_4116 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1))) (let ((?v_8510 (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4080 (=> ?v_4162 (=> ?v_4081 (=> ?v_4163 (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> ?v_4102 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> ?v_4164 (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4114 (=> ?v_4115 (=> ?v_4116 ?v_4165)))))))))))))))))))))))))))))))))))))))))))) (?v_8506 (int_2_U call79186formal.new.0))) (let ((?v_8512 (=> true (and ?v_11 (=> ?v_11 (=> (> call79186formal.new.0 0) (=> (forall ((?x1603 Int)) (! (=> (and (<= call79186formal.new.0 ?x1603) (< ?x1603 (+ call79186formal.new.0 1))) (= (Base ?x1603) call79186formal.new.0)) :pattern ((Base ?x1603)) )) (=> (forall ((?x1604 boogieU)) (! (=> (= (type ?x1604) intType) (or (= (U_2_int ?x1604) call79186formal.new.0) (= (MapType0Select alloc.8 ?x1604) (MapType0Select alloc.9 ?x1604)))) :pattern ((MapType0Select alloc.9 ?x1604)) )) (=> (and (= (MapType0Select alloc.8 ?v_8506) UNALLOCATED) (= (MapType0Select alloc.9 ?v_8506) ALLOCATED)) (=> true (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> (= Mem_2_T.CancelRoutine__IRP.69 Mem_2_T.CancelRoutine__IRP.10) (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> (= inline.SerialRead.0..result.SerialDbgPrintEx.174.24.20..1 inline.SerialRead.0..result.SerialDbgPrintEx.174.24.20..0) (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_4129 (=> ?v_3368 (=> ?v_3369 (=> ?v_4130 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_8507 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_4131 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_4132 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_4133 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> (= inline.SerialRead.0..result.SerialRead.90.0.1..1 0) (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_4134 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> (= inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> (= irpCompleted_0.30 irpCompleted_0.4) (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> (= inline.SerialRead.0..result.SerialDbgPrintEx.172.8.18..1 inline.SerialRead.0..result.SerialDbgPrintEx.172.8.18..0) (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_4135 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> ?v_4136 (=> (= inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_4137 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_4138 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> (= irpCompleted_1.30 irpCompleted_1.4) (=> ?v_4139 (=> ?v_3525 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> ?v_4140 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> (= Mem_3_T.CancelRoutine__IRP.69 Mem_3_T.CancelRoutine__IRP.10) (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_4141 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.10) (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> (= irpCompleted_2.30 irpCompleted_2.4) (=> ?v_3575 (=> (= alloc.76 alloc.9) (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.10) (=> ?v_3587 (=> (= inline.SerialRead.0.havoc_stringTemp.1 call79186formal.new.0) (=> ?v_3588 (=> ?v_3589 (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_4142 (=> ?v_3602 (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_4143 (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> (= inline.sdv_IoCompleteRequest.8..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.8..result.userContextSwitch.2077.4.1..0) (=> ?v_3621 (=> ?v_4144 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_4145 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3650 (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> ?v_3659 (=> (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> ?v_3661 (=> ?v_3662 (=> ?v_3663 (=> (= inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> ?v_3668 (=> ?v_3669 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> ?v_3679 (=> ?v_3680 (=> ?v_3681 (=> (= inline.sdv_InterlockedDecrement.17.myNondetVar_0.2 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> (= irpCompleted_4.30 irpCompleted_4.4) (=> ?v_3683 (=> ?v_3684 (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> ?v_3690 (=> ?v_3691 (=> ?v_3692 (=> ?v_3693 (=> ?v_3694 (=> ?v_3695 (=> ?v_3696 (=> ?v_3697 (=> ?v_3698 (=> (= inline.SerialRead.0.myNondetVar_0.2 inline.SerialRead.0.myNondetVar_0.0) (=> ?v_3700 (=> ?v_3701 (=> ?v_3702 (=> ?v_3703 (=> ?v_3704 (=> ?v_3705 (=> ?v_3706 (=> ?v_3707 (=> ?v_3708 (=> ?v_3709 (=> ?v_3710 (=> ?v_3711 (=> ?v_3712 (=> ?v_3713 (=> ?v_3714 (=> ?v_3715 (=> ?v_3716 (=> ?v_3717 (=> ?v_3718 (=> ?v_3719 (=> ?v_3720 (=> ?v_3721 (=> ?v_3722 (=> ?v_3723 (=> ?v_3724 (=> ?v_4146 (=> ?v_3725 (=> ?v_3726 (=> ?v_3727 (=> ?v_3728 (=> ?v_3729 (=> ?v_3730 (=> ?v_3731 (=> ?v_3732 (=> ?v_3733 (=> ?v_3734 (=> ?v_3735 (=> ?v_3736 (=> ?v_3737 (=> ?v_3738 (=> ?v_3739 (=> (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> ?v_3741 (=> ?v_3742 (=> ?v_4147 (=> ?v_3743 (=> ?v_3744 (=> ?v_3745 (=> ?v_3746 (=> ?v_3747 (=> ?v_3748 (=> ?v_3749 (=> ?v_3750 (=> ?v_3751 (=> ?v_3752 (=> ?v_4148 (=> ?v_3753 (=> ?v_3754 (=> ?v_3755 (=> ?v_3756 (=> ?v_3757 (=> ?v_3758 (=> ?v_3759 (=> ?v_3760 (=> ?v_3761 (=> ?v_3762 (=> ?v_3763 (=> ?v_3764 (=> ?v_3765 (=> ?v_3766 (=> ?v_3767 (=> ?v_3768 (=> ?v_3769 (=> ?v_3770 (=> ?v_3771 (=> ?v_3772 (=> ?v_3773 (=> ?v_3774 (=> ?v_3775 (=> (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0) (=> ?v_3777 (=> ?v_3778 (=> ?v_3779 (=> ?v_3780 (=> ?v_3781 (=> ?v_3782 (=> ?v_3783 (=> ?v_3784 (=> ?v_3785 (=> ?v_4149 (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> ?v_3789 (=> ?v_3790 (=> ?v_3791 (=> ?v_8508 (=> ?v_3793 (=> ?v_3794 (=> ?v_3795 (=> ?v_3796 (=> ?v_3797 (=> ?v_3798 (=> ?v_3799 (=> ?v_3800 (=> ?v_3801 (=> ?v_3802 (=> ?v_3803 (=> ?v_4150 (=> ?v_3804 (=> ?v_3805 (=> ?v_3806 (=> ?v_3807 (=> ?v_3808 (=> ?v_3809 (=> ?v_3810 (=> ?v_3811 (=> ?v_3812 (=> ?v_3813 (=> ?v_3814 (=> ?v_3815 (=> ?v_3816 (=> ?v_3817 (=> ?v_3818 (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> ?v_3822 (=> ?v_3823 (=> ?v_3824 (=> ?v_3825 (=> ?v_4151 (=> ?v_3826 (=> ?v_3827 (=> ?v_3828 (=> ?v_4152 (=> ?v_3829 (=> ?v_3830 (=> ?v_3831 (=> ?v_3832 (=> ?v_3833 (=> ?v_3834 (=> ?v_3835 (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> ?v_3845 (=> ?v_3846 (=> ?v_3847 (=> ?v_4153 (=> ?v_3848 (=> ?v_3849 (=> ?v_3850 (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> ?v_4154 (=> ?v_4155 (=> ?v_3875 (=> ?v_3876 (=> ?v_3877 (=> ?v_3878 (=> ?v_3879 (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> ?v_3883 (=> ?v_3884 (=> ?v_3885 (=> ?v_3886 (=> ?v_3887 (=> ?v_3888 (=> ?v_3889 (=> ?v_3890 (=> ?v_3891 (=> ?v_3892 (=> ?v_3893 (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> ?v_3900 (=> ?v_3901 (=> ?v_3902 (=> ?v_3903 (=> ?v_3904 (=> ?v_3905 (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> ?v_3910 (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> ?v_3916 (=> ?v_3917 (=> ?v_4156 (=> ?v_3918 (=> ?v_3919 (=> ?v_3920 (=> ?v_3921 (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> ?v_3932 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> ?v_3939 (=> ?v_3940 (=> ?v_3941 (=> (= Mem_4_T.CancelRoutine__IRP.69 Mem_4_T.CancelRoutine__IRP.9) (=> ?v_3942 (=> ?v_3943 (=> ?v_3944 (=> ?v_3945 (=> ?v_3946 (=> ?v_3947 (=> ?v_3948 (=> ?v_4157 (=> ?v_3949 (=> ?v_3950 (=> ?v_3951 (=> ?v_3952 (=> ?v_3953 (=> ?v_3954 (=> ?v_3955 (=> ?v_3956 (=> ?v_3957 (=> ?v_3958 (=> ?v_3959 (=> ?v_3960 (=> ?v_3961 (=> (= irpCompleted_3.30 irpCompleted_3.4) (=> ?v_4158 (=> ?v_3962 (=> ?v_3963 (=> ?v_3964 (=> ?v_3965 (=> ?v_3966 (=> ?v_3967 (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> ?v_3971 (=> ?v_3972 (=> ?v_3973 (=> ?v_3974 (=> ?v_3975 (=> ?v_3976 (=> ?v_3977 (=> ?v_3978 (=> ?v_3979 (=> ?v_3980 (=> ?v_3981 (=> ?v_3982 (=> ?v_3983 (=> ?v_3984 (=> ?v_3985 (=> ?v_3986 (=> ?v_3987 (=> ?v_3988 (=> ?v_3989 (=> ?v_3990 (=> ?v_4159 (=> ?v_3991 (=> ?v_3992 (=> ?v_3993 (=> ?v_3994 (=> ?v_3995 (=> ?v_3996 (=> ?v_3997 (=> ?v_3998 (=> ?v_3999 (=> ?v_4000 (=> ?v_4001 (=> ?v_4002 (=> ?v_4003 (=> ?v_4004 (=> ?v_4005 (=> ?v_4006 (=> ?v_4007 (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4160 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4050 (=> ?v_4161 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> (= k.250 k.33) (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4069 (=> ?v_8509 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> (= errorReached.50 errorReached.7) ?v_8510))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_8511 (= inline.sdv_InterlockedDecrement.17.myNondetVar_0.1 0))) (let ((?v_8551 (and (=> true (=> (not ?v_8511) (=> true (=> (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2.) ?v_8512)))) (=> true (=> ?v_8511 (=> true (=> (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0 call79176formal.ret.0) (=> true (=> true (=> true ?v_8512))))))))) (?v_15 (= hirp hirp))) (let ((?v_4207 (not ?v_15)) (?v_8516 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.10 Mem_1_T.CancelRoutine__IRP.9) (=> (= Mem_2_T.CancelRoutine__IRP.10 Mem_2_T.CancelRoutine__IRP.9) (=> (= irpCompleted_2.4 irpCompleted_2.3) (=> (= inline.sdv_IoCompleteRequest.8..result.userContextSwitch.2077.4.1..0 call78858formal.ret.0) (=> (= Mem_4_T.CancelRoutine__IRP.9 Mem_4_T.CancelRoutine__IRP.8) (=> (= irpCompleted_1.4 irpCompleted_1.3) (=> (= k.33 k.32) (=> (= irpCompleted_3.4 irpCompleted_3.3) (=> (= errorReached.7 errorReached.6) (=> (= Mem_0_T.CancelRoutine__IRP.10 Mem_0_T.CancelRoutine__IRP.9) (=> (= irpCompleted_0.4 irpCompleted_0.3) (=> (= irpCompleted_4.4 irpCompleted_4.3) (=> (= Mem_3_T.CancelRoutine__IRP.10 Mem_3_T.CancelRoutine__IRP.9) ?v_8551))))))))))))))) (?v_8513 (= irpCompleted_4.3 irpCompleted_4.2)) (?v_8514 (= irpCompleted_2.3 irpCompleted_2.2)) (?v_8515 (= irpCompleted_3.3 irpCompleted_3.2)) (?v_8518 (= irpCompleted_1.3 irpCompleted_1.2))) (let ((?v_8519 (=> (= irpCompleted_0.3 irpCompleted_0.2) (=> true ?v_8516)))) (let ((?v_8521 (=> ?v_8518 ?v_8519))) (let ((?v_8523 (=> ?v_8515 ?v_8521))) (let ((?v_8525 (=> ?v_8514 ?v_8523)) (?v_8524 (= k.32 4))) (let ((?v_8543 (not ?v_8524)) (?v_8522 (= k.32 3))) (let ((?v_8540 (not ?v_8522)) (?v_8520 (= k.32 2))) (let ((?v_8537 (not ?v_8520)) (?v_8517 (= k.32 1))) (let ((?v_8532 (not ?v_8517)) (?v_8505 (= k.32 0))) (let ((?v_8526 (not ?v_8505))) (let ((?v_8531 (and (=> true (=> ?v_8505 (=> true (=> ?v_8513 (=> ?v_8514 (=> ?v_8515 (=> ?v_8518 (=> (= irpCompleted_0.3 1) ?v_8516)))))))) (=> true (=> ?v_8526 (and (=> true (=> ?v_8517 (=> true (=> ?v_8513 (=> ?v_8514 (=> ?v_8515 (=> (= irpCompleted_1.3 1) ?v_8519))))))) (=> true (=> ?v_8532 (and (=> true (=> ?v_8520 (=> true (=> ?v_8513 (=> (= irpCompleted_2.3 1) ?v_8523))))) (=> true (=> ?v_8537 (and (=> true (=> ?v_8522 (=> true (=> ?v_8513 (=> ?v_8514 (=> (= irpCompleted_3.3 1) ?v_8521)))))) (=> true (=> ?v_8540 (and (=> true (=> ?v_8524 (=> true (=> (= irpCompleted_4.3 1) ?v_8525)))) (=> true (=> ?v_8543 (=> true (=> ?v_8513 ?v_8525))))))))))))))))))) (let ((?v_8542 (=> true (=> true ?v_8531))) (?v_8528 (= Mem_2_T.CancelRoutine__IRP.9 Mem_2_T.CancelRoutine__IRP.6)) (?v_8534 (= Mem_0_T.CancelRoutine__IRP.9 Mem_0_T.CancelRoutine__IRP.6)) (?v_8529 (= Mem_3_T.CancelRoutine__IRP.9 Mem_3_T.CancelRoutine__IRP.6)) (?v_8535 (= Mem_1_T.CancelRoutine__IRP.9 Mem_1_T.CancelRoutine__IRP.6)) (?v_8530 (= Mem_4_T.CancelRoutine__IRP.8 Mem_4_T.CancelRoutine__IRP.6))) (let ((?v_8536 (=> ?v_8530 ?v_8542))) (let ((?v_8539 (=> ?v_8535 ?v_8536))) (let ((?v_8544 (=> ?v_8534 (=> ?v_8529 ?v_8539))) (?v_8541 (MapType0Store Mem_4_T.CancelRoutine__IRP.6 ?v_1488 ?v_46)) (?v_8538 (MapType0Store Mem_3_T.CancelRoutine__IRP.6 ?v_1488 ?v_46)) (?v_8533 (MapType0Store Mem_2_T.CancelRoutine__IRP.6 ?v_1488 ?v_46)) (?v_8527 (MapType0Store Mem_1_T.CancelRoutine__IRP.6 ?v_1488 ?v_46)) (?v_8504 (MapType0Store Mem_0_T.CancelRoutine__IRP.6 ?v_1488 ?v_46))) (let ((?v_8550 (=> true (=> (<= k.31 k.32) (=> (< k.32 5) (and (=> true (=> ?v_8505 (=> (= Mem_0_T.CancelRoutine__IRP.8 ?v_8504) (=> true (=> ?v_8528 (=> (= Mem_0_T.CancelRoutine__IRP.9 Mem_0_T.CancelRoutine__IRP.8) (=> ?v_8529 (=> ?v_8535 (=> ?v_8530 ?v_8531))))))))) (=> true (=> ?v_8526 (and (=> true (=> ?v_8517 (=> (= Mem_1_T.CancelRoutine__IRP.8 ?v_8527) (=> true (=> ?v_8528 (=> ?v_8534 (=> ?v_8529 (=> (= Mem_1_T.CancelRoutine__IRP.9 Mem_1_T.CancelRoutine__IRP.8) ?v_8536)))))))) (=> true (=> ?v_8532 (and (=> true (=> ?v_8520 (=> (= Mem_2_T.CancelRoutine__IRP.8 ?v_8533) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.9 Mem_2_T.CancelRoutine__IRP.8) ?v_8544))))) (=> true (=> ?v_8537 (and (=> true (=> ?v_8522 (=> (= Mem_3_T.CancelRoutine__IRP.8 ?v_8538) (=> true (=> ?v_8528 (=> ?v_8534 (=> (= Mem_3_T.CancelRoutine__IRP.9 Mem_3_T.CancelRoutine__IRP.8) ?v_8539))))))) (=> true (=> ?v_8540 (and (=> true (=> ?v_8524 (=> (= Mem_4_T.CancelRoutine__IRP.7 ?v_8541) (=> true (=> ?v_8528 (=> ?v_8534 (=> ?v_8529 (=> ?v_8535 (=> (= Mem_4_T.CancelRoutine__IRP.8 Mem_4_T.CancelRoutine__IRP.7) ?v_8542))))))))) (=> true (=> ?v_8543 (=> true (=> ?v_8528 ?v_8544))))))))))))))))))))) (?v_8545 (= k.31 0)) (?v_4197 (= irpCompleted_0.2 0)) (?v_8546 (= k.31 1)) (?v_4199 (= irpCompleted_1.2 0)) (?v_8547 (= k.31 2)) (?v_4201 (= irpCompleted_2.2 0)) (?v_8548 (= k.31 3)) (?v_4203 (= irpCompleted_3.2 0)) (?v_8549 (= k.31 4)) (?v_4205 (= irpCompleted_4.2 0))) (let ((?v_4231 (not ?v_4197)) (?v_4232 (not ?v_4199)) (?v_4233 (not ?v_4201)) (?v_4234 (not ?v_4203)) (?v_4235 (not ?v_4205)) (?v_8503 (int_2_U call78825formal.new.0)) (?v_3341 (= inline.SerialRead.0..result.SerialDbgPrintEx.174.24.20..1 inline.SerialRead.0..result.SerialDbgPrintEx.174.24.20.)) (?v_3442 (= inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3468 (= inline.SerialRead.0..result.SerialDbgPrintEx.172.8.18..1 inline.SerialRead.0..result.SerialDbgPrintEx.172.8.18.)) (?v_3495 (= inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3620 (= inline.sdv_IoCompleteRequest.8..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.8..result.userContextSwitch.2077.4.1.)) (?v_3660 (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3664 (= inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3682 (= inline.sdv_InterlockedDecrement.17.myNondetVar_0.2 inline.sdv_InterlockedDecrement.17.myNondetVar_0)) (?v_3740 (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3776 (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2.)) (?v_4128 (int_2_U call78813formal.new.0))) (let ((?v_4957 (=> true (and ?v_11 (=> ?v_11 (=> (> call78813formal.new.0 0) (=> (forall ((?x1607 Int)) (! (=> (and (<= call78813formal.new.0 ?x1607) (< ?x1607 (+ call78813formal.new.0 1))) (= (Base ?x1607) call78813formal.new.0)) :pattern ((Base ?x1607)) )) (=> (forall ((?x1608 boogieU)) (! (=> (= (type ?x1608) intType) (or (= (U_2_int ?x1608) call78813formal.new.0) (= (MapType0Select alloc.74 ?x1608) (MapType0Select alloc.75 ?x1608)))) :pattern ((MapType0Select alloc.75 ?x1608)) )) (=> (and (= (MapType0Select alloc.74 ?v_4128) UNALLOCATED) (= (MapType0Select alloc.75 ?v_4128) ALLOCATED)) (=> true (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.9 inline.SerialGetNextIrpLocked.2.myVar_0.8) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3) (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.1..result.userContextSwitch.1645.2.1..0 call54414formal.ret.0) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.5 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.SerialStartWrite.0.myNondetVar_0.37 inline.SerialStartWrite.0.myNondetVar_0.36) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.8 inline.SerialGetNextWrite.0.myNondetVar_2.7) (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..5 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..4) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= Mem_2_T.CancelRoutine__IRP.69 Mem_2_T.CancelRoutine__IRP.68) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.6 inline.sdv_InterlockedDecrement.10.myNondetVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.10 inline.KeSynchronizeExecution.7.myNondetVar_0.9) (=> (= inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1..1) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2) (=> (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.1 inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0) (=> ?v_3341 (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.7 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6) (=> (= lockStatus_2.41 lockStatus_2.40) (=> (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.1 inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3) (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3) (=> (= Mem_0_T.P_IRP.46 Mem_0_T.P_IRP.45) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.RemoveHeadList.2.myNondetVar_0.5 inline.RemoveHeadList.2.myNondetVar_0.4) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_4129 (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialSetTimer.0.myNondetVar_0.11 inline.SerialSetTimer.0.myNondetVar_0.10) (=> ?v_4130 (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.10 inline.KeSynchronizeExecution.8.myNondetVar_0.9) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4) (=> ?v_8507 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..4) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..3 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..5 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..4) (=> ?v_4131 (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1.0 SerialStartRead) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3) (=> (= inline.SerialStartWrite.0..result.question.7..3 inline.SerialStartWrite.0..result.question.7..2) (=> (= inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..1) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..1 inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialStartWrite.0.myVar_0.54 inline.SerialStartWrite.0.myVar_0.53) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> ?v_4132 (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.11 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5) (=> (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.4 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3) (=> (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2..0 inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= cancelLockStatus_3.52 cancelLockStatus_3.51) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.8 inline.SerialResizeBuffer.0.myNondetVar_1.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..3) (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.8 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..6 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..5) (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.14 inline.SerialTryToCompleteCurrent.0.myVar_0.13) (=> (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2) (=> ?v_4133 (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3) (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.4 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5) (=> (= inline.SerialRead.0..result.SerialRead.90.0.1..1 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.10 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9) (=> (= cancelLockStatus_0.52 cancelLockStatus_0.51) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.7) (=> (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..4 inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..3) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..5 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..4) (=> ?v_4134 (=> (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> ?v_3442 (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.3 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.3 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.12 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.11) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.7 inline.sdv_InterlockedDecrement.4.myNondetVar_0.6) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2) (=> (= irpCompleted_0.30 irpCompleted_0.29) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue.0 hirp) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.10 inline.SerialGetNextWrite.0.tempBoogie0.9) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.5 inline.SerialCancelTimer.2.myNondetVar_0.4) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..2) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..3 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.5 inline.sdv_InterlockedDecrement.8.myNondetVar_0.4) (=> ?v_3468 (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..3) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..3 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2) (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.15 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14) (=> (= inline.SerialStartRead.0.havoc_stringTemp.2 inline.SerialStartRead.0.havoc_stringTemp.1) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..6 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..5) (=> ?v_4135 (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.4 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3) (=> (= inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue.0 call54379formal.new.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_4136 (=> ?v_3495 (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.4 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3) (=> ?v_4137 (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3..1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.24 inline.SerialGetNextWrite.0.myNondetVar_0.23) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_4138 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.3 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialStartRead.0.tempBoogie0.6 inline.SerialStartRead.0.tempBoogie0.5) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..5 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= Mem_4_T.P_IRP.46 Mem_4_T.P_IRP.45) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= irpCompleted_1.30 irpCompleted_1.29) (=> ?v_4139 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.5 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.6 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5) (=> (= inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.2 inline.SerialGetNextWrite.1.havoc_stringTemp.1) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3) (=> ?v_4140 (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1) (=> (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.1 inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.10 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.9) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.5 inline.sdv_InterlockedIncrement.4.myNondetVar_0.4) (=> (= inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1) (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..2 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= Mem_3_T.CancelRoutine__IRP.69 Mem_3_T.CancelRoutine__IRP.68) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.6 inline.sdv_InterlockedDecrement.12.myNondetVar_0.5) (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.4 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2) (=> ?v_4141 (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.5 inline.SerialCancelTimer.1.myNondetVar_0.4) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.8 inline.SerialRundownIrpRefs.0.myNondetVar_1.7) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.14 inline.SerialRundownIrpRefs.0.myNondetVar_0.13) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.5 inline.SerialCancelTimer.0.myNondetVar_0.4) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3) (=> (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.1 inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0) (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0) (=> (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.4 inline.SerialGetNextWrite.0.havoc_stringTemp.3) (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.10 inline.KeSynchronizeExecution.0.myNondetVar_0.9) (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3) (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.68) (=> (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.3 inline.SerialGetNextIrp.3.myNondetVar_0.2) (=> (= irpCompleted_2.30 irpCompleted_2.29) (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..3) (=> (= alloc.76 alloc.75) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialRead.0..result.SerialDbgPrintEx.165.23.16..1 inline.SerialRead.0..result.SerialDbgPrintEx.165.23.16..0) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..5 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..4) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3) (=> (= lockStatus_3.41 lockStatus_3.40) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4) (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.68) (=> (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1) (=> (= inline.SerialRead.0.havoc_stringTemp.1 call78813formal.new.0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.6 inline.SerialGetNextWrite.1.myNondetVar_2.5) (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..4 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6) (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..2 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2) (=> (= Mem_3_T.P_IRP.46 Mem_3_T.P_IRP.45) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..5 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..4) (=> ?v_4142 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.10 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9) (=> (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.9 inline.KeSynchronizeExecution.5.myNondetVar_0.8) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.17 inline.SerialResizeBuffer.0.myNondetVar_0.16) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..1) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3) (=> ?v_4143 (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.7 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.7 inline.SerialGetNextWrite.1.myNondetVar_1.6) (=> (= inline.SerialResizeBuffer.0.myVar_0.9 inline.SerialResizeBuffer.0.myVar_0.8) (=> ?v_3620 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> ?v_4144 (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.3 inline.sdv_InterlockedDecrement.16.myNondetVar_0.2) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..5 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..4) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.1 inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.11 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.10) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.RemoveHeadList.3.myNondetVar_0.5 inline.RemoveHeadList.3.myNondetVar_0.4) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= lockStatus_1.41 lockStatus_1.40) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialRead.0..status.5.121.13.SerialRead.0 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.7 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6) (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.9 inline.SerialGetNextWrite.0.myNondetVar_1.8) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.5 inline.SerialCancelTimer.3.myNondetVar_0.4) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5) (=> (= inline.SerialStartWrite.0.myNondetVar_1.11 inline.SerialStartWrite.0.myNondetVar_1.10) (=> ?v_4145 (=> (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7..0 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextWrite.0.myVar_0.30 inline.SerialGetNextWrite.0.myVar_0.29) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.8 inline.SerialRundownIrpRefs.0.tempBoogie0.7) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.13 inline.KeSynchronizeExecution.2.myNondetVar_0.12) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..5 inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..4) (=> ?v_3660 (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_3664 (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.1.myVar_0.28 inline.SerialGetNextWrite.1.myVar_0.27) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..1 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0) (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..2) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..3) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> ?v_3682 (=> (= irpCompleted_4.30 irpCompleted_4.29) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..6 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.12 inline.KeSynchronizeExecution.1.myNondetVar_0.11) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.6 inline.sdv_InterlockedDecrement.14.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.6 inline.sdv_InterlockedDecrement.3.myNondetVar_0.5) (=> (= inline.SerialRead.0.myNondetVar_0.2 inline.SerialRead.0.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..6 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..5) (=> (= inline.sdv_IoReleaseCancelSpinLock.24..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.24..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.9 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..7 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6) (=> (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..5 inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..4) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.8 inline.sdv_InterlockedIncrement.1.myNondetVar_0.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.IsListEmpty.3.myNondetVar_0.3 inline.IsListEmpty.3.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.5 inline.sdv_InterlockedDecrement.7.myNondetVar_0.4) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.9 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.8) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.5 inline.SerialGetNextIrp.1.myNondetVar_0.4) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.5 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> ?v_4146 (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.9 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.8) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.5 inline.sdv_InterlockedDecrement.11.myNondetVar_0.4) (=> (= inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> (= cancelLockStatus_4.52 cancelLockStatus_4.51) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..2) (=> ?v_3740 (=> (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..2) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> ?v_4147 (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3) (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.5 inline.sdv_InterlockedIncrement.3.myNondetVar_0.4) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.4 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3) (=> ?v_4148 (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2) (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialStartWrite.0.havoc_stringTemp.1 inline.SerialStartWrite.0.havoc_stringTemp.0) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.7 inline.sdv_InterlockedDecrement.9.myNondetVar_0.6) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1) (=> (= lockStatus_4.41 lockStatus_4.40) (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3) (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..3) (=> ?v_3776 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3313.2.3..0) (=> (= inline.IsListEmpty.1.myNondetVar_0.5 inline.IsListEmpty.1.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2) (=> ?v_4149 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.10 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.9) (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_8508 (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.6 inline.sdv_InterlockedDecrement.2.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.8 inline.SerialRundownIrpRefs.0.myNondetVar_2.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> ?v_4150 (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= cancelLockStatus_2.52 cancelLockStatus_2.51) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.6 inline.sdv_InterlockedDecrement.15.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.3 inline.SerialGetNextIrp.2.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.10 inline.KeSynchronizeExecution.3.myNondetVar_0.9) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.8 inline.SerialGetNextWrite.1.tempBoogie0.7) (=> (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue.0 SerialStartRead) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.25 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24) (=> (= inline.SerialStartRead.0.myNondetVar_0.85 inline.SerialStartRead.0.myNondetVar_0.84) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.1 inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.6 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5) (=> (= inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..0) (=> ?v_4151 (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.2 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> ?v_4152 (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.5 inline.sdv_InterlockedIncrement.5.myNondetVar_0.4) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.29 inline.SerialRundownIrpRefs.0.myVar_0.28) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3) (=> (= inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1..1) (=> (= Mem_2_T.P_IRP.46 Mem_2_T.P_IRP.45) (=> (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..2) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..3) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3) (=> (= inline.SerialStartWrite.0.myNondetVar_2.7 inline.SerialStartWrite.0.myNondetVar_2.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> ?v_4153 (=> (= inline.SerialSetTimer.2.myNondetVar_0.8 inline.SerialSetTimer.2.myNondetVar_0.7) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4) (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..3) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3) (=> (= inline.IsListEmpty.2.myNondetVar_0.5 inline.IsListEmpty.2.myNondetVar_0.4) (=> (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0.0) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.4 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.5 inline.SerialGetNextIrp.0.myNondetVar_0.4) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_4154 (=> ?v_4155 (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..1 inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0) (=> (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2) (=> (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..2 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3) (=> (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.1 inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2..1) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..2) (=> (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..3) (=> (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.2 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.16 inline.SerialStartOrQueue.0.myNondetVar_0.15) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.9 inline.SerialGetNextIrpLocked.3.myVar_0.8) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= lockStatus_0.41 lockStatus_0.40) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_4156 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4) (=> (= inline.SerialStartRead.0.myNondetVar_1.17 inline.SerialStartRead.0.myNondetVar_1.16) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..3) (=> (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0) (=> (= inline.SerialStartRead.0.myNondetVar_2.6 inline.SerialStartRead.0.myNondetVar_2.5) (=> (= inline.InsertTailList.1.myNondetVar_0.2 inline.InsertTailList.1.myNondetVar_0.1) (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.6 inline.sdv_InterlockedIncrement.2.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..3) (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialSetTimer.4.myNondetVar_0.8 inline.SerialSetTimer.4.myNondetVar_0.7) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..1 inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2) (=> (= Mem_4_T.CancelRoutine__IRP.69 Mem_4_T.CancelRoutine__IRP.68) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.11 inline.KeSynchronizeExecution.4.myNondetVar_0.10) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialSetTimer.3.myNondetVar_0.8 inline.SerialSetTimer.3.myNondetVar_0.7) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1) (=> ?v_4157 (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.7 inline.sdv_InterlockedDecrement.6.myNondetVar_0.6) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.1 inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.11 inline.SerialGetNextIrpLocked.1.myVar_0.10) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.RemoveHeadList.0.myNondetVar_0.7 inline.RemoveHeadList.0.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3) (=> (= cancelLockStatus_1.52 cancelLockStatus_1.51) (=> (= irpCompleted_3.30 irpCompleted_3.29) (=> ?v_4158 (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.3 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2) (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.5 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4) (=> (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.1 inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0) (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1.0 hirp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= Mem_1_T.P_IRP.46 Mem_1_T.P_IRP.45) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..6 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..5) (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..2 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..3) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.5 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4) (=> ?v_4159 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..3) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.6 inline.sdv_InterlockedDecrement.13.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.9 inline.sdv_InterlockedDecrement.5.myNondetVar_0.8) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..4 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..3) (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.11 inline.SerialGetNextIrpLocked.0.myVar_0.10) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5) (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> (= inline.IsListEmpty.4.myNondetVar_0.3 inline.IsListEmpty.4.myNondetVar_0.2) (=> (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..1 inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0) (=> (= inline.SerialStartOrQueue.0.myNondetVar_1.2 inline.SerialStartOrQueue.0.myNondetVar_1.1) (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..2) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.22 inline.SerialGetCharsFromIntBuffer.0.myVar_0.21) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.22 inline.SerialGetNextWrite.1.myNondetVar_0.21) (=> (= inline.SerialRead.0..result.SerialStartOrQueue.162.34.15..0 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..6 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..5) (=> (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.1 inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0) (=> ?v_4160 (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..2) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2) (=> ?v_4161 (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.11 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10) (=> (= k.250 k.249) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.7) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1) (=> (= inline.RemoveHeadList.1.myNondetVar_0.7 inline.RemoveHeadList.1.myNondetVar_0.6) (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3) (=> ?v_8509 (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2) (=> (= inline.SerialStartOrQueue.0.havoc_stringTemp.1 inline.SerialStartOrQueue.0.havoc_stringTemp.0) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= errorReached.50 errorReached.49) (=> (= inline.SerialStartWrite.0.tempBoogie0.7 inline.SerialStartWrite.0.tempBoogie0.6) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3) (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1) (=> ?v_4162 (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3) (=> ?v_4163 (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.4 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..5 inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..4) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5) (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3) (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..7 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..6) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3) (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialStartOrQueue.0.tempBoogie0.3 inline.SerialStartOrQueue.0.tempBoogie0.2) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> ?v_4164 (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4) (=> (= inline.SerialStartRead.0.myVar_0.48 inline.SerialStartRead.0.myVar_0.47) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialSetTimer.1.myNondetVar_0.9 inline.SerialSetTimer.1.myNondetVar_0.8) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.11 inline.KeSynchronizeExecution.6.myNondetVar_0.10) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3) ?v_4165))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5087 (=> true (=> true (=> true (=> true ?v_4957))))) (?v_4236 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4237 (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4238 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_4239 (= inline.SerialGetNextIrpLocked.1.myVar_0.10 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_4240 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4241 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_4242 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4243 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4244 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4245 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4246 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer)) (?v_4247 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_4248 (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4249 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4250 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.6 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_4251 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4252 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4253 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead)) (?v_4254 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1.)) (?v_4255 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14.)) (?v_4256 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4257 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4258 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4259 (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0 inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead)) (?v_4260 (= inline.SerialGetNextIrpLocked.2.myVar_0.8 inline.SerialGetNextIrpLocked.2.myVar_0)) (?v_4261 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4262 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_4263 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_4264 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4265 (= inline.SerialGetNextIrp.0.myNondetVar_0.4 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_4266 (= inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1.)) (?v_4267 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_4268 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3.)) (?v_4269 (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1.)) (?v_4270 (= inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1.)) (?v_4271 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_4272 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4273 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead)) (?v_5064 (= inline.sdv_IoReleaseCancelSpinLock.24..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.24..result.userContextSwitch.3151.2.1.)) (?v_5065 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4274 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer)) (?v_4275 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_4276 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_4277 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4278 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_4279 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_8431 (= irpCompleted_0.29 irpCompleted_0.2)) (?v_4281 (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4282 (= inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1.)) (?v_4283 (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.2.havoc_stringTemp)) (?v_4284 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.4 inline.sdv_InterlockedDecrement.7.myNondetVar_0)) (?v_5066 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4285 (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.)) (?v_4286 (= inline.SerialSetTimer.3.myNondetVar_0.7 inline.SerialSetTimer.3.myNondetVar_0)) (?v_4287 (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1.)) (?v_4288 (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0 inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite)) (?v_4289 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4290 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4291 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_4292 (= inline.SerialStartRead.0.tempBoogie0.5 inline.SerialStartRead.0.tempBoogie0)) (?v_4293 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2.)) (?v_4294 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4295 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4296 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4297 (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4298 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4299 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer)) (?v_4300 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4301 (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite)) (?v_4302 (= inline.SerialCancelTimer.3.myNondetVar_0.4 inline.SerialCancelTimer.3.myNondetVar_0)) (?v_4303 (= inline.SerialGetNextIrp.3.myNondetVar_0.2 inline.SerialGetNextIrp.3.myNondetVar_0)) (?v_4304 (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2.)) (?v_5067 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4305 (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.)) (?v_4306 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4307 (= inline.RemoveHeadList.0.myNondetVar_0.6 inline.RemoveHeadList.0.myNondetVar_0)) (?v_4308 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4309 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.8 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_4310 (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3.)) (?v_4311 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4312 (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.3.havoc_stringTemp)) (?v_4313 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1)) (?v_4314 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer)) (?v_4315 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4316 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4317 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2)) (?v_4318 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4319 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3.)) (?v_4320 (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.)) (?v_4321 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_4322 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4323 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4324 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_4325 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_4326 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.)) (?v_4327 (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1.)) (?v_4328 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1)) (?v_4329 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4330 (= inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1.)) (?v_4331 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite)) (?v_4332 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4333 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4334 (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.)) (?v_4335 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_4336 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_4337 (= inline.SerialGetNextIrp.2.myNondetVar_0.2 inline.SerialGetNextIrp.2.myNondetVar_0)) (?v_4338 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4339 (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.)) (?v_4340 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4341 (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.4 inline.sdv_InterlockedIncrement.4.myNondetVar_0)) (?v_4342 (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.)) (?v_4343 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer)) (?v_4344 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4345 (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1.)) (?v_4346 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_4347 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4348 (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4349 (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs)) (?v_4350 (= inline.SerialGetNextWrite.0.myNondetVar_0.23 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_4351 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4352 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_4353 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_4354 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer)) (?v_4355 (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer)) (?v_4356 (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs)) (?v_4357 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0)) (?v_4358 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_4359 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_4360 (= inline.SerialStartWrite.0.tempBoogie0.6 inline.SerialStartWrite.0.tempBoogie0)) (?v_4361 (= inline.SerialGetNextWrite.1.myNondetVar_1.6 inline.SerialGetNextWrite.1.myNondetVar_1)) (?v_4362 (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.)) (?v_4363 (= inline.RemoveHeadList.1.myNondetVar_0.6 inline.RemoveHeadList.1.myNondetVar_0)) (?v_5068 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4364 (= inline.SerialCancelTimer.1.myNondetVar_0.4 inline.SerialCancelTimer.1.myNondetVar_0)) (?v_4365 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_4366 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution)) (?v_4367 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4368 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4369 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4370 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_4371 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_4372 (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer)) (?v_4373 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1)) (?v_4374 (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0 inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite)) (?v_4375 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_4376 (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1.)) (?v_4377 (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4378 (= inline.SerialCancelTimer.2.myNondetVar_0.4 inline.SerialCancelTimer.2.myNondetVar_0)) (?v_4379 (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.)) (?v_5069 (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2.)) (?v_4380 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4381 (= inline.KeSynchronizeExecution.8.myNondetVar_0.9 inline.KeSynchronizeExecution.8.myNondetVar_0)) (?v_4382 (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.)) (?v_4383 (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite)) (?v_4384 (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1 inline.SerialStartRead.0..result.SerialStartRead.184.0.1.)) (?v_4385 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4386 (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1.)) (?v_4387 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_4388 (= inline.SerialSetTimer.1.myNondetVar_0.8 inline.SerialSetTimer.1.myNondetVar_0)) (?v_4389 (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1.)) (?v_4390 (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution)) (?v_4391 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4392 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_4393 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_4394 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4395 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4396 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4397 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.5 inline.sdv_InterlockedDecrement.13.myNondetVar_0)) (?v_4398 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.10 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_4399 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4400 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4401 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_4402 (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1.)) (?v_4403 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4404 (= inline.SerialCancelTimer.0.myNondetVar_0.4 inline.SerialCancelTimer.0.myNondetVar_0)) (?v_4405 (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent)) (?v_4406 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4407 (= inline.SerialResizeBuffer.0.myNondetVar_1.7 inline.SerialResizeBuffer.0.myNondetVar_1)) (?v_4408 (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1.)) (?v_4409 (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.5 inline.sdv_InterlockedDecrement.14.myNondetVar_0)) (?v_4410 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite)) (?v_4411 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_4412 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.)) (?v_4413 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4414 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1)) (?v_4415 (= inline.SerialStartWrite.0.myNondetVar_2.6 inline.SerialStartWrite.0.myNondetVar_2)) (?v_4416 (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.)) (?v_4417 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..6 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2.)) (?v_4418 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4419 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_4420 (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4421 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4422 (= inline.KeSynchronizeExecution.5.myNondetVar_0.8 inline.KeSynchronizeExecution.5.myNondetVar_0)) (?v_4423 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_4424 (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite)) (?v_4425 (= inline.SerialStartWrite.0..result.question.7..2 inline.SerialStartWrite.0..result.question.7.)) (?v_4426 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer)) (?v_4427 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4428 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1)) (?v_4429 (= inline.IsListEmpty.4.myNondetVar_0.2 inline.IsListEmpty.4.myNondetVar_0)) (?v_5070 (= inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3313.2.3.)) (?v_4430 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1)) (?v_4431 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_4432 (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.4 inline.sdv_InterlockedIncrement.5.myNondetVar_0)) (?v_4433 (= inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1.)) (?v_4434 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent)) (?v_4435 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.5 inline.sdv_InterlockedIncrement.2.myNondetVar_0)) (?v_4436 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4437 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_4438 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4439 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4440 (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_4441 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.5 inline.sdv_InterlockedDecrement.2.myNondetVar_0)) (?v_4442 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1)) (?v_4443 (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs)) (?v_4444 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.7 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_4445 (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.5 inline.sdv_InterlockedDecrement.15.myNondetVar_0)) (?v_4446 (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0 inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1.)) (?v_4447 (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4448 (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4449 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_4450 (= lockStatus_0.40 lockStatus_0.14)) (?v_4451 (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4452 (= inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1.)) (?v_4453 (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite)) (?v_4454 (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0 inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9.)) (?v_5071 (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4455 (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.)) (?v_4456 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4457 (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_5072 (= inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1.)) (?v_4458 (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1.)) (?v_4459 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4460 (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.4 inline.sdv_InterlockedIncrement.3.myNondetVar_0)) (?v_5073 (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4461 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_8432 (= irpCompleted_1.29 irpCompleted_1.2)) (?v_4462 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_4463 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4464 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4465 (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_4466 (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4467 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4468 (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1.)) (?v_4469 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_4470 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4471 (= inline.SerialGetNextWrite.1.myVar_0.27 inline.SerialGetNextWrite.1.myVar_0)) (?v_4472 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4473 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1)) (?v_4474 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9 inline.SerialTryToCompleteCurrent.0.myNondetVar_0)) (?v_4475 (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..4 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.)) (?v_4476 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4477 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4478 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4479 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4480 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4481 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_4482 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4483 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4484 (= inline.SerialGetNextWrite.1.myNondetVar_0.21 inline.SerialGetNextWrite.1.myNondetVar_0)) (?v_4485 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.)) (?v_4486 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_4487 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4488 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4489 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_4490 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4491 (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1.)) (?v_4492 (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4493 (= inline.SerialTryToCompleteCurrent.0.myVar_0.13 inline.SerialTryToCompleteCurrent.0.myVar_0)) (?v_4494 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4495 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4496 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_4497 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_4498 (= inline.IsListEmpty.2.myNondetVar_0.4 inline.IsListEmpty.2.myNondetVar_0)) (?v_4499 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_4500 (= inline.SerialGetNextWrite.1.havoc_stringTemp.1 inline.SerialGetNextWrite.1.havoc_stringTemp)) (?v_4501 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4502 (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList)) (?v_4503 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2.)) (?v_4504 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4505 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_4506 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4507 (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.4 inline.sdv_InterlockedDecrement.8.myNondetVar_0)) (?v_4508 (= inline.RemoveHeadList.3.myNondetVar_0.4 inline.RemoveHeadList.3.myNondetVar_0)) (?v_4509 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4510 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_4511 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1)) (?v_4512 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4513 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_4514 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4515 (= inline.SerialResizeBuffer.0.myVar_0.8 inline.SerialResizeBuffer.0.myVar_0)) (?v_7572 (= inline.SerialStartOrQueue.0.myNondetVar_0.15 inline.SerialStartOrQueue.0.myNondetVar_0.8)) (?v_4516 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4517 (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1.)) (?v_4518 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4519 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_4520 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1)) (?v_4521 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4522 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer)) (?v_4523 (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution)) (?v_4524 (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.)) (?v_4525 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4526 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4527 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_4528 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2.)) (?v_4529 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_4530 (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.4 inline.sdv_InterlockedDecrement.11.myNondetVar_0)) (?v_4531 (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1.)) (?v_5074 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4532 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4534 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_4535 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_4536 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1)) (?v_4537 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4538 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_4539 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.5 inline.sdv_InterlockedDecrement.12.myNondetVar_0)) (?v_4540 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4541 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4542 (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList)) (?v_4543 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4544 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4545 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4546 (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.)) (?v_4547 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4548 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer)) (?v_4549 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer)) (?v_4550 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_4551 (= inline.IsListEmpty.1.myNondetVar_0.4 inline.IsListEmpty.1.myNondetVar_0)) (?v_4552 (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0 inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead)) (?v_4553 (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite)) (?v_4554 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4555 (= inline.KeSynchronizeExecution.3.myNondetVar_0.9 inline.KeSynchronizeExecution.3.myNondetVar_0)) (?v_4556 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1)) (?v_4557 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.)) (?v_4558 (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.)) (?v_4559 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4560 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_4561 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4562 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4563 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_4564 (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0 inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead)) (?v_4565 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.)) (?v_4566 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_4567 (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3.)) (?v_4568 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4569 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4570 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4571 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1)) (?v_5075 (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4572 (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..5 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.)) (?v_5076 (= inline.InsertTailList.1.myNondetVar_0.1 inline.InsertTailList.1.myNondetVar_0)) (?v_5077 (= inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2.)) (?v_4573 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_5078 (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11.)) (?v_4574 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13.)) (?v_4575 (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1.)) (?v_4576 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.13 inline.SerialRundownIrpRefs.0.myNondetVar_0)) (?v_4577 (= inline.SerialStartRead.0.myNondetVar_2.5 inline.SerialStartRead.0.myNondetVar_2)) (?v_4578 (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2.)) (?v_5079 (= inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1.)) (?v_4579 (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4580 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer)) (?v_4581 (= inline.SerialGetNextWrite.0.myVar_0.29 inline.SerialGetNextWrite.0.myVar_0)) (?v_4582 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_4583 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4584 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead)) (?v_4585 (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.)) (?v_4586 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1)) (?v_4587 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4588 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4590 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_4591 (= lockStatus_2.40 lockStatus_2.14)) (?v_4592 (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution)) (?v_4593 (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead)) (?v_4594 (= inline.SerialStartWrite.0.myVar_0.53 inline.SerialStartWrite.0.myVar_0)) (?v_4595 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4596 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4597 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer)) (?v_4598 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer)) (?v_4599 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4600 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4601 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead)) (?v_4602 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.)) (?v_4603 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4604 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent)) (?v_4605 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4606 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4607 (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0 inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4.)) (?v_4608 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_4609 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4610 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4611 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer)) (?v_4612 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4613 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent)) (?v_4614 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_5080 (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4615 (= inline.SerialSetTimer.4.myNondetVar_0.7 inline.SerialSetTimer.4.myNondetVar_0)) (?v_4616 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4618 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer)) (?v_4619 (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4620 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4621 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4622 (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4623 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer)) (?v_4624 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4625 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1)) (?v_4626 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_4627 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.6 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_4628 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_4629 (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1.)) (?v_4630 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_4631 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4632 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4633 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_4634 (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4635 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead)) (?v_4636 (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite)) (?v_4637 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp)) (?v_5081 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4638 (= inline.SerialGetNextWrite.0.myNondetVar_2.7 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_4639 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.7 inline.SerialRundownIrpRefs.0.myNondetVar_2)) (?v_4640 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_4641 (= inline.RemoveHeadList.2.myNondetVar_0.4 inline.RemoveHeadList.2.myNondetVar_0)) (?v_4642 (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0 inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite)) (?v_4643 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4644 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4645 (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0 inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead)) (?v_4646 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_4647 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4648 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4649 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4650 (= inline.SerialStartRead.0.myVar_0.47 inline.SerialStartRead.0.myVar_0)) (?v_4651 (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite)) (?v_4652 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_4653 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4654 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_4655 (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer)) (?v_4656 (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.)) (?v_4657 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer)) (?v_5082 (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.2 inline.sdv_InterlockedDecrement.16.myNondetVar_0)) (?v_4658 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4659 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4660 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_4661 (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1.)) (?v_4662 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead)) (?v_4663 (= inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1.)) (?v_4664 (= inline.SerialSetTimer.2.myNondetVar_0.7 inline.SerialSetTimer.2.myNondetVar_0)) (?v_4665 (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1.)) (?v_4666 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4667 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_4668 (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4669 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4670 (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite)) (?v_4671 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4672 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1)) (?v_4673 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4674 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4675 (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4676 (= lockStatus_4.40 lockStatus_4.14)) (?v_4677 (= inline.SerialRundownIrpRefs.0.myVar_0.28 inline.SerialRundownIrpRefs.0.myVar_0)) (?v_4678 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4679 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4680 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4681 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4682 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4683 (= inline.KeSynchronizeExecution.6.myNondetVar_0.10 inline.KeSynchronizeExecution.6.myNondetVar_0)) (?v_4684 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4685 (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite)) (?v_4686 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_4687 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.)) (?v_4688 (= inline.SerialGetNextWrite.0.havoc_stringTemp.3 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_4689 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_4690 (= inline.SerialGetNextIrp.1.myNondetVar_0.4 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_4691 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1)) (?v_4692 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer)) (?v_4693 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4694 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_4695 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.)) (?v_4696 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4697 (= inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1.)) (?v_4698 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4699 (= inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1.)) (?v_4700 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead)) (?v_4701 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4702 (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution)) (?v_4703 (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1.)) (?v_4704 (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4705 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer)) (?v_4706 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.)) (?v_4707 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_4708 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer)) (?v_4709 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4710 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4711 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4712 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4713 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_4714 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4715 (= inline.SerialSetTimer.0.myNondetVar_0.10 inline.SerialSetTimer.0.myNondetVar_0)) (?v_4716 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4717 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_4718 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_4719 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_4720 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4721 (= inline.KeSynchronizeExecution.1.myNondetVar_0.11 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_4722 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_4723 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer)) (?v_4724 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_4725 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4726 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1)) (?v_4727 (= inline.KeSynchronizeExecution.7.myNondetVar_0.9 inline.KeSynchronizeExecution.7.myNondetVar_0)) (?v_4728 (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0 inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite)) (?v_4729 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.11 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4730 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_4731 (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite)) (?v_4732 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4733 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_4734 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer)) (?v_4735 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4736 (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1.)) (?v_4737 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1)) (?v_4738 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_4739 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer)) (?v_4740 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.9 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4741 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4742 (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4743 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4744 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite)) (?v_4745 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4746 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_4747 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent)) (?v_4748 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_4749 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1)) (?v_4750 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_4751 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4752 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4753 (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3.)) (?v_4754 (= inline.SerialGetNextWrite.0.myNondetVar_1.8 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_4755 (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.)) (?v_4756 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_4757 (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer)) (?v_4758 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.7 inline.SerialRundownIrpRefs.0.myNondetVar_1)) (?v_4759 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_4760 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4761 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_5083 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4762 (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1.)) (?v_5084 (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4763 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4764 (= inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1.)) (?v_4765 (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6.)) (?v_4766 (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1.)) (?v_8433 (= alloc.74 alloc.12)) (?v_8434 (= irpCompleted_3.29 irpCompleted_3.2)) (?v_4767 (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4768 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4769 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_4770 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1)) (?v_4771 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4772 (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4773 (= inline.SerialStartRead.0.havoc_stringTemp.1 inline.SerialStartRead.0.havoc_stringTemp)) (?v_4774 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs)) (?v_4775 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_4776 (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1.)) (?v_4777 (= inline.SerialStartWrite.0.havoc_stringTemp.0 inline.SerialStartWrite.0.havoc_stringTemp)) (?v_4778 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4779 (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.)) (?v_4780 (= inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1.)) (?v_4781 (= inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1.)) (?v_4782 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4783 (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1.)) (?v_4784 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4785 (= inline.SerialGetNextWrite.0.tempBoogie0.9 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_4786 (= inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1.)) (?v_4787 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4788 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4789 (= inline.KeSynchronizeExecution.4.myNondetVar_0.10 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_4790 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_4791 (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4792 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4793 (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0 inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8.)) (?v_4794 (= inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1.)) (?v_4795 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_4796 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_4797 (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.)) (?v_4798 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4799 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_4800 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_4801 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4802 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_4803 (= lockStatus_1.40 lockStatus_1.14)) (?v_4804 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4805 (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.)) (?v_4806 (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3.)) (?v_4807 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4808 (= inline.SerialResizeBuffer.0.myNondetVar_0.16 inline.SerialResizeBuffer.0.myNondetVar_0)) (?v_4809 (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.)) (?v_4810 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_4811 (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4812 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_2)) (?v_4813 (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4814 (= inline.SerialStartRead.0.myNondetVar_0.84 inline.SerialStartRead.0.myNondetVar_0)) (?v_4815 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4816 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution)) (?v_4817 (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.)) (?v_4819 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4820 (= inline.SerialStartWrite.0.myNondetVar_0.36 inline.SerialStartWrite.0.myNondetVar_0)) (?v_4821 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite)) (?v_4822 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_4823 (= inline.SerialGetNextWrite.1.myNondetVar_2.5 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_4824 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_4825 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4826 (= inline.SerialGetNextIrpLocked.0.myVar_0.10 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_4827 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4828 (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.5 inline.sdv_InterlockedDecrement.10.myNondetVar_0)) (?v_4829 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4830 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4831 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_4832 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18.)) (?v_4833 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1)) (?v_4834 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1)) (?v_4835 (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4836 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_4837 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4838 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_4839 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..5 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3.)) (?v_4840 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.8 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_4841 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4842 (= inline.KeSynchronizeExecution.0.myNondetVar_0.9 inline.KeSynchronizeExecution.0.myNondetVar_0)) (?v_4843 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4844 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.)) (?v_4845 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4846 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1.)) (?v_4847 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_4848 (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.)) (?v_4849 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4850 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1)) (?v_4851 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.21 inline.SerialGetCharsFromIntBuffer.0.myVar_0)) (?v_4852 (= inline.SerialRundownIrpRefs.0.tempBoogie0.7 inline.SerialRundownIrpRefs.0.tempBoogie0)) (?v_4853 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_4854 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_4855 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4856 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2.)) (?v_4857 (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4858 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.)) (?v_4859 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4860 (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2.)) (?v_4861 (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..5 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1.)) (?v_4862 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4863 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4864 (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0 inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead)) (?v_4865 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4866 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4867 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1)) (?v_4868 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4869 (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.)) (?v_4870 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4871 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.)) (?v_8435 (= irpCompleted_4.29 irpCompleted_4.2)) (?v_4872 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4873 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4874 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer)) (?v_4875 (= inline.SerialStartWrite.0.myNondetVar_1.10 inline.SerialStartWrite.0.myNondetVar_1)) (?v_4876 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_4877 (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0 inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead)) (?v_4878 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead)) (?v_4879 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead)) (?v_4880 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4881 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.9 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4882 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_4883 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4884 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.5 inline.sdv_InterlockedDecrement.3.myNondetVar_0)) (?v_4885 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4886 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4887 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_4888 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4889 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4890 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4891 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4892 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_4893 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_4894 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_4895 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4896 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4897 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4898 (= inline.SerialGetNextWrite.1.tempBoogie0.7 inline.SerialGetNextWrite.1.tempBoogie0)) (?v_5085 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4899 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0)) (?v_4900 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4901 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4902 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4903 (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite)) (?v_4904 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4905 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_4906 (= inline.KeSynchronizeExecution.2.myNondetVar_0.12 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_4907 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4908 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4909 (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead)) (?v_4910 (= inline.SerialStartRead.0.myNondetVar_1.16 inline.SerialStartRead.0.myNondetVar_1)) (?v_4911 (= inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1.)) (?v_8436 (= irpCompleted_2.29 irpCompleted_2.2)) (?v_4912 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.6 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_4913 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.)) (?v_4914 (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1.)) (?v_4915 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4916 (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4917 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2.)) (?v_4918 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1)) (?v_4919 (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4920 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1)) (?v_4921 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4922 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_4923 (= inline.SerialGetNextIrpLocked.3.myVar_0.8 inline.SerialGetNextIrpLocked.3.myVar_0)) (?v_4924 (= inline.IsListEmpty.3.myNondetVar_0.2 inline.IsListEmpty.3.myNondetVar_0)) (?v_4925 (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1.)) (?v_4926 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_4927 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4928 (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4929 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4930 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead)) (?v_4931 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_4932 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0)) (?v_4933 (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent)) (?v_4934 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_4935 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_4936 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_1)) (?v_4937 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_4938 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_4939 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4940 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4941 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_4942 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_4943 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_4944 (= lockStatus_3.40 lockStatus_3.14)) (?v_7573 (= inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..0 call55056formal.ret.0)) (?v_5086 (= inline.SerialStartOrQueue.0.havoc_stringTemp.0 inline.SerialStartOrQueue.0.havoc_stringTemp)) (?v_4946 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4947 (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2.)) (?v_4948 (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.)) (?v_4949 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead)) (?v_4950 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_4951 (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4952 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_4953 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_4954 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4955 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_4956 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_8430 (= SerialStartRead SerialStartRead))) (let ((?v_8192 (=> true (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> (= cancelLockStatus_2.51 cancelLockStatus_2.33) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1) (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2) (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0 call71025formal.new.0) (=> ?v_4260 (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> ?v_4262 (=> ?v_4263 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_4265 (=> (= Mem_4_T.CancelRoutine__IRP.68 Mem_4_T.CancelRoutine__IRP.48) (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..2) (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1) (=> ?v_5064 (=> ?v_5065 (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1) (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> (= irpCompleted_0.29 irpCompleted_0.20) (=> (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP.28) (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_5066 (=> ?v_4285 (=> (= inline.SerialSetTimer.3.myNondetVar_0.7 inline.SerialSetTimer.3.myNondetVar_0.6) (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> (= inline.SerialStartRead.0.tempBoogie0.5 inline.SerialStartRead.0.tempBoogie0.4) (=> ?v_4293 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> ?v_4296 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> (= inline.SerialCancelTimer.3.myNondetVar_0.4 inline.SerialCancelTimer.3.myNondetVar_0.3) (=> (= Mem_3_T.CancelRoutine__IRP.68 Mem_3_T.CancelRoutine__IRP.48) (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.2 inline.SerialGetNextIrp.3.myNondetVar_0.1) (=> ?v_4304 (=> ?v_5067 (=> ?v_4305 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_4307 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1) (=> ?v_4313 (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1) (=> ?v_4315 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5) (=> ?v_4318 (=> (= errorReached.49 errorReached.34) (=> ?v_4319 (=> ?v_4320 (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2) (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0) (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4335 (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> ?v_4337 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.4 inline.sdv_InterlockedIncrement.4.myNondetVar_0.3) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2) (=> ?v_4343 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1) (=> ?v_4356 (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13) (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_5068 (=> ?v_4364 (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3) (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8) (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> (= inline.SerialCancelTimer.2.myNondetVar_0.4 inline.SerialCancelTimer.2.myNondetVar_0.3) (=> (= cancelLockStatus_3.51 cancelLockStatus_3.33) (=> ?v_4379 (=> ?v_5069 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.9 inline.KeSynchronizeExecution.8.myNondetVar_0.8) (=> ?v_4382 (=> ?v_4383 (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0) (=> ?v_4385 (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..2) (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2) (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.5 inline.sdv_InterlockedDecrement.13.myNondetVar_0.4) (=> ?v_4398 (=> ?v_4399 (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.7 inline.SerialResizeBuffer.0.myNondetVar_1.6) (=> ?v_4408 (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.5 inline.sdv_InterlockedDecrement.14.myNondetVar_0.4) (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> ?v_4419 (=> ?v_4420 (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> ?v_4422 (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> ?v_4424 (=> ?v_4425 (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.IsListEmpty.4.myNondetVar_0.2 inline.IsListEmpty.4.myNondetVar_0.1) (=> ?v_5070 (=> ?v_4430 (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.4 inline.sdv_InterlockedIncrement.5.myNondetVar_0.3) (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2) (=> ?v_4438 (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> ?v_4440 (=> ?v_4441 (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2) (=> ?v_4443 (=> ?v_4444 (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.5 inline.sdv_InterlockedDecrement.15.myNondetVar_0.4) (=> ?v_4446 (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= cancelLockStatus_1.51 cancelLockStatus_1.33) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> (= lockStatus_0.40 lockStatus_0.35) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1) (=> ?v_4452 (=> ?v_4453 (=> (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0) (=> ?v_5071 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_5072 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_5073 (=> ?v_4461 (=> (= irpCompleted_1.29 irpCompleted_1.20) (=> ?v_4462 (=> ?v_4463 (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..0) (=> ?v_4469 (=> (= Mem_2_T.CancelRoutine__IRP.68 Mem_2_T.CancelRoutine__IRP.48) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_4471 (=> ?v_4472 (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2) (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.48) (=> ?v_4474 (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..4 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..3) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..0) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> ?v_4505 (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> ?v_4507 (=> (= inline.RemoveHeadList.3.myNondetVar_0.4 inline.RemoveHeadList.3.myNondetVar_0.3) (=> ?v_4509 (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1) (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> (= inline.SerialResizeBuffer.0.myVar_0.8 inline.SerialResizeBuffer.0.myVar_0.7) (=> ?v_7572 (=> ?v_4516 (=> ?v_4517 (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> ?v_4522 (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2) (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1) (=> ?v_4529 (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.4 inline.sdv_InterlockedDecrement.11.myNondetVar_0.3) (=> ?v_4531 (=> ?v_5074 (=> ?v_4532 (=> (= Mem_2_T.P_IRP.45 Mem_2_T.P_IRP.28) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.5 inline.sdv_InterlockedDecrement.12.myNondetVar_0.4) (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1) (=> ?v_4547 (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1) (=> ?v_4550 (=> ?v_4551 (=> (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0 call71028formal.new.0) (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> ?v_4557 (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2) (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0) (=> ?v_4563 (=> (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0 call71022formal.new.0) (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_4570 (=> ?v_4571 (=> ?v_5075 (=> ?v_4572 (=> ?v_5076 (=> ?v_5077 (=> ?v_4573 (=> ?v_5078 (=> ?v_4574 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.48) (=> (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..1) (=> ?v_4576 (=> (= inline.SerialStartRead.0.myNondetVar_2.5 inline.SerialStartRead.0.myNondetVar_2.4) (=> ?v_4578 (=> ?v_5079 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1) (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2) (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> (= Mem_4_T.P_IRP.45 Mem_4_T.P_IRP.28) (=> ?v_4590 (=> (= lockStatus_2.40 lockStatus_2.35) (=> ?v_4592 (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1) (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_4600 (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2) (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_4614 (=> ?v_5080 (=> (= inline.SerialSetTimer.4.myNondetVar_0.7 inline.SerialSetTimer.4.myNondetVar_0.6) (=> ?v_4616 (=> (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP.28) (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4621 (=> ?v_4622 (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1) (=> ?v_4624 (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2) (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..1) (=> ?v_4630 (=> ?v_4631 (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> ?v_4633 (=> ?v_4634 (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2) (=> ?v_4636 (=> ?v_4637 (=> ?v_5081 (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0 call71019formal.new.0) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> ?v_4647 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_4649 (=> (= inline.SerialStartRead.0.myVar_0.47 inline.SerialStartRead.0.myVar_0.46) (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1) (=> ?v_5082 (=> ?v_4658 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.33) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2) (=> ?v_4663 (=> ?v_4664 (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..2) (=> ?v_4666 (=> ?v_4667 (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> ?v_4674 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= lockStatus_4.40 lockStatus_4.35) (=> ?v_4677 (=> ?v_4678 (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.10 inline.KeSynchronizeExecution.6.myNondetVar_0.9) (=> ?v_4684 (=> ?v_4685 (=> ?v_4686 (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1) (=> ?v_4688 (=> ?v_4689 (=> ?v_4690 (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2) (=> ?v_4692 (=> ?v_4693 (=> ?v_4694 (=> ?v_4695 (=> ?v_4696 (=> ?v_4697 (=> ?v_4698 (=> (= inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..2) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2) (=> ?v_4701 (=> ?v_4702 (=> ?v_4703 (=> ?v_4704 (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3) (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1) (=> ?v_4707 (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1) (=> ?v_4709 (=> ?v_4710 (=> ?v_4711 (=> ?v_4712 (=> ?v_4713 (=> ?v_4714 (=> ?v_4715 (=> ?v_4716 (=> ?v_4717 (=> ?v_4718 (=> ?v_4719 (=> ?v_4720 (=> ?v_4721 (=> ?v_4722 (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1) (=> ?v_4724 (=> ?v_4725 (=> ?v_4726 (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.9 inline.KeSynchronizeExecution.7.myNondetVar_0.8) (=> ?v_4728 (=> ?v_4729 (=> ?v_4730 (=> ?v_4731 (=> ?v_4732 (=> ?v_4733 (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1) (=> ?v_4735 (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..2) (=> ?v_4737 (=> ?v_4738 (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2) (=> ?v_4740 (=> ?v_4741 (=> ?v_4742 (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> ?v_4744 (=> ?v_4745 (=> ?v_4746 (=> ?v_4747 (=> ?v_4748 (=> ?v_4749 (=> ?v_4750 (=> ?v_4751 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..1) (=> ?v_4754 (=> ?v_4755 (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2) (=> ?v_4757 (=> ?v_4758 (=> ?v_4759 (=> ?v_4760 (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> ?v_5083 (=> ?v_4762 (=> ?v_5084 (=> ?v_4763 (=> (= inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..2) (=> ?v_4765 (=> ?v_4766 (=> (= alloc.74 alloc.54) (=> (= irpCompleted_3.29 irpCompleted_3.20) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> ?v_4769 (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.SerialStartRead.0.havoc_stringTemp.1 inline.SerialStartRead.0.havoc_stringTemp.0) (=> ?v_4774 (=> ?v_4775 (=> ?v_4776 (=> ?v_4777 (=> ?v_4778 (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1) (=> ?v_4780 (=> ?v_4781 (=> ?v_4782 (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> ?v_4785 (=> (= cancelLockStatus_4.51 cancelLockStatus_4.33) (=> ?v_4786 (=> ?v_4787 (=> ?v_4788 (=> ?v_4789 (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> ?v_4791 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> ?v_4793 (=> (= inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1..0) (=> ?v_4795 (=> ?v_4796 (=> ?v_4797 (=> ?v_4798 (=> ?v_4799 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0) (=> ?v_4801 (=> ?v_4802 (=> (= lockStatus_1.40 lockStatus_1.35) (=> ?v_4804 (=> ?v_4805 (=> ?v_4806 (=> ?v_4807 (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.16 inline.SerialResizeBuffer.0.myNondetVar_0.15) (=> ?v_4809 (=> ?v_4810 (=> ?v_4811 (=> ?v_4812 (=> ?v_4813 (=> (= inline.SerialStartRead.0.myNondetVar_0.84 inline.SerialStartRead.0.myNondetVar_0.83) (=> ?v_4815 (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1) (=> (= Mem_3_T.P_IRP.45 Mem_3_T.P_IRP.28) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> ?v_4820 (=> ?v_4821 (=> ?v_4822 (=> ?v_4823 (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> ?v_4826 (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2) (=> ?v_4828 (=> ?v_4829 (=> ?v_4830 (=> ?v_4831 (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1) (=> ?v_4833 (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2) (=> ?v_4835 (=> ?v_4836 (=> ?v_4837 (=> ?v_4838 (=> ?v_4839 (=> ?v_4840 (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> ?v_4842 (=> ?v_4843 (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3) (=> ?v_4845 (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2) (=> ?v_4847 (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1) (=> ?v_4849 (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.21 inline.SerialGetCharsFromIntBuffer.0.myVar_0.20) (=> ?v_4852 (=> ?v_4853 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_4855 (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1) (=> ?v_4857 (=> ?v_4858 (=> ?v_4859 (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..2) (=> ?v_4861 (=> ?v_4862 (=> ?v_4863 (=> (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0 call71031formal.new.0) (=> ?v_4865 (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> ?v_4867 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_4869 (=> ?v_4870 (=> ?v_4871 (=> (= irpCompleted_4.29 irpCompleted_4.20) (=> ?v_4872 (=> ?v_4873 (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1) (=> ?v_4875 (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1) (=> (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0 call71034formal.new.0) (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1) (=> ?v_4880 (=> ?v_4881 (=> ?v_4882 (=> ?v_4883 (=> ?v_4884 (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.5) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> ?v_4888 (=> ?v_4889 (=> ?v_4890 (=> ?v_4891 (=> ?v_4892 (=> ?v_4893 (=> ?v_4894 (=> ?v_4895 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_4897 (=> ?v_4898 (=> ?v_5085 (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7) (=> ?v_4900 (=> ?v_4901 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_4903 (=> ?v_4904 (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> ?v_4906 (=> ?v_4907 (=> ?v_4908 (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1) (=> (= inline.SerialStartRead.0.myNondetVar_1.16 inline.SerialStartRead.0.myNondetVar_1.15) (=> (= inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..2) (=> (= irpCompleted_2.29 irpCompleted_2.20) (=> ?v_4912 (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3) (=> ?v_4914 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_4916 (=> ?v_4917 (=> ?v_4918 (=> ?v_4919 (=> ?v_4920 (=> ?v_4921 (=> ?v_4922 (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.8 inline.SerialGetNextIrpLocked.3.myVar_0.7) (=> ?v_4924 (=> (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> ?v_4927 (=> ?v_4928 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.5) (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3) (=> ?v_4931 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23) (=> ?v_4933 (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> ?v_4935 (=> ?v_4936 (=> ?v_4937 (=> ?v_4938 (=> ?v_4939 (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> ?v_4941 (=> ?v_4942 (=> ?v_4943 (=> (= lockStatus_3.40 lockStatus_3.35) (=> ?v_7573 (=> ?v_5086 (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> ?v_4947 (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..3) (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2) (=> ?v_4950 (=> ?v_4951 (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1) (=> ?v_4953 (=> ?v_4954 (=> ?v_4955 (=> ?v_4956 (=> (= k.249 k.182) ?v_5087))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_8193 (=> true (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.8 inline.KeSynchronizeExecution.7.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 SerialUpdateAndSwitchToUser) (=> (= inline.SerialStartRead.0.havoc_stringTemp.0 call71066formal.new.0) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.4 inline.sdv_InterlockedDecrement.13.myNondetVar_0.2) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.6 inline.SerialResizeBuffer.0.myNondetVar_1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0) (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5) (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1) (=> (= lockStatus_3.35 lockStatus_3.29) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= cancelLockStatus_4.33 cancelLockStatus_4.28) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp) (=> (= irpCompleted_3.20 irpCompleted_3.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.3 inline.sdv_InterlockedIncrement.5.myNondetVar_0.2) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp) (=> (= inline.SerialResizeBuffer.0.myVar_0.7 inline.SerialResizeBuffer.0.myVar_0) (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= Mem_1_T.CancelRoutine__IRP.48 Mem_1_T.CancelRoutine__IRP.6) (=> (= cancelLockStatus_0.33 cancelLockStatus_0.28) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1.) (=> (= inline.SerialStartRead.0.myNondetVar_1.15 inline.SerialStartRead.0.myNondetVar_1.11) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..1 call75691formal.ret.0) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18.) (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= irpCompleted_0.20 irpCompleted_0.2) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.3 inline.sdv_InterlockedDecrement.11.myNondetVar_0) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2.) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3.) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.4 inline.sdv_InterlockedDecrement.12.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.SerialStartRead.0.tempBoogie0.4 inline.SerialStartRead.0.tempBoogie0.3) (=> (= Mem_2_T.CancelRoutine__IRP.48 Mem_2_T.CancelRoutine__IRP.6) (=> (= Mem_2_T.P_IRP.28 Mem_2_T.P_IRP.1) (=> (= lockStatus_2.35 lockStatus_2.29) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..0) (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_3_T.CancelRoutine__IRP.48 Mem_3_T.CancelRoutine__IRP.6) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1) (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..0) (=> (= inline.SerialSetTimer.4.myNondetVar_0.6 inline.SerialSetTimer.4.myNondetVar_0.5) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty) (=> (= cancelLockStatus_1.33 cancelLockStatus_1.28) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.4 inline.sdv_InterlockedDecrement.15.myNondetVar_0.3) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock) (=> (= irpCompleted_2.20 irpCompleted_2.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= Mem_0_T.P_IRP.28 Mem_0_T.P_IRP.1) (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1.) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialSetTimer.3.myNondetVar_0.6 inline.SerialSetTimer.3.myNondetVar_0.5) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0) (=> (= Mem_4_T.P_IRP.28 Mem_4_T.P_IRP.1) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.SerialStartRead.0.myVar_0.46 inline.SerialStartRead.0.myVar_0.44) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialStartRead.0.myNondetVar_2.4 inline.SerialStartRead.0.myNondetVar_2.3) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0) (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 SerialUpdateAndSwitchToUser) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.7 inline.SerialGetNextIrpLocked.3.myVar_0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myVar_0.18) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.3.havoc_stringTemp) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0) (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1 0) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.15 inline.SerialResizeBuffer.0.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.SerialStartRead.0.myVar_0.17) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.3 inline.sdv_InterlockedIncrement.4.myNondetVar_0.2) (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.1 inline.SerialGetNextIrp.3.myNondetVar_0) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= errorReached.34 errorReached.4) (=> (= cancelLockStatus_3.33 cancelLockStatus_3.28) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.) (=> (= irpCompleted_4.20 irpCompleted_4.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.3 inline.SerialCancelTimer.3.myNondetVar_0.1) (=> (= Mem_3_T.P_IRP.28 Mem_3_T.P_IRP.1) (=> (= irpCompleted_1.20 irpCompleted_1.2) (=> (= inline.IsListEmpty.4.myNondetVar_0.1 inline.IsListEmpty.4.myNondetVar_0) (=> (= inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1.) (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0) (=> (= inline.RemoveHeadList.3.myNondetVar_0.3 inline.RemoveHeadList.3.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.SerialStartRead.0.myVar_0.11) (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= k.182 k.159) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1 call73915formal.ret.0) (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.) (=> (= inline.SerialStartRead.0.myNondetVar_0.83 inline.SerialStartRead.0.myNondetVar_0.75) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= Mem_1_T.P_IRP.28 Mem_1_T.P_IRP.1) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.9 inline.KeSynchronizeExecution.6.myNondetVar_0) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1.) (=> (= Mem_4_T.CancelRoutine__IRP.48 Mem_4_T.CancelRoutine__IRP.6) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer) (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1 call73808formal.ret.0) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.8 inline.KeSynchronizeExecution.8.myNondetVar_0.6) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.3 inline.SerialCancelTimer.2.myNondetVar_0.1) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0) (=> (= inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1.) (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0 call77385formal.ret.0) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..0) (=> (= Mem_0_T.CancelRoutine__IRP.48 Mem_0_T.CancelRoutine__IRP.6) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= lockStatus_4.35 lockStatus_4.29) (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1 call73915formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0) (=> (= lockStatus_1.35 lockStatus_1.29) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.SerialStartRead.0.myVar_0.11) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= cancelLockStatus_2.33 cancelLockStatus_2.28) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1 call73808formal.ret.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.4 inline.sdv_InterlockedDecrement.14.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.SerialStartRead.0.myVar_0.17) (=> (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0) (=> (= alloc.54 alloc.48) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= lockStatus_0.35 lockStatus_0.29) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> true (=> true (=> true (=> true ?v_8192))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_8210 (and (=> true (=> ?v_40 (=> true (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead) ?v_8193)))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0 259) (=> true ?v_8193))))))) (?v_8209 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_8198 (=> true (=> (= lockStatus_3.29 lockStatus_3.28) (=> (= lockStatus_1.29 lockStatus_1.28) (=> (= lockStatus_2.29 lockStatus_2.28) (=> (= lockStatus_0.29 lockStatus_0.28) (=> (= lockStatus_4.29 lockStatus_4.28) (=> (= k.159 k.158) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0 call77501formal.ret.0) ?v_8210)))))))))) (let ((?v_8206 (=> true ?v_8198)) (?v_8195 (= lockStatus_3.28 lockStatus_3.25)) (?v_8200 (= lockStatus_1.28 lockStatus_1.25)) (?v_8196 (= lockStatus_2.28 lockStatus_2.25)) (?v_8205 (= lockStatus_0.28 lockStatus_0.25)) (?v_8197 (= lockStatus_4.28 lockStatus_4.25))) (let ((?v_8201 (=> ?v_8205 (=> ?v_8197 ?v_8206)))) (let ((?v_8203 (=> ?v_8196 ?v_8201))) (let ((?v_8208 (=> ?v_8200 ?v_8203)) (?v_8207 (= k.158 4)) (?v_8204 (= k.158 3)) (?v_8202 (= k.158 2)) (?v_8199 (= k.158 1)) (?v_8194 (= k.158 0)) (?v_5034 (ControlLock__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5))) (let ((?v_8215 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.73 inline.SerialStartRead.0.myNondetVar_1.11) (=> true (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_5034) (and (=> true (=> ?v_8209 (=> true (=> (<= k.157 k.158) (=> (< k.158 5) (and (=> true (=> ?v_8194 (=> true (=> ?v_8195 (=> ?v_8200 (=> ?v_8196 (=> (= lockStatus_0.28 0) (=> ?v_8197 ?v_8198)))))))) (=> true (=> (not ?v_8194) (and (=> true (=> ?v_8199 (=> true (=> ?v_8195 (=> (= lockStatus_1.28 0) ?v_8203))))) (=> true (=> (not ?v_8199) (and (=> true (=> ?v_8202 (=> true (=> ?v_8195 (=> ?v_8200 (=> (= lockStatus_2.28 0) ?v_8201)))))) (=> true (=> (not ?v_8202) (and (=> true (=> ?v_8204 (=> true (=> (= lockStatus_3.28 0) ?v_8208)))) (=> true (=> (not ?v_8204) (and (=> true (=> ?v_8207 (=> true (=> ?v_8195 (=> ?v_8200 (=> ?v_8196 (=> ?v_8205 (=> (= lockStatus_4.28 0) ?v_8206)))))))) (=> true (=> (not ?v_8207) (=> true (=> ?v_8195 ?v_8208)))))))))))))))))))))) (=> true (=> (not ?v_8209) (=> true (=> (= lockStatus_3.29 lockStatus_3.25) (=> (= lockStatus_1.29 lockStatus_1.25) (=> (= lockStatus_2.29 lockStatus_2.25) (=> (= lockStatus_0.29 lockStatus_0.25) (=> (= lockStatus_4.29 lockStatus_4.25) (=> (= k.159 k.157) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.) (=> true (=> true (=> true (=> true ?v_8210))))))))))))))))))))) (let ((?v_8221 (=> true (=> true (=> true (=> true ?v_8215))))) (?v_8217 (= cancelLockStatus_1.28 cancelLockStatus_1.26)) (?v_8218 (= cancelLockStatus_0.28 cancelLockStatus_0.26)) (?v_8212 (= cancelLockStatus_2.28 cancelLockStatus_2.26)) (?v_8213 (= cancelLockStatus_4.28 cancelLockStatus_4.26)) (?v_8214 (= cancelLockStatus_3.28 cancelLockStatus_3.26))) (let ((?v_8223 (=> ?v_8214 ?v_8221))) (let ((?v_8219 (=> ?v_8213 ?v_8223))) (let ((?v_8225 (=> ?v_8218 (=> ?v_8212 ?v_8219))) (?v_8224 (= k.157 4)) (?v_8222 (= k.157 3)) (?v_8220 (= k.157 2)) (?v_8216 (= k.157 1)) (?v_8211 (= k.157 0))) (let ((?v_8227 (=> true (=> (<= k.155 k.157) (=> (< k.157 5) (and (=> true (=> ?v_8211 (=> true (=> ?v_8217 (=> (= cancelLockStatus_0.28 0) (=> ?v_8212 (=> ?v_8213 (=> ?v_8214 ?v_8215)))))))) (=> true (=> (not ?v_8211) (and (=> true (=> ?v_8216 (=> true (=> (= cancelLockStatus_1.28 0) ?v_8225)))) (=> true (=> (not ?v_8216) (and (=> true (=> ?v_8220 (=> true (=> ?v_8217 (=> ?v_8218 (=> (= cancelLockStatus_2.28 0) ?v_8219)))))) (=> true (=> (not ?v_8220) (and (=> true (=> ?v_8222 (=> true (=> ?v_8217 (=> ?v_8218 (=> ?v_8212 (=> ?v_8213 (=> (= cancelLockStatus_3.28 0) ?v_8221)))))))) (=> true (=> (not ?v_8222) (and (=> true (=> ?v_8224 (=> true (=> ?v_8217 (=> ?v_8218 (=> ?v_8212 (=> (= cancelLockStatus_4.28 0) ?v_8223))))))) (=> true (=> (not ?v_8224) (=> true (=> ?v_8217 ?v_8225)))))))))))))))))))))) (let ((?v_8229 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_8227)))))))))) (?v_8232 (= k.155 4)) (?v_7561 (CurrentReadIrp__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5))) (let ((?v_7925 (int_2_U ?v_7561))) (let ((?v_8061 (U_2_int (MapType0Select Mem_4_T.P_IRP.1 ?v_7925))) (?v_8231 (= k.155 3)) (?v_8059 (U_2_int (MapType0Select Mem_3_T.P_IRP.1 ?v_7925))) (?v_8230 (= k.155 2)) (?v_8057 (U_2_int (MapType0Select Mem_2_T.P_IRP.1 ?v_7925))) (?v_8228 (= k.155 1)) (?v_8055 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_7925))) (?v_8226 (= k.155 0)) (?v_7564 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_7925)))) (let ((?v_8245 (=> true (=> (<= k.154 k.155) (=> (< k.155 5) (and (=> true (=> ?v_8226 (=> (= inline.SerialStartRead.0.myVar_0.43 ?v_7564) (=> true (=> (= inline.SerialStartRead.0.myVar_0.44 inline.SerialStartRead.0.myVar_0.43) ?v_8227))))) (=> true (=> (not ?v_8226) (and (=> true (=> ?v_8228 (=> (= inline.SerialStartRead.0.myVar_0.41 ?v_8055) (=> true (=> (= inline.SerialStartRead.0.myVar_0.44 inline.SerialStartRead.0.myVar_0.41) ?v_8229))))) (=> true (=> (not ?v_8228) (and (=> true (=> ?v_8230 (=> (= inline.SerialStartRead.0.myVar_0.42 ?v_8057) (=> true (=> (= inline.SerialStartRead.0.myVar_0.44 inline.SerialStartRead.0.myVar_0.42) ?v_8229))))) (=> true (=> (not ?v_8230) (and (=> true (=> ?v_8231 (=> (= inline.SerialStartRead.0.myVar_0.40 ?v_8059) (=> true (=> (= inline.SerialStartRead.0.myVar_0.44 inline.SerialStartRead.0.myVar_0.40) ?v_8229))))) (=> true (=> (not ?v_8231) (and (=> true (=> ?v_8232 (=> (= inline.SerialStartRead.0.myVar_0.39 ?v_8061) (=> true (=> (= inline.SerialStartRead.0.myVar_0.44 inline.SerialStartRead.0.myVar_0.39) ?v_8229))))) (=> true (=> (not ?v_8232) (=> true (=> (= inline.SerialStartRead.0.myVar_0.44 inline.SerialStartRead.0.myVar_0.38) ?v_8229))))))))))))))))))))) (?v_8244 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0 0))) (let ((?v_8234 (=> true (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialStartRead.0.tempBoogie0.3 inline.SerialStartRead.0.tempBoogie0.2) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0 call77339formal.ret.0) (=> (= inline.SerialStartRead.0.myNondetVar_0.71 inline.SerialStartRead.0.myNondetVar_0.70) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.37) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialStartRead.0.myNondetVar_1.10 inline.SerialStartRead.0.myNondetVar_1.9) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.2 inline.sdv_InterlockedIncrement.5.myNondetVar_0.1) (=> (= inline.SerialSetTimer.4.myNondetVar_0.5 inline.SerialSetTimer.4.myNondetVar_0.4) (=> (= alloc.48 alloc.47) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.3 inline.sdv_InterlockedDecrement.15.myNondetVar_0.2) (=> (= k.154 k.153) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialStartRead.0.myVar_0.38 inline.SerialStartRead.0.myVar_0.37) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0 call77289formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.37) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0 call77339formal.ret.0) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialStartRead.0.myNondetVar_0.70) (=> (= inline.SerialStartRead.0.myNondetVar_2.3 inline.SerialStartRead.0.myNondetVar_2.2) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0 8) ?v_8245)))))))))))))))))))))))) (?v_8233 (= call77339formal.ret.0 0)) (?v_8191 (int_2_U call77289formal.new.0)) (?v_8190 (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5))) (let ((?v_8236 (=> true (=> (forall ((?r11 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartRead.0.myNondetVar_1.9 ?r11) 0)) (not (= (BIT_BAND 8 ?r11) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_2.2 8) ?r11) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.68 8) ?r11)) )) (=> (= inline.SerialStartRead.0.tempBoogie0.2 (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.69 8)) (=> true (=> (= call77265formal.a0.0 (LastReadTime__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (=> true (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0 ?v_8190) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0 (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (=> true (and ?v_73 (=> ?v_73 (=> (> call77289formal.new.0 0) (=> (forall ((?x1609 Int)) (! (=> (and (<= call77289formal.new.0 ?x1609) (< ?x1609 (+ call77289formal.new.0 8))) (= (Base ?x1609) call77289formal.new.0)) :pattern ((Base ?x1609)) )) (=> (forall ((?x1610 boogieU)) (! (=> (= (type ?x1610) intType) (or (= (U_2_int ?x1610) call77289formal.new.0) (= (MapType0Select alloc.46 ?x1610) (MapType0Select alloc.47 ?x1610)))) :pattern ((MapType0Select alloc.47 ?x1610)) )) (=> (and (= (MapType0Select alloc.46 ?v_8191) UNALLOCATED) (= (MapType0Select alloc.47 ?v_8191) ALLOCATED)) (=> (= (Base inline.SerialStartRead.0.myNondetVar_0.70) inline.SerialStartRead.0.myNondetVar_0.70) (and (=> true (=> (not ?v_8233) (=> true (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.2 inline.sdv_InterlockedDecrement.15.myNondetVar_0.1) ?v_8234)))) (=> true (=> ?v_8233 (=> true (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.2 inline.sdv_InterlockedDecrement.15.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_8234)))))))))))))))))))))))))) (?v_8235 (= inline.SerialStartRead.0.myVar_0.37 hirp))) (let ((?v_8238 (and (=> true (=> ?v_8235 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8236)))) (=> true (=> (not ?v_8235) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_8236))))))))))) (let ((?v_8240 (=> true (=> true (=> true (=> true ?v_8238))))) (?v_8243 (= k.153 4)) (?v_8242 (= k.153 3)) (?v_8241 (= k.153 2)) (?v_8239 (= k.153 1)) (?v_8237 (= k.153 0))) (let ((?v_8258 (and (=> true (=> (not ?v_8244) (=> true (=> (<= k.152 k.153) (=> (< k.153 5) (and (=> true (=> ?v_8237 (=> (= inline.SerialStartRead.0.myVar_0.32 ?v_7564) (=> true (=> (= inline.SerialStartRead.0.myVar_0.37 inline.SerialStartRead.0.myVar_0.32) ?v_8238))))) (=> true (=> (not ?v_8237) (and (=> true (=> ?v_8239 (=> (= inline.SerialStartRead.0.myVar_0.36 ?v_8055) (=> true (=> (= inline.SerialStartRead.0.myVar_0.37 inline.SerialStartRead.0.myVar_0.36) ?v_8240))))) (=> true (=> (not ?v_8239) (and (=> true (=> ?v_8241 (=> (= inline.SerialStartRead.0.myVar_0.34 ?v_8057) (=> true (=> (= inline.SerialStartRead.0.myVar_0.37 inline.SerialStartRead.0.myVar_0.34) ?v_8240))))) (=> true (=> (not ?v_8241) (and (=> true (=> ?v_8242 (=> (= inline.SerialStartRead.0.myVar_0.33 ?v_8059) (=> true (=> (= inline.SerialStartRead.0.myVar_0.37 inline.SerialStartRead.0.myVar_0.33) ?v_8240))))) (=> true (=> (not ?v_8242) (and (=> true (=> ?v_8243 (=> (= inline.SerialStartRead.0.myVar_0.35 ?v_8061) (=> true (=> (= inline.SerialStartRead.0.myVar_0.37 inline.SerialStartRead.0.myVar_0.35) ?v_8240))))) (=> true (=> (not ?v_8243) (=> true (=> (= inline.SerialStartRead.0.myVar_0.37 inline.SerialStartRead.0.myVar_0.31) ?v_8240)))))))))))))))))))))) (=> true (=> ?v_8244 (=> true (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.SerialStartRead.0.tempBoogie0.3 inline.SerialStartRead.0.tempBoogie0.1) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialStartRead.0.myNondetVar_0.71 inline.SerialStartRead.0.myNondetVar_0.67) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialStartRead.0.myNondetVar_1.10 inline.SerialStartRead.0.myNondetVar_1.8) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.2 inline.sdv_InterlockedIncrement.5.myNondetVar_0) (=> (= inline.SerialSetTimer.4.myNondetVar_0.5 inline.SerialSetTimer.4.myNondetVar_0) (=> (= alloc.48 alloc.46) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.3 inline.sdv_InterlockedDecrement.15.myNondetVar_0) (=> (= k.154 k.152) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialStartRead.0.myVar_0.38 inline.SerialStartRead.0.myVar_0.31) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialStartRead.0.myNondetVar_2.3 inline.SerialStartRead.0.myNondetVar_2.1) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead) ?v_8245))))))))))))))))))))))))))) (?v_8257 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0 0))) (let ((?v_8247 (=> true (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.3 inline.sdv_InterlockedDecrement.14.myNondetVar_0.2) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0 call76934formal.ret.0) (=> (= inline.SerialStartRead.0.tempBoogie0.1 inline.SerialStartRead.0.tempBoogie0.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.30) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.2 inline.sdv_InterlockedIncrement.4.myNondetVar_0.1) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0 call76934formal.ret.0) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0 4) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0 call76884formal.new.0) (=> (= inline.SerialStartRead.0.myNondetVar_1.8 inline.SerialStartRead.0.myNondetVar_1.7) (=> (= inline.SerialSetTimer.3.myNondetVar_0.5 inline.SerialSetTimer.3.myNondetVar_0.4) (=> (= inline.SerialStartRead.0.myNondetVar_2.1 inline.SerialStartRead.0.myNondetVar_2.0) (=> (= inline.SerialStartRead.0.myNondetVar_0.67 inline.SerialStartRead.0.myNondetVar_0.66) (=> (= alloc.46 alloc.45) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= k.152 k.148) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0 call71031formal.new.0) (=> (= inline.SerialStartRead.0.myVar_0.31 inline.SerialStartRead.0.myVar_0.30) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.30) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0) ?v_8258)))))))))))))))))))))))) (?v_8246 (= call76934formal.ret.0 0)) (?v_8189 (int_2_U call76884formal.new.0)) (?v_8188 (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5))) (let ((?v_8249 (=> true (=> (forall ((?r12 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartRead.0.myNondetVar_1.7 ?r12) 0)) (not (= (BIT_BAND 4 ?r12) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_2.0 4) ?r12) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.65 4) ?r12)) )) (=> (= inline.SerialStartRead.0.tempBoogie0.0 (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.66 4)) (=> true (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0 ?v_8188) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0 (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (=> true (and ?v_73 (=> ?v_73 (=> (> call76884formal.new.0 0) (=> (forall ((?x1611 Int)) (! (=> (and (<= call76884formal.new.0 ?x1611) (< ?x1611 (+ call76884formal.new.0 8))) (= (Base ?x1611) call76884formal.new.0)) :pattern ((Base ?x1611)) )) (=> (forall ((?x1612 boogieU)) (! (=> (= (type ?x1612) intType) (or (= (U_2_int ?x1612) call76884formal.new.0) (= (MapType0Select alloc.24 ?x1612) (MapType0Select alloc.45 ?x1612)))) :pattern ((MapType0Select alloc.45 ?x1612)) )) (=> (and (= (MapType0Select alloc.24 ?v_8189) UNALLOCATED) (= (MapType0Select alloc.45 ?v_8189) ALLOCATED)) (=> (= (Base call71031formal.new.0) call71031formal.new.0) (and (=> true (=> (not ?v_8246) (=> true (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.2 inline.sdv_InterlockedDecrement.14.myNondetVar_0.1) ?v_8247)))) (=> true (=> ?v_8246 (=> true (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.2 inline.sdv_InterlockedDecrement.14.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_8247)))))))))))))))))))))))) (?v_8248 (= inline.SerialStartRead.0.myVar_0.30 hirp))) (let ((?v_8251 (and (=> true (=> ?v_8248 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8249)))) (=> true (=> (not ?v_8248) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_8249))))))))))) (let ((?v_8253 (=> true (=> true (=> true (=> true ?v_8251))))) (?v_8256 (= k.148 4)) (?v_8255 (= k.148 3)) (?v_8254 (= k.148 2)) (?v_8252 (= k.148 1)) (?v_8250 (= k.148 0)) (?v_8187 (not ?v_8257)) (?v_7571 (int_2_U call73745formal.new.0)) (?v_7554 (int_2_U call71022formal.new.0))) (let ((?v_7614 (=> true (=> (=> (= k.181 0) (not (not (= (U_2_int (MapType0Select Mem_0_T.P_IRP.27 ?v_7554)) 0)))) (=> (=> (= k.181 1) (not (not (= (U_2_int (MapType0Select Mem_1_T.P_IRP.27 ?v_7554)) 0)))) (=> (=> (= k.181 2) (not (not (= (U_2_int (MapType0Select Mem_2_T.P_IRP.27 ?v_7554)) 0)))) (=> (=> (= k.181 3) (not (not (= (U_2_int (MapType0Select Mem_3_T.P_IRP.27 ?v_7554)) 0)))) (=> (=> (= k.181 4) (not (not (= (U_2_int (MapType0Select Mem_4_T.P_IRP.27 ?v_7554)) 0)))) (=> true (and ?v_11 (=> ?v_11 (=> (> call73745formal.new.0 0) (=> (forall ((?x1613 Int)) (! (=> (and (<= call73745formal.new.0 ?x1613) (< ?x1613 (+ call73745formal.new.0 1))) (= (Base ?x1613) call73745formal.new.0)) :pattern ((Base ?x1613)) )) (=> (forall ((?x1614 boogieU)) (! (=> (= (type ?x1614) intType) (or (= (U_2_int ?x1614) call73745formal.new.0) (= (MapType0Select alloc.52 ?x1614) (MapType0Select alloc.53 ?x1614)))) :pattern ((MapType0Select alloc.53 ?x1614)) )) (=> (and (= (MapType0Select alloc.52 ?v_7571) UNALLOCATED) (= (MapType0Select alloc.53 ?v_7571) ALLOCATED)) (=> true (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.8 inline.KeSynchronizeExecution.7.myNondetVar_0.7) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialStartRead.0.havoc_stringTemp.0 call73745formal.new.0) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.4 inline.sdv_InterlockedDecrement.13.myNondetVar_0.3) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.6 inline.SerialResizeBuffer.0.myNondetVar_1.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1) (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6) (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1) (=> (= lockStatus_3.35 lockStatus_3.34) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call71022formal.new.0) (=> (= cancelLockStatus_4.33 cancelLockStatus_4.32) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0 call71022formal.new.0) (=> (= irpCompleted_3.20 irpCompleted_3.19) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.3 inline.sdv_InterlockedIncrement.5.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0 call72111formal.new.0) (=> (= inline.SerialResizeBuffer.0.myVar_0.7 inline.SerialResizeBuffer.0.myVar_0.6) (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1) (=> (= Mem_1_T.CancelRoutine__IRP.48 Mem_1_T.CancelRoutine__IRP.47) (=> (= cancelLockStatus_0.33 cancelLockStatus_0.32) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.13..result.userContextSwitch.1645.2.1..0 call72142formal.ret.0) (=> (= inline.SerialStartRead.0.myNondetVar_1.15 inline.SerialStartRead.0.myNondetVar_1.14) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..0) (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> (= irpCompleted_0.20 irpCompleted_0.19) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.3 inline.sdv_InterlockedDecrement.11.myNondetVar_0.2) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..1) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..0) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.4 inline.sdv_InterlockedDecrement.12.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0 call71022formal.new.0) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialStartRead.0.tempBoogie0.4 inline.SerialStartRead.0.tempBoogie0) (=> (= Mem_2_T.CancelRoutine__IRP.48 Mem_2_T.CancelRoutine__IRP.47) (=> (= Mem_2_T.P_IRP.28 Mem_2_T.P_IRP.27) (=> (= lockStatus_2.35 lockStatus_2.34) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..1) (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= Mem_3_T.CancelRoutine__IRP.48 Mem_3_T.CancelRoutine__IRP.47) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2) (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..1) (=> (= inline.SerialSetTimer.4.myNondetVar_0.6 inline.SerialSetTimer.4.myNondetVar_0) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= cancelLockStatus_1.33 cancelLockStatus_1.32) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.4 inline.sdv_InterlockedDecrement.15.myNondetVar_0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1) (=> (= irpCompleted_2.20 irpCompleted_2.19) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= Mem_0_T.P_IRP.28 Mem_0_T.P_IRP.27) (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialSetTimer.3.myNondetVar_0.6 inline.SerialSetTimer.3.myNondetVar_0) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer) (=> (= Mem_4_T.P_IRP.28 Mem_4_T.P_IRP.27) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1) (=> (= inline.SerialStartRead.0.myVar_0.46 inline.SerialStartRead.0.myVar_0.45) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialStartRead.0.myNondetVar_2.4 inline.SerialStartRead.0.myNondetVar_2) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0) (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1) (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.7 inline.SerialGetNextIrpLocked.3.myVar_0.6) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myVar_0.19) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12) (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.15 inline.SerialResizeBuffer.0.myNondetVar_0.14) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.3 inline.sdv_InterlockedIncrement.4.myNondetVar_0) (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.1 inline.SerialGetNextIrp.3.myNondetVar_0.0) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= errorReached.34 errorReached.33) (=> (= cancelLockStatus_3.33 cancelLockStatus_3.32) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..2) (=> (= irpCompleted_4.20 irpCompleted_4.19) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.3 inline.SerialCancelTimer.3.myNondetVar_0.2) (=> (= Mem_3_T.P_IRP.28 Mem_3_T.P_IRP.27) (=> (= irpCompleted_1.20 irpCompleted_1.19) (=> (= inline.IsListEmpty.4.myNondetVar_0.1 inline.IsListEmpty.4.myNondetVar_0.0) (=> (= inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..1) (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1) (=> (= inline.RemoveHeadList.3.myNondetVar_0.3 inline.RemoveHeadList.3.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= k.182 k.181) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..0 call72622formal.ret.0) (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0) (=> (= inline.SerialStartRead.0.myNondetVar_0.83 inline.SerialStartRead.0.myNondetVar_0.82) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= Mem_1_T.P_IRP.28 Mem_1_T.P_IRP.27) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.9 inline.KeSynchronizeExecution.6.myNondetVar_0.8) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..1) (=> (= Mem_4_T.CancelRoutine__IRP.48 Mem_4_T.CancelRoutine__IRP.47) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3) (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.8 inline.KeSynchronizeExecution.8.myNondetVar_0.7) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.3 inline.SerialCancelTimer.2.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call71022formal.new.0) (=> (= inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..1) (=> (= Mem_0_T.CancelRoutine__IRP.48 Mem_0_T.CancelRoutine__IRP.47) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..2) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= lockStatus_4.35 lockStatus_4.34) (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= lockStatus_1.35 lockStatus_1.34) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0) (=> (= cancelLockStatus_2.33 cancelLockStatus_2.32) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1) (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.4 inline.sdv_InterlockedDecrement.14.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer) (=> (= alloc.54 alloc.53) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1) (=> (= lockStatus_0.35 lockStatus_0.34) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1) (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0) ?v_8192)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_7615 (=> true (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.) (=> (= k.181 k.177) (=> (= Mem_4_T.CancelRoutine__IRP.47 Mem_4_T.CancelRoutine__IRP.43) (=> (= errorReached.33 errorReached.30) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= Mem_0_T.CancelRoutine__IRP.47 Mem_0_T.CancelRoutine__IRP.43) (=> (= irpCompleted_2.19 irpCompleted_2.2) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= irpCompleted_0.19 irpCompleted_0.2) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_4.19 irpCompleted_4.2) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.3.havoc_stringTemp) (=> (= irpCompleted_3.19 irpCompleted_3.2) (=> (= alloc.52 alloc.50) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= Mem_3_T.CancelRoutine__IRP.47 Mem_3_T.CancelRoutine__IRP.43) (=> (= irpCompleted_1.19 irpCompleted_1.2) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.) (=> (= Mem_2_T.CancelRoutine__IRP.47 Mem_2_T.CancelRoutine__IRP.43) (=> (= Mem_1_T.CancelRoutine__IRP.47 Mem_1_T.CancelRoutine__IRP.43) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.2 inline.sdv_InterlockedDecrement.11.myNondetVar_0) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_7614))))))))))))))))))))))))))))))) (?v_7613 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 0)) (?v_7575 (=> true (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0) (=> (= k.181 k.180) (=> (= Mem_4_T.CancelRoutine__IRP.47 Mem_4_T.CancelRoutine__IRP.46) (=> (= errorReached.33 errorReached.32) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) (=> (= Mem_0_T.CancelRoutine__IRP.47 Mem_0_T.CancelRoutine__IRP.46) (=> (= irpCompleted_2.19 irpCompleted_2.18) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= irpCompleted_0.19 irpCompleted_0.18) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..0) (=> (= irpCompleted_4.19 irpCompleted_4.18) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0 call72722formal.new.0) (=> (= irpCompleted_3.19 irpCompleted_3.18) (=> (= alloc.52 alloc.51) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) (=> (= Mem_3_T.CancelRoutine__IRP.47 Mem_3_T.CancelRoutine__IRP.46) (=> (= irpCompleted_1.19 irpCompleted_1.18) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..0) (=> (= Mem_2_T.CancelRoutine__IRP.47 Mem_2_T.CancelRoutine__IRP.46) (=> (= Mem_1_T.CancelRoutine__IRP.47 Mem_1_T.CancelRoutine__IRP.46) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.2 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) ?v_7614))))))))))))))))))))))))) (?v_7574 (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.1 0))) (let ((?v_7612 (and (=> true (=> (not ?v_7574) (=> true (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.) ?v_7575)))) (=> true (=> ?v_7574 (=> true (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0 call73073formal.ret.0) (=> true (=> true (=> true ?v_7575))))))))) (?v_7611 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 hirp))) (let ((?v_7579 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.46 Mem_1_T.CancelRoutine__IRP.45) (=> (= Mem_2_T.CancelRoutine__IRP.46 Mem_2_T.CancelRoutine__IRP.45) (=> (= irpCompleted_2.18 irpCompleted_2.17) (=> (= errorReached.32 errorReached.31) (=> (= Mem_4_T.CancelRoutine__IRP.46 Mem_4_T.CancelRoutine__IRP.45) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..0 call72755formal.ret.0) (=> (= k.180 k.179) (=> (= irpCompleted_3.18 irpCompleted_3.17) (=> (= irpCompleted_1.18 irpCompleted_1.17) (=> (= Mem_0_T.CancelRoutine__IRP.46 Mem_0_T.CancelRoutine__IRP.45) (=> (= irpCompleted_0.18 irpCompleted_0.17) (=> (= irpCompleted_4.18 irpCompleted_4.17) (=> (= Mem_3_T.CancelRoutine__IRP.46 Mem_3_T.CancelRoutine__IRP.45) ?v_7612))))))))))))))) (?v_7576 (= irpCompleted_4.17 irpCompleted_4.2)) (?v_7577 (= irpCompleted_2.17 irpCompleted_2.2)) (?v_7578 (= irpCompleted_3.17 irpCompleted_3.2)) (?v_7581 (= irpCompleted_1.17 irpCompleted_1.2))) (let ((?v_7582 (=> (= irpCompleted_0.17 irpCompleted_0.2) (=> true ?v_7579)))) (let ((?v_7584 (=> ?v_7581 ?v_7582))) (let ((?v_7586 (=> ?v_7578 ?v_7584))) (let ((?v_7588 (=> ?v_7577 ?v_7586)) (?v_7587 (= k.179 4))) (let ((?v_7603 (not ?v_7587)) (?v_7585 (= k.179 3))) (let ((?v_7601 (not ?v_7585)) (?v_7583 (= k.179 2))) (let ((?v_7599 (not ?v_7583)) (?v_7580 (= k.179 1))) (let ((?v_7595 (not ?v_7580)) (?v_7570 (= k.179 0))) (let ((?v_7589 (not ?v_7570))) (let ((?v_7594 (and (=> true (=> ?v_7570 (=> true (=> ?v_7576 (=> ?v_7577 (=> ?v_7578 (=> ?v_7581 (=> (= irpCompleted_0.17 1) ?v_7579)))))))) (=> true (=> ?v_7589 (and (=> true (=> ?v_7580 (=> true (=> ?v_7576 (=> ?v_7577 (=> ?v_7578 (=> (= irpCompleted_1.17 1) ?v_7582))))))) (=> true (=> ?v_7595 (and (=> true (=> ?v_7583 (=> true (=> ?v_7576 (=> (= irpCompleted_2.17 1) ?v_7586))))) (=> true (=> ?v_7599 (and (=> true (=> ?v_7585 (=> true (=> ?v_7576 (=> ?v_7577 (=> (= irpCompleted_3.17 1) ?v_7584)))))) (=> true (=> ?v_7601 (and (=> true (=> ?v_7587 (=> true (=> (= irpCompleted_4.17 1) ?v_7588)))) (=> true (=> ?v_7603 (=> true (=> ?v_7576 ?v_7588))))))))))))))))))) (let ((?v_7602 (=> true (=> true ?v_7594))) (?v_7591 (= Mem_2_T.CancelRoutine__IRP.45 Mem_2_T.CancelRoutine__IRP.43)) (?v_7596 (= Mem_0_T.CancelRoutine__IRP.45 Mem_0_T.CancelRoutine__IRP.43)) (?v_7592 (= Mem_3_T.CancelRoutine__IRP.45 Mem_3_T.CancelRoutine__IRP.43)) (?v_7597 (= Mem_1_T.CancelRoutine__IRP.45 Mem_1_T.CancelRoutine__IRP.43)) (?v_7593 (= Mem_4_T.CancelRoutine__IRP.45 Mem_4_T.CancelRoutine__IRP.43))) (let ((?v_7598 (=> ?v_7593 ?v_7602))) (let ((?v_7600 (=> ?v_7597 ?v_7598))) (let ((?v_7604 (=> ?v_7596 (=> ?v_7592 ?v_7600))) (?v_7590 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5)))) (let ((?v_7610 (=> true (=> (<= k.178 k.179) (=> (< k.179 5) (and (=> true (=> ?v_7570 (=> (= Mem_0_T.CancelRoutine__IRP.44 (MapType0Store Mem_0_T.CancelRoutine__IRP.43 ?v_7590 ?v_46)) (=> true (=> ?v_7591 (=> (= Mem_0_T.CancelRoutine__IRP.45 Mem_0_T.CancelRoutine__IRP.44) (=> ?v_7592 (=> ?v_7597 (=> ?v_7593 ?v_7594))))))))) (=> true (=> ?v_7589 (and (=> true (=> ?v_7580 (=> (= Mem_1_T.CancelRoutine__IRP.44 (MapType0Store Mem_1_T.CancelRoutine__IRP.43 ?v_7590 ?v_46)) (=> true (=> ?v_7591 (=> ?v_7596 (=> ?v_7592 (=> (= Mem_1_T.CancelRoutine__IRP.45 Mem_1_T.CancelRoutine__IRP.44) ?v_7598)))))))) (=> true (=> ?v_7595 (and (=> true (=> ?v_7583 (=> (= Mem_2_T.CancelRoutine__IRP.44 (MapType0Store Mem_2_T.CancelRoutine__IRP.43 ?v_7590 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.45 Mem_2_T.CancelRoutine__IRP.44) ?v_7604))))) (=> true (=> ?v_7599 (and (=> true (=> ?v_7585 (=> (= Mem_3_T.CancelRoutine__IRP.44 (MapType0Store Mem_3_T.CancelRoutine__IRP.43 ?v_7590 ?v_46)) (=> true (=> ?v_7591 (=> ?v_7596 (=> (= Mem_3_T.CancelRoutine__IRP.45 Mem_3_T.CancelRoutine__IRP.44) ?v_7600))))))) (=> true (=> ?v_7601 (and (=> true (=> ?v_7587 (=> (= Mem_4_T.CancelRoutine__IRP.44 (MapType0Store Mem_4_T.CancelRoutine__IRP.43 ?v_7590 ?v_46)) (=> true (=> ?v_7591 (=> ?v_7596 (=> ?v_7592 (=> ?v_7597 (=> (= Mem_4_T.CancelRoutine__IRP.45 Mem_4_T.CancelRoutine__IRP.44) ?v_7602))))))))) (=> true (=> ?v_7603 (=> true (=> ?v_7591 ?v_7604))))))))))))))))))))) (?v_7605 (= k.178 0)) (?v_7606 (= k.178 1)) (?v_7607 (= k.178 2)) (?v_7608 (= k.178 3)) (?v_7609 (= k.178 4)) (?v_7569 (int_2_U call72722formal.new.0))) (let ((?v_7620 (and (=> true (=> ?v_2118 (and (=> true (=> (not ?v_7613) (=> true (and ?v_11 (=> ?v_11 (=> (> call72722formal.new.0 0) (=> (forall ((?x1615 Int)) (! (=> (and (<= call72722formal.new.0 ?x1615) (< ?x1615 (+ call72722formal.new.0 1))) (= (Base ?x1615) call72722formal.new.0)) :pattern ((Base ?x1615)) )) (=> (forall ((?x1616 boogieU)) (! (=> (= (type ?x1616) intType) (or (= (U_2_int ?x1616) call72722formal.new.0) (= (MapType0Select alloc.50 ?x1616) (MapType0Select alloc.51 ?x1616)))) :pattern ((MapType0Select alloc.51 ?x1616)) )) (=> (and (= (MapType0Select alloc.50 ?v_7569) UNALLOCATED) (= (MapType0Select alloc.51 ?v_7569) ALLOCATED)) (and (=> true (=> ?v_7611 (=> true (=> (<= k.177 k.178) (=> (< k.178 5) (and (=> true (=> (=> ?v_7605 ?v_4231) (=> (=> ?v_7606 ?v_4232) (=> (=> ?v_7607 ?v_4233) (=> (=> ?v_7608 ?v_4234) (=> (=> ?v_7609 ?v_4235) (=> true (=> (= errorReached.31 1) ?v_7610)))))))) (=> true (=> (=> ?v_7605 ?v_4197) (=> (=> ?v_7606 ?v_4199) (=> (=> ?v_7607 ?v_4201) (=> (=> ?v_7608 ?v_4203) (=> (=> ?v_7609 ?v_4205) (=> true (=> (= errorReached.31 errorReached.30) ?v_7610)))))))))))))) (=> true (=> (not ?v_7611) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.46 Mem_1_T.CancelRoutine__IRP.43) (=> (= Mem_2_T.CancelRoutine__IRP.46 Mem_2_T.CancelRoutine__IRP.43) (=> (= irpCompleted_2.18 irpCompleted_2.2) (=> (= errorReached.32 errorReached.30) (=> (= Mem_4_T.CancelRoutine__IRP.46 Mem_4_T.CancelRoutine__IRP.43) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1.) (=> (= k.180 k.177) (=> (= irpCompleted_3.18 irpCompleted_3.2) (=> (= irpCompleted_1.18 irpCompleted_1.2) (=> (= Mem_0_T.CancelRoutine__IRP.46 Mem_0_T.CancelRoutine__IRP.43) (=> (= irpCompleted_0.18 irpCompleted_0.2) (=> (= irpCompleted_4.18 irpCompleted_4.2) (=> (= Mem_3_T.CancelRoutine__IRP.46 Mem_3_T.CancelRoutine__IRP.43) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_7612))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_7613 ?v_7615))))) (=> true (=> ?v_724 ?v_7615))))) (let ((?v_7626 (=> true (=> true (=> true (=> true (=> true ?v_7620)))))) (?v_7622 (= cancelLockStatus_1.32 cancelLockStatus_1.31)) (?v_7623 (= cancelLockStatus_0.32 cancelLockStatus_0.31)) (?v_7617 (= cancelLockStatus_2.32 cancelLockStatus_2.31)) (?v_7618 (= cancelLockStatus_4.32 cancelLockStatus_4.31)) (?v_7619 (= cancelLockStatus_3.32 cancelLockStatus_3.31))) (let ((?v_7628 (=> ?v_7619 ?v_7626))) (let ((?v_7624 (=> ?v_7618 ?v_7628))) (let ((?v_7630 (=> ?v_7623 (=> ?v_7617 ?v_7624))) (?v_7629 (= k.177 4)) (?v_7627 (= k.177 3)) (?v_7625 (= k.177 2)) (?v_7621 (= k.177 1)) (?v_7616 (= k.177 0))) (let ((?v_7635 (=> true (=> (<= k.176 k.177) (=> (< k.177 5) (and (=> true (=> ?v_7616 (=> true (=> ?v_7622 (=> (= cancelLockStatus_0.32 0) (=> ?v_7617 (=> ?v_7618 (=> ?v_7619 ?v_7620)))))))) (=> true (=> (not ?v_7616) (and (=> true (=> ?v_7621 (=> true (=> (= cancelLockStatus_1.32 0) ?v_7630)))) (=> true (=> (not ?v_7621) (and (=> true (=> ?v_7625 (=> true (=> ?v_7622 (=> ?v_7623 (=> (= cancelLockStatus_2.32 0) ?v_7624)))))) (=> true (=> (not ?v_7625) (and (=> true (=> ?v_7627 (=> true (=> ?v_7622 (=> ?v_7623 (=> ?v_7617 (=> ?v_7618 (=> (= cancelLockStatus_3.32 0) ?v_7626)))))))) (=> true (=> (not ?v_7627) (and (=> true (=> ?v_7629 (=> true (=> ?v_7622 (=> ?v_7623 (=> ?v_7617 (=> (= cancelLockStatus_4.32 0) ?v_7628))))))) (=> true (=> (not ?v_7629) (=> true (=> ?v_7622 ?v_7630)))))))))))))))))))))) (let ((?v_7643 (=> true (=> true (=> true (=> true ?v_7635))))) (?v_7632 (= Mem_3_T.P_IRP.27 Mem_3_T.P_IRP.25)) (?v_7637 (= Mem_1_T.P_IRP.27 Mem_1_T.P_IRP.25)) (?v_7638 (= Mem_0_T.P_IRP.27 Mem_0_T.P_IRP.25)) (?v_7633 (= Mem_2_T.P_IRP.27 Mem_2_T.P_IRP.25)) (?v_7634 (= Mem_4_T.P_IRP.27 Mem_4_T.P_IRP.25))) (let ((?v_7639 (=> ?v_7634 ?v_7643))) (let ((?v_7641 (=> ?v_7638 (=> ?v_7633 ?v_7639)))) (let ((?v_7645 (=> ?v_7637 ?v_7641)) (?v_7644 (= k.176 4)) (?v_7568 (int_2_U inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0)) (?v_7642 (= k.176 3)) (?v_7640 (= k.176 2)) (?v_7636 (= k.176 1)) (?v_7631 (= k.176 0))) (let ((?v_7665 (=> true (=> (<= k.175 k.176) (=> (< k.176 5) (and (=> true (=> ?v_7631 (=> (= Mem_0_T.P_IRP.26 (MapType0Store Mem_0_T.P_IRP.25 ?v_7554 (MapType0Select Mem_0_T.P_IRP.25 ?v_7568))) (=> true (=> ?v_7632 (=> ?v_7637 (=> (= Mem_0_T.P_IRP.27 Mem_0_T.P_IRP.26) (=> ?v_7633 (=> ?v_7634 ?v_7635))))))))) (=> true (=> (not ?v_7631) (and (=> true (=> ?v_7636 (=> (= Mem_1_T.P_IRP.26 (MapType0Store Mem_1_T.P_IRP.25 ?v_7554 (MapType0Select Mem_1_T.P_IRP.25 ?v_7568))) (=> true (=> ?v_7632 (=> (= Mem_1_T.P_IRP.27 Mem_1_T.P_IRP.26) ?v_7641)))))) (=> true (=> (not ?v_7636) (and (=> true (=> ?v_7640 (=> (= Mem_2_T.P_IRP.26 (MapType0Store Mem_2_T.P_IRP.25 ?v_7554 (MapType0Select Mem_2_T.P_IRP.25 ?v_7568))) (=> true (=> ?v_7632 (=> ?v_7637 (=> ?v_7638 (=> (= Mem_2_T.P_IRP.27 Mem_2_T.P_IRP.26) ?v_7639)))))))) (=> true (=> (not ?v_7640) (and (=> true (=> ?v_7642 (=> (= Mem_3_T.P_IRP.26 (MapType0Store Mem_3_T.P_IRP.25 ?v_7554 (MapType0Select Mem_3_T.P_IRP.25 ?v_7568))) (=> true (=> (= Mem_3_T.P_IRP.27 Mem_3_T.P_IRP.26) ?v_7645))))) (=> true (=> (not ?v_7642) (and (=> true (=> ?v_7644 (=> (= Mem_4_T.P_IRP.26 (MapType0Store Mem_4_T.P_IRP.25 ?v_7554 (MapType0Select Mem_4_T.P_IRP.25 ?v_7568))) (=> true (=> ?v_7632 (=> ?v_7637 (=> ?v_7638 (=> ?v_7633 (=> (= Mem_4_T.P_IRP.27 Mem_4_T.P_IRP.26) ?v_7643))))))))) (=> true (=> (not ?v_7644) (=> true (=> ?v_7632 ?v_7645)))))))))))))))))))))) (let ((?v_7670 (=> true (=> (<= k.173 k.174) (=> (< k.174 5) (=> true (=> (= Mem_0_T.P_IRP.25 Mem_0_T.P_IRP.24) (=> (= Mem_4_T.CancelRoutine__IRP.43 Mem_4_T.CancelRoutine__IRP.42) (=> (= errorReached.30 errorReached.29) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.6 inline.SerialGetNextIrpLocked.3.myVar_0.5) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= inline.RemoveHeadList.3.myNondetVar_0.2 inline.RemoveHeadList.3.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..0) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= Mem_2_T.P_IRP.25 Mem_2_T.P_IRP.24) (=> (= Mem_0_T.CancelRoutine__IRP.43 Mem_0_T.CancelRoutine__IRP.42) (=> (= k.175 k.174) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= Mem_3_T.CancelRoutine__IRP.43 Mem_3_T.CancelRoutine__IRP.42) (=> (= Mem_2_T.CancelRoutine__IRP.43 Mem_2_T.CancelRoutine__IRP.42) (=> (= Mem_1_T.CancelRoutine__IRP.43 Mem_1_T.CancelRoutine__IRP.42) (=> (= Mem_1_T.P_IRP.25 Mem_1_T.P_IRP.24) (=> (= Mem_3_T.P_IRP.25 Mem_3_T.P_IRP.24) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..0 call73678formal.ret.0) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.3.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.3.myVar_0.5) (=> (= Mem_4_T.P_IRP.25 Mem_4_T.P_IRP.24) ?v_7665))))))))))))))))))))))))))))))) (let ((?v_7678 (=> true ?v_7670)) (?v_7667 (= Mem_2_T.CancelRoutine__IRP.42 Mem_2_T.CancelRoutine__IRP.6)) (?v_7672 (= Mem_0_T.CancelRoutine__IRP.42 Mem_0_T.CancelRoutine__IRP.6)) (?v_7668 (= Mem_3_T.CancelRoutine__IRP.42 Mem_3_T.CancelRoutine__IRP.6)) (?v_7673 (= Mem_1_T.CancelRoutine__IRP.42 Mem_1_T.CancelRoutine__IRP.6)) (?v_7669 (= Mem_4_T.CancelRoutine__IRP.42 Mem_4_T.CancelRoutine__IRP.6))) (let ((?v_7674 (=> ?v_7669 ?v_7678))) (let ((?v_7676 (=> ?v_7673 ?v_7674))) (let ((?v_7680 (=> ?v_7672 (=> ?v_7668 ?v_7676))) (?v_7679 (= k.173 4)) (?v_7664 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.3.myVar_0.5))) (?v_7677 (= k.173 3)) (?v_7675 (= k.173 2)) (?v_7671 (= k.173 1)) (?v_7666 (= k.173 0))) (let ((?v_7690 (=> true (=> (<= k.172 k.173) (=> (< k.173 5) (and (=> true (=> ?v_7666 (=> (= Mem_0_T.CancelRoutine__IRP.41 (MapType0Store Mem_0_T.CancelRoutine__IRP.6 ?v_7664 ?v_46)) (=> true (=> ?v_7667 (=> (= Mem_0_T.CancelRoutine__IRP.42 Mem_0_T.CancelRoutine__IRP.41) (=> ?v_7668 (=> ?v_7673 (=> ?v_7669 ?v_7670))))))))) (=> true (=> (not ?v_7666) (and (=> true (=> ?v_7671 (=> (= Mem_1_T.CancelRoutine__IRP.41 (MapType0Store Mem_1_T.CancelRoutine__IRP.6 ?v_7664 ?v_46)) (=> true (=> ?v_7667 (=> ?v_7672 (=> ?v_7668 (=> (= Mem_1_T.CancelRoutine__IRP.42 Mem_1_T.CancelRoutine__IRP.41) ?v_7674)))))))) (=> true (=> (not ?v_7671) (and (=> true (=> ?v_7675 (=> (= Mem_2_T.CancelRoutine__IRP.41 (MapType0Store Mem_2_T.CancelRoutine__IRP.6 ?v_7664 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.42 Mem_2_T.CancelRoutine__IRP.41) ?v_7680))))) (=> true (=> (not ?v_7675) (and (=> true (=> ?v_7677 (=> (= Mem_3_T.CancelRoutine__IRP.41 (MapType0Store Mem_3_T.CancelRoutine__IRP.6 ?v_7664 ?v_46)) (=> true (=> ?v_7667 (=> ?v_7672 (=> (= Mem_3_T.CancelRoutine__IRP.42 Mem_3_T.CancelRoutine__IRP.41) ?v_7676))))))) (=> true (=> (not ?v_7677) (and (=> true (=> ?v_7679 (=> (= Mem_4_T.CancelRoutine__IRP.41 (MapType0Store Mem_4_T.CancelRoutine__IRP.6 ?v_7664 ?v_46)) (=> true (=> ?v_7667 (=> ?v_7672 (=> ?v_7668 (=> ?v_7673 (=> (= Mem_4_T.CancelRoutine__IRP.42 Mem_4_T.CancelRoutine__IRP.41) ?v_7678))))))))) (=> true (=> (not ?v_7679) (=> true (=> ?v_7667 ?v_7680))))))))))))))))))))) (?v_7689 (= errorReached.29 errorReached.4)) (?v_7688 (= inline.SerialGetNextIrpLocked.3.myVar_0.5 hirp)) (?v_7686 (= k.172 k.171))) (let ((?v_7687 (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..0 call73587formal.ret.0) ?v_7690)) (?v_7681 (= k.171 0)) (?v_7682 (= k.171 1)) (?v_7683 (= k.171 2)) (?v_7684 (= k.171 3)) (?v_7685 (= k.171 4))) (let ((?v_7692 (and (=> true (=> ?v_7688 (=> true (=> (<= k.170 k.171) (=> (< k.171 5) (and (=> true (=> (=> ?v_7681 ?v_4231) (=> (=> ?v_7682 ?v_4232) (=> (=> ?v_7683 ?v_4233) (=> (=> ?v_7684 ?v_4234) (=> (=> ?v_7685 ?v_4235) (=> true (=> ?v_7686 (=> (= errorReached.29 1) ?v_7687))))))))) (=> true (=> (=> ?v_7681 ?v_4197) (=> (=> ?v_7682 ?v_4199) (=> (=> ?v_7683 ?v_4201) (=> (=> ?v_7684 ?v_4203) (=> (=> ?v_7685 ?v_4205) (=> true (=> ?v_7686 (=> ?v_7689 ?v_7687))))))))))))))) (=> true (=> (not ?v_7688) (=> true (=> (= k.172 k.170) (=> ?v_7689 (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2.) ?v_7690))))))))) (let ((?v_7694 (=> true (=> true ?v_7692))) (?v_7697 (= k.170 4)) (?v_7696 (= k.170 3)) (?v_7695 (= k.170 2)) (?v_7693 (= k.170 1)) (?v_7691 (= k.170 0))) (let ((?v_7700 (=> true (=> (<= k.169 k.170) (=> (< k.170 5) (and (=> true (=> ?v_7691 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.6 ?v_7664))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_7692))))) (=> true (=> (not ?v_7691) (and (=> true (=> ?v_7693 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.6 ?v_7664))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_7694))))) (=> true (=> (not ?v_7693) (and (=> true (=> ?v_7695 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.6 ?v_7664))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_7694))))) (=> true (=> (not ?v_7695) (and (=> true (=> ?v_7696 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.6 ?v_7664))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_7694))))) (=> true (=> (not ?v_7696) (and (=> true (=> ?v_7697 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.6 ?v_7664))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_7694))))) (=> true (=> (not ?v_7697) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_7694)))))))))))))))))))))) (let ((?v_7703 (=> true (=> true (=> true (=> true ?v_7700))))) (?v_7708 (= k.169 4)) (?v_7707 (U_2_int (MapType0Select Mem_4_T.P_IRP.24 ?v_7568))) (?v_7706 (= k.169 3)) (?v_7705 (U_2_int (MapType0Select Mem_3_T.P_IRP.24 ?v_7568))) (?v_7704 (= k.169 2)) (?v_7702 (U_2_int (MapType0Select Mem_2_T.P_IRP.24 ?v_7568))) (?v_7701 (= k.169 1)) (?v_7699 (U_2_int (MapType0Select Mem_1_T.P_IRP.24 ?v_7568))) (?v_7698 (= k.169 0)) (?v_7663 (U_2_int (MapType0Select Mem_0_T.P_IRP.24 ?v_7568))) (?v_7662 (= k.168 0)) (?v_7709 (= k.168 1)) (?v_7715 (= k.168 2)) (?v_7719 (= k.168 3)) (?v_7721 (= k.168 4))) (let ((?v_7714 (=> true (=> (=> ?v_7662 (not (= ?v_7663 hirp))) (=> (=> ?v_7709 (not (= ?v_7699 hirp))) (=> (=> ?v_7715 (not (= ?v_7702 hirp))) (=> (=> ?v_7719 (not (= ?v_7705 hirp))) (=> (=> ?v_7721 (not (= ?v_7707 hirp))) (=> true (=> (<= k.168 k.169) (=> (< k.169 5) (and (=> true (=> ?v_7698 (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.0 ?v_7663) (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.5 inline.SerialGetNextIrpLocked.3.myVar_0.0) ?v_7700))))) (=> true (=> (not ?v_7698) (and (=> true (=> ?v_7701 (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.1 ?v_7699) (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.5 inline.SerialGetNextIrpLocked.3.myVar_0.1) ?v_7703))))) (=> true (=> (not ?v_7701) (and (=> true (=> ?v_7704 (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.3 ?v_7702) (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.5 inline.SerialGetNextIrpLocked.3.myVar_0.3) ?v_7703))))) (=> true (=> (not ?v_7704) (and (=> true (=> ?v_7706 (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.2 ?v_7705) (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.5 inline.SerialGetNextIrpLocked.3.myVar_0.2) ?v_7703))))) (=> true (=> (not ?v_7706) (and (=> true (=> ?v_7708 (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.4 ?v_7707) (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.5 inline.SerialGetNextIrpLocked.3.myVar_0.4) ?v_7703))))) (=> true (=> (not ?v_7708) (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.5 inline.SerialGetNextIrpLocked.3.myVar_0) ?v_7703)))))))))))))))))))))))))))) (let ((?v_7722 (=> true ?v_7714)) (?v_7711 (= Mem_3_T.P_IRP.24 Mem_3_T.P_IRP.1)) (?v_7716 (= Mem_1_T.P_IRP.24 Mem_1_T.P_IRP.1)) (?v_7717 (= Mem_0_T.P_IRP.24 Mem_0_T.P_IRP.1)) (?v_7712 (= Mem_2_T.P_IRP.24 Mem_2_T.P_IRP.1)) (?v_7713 (= Mem_4_T.P_IRP.24 Mem_4_T.P_IRP.1))) (let ((?v_7718 (=> ?v_7713 ?v_7722))) (let ((?v_7720 (=> ?v_7717 (=> ?v_7712 ?v_7718)))) (let ((?v_7723 (=> ?v_7716 ?v_7720)) (?v_7710 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.3.myNondetVar_0.0 1 88))) (?v_7661 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 0)) (?v_7650 (=> true (=> (= Mem_0_T.P_IRP.25 Mem_0_T.P_IRP.22) (=> (= Mem_4_T.CancelRoutine__IRP.43 Mem_4_T.CancelRoutine__IRP.6) (=> (= errorReached.30 errorReached.4) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.6 inline.SerialGetNextIrpLocked.3.myVar_0) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.) (=> (= inline.RemoveHeadList.3.myNondetVar_0.2 inline.RemoveHeadList.3.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2.) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= Mem_2_T.P_IRP.25 Mem_2_T.P_IRP.22) (=> (= Mem_0_T.CancelRoutine__IRP.43 Mem_0_T.CancelRoutine__IRP.6) (=> (= k.175 k.167) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= Mem_3_T.CancelRoutine__IRP.43 Mem_3_T.CancelRoutine__IRP.6) (=> (= Mem_2_T.CancelRoutine__IRP.43 Mem_2_T.CancelRoutine__IRP.6) (=> (= Mem_1_T.CancelRoutine__IRP.43 Mem_1_T.CancelRoutine__IRP.6) (=> (= Mem_1_T.P_IRP.25 Mem_1_T.P_IRP.22) (=> (= Mem_3_T.P_IRP.25 Mem_3_T.P_IRP.22) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_4_T.P_IRP.25 Mem_4_T.P_IRP.22) ?v_7665)))))))))))))))))))))))))))) (let ((?v_7658 (=> true ?v_7650)) (?v_7647 (= Mem_3_T.P_IRP.22 Mem_3_T.P_IRP.1)) (?v_7652 (= Mem_1_T.P_IRP.22 Mem_1_T.P_IRP.1)) (?v_7653 (= Mem_0_T.P_IRP.22 Mem_0_T.P_IRP.1)) (?v_7648 (= Mem_2_T.P_IRP.22 Mem_2_T.P_IRP.1)) (?v_7649 (= Mem_4_T.P_IRP.22 Mem_4_T.P_IRP.1))) (let ((?v_7654 (=> ?v_7649 ?v_7658))) (let ((?v_7656 (=> ?v_7653 (=> ?v_7648 ?v_7654)))) (let ((?v_7660 (=> ?v_7652 ?v_7656)) (?v_7659 (= k.167 4)) (?v_7657 (= k.167 3)) (?v_7655 (= k.167 2)) (?v_7651 (= k.167 1)) (?v_7646 (= k.167 0))) (let ((?v_7725 (=> true (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.4.myNondetVar_0.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0))) (and (=> true (=> (not ?v_7661) (=> true (=> (<= k.166 k.167) (=> (< k.167 5) (and (=> true (=> ?v_7646 (=> (= Mem_0_T.P_IRP.21 (MapType0Store Mem_0_T.P_IRP.1 ?v_7568 ?v_46)) (=> true (=> ?v_7647 (=> ?v_7652 (=> (= Mem_0_T.P_IRP.22 Mem_0_T.P_IRP.21) (=> ?v_7648 (=> ?v_7649 ?v_7650))))))))) (=> true (=> (not ?v_7646) (and (=> true (=> ?v_7651 (=> (= Mem_1_T.P_IRP.21 (MapType0Store Mem_1_T.P_IRP.1 ?v_7568 ?v_46)) (=> true (=> ?v_7647 (=> (= Mem_1_T.P_IRP.22 Mem_1_T.P_IRP.21) ?v_7656)))))) (=> true (=> (not ?v_7651) (and (=> true (=> ?v_7655 (=> (= Mem_2_T.P_IRP.21 (MapType0Store Mem_2_T.P_IRP.1 ?v_7568 ?v_46)) (=> true (=> ?v_7647 (=> ?v_7652 (=> ?v_7653 (=> (= Mem_2_T.P_IRP.22 Mem_2_T.P_IRP.21) ?v_7654)))))))) (=> true (=> (not ?v_7655) (and (=> true (=> ?v_7657 (=> (= Mem_3_T.P_IRP.21 (MapType0Store Mem_3_T.P_IRP.1 ?v_7568 ?v_46)) (=> true (=> (= Mem_3_T.P_IRP.22 Mem_3_T.P_IRP.21) ?v_7660))))) (=> true (=> (not ?v_7657) (and (=> true (=> ?v_7659 (=> (= Mem_4_T.P_IRP.21 (MapType0Store Mem_4_T.P_IRP.1 ?v_7568 ?v_46)) (=> true (=> ?v_7647 (=> ?v_7652 (=> ?v_7653 (=> ?v_7648 (=> (= Mem_4_T.P_IRP.22 Mem_4_T.P_IRP.21) ?v_7658))))))))) (=> true (=> (not ?v_7659) (=> true (=> ?v_7647 ?v_7660)))))))))))))))))))))) (=> true (=> ?v_7661 (=> true (=> (<= k.166 k.168) (=> (< k.168 5) (and (=> true (=> ?v_7662 (=> (= Mem_0_T.P_IRP.23 (MapType0Store Mem_0_T.P_IRP.1 ?v_7568 ?v_7710)) (=> true (=> ?v_7711 (=> ?v_7716 (=> (= Mem_0_T.P_IRP.24 Mem_0_T.P_IRP.23) (=> ?v_7712 (=> ?v_7713 ?v_7714))))))))) (=> true (=> (not ?v_7662) (and (=> true (=> ?v_7709 (=> (= Mem_1_T.P_IRP.23 (MapType0Store Mem_1_T.P_IRP.1 ?v_7568 ?v_7710)) (=> true (=> ?v_7711 (=> (= Mem_1_T.P_IRP.24 Mem_1_T.P_IRP.23) ?v_7720)))))) (=> true (=> (not ?v_7709) (and (=> true (=> ?v_7715 (=> (= Mem_2_T.P_IRP.23 (MapType0Store Mem_2_T.P_IRP.1 ?v_7568 ?v_7710)) (=> true (=> ?v_7711 (=> ?v_7716 (=> ?v_7717 (=> (= Mem_2_T.P_IRP.24 Mem_2_T.P_IRP.23) ?v_7718)))))))) (=> true (=> (not ?v_7715) (and (=> true (=> ?v_7719 (=> (= Mem_3_T.P_IRP.23 (MapType0Store Mem_3_T.P_IRP.1 ?v_7568 ?v_7710)) (=> true (=> (= Mem_3_T.P_IRP.24 Mem_3_T.P_IRP.23) ?v_7723))))) (=> true (=> (not ?v_7719) (and (=> true (=> ?v_7721 (=> (= Mem_4_T.P_IRP.23 (MapType0Store Mem_4_T.P_IRP.1 ?v_7568 ?v_7710)) (=> true (=> ?v_7711 (=> ?v_7716 (=> ?v_7717 (=> ?v_7712 (=> (= Mem_4_T.P_IRP.24 Mem_4_T.P_IRP.23) ?v_7722))))))))) (=> true (=> (not ?v_7721) (=> true (=> ?v_7711 ?v_7723))))))))))))))))))))))))))) (let ((?v_7727 (=> true (=> true (=> true (=> true ?v_7725))))) (?v_7730 (= k.166 4)) (?v_7729 (= k.166 3)) (?v_7728 (= k.166 2)) (?v_7726 (= k.166 1)) (?v_7724 (= k.166 0))) (let ((?v_7735 (=> true (=> (<= k.165 k.166) (=> (< k.166 5) (and (=> true (=> ?v_7724 (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_7568))) (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_7725))))) (=> true (=> (not ?v_7724) (and (=> true (=> ?v_7726 (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_7568))) (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_7727))))) (=> true (=> (not ?v_7726) (and (=> true (=> ?v_7728 (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 (U_2_int (MapType0Select Mem_2_T.P_IRP.1 ?v_7568))) (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2) ?v_7727))))) (=> true (=> (not ?v_7728) (and (=> true (=> ?v_7729 (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.3 (U_2_int (MapType0Select Mem_3_T.P_IRP.1 ?v_7568))) (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.3) ?v_7727))))) (=> true (=> (not ?v_7729) (and (=> true (=> ?v_7730 (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.4 (U_2_int (MapType0Select Mem_4_T.P_IRP.1 ?v_7568))) (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.4) ?v_7727))))) (=> true (=> (not ?v_7730) (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_7727)))))))))))))))))))))) (let ((?v_7741 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_7735))))))))) (?v_7737 (= cancelLockStatus_1.31 cancelLockStatus_1.30)) (?v_7738 (= cancelLockStatus_0.31 cancelLockStatus_0.30)) (?v_7732 (= cancelLockStatus_2.31 cancelLockStatus_2.30)) (?v_7733 (= cancelLockStatus_4.31 cancelLockStatus_4.30)) (?v_7734 (= cancelLockStatus_3.31 cancelLockStatus_3.30))) (let ((?v_7743 (=> ?v_7734 ?v_7741))) (let ((?v_7739 (=> ?v_7733 ?v_7743))) (let ((?v_7744 (=> ?v_7738 (=> ?v_7732 ?v_7739))) (?v_7742 (= k.165 4)) (?v_7740 (= k.165 3)) (?v_7736 (= k.165 2)) (?v_7731 (= k.165 1)) (?v_7567 (= k.165 0)) (?v_7566 (int_2_U call72111formal.new.0)) (?v_7565 (ReadQueue__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5))) (let ((?v_7873 (=> true (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 ?v_7561) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0 ?v_7565) (=> true (and ?v_11 (=> ?v_11 (=> (> call72111formal.new.0 0) (=> (forall ((?x1617 Int)) (! (=> (and (<= call72111formal.new.0 ?x1617) (< ?x1617 (+ call72111formal.new.0 1))) (= (Base ?x1617) call72111formal.new.0)) :pattern ((Base ?x1617)) )) (=> (forall ((?x1618 boogieU)) (! (=> (= (type ?x1618) intType) (or (= (U_2_int ?x1618) call72111formal.new.0) (= (MapType0Select alloc.49 ?x1618) (MapType0Select alloc.50 ?x1618)))) :pattern ((MapType0Select alloc.50 ?x1618)) )) (=> (and (= (MapType0Select alloc.49 ?v_7566) UNALLOCATED) (= (MapType0Select alloc.50 ?v_7566) ALLOCATED)) (=> true (=> (<= k.164 k.165) (=> (< k.165 5) (=> true (=> (=> ?v_7567 (= cancelLockStatus_0.30 0)) (=> (=> ?v_7731 (= cancelLockStatus_1.30 0)) (=> (=> ?v_7736 (= cancelLockStatus_2.30 0)) (=> (=> ?v_7740 (= cancelLockStatus_3.30 0)) (=> (=> ?v_7742 (= cancelLockStatus_4.30 0)) (and (=> true (=> ?v_7567 (=> true (=> ?v_7737 (=> (= cancelLockStatus_0.31 1) (=> ?v_7732 (=> ?v_7733 (=> ?v_7734 ?v_7735)))))))) (=> true (=> (not ?v_7567) (and (=> true (=> ?v_7731 (=> true (=> (= cancelLockStatus_1.31 1) ?v_7744)))) (=> true (=> (not ?v_7731) (and (=> true (=> ?v_7736 (=> true (=> ?v_7737 (=> ?v_7738 (=> (= cancelLockStatus_2.31 1) ?v_7739)))))) (=> true (=> (not ?v_7736) (and (=> true (=> ?v_7740 (=> true (=> ?v_7737 (=> ?v_7738 (=> ?v_7732 (=> ?v_7733 (=> (= cancelLockStatus_3.31 1) ?v_7741)))))))) (=> true (=> (not ?v_7740) (and (=> true (=> ?v_7742 (=> true (=> ?v_7737 (=> ?v_7738 (=> ?v_7732 (=> (= cancelLockStatus_4.31 1) ?v_7743))))))) (=> true (=> (not ?v_7742) (=> true (=> ?v_7737 ?v_7744)))))))))))))))))))))))))))))))))))))) (let ((?v_7938 (=> true ?v_7873)) (?v_7939 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0)) (?v_7940 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead)) (?v_7941 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7942 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_8131 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialUpdateAndSwitchToUser)) (?v_7750 (= inline.KeSynchronizeExecution.7.myNondetVar_0.7 inline.KeSynchronizeExecution.7.myNondetVar_0)) (?v_7944 (= inline.SerialResizeBuffer.0.myNondetVar_0.14 inline.SerialResizeBuffer.0.myNondetVar_0)) (?v_7945 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.11)) (?v_7946 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer)) (?v_7947 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_7948 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7949 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (?v_7757 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_7951 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.3 inline.sdv_InterlockedDecrement.12.myNondetVar_0.2)) (?v_7759 (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1.)) (?v_8132 (= inline.KeSynchronizeExecution.8.myNondetVar_0.7 inline.KeSynchronizeExecution.8.myNondetVar_0.6)) (?v_7952 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_8133 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_8134 (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..0 call76446formal.ret.0)) (?v_8076 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.17)) (?v_7953 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0)) (?v_7954 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_7955 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0 call73808formal.ret.0)) (?v_7956 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0)) (?v_8135 (= lockStatus_3.34 lockStatus_3.27)) (?v_8136 (= inline.SerialStartRead.0.myVar_0.45 inline.SerialStartRead.0.myVar_0.24)) (?v_7959 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0)) (?v_7960 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0)) (?v_7961 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_8137 (= cancelLockStatus_3.30 cancelLockStatus_3.27)) (?v_8138 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_8139 (= cancelLockStatus_4.30 cancelLockStatus_4.27)) (?v_7962 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0)) (?v_7778 (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.)) (?v_7964 (= inline.SerialResizeBuffer.0.myVar_0.6 inline.SerialResizeBuffer.0.myVar_0)) (?v_7965 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_7966 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0)) (?v_7967 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1)) (?v_7968 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0)) (?v_7969 (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.)) (?v_7970 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.3 inline.sdv_InterlockedDecrement.13.myNondetVar_0.2)) (?v_7971 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0)) (?v_7972 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21)) (?v_7973 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3)) (?v_7974 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_7975 (= inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..0)) (?v_7976 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer)) (?v_7977 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7978 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_7979 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_7980 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (?v_7981 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0 call73915formal.ret.0)) (?v_8140 (= inline.SerialStartRead.0.myNondetVar_0.82 inline.SerialStartRead.0.myNondetVar_0.64)) (?v_7983 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_8082 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_7984 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer)) (?v_7801 (= inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1.)) (?v_7986 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1)) (?v_8141 (= inline.SerialStartRead.0.myNondetVar_1.14 inline.SerialStartRead.0.myNondetVar_1.6)) (?v_7988 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_8142 (= lockStatus_2.34 lockStatus_2.27)) (?v_7990 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution)) (?v_7991 (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..0)) (?v_7808 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_7993 (= inline.SerialCancelTimer.2.myNondetVar_0.2 inline.SerialCancelTimer.2.myNondetVar_0.1)) (?v_7994 (= alloc.49 alloc.24)) (?v_8143 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialUpdateAndSwitchToUser)) (?v_8144 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0)) (?v_7995 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_7996 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_8145 (= cancelLockStatus_1.30 cancelLockStatus_1.27)) (?v_7997 (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.)) (?v_7817 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_7999 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5)) (?v_8000 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.)) (?v_8146 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_8001 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.)) (?v_8002 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_7823 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_8147 (= k.164 k.151)) (?v_8005 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_8006 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.11)) (?v_8148 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_8007 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer)) (?v_8008 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_8009 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0)) (?v_8010 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer)) (?v_8011 (= inline.SerialResizeBuffer.0.myNondetVar_1.5 inline.SerialResizeBuffer.0.myNondetVar_1)) (?v_8012 (= inline.KeSynchronizeExecution.6.myNondetVar_0.8 inline.KeSynchronizeExecution.6.myNondetVar_0)) (?v_8013 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_8014 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_8015 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_8149 (= cancelLockStatus_0.30 cancelLockStatus_0.27)) (?v_8150 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0)) (?v_8016 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_8017 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1)) (?v_8018 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0)) (?v_8019 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0 1)) (?v_8151 (= lockStatus_4.34 lockStatus_4.27)) (?v_8152 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_8021 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_8022 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0 call73915formal.ret.0)) (?v_7846 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_8023 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_8153 (= inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..0)) (?v_8024 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0)) (?v_8025 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_8026 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_8027 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2 0)) (?v_8129 (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..0 call75691formal.ret.0)) (?v_7853 (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution)) (?v_8062 (= inline.SerialCancelTimer.3.myNondetVar_0.2 inline.SerialCancelTimer.3.myNondetVar_0.1)) (?v_8063 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_8064 (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..0)) (?v_8065 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.)) (?v_8066 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6)) (?v_7859 (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1.)) (?v_8067 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1)) (?v_8068 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.19 inline.SerialGetCharsFromIntBuffer.0.myVar_0.18)) (?v_8069 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_8070 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_8071 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0 call73808formal.ret.0)) (?v_8130 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.17)) (?v_7867 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_8072 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1)) (?v_8073 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1))) (let ((?v_8074 (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0) ?v_7938))) (let ((?v_8154 (=> ?v_8129 (=> ?v_7853 (=> ?v_8062 (=> ?v_8063 (=> ?v_8064 (=> ?v_8065 (=> ?v_8066 (=> ?v_7859 (=> ?v_8067 (=> ?v_8068 (=> ?v_8069 (=> ?v_8070 (=> (= cancelLockStatus_2.30 cancelLockStatus_2.27) (=> ?v_8071 (=> ?v_8130 (=> ?v_7867 (=> (= lockStatus_1.34 lockStatus_1.27) (=> ?v_8072 (=> ?v_8073 (=> (= lockStatus_0.34 lockStatus_0.27) ?v_8074))))))))))))))))))))) (?v_7936 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0 0)) (?v_7937 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead))) (let ((?v_8171 (and (=> true (=> ?v_40 (=> true (=> ?v_7939 (=> ?v_7940 (=> ?v_7941 (=> ?v_7942 (=> ?v_8131 (=> ?v_7750 (=> ?v_7944 (=> ?v_7945 (=> ?v_7946 (=> ?v_7947 (=> ?v_7948 (=> ?v_7949 (=> ?v_7757 (=> ?v_7951 (=> ?v_7759 (=> ?v_8132 (=> ?v_7952 (=> ?v_8133 (=> ?v_8134 (=> ?v_8076 (=> ?v_7953 (=> ?v_7954 (=> ?v_7955 (=> ?v_7956 (=> ?v_8135 (=> ?v_8136 (=> ?v_7959 (=> ?v_7960 (=> ?v_7961 (=> ?v_8137 (=> ?v_8138 (=> ?v_8139 (=> ?v_7962 (=> ?v_7778 (=> ?v_7964 (=> ?v_7965 (=> ?v_7966 (=> ?v_7967 (=> ?v_7968 (=> ?v_7969 (=> ?v_7970 (=> ?v_7971 (=> ?v_7972 (=> ?v_7973 (=> ?v_7974 (=> ?v_7975 (=> ?v_7976 (=> ?v_7977 (=> ?v_7978 (=> ?v_7979 (=> ?v_7980 (=> ?v_7981 (=> ?v_8140 (=> ?v_7983 (=> ?v_8082 (=> ?v_7984 (=> ?v_7801 (=> ?v_7986 (=> ?v_8141 (=> ?v_7988 (=> ?v_8142 (=> ?v_7990 (=> ?v_7991 (=> ?v_7808 (=> ?v_7993 (=> ?v_7994 (=> ?v_8143 (=> ?v_8144 (=> ?v_7995 (=> ?v_7996 (=> ?v_8145 (=> ?v_7997 (=> ?v_7817 (=> ?v_7999 (=> ?v_8000 (=> ?v_8146 (=> ?v_8001 (=> ?v_8002 (=> ?v_7823 (=> ?v_8147 (=> ?v_8005 (=> ?v_8006 (=> ?v_8148 (=> ?v_8007 (=> ?v_8008 (=> ?v_8009 (=> ?v_8010 (=> ?v_8011 (=> ?v_8012 (=> ?v_8013 (=> ?v_8014 (=> ?v_8015 (=> ?v_8149 (=> ?v_8150 (=> ?v_8016 (=> ?v_8017 (=> ?v_8018 (=> ?v_7936 (=> ?v_8151 (=> ?v_8152 (=> ?v_8021 (=> ?v_8022 (=> ?v_7846 (=> ?v_8023 (=> ?v_8153 (=> ?v_8024 (=> ?v_8025 (=> ?v_8026 (=> ?v_7937 ?v_8154)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_7939 (=> ?v_7940 (=> ?v_7941 (=> ?v_7942 (=> ?v_8131 (=> ?v_7750 (=> ?v_7944 (=> ?v_7945 (=> ?v_7946 (=> ?v_7947 (=> ?v_7948 (=> ?v_7949 (=> ?v_7757 (=> ?v_7951 (=> ?v_7759 (=> ?v_8132 (=> ?v_7952 (=> ?v_8133 (=> ?v_8134 (=> ?v_8076 (=> ?v_7953 (=> ?v_7954 (=> ?v_7955 (=> ?v_7956 (=> ?v_8135 (=> ?v_8136 (=> ?v_7959 (=> ?v_7960 (=> ?v_7961 (=> ?v_8137 (=> ?v_8138 (=> ?v_8139 (=> ?v_7962 (=> ?v_7778 (=> ?v_7964 (=> ?v_7965 (=> ?v_7966 (=> ?v_7967 (=> ?v_7968 (=> ?v_7969 (=> ?v_7970 (=> ?v_7971 (=> ?v_7972 (=> ?v_7973 (=> ?v_7974 (=> ?v_7975 (=> ?v_7976 (=> ?v_7977 (=> ?v_7978 (=> ?v_7979 (=> ?v_7980 (=> ?v_7981 (=> ?v_8140 (=> ?v_7983 (=> ?v_8082 (=> ?v_7984 (=> ?v_7801 (=> ?v_7986 (=> ?v_8141 (=> ?v_7988 (=> ?v_8142 (=> ?v_7990 (=> ?v_7991 (=> ?v_7808 (=> ?v_7993 (=> ?v_7994 (=> ?v_8143 (=> ?v_8144 (=> ?v_7995 (=> ?v_7996 (=> ?v_8145 (=> ?v_7997 (=> ?v_7817 (=> ?v_7999 (=> ?v_8000 (=> ?v_8146 (=> ?v_8001 (=> ?v_8002 (=> ?v_7823 (=> ?v_8147 (=> ?v_8005 (=> ?v_8006 (=> ?v_8148 (=> ?v_8007 (=> ?v_8008 (=> ?v_8009 (=> ?v_8010 (=> ?v_8011 (=> ?v_8012 (=> ?v_8013 (=> ?v_8014 (=> ?v_8015 (=> ?v_8149 (=> ?v_8150 (=> ?v_8016 (=> ?v_8017 (=> ?v_8018 (=> ?v_8019 (=> ?v_8151 (=> ?v_8152 (=> ?v_8021 (=> ?v_8022 (=> ?v_7846 (=> ?v_8023 (=> ?v_8153 (=> ?v_8024 (=> ?v_8025 (=> ?v_8026 (=> ?v_8027 ?v_8154)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_8170 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_8159 (=> true (=> (= lockStatus_1.27 lockStatus_1.26) (=> (= lockStatus_2.27 lockStatus_2.26) (=> (= lockStatus_0.27 lockStatus_0.26) (=> (= k.151 k.150) (=> (= lockStatus_3.27 lockStatus_3.26) (=> (= lockStatus_4.27 lockStatus_4.26) (=> (= inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..0 call76562formal.ret.0) ?v_8171)))))))))) (let ((?v_8167 (=> true ?v_8159)) (?v_8156 (= lockStatus_3.26 lockStatus_3.25)) (?v_8161 (= lockStatus_1.26 lockStatus_1.25)) (?v_8157 (= lockStatus_2.26 lockStatus_2.25)) (?v_8166 (= lockStatus_0.26 lockStatus_0.25)) (?v_8158 (= lockStatus_4.26 lockStatus_4.25))) (let ((?v_8162 (=> ?v_8166 (=> ?v_8158 ?v_8167)))) (let ((?v_8164 (=> ?v_8157 ?v_8162))) (let ((?v_8169 (=> ?v_8161 ?v_8164)) (?v_8168 (= k.150 4)) (?v_8165 (= k.150 3)) (?v_8163 (= k.150 2)) (?v_8160 (= k.150 1)) (?v_8155 (= k.150 0))) (let ((?v_8176 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.62 inline.SerialStartRead.0.myNondetVar_1.6) (=> true (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_5034) (and (=> true (=> ?v_8170 (=> true (=> (<= k.149 k.150) (=> (< k.150 5) (and (=> true (=> ?v_8155 (=> true (=> ?v_8156 (=> ?v_8161 (=> ?v_8157 (=> (= lockStatus_0.26 0) (=> ?v_8158 ?v_8159)))))))) (=> true (=> (not ?v_8155) (and (=> true (=> ?v_8160 (=> true (=> ?v_8156 (=> (= lockStatus_1.26 0) ?v_8164))))) (=> true (=> (not ?v_8160) (and (=> true (=> ?v_8163 (=> true (=> ?v_8156 (=> ?v_8161 (=> (= lockStatus_2.26 0) ?v_8162)))))) (=> true (=> (not ?v_8163) (and (=> true (=> ?v_8165 (=> true (=> (= lockStatus_3.26 0) ?v_8169)))) (=> true (=> (not ?v_8165) (and (=> true (=> ?v_8168 (=> true (=> ?v_8156 (=> ?v_8161 (=> ?v_8157 (=> ?v_8166 (=> (= lockStatus_4.26 0) ?v_8167)))))))) (=> true (=> (not ?v_8168) (=> true (=> ?v_8156 ?v_8169)))))))))))))))))))))) (=> true (=> (not ?v_8170) (=> true (=> (= lockStatus_1.27 lockStatus_1.25) (=> (= lockStatus_2.27 lockStatus_2.25) (=> (= lockStatus_0.27 lockStatus_0.25) (=> (= k.151 k.149) (=> (= lockStatus_3.27 lockStatus_3.25) (=> (= lockStatus_4.27 lockStatus_4.25) (=> (= inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1.) (=> true (=> true (=> true (=> true (=> true ?v_8171)))))))))))))))))))))) (let ((?v_8182 (=> true (=> true (=> true (=> true ?v_8176))))) (?v_8178 (= cancelLockStatus_1.27 cancelLockStatus_1.26)) (?v_8179 (= cancelLockStatus_0.27 cancelLockStatus_0.26)) (?v_8173 (= cancelLockStatus_2.27 cancelLockStatus_2.26)) (?v_8174 (= cancelLockStatus_4.27 cancelLockStatus_4.26)) (?v_8175 (= cancelLockStatus_3.27 cancelLockStatus_3.26))) (let ((?v_8184 (=> ?v_8175 ?v_8182))) (let ((?v_8180 (=> ?v_8174 ?v_8184))) (let ((?v_8186 (=> ?v_8179 (=> ?v_8173 ?v_8180))) (?v_8185 (= k.149 4)) (?v_8183 (= k.149 3)) (?v_8181 (= k.149 2)) (?v_8177 (= k.149 1)) (?v_8172 (= k.149 0))) (let ((?v_8260 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.60 0)) (=> true (=> (<= k.147 k.149) (=> (< k.149 5) (and (=> true (=> ?v_8172 (=> true (=> ?v_8178 (=> (= cancelLockStatus_0.27 0) (=> ?v_8173 (=> ?v_8174 (=> ?v_8175 ?v_8176)))))))) (=> true (=> (not ?v_8172) (and (=> true (=> ?v_8177 (=> true (=> (= cancelLockStatus_1.27 0) ?v_8186)))) (=> true (=> (not ?v_8177) (and (=> true (=> ?v_8181 (=> true (=> ?v_8178 (=> ?v_8179 (=> (= cancelLockStatus_2.27 0) ?v_8180)))))) (=> true (=> (not ?v_8181) (and (=> true (=> ?v_8183 (=> true (=> ?v_8178 (=> ?v_8179 (=> ?v_8173 (=> ?v_8174 (=> (= cancelLockStatus_3.27 0) ?v_8182)))))))) (=> true (=> (not ?v_8183) (and (=> true (=> ?v_8185 (=> true (=> ?v_8178 (=> ?v_8179 (=> ?v_8173 (=> (= cancelLockStatus_4.27 0) ?v_8184))))))) (=> true (=> (not ?v_8185) (=> true (=> ?v_8178 ?v_8186)))))))))))))))))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.59 0) (and (=> true (=> ?v_8187 (=> true (=> (<= k.147 k.148) (=> (< k.148 5) (and (=> true (=> ?v_8250 (=> (= inline.SerialStartRead.0.myVar_0.25 ?v_7564) (=> true (=> (= inline.SerialStartRead.0.myVar_0.30 inline.SerialStartRead.0.myVar_0.25) ?v_8251))))) (=> true (=> (not ?v_8250) (and (=> true (=> ?v_8252 (=> (= inline.SerialStartRead.0.myVar_0.26 ?v_8055) (=> true (=> (= inline.SerialStartRead.0.myVar_0.30 inline.SerialStartRead.0.myVar_0.26) ?v_8253))))) (=> true (=> (not ?v_8252) (and (=> true (=> ?v_8254 (=> (= inline.SerialStartRead.0.myVar_0.27 ?v_8057) (=> true (=> (= inline.SerialStartRead.0.myVar_0.30 inline.SerialStartRead.0.myVar_0.27) ?v_8253))))) (=> true (=> (not ?v_8254) (and (=> true (=> ?v_8255 (=> (= inline.SerialStartRead.0.myVar_0.29 ?v_8059) (=> true (=> (= inline.SerialStartRead.0.myVar_0.30 inline.SerialStartRead.0.myVar_0.29) ?v_8253))))) (=> true (=> (not ?v_8255) (and (=> true (=> ?v_8256 (=> (= inline.SerialStartRead.0.myVar_0.28 ?v_8061) (=> true (=> (= inline.SerialStartRead.0.myVar_0.30 inline.SerialStartRead.0.myVar_0.28) ?v_8253))))) (=> true (=> (not ?v_8256) (=> true (=> (= inline.SerialStartRead.0.myVar_0.30 inline.SerialStartRead.0.myVar_0.24) ?v_8253)))))))))))))))))))))) (=> true (=> ?v_8257 (=> true (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.3 inline.sdv_InterlockedDecrement.14.myNondetVar_0) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialStartRead.0.tempBoogie0.1 inline.SerialStartRead.0.tempBoogie0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.2 inline.sdv_InterlockedIncrement.4.myNondetVar_0) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialStartRead.0.myNondetVar_1.8 inline.SerialStartRead.0.myNondetVar_1.5) (=> (= inline.SerialSetTimer.3.myNondetVar_0.5 inline.SerialSetTimer.3.myNondetVar_0) (=> (= inline.SerialStartRead.0.myNondetVar_2.1 inline.SerialStartRead.0.myNondetVar_2) (=> (= inline.SerialStartRead.0.myNondetVar_0.67 inline.SerialStartRead.0.myNondetVar_0.59) (=> (= alloc.46 alloc.24) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1) (=> (= k.152 k.147) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialStartRead.0.myVar_0.31 inline.SerialStartRead.0.myVar_0.24) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer) (=> true ?v_8258)))))))))))))))))))))))))))))))) (let ((?v_8270 (and (=> true (=> (not ?v_8259) (=> true (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.6 inline.KeSynchronizeExecution.8.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.8..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.8..result.SynchronizeRoutine.4679.26.2.) ?v_8260)))))) (=> true (=> ?v_8259 (=> true (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.6 inline.KeSynchronizeExecution.8.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true (=> true ?v_8260)))))))))))) (?v_8128 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0 0))) (let ((?v_8262 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.23) (=> (= k.147 k.146) (=> (= inline.SerialStartRead.0.myVar_0.24 inline.SerialStartRead.0.myVar_0.23) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.23) ?v_8270))))))) (?v_8261 (= inline.SerialStartRead.0.myVar_0.23 hirp))) (let ((?v_8264 (and (=> true (=> ?v_8261 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8262)))) (=> true (=> (not ?v_8261) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_8262))))))))))) (let ((?v_8266 (=> true (=> true (=> true (=> true ?v_8264))))) (?v_8269 (= k.146 4)) (?v_8268 (= k.146 3)) (?v_8267 (= k.146 2)) (?v_8265 (= k.146 1)) (?v_8263 (= k.146 0)) (?v_8053 (= k.145 0)) (?v_8123 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_7564)))) 0)) (?v_8054 (= k.145 1)) (?v_8124 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_8055)))) 0)) (?v_8056 (= k.145 2)) (?v_8125 (= (U_2_int (MapType0Select Mem_2_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_8057)))) 0)) (?v_8058 (= k.145 3)) (?v_8126 (= (U_2_int (MapType0Select Mem_3_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_8059)))) 0)) (?v_8060 (= k.145 4)) (?v_8127 (= (U_2_int (MapType0Select Mem_4_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_8061)))) 0)) (?v_7749 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_8075 (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..0 call75992formal.ret.0)) (?v_7760 (= inline.KeSynchronizeExecution.8.myNondetVar_0.7 inline.KeSynchronizeExecution.8.myNondetVar_0)) (?v_7762 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7763 (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1.)) (?v_8077 (= lockStatus_3.34 lockStatus_3.33)) (?v_8078 (= inline.SerialStartRead.0.myVar_0.45 inline.SerialStartRead.0.myVar_0.17)) (?v_8079 (= cancelLockStatus_3.30 cancelLockStatus_3.29)) (?v_7775 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_8080 (= cancelLockStatus_4.30 cancelLockStatus_4.29)) (?v_8081 (= inline.SerialStartRead.0.myNondetVar_0.82 inline.SerialStartRead.0.myNondetVar_0.81)) (?v_8083 (= inline.SerialStartRead.0.myNondetVar_1.14 inline.SerialStartRead.0.myNondetVar_1.13)) (?v_8084 (= lockStatus_2.34 lockStatus_2.33)) (?v_7811 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_7812 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1.)) (?v_8085 (= cancelLockStatus_1.30 cancelLockStatus_1.29)) (?v_7820 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_8086 (= k.164 k.163)) (?v_7827 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_8087 (= cancelLockStatus_0.30 cancelLockStatus_0.29)) (?v_7838 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution)) (?v_8088 (= lockStatus_4.34 lockStatus_4.33)) (?v_7843 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_8089 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_7848 (= inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.11..result.userContextSwitch.4629.4.1.)) (?v_8090 (=> ?v_8129 (=> ?v_7853 (=> ?v_8062 (=> ?v_8063 (=> ?v_8064 (=> ?v_8065 (=> ?v_8066 (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..0) (=> ?v_8067 (=> ?v_8068 (=> ?v_8069 (=> ?v_8070 (=> (= cancelLockStatus_2.30 cancelLockStatus_2.29) (=> ?v_8071 (=> ?v_8130 (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= lockStatus_1.34 lockStatus_1.33) (=> ?v_8072 (=> ?v_8073 (=> (= lockStatus_0.34 lockStatus_0.33) ?v_8074)))))))))))))))))))))) (let ((?v_8107 (and (=> true (=> ?v_40 (=> true (=> ?v_7939 (=> ?v_7940 (=> ?v_7941 (=> ?v_7942 (=> ?v_7749 (=> ?v_7750 (=> ?v_7944 (=> ?v_7945 (=> ?v_7946 (=> ?v_7947 (=> ?v_7948 (=> ?v_7949 (=> ?v_7757 (=> ?v_7951 (=> ?v_8075 (=> ?v_7760 (=> ?v_7952 (=> ?v_7762 (=> ?v_7763 (=> ?v_8076 (=> ?v_7953 (=> ?v_7954 (=> ?v_7955 (=> ?v_7956 (=> ?v_8077 (=> ?v_8078 (=> ?v_7959 (=> ?v_7960 (=> ?v_7961 (=> ?v_8079 (=> ?v_7775 (=> ?v_8080 (=> ?v_7962 (=> ?v_7778 (=> ?v_7964 (=> ?v_7965 (=> ?v_7966 (=> ?v_7967 (=> ?v_7968 (=> ?v_7969 (=> ?v_7970 (=> ?v_7971 (=> ?v_7972 (=> ?v_7973 (=> ?v_7974 (=> ?v_7975 (=> ?v_7976 (=> ?v_7977 (=> ?v_7978 (=> ?v_7979 (=> ?v_7980 (=> ?v_7981 (=> ?v_8081 (=> ?v_7983 (=> ?v_8082 (=> ?v_7984 (=> ?v_7801 (=> ?v_7986 (=> ?v_8083 (=> ?v_7988 (=> ?v_8084 (=> ?v_7990 (=> ?v_7991 (=> ?v_7808 (=> ?v_7993 (=> ?v_7994 (=> ?v_7811 (=> ?v_7812 (=> ?v_7995 (=> ?v_7996 (=> ?v_8085 (=> ?v_7997 (=> ?v_7817 (=> ?v_7999 (=> ?v_8000 (=> ?v_7820 (=> ?v_8001 (=> ?v_8002 (=> ?v_7823 (=> ?v_8086 (=> ?v_8005 (=> ?v_8006 (=> ?v_7827 (=> ?v_8007 (=> ?v_8008 (=> ?v_8009 (=> ?v_8010 (=> ?v_8011 (=> ?v_8012 (=> ?v_8013 (=> ?v_8014 (=> ?v_8015 (=> ?v_8087 (=> ?v_7838 (=> ?v_8016 (=> ?v_8017 (=> ?v_8018 (=> ?v_7936 (=> ?v_8088 (=> ?v_7843 (=> ?v_8021 (=> ?v_8022 (=> ?v_8089 (=> ?v_8023 (=> ?v_7848 (=> ?v_8024 (=> ?v_8025 (=> ?v_8026 (=> ?v_7937 ?v_8090)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1 ?v_1489) (=> true (=> ?v_7939 (=> ?v_7940 (=> ?v_7941 (=> ?v_7942 (=> ?v_7749 (=> ?v_7750 (=> ?v_7944 (=> ?v_7945 (=> ?v_7946 (=> ?v_7947 (=> ?v_7948 (=> ?v_7949 (=> ?v_7757 (=> ?v_7951 (=> ?v_8075 (=> ?v_7760 (=> ?v_7952 (=> ?v_7762 (=> ?v_7763 (=> ?v_8076 (=> ?v_7953 (=> ?v_7954 (=> ?v_7955 (=> ?v_7956 (=> ?v_8077 (=> ?v_8078 (=> ?v_7959 (=> ?v_7960 (=> ?v_7961 (=> ?v_8079 (=> ?v_7775 (=> ?v_8080 (=> ?v_7962 (=> ?v_7778 (=> ?v_7964 (=> ?v_7965 (=> ?v_7966 (=> ?v_7967 (=> ?v_7968 (=> ?v_7969 (=> ?v_7970 (=> ?v_7971 (=> ?v_7972 (=> ?v_7973 (=> ?v_7974 (=> ?v_7975 (=> ?v_7976 (=> ?v_7977 (=> ?v_7978 (=> ?v_7979 (=> ?v_7980 (=> ?v_7981 (=> ?v_8081 (=> ?v_7983 (=> ?v_8082 (=> ?v_7984 (=> ?v_7801 (=> ?v_7986 (=> ?v_8083 (=> ?v_7988 (=> ?v_8084 (=> ?v_7990 (=> ?v_7991 (=> ?v_7808 (=> ?v_7993 (=> ?v_7994 (=> ?v_7811 (=> ?v_7812 (=> ?v_7995 (=> ?v_7996 (=> ?v_8085 (=> ?v_7997 (=> ?v_7817 (=> ?v_7999 (=> ?v_8000 (=> ?v_7820 (=> ?v_8001 (=> ?v_8002 (=> ?v_7823 (=> ?v_8086 (=> ?v_8005 (=> ?v_8006 (=> ?v_7827 (=> ?v_8007 (=> ?v_8008 (=> ?v_8009 (=> ?v_8010 (=> ?v_8011 (=> ?v_8012 (=> ?v_8013 (=> ?v_8014 (=> ?v_8015 (=> ?v_8087 (=> ?v_7838 (=> ?v_8016 (=> ?v_8017 (=> ?v_8018 (=> ?v_8019 (=> ?v_8088 (=> ?v_7843 (=> ?v_8021 (=> ?v_8022 (=> ?v_8089 (=> ?v_8023 (=> ?v_7848 (=> ?v_8024 (=> ?v_8025 (=> ?v_8026 (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1) ?v_8090)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_8106 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_8095 (=> true (=> (= lockStatus_1.33 lockStatus_1.32) (=> (= lockStatus_2.33 lockStatus_2.32) (=> (= lockStatus_0.33 lockStatus_0.32) (=> (= k.163 k.162) (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..0 call76108formal.ret.0) (=> (= lockStatus_3.33 lockStatus_3.32) (=> (= lockStatus_4.33 lockStatus_4.32) ?v_8107)))))))))) (let ((?v_8103 (=> true ?v_8095)) (?v_8092 (= lockStatus_3.32 lockStatus_3.25)) (?v_8097 (= lockStatus_1.32 lockStatus_1.25)) (?v_8093 (= lockStatus_2.32 lockStatus_2.25)) (?v_8102 (= lockStatus_0.32 lockStatus_0.25)) (?v_8094 (= lockStatus_4.32 lockStatus_4.25))) (let ((?v_8098 (=> ?v_8102 (=> ?v_8094 ?v_8103)))) (let ((?v_8100 (=> ?v_8093 ?v_8098))) (let ((?v_8105 (=> ?v_8097 ?v_8100)) (?v_8104 (= k.162 4)) (?v_8101 (= k.162 3)) (?v_8099 (= k.162 2)) (?v_8096 (= k.162 1)) (?v_8091 (= k.162 0))) (let ((?v_8112 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.79 inline.SerialStartRead.0.myNondetVar_1.13) (=> true (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_5034) (and (=> true (=> ?v_8106 (=> true (=> (<= k.156 k.162) (=> (< k.162 5) (and (=> true (=> ?v_8091 (=> true (=> ?v_8092 (=> ?v_8097 (=> ?v_8093 (=> (= lockStatus_0.32 0) (=> ?v_8094 ?v_8095)))))))) (=> true (=> (not ?v_8091) (and (=> true (=> ?v_8096 (=> true (=> ?v_8092 (=> (= lockStatus_1.32 0) ?v_8100))))) (=> true (=> (not ?v_8096) (and (=> true (=> ?v_8099 (=> true (=> ?v_8092 (=> ?v_8097 (=> (= lockStatus_2.32 0) ?v_8098)))))) (=> true (=> (not ?v_8099) (and (=> true (=> ?v_8101 (=> true (=> (= lockStatus_3.32 0) ?v_8105)))) (=> true (=> (not ?v_8101) (and (=> true (=> ?v_8104 (=> true (=> ?v_8092 (=> ?v_8097 (=> ?v_8093 (=> ?v_8102 (=> (= lockStatus_4.32 0) ?v_8103)))))))) (=> true (=> (not ?v_8104) (=> true (=> ?v_8092 ?v_8105)))))))))))))))))))))) (=> true (=> (not ?v_8106) (=> true (=> (= lockStatus_1.33 lockStatus_1.25) (=> (= lockStatus_2.33 lockStatus_2.25) (=> (= lockStatus_0.33 lockStatus_0.25) (=> (= k.163 k.156) (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_3.33 lockStatus_3.25) (=> (= lockStatus_4.33 lockStatus_4.25) (=> true (=> true (=> true (=> true (=> true (=> true ?v_8107))))))))))))))))))))))) (let ((?v_8118 (=> true (=> true (=> true (=> true ?v_8112))))) (?v_8114 (= cancelLockStatus_1.29 cancelLockStatus_1.26)) (?v_8115 (= cancelLockStatus_0.29 cancelLockStatus_0.26)) (?v_8109 (= cancelLockStatus_2.29 cancelLockStatus_2.26)) (?v_8110 (= cancelLockStatus_4.29 cancelLockStatus_4.26)) (?v_8111 (= cancelLockStatus_3.29 cancelLockStatus_3.26))) (let ((?v_8120 (=> ?v_8111 ?v_8118))) (let ((?v_8116 (=> ?v_8110 ?v_8120))) (let ((?v_8122 (=> ?v_8115 (=> ?v_8109 ?v_8116))) (?v_8121 (= k.156 4)) (?v_8119 (= k.156 3)) (?v_8117 (= k.156 2)) (?v_8113 (= k.156 1)) (?v_8108 (= k.156 0))) (let ((?v_8274 (and (=> true (=> (=> ?v_8053 (not ?v_8123)) (=> (=> ?v_8054 (not ?v_8124)) (=> (=> ?v_8056 (not ?v_8125)) (=> (=> ?v_8058 (not ?v_8126)) (=> (=> ?v_8060 (not ?v_8127)) (=> true (=> (<= k.145 k.156) (=> (< k.156 5) (and (=> true (=> ?v_8108 (=> true (=> ?v_8114 (=> (= cancelLockStatus_0.29 0) (=> ?v_8109 (=> ?v_8110 (=> ?v_8111 ?v_8112)))))))) (=> true (=> (not ?v_8108) (and (=> true (=> ?v_8113 (=> true (=> (= cancelLockStatus_1.29 0) ?v_8122)))) (=> true (=> (not ?v_8113) (and (=> true (=> ?v_8117 (=> true (=> ?v_8114 (=> ?v_8115 (=> (= cancelLockStatus_2.29 0) ?v_8116)))))) (=> true (=> (not ?v_8117) (and (=> true (=> ?v_8119 (=> true (=> ?v_8114 (=> ?v_8115 (=> ?v_8109 (=> ?v_8110 (=> (= cancelLockStatus_3.29 0) ?v_8118)))))))) (=> true (=> (not ?v_8119) (and (=> true (=> ?v_8121 (=> true (=> ?v_8114 (=> ?v_8115 (=> ?v_8109 (=> (= cancelLockStatus_4.29 0) ?v_8120))))))) (=> true (=> (not ?v_8121) (=> true (=> ?v_8114 ?v_8122)))))))))))))))))))))))))) (=> true (=> (=> ?v_8053 ?v_8123) (=> (=> ?v_8054 ?v_8124) (=> (=> ?v_8056 ?v_8125) (=> (=> ?v_8058 ?v_8126) (=> (=> ?v_8060 ?v_8127) (and (=> true (=> (not ?v_8128) (=> true (=> (<= k.145 k.146) (=> (< k.146 5) (and (=> true (=> ?v_8263 (=> (= inline.SerialStartRead.0.myVar_0.18 ?v_7564) (=> true (=> (= inline.SerialStartRead.0.myVar_0.23 inline.SerialStartRead.0.myVar_0.18) ?v_8264))))) (=> true (=> (not ?v_8263) (and (=> true (=> ?v_8265 (=> (= inline.SerialStartRead.0.myVar_0.19 ?v_8055) (=> true (=> (= inline.SerialStartRead.0.myVar_0.23 inline.SerialStartRead.0.myVar_0.19) ?v_8266))))) (=> true (=> (not ?v_8265) (and (=> true (=> ?v_8267 (=> (= inline.SerialStartRead.0.myVar_0.21 ?v_8057) (=> true (=> (= inline.SerialStartRead.0.myVar_0.23 inline.SerialStartRead.0.myVar_0.21) ?v_8266))))) (=> true (=> (not ?v_8267) (and (=> true (=> ?v_8268 (=> (= inline.SerialStartRead.0.myVar_0.22 ?v_8059) (=> true (=> (= inline.SerialStartRead.0.myVar_0.23 inline.SerialStartRead.0.myVar_0.22) ?v_8266))))) (=> true (=> (not ?v_8268) (and (=> true (=> ?v_8269 (=> (= inline.SerialStartRead.0.myVar_0.20 ?v_8061) (=> true (=> (= inline.SerialStartRead.0.myVar_0.23 inline.SerialStartRead.0.myVar_0.20) ?v_8266))))) (=> true (=> (not ?v_8269) (=> true (=> (= inline.SerialStartRead.0.myVar_0.23 inline.SerialStartRead.0.myVar_0.17) ?v_8266)))))))))))))))))))))) (=> true (=> ?v_8128 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= k.147 k.145) (=> (= inline.SerialStartRead.0.myVar_0.24 inline.SerialStartRead.0.myVar_0.17) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> true (=> true (=> true (=> true (=> true ?v_8270))))))))))))))))))))))) (let ((?v_8278 (=> true (=> true (=> true (=> true (=> true ?v_8274)))))) (?v_8275 (= cancelLockStatus_1.26 cancelLockStatus_1.5)) (?v_8276 (= cancelLockStatus_0.26 cancelLockStatus_0.5)) (?v_8271 (= cancelLockStatus_2.26 cancelLockStatus_2.5)) (?v_8272 (= cancelLockStatus_4.26 cancelLockStatus_4.5)) (?v_8273 (= cancelLockStatus_3.26 cancelLockStatus_3.5))) (let ((?v_8279 (=> ?v_8273 ?v_8278))) (let ((?v_8277 (=> ?v_8272 ?v_8279))) (let ((?v_8280 (=> ?v_8276 (=> ?v_8271 ?v_8277))) (?v_5016 (= cancelLockStatus_0.5 0)) (?v_8049 (= cancelLockStatus_1.5 0)) (?v_8050 (= cancelLockStatus_2.5 0)) (?v_8051 (= cancelLockStatus_3.5 0)) (?v_8052 (= cancelLockStatus_4.5 0))) (let ((?v_8282 (=> true (=> (<= k.144 k.145) (=> (< k.145 5) (=> true (=> (=> ?v_8053 ?v_5016) (=> (=> ?v_8054 ?v_8049) (=> (=> ?v_8056 ?v_8050) (=> (=> ?v_8058 ?v_8051) (=> (=> ?v_8060 ?v_8052) (and (=> true (=> ?v_8053 (=> true (=> ?v_8275 (=> (= cancelLockStatus_0.26 1) (=> ?v_8271 (=> ?v_8272 (=> ?v_8273 ?v_8274)))))))) (=> true (=> (not ?v_8053) (and (=> true (=> ?v_8054 (=> true (=> (= cancelLockStatus_1.26 1) ?v_8280)))) (=> true (=> (not ?v_8054) (and (=> true (=> ?v_8056 (=> true (=> ?v_8275 (=> ?v_8276 (=> (= cancelLockStatus_2.26 1) ?v_8277)))))) (=> true (=> (not ?v_8056) (and (=> true (=> ?v_8058 (=> true (=> ?v_8275 (=> ?v_8276 (=> ?v_8271 (=> ?v_8272 (=> (= cancelLockStatus_3.26 1) ?v_8278)))))))) (=> true (=> (not ?v_8058) (and (=> true (=> ?v_8060 (=> true (=> ?v_8275 (=> ?v_8276 (=> ?v_8271 (=> (= cancelLockStatus_4.26 1) ?v_8279))))))) (=> true (=> (not ?v_8060) (=> true (=> ?v_8275 ?v_8280))))))))))))))))))))))))))) (?v_8281 (= inline.SerialStartRead.0.myVar_0.17 hirp))) (let ((?v_8284 (and (=> true (=> ?v_8281 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8282)))) (=> true (=> (not ?v_8281) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_8282)))))))))))))) (let ((?v_8286 (=> true (=> true (=> true (=> true ?v_8284))))) (?v_8289 (= k.144 4)) (?v_8288 (= k.144 3)) (?v_8287 (= k.144 2)) (?v_8285 (= k.144 1)) (?v_8283 (= k.144 0))) (let ((?v_8291 (=> true (=> (<= k.143 k.144) (=> (< k.144 5) (and (=> true (=> ?v_8283 (=> (= inline.SerialStartRead.0.myVar_0.13 ?v_7564) (=> true (=> (= inline.SerialStartRead.0.myVar_0.17 inline.SerialStartRead.0.myVar_0.13) ?v_8284))))) (=> true (=> (not ?v_8283) (and (=> true (=> ?v_8285 (=> (= inline.SerialStartRead.0.myVar_0.12 ?v_8055) (=> true (=> (= inline.SerialStartRead.0.myVar_0.17 inline.SerialStartRead.0.myVar_0.12) ?v_8286))))) (=> true (=> (not ?v_8285) (and (=> true (=> ?v_8287 (=> (= inline.SerialStartRead.0.myVar_0.16 ?v_8057) (=> true (=> (= inline.SerialStartRead.0.myVar_0.17 inline.SerialStartRead.0.myVar_0.16) ?v_8286))))) (=> true (=> (not ?v_8287) (and (=> true (=> ?v_8288 (=> (= inline.SerialStartRead.0.myVar_0.14 ?v_8059) (=> true (=> (= inline.SerialStartRead.0.myVar_0.17 inline.SerialStartRead.0.myVar_0.14) ?v_8286))))) (=> true (=> (not ?v_8288) (and (=> true (=> ?v_8289 (=> (= inline.SerialStartRead.0.myVar_0.15 ?v_8061) (=> true (=> (= inline.SerialStartRead.0.myVar_0.17 inline.SerialStartRead.0.myVar_0.15) ?v_8286))))) (=> true (=> (not ?v_8289) (=> true (=> (= inline.SerialStartRead.0.myVar_0.17 inline.SerialStartRead.0.myVar_0.11) ?v_8286))))))))))))))))))))) (?v_8290 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0 0)) (?v_7943 (= inline.KeSynchronizeExecution.7.myNondetVar_0.7 inline.KeSynchronizeExecution.7.myNondetVar_0.6)) (?v_7950 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialUpdateInterruptBuffer)) (?v_7764 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7957 (= lockStatus_3.34 lockStatus_3.31)) (?v_7958 (= inline.SerialStartRead.0.myVar_0.45 inline.SerialStartRead.0.myVar_0.11)) (?v_7774 (= cancelLockStatus_3.30 cancelLockStatus_3.5)) (?v_7776 (= cancelLockStatus_4.30 cancelLockStatus_4.5)) (?v_7963 (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0)) (?v_7982 (= inline.SerialStartRead.0.myNondetVar_0.82 inline.SerialStartRead.0.myNondetVar_0.78)) (?v_7799 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7985 (= inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..0)) (?v_7987 (= inline.SerialStartRead.0.myNondetVar_1.14 inline.SerialStartRead.0.myNondetVar_1.12)) (?v_7989 (= lockStatus_2.34 lockStatus_2.31)) (?v_7992 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialUpdateInterruptBuffer)) (?v_7815 (= cancelLockStatus_1.30 cancelLockStatus_1.5)) (?v_7998 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_8003 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_8004 (= k.164 k.161)) (?v_7837 (= cancelLockStatus_0.30 cancelLockStatus_0.5)) (?v_8020 (= lockStatus_4.34 lockStatus_4.31)) (?v_7852 (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1.)) (?v_7864 (= cancelLockStatus_2.30 cancelLockStatus_2.5)) (?v_7866 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation))) (let ((?v_8028 (=> ?v_7852 (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0) (=> ?v_8062 (=> ?v_8063 (=> ?v_8064 (=> ?v_8065 (=> ?v_8066 (=> ?v_7859 (=> ?v_8067 (=> ?v_8068 (=> ?v_8069 (=> ?v_8070 (=> ?v_7864 (=> ?v_8071 (=> ?v_7866 (=> ?v_7867 (=> (= lockStatus_1.34 lockStatus_1.31) (=> ?v_8072 (=> ?v_8073 (=> (= lockStatus_0.34 lockStatus_0.31) ?v_8074)))))))))))))))))))))) (let ((?v_8045 (and (=> true (=> ?v_40 (=> true (=> ?v_7939 (=> ?v_7940 (=> ?v_7941 (=> ?v_7942 (=> ?v_7749 (=> ?v_7943 (=> ?v_7944 (=> ?v_7945 (=> ?v_7946 (=> ?v_7947 (=> ?v_7948 (=> ?v_7949 (=> ?v_7950 (=> ?v_7951 (=> ?v_7759 (=> ?v_7760 (=> ?v_7952 (=> ?v_7762 (=> ?v_7763 (=> ?v_7764 (=> ?v_7953 (=> ?v_7954 (=> ?v_7955 (=> ?v_7956 (=> ?v_7957 (=> ?v_7958 (=> ?v_7959 (=> ?v_7960 (=> ?v_7961 (=> ?v_7774 (=> ?v_7775 (=> ?v_7776 (=> ?v_7962 (=> ?v_7963 (=> ?v_7964 (=> ?v_7965 (=> ?v_7966 (=> ?v_7967 (=> ?v_7968 (=> ?v_7969 (=> ?v_7970 (=> ?v_7971 (=> ?v_7972 (=> ?v_7973 (=> ?v_7974 (=> ?v_7975 (=> ?v_7976 (=> ?v_7977 (=> ?v_7978 (=> ?v_7979 (=> ?v_7980 (=> ?v_7981 (=> ?v_7982 (=> ?v_7983 (=> ?v_7799 (=> ?v_7984 (=> ?v_7985 (=> ?v_7986 (=> ?v_7987 (=> ?v_7988 (=> ?v_7989 (=> ?v_7990 (=> ?v_7991 (=> ?v_7992 (=> ?v_7993 (=> ?v_7994 (=> ?v_7811 (=> ?v_7812 (=> ?v_7995 (=> ?v_7996 (=> ?v_7815 (=> ?v_7997 (=> ?v_7998 (=> ?v_7999 (=> ?v_8000 (=> ?v_7820 (=> ?v_8001 (=> ?v_8002 (=> ?v_8003 (=> ?v_8004 (=> ?v_8005 (=> ?v_8006 (=> ?v_7827 (=> ?v_8007 (=> ?v_8008 (=> ?v_8009 (=> ?v_8010 (=> ?v_8011 (=> ?v_8012 (=> ?v_8013 (=> ?v_8014 (=> ?v_8015 (=> ?v_7837 (=> ?v_7838 (=> ?v_8016 (=> ?v_8017 (=> ?v_8018 (=> ?v_7936 (=> ?v_8020 (=> ?v_7843 (=> ?v_8021 (=> ?v_8022 (=> ?v_7846 (=> ?v_8023 (=> ?v_7848 (=> ?v_8024 (=> ?v_8025 (=> ?v_8026 (=> ?v_7937 ?v_8028)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_7939 (=> ?v_7940 (=> ?v_7941 (=> ?v_7942 (=> ?v_7749 (=> ?v_7943 (=> ?v_7944 (=> ?v_7945 (=> ?v_7946 (=> ?v_7947 (=> ?v_7948 (=> ?v_7949 (=> ?v_7950 (=> ?v_7951 (=> ?v_7759 (=> ?v_7760 (=> ?v_7952 (=> ?v_7762 (=> ?v_7763 (=> ?v_7764 (=> ?v_7953 (=> ?v_7954 (=> ?v_7955 (=> ?v_7956 (=> ?v_7957 (=> ?v_7958 (=> ?v_7959 (=> ?v_7960 (=> ?v_7961 (=> ?v_7774 (=> ?v_7775 (=> ?v_7776 (=> ?v_7962 (=> ?v_7963 (=> ?v_7964 (=> ?v_7965 (=> ?v_7966 (=> ?v_7967 (=> ?v_7968 (=> ?v_7969 (=> ?v_7970 (=> ?v_7971 (=> ?v_7972 (=> ?v_7973 (=> ?v_7974 (=> ?v_7975 (=> ?v_7976 (=> ?v_7977 (=> ?v_7978 (=> ?v_7979 (=> ?v_7980 (=> ?v_7981 (=> ?v_7982 (=> ?v_7983 (=> ?v_7799 (=> ?v_7984 (=> ?v_7985 (=> ?v_7986 (=> ?v_7987 (=> ?v_7988 (=> ?v_7989 (=> ?v_7990 (=> ?v_7991 (=> ?v_7992 (=> ?v_7993 (=> ?v_7994 (=> ?v_7811 (=> ?v_7812 (=> ?v_7995 (=> ?v_7996 (=> ?v_7815 (=> ?v_7997 (=> ?v_7998 (=> ?v_7999 (=> ?v_8000 (=> ?v_7820 (=> ?v_8001 (=> ?v_8002 (=> ?v_8003 (=> ?v_8004 (=> ?v_8005 (=> ?v_8006 (=> ?v_7827 (=> ?v_8007 (=> ?v_8008 (=> ?v_8009 (=> ?v_8010 (=> ?v_8011 (=> ?v_8012 (=> ?v_8013 (=> ?v_8014 (=> ?v_8015 (=> ?v_7837 (=> ?v_7838 (=> ?v_8016 (=> ?v_8017 (=> ?v_8018 (=> ?v_8019 (=> ?v_8020 (=> ?v_7843 (=> ?v_8021 (=> ?v_8022 (=> ?v_7846 (=> ?v_8023 (=> ?v_7848 (=> ?v_8024 (=> ?v_8025 (=> ?v_8026 (=> ?v_8027 ?v_8028)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_8044 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_8033 (=> true (=> (= lockStatus_1.31 lockStatus_1.30) (=> (= inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..0 call75425formal.ret.0) (=> (= lockStatus_0.31 lockStatus_0.30) (=> (= lockStatus_2.31 lockStatus_2.30) (=> (= lockStatus_3.31 lockStatus_3.30) (=> (= lockStatus_4.31 lockStatus_4.30) (=> (= k.161 k.160) ?v_8045)))))))))) (let ((?v_8041 (=> true ?v_8033)) (?v_8030 (= lockStatus_3.30 lockStatus_3.25)) (?v_8035 (= lockStatus_1.30 lockStatus_1.25)) (?v_8031 (= lockStatus_2.30 lockStatus_2.25)) (?v_8040 (= lockStatus_0.30 lockStatus_0.25)) (?v_8032 (= lockStatus_4.30 lockStatus_4.25))) (let ((?v_8036 (=> ?v_8040 (=> ?v_8032 ?v_8041)))) (let ((?v_8038 (=> ?v_8031 ?v_8036))) (let ((?v_8043 (=> ?v_8035 ?v_8038)) (?v_8042 (= k.160 4)) (?v_8039 (= k.160 3)) (?v_8037 (= k.160 2)) (?v_8034 (= k.160 1)) (?v_8029 (= k.160 0))) (let ((?v_8047 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.76 inline.SerialStartRead.0.myNondetVar_1.12) (=> true (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_5034) (and (=> true (=> ?v_8044 (=> true (=> (<= k.143 k.160) (=> (< k.160 5) (and (=> true (=> ?v_8029 (=> true (=> ?v_8030 (=> ?v_8035 (=> ?v_8031 (=> (= lockStatus_0.30 0) (=> ?v_8032 ?v_8033)))))))) (=> true (=> (not ?v_8029) (and (=> true (=> ?v_8034 (=> true (=> ?v_8030 (=> (= lockStatus_1.30 0) ?v_8038))))) (=> true (=> (not ?v_8034) (and (=> true (=> ?v_8037 (=> true (=> ?v_8030 (=> ?v_8035 (=> (= lockStatus_2.30 0) ?v_8036)))))) (=> true (=> (not ?v_8037) (and (=> true (=> ?v_8039 (=> true (=> (= lockStatus_3.30 0) ?v_8043)))) (=> true (=> (not ?v_8039) (and (=> true (=> ?v_8042 (=> true (=> ?v_8030 (=> ?v_8035 (=> ?v_8031 (=> ?v_8040 (=> (= lockStatus_4.30 0) ?v_8041)))))))) (=> true (=> (not ?v_8042) (=> true (=> ?v_8030 ?v_8043)))))))))))))))))))))) (=> true (=> (not ?v_8044) (=> true (=> (= lockStatus_1.31 lockStatus_1.25) (=> (= inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.9..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_0.31 lockStatus_0.25) (=> (= lockStatus_2.31 lockStatus_2.25) (=> (= lockStatus_3.31 lockStatus_3.25) (=> (= lockStatus_4.31 lockStatus_4.25) (=> (= k.161 k.143) (=> true (=> true (=> true (=> true (=> true ?v_8045)))))))))))))))))))))) (let ((?v_8048 (and (=> true (=> (not ?v_8046) (=> true (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.7..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.6 inline.KeSynchronizeExecution.7.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.7..result.SynchronizeRoutine.4679.26.2.) ?v_8047)))))) (=> true (=> ?v_8046 (=> true (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.6 inline.KeSynchronizeExecution.7.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true ?v_8047)))))))))))) (let ((?v_8292 (=> true (=> true (=> true (=> true (=> true ?v_8048)))))) (?v_7935 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0 0))) (let ((?v_8307 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5 (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21 1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0)) (and (=> true (=> (not ?v_7935) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.55 inline.SerialStartRead.0.myNondetVar_0.49) ?v_8048)))) (=> true (=> ?v_7935 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.51 0)) (and (=> true (=> (not ?v_8290) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.54 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.55 inline.SerialStartRead.0.myNondetVar_0.54) ?v_8292)))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.52 0) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.53 inline.SerialStartRead.0.myNondetVar_0.52) ?v_8291))))))) (=> true (=> ?v_8290 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.53 inline.SerialStartRead.0.myNondetVar_0.51) ?v_8291))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.50 0) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.55 inline.SerialStartRead.0.myNondetVar_0.50) ?v_8292))))))))))) (?v_8337 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_8338 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_8339 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_8298 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_8300 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_8302 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_8303 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_8305 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_8306 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_8336 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 0)) (?v_8301 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0))) (let ((?v_8319 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.3 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.19 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 1) 1)) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.18 inline.SerialGetCharsFromIntBuffer.0.myVar_0.17) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.3) (=> ?v_8337 (=> ?v_8338 (=> ?v_8339 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.11) (=> (= k.143 k.142) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.17) (=> ?v_8301 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.17) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.2) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.19) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.11) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.5) ?v_8307)))))))))))))))))))) (?v_8318 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.17 hirp))) (let ((?v_8321 (and (=> true (=> ?v_8318 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8319)))) (=> true (=> (not ?v_8318) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_8319)))))))))))))))))) (let ((?v_8323 (=> true (=> true (=> true (=> true ?v_8321))))) (?v_8326 (= k.142 4)) (?v_8325 (= k.142 3)) (?v_8324 (= k.142 2)) (?v_8322 (= k.142 1)) (?v_8320 (= k.142 0))) (let ((?v_8328 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.2 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.15 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 1)) (=> true (=> (<= k.58 k.142) (=> (< k.142 5) (and (=> true (=> ?v_8320 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.15 ?v_7564) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.17 inline.SerialGetCharsFromIntBuffer.0.myVar_0.15) ?v_8321))))) (=> true (=> (not ?v_8320) (and (=> true (=> ?v_8322 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.12 ?v_8055) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.17 inline.SerialGetCharsFromIntBuffer.0.myVar_0.12) ?v_8323))))) (=> true (=> (not ?v_8322) (and (=> true (=> ?v_8324 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.16 ?v_8057) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.17 inline.SerialGetCharsFromIntBuffer.0.myVar_0.16) ?v_8323))))) (=> true (=> (not ?v_8324) (and (=> true (=> ?v_8325 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.13 ?v_8059) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.17 inline.SerialGetCharsFromIntBuffer.0.myVar_0.13) ?v_8323))))) (=> true (=> (not ?v_8325) (and (=> true (=> ?v_8326 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.14 ?v_8061) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.17 inline.SerialGetCharsFromIntBuffer.0.myVar_0.14) ?v_8323))))) (=> true (=> (not ?v_8326) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.17 inline.SerialGetCharsFromIntBuffer.0.myVar_0.11) ?v_8323))))))))))))))))))))))) (?v_8327 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 hirp))) (let ((?v_8330 (and (=> true (=> ?v_8327 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8328)))) (=> true (=> (not ?v_8327) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_8328))))))))))))))))) (let ((?v_8332 (=> true (=> true (=> true (=> true ?v_8330))))) (?v_8335 (= k.58 4)) (?v_8334 (= k.58 3)) (?v_8333 (= k.58 2)) (?v_8331 (= k.58 1)) (?v_8329 (= k.58 0)) (?v_8317 (< inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0)) (?v_8294 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.18 inline.SerialGetCharsFromIntBuffer.0.myVar_0.7)) (?v_8295 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_8296 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.7)) (?v_8297 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.7)) (?v_8299 (= k.143 k.59)) (?v_8304 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.0)) (?v_8293 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 1 1))) (let ((?v_8309 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.8 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 1)) (and (=> true (=> (= (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.11 1 ?v_8293) inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.3) (=> true (=> ?v_8294 (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.0) (=> ?v_8295 (=> ?v_8296 (=> ?v_8297 (=> ?v_8298 (=> ?v_8299 (=> ?v_8300 (=> ?v_8301 (=> ?v_8302 (=> ?v_8303 (=> ?v_8304 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.12) (=> ?v_8305 (=> ?v_8306 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.3) ?v_8307))))))))))))))))))) (=> true (=> (not (= (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.9 1 ?v_8293) inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.2)) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.1 (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.10 1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0)) (=> true (=> ?v_8294 (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.1) (=> ?v_8295 (=> ?v_8296 (=> ?v_8297 (=> ?v_8298 (=> ?v_8299 (=> ?v_8300 (=> ?v_8301 (=> ?v_8302 (=> ?v_8303 (=> ?v_8304 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.10) (=> ?v_8305 (=> ?v_8306 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.2) ?v_8307))))))))))))))))))))))))) (?v_8308 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 hirp))) (let ((?v_8311 (and (=> true (=> ?v_8308 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8309)))) (=> true (=> (not ?v_8308) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_8309))))))))))))))))) (let ((?v_8313 (=> true (=> true (=> true (=> true ?v_8311))))) (?v_8316 (= k.59 4)) (?v_8315 (= k.59 3)) (?v_8314 (= k.59 2)) (?v_8312 (= k.59 1)) (?v_8310 (= k.59 0))) (let ((?v_8340 (and (=> true (=> (not ?v_8336) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 (PLUS (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.5 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.0 1) 1 1)) (and (=> true (=> ?v_8317 (=> true (=> (<= k.57 k.59) (=> (< k.59 5) (and (=> true (=> ?v_8310 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.6 ?v_7564) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 inline.SerialGetCharsFromIntBuffer.0.myVar_0.6) ?v_8311))))) (=> true (=> (not ?v_8310) (and (=> true (=> ?v_8312 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.2 ?v_8055) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 inline.SerialGetCharsFromIntBuffer.0.myVar_0.2) ?v_8313))))) (=> true (=> (not ?v_8312) (and (=> true (=> ?v_8314 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.4 ?v_8057) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 inline.SerialGetCharsFromIntBuffer.0.myVar_0.4) ?v_8313))))) (=> true (=> (not ?v_8314) (and (=> true (=> ?v_8315 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 ?v_8059) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 inline.SerialGetCharsFromIntBuffer.0.myVar_0.3) ?v_8313))))) (=> true (=> (not ?v_8315) (and (=> true (=> ?v_8316 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.5 ?v_8061) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 inline.SerialGetCharsFromIntBuffer.0.myVar_0.5) ?v_8313))))) (=> true (=> (not ?v_8316) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 inline.SerialGetCharsFromIntBuffer.0.myVar_0) ?v_8313)))))))))))))))))))))) (=> true (=> (not ?v_8317) (=> true (=> (<= k.57 k.58) (=> (< k.58 5) (and (=> true (=> ?v_8329 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.0 ?v_7564) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 inline.SerialGetCharsFromIntBuffer.0.myVar_0.0) ?v_8330))))) (=> true (=> (not ?v_8329) (and (=> true (=> ?v_8331 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.1 ?v_8055) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 inline.SerialGetCharsFromIntBuffer.0.myVar_0.1) ?v_8332))))) (=> true (=> (not ?v_8331) (and (=> true (=> ?v_8333 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 ?v_8057) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 inline.SerialGetCharsFromIntBuffer.0.myVar_0.8) ?v_8332))))) (=> true (=> (not ?v_8333) (and (=> true (=> ?v_8334 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.9 ?v_8059) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 inline.SerialGetCharsFromIntBuffer.0.myVar_0.9) ?v_8332))))) (=> true (=> (not ?v_8334) (and (=> true (=> ?v_8335 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.10 ?v_8061) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 inline.SerialGetCharsFromIntBuffer.0.myVar_0.10) ?v_8332))))) (=> true (=> (not ?v_8335) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 inline.SerialGetCharsFromIntBuffer.0.myVar_0) ?v_8332))))))))))))))))))))))))))) (=> true (=> ?v_8336 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.18 inline.SerialGetCharsFromIntBuffer.0.myVar_0) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0) (=> ?v_8337 (=> ?v_8338 (=> ?v_8339 (=> ?v_8298 (=> (= k.143 k.57) (=> ?v_8300 (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer) (=> ?v_8302 (=> ?v_8303 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4) (=> ?v_8305 (=> ?v_8306 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1) ?v_8307)))))))))))))))))))))) (let ((?v_8356 (and (=> true (=> (< inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.2 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.3) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.3) ?v_8340))))) (=> true (=> (not (< inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.1 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0)) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.1) (=> true ?v_8340)))))))) (?v_8355 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_8345 (=> true (=> (= lockStatus_1.25 lockStatus_1.24) (=> (= lockStatus_2.25 lockStatus_2.24) (=> (= lockStatus_0.25 lockStatus_0.24) (=> (= k.57 k.56) (=> (= lockStatus_3.25 lockStatus_3.24) (=> (= lockStatus_4.25 lockStatus_4.24) (=> (= inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..0 call74531formal.ret.0) ?v_8356)))))))))) (let ((?v_8353 (=> true ?v_8345)) (?v_8342 (= lockStatus_3.24 lockStatus_3.23)) (?v_8347 (= lockStatus_1.24 lockStatus_1.23)) (?v_8343 (= lockStatus_2.24 lockStatus_2.23)) (?v_8352 (= lockStatus_0.24 lockStatus_0.23)) (?v_8344 (= lockStatus_4.24 lockStatus_4.23))) (let ((?v_8348 (=> ?v_8352 (=> ?v_8344 ?v_8353)))) (let ((?v_8350 (=> ?v_8343 ?v_8348))) (let ((?v_8354 (=> ?v_8347 ?v_8350)) (?v_8351 (= k.56 4)) (?v_8349 (= k.56 3)) (?v_8346 (= k.56 2)) (?v_8341 (= k.56 1)) (?v_7934 (= k.56 0))) (let ((?v_8357 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.48 inline.SerialStartRead.0.myNondetVar_1.5) (=> true (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_5034) (and (=> true (=> ?v_8355 (=> true (=> (<= k.55 k.56) (=> (< k.56 5) (=> true (=> (=> ?v_7934 (= lockStatus_0.23 0)) (=> (=> ?v_8341 (= lockStatus_1.23 0)) (=> (=> ?v_8346 (= lockStatus_2.23 0)) (=> (=> ?v_8349 (= lockStatus_3.23 0)) (=> (=> ?v_8351 (= lockStatus_4.23 0)) (and (=> true (=> ?v_7934 (=> true (=> ?v_8342 (=> ?v_8347 (=> ?v_8343 (=> (= lockStatus_0.24 1) (=> ?v_8344 ?v_8345)))))))) (=> true (=> (not ?v_7934) (and (=> true (=> ?v_8341 (=> true (=> ?v_8342 (=> (= lockStatus_1.24 1) ?v_8350))))) (=> true (=> (not ?v_8341) (and (=> true (=> ?v_8346 (=> true (=> ?v_8342 (=> ?v_8347 (=> (= lockStatus_2.24 1) ?v_8348)))))) (=> true (=> (not ?v_8346) (and (=> true (=> ?v_8349 (=> true (=> (= lockStatus_3.24 1) ?v_8354)))) (=> true (=> (not ?v_8349) (and (=> true (=> ?v_8351 (=> true (=> ?v_8342 (=> ?v_8347 (=> ?v_8343 (=> ?v_8352 (=> (= lockStatus_4.24 1) ?v_8353)))))))) (=> true (=> (not ?v_8351) (=> true (=> ?v_8342 ?v_8354)))))))))))))))))))))))))))) (=> true (=> (not ?v_8355) (=> true (=> (= lockStatus_1.25 lockStatus_1.23) (=> (= lockStatus_2.25 lockStatus_2.23) (=> (= lockStatus_0.25 lockStatus_0.23) (=> (= k.57 k.55) (=> (= lockStatus_3.25 lockStatus_3.23) (=> (= lockStatus_4.25 lockStatus_4.23) (=> (= inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..0 inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_8356))))))))))))))))))))))))))) (let ((?v_8360 (and (=> true (=> ?v_8187 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.47 inline.SerialStartRead.0.myNondetVar_0.46) ?v_8357)))) (=> true (=> ?v_8257 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.47 inline.SerialStartRead.0.myNondetVar_0.45) ?v_8357))))))) (let ((?v_8361 (=> true ?v_8360))) (let ((?v_8365 (=> ?v_8290 ?v_8361))) (let ((?v_8362 (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead) ?v_8365))) (?v_8358 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0 1))) (let ((?v_8366 (=> true (=> ?v_7935 (=> ?v_8358 (=> ?v_8128 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.30) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.30) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.29) ?v_8365)))))))) (?v_8359 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0 1))) (let ((?v_8363 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.39 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.41 BOOGIE_LARGE_INT_4294967295) (=> true (=> ?v_7935 (=> ?v_8358 (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0 1) (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.44) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.44) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 0) (=> ?v_8359 ?v_8361)))))))))) (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.42 BOOGIE_LARGE_INT_4294967295)) (=> true (=> ?v_7935 (=> ?v_8257 (=> ?v_8128 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.42) ?v_8362)))))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.40 BOOGIE_LARGE_INT_4294967295))) (=> true (=> ?v_7935 (=> ?v_8257 (=> ?v_8128 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.40) ?v_8362)))))))))) (let ((?v_8364 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.34 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.35 BOOGIE_LARGE_INT_4294967295)) (=> true (=> ?v_7935 (=> ?v_8358 (=> ?v_8128 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.43) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.43) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.36) (=> ?v_8359 ?v_8360)))))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.37 BOOGIE_LARGE_INT_4294967295))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.38 inline.SerialStartRead.0.myNondetVar_0.37) ?v_8363))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.33 BOOGIE_LARGE_INT_4294967295))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.38 inline.SerialStartRead.0.myNondetVar_0.33) (=> true ?v_8363)))))))) (let ((?v_8368 (and (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.19 BOOGIE_LARGE_INT_4294967295) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.22 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.32 inline.SerialStartRead.0.myNondetVar_0.22) ?v_8364)))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.20 0) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.31 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.32 inline.SerialStartRead.0.myNondetVar_0.31) (=> true ?v_8364))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.21 0) (=> true (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0 1) (=> ?v_8257 (=> ?v_8128 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.21) ?v_8362))))))))))))) (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.23 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.24 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.27 inline.SerialStartRead.0.myNondetVar_0.24) ?v_8366)))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.25 0) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.26 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.27 inline.SerialStartRead.0.myNondetVar_0.26) (=> true (=> true (=> true ?v_8366))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.28 0) (=> true (=> ?v_7935 (=> ?v_8257 (=> ?v_8128 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.28) ?v_8362)))))))))))))))) (let ((?v_8369 (=> true ?v_8368))) (let ((?v_8370 (=> ?v_8244 (=> (= inline.SerialStartRead.0.myNondetVar_1.4 inline.SerialStartRead.0.myNondetVar_1.1) ?v_8369))) (?v_8367 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0 1))) (let ((?v_8387 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.11 0)) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.13 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (<= inline.SerialStartRead.0.myNondetVar_0.16 inline.SerialStartRead.0.myNondetVar_1.3) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.16) (=> ?v_8367 (=> (= inline.SerialStartRead.0.myNondetVar_1.4 inline.SerialStartRead.0.myNondetVar_1.3) ?v_8368)))))) (=> true (=> (not (<= inline.SerialStartRead.0.myNondetVar_0.15 inline.SerialStartRead.0.myNondetVar_1.2)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.15) (=> ?v_8367 (=> (= inline.SerialStartRead.0.myNondetVar_1.4 inline.SerialStartRead.0.myNondetVar_1.2) ?v_8369))))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.12 BOOGIE_LARGE_INT_4294967295))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.12) ?v_8370))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.17 0) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.17) ?v_8370)))))) (?v_8386 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_8375 (=> true (=> (= lockStatus_1.23 lockStatus_1.22) (=> (= lockStatus_2.23 lockStatus_2.22) (=> (= lockStatus_0.23 lockStatus_0.22) (=> (= k.55 k.54) (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..0 call74210formal.ret.0) (=> (= lockStatus_3.23 lockStatus_3.22) (=> (= lockStatus_4.23 lockStatus_4.22) ?v_8387)))))))))) (let ((?v_8383 (=> true ?v_8375)) (?v_8372 (= lockStatus_3.22 lockStatus_3.21)) (?v_8377 (= lockStatus_1.22 lockStatus_1.21)) (?v_8373 (= lockStatus_2.22 lockStatus_2.21)) (?v_8382 (= lockStatus_0.22 lockStatus_0.21)) (?v_8374 (= lockStatus_4.22 lockStatus_4.21))) (let ((?v_8378 (=> ?v_8382 (=> ?v_8374 ?v_8383)))) (let ((?v_8380 (=> ?v_8373 ?v_8378))) (let ((?v_8385 (=> ?v_8377 ?v_8380)) (?v_8384 (= k.54 4)) (?v_8381 (= k.54 3)) (?v_8379 (= k.54 2)) (?v_8376 (= k.54 1)) (?v_8371 (= k.54 0))) (let ((?v_8403 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.8 inline.SerialStartRead.0.myNondetVar_1.1) (=> true (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_5034) (and (=> true (=> ?v_8386 (=> true (=> (<= k.53 k.54) (=> (< k.54 5) (and (=> true (=> ?v_8371 (=> true (=> ?v_8372 (=> ?v_8377 (=> ?v_8373 (=> (= lockStatus_0.22 0) (=> ?v_8374 ?v_8375)))))))) (=> true (=> (not ?v_8371) (and (=> true (=> ?v_8376 (=> true (=> ?v_8372 (=> (= lockStatus_1.22 0) ?v_8380))))) (=> true (=> (not ?v_8376) (and (=> true (=> ?v_8379 (=> true (=> ?v_8372 (=> ?v_8377 (=> (= lockStatus_2.22 0) ?v_8378)))))) (=> true (=> (not ?v_8379) (and (=> true (=> ?v_8381 (=> true (=> (= lockStatus_3.22 0) ?v_8385)))) (=> true (=> (not ?v_8381) (and (=> true (=> ?v_8384 (=> true (=> ?v_8372 (=> ?v_8377 (=> ?v_8373 (=> ?v_8382 (=> (= lockStatus_4.22 0) ?v_8383)))))))) (=> true (=> (not ?v_8384) (=> true (=> ?v_8372 ?v_8385)))))))))))))))))))))) (=> true (=> (not ?v_8386) (=> true (=> (= lockStatus_1.23 lockStatus_1.21) (=> (= lockStatus_2.23 lockStatus_2.21) (=> (= lockStatus_0.23 lockStatus_0.21) (=> (= k.55 k.53) (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_3.23 lockStatus_3.21) (=> (= lockStatus_4.23 lockStatus_4.21) (=> true (=> true (=> true (=> true ?v_8387)))))))))))))))))))) (?v_8402 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_8392 (=> true (=> (= lockStatus_1.21 lockStatus_1.20) (=> (= lockStatus_2.21 lockStatus_2.20) (=> (= lockStatus_0.21 lockStatus_0.20) (=> (= k.53 k.52) (=> (= lockStatus_3.21 lockStatus_3.20) (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..0 call74040formal.ret.0) (=> (= lockStatus_4.21 lockStatus_4.20) ?v_8403)))))))))) (let ((?v_8400 (=> true ?v_8392)) (?v_8389 (= lockStatus_3.20 lockStatus_3.14)) (?v_8394 (= lockStatus_1.20 lockStatus_1.14)) (?v_8390 (= lockStatus_2.20 lockStatus_2.14)) (?v_8399 (= lockStatus_0.20 lockStatus_0.14)) (?v_8391 (= lockStatus_4.20 lockStatus_4.14))) (let ((?v_8395 (=> ?v_8399 (=> ?v_8391 ?v_8400)))) (let ((?v_8397 (=> ?v_8390 ?v_8395))) (let ((?v_8401 (=> ?v_8394 ?v_8397)) (?v_8398 (= k.52 4)) (?v_8396 (= k.52 3)) (?v_8393 (= k.52 2)) (?v_8388 (= k.52 1)) (?v_7933 (= k.52 0)) (?v_7874 (= lockStatus_0.14 0)) (?v_7875 (= lockStatus_1.14 0)) (?v_7876 (= lockStatus_2.14 0)) (?v_7877 (= lockStatus_3.14 0)) (?v_7878 (= lockStatus_4.14 0))) (let ((?v_8407 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.1 inline.SerialStartRead.0.myNondetVar_1.0) (=> true (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_5034) (and (=> true (=> ?v_8402 (=> true (=> (<= k.45 k.52) (=> (< k.52 5) (=> true (=> (=> ?v_7933 ?v_7874) (=> (=> ?v_8388 ?v_7875) (=> (=> ?v_8393 ?v_7876) (=> (=> ?v_8396 ?v_7877) (=> (=> ?v_8398 ?v_7878) (and (=> true (=> ?v_7933 (=> true (=> ?v_8389 (=> ?v_8394 (=> ?v_8390 (=> (= lockStatus_0.20 1) (=> ?v_8391 ?v_8392)))))))) (=> true (=> (not ?v_7933) (and (=> true (=> ?v_8388 (=> true (=> ?v_8389 (=> (= lockStatus_1.20 1) ?v_8397))))) (=> true (=> (not ?v_8388) (and (=> true (=> ?v_8393 (=> true (=> ?v_8389 (=> ?v_8394 (=> (= lockStatus_2.20 1) ?v_8395)))))) (=> true (=> (not ?v_8393) (and (=> true (=> ?v_8396 (=> true (=> (= lockStatus_3.20 1) ?v_8401)))) (=> true (=> (not ?v_8396) (and (=> true (=> ?v_8398 (=> true (=> ?v_8389 (=> ?v_8394 (=> ?v_8390 (=> ?v_8399 (=> (= lockStatus_4.20 1) ?v_8400)))))))) (=> true (=> (not ?v_8398) (=> true (=> ?v_8389 ?v_8401)))))))))))))))))))))))))))) (=> true (=> (not ?v_8402) (=> true (=> (= lockStatus_1.21 lockStatus_1.14) (=> (= lockStatus_2.21 lockStatus_2.14) (=> (= lockStatus_0.21 lockStatus_0.14) (=> (= k.53 k.45) (=> (= lockStatus_3.21 lockStatus_3.14) (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..0 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1.) (=> (= lockStatus_4.21 lockStatus_4.14) (=> true (=> true (=> true (=> true ?v_8403)))))))))))))))))))) (?v_8406 (= call73915formal.ret.0 0))) (let ((?v_8405 (=> true (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.1 inline.SerialCancelTimer.3.myNondetVar_0.0) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.2 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) ?v_8407)))))))) (?v_8404 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.1 0))) (let ((?v_8411 (=> true (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0 ?v_8190) (and (=> true (=> (not ?v_8406) (and (=> true (=> (not ?v_8404) (=> true (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.) ?v_8405)))) (=> true (=> ?v_8404 (=> true (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0 call73992formal.ret.0) (=> true (=> true (=> true ?v_8405)))))))))) (=> true (=> ?v_8406 (=> true (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.1 inline.SerialCancelTimer.3.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.2 inline.sdv_InterlockedDecrement.13.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.) (=> true (=> true (=> true (=> true ?v_8407))))))))))))))))) (?v_8410 (= call73808formal.ret.0 0))) (let ((?v_8409 (=> true (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.2 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.1 inline.SerialCancelTimer.2.myNondetVar_0.0) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0) ?v_8411)))))))) (?v_8408 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.1 0))) (let ((?v_8413 (=> true (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0 ?v_8188) (and (=> true (=> (not ?v_8410) (and (=> true (=> (not ?v_8408) (=> true (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.) ?v_8409)))) (=> true (=> ?v_8408 (=> true (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0 call73885formal.ret.0) (=> true (=> true (=> true ?v_8409)))))))))) (=> true (=> ?v_8410 (=> true (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.2 inline.sdv_InterlockedDecrement.12.myNondetVar_0) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.1 inline.SerialCancelTimer.2.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.) (=> true (=> true (=> true (=> true (=> true ?v_8411)))))))))))))))))) (?v_8412 (= inline.SerialStartRead.0.myVar_0.11 hirp))) (let ((?v_8415 (and (=> true (=> ?v_8412 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8413)))) (=> true (=> (not ?v_8412) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_8413))))))))))))))))) (let ((?v_8417 (=> true (=> true (=> true (=> true ?v_8415))))) (?v_8420 (= k.45 4)) (?v_8419 (= k.45 3)) (?v_8418 (= k.45 2)) (?v_8416 (= k.45 1)) (?v_8414 (= k.45 0)) (?v_7932 (not (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 3))) (?v_7745 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11)) (?v_7746 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0 0)) (?v_7747 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialResizeBuffer.0.myVar_0.5)) (?v_7748 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_7751 (= inline.SerialResizeBuffer.0.myNondetVar_0.14 inline.SerialResizeBuffer.0.myNondetVar_0.13)) (?v_7752 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7753 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0 call71367formal.new.0)) (?v_7754 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0)) (?v_7755 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_7756 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1)) (?v_7758 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.3 inline.sdv_InterlockedDecrement.12.myNondetVar_0)) (?v_7761 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7765 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead)) (?v_7766 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7767 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer)) (?v_7768 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead)) (?v_7769 (= lockStatus_3.34 lockStatus_3.19)) (?v_7770 (= inline.SerialStartRead.0.myVar_0.45 inline.SerialStartRead.0.myVar_0.5)) (?v_7771 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead)) (?v_7772 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead)) (?v_7773 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0)) (?v_7777 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead)) (?v_7779 (= inline.SerialResizeBuffer.0.myVar_0.6 inline.SerialResizeBuffer.0.myVar_0.5)) (?v_7780 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_7781 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1)) (?v_7782 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.)) (?v_7783 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead)) (?v_7784 (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..1)) (?v_7785 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.3 inline.sdv_InterlockedDecrement.13.myNondetVar_0)) (?v_7786 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer)) (?v_7787 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0)) (?v_7788 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2)) (?v_7789 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_7790 (= inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.4..result.userContextSwitch.4339.4.1.)) (?v_7791 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0)) (?v_7792 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialResizeBuffer.0.myVar_0.5)) (?v_7793 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_7794 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_7795 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer)) (?v_7796 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2.)) (?v_7797 (= inline.SerialStartRead.0.myNondetVar_0.82 inline.SerialStartRead.0.myNondetVar_0)) (?v_7798 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_7800 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2)) (?v_7802 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (?v_7803 (= inline.SerialStartRead.0.myNondetVar_1.14 inline.SerialStartRead.0.myNondetVar_1)) (?v_7804 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1)) (?v_7805 (= lockStatus_2.34 lockStatus_2.19)) (?v_7806 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1)) (?v_7807 (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1.)) (?v_7809 (= inline.SerialCancelTimer.2.myNondetVar_0.2 inline.SerialCancelTimer.2.myNondetVar_0)) (?v_7810 (= alloc.49 alloc.26)) (?v_7813 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7814 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7816 (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..1)) (?v_7818 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0)) (?v_7819 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1)) (?v_7821 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0 0)) (?v_7822 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7824 (= k.164 k.51)) (?v_7825 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_7826 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7828 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0 call71370formal.new.0)) (?v_7829 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7830 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer)) (?v_7831 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (?v_7832 (= inline.SerialResizeBuffer.0.myNondetVar_1.5 inline.SerialResizeBuffer.0.myNondetVar_1.4)) (?v_7833 (= inline.KeSynchronizeExecution.6.myNondetVar_0.8 inline.KeSynchronizeExecution.6.myNondetVar_0.7)) (?v_7834 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_7835 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0)) (?v_7836 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7839 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_7840 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.)) (?v_7841 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead)) (?v_7842 (= lockStatus_4.34 lockStatus_4.19)) (?v_7844 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_7845 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer)) (?v_7847 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_7849 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1)) (?v_7850 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1)) (?v_7851 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7854 (= inline.SerialCancelTimer.3.myNondetVar_0.2 inline.SerialCancelTimer.3.myNondetVar_0)) (?v_7855 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7856 (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1.)) (?v_7857 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0 0)) (?v_7858 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1)) (?v_7860 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4)) (?v_7861 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.19 inline.SerialGetCharsFromIntBuffer.0.myVar_0)) (?v_7862 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_7863 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0)) (?v_7865 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2.)) (?v_7868 (= lockStatus_1.34 lockStatus_1.19)) (?v_7869 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer)) (?v_7870 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7871 (= lockStatus_0.34 lockStatus_0.19)) (?v_7872 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer))) (let ((?v_7880 (and (=> true (=> ?v_40 (=> true (=> ?v_7745 (=> ?v_7746 (=> ?v_7747 (=> ?v_7748 (=> ?v_7749 (=> ?v_7750 (=> ?v_7751 (=> ?v_7752 (=> ?v_7753 (=> ?v_7754 (=> ?v_7755 (=> ?v_7756 (=> ?v_7757 (=> ?v_7758 (=> ?v_7759 (=> ?v_7760 (=> ?v_7761 (=> ?v_7762 (=> ?v_7763 (=> ?v_7764 (=> ?v_7765 (=> ?v_7766 (=> ?v_7767 (=> ?v_7768 (=> ?v_7769 (=> ?v_7770 (=> ?v_7771 (=> ?v_7772 (=> ?v_7773 (=> ?v_7774 (=> ?v_7775 (=> ?v_7776 (=> ?v_7777 (=> ?v_7778 (=> ?v_7779 (=> ?v_7780 (=> ?v_7781 (=> ?v_7782 (=> ?v_7783 (=> ?v_7784 (=> ?v_7785 (=> ?v_7786 (=> ?v_7787 (=> ?v_7788 (=> ?v_7789 (=> ?v_7790 (=> ?v_7791 (=> ?v_7792 (=> ?v_7793 (=> ?v_7794 (=> ?v_7795 (=> ?v_7796 (=> ?v_7797 (=> ?v_7798 (=> ?v_7799 (=> ?v_7800 (=> ?v_7801 (=> ?v_7802 (=> ?v_7803 (=> ?v_7804 (=> ?v_7805 (=> ?v_7806 (=> ?v_7807 (=> ?v_7808 (=> ?v_7809 (=> ?v_7810 (=> ?v_7811 (=> ?v_7812 (=> ?v_7813 (=> ?v_7814 (=> ?v_7815 (=> ?v_7816 (=> ?v_7817 (=> ?v_7818 (=> ?v_7819 (=> ?v_7820 (=> ?v_7821 (=> ?v_7822 (=> ?v_7823 (=> ?v_7824 (=> ?v_7825 (=> ?v_7826 (=> ?v_7827 (=> ?v_7828 (=> ?v_7829 (=> ?v_7830 (=> ?v_7831 (=> ?v_7832 (=> ?v_7833 (=> ?v_7834 (=> ?v_7835 (=> ?v_7836 (=> ?v_7837 (=> ?v_7838 (=> ?v_7839 (=> ?v_7840 (=> ?v_7841 (=> ?v_7936 (=> ?v_7842 (=> ?v_7843 (=> ?v_7844 (=> ?v_7845 (=> ?v_7846 (=> ?v_7847 (=> ?v_7848 (=> ?v_7849 (=> ?v_7850 (=> ?v_7851 (=> ?v_7937 (=> ?v_7852 (=> ?v_7853 (=> ?v_7854 (=> ?v_7855 (=> ?v_7856 (=> ?v_7857 (=> ?v_7858 (=> ?v_7859 (=> ?v_7860 (=> ?v_7861 (=> ?v_7862 (=> ?v_7863 (=> ?v_7864 (=> ?v_7865 (=> ?v_7866 (=> ?v_7867 (=> ?v_7868 (=> ?v_7869 (=> ?v_7870 (=> ?v_7871 (=> ?v_7872 ?v_7873))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_7745 (=> ?v_7746 (=> ?v_7747 (=> ?v_7748 (=> ?v_7749 (=> ?v_7750 (=> ?v_7751 (=> ?v_7752 (=> ?v_7753 (=> ?v_7754 (=> ?v_7755 (=> ?v_7756 (=> ?v_7757 (=> ?v_7758 (=> ?v_7759 (=> ?v_7760 (=> ?v_7761 (=> ?v_7762 (=> ?v_7763 (=> ?v_7764 (=> ?v_7765 (=> ?v_7766 (=> ?v_7767 (=> ?v_7768 (=> ?v_7769 (=> ?v_7770 (=> ?v_7771 (=> ?v_7772 (=> ?v_7773 (=> ?v_7774 (=> ?v_7775 (=> ?v_7776 (=> ?v_7777 (=> ?v_7778 (=> ?v_7779 (=> ?v_7780 (=> ?v_7781 (=> ?v_7782 (=> ?v_7783 (=> ?v_7784 (=> ?v_7785 (=> ?v_7786 (=> ?v_7787 (=> ?v_7788 (=> ?v_7789 (=> ?v_7790 (=> ?v_7791 (=> ?v_7792 (=> ?v_7793 (=> ?v_7794 (=> ?v_7795 (=> ?v_7796 (=> ?v_7797 (=> ?v_7798 (=> ?v_7799 (=> ?v_7800 (=> ?v_7801 (=> ?v_7802 (=> ?v_7803 (=> ?v_7804 (=> ?v_7805 (=> ?v_7806 (=> ?v_7807 (=> ?v_7808 (=> ?v_7809 (=> ?v_7810 (=> ?v_7811 (=> ?v_7812 (=> ?v_7813 (=> ?v_7814 (=> ?v_7815 (=> ?v_7816 (=> ?v_7817 (=> ?v_7818 (=> ?v_7819 (=> ?v_7820 (=> ?v_7821 (=> ?v_7822 (=> ?v_7823 (=> ?v_7824 (=> ?v_7825 (=> ?v_7826 (=> ?v_7827 (=> ?v_7828 (=> ?v_7829 (=> ?v_7830 (=> ?v_7831 (=> ?v_7832 (=> ?v_7833 (=> ?v_7834 (=> ?v_7835 (=> ?v_7836 (=> ?v_7837 (=> ?v_7838 (=> ?v_7839 (=> ?v_7840 (=> ?v_7841 (=> ?v_8019 (=> ?v_7842 (=> ?v_7843 (=> ?v_7844 (=> ?v_7845 (=> ?v_7846 (=> ?v_7847 (=> ?v_7848 (=> ?v_7849 (=> ?v_7850 (=> ?v_7851 (=> ?v_8027 (=> ?v_7852 (=> ?v_7853 (=> ?v_7854 (=> ?v_7855 (=> ?v_7856 (=> ?v_7857 (=> ?v_7858 (=> ?v_7859 (=> ?v_7860 (=> ?v_7861 (=> ?v_7862 (=> ?v_7863 (=> ?v_7864 (=> ?v_7865 (=> ?v_7866 (=> ?v_7867 (=> ?v_7868 (=> ?v_7869 (=> ?v_7870 (=> ?v_7871 (=> ?v_7872 ?v_7938)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_7897 (=> true (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= lockStatus_1.19 lockStatus_1.18) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.7 inline.KeSynchronizeExecution.6.myNondetVar_0.6) (=> (= lockStatus_2.19 lockStatus_2.18) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0) (=> (= lockStatus_0.19 lockStatus_0.18) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= k.51 k.50) (=> (= lockStatus_3.19 lockStatus_3.18) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.13 inline.SerialResizeBuffer.0.myNondetVar_0.12) (=> (= lockStatus_4.19 lockStatus_4.18) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialUpdateAndSwitchToNew) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialUpdateAndSwitchToNew) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..0) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..0) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.4 inline.SerialResizeBuffer.0.myNondetVar_1.3) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> true (=> true (=> true (=> true (=> true (=> true ?v_7880))))))))))))))))))))))))))))))) (?v_7896 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_7885 (=> true (=> (= lockStatus_2.18 lockStatus_2.17) (=> (= lockStatus_1.18 lockStatus_1.17) (=> (= lockStatus_3.18 lockStatus_3.17) (=> (= lockStatus_0.18 lockStatus_0.17) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..0 call71971formal.ret.0) (=> (= lockStatus_4.18 lockStatus_4.17) (=> (= k.50 k.49) ?v_7897)))))))))) (let ((?v_7893 (=> true ?v_7885)) (?v_7882 (= lockStatus_3.17 lockStatus_3.16)) (?v_7887 (= lockStatus_1.17 lockStatus_1.16)) (?v_7883 (= lockStatus_2.17 lockStatus_2.16)) (?v_7892 (= lockStatus_0.17 lockStatus_0.16)) (?v_7884 (= lockStatus_4.17 lockStatus_4.16))) (let ((?v_7888 (=> ?v_7892 (=> ?v_7884 ?v_7893)))) (let ((?v_7890 (=> ?v_7883 ?v_7888))) (let ((?v_7895 (=> ?v_7887 ?v_7890)) (?v_7894 (= k.49 4)) (?v_7891 (= k.49 3)) (?v_7889 (= k.49 2)) (?v_7886 (= k.49 1)) (?v_7881 (= k.49 0))) (let ((?v_7899 (=> true (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.9 inline.SerialResizeBuffer.0.myNondetVar_1.3) (=> true (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_5034) (and (=> true (=> ?v_7896 (=> true (=> (<= k.48 k.49) (=> (< k.49 5) (and (=> true (=> ?v_7881 (=> true (=> ?v_7882 (=> ?v_7887 (=> ?v_7883 (=> (= lockStatus_0.17 0) (=> ?v_7884 ?v_7885)))))))) (=> true (=> (not ?v_7881) (and (=> true (=> ?v_7886 (=> true (=> ?v_7882 (=> (= lockStatus_1.17 0) ?v_7890))))) (=> true (=> (not ?v_7886) (and (=> true (=> ?v_7889 (=> true (=> ?v_7882 (=> ?v_7887 (=> (= lockStatus_2.17 0) ?v_7888)))))) (=> true (=> (not ?v_7889) (and (=> true (=> ?v_7891 (=> true (=> (= lockStatus_3.17 0) ?v_7895)))) (=> true (=> (not ?v_7891) (and (=> true (=> ?v_7894 (=> true (=> ?v_7882 (=> ?v_7887 (=> ?v_7883 (=> ?v_7892 (=> (= lockStatus_4.17 0) ?v_7893)))))))) (=> true (=> (not ?v_7894) (=> true (=> ?v_7882 ?v_7895)))))))))))))))))))))) (=> true (=> (not ?v_7896) (=> true (=> (= lockStatus_2.18 lockStatus_2.16) (=> (= lockStatus_1.18 lockStatus_1.16) (=> (= lockStatus_3.18 lockStatus_3.16) (=> (= lockStatus_0.18 lockStatus_0.16) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_4.18 lockStatus_4.16) (=> (= k.50 k.48) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_7897)))))))))))))))))))))))))) (let ((?v_7902 (and (=> true (=> (not ?v_7898) (=> true (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.6..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.6..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.6 inline.KeSynchronizeExecution.6.myNondetVar_0.5) ?v_7899)))))) (=> true (=> ?v_7898 (=> true (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.6 inline.KeSynchronizeExecution.6.myNondetVar_0) (=> true (=> true (=> true ?v_7899)))))))))))) (let ((?v_7904 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_7902))))))))))) (?v_7905 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 0)) (?v_7901 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0)) (?v_7903 (<= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0)) (?v_7900 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 1 1))) (let ((?v_7921 (and (=> true (=> (not ?v_7905) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0 (PLUS (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.1 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.0 1) 1 1)) (and (=> true (=> ?v_7903 (and (=> true (=> (= (PLUS inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.8 1 ?v_7900) inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.2) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.9) (=> ?v_7901 (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.2) ?v_7902)))))) (=> true (=> (not (= (PLUS inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.6 1 ?v_7900) inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.1)) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.7) (=> ?v_7901 (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.1) ?v_7904))))))))) (=> true (=> (not ?v_7903) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.5) (=> ?v_7901 (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.0) ?v_7904))))))))))) (=> true (=> ?v_7905 (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1) ?v_7904)))))))) (?v_7920 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_7910 (=> true (=> (= lockStatus_2.16 lockStatus_2.15) (=> (= lockStatus_1.16 lockStatus_1.15) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..0 call71606formal.ret.0) (=> (= lockStatus_0.16 lockStatus_0.15) (=> (= lockStatus_3.16 lockStatus_3.15) (=> (= lockStatus_4.16 lockStatus_4.15) (=> (= k.48 k.47) ?v_7921)))))))))) (let ((?v_7918 (=> true ?v_7910)) (?v_7907 (= lockStatus_3.15 lockStatus_3.14)) (?v_7912 (= lockStatus_1.15 lockStatus_1.14)) (?v_7908 (= lockStatus_2.15 lockStatus_2.14)) (?v_7917 (= lockStatus_0.15 lockStatus_0.14)) (?v_7909 (= lockStatus_4.15 lockStatus_4.14))) (let ((?v_7913 (=> ?v_7917 (=> ?v_7909 ?v_7918)))) (let ((?v_7915 (=> ?v_7908 ?v_7913))) (let ((?v_7919 (=> ?v_7912 ?v_7915)) (?v_7916 (= k.47 4)) (?v_7914 (= k.47 3)) (?v_7911 (= k.47 2)) (?v_7906 (= k.47 1)) (?v_7879 (= k.47 0))) (let ((?v_7923 (and (=> true (=> (<= inline.SerialResizeBuffer.0.myNondetVar_0.3 inline.SerialResizeBuffer.0.myNondetVar_1.1) (=> true (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= lockStatus_1.19 lockStatus_1.14) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.7 inline.KeSynchronizeExecution.6.myNondetVar_0) (=> (= lockStatus_2.19 lockStatus_2.14) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.) (=> (= lockStatus_0.19 lockStatus_0.14) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= k.51 k.46) (=> (= lockStatus_3.19 lockStatus_3.14) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.13 inline.SerialResizeBuffer.0.myNondetVar_0.3) (=> (= lockStatus_4.19 lockStatus_4.14) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.4 inline.SerialResizeBuffer.0.myNondetVar_1.1) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1) ?v_7880)))))))))))))))))))))))))) (=> true (=> (not (<= inline.SerialResizeBuffer.0.myNondetVar_0.2 inline.SerialResizeBuffer.0.myNondetVar_1.0)) (=> true (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.6 inline.SerialResizeBuffer.0.myNondetVar_1.2) (=> true (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_5034) (and (=> true (=> ?v_7920 (=> true (=> (<= k.46 k.47) (=> (< k.47 5) (=> true (=> (=> ?v_7879 ?v_7874) (=> (=> ?v_7906 ?v_7875) (=> (=> ?v_7911 ?v_7876) (=> (=> ?v_7914 ?v_7877) (=> (=> ?v_7916 ?v_7878) (and (=> true (=> ?v_7879 (=> true (=> ?v_7907 (=> ?v_7912 (=> ?v_7908 (=> (= lockStatus_0.15 1) (=> ?v_7909 ?v_7910)))))))) (=> true (=> (not ?v_7879) (and (=> true (=> ?v_7906 (=> true (=> ?v_7907 (=> (= lockStatus_1.15 1) ?v_7915))))) (=> true (=> (not ?v_7906) (and (=> true (=> ?v_7911 (=> true (=> ?v_7907 (=> ?v_7912 (=> (= lockStatus_2.15 1) ?v_7913)))))) (=> true (=> (not ?v_7911) (and (=> true (=> ?v_7914 (=> true (=> (= lockStatus_3.15 1) ?v_7919)))) (=> true (=> (not ?v_7914) (and (=> true (=> ?v_7916 (=> true (=> ?v_7907 (=> ?v_7912 (=> ?v_7908 (=> ?v_7917 (=> (= lockStatus_4.15 1) ?v_7918)))))))) (=> true (=> (not ?v_7916) (=> true (=> ?v_7907 ?v_7919)))))))))))))))))))))))))))) (=> true (=> (not ?v_7920) (=> true (=> (= lockStatus_2.16 lockStatus_2.14) (=> (= lockStatus_1.16 lockStatus_1.14) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..0 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.) (=> (= lockStatus_0.16 lockStatus_0.14) (=> (= lockStatus_3.16 lockStatus_3.14) (=> (= lockStatus_4.16 lockStatus_4.14) (=> (= k.48 k.46) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_7921)))))))))))))))))))))))))))) (?v_7922 (= inline.SerialResizeBuffer.0.myVar_0.5 hirp))) (let ((?v_7926 (and (=> true (=> ?v_7922 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_7923)))) (=> true (=> (not ?v_7922) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_7923))))))))))))))))) (let ((?v_7928 (=> true (=> true (=> true (=> true ?v_7926))))) (?v_7931 (= k.46 4)) (?v_7930 (= k.46 3)) (?v_7929 (= k.46 2)) (?v_7927 (= k.46 1)) (?v_7924 (= k.46 0)) (?v_7562 (int_2_U call71367formal.new.0)) (?v_5012 (>= 20 0)) (?v_7563 (int_2_U call71370formal.new.0))) (let ((?v_8422 (and (=> true (=> ?v_7932 (=> true (and ?v_11 (=> ?v_11 (=> (> call71367formal.new.0 0) (=> (forall ((?x1619 Int)) (! (=> (and (<= call71367formal.new.0 ?x1619) (< ?x1619 (+ call71367formal.new.0 1))) (= (Base ?x1619) call71367formal.new.0)) :pattern ((Base ?x1619)) )) (=> (forall ((?x1620 boogieU)) (! (=> (= (type ?x1620) intType) (or (= (U_2_int ?x1620) call71367formal.new.0) (= (MapType0Select alloc.24 ?x1620) (MapType0Select alloc.25 ?x1620)))) :pattern ((MapType0Select alloc.25 ?x1620)) )) (=> (and (= (MapType0Select alloc.24 ?v_7562) UNALLOCATED) (= (MapType0Select alloc.25 ?v_7562) ALLOCATED)) (and ?v_5012 (=> ?v_5012 (=> (> call71370formal.new.0 0) (=> (forall ((?x1621 Int)) (! (=> (and (<= call71370formal.new.0 ?x1621) (< ?x1621 (+ call71370formal.new.0 20))) (= (Base ?x1621) call71370formal.new.0)) :pattern ((Base ?x1621)) )) (=> (forall ((?x1622 boogieU)) (! (=> (= (type ?x1622) intType) (or (= (U_2_int ?x1622) call71370formal.new.0) (= (MapType0Select alloc.25 ?x1622) (MapType0Select alloc.26 ?x1622)))) :pattern ((MapType0Select alloc.26 ?x1622)) )) (=> (and (= (MapType0Select alloc.25 ?v_7563) UNALLOCATED) (= (MapType0Select alloc.26 ?v_7563) ALLOCATED)) (=> true (=> (<= k.44 k.46) (=> (< k.46 5) (and (=> true (=> ?v_7924 (=> (= inline.SerialResizeBuffer.0.myVar_0.0 ?v_7564) (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.5 inline.SerialResizeBuffer.0.myVar_0.0) ?v_7926))))) (=> true (=> (not ?v_7924) (and (=> true (=> ?v_7927 (=> (= inline.SerialResizeBuffer.0.myVar_0.1 ?v_8055) (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.5 inline.SerialResizeBuffer.0.myVar_0.1) ?v_7928))))) (=> true (=> (not ?v_7927) (and (=> true (=> ?v_7929 (=> (= inline.SerialResizeBuffer.0.myVar_0.3 ?v_8057) (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.5 inline.SerialResizeBuffer.0.myVar_0.3) ?v_7928))))) (=> true (=> (not ?v_7929) (and (=> true (=> ?v_7930 (=> (= inline.SerialResizeBuffer.0.myVar_0.2 ?v_8059) (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.5 inline.SerialResizeBuffer.0.myVar_0.2) ?v_7928))))) (=> true (=> (not ?v_7930) (and (=> true (=> ?v_7931 (=> (= inline.SerialResizeBuffer.0.myVar_0.4 ?v_8061) (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.5 inline.SerialResizeBuffer.0.myVar_0.4) ?v_7928))))) (=> true (=> (not ?v_7931) (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.5 inline.SerialResizeBuffer.0.myVar_0) ?v_7928))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_7932) (=> true (=> (<= k.44 k.45) (=> (< k.45 5) (and (=> true (=> ?v_8414 (=> (= inline.SerialStartRead.0.myVar_0.6 ?v_7564) (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.6) ?v_8415))))) (=> true (=> (not ?v_8414) (and (=> true (=> ?v_8416 (=> (= inline.SerialStartRead.0.myVar_0.7 ?v_8055) (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.7) ?v_8417))))) (=> true (=> (not ?v_8416) (and (=> true (=> ?v_8418 (=> (= inline.SerialStartRead.0.myVar_0.8 ?v_8057) (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.8) ?v_8417))))) (=> true (=> (not ?v_8418) (and (=> true (=> ?v_8419 (=> (= inline.SerialStartRead.0.myVar_0.9 ?v_8059) (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.9) ?v_8417))))) (=> true (=> (not ?v_8419) (and (=> true (=> ?v_8420 (=> (= inline.SerialStartRead.0.myVar_0.10 ?v_8061) (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.10) ?v_8417))))) (=> true (=> (not ?v_8420) (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.5) ?v_8417)))))))))))))))))))))))) (?v_8421 (= inline.SerialStartRead.0.myVar_0.5 hirp))) (let ((?v_8424 (and (=> true (=> ?v_8421 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8422)))) (=> true (=> (not ?v_8421) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_8422))))))))))) (let ((?v_8426 (=> true (=> true (=> true (=> true ?v_8424))))) (?v_8429 (= k.44 4)) (?v_8428 (= k.44 3)) (?v_8427 (= k.44 2)) (?v_8425 (= k.44 1)) (?v_8423 (= k.44 0)) (?v_7560 (int_2_U call71066formal.new.0)) (?v_7553 (int_2_U call71019formal.new.0)) (?v_7555 (int_2_U call71025formal.new.0)) (?v_7556 (int_2_U call71028formal.new.0)) (?v_7557 (int_2_U call71031formal.new.0)) (?v_7558 (>= 12 0)) (?v_7559 (int_2_U call71034formal.new.0)) (?v_7552 (= SerialStartRead SerialStartWrite)) (?v_5063 (int_2_U call69802formal.new.0))) (let ((?v_5669 (=> true (and ?v_11 (=> ?v_11 (=> (> call69802formal.new.0 0) (=> (forall ((?x1637 Int)) (! (=> (and (<= call69802formal.new.0 ?x1637) (< ?x1637 (+ call69802formal.new.0 1))) (= (Base ?x1637) call69802formal.new.0)) :pattern ((Base ?x1637)) )) (=> (forall ((?x1638 boogieU)) (! (=> (= (type ?x1638) intType) (or (= (U_2_int ?x1638) call69802formal.new.0) (= (MapType0Select alloc.72 ?x1638) (MapType0Select alloc.73 ?x1638)))) :pattern ((MapType0Select alloc.73 ?x1638)) )) (=> (and (= (MapType0Select alloc.72 ?v_5063) UNALLOCATED) (= (MapType0Select alloc.73 ?v_5063) ALLOCATED)) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.10 inline.SerialGetNextIrpLocked.1.myVar_0.9) (=> ?v_4240 (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2) (=> (= cancelLockStatus_2.51 cancelLockStatus_2.50) (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.6 inline.sdv_InterlockedDecrement.9.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_4252 (=> ?v_4253 (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1) (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..0) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2) (=> ?v_4259 (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.8 inline.SerialGetNextIrpLocked.2.myVar_0.7) (=> ?v_4261 (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2) (=> ?v_4264 (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.4 inline.SerialGetNextIrp.0.myNondetVar_0.3) (=> (= Mem_4_T.CancelRoutine__IRP.68 Mem_4_T.CancelRoutine__IRP.67) (=> (= inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..0) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..1) (=> ?v_4269 (=> (= inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2) (=> ?v_4273 (=> ?v_5064 (=> ?v_5065 (=> ?v_4274 (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= irpCompleted_0.29 irpCompleted_0.28) (=> (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP.44) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..0 call65233formal.ret.0) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1) (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.4 inline.sdv_InterlockedDecrement.7.myNondetVar_0.3) (=> ?v_5066 (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2) (=> ?v_4286 (=> (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..3) (=> (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0 call55164formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0) (=> ?v_4292 (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..4) (=> ?v_4294 (=> ?v_4295 (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> ?v_4297 (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0) (=> ?v_4302 (=> (= Mem_3_T.CancelRoutine__IRP.68 Mem_3_T.CancelRoutine__IRP.67) (=> ?v_4303 (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..4) (=> ?v_5067 (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2) (=> ?v_4306 (=> (= inline.RemoveHeadList.0.myNondetVar_0.6 inline.RemoveHeadList.0.myNondetVar_0.5) (=> ?v_4308 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.8 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.7) (=> (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3..0) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2) (=> ?v_4312 (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0) (=> ?v_4314 (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> ?v_4316 (=> ?v_4317 (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= errorReached.49 errorReached.48) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..2) (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2) (=> ?v_4321 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2) (=> ?v_4326 (=> ?v_4327 (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4) (=> ?v_4336 (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.2 inline.SerialGetNextIrp.2.myNondetVar_0.1) (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1) (=> ?v_4344 (=> (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2) (=> ?v_4348 (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.23 inline.SerialGetNextWrite.0.myNondetVar_0.22) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3) (=> ?v_4354 (=> ?v_4355 (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1) (=> ?v_4357 (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3) (=> (= inline.SerialStartWrite.0.tempBoogie0.6 inline.SerialStartWrite.0.tempBoogie0.5) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.6 inline.SerialGetNextWrite.1.myNondetVar_1.5) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1) (=> (= inline.RemoveHeadList.1.myNondetVar_0.6 inline.RemoveHeadList.1.myNondetVar_0.5) (=> ?v_5068 (=> (= inline.SerialCancelTimer.1.myNondetVar_0.4 inline.SerialCancelTimer.1.myNondetVar_0.3) (=> ?v_4365 (=> ?v_4366 (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2) (=> ?v_4372 (=> ?v_4373 (=> (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0 call55170formal.new.0) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4) (=> (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> ?v_4378 (=> (= cancelLockStatus_3.51 cancelLockStatus_3.50) (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1) (=> ?v_5069 (=> ?v_4380 (=> ?v_4381 (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1) (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0) (=> ?v_4384 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> ?v_4386 (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.1.myNondetVar_0.8 inline.SerialSetTimer.1.myNondetVar_0.7) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..2) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_4392 (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2) (=> ?v_4397 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.10 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.9) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> ?v_4400 (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3) (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.4 inline.SerialCancelTimer.0.myNondetVar_0.3) (=> (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> ?v_4407 (=> (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..3) (=> ?v_4409 (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..3) (=> ?v_4413 (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialStartWrite.0.myNondetVar_2.6 inline.SerialStartWrite.0.myNondetVar_2.5) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..3) (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..6 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..5) (=> ?v_4418 (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1) (=> ?v_4421 (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.8 inline.KeSynchronizeExecution.5.myNondetVar_0.7) (=> ?v_4423 (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0) (=> (= inline.SerialStartWrite.0..result.question.7..2 inline.SerialStartWrite.0..result.question.7..1) (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_5070 (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1) (=> ?v_4431 (=> ?v_4432 (=> (= inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.5 inline.sdv_InterlockedIncrement.2.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_4437 (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> ?v_4439 (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2) (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.5 inline.sdv_InterlockedDecrement.2.myNondetVar_0.4) (=> ?v_4442 (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.7 inline.sdv_InterlockedIncrement.1.myNondetVar_0.6) (=> ?v_4445 (=> (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> ?v_4447 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.50) (=> ?v_4448 (=> ?v_4449 (=> (= lockStatus_0.40 lockStatus_0.39) (=> ?v_4451 (=> (= inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0) (=> ?v_4454 (=> ?v_5071 (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> ?v_5072 (=> (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.4 inline.sdv_InterlockedIncrement.3.myNondetVar_0.3) (=> ?v_5073 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= irpCompleted_1.29 irpCompleted_1.28) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_4464 (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> ?v_4468 (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2) (=> (= Mem_2_T.CancelRoutine__IRP.68 Mem_2_T.CancelRoutine__IRP.67) (=> ?v_4470 (=> (= inline.SerialGetNextWrite.1.myVar_0.27 inline.SerialGetNextWrite.1.myVar_0.26) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> ?v_4473 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.67) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8) (=> ?v_4475 (=> ?v_4476 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.25) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2) (=> ?v_4480 (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.21 inline.SerialGetNextWrite.1.myNondetVar_0.20) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..3) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.13 inline.SerialTryToCompleteCurrent.0.myVar_0.12) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= inline.IsListEmpty.2.myNondetVar_0.4 inline.IsListEmpty.2.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.1 inline.SerialGetNextWrite.1.havoc_stringTemp.0) (=> ?v_4501 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2) (=> ?v_4506 (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.4 inline.sdv_InterlockedDecrement.8.myNondetVar_0.3) (=> ?v_4508 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_4510 (=> ?v_4511 (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> ?v_4515 (=> ?v_7572 (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..1) (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1) (=> ?v_4523 (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_4527 (=> ?v_4528 (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3) (=> ?v_4530 (=> (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..3) (=> ?v_5074 (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= Mem_2_T.P_IRP.45 Mem_2_T.P_IRP.44) (=> ?v_4534 (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> ?v_4538 (=> ?v_4539 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> ?v_4546 (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> ?v_4548 (=> ?v_4549 (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.IsListEmpty.1.myNondetVar_0.4 inline.IsListEmpty.1.myNondetVar_0.3) (=> ?v_4552 (=> (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.9 inline.KeSynchronizeExecution.3.myNondetVar_0.8) (=> ?v_4556 (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1) (=> ?v_4558 (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> ?v_4562 (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> ?v_4564 (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..1) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> ?v_4569 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0) (=> ?v_5075 (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..5 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..4) (=> ?v_5076 (=> ?v_5077 (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2) (=> ?v_5078 (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1) (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.67) (=> ?v_4575 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.13 inline.SerialRundownIrpRefs.0.myNondetVar_0.12) (=> ?v_4577 (=> (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..1) (=> ?v_5079 (=> ?v_4579 (=> ?v_4580 (=> (= inline.SerialGetNextWrite.0.myVar_0.29 inline.SerialGetNextWrite.0.myVar_0.28) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_4584 (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> (= Mem_4_T.P_IRP.45 Mem_4_T.P_IRP.44) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2) (=> (= lockStatus_2.40 lockStatus_2.39) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1) (=> ?v_4593 (=> (= inline.SerialStartWrite.0.myVar_0.53 inline.SerialStartWrite.0.myVar_0.52) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9) (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> ?v_4601 (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2) (=> ?v_4607 (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2) (=> ?v_5080 (=> ?v_4615 (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2) (=> (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP.44) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> ?v_4623 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> ?v_4625 (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.6 inline.sdv_InterlockedDecrement.4.myNondetVar_0.5) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5) (=> ?v_4629 (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_4632 (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_4635 (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0) (=> ?v_5081 (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.7 inline.SerialGetNextWrite.0.myNondetVar_2.6) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.7 inline.SerialRundownIrpRefs.0.myNondetVar_2.6) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0) (=> (= inline.RemoveHeadList.2.myNondetVar_0.4 inline.RemoveHeadList.2.myNondetVar_0.3) (=> (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0 call55167formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_4645 (=> ?v_4646 (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2) (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> ?v_4648 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> ?v_4650 (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3) (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1) (=> ?v_4656 (=> ?v_4657 (=> ?v_5082 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..0) (=> (= cancelLockStatus_0.51 cancelLockStatus_0.50) (=> ?v_4662 (=> (= inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..0 call55210formal.ret.0) (=> (= inline.SerialSetTimer.2.myNondetVar_0.7 inline.SerialSetTimer.2.myNondetVar_0.6) (=> ?v_4665 (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0) (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2) (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2) (=> ?v_4672 (=> ?v_4673 (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> ?v_4675 (=> (= lockStatus_4.40 lockStatus_4.39) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.28 inline.SerialRundownIrpRefs.0.myVar_0.27) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2) (=> ?v_4679 (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_4683 (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1) (=> ?v_4687 (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.3 inline.SerialGetNextWrite.0.havoc_stringTemp.2) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.4 inline.SerialGetNextIrp.1.myNondetVar_0.3) (=> ?v_4691 (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.25) (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> ?v_4699 (=> ?v_4700 (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1) (=> ?v_4705 (=> ?v_4706 (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2) (=> ?v_4708 (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialSetTimer.0.myNondetVar_0.10 inline.SerialSetTimer.0.myNondetVar_0.9) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.11 inline.KeSynchronizeExecution.1.myNondetVar_0.10) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4) (=> ?v_4723 (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0) (=> ?v_4727 (=> (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0 call55173formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.11 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> ?v_4734 (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2) (=> ?v_4736 (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4) (=> ?v_4739 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.9 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.8) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_4743 (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..3) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> ?v_4752 (=> ?v_4753 (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.8 inline.SerialGetNextWrite.0.myNondetVar_1.7) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1) (=> ?v_4756 (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.7 inline.SerialRundownIrpRefs.0.myNondetVar_1.6) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2) (=> ?v_4761 (=> ?v_5083 (=> (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..2) (=> ?v_5084 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_4764 (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0) (=> (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..1) (=> (= alloc.74 alloc.73) (=> (= irpCompleted_3.29 irpCompleted_3.28) (=> ?v_4767 (=> ?v_4768 (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3) (=> ?v_4770 (=> ?v_4771 (=> ?v_4772 (=> ?v_4773 (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialStartWrite.0.havoc_stringTemp.0 call69802formal.new.0) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4) (=> ?v_4779 (=> (= inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1..0) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> ?v_4783 (=> ?v_4784 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.9 inline.SerialGetNextWrite.0.tempBoogie0.8) (=> (= cancelLockStatus_4.51 cancelLockStatus_4.50) (=> (= inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.10 inline.KeSynchronizeExecution.4.myNondetVar_0.9) (=> ?v_4790 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_4792 (=> (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> ?v_4794 (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2) (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5) (=> ?v_4800 (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3) (=> (= lockStatus_1.40 lockStatus_1.39) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> ?v_4808 (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..2) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_4814 (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> ?v_4816 (=> ?v_4817 (=> (= Mem_3_T.P_IRP.45 Mem_3_T.P_IRP.44) (=> ?v_4819 (=> (= inline.SerialStartWrite.0.myNondetVar_0.36 inline.SerialStartWrite.0.myNondetVar_0.35) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.7) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.5 inline.SerialGetNextWrite.1.myNondetVar_2.4) (=> ?v_4824 (=> ?v_4825 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.10 inline.SerialGetNextIrpLocked.0.myVar_0.9) (=> ?v_4827 (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.5 inline.sdv_InterlockedDecrement.10.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0) (=> ?v_4832 (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1) (=> ?v_4834 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..5 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..4) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.8 inline.sdv_InterlockedDecrement.5.myNondetVar_0.7) (=> ?v_4841 (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.9 inline.KeSynchronizeExecution.0.myNondetVar_0.8) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2) (=> ?v_4844 (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> ?v_4846 (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5) (=> ?v_4848 (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2) (=> ?v_4850 (=> ?v_4851 (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.7 inline.SerialRundownIrpRefs.0.tempBoogie0.6) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3) (=> ?v_4854 (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3) (=> ?v_4856 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> ?v_4860 (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..5 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> ?v_4864 (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> ?v_4866 (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0) (=> ?v_4868 (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1) (=> (= irpCompleted_4.29 irpCompleted_4.28) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_4874 (=> (= inline.SerialStartWrite.0.myNondetVar_1.10 inline.SerialStartWrite.0.myNondetVar_1.9) (=> ?v_4876 (=> ?v_4877 (=> ?v_4878 (=> ?v_4879 (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.9 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.8) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.5 inline.sdv_InterlockedDecrement.3.myNondetVar_0.4) (=> ?v_4885 (=> ?v_4886 (=> ?v_4887 (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3) (=> ?v_4896 (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.7 inline.SerialGetNextWrite.1.tempBoogie0.6) (=> ?v_5085 (=> ?v_4899 (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3) (=> ?v_4902 (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_4905 (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.12 inline.KeSynchronizeExecution.2.myNondetVar_0.11) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> ?v_4909 (=> ?v_4910 (=> ?v_4911 (=> (= irpCompleted_2.29 irpCompleted_2.28) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.6 inline.sdv_InterlockedDecrement.6.myNondetVar_0.5) (=> ?v_4913 (=> (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..2) (=> ?v_4915 (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..0) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> ?v_4923 (=> (= inline.IsListEmpty.3.myNondetVar_0.2 inline.IsListEmpty.3.myNondetVar_0.1) (=> ?v_4925 (=> ?v_4926 (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_4929 (=> ?v_4930 (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> ?v_4932 (=> (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0) (=> ?v_4934 (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> ?v_4940 (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2) (=> (= lockStatus_3.40 lockStatus_3.39) (=> ?v_7573 (=> ?v_5086 (=> ?v_4946 (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..2) (=> ?v_4948 (=> ?v_4949 (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..3) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2) (=> ?v_4952 (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3) (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2) (=> (= k.249 k.248) ?v_5087)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5674 (=> true (=> (= inline.SerialGetNextWrite.1.tempBoogie0.6 inline.SerialGetNextWrite.1.tempBoogie0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= Mem_3_T.CancelRoutine__IRP.67 Mem_3_T.CancelRoutine__IRP.66) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.5 inline.sdv_InterlockedDecrement.9.myNondetVar_0) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= cancelLockStatus_4.50 cancelLockStatus_4.49) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveWriteToIsr) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.7 inline.SerialGetNextIrpLocked.2.myVar_0) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.0) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13.) (=> (= cancelLockStatus_0.50 cancelLockStatus_0.49) (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0 2) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= irpCompleted_0.28 irpCompleted_0.24) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1) (=> (= inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1.) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.) (=> (= inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= alloc.72 alloc.71) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialStartWrite.0.myVar_0.38) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite) (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.0 inline.SerialGetNextWrite.1.havoc_stringTemp) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialStartWrite.0.myNondetVar_0.35 inline.SerialStartWrite.0.myNondetVar_0.34) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.4 inline.sdv_InterlockedIncrement.2.myNondetVar_0) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialGetNextWrite.1.myVar_0.26 inline.SerialGetNextWrite.1.myVar_0) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer) (=> (= Mem_2_T.P_IRP.44 Mem_2_T.P_IRP.32) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.2.havoc_stringTemp) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.4 inline.sdv_InterlockedDecrement.10.myNondetVar_0.3) (=> (= Mem_2_T.CancelRoutine__IRP.67 Mem_2_T.CancelRoutine__IRP.66) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= cancelLockStatus_1.50 cancelLockStatus_1.49) (=> (= inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1.) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.7 inline.KeSynchronizeExecution.5.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.9 inline.KeSynchronizeExecution.4.myNondetVar_0) (=> (= inline.SerialSetTimer.1.myNondetVar_0.7 inline.SerialSetTimer.1.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2.) (=> (= Mem_4_T.P_IRP.44 Mem_4_T.P_IRP.32) (=> (= inline.SerialSetTimer.2.myNondetVar_0.6 inline.SerialSetTimer.2.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= cancelLockStatus_3.50 cancelLockStatus_3.49) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0) (=> (= irpCompleted_2.28 irpCompleted_2.24) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveWriteToIsr) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.44) (=> (= inline.RemoveHeadList.2.myNondetVar_0.3 inline.RemoveHeadList.2.myNondetVar_0) (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1) (=> (= errorReached.48 errorReached.39) (=> (= irpCompleted_4.28 irpCompleted_4.24) (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty) (=> (= Mem_1_T.CancelRoutine__IRP.67 Mem_1_T.CancelRoutine__IRP.66) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1.) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.1 inline.SerialGetNextIrp.2.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.44) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1) (=> (= Mem_3_T.P_IRP.44 Mem_3_T.P_IRP.32) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= irpCompleted_1.28 irpCompleted_1.24) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentWrite) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.5 inline.SerialGetNextWrite.1.myNondetVar_1) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1) (=> (= inline.IsListEmpty.3.myNondetVar_0.1 inline.IsListEmpty.3.myNondetVar_0) (=> (= k.248 k.247) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.4 inline.SerialGetNextWrite.1.myNondetVar_2) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1) (=> (= Mem_0_T.P_IRP.44 Mem_0_T.P_IRP.32) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentWrite) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1.) (=> (= irpCompleted_3.28 irpCompleted_3.24) (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.8 inline.KeSynchronizeExecution.3.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.3 inline.sdv_InterlockedIncrement.3.myNondetVar_0.2) (=> (= inline.SerialStartWrite.0.myNondetVar_2.5 inline.SerialStartWrite.0.myNondetVar_2.4) (=> (= Mem_4_T.CancelRoutine__IRP.67 Mem_4_T.CancelRoutine__IRP.66) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3..0 call70329formal.ret.0) (=> (= Mem_0_T.CancelRoutine__IRP.67 Mem_0_T.CancelRoutine__IRP.66) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1..0 call70909formal.ret.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialStartWrite.0.myVar_0.38) (=> (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..0) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= cancelLockStatus_2.50 cancelLockStatus_2.49) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.3 inline.sdv_InterlockedDecrement.8.myNondetVar_0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.20 inline.SerialGetNextWrite.1.myNondetVar_0) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1.) (=> (= inline.SerialStartWrite.0.myVar_0.52 inline.SerialStartWrite.0.myVar_0.51) (=> (= inline.SerialStartWrite.0.myNondetVar_1.9 inline.SerialStartWrite.0.myNondetVar_1.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= Mem_1_T.P_IRP.44 Mem_1_T.P_IRP.32) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialStartWrite.0.tempBoogie0.5 inline.SerialStartWrite.0.tempBoogie0.4) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) ?v_5669)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5680 (=> true (=> true (=> true (=> true ?v_5674))))) (?v_5676 (= cancelLockStatus_1.49 cancelLockStatus_1.37)) (?v_5677 (= cancelLockStatus_0.49 cancelLockStatus_0.37)) (?v_5671 (= cancelLockStatus_2.49 cancelLockStatus_2.37)) (?v_5672 (= cancelLockStatus_4.49 cancelLockStatus_4.37)) (?v_5673 (= cancelLockStatus_3.49 cancelLockStatus_3.37))) (let ((?v_5682 (=> ?v_5673 ?v_5680))) (let ((?v_5678 (=> ?v_5672 ?v_5682))) (let ((?v_5684 (=> ?v_5677 (=> ?v_5671 ?v_5678))) (?v_5683 (= k.247 4)) (?v_5681 (= k.247 3)) (?v_5679 (= k.247 2)) (?v_5675 (= k.247 1)) (?v_5670 (= k.247 0))) (let ((?v_5686 (=> true (=> (<= k.246 k.247) (=> (< k.247 5) (and (=> true (=> ?v_5670 (=> true (=> ?v_5676 (=> (= cancelLockStatus_0.49 0) (=> ?v_5671 (=> ?v_5672 (=> ?v_5673 ?v_5674)))))))) (=> true (=> (not ?v_5670) (and (=> true (=> ?v_5675 (=> true (=> (= cancelLockStatus_1.49 0) ?v_5684)))) (=> true (=> (not ?v_5675) (and (=> true (=> ?v_5679 (=> true (=> ?v_5676 (=> ?v_5677 (=> (= cancelLockStatus_2.49 0) ?v_5678)))))) (=> true (=> (not ?v_5679) (and (=> true (=> ?v_5681 (=> true (=> ?v_5676 (=> ?v_5677 (=> ?v_5671 (=> ?v_5672 (=> (= cancelLockStatus_3.49 0) ?v_5680)))))))) (=> true (=> (not ?v_5681) (and (=> true (=> ?v_5683 (=> true (=> ?v_5676 (=> ?v_5677 (=> ?v_5671 (=> (= cancelLockStatus_4.49 0) ?v_5682))))))) (=> true (=> (not ?v_5683) (=> true (=> ?v_5676 ?v_5684)))))))))))))))))))))) (let ((?v_5703 (and (=> true (=> (not ?v_5685) (=> true (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.6 inline.KeSynchronizeExecution.5.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.5..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.5..result.SynchronizeRoutine.4679.26.2.) ?v_5686)))))) (=> true (=> ?v_5685 (=> true (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.6 inline.KeSynchronizeExecution.5.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5686)))))))))))))) (?v_5702 (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0 0))) (let ((?v_5688 (=> true (=> (forall ((?r13 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartWrite.0.myNondetVar_1.7 ?r13) 0)) (not (= (BIT_BAND 4 ?r13) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_2.3 4) ?r13) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.30 4) ?r13)) )) (=> (= inline.SerialStartWrite.0.tempBoogie0.3 (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.31 4)) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_2.4 inline.SerialStartWrite.0.myNondetVar_2.3) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0 call70672formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.50) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.3 inline.sdv_InterlockedDecrement.10.myNondetVar_0.2) (=> (= inline.SerialSetTimer.2.myNondetVar_0.5 inline.SerialSetTimer.2.myNondetVar_0.4) (=> (= k.246 k.245) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0 call55173formal.new.0) (=> (= inline.SerialStartWrite.0.myNondetVar_0.32 inline.SerialStartWrite.0.myNondetVar_0.31) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialStartWrite.0.tempBoogie0.4 inline.SerialStartWrite.0.tempBoogie0.3) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0 call70622formal.new.0) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= alloc.71 alloc.70) (=> (= inline.SerialStartWrite.0.myNondetVar_1.8 inline.SerialStartWrite.0.myNondetVar_1.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0 call70672formal.ret.0) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.2 inline.sdv_InterlockedIncrement.3.myNondetVar_0.1) (=> (= inline.SerialStartWrite.0.myVar_0.51 inline.SerialStartWrite.0.myVar_0.50) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0 4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.50) ?v_5703))))))))))))))))))))))))))) (?v_5687 (= inline.SerialStartWrite.0.myVar_0.50 hirp))) (let ((?v_5691 (and (=> true (=> ?v_5687 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5688)))) (=> true (=> (not ?v_5687) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5688))))))))))) (let ((?v_5694 (=> true (=> true (=> true (=> true ?v_5691))))) (?v_5699 (= k.245 4)) (?v_5042 (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5))) (let ((?v_5038 (int_2_U ?v_5042))) (let ((?v_5698 (U_2_int (MapType0Select Mem_4_T.P_IRP.32 ?v_5038))) (?v_5697 (= k.245 3)) (?v_5696 (U_2_int (MapType0Select Mem_3_T.P_IRP.32 ?v_5038))) (?v_5695 (= k.245 2)) (?v_5693 (U_2_int (MapType0Select Mem_2_T.P_IRP.32 ?v_5038))) (?v_5692 (= k.245 1)) (?v_5690 (U_2_int (MapType0Select Mem_1_T.P_IRP.32 ?v_5038))) (?v_5689 (= k.245 0)) (?v_5035 (U_2_int (MapType0Select Mem_0_T.P_IRP.32 ?v_5038)))) (let ((?v_5701 (=> true (=> (<= k.244 k.245) (=> (< k.245 5) (and (=> true (=> ?v_5689 (=> (= inline.SerialStartWrite.0.myVar_0.47 ?v_5035) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.50 inline.SerialStartWrite.0.myVar_0.47) ?v_5691))))) (=> true (=> (not ?v_5689) (and (=> true (=> ?v_5692 (=> (= inline.SerialStartWrite.0.myVar_0.45 ?v_5690) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.50 inline.SerialStartWrite.0.myVar_0.45) ?v_5694))))) (=> true (=> (not ?v_5692) (and (=> true (=> ?v_5695 (=> (= inline.SerialStartWrite.0.myVar_0.49 ?v_5693) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.50 inline.SerialStartWrite.0.myVar_0.49) ?v_5694))))) (=> true (=> (not ?v_5695) (and (=> true (=> ?v_5697 (=> (= inline.SerialStartWrite.0.myVar_0.46 ?v_5696) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.50 inline.SerialStartWrite.0.myVar_0.46) ?v_5694))))) (=> true (=> (not ?v_5697) (and (=> true (=> ?v_5699 (=> (= inline.SerialStartWrite.0.myVar_0.48 ?v_5698) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.50 inline.SerialStartWrite.0.myVar_0.48) ?v_5694))))) (=> true (=> (not ?v_5699) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.50 inline.SerialStartWrite.0.myVar_0.44) ?v_5694))))))))))))))))))))) (?v_5700 (= call70672formal.ret.0 0)) (?v_5668 (int_2_U call70622formal.new.0))) (let ((?v_5705 (=> true (=> (forall ((?r14 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartWrite.0.myNondetVar_1.6 ?r14) 0)) (not (= (BIT_BAND 2 ?r14) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_2.2 2) ?r14) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.28 2) ?r14)) )) (=> (= inline.SerialStartWrite.0.tempBoogie0.2 (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.29 2)) (and (=> true (=> (not ?v_5702) (=> true (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0 (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0 (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (=> true (and ?v_73 (=> ?v_73 (=> (> call70622formal.new.0 0) (=> (forall ((?x1639 Int)) (! (=> (and (<= call70622formal.new.0 ?x1639) (< ?x1639 (+ call70622formal.new.0 8))) (= (Base ?x1639) call70622formal.new.0)) :pattern ((Base ?x1639)) )) (=> (forall ((?x1640 boogieU)) (! (=> (= (type ?x1640) intType) (or (= (U_2_int ?x1640) call70622formal.new.0) (= (MapType0Select alloc.57 ?x1640) (MapType0Select alloc.70 ?x1640)))) :pattern ((MapType0Select alloc.70 ?x1640)) )) (=> (and (= (MapType0Select alloc.57 ?v_5668) UNALLOCATED) (= (MapType0Select alloc.70 ?v_5668) ALLOCATED)) (=> (= (Base call55173formal.new.0) call55173formal.new.0) (and (=> true (=> (not ?v_5700) (=> true (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.2 inline.sdv_InterlockedDecrement.10.myNondetVar_0.1) ?v_5701)))) (=> true (=> ?v_5700 (=> true (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.2 inline.sdv_InterlockedDecrement.10.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5701))))))))))))))))))))))))) (=> true (=> ?v_5702 (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_2.4 inline.SerialStartWrite.0.myNondetVar_2.2) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.3 inline.sdv_InterlockedDecrement.10.myNondetVar_0) (=> (= inline.SerialSetTimer.2.myNondetVar_0.5 inline.SerialSetTimer.2.myNondetVar_0) (=> (= k.246 k.244) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialStartWrite.0.myNondetVar_0.32 inline.SerialStartWrite.0.myNondetVar_0.29) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialStartWrite.0.tempBoogie0.4 inline.SerialStartWrite.0.tempBoogie0.2) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer) (=> (= alloc.71 alloc.57) (=> (= inline.SerialStartWrite.0.myNondetVar_1.8 inline.SerialStartWrite.0.myNondetVar_1.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.2 inline.sdv_InterlockedIncrement.3.myNondetVar_0) (=> (= inline.SerialStartWrite.0.myVar_0.51 inline.SerialStartWrite.0.myVar_0.44) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> true (=> true (=> true (=> true (=> true ?v_5703))))))))))))))))))))))))))))))))))) (?v_5704 (= inline.SerialStartWrite.0.myVar_0.44 hirp))) (let ((?v_5707 (and (=> true (=> ?v_5704 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5705)))) (=> true (=> (not ?v_5704) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5705))))))))))) (let ((?v_5709 (=> true (=> true (=> true (=> true ?v_5707))))) (?v_5712 (= k.244 4)) (?v_5711 (= k.244 3)) (?v_5710 (= k.244 2)) (?v_5708 (= k.244 1)) (?v_5706 (= k.244 0))) (let ((?v_5718 (=> true (=> (<= k.204 k.243) (=> (< k.243 5) (=> true (=> (<= k.243 k.244) (=> (< k.244 5) (and (=> true (=> ?v_5706 (=> (= inline.SerialStartWrite.0.myVar_0.43 ?v_5035) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.44 inline.SerialStartWrite.0.myVar_0.43) ?v_5707))))) (=> true (=> (not ?v_5706) (and (=> true (=> ?v_5708 (=> (= inline.SerialStartWrite.0.myVar_0.39 ?v_5690) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.44 inline.SerialStartWrite.0.myVar_0.39) ?v_5709))))) (=> true (=> (not ?v_5708) (and (=> true (=> ?v_5710 (=> (= inline.SerialStartWrite.0.myVar_0.40 ?v_5693) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.44 inline.SerialStartWrite.0.myVar_0.40) ?v_5709))))) (=> true (=> (not ?v_5710) (and (=> true (=> ?v_5711 (=> (= inline.SerialStartWrite.0.myVar_0.41 ?v_5696) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.44 inline.SerialStartWrite.0.myVar_0.41) ?v_5709))))) (=> true (=> (not ?v_5711) (and (=> true (=> ?v_5712 (=> (= inline.SerialStartWrite.0.myVar_0.42 ?v_5698) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.44 inline.SerialStartWrite.0.myVar_0.42) ?v_5709))))) (=> true (=> (not ?v_5712) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.44 inline.SerialStartWrite.0.myVar_0.38) ?v_5709))))))))))))))))))))))))) (let ((?v_5726 (=> true ?v_5718)) (?v_5715 (= Mem_2_T.CancelRoutine__IRP.66 Mem_2_T.CancelRoutine__IRP.53)) (?v_5720 (= Mem_0_T.CancelRoutine__IRP.66 Mem_0_T.CancelRoutine__IRP.53)) (?v_5716 (= Mem_3_T.CancelRoutine__IRP.66 Mem_3_T.CancelRoutine__IRP.53)) (?v_5721 (= Mem_1_T.CancelRoutine__IRP.66 Mem_1_T.CancelRoutine__IRP.53)) (?v_5717 (= Mem_4_T.CancelRoutine__IRP.66 Mem_4_T.CancelRoutine__IRP.53))) (let ((?v_5722 (=> ?v_5717 ?v_5726))) (let ((?v_5724 (=> ?v_5721 ?v_5722))) (let ((?v_5728 (=> ?v_5720 (=> ?v_5716 ?v_5724))) (?v_5727 (= k.204 4)) (?v_5667 (int_2_U (CancelRoutine__IRP inline.SerialStartWrite.0.myVar_0.38))) (?v_5725 (= k.204 3)) (?v_5723 (= k.204 2)) (?v_5719 (= k.204 1)) (?v_5713 (= k.204 0))) (let ((?v_5738 (=> true (=> (<= k.203 k.204) (=> (< k.204 5) (and (=> true (=> ?v_5713 (=> (= Mem_0_T.CancelRoutine__IRP.54 (MapType0Store Mem_0_T.CancelRoutine__IRP.53 ?v_5667 ?v_5714)) (=> true (=> ?v_5715 (=> (= Mem_0_T.CancelRoutine__IRP.66 Mem_0_T.CancelRoutine__IRP.54) (=> ?v_5716 (=> ?v_5721 (=> ?v_5717 ?v_5718))))))))) (=> true (=> (not ?v_5713) (and (=> true (=> ?v_5719 (=> (= Mem_1_T.CancelRoutine__IRP.54 (MapType0Store Mem_1_T.CancelRoutine__IRP.53 ?v_5667 ?v_5714)) (=> true (=> ?v_5715 (=> ?v_5720 (=> ?v_5716 (=> (= Mem_1_T.CancelRoutine__IRP.66 Mem_1_T.CancelRoutine__IRP.54) ?v_5722)))))))) (=> true (=> (not ?v_5719) (and (=> true (=> ?v_5723 (=> (= Mem_2_T.CancelRoutine__IRP.54 (MapType0Store Mem_2_T.CancelRoutine__IRP.53 ?v_5667 ?v_5714)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.66 Mem_2_T.CancelRoutine__IRP.54) ?v_5728))))) (=> true (=> (not ?v_5723) (and (=> true (=> ?v_5725 (=> (= Mem_3_T.CancelRoutine__IRP.54 (MapType0Store Mem_3_T.CancelRoutine__IRP.53 ?v_5667 ?v_5714)) (=> true (=> ?v_5715 (=> ?v_5720 (=> (= Mem_3_T.CancelRoutine__IRP.66 Mem_3_T.CancelRoutine__IRP.54) ?v_5724))))))) (=> true (=> (not ?v_5725) (and (=> true (=> ?v_5727 (=> (= Mem_4_T.CancelRoutine__IRP.54 (MapType0Store Mem_4_T.CancelRoutine__IRP.53 ?v_5667 ?v_5714)) (=> true (=> ?v_5715 (=> ?v_5720 (=> ?v_5716 (=> ?v_5721 (=> (= Mem_4_T.CancelRoutine__IRP.66 Mem_4_T.CancelRoutine__IRP.54) ?v_5726))))))))) (=> true (=> (not ?v_5727) (=> true (=> ?v_5715 ?v_5728))))))))))))))))))))) (?v_5737 (= errorReached.39 errorReached.38)) (?v_5736 (= inline.SerialStartWrite.0.myVar_0.38 hirp)) (?v_5734 (= k.203 k.202))) (let ((?v_5735 (=> (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..0 call70238formal.ret.0) ?v_5738)) (?v_5729 (= k.202 0)) (?v_5187 (= irpCompleted_0.24 0)) (?v_5730 (= k.202 1)) (?v_5189 (= irpCompleted_1.24 0)) (?v_5731 (= k.202 2)) (?v_5191 (= irpCompleted_2.24 0)) (?v_5732 (= k.202 3)) (?v_5193 (= irpCompleted_3.24 0)) (?v_5733 (= k.202 4)) (?v_5195 (= irpCompleted_4.24 0))) (let ((?v_5255 (not ?v_5187)) (?v_5256 (not ?v_5189)) (?v_5257 (not ?v_5191)) (?v_5258 (not ?v_5193)) (?v_5259 (not ?v_5195))) (let ((?v_5740 (and (=> true (=> ?v_5736 (=> true (=> (<= k.201 k.202) (=> (< k.202 5) (and (=> true (=> (=> ?v_5729 ?v_5255) (=> (=> ?v_5730 ?v_5256) (=> (=> ?v_5731 ?v_5257) (=> (=> ?v_5732 ?v_5258) (=> (=> ?v_5733 ?v_5259) (=> true (=> ?v_5734 (=> (= errorReached.39 1) ?v_5735))))))))) (=> true (=> (=> ?v_5729 ?v_5187) (=> (=> ?v_5730 ?v_5189) (=> (=> ?v_5731 ?v_5191) (=> (=> ?v_5732 ?v_5193) (=> (=> ?v_5733 ?v_5195) (=> true (=> ?v_5734 (=> ?v_5737 ?v_5735))))))))))))))) (=> true (=> (not ?v_5736) (=> true (=> (= k.203 k.201) (=> ?v_5737 (=> (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2.) ?v_5738))))))))) (let ((?v_5742 (=> true (=> true ?v_5740))) (?v_5745 (= k.201 4)) (?v_5744 (= k.201 3)) (?v_5743 (= k.201 2)) (?v_5741 (= k.201 1)) (?v_5739 (= k.201 0))) (let ((?v_5747 (=> true (=> (<= k.200 k.201) (=> (< k.201 5) (and (=> true (=> ?v_5739 (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.53 ?v_5667))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_5740))))) (=> true (=> (not ?v_5739) (and (=> true (=> ?v_5741 (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.53 ?v_5667))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_5742))))) (=> true (=> (not ?v_5741) (and (=> true (=> ?v_5743 (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.53 ?v_5667))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_5742))))) (=> true (=> (not ?v_5743) (and (=> true (=> ?v_5744 (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.53 ?v_5667))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_5742))))) (=> true (=> (not ?v_5744) (and (=> true (=> ?v_5745 (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.53 ?v_5667))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_5742))))) (=> true (=> (not ?v_5745) (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_5742)))))))))))))))))))))) (let ((?v_5749 (=> true (=> true (=> true (=> true ?v_5747))))) (?v_5752 (= k.200 4)) (?v_5751 (= k.200 3)) (?v_5750 (= k.200 2)) (?v_5748 (= k.200 1)) (?v_5746 (= k.200 0))) (let ((?v_5753 (=> true (=> (<= k.199 k.200) (=> (< k.200 5) (and (=> true (=> ?v_5746 (=> (= inline.SerialStartWrite.0.myVar_0.34 ?v_5035) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.38 inline.SerialStartWrite.0.myVar_0.34) ?v_5747))))) (=> true (=> (not ?v_5746) (and (=> true (=> ?v_5748 (=> (= inline.SerialStartWrite.0.myVar_0.37 ?v_5690) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.38 inline.SerialStartWrite.0.myVar_0.37) ?v_5749))))) (=> true (=> (not ?v_5748) (and (=> true (=> ?v_5750 (=> (= inline.SerialStartWrite.0.myVar_0.33 ?v_5693) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.38 inline.SerialStartWrite.0.myVar_0.33) ?v_5749))))) (=> true (=> (not ?v_5750) (and (=> true (=> ?v_5751 (=> (= inline.SerialStartWrite.0.myVar_0.36 ?v_5696) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.38 inline.SerialStartWrite.0.myVar_0.36) ?v_5749))))) (=> true (=> (not ?v_5751) (and (=> true (=> ?v_5752 (=> (= inline.SerialStartWrite.0.myVar_0.35 ?v_5698) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.38 inline.SerialStartWrite.0.myVar_0.35) ?v_5749))))) (=> true (=> (not ?v_5752) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.38 inline.SerialStartWrite.0.myVar_0.32) ?v_5749)))))))))))))))))))))) (let ((?v_5755 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.32 inline.SerialStartWrite.0.myVar_0.31) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0 1) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.0 259) (=> (= k.199 k.198) ?v_5753))))))) (let ((?v_5757 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5755))))))))) (?v_5760 (= k.198 4)) (?v_5759 (= k.198 3)) (?v_5758 (= k.198 2)) (?v_5756 (= k.198 1)) (?v_5754 (= k.198 0)) (?v_5036 (= k.197 0)) (?v_5662 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_5035)))) 0)) (?v_5037 (= k.197 1)) (?v_5663 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_5690)))) 0)) (?v_5039 (= k.197 2)) (?v_5664 (= (U_2_int (MapType0Select Mem_2_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_5693)))) 0)) (?v_5040 (= k.197 3)) (?v_5665 (= (U_2_int (MapType0Select Mem_3_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_5696)))) 0)) (?v_5041 (= k.197 4)) (?v_5666 (= (U_2_int (MapType0Select Mem_4_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_5698)))) 0)) (?v_5010 (int_2_U call55164formal.new.0))) (let ((?v_5056 (U_2_int (MapType0Select Mem_0_T.P_IRP.43 ?v_5010)))) (let ((?v_5112 (= ?v_5056 0))) (let ((?v_5058 (not ?v_5112)) (?v_5101 (U_2_int (MapType0Select Mem_1_T.P_IRP.43 ?v_5010)))) (let ((?v_5114 (= ?v_5101 0))) (let ((?v_5059 (not ?v_5114)) (?v_5104 (U_2_int (MapType0Select Mem_2_T.P_IRP.43 ?v_5010)))) (let ((?v_5116 (= ?v_5104 0))) (let ((?v_5060 (not ?v_5116)) (?v_5107 (U_2_int (MapType0Select Mem_3_T.P_IRP.43 ?v_5010)))) (let ((?v_5118 (= ?v_5107 0))) (let ((?v_5061 (not ?v_5118)) (?v_5109 (U_2_int (MapType0Select Mem_4_T.P_IRP.43 ?v_5010)))) (let ((?v_5120 (= ?v_5109 0))) (let ((?v_5062 (not ?v_5120)) (?v_5057 (int_2_U call68168formal.new.0))) (let ((?v_5124 (=> true (and ?v_11 (=> ?v_11 (=> (> call68168formal.new.0 0) (=> (forall ((?x1641 Int)) (! (=> (and (<= call68168formal.new.0 ?x1641) (< ?x1641 (+ call68168formal.new.0 1))) (= (Base ?x1641) call68168formal.new.0)) :pattern ((Base ?x1641)) )) (=> (forall ((?x1642 boogieU)) (! (=> (= (type ?x1642) intType) (or (= (U_2_int ?x1642) call68168formal.new.0) (= (MapType0Select alloc.68 ?x1642) (MapType0Select alloc.69 ?x1642)))) :pattern ((MapType0Select alloc.69 ?x1642)) )) (=> (and (= (MapType0Select alloc.68 ?v_5057) UNALLOCATED) (= (MapType0Select alloc.69 ?v_5057) ALLOCATED)) (=> true (=> (=> (= k.242 0) (not ?v_5058)) (=> (=> (= k.242 1) (not ?v_5059)) (=> (=> (= k.242 2) (not ?v_5060)) (=> (=> (= k.242 3) (not ?v_5061)) (=> (=> (= k.242 4) (not ?v_5062)) (=> true (=> (= inline.SerialGetNextWrite.1.tempBoogie0.6 inline.SerialGetNextWrite.1.tempBoogie0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call55164formal.new.0) (=> (= Mem_3_T.CancelRoutine__IRP.67 Mem_3_T.CancelRoutine__IRP.65) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.5 inline.sdv_InterlockedDecrement.9.myNondetVar_0.4) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer) (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1) (=> (= cancelLockStatus_4.50 cancelLockStatus_4.48) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.7 inline.SerialGetNextIrpLocked.2.myVar_0.6) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0 call55164formal.new.0) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0 call65660formal.new.0) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..0) (=> (= cancelLockStatus_0.50 cancelLockStatus_0.48) (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= irpCompleted_0.28 irpCompleted_0.27) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.15..result.userContextSwitch.3151.2.1..0 call66852formal.ret.0) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= alloc.72 alloc.69) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..0) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.0 call68168formal.new.0) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialStartWrite.0.myNondetVar_0.35 inline.SerialStartWrite.0.myNondetVar_0.27) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.4 inline.sdv_InterlockedIncrement.2.myNondetVar_0.3) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1) (=> (= inline.SerialGetNextWrite.1.myVar_0.26 inline.SerialGetNextWrite.1.myVar_0.25) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1) (=> (= Mem_2_T.P_IRP.44 Mem_2_T.P_IRP.43) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.4 inline.sdv_InterlockedDecrement.10.myNondetVar_0) (=> (= Mem_2_T.CancelRoutine__IRP.67 Mem_2_T.CancelRoutine__IRP.65) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= cancelLockStatus_1.50 cancelLockStatus_1.48) (=> (= inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.5) (=> (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..0 call66372formal.ret.0) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call55164formal.new.0) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.7 inline.KeSynchronizeExecution.5.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.9 inline.KeSynchronizeExecution.4.myNondetVar_0.8) (=> (= inline.SerialSetTimer.1.myNondetVar_0.7 inline.SerialSetTimer.1.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..1) (=> (= Mem_4_T.P_IRP.44 Mem_4_T.P_IRP.43) (=> (= inline.SerialSetTimer.2.myNondetVar_0.6 inline.SerialSetTimer.2.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0 call55164formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0 call55164formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= cancelLockStatus_3.50 cancelLockStatus_3.48) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.) (=> (= irpCompleted_2.28 irpCompleted_2.27) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0 call55164formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.RemoveHeadList.2.myNondetVar_0.3 inline.RemoveHeadList.2.myNondetVar_0.2) (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0 call66341formal.new.0) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2) (=> (= errorReached.48 errorReached.47) (=> (= irpCompleted_4.28 irpCompleted_4.27) (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0 call65666formal.new.0) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= Mem_1_T.CancelRoutine__IRP.67 Mem_1_T.CancelRoutine__IRP.65) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..0) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.1 inline.SerialGetNextIrp.2.myNondetVar_0.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= Mem_3_T.P_IRP.44 Mem_3_T.P_IRP.43) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= irpCompleted_1.28 irpCompleted_1.27) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.5 inline.SerialGetNextWrite.1.myNondetVar_1.4) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.IsListEmpty.3.myNondetVar_0.1 inline.IsListEmpty.3.myNondetVar_0.0) (=> (= k.248 k.242) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.4 inline.SerialGetNextWrite.1.myNondetVar_2.3) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2) (=> (= Mem_0_T.P_IRP.44 Mem_0_T.P_IRP.43) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.sdv_IoReleaseCancelSpinLock.13..result.userContextSwitch.3151.2.1..0 call65534formal.ret.0) (=> (= irpCompleted_3.28 irpCompleted_3.27) (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0 call65657formal.new.0) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.8 inline.KeSynchronizeExecution.3.myNondetVar_0.7) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..2) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.3 inline.sdv_InterlockedIncrement.3.myNondetVar_0) (=> (= inline.SerialStartWrite.0.myNondetVar_2.5 inline.SerialStartWrite.0.myNondetVar_2.1) (=> (= Mem_4_T.CancelRoutine__IRP.67 Mem_4_T.CancelRoutine__IRP.65) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..1) (=> (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3313.2.3.) (=> (= Mem_0_T.CancelRoutine__IRP.67 Mem_0_T.CancelRoutine__IRP.65) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.18..result.userContextSwitch.3151.2.1.) (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.7..result.userContextSwitch.3310.4.2.) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= cancelLockStatus_2.50 cancelLockStatus_2.48) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.3 inline.sdv_InterlockedDecrement.8.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.20 inline.SerialGetNextWrite.1.myNondetVar_0.19) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialStartWrite.0.myVar_0.52 inline.SerialStartWrite.0.myVar_0.25) (=> (= inline.SerialStartWrite.0.myNondetVar_1.9 inline.SerialStartWrite.0.myNondetVar_1.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.5) (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0 call65663formal.new.0) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= Mem_1_T.P_IRP.44 Mem_1_T.P_IRP.43) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialStartWrite.0.tempBoogie0.5 inline.SerialStartWrite.0.tempBoogie0.1) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) ?v_5669)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5123 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_5129 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.19 inline.SerialGetNextWrite.1.myNondetVar_0.18) (=> (= cancelLockStatus_4.48 cancelLockStatus_4.47) (=> (= cancelLockStatus_3.48 cancelLockStatus_3.47) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0) (=> (= cancelLockStatus_1.48 cancelLockStatus_1.47) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) (=> ?v_5123 (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..0 call68380formal.ret.0) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= k.242 k.241) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0) (=> (= cancelLockStatus_0.48 cancelLockStatus_0.47) (=> (= cancelLockStatus_2.48 cancelLockStatus_2.47) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..0 call68187formal.ret.0) (=> (= inline.SerialGetNextWrite.1.myVar_0.25 inline.SerialGetNextWrite.1.myVar_0.18) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.7 inline.KeSynchronizeExecution.3.myNondetVar_0.6) ?v_5124))))))))))))))))))))))) (let ((?v_5135 (=> true (=> true (=> true (=> true ?v_5129))))) (?v_5131 (= cancelLockStatus_1.47 cancelLockStatus_1.46)) (?v_5132 (= cancelLockStatus_0.47 cancelLockStatus_0.46)) (?v_5126 (= cancelLockStatus_2.47 cancelLockStatus_2.46)) (?v_5127 (= cancelLockStatus_4.47 cancelLockStatus_4.46)) (?v_5128 (= cancelLockStatus_3.47 cancelLockStatus_3.46))) (let ((?v_5137 (=> ?v_5128 ?v_5135))) (let ((?v_5133 (=> ?v_5127 ?v_5137))) (let ((?v_5139 (=> ?v_5132 (=> ?v_5126 ?v_5133))) (?v_5138 (= k.241 4)) (?v_5136 (= k.241 3)) (?v_5134 (= k.241 2)) (?v_5130 (= k.241 1)) (?v_5125 (= k.241 0))) (let ((?v_5140 (=> true (=> (<= k.240 k.241) (=> (< k.241 5) (and (=> true (=> ?v_5125 (=> true (=> ?v_5131 (=> (= cancelLockStatus_0.47 0) (=> ?v_5126 (=> ?v_5127 (=> ?v_5128 ?v_5129)))))))) (=> true (=> (not ?v_5125) (and (=> true (=> ?v_5130 (=> true (=> (= cancelLockStatus_1.47 0) ?v_5139)))) (=> true (=> (not ?v_5130) (and (=> true (=> ?v_5134 (=> true (=> ?v_5131 (=> ?v_5132 (=> (= cancelLockStatus_2.47 0) ?v_5133)))))) (=> true (=> (not ?v_5134) (and (=> true (=> ?v_5136 (=> true (=> ?v_5131 (=> ?v_5132 (=> ?v_5126 (=> ?v_5127 (=> (= cancelLockStatus_3.47 0) ?v_5135)))))))) (=> true (=> (not ?v_5136) (and (=> true (=> ?v_5138 (=> true (=> ?v_5131 (=> ?v_5132 (=> ?v_5126 (=> (= cancelLockStatus_4.47 0) ?v_5137))))))) (=> true (=> (not ?v_5138) (=> true (=> ?v_5131 ?v_5139)))))))))))))))))))))) (let ((?v_5145 (and (=> true (=> ?v_1594 (=> true (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.3..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.3..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.6 inline.KeSynchronizeExecution.3.myNondetVar_0.5) ?v_5140)))))) (=> true (=> ?v_173 (=> true (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.6 inline.KeSynchronizeExecution.3.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5140))))))))))))))) (let ((?v_5151 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5145)))))))))) (?v_5147 (= cancelLockStatus_1.46 cancelLockStatus_1.45)) (?v_5148 (= cancelLockStatus_0.46 cancelLockStatus_0.45)) (?v_5142 (= cancelLockStatus_2.46 cancelLockStatus_2.45)) (?v_5143 (= cancelLockStatus_4.46 cancelLockStatus_4.45)) (?v_5144 (= cancelLockStatus_3.46 cancelLockStatus_3.45))) (let ((?v_5153 (=> ?v_5144 ?v_5151))) (let ((?v_5149 (=> ?v_5143 ?v_5153))) (let ((?v_5154 (=> ?v_5148 (=> ?v_5142 ?v_5149))) (?v_5152 (= k.240 4)) (?v_5150 (= k.240 3)) (?v_5146 (= k.240 2)) (?v_5141 (= k.240 1)) (?v_5122 (= k.240 0)) (?v_5121 (= cancelLockStatus_0.45 0)) (?v_5204 (= cancelLockStatus_1.45 0)) (?v_5212 (= cancelLockStatus_2.45 0)) (?v_5215 (= cancelLockStatus_3.45 0)) (?v_5218 (= cancelLockStatus_4.45 0)) (?v_5111 (= k.238 0)) (?v_5113 (= k.238 1)) (?v_5115 (= k.238 2)) (?v_5117 (= k.238 3)) (?v_5119 (= k.238 4)) (?v_5089 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.24)) (?v_5090 (= inline.SerialGetNextWrite.1.myNondetVar_0.19 inline.SerialGetNextWrite.1.myNondetVar_0.16)) (?v_5091 (= cancelLockStatus_4.48 cancelLockStatus_4.45)) (?v_5092 (= cancelLockStatus_3.48 cancelLockStatus_3.45)) (?v_5093 (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution)) (?v_5094 (= cancelLockStatus_1.48 cancelLockStatus_1.45)) (?v_5095 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5096 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_5097 (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= k.242 k.239) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.) (=> (= cancelLockStatus_0.48 cancelLockStatus_0.45) (=> (= cancelLockStatus_2.48 cancelLockStatus_2.45) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.24) (=> (= inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.11..result.userContextSwitch.1645.2.1.) (=> (= inline.SerialGetNextWrite.1.myVar_0.25 inline.SerialGetNextWrite.1.myVar_0.24) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.7 inline.KeSynchronizeExecution.3.myNondetVar_0) ?v_5124)))))))))))) (?v_5088 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_5099 (and (=> true (=> ?v_5088 (=> true (=> ?v_5089 (=> ?v_5090 (=> ?v_5091 (=> ?v_5092 (=> ?v_5093 (=> ?v_5094 (=> ?v_5095 (=> ?v_5096 (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_5097)))))))))))) (=> true (=> (not ?v_5088) (=> true (=> ?v_5089 (=> ?v_5090 (=> ?v_5091 (=> ?v_5092 (=> ?v_5093 (=> ?v_5094 (=> ?v_5095 (=> ?v_5096 (=> ?v_5123 ?v_5097)))))))))))))) (?v_5098 (= inline.SerialGetNextWrite.1.myVar_0.24 hirp))) (let ((?v_5102 (and (=> true (=> ?v_5098 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5099)))) (=> true (=> (not ?v_5098) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5099))))))))))) (let ((?v_5105 (=> true (=> true (=> true (=> true ?v_5102))))) (?v_5110 (= k.239 4)) (?v_5108 (= k.239 3)) (?v_5106 (= k.239 2)) (?v_5103 (= k.239 1)) (?v_5100 (= k.239 0))) (let ((?v_5200 (and (=> true (=> (=> ?v_5111 ?v_5058) (=> (=> ?v_5113 ?v_5059) (=> (=> ?v_5115 ?v_5060) (=> (=> ?v_5117 ?v_5061) (=> (=> ?v_5119 ?v_5062) (=> true (=> (<= k.238 k.239) (=> (< k.239 5) (and (=> true (=> ?v_5100 (=> (= inline.SerialGetNextWrite.1.myVar_0.23 ?v_5056) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.24 inline.SerialGetNextWrite.1.myVar_0.23) ?v_5102))))) (=> true (=> (not ?v_5100) (and (=> true (=> ?v_5103 (=> (= inline.SerialGetNextWrite.1.myVar_0.19 ?v_5101) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.24 inline.SerialGetNextWrite.1.myVar_0.19) ?v_5105))))) (=> true (=> (not ?v_5103) (and (=> true (=> ?v_5106 (=> (= inline.SerialGetNextWrite.1.myVar_0.20 ?v_5104) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.24 inline.SerialGetNextWrite.1.myVar_0.20) ?v_5105))))) (=> true (=> (not ?v_5106) (and (=> true (=> ?v_5108 (=> (= inline.SerialGetNextWrite.1.myVar_0.21 ?v_5107) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.24 inline.SerialGetNextWrite.1.myVar_0.21) ?v_5105))))) (=> true (=> (not ?v_5108) (and (=> true (=> ?v_5110 (=> (= inline.SerialGetNextWrite.1.myVar_0.22 ?v_5109) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.24 inline.SerialGetNextWrite.1.myVar_0.22) ?v_5105))))) (=> true (=> (not ?v_5110) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.24 inline.SerialGetNextWrite.1.myVar_0.18) ?v_5105)))))))))))))))))))))))))) (=> true (=> (=> ?v_5111 ?v_5112) (=> (=> ?v_5113 ?v_5114) (=> (=> ?v_5115 ?v_5116) (=> (=> ?v_5117 ?v_5118) (=> (=> ?v_5119 ?v_5120) (=> true (=> (<= k.238 k.240) (=> (< k.240 5) (=> true (=> (=> ?v_5122 ?v_5121) (=> (=> ?v_5141 ?v_5204) (=> (=> ?v_5146 ?v_5212) (=> (=> ?v_5150 ?v_5215) (=> (=> ?v_5152 ?v_5218) (and (=> true (=> ?v_5122 (=> true (=> ?v_5147 (=> (= cancelLockStatus_0.46 1) (=> ?v_5142 (=> ?v_5143 (=> ?v_5144 ?v_5145)))))))) (=> true (=> (not ?v_5122) (and (=> true (=> ?v_5141 (=> true (=> (= cancelLockStatus_1.46 1) ?v_5154)))) (=> true (=> (not ?v_5141) (and (=> true (=> ?v_5146 (=> true (=> ?v_5147 (=> ?v_5148 (=> (= cancelLockStatus_2.46 1) ?v_5149)))))) (=> true (=> (not ?v_5146) (and (=> true (=> ?v_5150 (=> true (=> ?v_5147 (=> ?v_5148 (=> ?v_5142 (=> ?v_5143 (=> (= cancelLockStatus_3.46 1) ?v_5151)))))))) (=> true (=> (not ?v_5150) (and (=> true (=> ?v_5152 (=> true (=> ?v_5147 (=> ?v_5148 (=> ?v_5142 (=> (= cancelLockStatus_4.46 1) ?v_5153))))))) (=> true (=> (not ?v_5152) (=> true (=> ?v_5147 ?v_5154))))))))))))))))))))))))))))))))))) (let ((?v_5202 (=> true (=> (= Mem_4_T.CancelRoutine__IRP.65 Mem_4_T.CancelRoutine__IRP.61) (=> (= errorReached.47 errorReached.44) (=> (= Mem_0_T.CancelRoutine__IRP.65 Mem_0_T.CancelRoutine__IRP.61) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= irpCompleted_2.27 irpCompleted_2.24) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.2.havoc_stringTemp) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.2 inline.sdv_InterlockedDecrement.8.myNondetVar_0) (=> (= irpCompleted_0.27 irpCompleted_0.24) (=> (= irpCompleted_4.27 irpCompleted_4.24) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= irpCompleted_3.27 irpCompleted_3.24) (=> (= alloc.68 alloc.66) (=> (= k.238 k.234) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1.) (=> (= Mem_3_T.CancelRoutine__IRP.65 Mem_3_T.CancelRoutine__IRP.61) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.) (=> (= irpCompleted_1.27 irpCompleted_1.24) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= Mem_2_T.CancelRoutine__IRP.65 Mem_2_T.CancelRoutine__IRP.61) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= Mem_1_T.CancelRoutine__IRP.65 Mem_1_T.CancelRoutine__IRP.61) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5200)))))))))))))))))))))))))))))))) (?v_5201 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_5199 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 0)) (?v_5156 (=> true (=> (= Mem_4_T.CancelRoutine__IRP.65 Mem_4_T.CancelRoutine__IRP.64) (=> (= errorReached.47 errorReached.46) (=> (= Mem_0_T.CancelRoutine__IRP.65 Mem_0_T.CancelRoutine__IRP.64) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) (=> (= irpCompleted_2.27 irpCompleted_2.26) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0 call66952formal.new.0) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.2 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) (=> (= irpCompleted_0.27 irpCompleted_0.26) (=> (= irpCompleted_4.27 irpCompleted_4.26) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) (=> (= irpCompleted_3.27 irpCompleted_3.26) (=> (= alloc.68 alloc.67) (=> (= k.238 k.237) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..0) (=> (= Mem_3_T.CancelRoutine__IRP.65 Mem_3_T.CancelRoutine__IRP.64) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..0) (=> (= irpCompleted_1.27 irpCompleted_1.26) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= Mem_2_T.CancelRoutine__IRP.65 Mem_2_T.CancelRoutine__IRP.64) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) (=> (= Mem_1_T.CancelRoutine__IRP.65 Mem_1_T.CancelRoutine__IRP.64) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0) ?v_5200))))))))))))))))))))))))) (?v_5155 (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.1 0))) (let ((?v_5198 (and (=> true (=> (not ?v_5155) (=> true (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.) ?v_5156)))) (=> true (=> ?v_5155 (=> true (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0 call67303formal.ret.0) (=> true (=> true (=> true ?v_5156))))))))) (?v_5197 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 hirp))) (let ((?v_5160 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.64 Mem_1_T.CancelRoutine__IRP.63) (=> (= Mem_2_T.CancelRoutine__IRP.64 Mem_2_T.CancelRoutine__IRP.63) (=> (= irpCompleted_2.26 irpCompleted_2.25) (=> (= errorReached.46 errorReached.45) (=> (= Mem_4_T.CancelRoutine__IRP.64 Mem_4_T.CancelRoutine__IRP.63) (=> (= k.237 k.236) (=> (= irpCompleted_3.26 irpCompleted_3.25) (=> (= irpCompleted_1.26 irpCompleted_1.25) (=> (= Mem_0_T.CancelRoutine__IRP.64 Mem_0_T.CancelRoutine__IRP.63) (=> (= irpCompleted_0.26 irpCompleted_0.25) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..0 call66985formal.ret.0) (=> (= irpCompleted_4.26 irpCompleted_4.25) (=> (= Mem_3_T.CancelRoutine__IRP.64 Mem_3_T.CancelRoutine__IRP.63) ?v_5198))))))))))))))) (?v_5157 (= irpCompleted_4.25 irpCompleted_4.24)) (?v_5158 (= irpCompleted_2.25 irpCompleted_2.24)) (?v_5159 (= irpCompleted_3.25 irpCompleted_3.24)) (?v_5162 (= irpCompleted_1.25 irpCompleted_1.24))) (let ((?v_5163 (=> (= irpCompleted_0.25 irpCompleted_0.24) (=> true ?v_5160)))) (let ((?v_5165 (=> ?v_5162 ?v_5163))) (let ((?v_5167 (=> ?v_5159 ?v_5165))) (let ((?v_5169 (=> ?v_5158 ?v_5167)) (?v_5168 (= k.236 4))) (let ((?v_5184 (not ?v_5168)) (?v_5166 (= k.236 3))) (let ((?v_5182 (not ?v_5166)) (?v_5164 (= k.236 2))) (let ((?v_5180 (not ?v_5164)) (?v_5161 (= k.236 1))) (let ((?v_5176 (not ?v_5161)) (?v_5055 (= k.236 0))) (let ((?v_5170 (not ?v_5055))) (let ((?v_5175 (and (=> true (=> ?v_5055 (=> true (=> ?v_5157 (=> ?v_5158 (=> ?v_5159 (=> ?v_5162 (=> (= irpCompleted_0.25 1) ?v_5160)))))))) (=> true (=> ?v_5170 (and (=> true (=> ?v_5161 (=> true (=> ?v_5157 (=> ?v_5158 (=> ?v_5159 (=> (= irpCompleted_1.25 1) ?v_5163))))))) (=> true (=> ?v_5176 (and (=> true (=> ?v_5164 (=> true (=> ?v_5157 (=> (= irpCompleted_2.25 1) ?v_5167))))) (=> true (=> ?v_5180 (and (=> true (=> ?v_5166 (=> true (=> ?v_5157 (=> ?v_5158 (=> (= irpCompleted_3.25 1) ?v_5165)))))) (=> true (=> ?v_5182 (and (=> true (=> ?v_5168 (=> true (=> (= irpCompleted_4.25 1) ?v_5169)))) (=> true (=> ?v_5184 (=> true (=> ?v_5157 ?v_5169))))))))))))))))))) (let ((?v_5183 (=> true (=> true ?v_5175))) (?v_5172 (= Mem_2_T.CancelRoutine__IRP.63 Mem_2_T.CancelRoutine__IRP.61)) (?v_5177 (= Mem_0_T.CancelRoutine__IRP.63 Mem_0_T.CancelRoutine__IRP.61)) (?v_5173 (= Mem_3_T.CancelRoutine__IRP.63 Mem_3_T.CancelRoutine__IRP.61)) (?v_5178 (= Mem_1_T.CancelRoutine__IRP.63 Mem_1_T.CancelRoutine__IRP.61)) (?v_5174 (= Mem_4_T.CancelRoutine__IRP.63 Mem_4_T.CancelRoutine__IRP.61))) (let ((?v_5179 (=> ?v_5174 ?v_5183))) (let ((?v_5181 (=> ?v_5178 ?v_5179))) (let ((?v_5185 (=> ?v_5177 (=> ?v_5173 ?v_5181))) (?v_5171 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5)))) (let ((?v_5196 (=> true (=> (<= k.235 k.236) (=> (< k.236 5) (and (=> true (=> ?v_5055 (=> (= Mem_0_T.CancelRoutine__IRP.62 (MapType0Store Mem_0_T.CancelRoutine__IRP.61 ?v_5171 ?v_46)) (=> true (=> ?v_5172 (=> (= Mem_0_T.CancelRoutine__IRP.63 Mem_0_T.CancelRoutine__IRP.62) (=> ?v_5173 (=> ?v_5178 (=> ?v_5174 ?v_5175))))))))) (=> true (=> ?v_5170 (and (=> true (=> ?v_5161 (=> (= Mem_1_T.CancelRoutine__IRP.62 (MapType0Store Mem_1_T.CancelRoutine__IRP.61 ?v_5171 ?v_46)) (=> true (=> ?v_5172 (=> ?v_5177 (=> ?v_5173 (=> (= Mem_1_T.CancelRoutine__IRP.63 Mem_1_T.CancelRoutine__IRP.62) ?v_5179)))))))) (=> true (=> ?v_5176 (and (=> true (=> ?v_5164 (=> (= Mem_2_T.CancelRoutine__IRP.62 (MapType0Store Mem_2_T.CancelRoutine__IRP.61 ?v_5171 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.63 Mem_2_T.CancelRoutine__IRP.62) ?v_5185))))) (=> true (=> ?v_5180 (and (=> true (=> ?v_5166 (=> (= Mem_3_T.CancelRoutine__IRP.62 (MapType0Store Mem_3_T.CancelRoutine__IRP.61 ?v_5171 ?v_46)) (=> true (=> ?v_5172 (=> ?v_5177 (=> (= Mem_3_T.CancelRoutine__IRP.63 Mem_3_T.CancelRoutine__IRP.62) ?v_5181))))))) (=> true (=> ?v_5182 (and (=> true (=> ?v_5168 (=> (= Mem_4_T.CancelRoutine__IRP.62 (MapType0Store Mem_4_T.CancelRoutine__IRP.61 ?v_5171 ?v_46)) (=> true (=> ?v_5172 (=> ?v_5177 (=> ?v_5173 (=> ?v_5178 (=> (= Mem_4_T.CancelRoutine__IRP.63 Mem_4_T.CancelRoutine__IRP.62) ?v_5183))))))))) (=> true (=> ?v_5184 (=> true (=> ?v_5172 ?v_5185))))))))))))))))))))) (?v_5186 (= k.235 0)) (?v_5188 (= k.235 1)) (?v_5190 (= k.235 2)) (?v_5192 (= k.235 3)) (?v_5194 (= k.235 4)) (?v_5054 (int_2_U call66952formal.new.0))) (let ((?v_5208 (and (=> true (=> (not ?v_5201) (and (=> true (=> (not ?v_5199) (=> true (and ?v_11 (=> ?v_11 (=> (> call66952formal.new.0 0) (=> (forall ((?x1643 Int)) (! (=> (and (<= call66952formal.new.0 ?x1643) (< ?x1643 (+ call66952formal.new.0 1))) (= (Base ?x1643) call66952formal.new.0)) :pattern ((Base ?x1643)) )) (=> (forall ((?x1644 boogieU)) (! (=> (= (type ?x1644) intType) (or (= (U_2_int ?x1644) call66952formal.new.0) (= (MapType0Select alloc.66 ?x1644) (MapType0Select alloc.67 ?x1644)))) :pattern ((MapType0Select alloc.67 ?x1644)) )) (=> (and (= (MapType0Select alloc.66 ?v_5054) UNALLOCATED) (= (MapType0Select alloc.67 ?v_5054) ALLOCATED)) (and (=> true (=> ?v_5197 (=> true (=> (<= k.234 k.235) (=> (< k.235 5) (and (=> true (=> (=> ?v_5186 ?v_5255) (=> (=> ?v_5188 ?v_5256) (=> (=> ?v_5190 ?v_5257) (=> (=> ?v_5192 ?v_5258) (=> (=> ?v_5194 ?v_5259) (=> true (=> (= errorReached.45 1) ?v_5196)))))))) (=> true (=> (=> ?v_5186 ?v_5187) (=> (=> ?v_5188 ?v_5189) (=> (=> ?v_5190 ?v_5191) (=> (=> ?v_5192 ?v_5193) (=> (=> ?v_5194 ?v_5195) (=> true (=> (= errorReached.45 errorReached.44) ?v_5196)))))))))))))) (=> true (=> (not ?v_5197) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.64 Mem_1_T.CancelRoutine__IRP.61) (=> (= Mem_2_T.CancelRoutine__IRP.64 Mem_2_T.CancelRoutine__IRP.61) (=> (= irpCompleted_2.26 irpCompleted_2.24) (=> (= errorReached.46 errorReached.44) (=> (= Mem_4_T.CancelRoutine__IRP.64 Mem_4_T.CancelRoutine__IRP.61) (=> (= k.237 k.234) (=> (= irpCompleted_3.26 irpCompleted_3.24) (=> (= irpCompleted_1.26 irpCompleted_1.24) (=> (= Mem_0_T.CancelRoutine__IRP.64 Mem_0_T.CancelRoutine__IRP.61) (=> (= irpCompleted_0.26 irpCompleted_0.24) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_4.26 irpCompleted_4.24) (=> (= Mem_3_T.CancelRoutine__IRP.64 Mem_3_T.CancelRoutine__IRP.61) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5198))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_5199 ?v_5202))))) (=> true (=> ?v_5201 ?v_5202))))) (let ((?v_5216 (=> true (=> true (=> true (=> true (=> true ?v_5208)))))) (?v_5210 (= cancelLockStatus_1.45 cancelLockStatus_1.44)) (?v_5211 (= cancelLockStatus_0.45 cancelLockStatus_0.44)) (?v_5205 (= cancelLockStatus_2.45 cancelLockStatus_2.44)) (?v_5206 (= cancelLockStatus_4.45 cancelLockStatus_4.44)) (?v_5207 (= cancelLockStatus_3.45 cancelLockStatus_3.44))) (let ((?v_5219 (=> ?v_5207 ?v_5216))) (let ((?v_5213 (=> ?v_5206 ?v_5219))) (let ((?v_5221 (=> ?v_5211 (=> ?v_5205 ?v_5213))) (?v_5220 (= k.234 4)) (?v_5217 (= k.234 3)) (?v_5214 (= k.234 2)) (?v_5209 (= k.234 1)) (?v_5203 (= k.234 0))) (let ((?v_5226 (=> true (=> (<= k.233 k.234) (=> (< k.234 5) (and (=> true (=> ?v_5203 (=> true (=> ?v_5210 (=> ?v_5121 (=> ?v_5205 (=> ?v_5206 (=> ?v_5207 ?v_5208)))))))) (=> true (=> (not ?v_5203) (and (=> true (=> ?v_5209 (=> true (=> ?v_5204 ?v_5221)))) (=> true (=> (not ?v_5209) (and (=> true (=> ?v_5214 (=> true (=> ?v_5210 (=> ?v_5211 (=> ?v_5212 ?v_5213)))))) (=> true (=> (not ?v_5214) (and (=> true (=> ?v_5217 (=> true (=> ?v_5210 (=> ?v_5211 (=> ?v_5205 (=> ?v_5206 (=> ?v_5215 ?v_5216)))))))) (=> true (=> (not ?v_5217) (and (=> true (=> ?v_5220 (=> true (=> ?v_5210 (=> ?v_5211 (=> ?v_5205 (=> ?v_5218 ?v_5219))))))) (=> true (=> (not ?v_5220) (=> true (=> ?v_5210 ?v_5221)))))))))))))))))))))) (let ((?v_5234 (=> true (=> true (=> true (=> true ?v_5226))))) (?v_5223 (= Mem_3_T.P_IRP.43 Mem_3_T.P_IRP.41)) (?v_5228 (= Mem_1_T.P_IRP.43 Mem_1_T.P_IRP.41)) (?v_5229 (= Mem_0_T.P_IRP.43 Mem_0_T.P_IRP.41)) (?v_5224 (= Mem_2_T.P_IRP.43 Mem_2_T.P_IRP.41)) (?v_5225 (= Mem_4_T.P_IRP.43 Mem_4_T.P_IRP.41))) (let ((?v_5230 (=> ?v_5225 ?v_5234))) (let ((?v_5232 (=> ?v_5229 (=> ?v_5224 ?v_5230)))) (let ((?v_5236 (=> ?v_5228 ?v_5232)) (?v_5235 (= k.233 4)) (?v_5053 (int_2_U inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0)) (?v_5233 (= k.233 3)) (?v_5231 (= k.233 2)) (?v_5227 (= k.233 1)) (?v_5222 (= k.233 0))) (let ((?v_5261 (=> true (=> (<= k.232 k.233) (=> (< k.233 5) (and (=> true (=> ?v_5222 (=> (= Mem_0_T.P_IRP.42 (MapType0Store Mem_0_T.P_IRP.41 ?v_5010 (MapType0Select Mem_0_T.P_IRP.41 ?v_5053))) (=> true (=> ?v_5223 (=> ?v_5228 (=> (= Mem_0_T.P_IRP.43 Mem_0_T.P_IRP.42) (=> ?v_5224 (=> ?v_5225 ?v_5226))))))))) (=> true (=> (not ?v_5222) (and (=> true (=> ?v_5227 (=> (= Mem_1_T.P_IRP.42 (MapType0Store Mem_1_T.P_IRP.41 ?v_5010 (MapType0Select Mem_1_T.P_IRP.41 ?v_5053))) (=> true (=> ?v_5223 (=> (= Mem_1_T.P_IRP.43 Mem_1_T.P_IRP.42) ?v_5232)))))) (=> true (=> (not ?v_5227) (and (=> true (=> ?v_5231 (=> (= Mem_2_T.P_IRP.42 (MapType0Store Mem_2_T.P_IRP.41 ?v_5010 (MapType0Select Mem_2_T.P_IRP.41 ?v_5053))) (=> true (=> ?v_5223 (=> ?v_5228 (=> ?v_5229 (=> (= Mem_2_T.P_IRP.43 Mem_2_T.P_IRP.42) ?v_5230)))))))) (=> true (=> (not ?v_5231) (and (=> true (=> ?v_5233 (=> (= Mem_3_T.P_IRP.42 (MapType0Store Mem_3_T.P_IRP.41 ?v_5010 (MapType0Select Mem_3_T.P_IRP.41 ?v_5053))) (=> true (=> (= Mem_3_T.P_IRP.43 Mem_3_T.P_IRP.42) ?v_5236))))) (=> true (=> (not ?v_5233) (and (=> true (=> ?v_5235 (=> (= Mem_4_T.P_IRP.42 (MapType0Store Mem_4_T.P_IRP.41 ?v_5010 (MapType0Select Mem_4_T.P_IRP.41 ?v_5053))) (=> true (=> ?v_5223 (=> ?v_5228 (=> ?v_5229 (=> ?v_5224 (=> (= Mem_4_T.P_IRP.43 Mem_4_T.P_IRP.42) ?v_5234))))))))) (=> true (=> (not ?v_5235) (=> true (=> ?v_5223 ?v_5236)))))))))))))))))))))) (let ((?v_5266 (=> true (=> (<= k.230 k.231) (=> (< k.231 5) (=> true (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.2.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..0) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.2.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..0 call67908formal.ret.0) (=> (= errorReached.44 errorReached.43) (=> (= Mem_0_T.CancelRoutine__IRP.61 Mem_0_T.CancelRoutine__IRP.60) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.2.myNondetVar_0.0) (=> (= Mem_1_T.P_IRP.41 Mem_1_T.P_IRP.40) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.2.myNondetVar_0.0) (=> (= Mem_0_T.P_IRP.41 Mem_0_T.P_IRP.40) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.6 inline.SerialGetNextIrpLocked.2.myVar_0.5) (=> (= Mem_4_T.CancelRoutine__IRP.61 Mem_4_T.CancelRoutine__IRP.60) (=> (= k.232 k.231) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.2.myVar_0.5) (=> (= Mem_3_T.CancelRoutine__IRP.61 Mem_3_T.CancelRoutine__IRP.60) (=> (= Mem_2_T.CancelRoutine__IRP.61 Mem_2_T.CancelRoutine__IRP.60) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= Mem_3_T.P_IRP.41 Mem_3_T.P_IRP.40) (=> (= Mem_2_T.P_IRP.41 Mem_2_T.P_IRP.40) (=> (= inline.RemoveHeadList.2.myNondetVar_0.2 inline.RemoveHeadList.2.myNondetVar_0.1) (=> (= Mem_1_T.CancelRoutine__IRP.61 Mem_1_T.CancelRoutine__IRP.60) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.2.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= Mem_4_T.P_IRP.41 Mem_4_T.P_IRP.40) ?v_5261))))))))))))))))))))))))))))))) (let ((?v_5274 (=> true ?v_5266)) (?v_5263 (= Mem_2_T.CancelRoutine__IRP.60 Mem_2_T.CancelRoutine__IRP.58)) (?v_5268 (= Mem_0_T.CancelRoutine__IRP.60 Mem_0_T.CancelRoutine__IRP.58)) (?v_5264 (= Mem_3_T.CancelRoutine__IRP.60 Mem_3_T.CancelRoutine__IRP.58)) (?v_5269 (= Mem_1_T.CancelRoutine__IRP.60 Mem_1_T.CancelRoutine__IRP.58)) (?v_5265 (= Mem_4_T.CancelRoutine__IRP.60 Mem_4_T.CancelRoutine__IRP.58))) (let ((?v_5270 (=> ?v_5265 ?v_5274))) (let ((?v_5272 (=> ?v_5269 ?v_5270))) (let ((?v_5276 (=> ?v_5268 (=> ?v_5264 ?v_5272))) (?v_5275 (= k.230 4)) (?v_5260 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.2.myVar_0.5))) (?v_5273 (= k.230 3)) (?v_5271 (= k.230 2)) (?v_5267 (= k.230 1)) (?v_5262 (= k.230 0))) (let ((?v_5284 (=> true (=> (<= k.229 k.230) (=> (< k.230 5) (and (=> true (=> ?v_5262 (=> (= Mem_0_T.CancelRoutine__IRP.59 (MapType0Store Mem_0_T.CancelRoutine__IRP.58 ?v_5260 ?v_46)) (=> true (=> ?v_5263 (=> (= Mem_0_T.CancelRoutine__IRP.60 Mem_0_T.CancelRoutine__IRP.59) (=> ?v_5264 (=> ?v_5269 (=> ?v_5265 ?v_5266))))))))) (=> true (=> (not ?v_5262) (and (=> true (=> ?v_5267 (=> (= Mem_1_T.CancelRoutine__IRP.59 (MapType0Store Mem_1_T.CancelRoutine__IRP.58 ?v_5260 ?v_46)) (=> true (=> ?v_5263 (=> ?v_5268 (=> ?v_5264 (=> (= Mem_1_T.CancelRoutine__IRP.60 Mem_1_T.CancelRoutine__IRP.59) ?v_5270)))))))) (=> true (=> (not ?v_5267) (and (=> true (=> ?v_5271 (=> (= Mem_2_T.CancelRoutine__IRP.59 (MapType0Store Mem_2_T.CancelRoutine__IRP.58 ?v_5260 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.60 Mem_2_T.CancelRoutine__IRP.59) ?v_5276))))) (=> true (=> (not ?v_5271) (and (=> true (=> ?v_5273 (=> (= Mem_3_T.CancelRoutine__IRP.59 (MapType0Store Mem_3_T.CancelRoutine__IRP.58 ?v_5260 ?v_46)) (=> true (=> ?v_5263 (=> ?v_5268 (=> (= Mem_3_T.CancelRoutine__IRP.60 Mem_3_T.CancelRoutine__IRP.59) ?v_5272))))))) (=> true (=> (not ?v_5273) (and (=> true (=> ?v_5275 (=> (= Mem_4_T.CancelRoutine__IRP.59 (MapType0Store Mem_4_T.CancelRoutine__IRP.58 ?v_5260 ?v_46)) (=> true (=> ?v_5263 (=> ?v_5268 (=> ?v_5264 (=> ?v_5269 (=> (= Mem_4_T.CancelRoutine__IRP.60 Mem_4_T.CancelRoutine__IRP.59) ?v_5274))))))))) (=> true (=> (not ?v_5275) (=> true (=> ?v_5263 ?v_5276)))))))))))))))))))))) (let ((?v_5286 (=> (= errorReached.43 errorReached.42) ?v_5284)) (?v_5285 (= inline.SerialGetNextIrpLocked.2.myVar_0.5 hirp)) (?v_5282 (= k.229 k.228)) (?v_5283 (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..0 call67817formal.ret.0)) (?v_5277 (= k.228 0)) (?v_5278 (= k.228 1)) (?v_5279 (= k.228 2)) (?v_5280 (= k.228 3)) (?v_5281 (= k.228 4))) (let ((?v_5288 (and (=> true (=> ?v_5285 (=> true (=> (<= k.227 k.228) (=> (< k.228 5) (and (=> true (=> (=> ?v_5277 ?v_5255) (=> (=> ?v_5278 ?v_5256) (=> (=> ?v_5279 ?v_5257) (=> (=> ?v_5280 ?v_5258) (=> (=> ?v_5281 ?v_5259) (=> true (=> ?v_5282 (=> ?v_5283 (=> (= errorReached.43 1) ?v_5284)))))))))) (=> true (=> (=> ?v_5277 ?v_5187) (=> (=> ?v_5278 ?v_5189) (=> (=> ?v_5279 ?v_5191) (=> (=> ?v_5280 ?v_5193) (=> (=> ?v_5281 ?v_5195) (=> true (=> ?v_5282 (=> ?v_5283 ?v_5286))))))))))))))) (=> true (=> (not ?v_5285) (=> true (=> (= k.229 k.227) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2.) ?v_5286)))))))) (let ((?v_5290 (=> true (=> true ?v_5288))) (?v_5293 (= k.227 4)) (?v_5292 (= k.227 3)) (?v_5291 (= k.227 2)) (?v_5289 (= k.227 1)) (?v_5287 (= k.227 0))) (let ((?v_5296 (=> true (=> (<= k.226 k.227) (=> (< k.227 5) (and (=> true (=> ?v_5287 (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.58 ?v_5260))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_5288))))) (=> true (=> (not ?v_5287) (and (=> true (=> ?v_5289 (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.58 ?v_5260))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_5290))))) (=> true (=> (not ?v_5289) (and (=> true (=> ?v_5291 (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.58 ?v_5260))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_5290))))) (=> true (=> (not ?v_5291) (and (=> true (=> ?v_5292 (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.58 ?v_5260))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_5290))))) (=> true (=> (not ?v_5292) (and (=> true (=> ?v_5293 (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.58 ?v_5260))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_5290))))) (=> true (=> (not ?v_5293) (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_5290)))))))))))))))))))))) (let ((?v_5299 (=> true (=> true (=> true (=> true ?v_5296))))) (?v_5304 (= k.226 4)) (?v_5303 (U_2_int (MapType0Select Mem_4_T.P_IRP.40 ?v_5053))) (?v_5302 (= k.226 3)) (?v_5301 (U_2_int (MapType0Select Mem_3_T.P_IRP.40 ?v_5053))) (?v_5300 (= k.226 2)) (?v_5298 (U_2_int (MapType0Select Mem_2_T.P_IRP.40 ?v_5053))) (?v_5297 (= k.226 1)) (?v_5295 (U_2_int (MapType0Select Mem_1_T.P_IRP.40 ?v_5053))) (?v_5294 (= k.226 0)) (?v_5254 (U_2_int (MapType0Select Mem_0_T.P_IRP.40 ?v_5053))) (?v_5253 (= k.225 0)) (?v_5305 (= k.225 1)) (?v_5311 (= k.225 2)) (?v_5315 (= k.225 3)) (?v_5317 (= k.225 4))) (let ((?v_5310 (=> true (=> (=> ?v_5253 (not (= ?v_5254 hirp))) (=> (=> ?v_5305 (not (= ?v_5295 hirp))) (=> (=> ?v_5311 (not (= ?v_5298 hirp))) (=> (=> ?v_5315 (not (= ?v_5301 hirp))) (=> (=> ?v_5317 (not (= ?v_5303 hirp))) (=> true (=> (<= k.225 k.226) (=> (< k.226 5) (and (=> true (=> ?v_5294 (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.1 ?v_5254) (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.5 inline.SerialGetNextIrpLocked.2.myVar_0.1) ?v_5296))))) (=> true (=> (not ?v_5294) (and (=> true (=> ?v_5297 (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.0 ?v_5295) (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.5 inline.SerialGetNextIrpLocked.2.myVar_0.0) ?v_5299))))) (=> true (=> (not ?v_5297) (and (=> true (=> ?v_5300 (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.4 ?v_5298) (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.5 inline.SerialGetNextIrpLocked.2.myVar_0.4) ?v_5299))))) (=> true (=> (not ?v_5300) (and (=> true (=> ?v_5302 (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.3 ?v_5301) (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.5 inline.SerialGetNextIrpLocked.2.myVar_0.3) ?v_5299))))) (=> true (=> (not ?v_5302) (and (=> true (=> ?v_5304 (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.2 ?v_5303) (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.5 inline.SerialGetNextIrpLocked.2.myVar_0.2) ?v_5299))))) (=> true (=> (not ?v_5304) (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.5 inline.SerialGetNextIrpLocked.2.myVar_0) ?v_5299)))))))))))))))))))))))))))) (let ((?v_5318 (=> true ?v_5310)) (?v_5307 (= Mem_3_T.P_IRP.40 Mem_3_T.P_IRP.36)) (?v_5312 (= Mem_1_T.P_IRP.40 Mem_1_T.P_IRP.36)) (?v_5313 (= Mem_0_T.P_IRP.40 Mem_0_T.P_IRP.36)) (?v_5308 (= Mem_2_T.P_IRP.40 Mem_2_T.P_IRP.36)) (?v_5309 (= Mem_4_T.P_IRP.40 Mem_4_T.P_IRP.36))) (let ((?v_5314 (=> ?v_5309 ?v_5318))) (let ((?v_5316 (=> ?v_5313 (=> ?v_5308 ?v_5314)))) (let ((?v_5319 (=> ?v_5312 ?v_5316)) (?v_5306 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.2.myNondetVar_0.0 1 88))) (?v_5252 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 0)) (?v_5241 (=> true (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3310.4.2.) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3.) (=> (= errorReached.44 errorReached.42) (=> (= Mem_0_T.CancelRoutine__IRP.61 Mem_0_T.CancelRoutine__IRP.58) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList) (=> (= Mem_1_T.P_IRP.41 Mem_1_T.P_IRP.38) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= Mem_0_T.P_IRP.41 Mem_0_T.P_IRP.38) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.6 inline.SerialGetNextIrpLocked.2.myVar_0) (=> (= Mem_4_T.CancelRoutine__IRP.61 Mem_4_T.CancelRoutine__IRP.58) (=> (= k.232 k.224) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= Mem_3_T.CancelRoutine__IRP.61 Mem_3_T.CancelRoutine__IRP.58) (=> (= Mem_2_T.CancelRoutine__IRP.61 Mem_2_T.CancelRoutine__IRP.58) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_3_T.P_IRP.41 Mem_3_T.P_IRP.38) (=> (= Mem_2_T.P_IRP.41 Mem_2_T.P_IRP.38) (=> (= inline.RemoveHeadList.2.myNondetVar_0.2 inline.RemoveHeadList.2.myNondetVar_0) (=> (= Mem_1_T.CancelRoutine__IRP.61 Mem_1_T.CancelRoutine__IRP.58) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= Mem_4_T.P_IRP.41 Mem_4_T.P_IRP.38) ?v_5261)))))))))))))))))))))))))))) (let ((?v_5249 (=> true ?v_5241)) (?v_5238 (= Mem_3_T.P_IRP.38 Mem_3_T.P_IRP.36)) (?v_5243 (= Mem_1_T.P_IRP.38 Mem_1_T.P_IRP.36)) (?v_5244 (= Mem_0_T.P_IRP.38 Mem_0_T.P_IRP.36)) (?v_5239 (= Mem_2_T.P_IRP.38 Mem_2_T.P_IRP.36)) (?v_5240 (= Mem_4_T.P_IRP.38 Mem_4_T.P_IRP.36))) (let ((?v_5245 (=> ?v_5240 ?v_5249))) (let ((?v_5247 (=> ?v_5244 (=> ?v_5239 ?v_5245)))) (let ((?v_5251 (=> ?v_5243 ?v_5247)) (?v_5250 (= k.224 4)) (?v_5248 (= k.224 3)) (?v_5246 (= k.224 2)) (?v_5242 (= k.224 1)) (?v_5237 (= k.224 0))) (let ((?v_5321 (=> true (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.3.myNondetVar_0.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0))) (and (=> true (=> (not ?v_5252) (=> true (=> (<= k.223 k.224) (=> (< k.224 5) (and (=> true (=> ?v_5237 (=> (= Mem_0_T.P_IRP.37 (MapType0Store Mem_0_T.P_IRP.36 ?v_5053 ?v_46)) (=> true (=> ?v_5238 (=> ?v_5243 (=> (= Mem_0_T.P_IRP.38 Mem_0_T.P_IRP.37) (=> ?v_5239 (=> ?v_5240 ?v_5241))))))))) (=> true (=> (not ?v_5237) (and (=> true (=> ?v_5242 (=> (= Mem_1_T.P_IRP.37 (MapType0Store Mem_1_T.P_IRP.36 ?v_5053 ?v_46)) (=> true (=> ?v_5238 (=> (= Mem_1_T.P_IRP.38 Mem_1_T.P_IRP.37) ?v_5247)))))) (=> true (=> (not ?v_5242) (and (=> true (=> ?v_5246 (=> (= Mem_2_T.P_IRP.37 (MapType0Store Mem_2_T.P_IRP.36 ?v_5053 ?v_46)) (=> true (=> ?v_5238 (=> ?v_5243 (=> ?v_5244 (=> (= Mem_2_T.P_IRP.38 Mem_2_T.P_IRP.37) ?v_5245)))))))) (=> true (=> (not ?v_5246) (and (=> true (=> ?v_5248 (=> (= Mem_3_T.P_IRP.37 (MapType0Store Mem_3_T.P_IRP.36 ?v_5053 ?v_46)) (=> true (=> (= Mem_3_T.P_IRP.38 Mem_3_T.P_IRP.37) ?v_5251))))) (=> true (=> (not ?v_5248) (and (=> true (=> ?v_5250 (=> (= Mem_4_T.P_IRP.37 (MapType0Store Mem_4_T.P_IRP.36 ?v_5053 ?v_46)) (=> true (=> ?v_5238 (=> ?v_5243 (=> ?v_5244 (=> ?v_5239 (=> (= Mem_4_T.P_IRP.38 Mem_4_T.P_IRP.37) ?v_5249))))))))) (=> true (=> (not ?v_5250) (=> true (=> ?v_5238 ?v_5251)))))))))))))))))))))) (=> true (=> ?v_5252 (=> true (=> (<= k.223 k.225) (=> (< k.225 5) (and (=> true (=> ?v_5253 (=> (= Mem_0_T.P_IRP.39 (MapType0Store Mem_0_T.P_IRP.36 ?v_5053 ?v_5306)) (=> true (=> ?v_5307 (=> ?v_5312 (=> (= Mem_0_T.P_IRP.40 Mem_0_T.P_IRP.39) (=> ?v_5308 (=> ?v_5309 ?v_5310))))))))) (=> true (=> (not ?v_5253) (and (=> true (=> ?v_5305 (=> (= Mem_1_T.P_IRP.39 (MapType0Store Mem_1_T.P_IRP.36 ?v_5053 ?v_5306)) (=> true (=> ?v_5307 (=> (= Mem_1_T.P_IRP.40 Mem_1_T.P_IRP.39) ?v_5316)))))) (=> true (=> (not ?v_5305) (and (=> true (=> ?v_5311 (=> (= Mem_2_T.P_IRP.39 (MapType0Store Mem_2_T.P_IRP.36 ?v_5053 ?v_5306)) (=> true (=> ?v_5307 (=> ?v_5312 (=> ?v_5313 (=> (= Mem_2_T.P_IRP.40 Mem_2_T.P_IRP.39) ?v_5314)))))))) (=> true (=> (not ?v_5311) (and (=> true (=> ?v_5315 (=> (= Mem_3_T.P_IRP.39 (MapType0Store Mem_3_T.P_IRP.36 ?v_5053 ?v_5306)) (=> true (=> (= Mem_3_T.P_IRP.40 Mem_3_T.P_IRP.39) ?v_5319))))) (=> true (=> (not ?v_5315) (and (=> true (=> ?v_5317 (=> (= Mem_4_T.P_IRP.39 (MapType0Store Mem_4_T.P_IRP.36 ?v_5053 ?v_5306)) (=> true (=> ?v_5307 (=> ?v_5312 (=> ?v_5313 (=> ?v_5308 (=> (= Mem_4_T.P_IRP.40 Mem_4_T.P_IRP.39) ?v_5318))))))))) (=> true (=> (not ?v_5317) (=> true (=> ?v_5307 ?v_5319))))))))))))))))))))))))))) (let ((?v_5323 (=> true (=> true (=> true (=> true ?v_5321))))) (?v_5326 (= k.223 4)) (?v_5325 (= k.223 3)) (?v_5324 (= k.223 2)) (?v_5322 (= k.223 1)) (?v_5320 (= k.223 0))) (let ((?v_5331 (=> true (=> (<= k.222 k.223) (=> (< k.223 5) (and (=> true (=> ?v_5320 (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.4 (U_2_int (MapType0Select Mem_0_T.P_IRP.36 ?v_5053))) (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.4) ?v_5321))))) (=> true (=> (not ?v_5320) (and (=> true (=> ?v_5322 (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.3 (U_2_int (MapType0Select Mem_1_T.P_IRP.36 ?v_5053))) (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.3) ?v_5323))))) (=> true (=> (not ?v_5322) (and (=> true (=> ?v_5324 (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 (U_2_int (MapType0Select Mem_2_T.P_IRP.36 ?v_5053))) (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2) ?v_5323))))) (=> true (=> (not ?v_5324) (and (=> true (=> ?v_5325 (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_3_T.P_IRP.36 ?v_5053))) (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_5323))))) (=> true (=> (not ?v_5325) (and (=> true (=> ?v_5326 (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_4_T.P_IRP.36 ?v_5053))) (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_5323))))) (=> true (=> (not ?v_5326) (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_5323)))))))))))))))))))))) (let ((?v_5337 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5331))))))))) (?v_5333 (= cancelLockStatus_1.44 cancelLockStatus_1.43)) (?v_5334 (= cancelLockStatus_0.44 cancelLockStatus_0.43)) (?v_5328 (= cancelLockStatus_2.44 cancelLockStatus_2.43)) (?v_5329 (= cancelLockStatus_4.44 cancelLockStatus_4.43)) (?v_5330 (= cancelLockStatus_3.44 cancelLockStatus_3.43))) (let ((?v_5339 (=> ?v_5330 ?v_5337))) (let ((?v_5335 (=> ?v_5329 ?v_5339))) (let ((?v_5340 (=> ?v_5334 (=> ?v_5328 ?v_5335))) (?v_5338 (= k.222 4)) (?v_5336 (= k.222 3)) (?v_5332 (= k.222 2)) (?v_5327 (= k.222 1)) (?v_5052 (= k.222 0)) (?v_5051 (int_2_U call66341formal.new.0))) (let ((?v_5385 (=> true (and ?v_11 (=> ?v_11 (=> (> call66341formal.new.0 0) (=> (forall ((?x1645 Int)) (! (=> (and (<= call66341formal.new.0 ?x1645) (< ?x1645 (+ call66341formal.new.0 1))) (= (Base ?x1645) call66341formal.new.0)) :pattern ((Base ?x1645)) )) (=> (forall ((?x1646 boogieU)) (! (=> (= (type ?x1646) intType) (or (= (U_2_int ?x1646) call66341formal.new.0) (= (MapType0Select alloc.65 ?x1646) (MapType0Select alloc.66 ?x1646)))) :pattern ((MapType0Select alloc.66 ?x1646)) )) (=> (and (= (MapType0Select alloc.65 ?v_5051) UNALLOCATED) (= (MapType0Select alloc.66 ?v_5051) ALLOCATED)) (=> true (=> (<= k.221 k.222) (=> (< k.222 5) (=> true (=> (=> ?v_5052 (= cancelLockStatus_0.43 0)) (=> (=> ?v_5327 (= cancelLockStatus_1.43 0)) (=> (=> ?v_5332 (= cancelLockStatus_2.43 0)) (=> (=> ?v_5336 (= cancelLockStatus_3.43 0)) (=> (=> ?v_5338 (= cancelLockStatus_4.43 0)) (and (=> true (=> ?v_5052 (=> true (=> ?v_5333 (=> (= cancelLockStatus_0.44 1) (=> ?v_5328 (=> ?v_5329 (=> ?v_5330 ?v_5331)))))))) (=> true (=> (not ?v_5052) (and (=> true (=> ?v_5327 (=> true (=> (= cancelLockStatus_1.44 1) ?v_5340)))) (=> true (=> (not ?v_5327) (and (=> true (=> ?v_5332 (=> true (=> ?v_5333 (=> ?v_5334 (=> (= cancelLockStatus_2.44 1) ?v_5335)))))) (=> true (=> (not ?v_5332) (and (=> true (=> ?v_5336 (=> true (=> ?v_5333 (=> ?v_5334 (=> ?v_5328 (=> ?v_5329 (=> (= cancelLockStatus_3.44 1) ?v_5337)))))))) (=> true (=> (not ?v_5336) (and (=> true (=> ?v_5338 (=> true (=> ?v_5333 (=> ?v_5334 (=> ?v_5328 (=> (= cancelLockStatus_4.44 1) ?v_5339))))))) (=> true (=> (not ?v_5338) (=> true (=> ?v_5333 ?v_5340))))))))))))))))))))))))))))))))))) (let ((?v_5627 (=> true (=> true ?v_5385))) (?v_5569 (= inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1.)) (?v_5570 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite)) (?v_5571 (= alloc.65 alloc.62)) (?v_5572 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.3 inline.sdv_InterlockedIncrement.2.myNondetVar_0)) (?v_5573 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_5574 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5575 (= Mem_1_T.CancelRoutine__IRP.58 Mem_1_T.CancelRoutine__IRP.53)) (?v_5576 (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5577 (= Mem_2_T.CancelRoutine__IRP.58 Mem_2_T.CancelRoutine__IRP.53)) (?v_5578 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.17)) (?v_5579 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_5580 (= Mem_0_T.P_IRP.36 Mem_0_T.P_IRP.32)) (?v_5581 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5582 (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.)) (?v_5583 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_5584 (= errorReached.42 errorReached.38)) (?v_5585 (= inline.SerialGetNextWrite.1.myNondetVar_2.3 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_5586 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_5587 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5588 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_5589 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_5590 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.)) (?v_5591 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_5592 (= Mem_4_T.P_IRP.36 Mem_4_T.P_IRP.32)) (?v_5593 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_5594 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3.)) (?v_5595 (= inline.KeSynchronizeExecution.4.myNondetVar_0.8 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_5596 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5597 (= Mem_1_T.P_IRP.36 Mem_1_T.P_IRP.32)) (?v_5598 (= Mem_2_T.P_IRP.36 Mem_2_T.P_IRP.32)) (?v_5599 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5600 (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5601 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5602 (= Mem_0_T.CancelRoutine__IRP.58 Mem_0_T.CancelRoutine__IRP.53)) (?v_5603 (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.)) (?v_5604 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_5605 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5606 (= Mem_3_T.P_IRP.36 Mem_3_T.P_IRP.32)) (?v_5607 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_5608 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_5609 (= inline.SerialGetNextWrite.1.myVar_0.18 inline.SerialGetNextWrite.1.myVar_0.17)) (?v_5610 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.4 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_5611 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5612 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_5613 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_5614 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5615 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_5616 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.)) (?v_5617 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_5618 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.17)) (?v_5619 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_5620 (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1.)) (?v_5621 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5622 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_5623 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_5624 (= Mem_4_T.CancelRoutine__IRP.58 Mem_4_T.CancelRoutine__IRP.53)) (?v_5625 (= inline.SerialSetTimer.1.myNondetVar_0.6 inline.SerialSetTimer.1.myNondetVar_0)) (?v_5626 (= Mem_3_T.CancelRoutine__IRP.58 Mem_3_T.CancelRoutine__IRP.53)) (?v_5568 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_5390 (=> true (=> ?v_5569 (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5) (=> (= alloc.65 alloc.64) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.3 inline.sdv_InterlockedIncrement.2.myNondetVar_0.2) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.4 inline.SerialGetNextWrite.1.myNondetVar_1.3) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= Mem_1_T.CancelRoutine__IRP.58 Mem_1_T.CancelRoutine__IRP.57) (=> ?v_5576 (=> (= Mem_2_T.CancelRoutine__IRP.58 Mem_2_T.CancelRoutine__IRP.57) (=> ?v_5578 (=> (= k.221 k.220) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1) (=> (= Mem_0_T.P_IRP.36 Mem_0_T.P_IRP.35) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_5582 (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1) (=> (= errorReached.42 errorReached.41) (=> (= cancelLockStatus_4.43 cancelLockStatus_4.42) (=> (= cancelLockStatus_0.43 cancelLockStatus_0.42) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.3 inline.SerialGetNextWrite.1.myNondetVar_2.2) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= cancelLockStatus_1.43 cancelLockStatus_1.42) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0) (=> (= Mem_4_T.P_IRP.36 Mem_4_T.P_IRP.35) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> (= cancelLockStatus_2.43 cancelLockStatus_2.42) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..0) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.8 inline.KeSynchronizeExecution.4.myNondetVar_0.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= Mem_1_T.P_IRP.36 Mem_1_T.P_IRP.35) (=> (= Mem_2_T.P_IRP.36 Mem_2_T.P_IRP.35) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_5600 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= Mem_0_T.CancelRoutine__IRP.58 Mem_0_T.CancelRoutine__IRP.57) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0 call68849formal.ret.0) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> ?v_5605 (=> (= Mem_3_T.P_IRP.36 Mem_3_T.P_IRP.35) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.5 inline.SerialGetNextWrite.1.tempBoogie0.4) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1) (=> (= cancelLockStatus_3.43 cancelLockStatus_3.42) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0) (=> ?v_5609 (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.4 inline.sdv_InterlockedDecrement.9.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_5614 (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..1) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0) (=> ?v_5618 (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..0 call68487formal.ret.0) (=> ?v_5621 (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.16 inline.SerialGetNextWrite.1.myNondetVar_0.15) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0) (=> (= Mem_4_T.CancelRoutine__IRP.58 Mem_4_T.CancelRoutine__IRP.57) (=> (= inline.SerialSetTimer.1.myNondetVar_0.6 inline.SerialSetTimer.1.myNondetVar_0.5) (=> (= Mem_3_T.CancelRoutine__IRP.58 Mem_3_T.CancelRoutine__IRP.57) ?v_5627)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5396 (=> true (=> true (=> true (=> true ?v_5390))))) (?v_5392 (= cancelLockStatus_1.42 cancelLockStatus_1.40)) (?v_5393 (= cancelLockStatus_0.42 cancelLockStatus_0.40)) (?v_5387 (= cancelLockStatus_2.42 cancelLockStatus_2.40)) (?v_5388 (= cancelLockStatus_4.42 cancelLockStatus_4.40)) (?v_5389 (= cancelLockStatus_3.42 cancelLockStatus_3.40))) (let ((?v_5398 (=> ?v_5389 ?v_5396))) (let ((?v_5394 (=> ?v_5388 ?v_5398))) (let ((?v_5400 (=> ?v_5393 (=> ?v_5387 ?v_5394))) (?v_5399 (= k.220 4)) (?v_5397 (= k.220 3)) (?v_5395 (= k.220 2)) (?v_5391 (= k.220 1)) (?v_5386 (= k.220 0))) (let ((?v_5451 (=> true (=> (<= k.219 k.220) (=> (< k.220 5) (and (=> true (=> ?v_5386 (=> true (=> ?v_5392 (=> (= cancelLockStatus_0.42 0) (=> ?v_5387 (=> ?v_5388 (=> ?v_5389 ?v_5390)))))))) (=> true (=> (not ?v_5386) (and (=> true (=> ?v_5391 (=> true (=> (= cancelLockStatus_1.42 0) ?v_5400)))) (=> true (=> (not ?v_5391) (and (=> true (=> ?v_5395 (=> true (=> ?v_5392 (=> ?v_5393 (=> (= cancelLockStatus_2.42 0) ?v_5394)))))) (=> true (=> (not ?v_5395) (and (=> true (=> ?v_5397 (=> true (=> ?v_5392 (=> ?v_5393 (=> ?v_5387 (=> ?v_5388 (=> (= cancelLockStatus_3.42 0) ?v_5396)))))))) (=> true (=> (not ?v_5397) (and (=> true (=> ?v_5399 (=> true (=> ?v_5392 (=> ?v_5393 (=> ?v_5387 (=> (= cancelLockStatus_4.42 0) ?v_5398))))))) (=> true (=> (not ?v_5399) (=> true (=> ?v_5392 ?v_5400)))))))))))))))))))))) (let ((?v_5465 (=> true (=> true (=> true ?v_5451)))) (?v_5403 (= alloc.64 alloc.62)) (?v_5404 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.2 inline.sdv_InterlockedIncrement.2.myNondetVar_0)) (?v_5405 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_5469 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_5408 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5470 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0)) (?v_5471 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_5472 (= k.219 k.218)) (?v_5412 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_5473 (= inline.KeSynchronizeExecution.4.myNondetVar_0.7 inline.KeSynchronizeExecution.4.myNondetVar_0.6)) (?v_5414 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5474 (= Mem_1_T.CancelRoutine__IRP.57 Mem_1_T.CancelRoutine__IRP.56)) (?v_5417 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_5475 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5)) (?v_5476 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5)) (?v_5420 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.)) (?v_5477 (= Mem_4_T.P_IRP.35 Mem_4_T.P_IRP.34)) (?v_5478 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0)) (?v_5479 (= Mem_2_T.CancelRoutine__IRP.57 Mem_2_T.CancelRoutine__IRP.56)) (?v_5480 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..0 call69244formal.ret.0)) (?v_5481 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5482 (= Mem_1_T.P_IRP.35 Mem_1_T.P_IRP.34)) (?v_5483 (= Mem_2_T.P_IRP.35 Mem_2_T.P_IRP.34)) (?v_5484 (= errorReached.41 errorReached.40)) (?v_5429 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5485 (= Mem_0_T.CancelRoutine__IRP.57 Mem_0_T.CancelRoutine__IRP.56)) (?v_5486 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr)) (?v_5487 (= Mem_0_T.P_IRP.35 Mem_0_T.P_IRP.34)) (?v_5488 (= Mem_3_T.P_IRP.35 Mem_3_T.P_IRP.34)) (?v_5489 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0)) (?v_5436 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_5437 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_5438 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.3 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_5490 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5)) (?v_5440 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_5491 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff)) (?v_5492 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5)) (?v_5493 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..0)) (?v_5444 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_5494 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5)) (?v_5495 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_5447 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_5496 (= Mem_4_T.CancelRoutine__IRP.57 Mem_4_T.CancelRoutine__IRP.56)) (?v_5449 (= inline.SerialSetTimer.1.myNondetVar_0.5 inline.SerialSetTimer.1.myNondetVar_0))) (let ((?v_5497 (=> (= Mem_3_T.CancelRoutine__IRP.57 Mem_3_T.CancelRoutine__IRP.56) ?v_5465))) (let ((?v_5466 (=> true (=> (forall ((?r15 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.1.myNondetVar_1.2 ?r15) 0)) (not (= (BIT_BAND 4 ?r15) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_2.1 4) ?r15) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.12 4) ?r15)) )) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.3 (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.13 4)) (=> true (=> (= alloc.64 alloc.63) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.2 inline.sdv_InterlockedIncrement.2.myNondetVar_0.1) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0 call65666formal.new.0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.3 inline.SerialGetNextWrite.1.myNondetVar_1.2) (=> ?v_5469 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5) (=> ?v_5470 (=> ?v_5471 (=> ?v_5472 (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_5473 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.2 inline.SerialGetNextWrite.1.myNondetVar_2.1) (=> ?v_5474 (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0 call69607formal.ret.0) (=> ?v_5475 (=> ?v_5476 (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0 call69607formal.ret.0) (=> ?v_5477 (=> ?v_5478 (=> ?v_5479 (=> ?v_5480 (=> ?v_5481 (=> ?v_5482 (=> ?v_5483 (=> ?v_5484 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_5485 (=> ?v_5486 (=> ?v_5487 (=> ?v_5488 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.4 inline.SerialGetNextWrite.1.tempBoogie0.3) (=> ?v_5489 (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0 call69557formal.new.0) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.3 inline.sdv_InterlockedDecrement.9.myNondetVar_0.2) (=> ?v_5490 (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_5491 (=> ?v_5492 (=> ?v_5493 (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_5494 (=> ?v_5495 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.13) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0 4) (=> ?v_5496 (=> (= inline.SerialSetTimer.1.myNondetVar_0.5 inline.SerialSetTimer.1.myNondetVar_0.4) ?v_5497))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5462 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 hirp))) (let ((?v_5515 (not ?v_5462))) (let ((?v_5468 (and (=> true (=> ?v_5462 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5466)))) (=> true (=> ?v_5515 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5466)))))))))) (?v_5467 (= call69607formal.ret.0 0)) (?v_5464 (int_2_U call69557formal.new.0)) (?v_5463 (XoffCountTimer__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (?v_6245 (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5))) (let ((?v_5498 (and (=> true (=> (not (= inline.SerialGetNextWrite.1.myNondetVar_0.9 0)) (=> true (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0 ?v_5463) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0 ?v_6245) (=> true (and ?v_73 (=> ?v_73 (=> (> call69557formal.new.0 0) (=> (forall ((?x1647 Int)) (! (=> (and (<= call69557formal.new.0 ?x1647) (< ?x1647 (+ call69557formal.new.0 8))) (= (Base ?x1647) call69557formal.new.0)) :pattern ((Base ?x1647)) )) (=> (forall ((?x1648 boogieU)) (! (=> (= (type ?x1648) intType) (or (= (U_2_int ?x1648) call69557formal.new.0) (= (MapType0Select alloc.62 ?x1648) (MapType0Select alloc.63 ?x1648)))) :pattern ((MapType0Select alloc.63 ?x1648)) )) (=> (and (= (MapType0Select alloc.62 ?v_5464) UNALLOCATED) (= (MapType0Select alloc.63 ?v_5464) ALLOCATED)) (=> (= (Base call65666formal.new.0) call65666formal.new.0) (and (=> true (=> (not ?v_5467) (=> true (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.2 inline.sdv_InterlockedDecrement.9.myNondetVar_0.1) ?v_5468)))) (=> true (=> ?v_5467 (=> true (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.2 inline.sdv_InterlockedDecrement.9.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5468))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.11 0) (=> true (=> ?v_5403 (=> ?v_5404 (=> ?v_5405 (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.3 inline.SerialGetNextWrite.1.myNondetVar_1.1) (=> ?v_5469 (=> ?v_5408 (=> ?v_5470 (=> ?v_5471 (=> ?v_5472 (=> ?v_5412 (=> ?v_5473 (=> ?v_5414 (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.2 inline.SerialGetNextWrite.1.myNondetVar_2.0) (=> ?v_5474 (=> ?v_5417 (=> ?v_5475 (=> ?v_5476 (=> ?v_5420 (=> ?v_5477 (=> ?v_5478 (=> ?v_5479 (=> ?v_5480 (=> ?v_5481 (=> ?v_5482 (=> ?v_5483 (=> ?v_5484 (=> ?v_5429 (=> ?v_5485 (=> ?v_5486 (=> ?v_5487 (=> ?v_5488 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.4 inline.SerialGetNextWrite.1.tempBoogie0.2) (=> ?v_5489 (=> ?v_5436 (=> ?v_5437 (=> ?v_5438 (=> ?v_5490 (=> ?v_5440 (=> ?v_5491 (=> ?v_5492 (=> ?v_5493 (=> ?v_5444 (=> ?v_5494 (=> ?v_5495 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.11) (=> ?v_5447 (=> ?v_5496 (=> ?v_5449 ?v_5497)))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5504 (and (=> true (=> ?v_1934 (=> true (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.4..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.6 inline.KeSynchronizeExecution.4.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.4..result.SynchronizeRoutine.4679.26.2.) ?v_5498)))))) (=> true (=> ?v_530 (=> true (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.6 inline.KeSynchronizeExecution.4.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true (=> true ?v_5498))))))))))))) (let ((?v_5512 (=> true (=> true (=> true (=> true (=> true (=> true ?v_5504))))))) (?v_5501 (= Mem_3_T.P_IRP.34 Mem_3_T.P_IRP.32)) (?v_5506 (= Mem_1_T.P_IRP.34 Mem_1_T.P_IRP.32)) (?v_5507 (= Mem_0_T.P_IRP.34 Mem_0_T.P_IRP.32)) (?v_5502 (= Mem_2_T.P_IRP.34 Mem_2_T.P_IRP.32)) (?v_5503 (= Mem_4_T.P_IRP.34 Mem_4_T.P_IRP.32))) (let ((?v_5508 (=> ?v_5503 ?v_5512))) (let ((?v_5510 (=> ?v_5507 (=> ?v_5502 ?v_5508)))) (let ((?v_5514 (=> ?v_5506 ?v_5510)) (?v_5513 (= k.218 4)) (?v_5024 (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5))) (let ((?v_5019 (int_2_U ?v_5024)) (?v_5500 (int_2_U inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5)) (?v_5511 (= k.218 3)) (?v_5509 (= k.218 2)) (?v_5505 (= k.218 1)) (?v_5499 (= k.218 0))) (let ((?v_5516 (=> true (=> (forall ((?r16 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.1.myNondetVar_1.1 ?r16) 0)) (not (= (BIT_BAND 2 ?r16) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_2.0 2) ?r16) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.6 2) ?r16)) )) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.7 2)) (=> true (=> (<= k.217 k.218) (=> (< k.218 5) (and (=> true (=> ?v_5499 (=> (= Mem_0_T.P_IRP.33 (MapType0Store Mem_0_T.P_IRP.32 ?v_5019 ?v_5500)) (=> true (=> ?v_5501 (=> ?v_5506 (=> (= Mem_0_T.P_IRP.34 Mem_0_T.P_IRP.33) (=> ?v_5502 (=> ?v_5503 ?v_5504))))))))) (=> true (=> (not ?v_5499) (and (=> true (=> ?v_5505 (=> (= Mem_1_T.P_IRP.33 (MapType0Store Mem_1_T.P_IRP.32 ?v_5019 ?v_5500)) (=> true (=> ?v_5501 (=> (= Mem_1_T.P_IRP.34 Mem_1_T.P_IRP.33) ?v_5510)))))) (=> true (=> (not ?v_5505) (and (=> true (=> ?v_5509 (=> (= Mem_2_T.P_IRP.33 (MapType0Store Mem_2_T.P_IRP.32 ?v_5019 ?v_5500)) (=> true (=> ?v_5501 (=> ?v_5506 (=> ?v_5507 (=> (= Mem_2_T.P_IRP.34 Mem_2_T.P_IRP.33) ?v_5508)))))))) (=> true (=> (not ?v_5509) (and (=> true (=> ?v_5511 (=> (= Mem_3_T.P_IRP.33 (MapType0Store Mem_3_T.P_IRP.32 ?v_5019 ?v_5500)) (=> true (=> (= Mem_3_T.P_IRP.34 Mem_3_T.P_IRP.33) ?v_5514))))) (=> true (=> (not ?v_5511) (and (=> true (=> ?v_5513 (=> (= Mem_4_T.P_IRP.33 (MapType0Store Mem_4_T.P_IRP.32 ?v_5019 ?v_5500)) (=> true (=> ?v_5501 (=> ?v_5506 (=> ?v_5507 (=> ?v_5502 (=> (= Mem_4_T.P_IRP.34 Mem_4_T.P_IRP.33) ?v_5512))))))))) (=> true (=> (not ?v_5513) (=> true (=> ?v_5501 ?v_5514))))))))))))))))))))))))) (let ((?v_5521 (=> true (=> (<= k.216 k.217) (=> (< k.217 5) (and (=> true (=> ?v_5462 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5516)))) (=> true (=> ?v_5515 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5516)))))))))))))) (let ((?v_5529 (=> true ?v_5521)) (?v_5518 (= Mem_2_T.CancelRoutine__IRP.56 Mem_2_T.CancelRoutine__IRP.53)) (?v_5523 (= Mem_0_T.CancelRoutine__IRP.56 Mem_0_T.CancelRoutine__IRP.53)) (?v_5519 (= Mem_3_T.CancelRoutine__IRP.56 Mem_3_T.CancelRoutine__IRP.53)) (?v_5524 (= Mem_1_T.CancelRoutine__IRP.56 Mem_1_T.CancelRoutine__IRP.53)) (?v_5520 (= Mem_4_T.CancelRoutine__IRP.56 Mem_4_T.CancelRoutine__IRP.53))) (let ((?v_5525 (=> ?v_5520 ?v_5529))) (let ((?v_5527 (=> ?v_5524 ?v_5525))) (let ((?v_5531 (=> ?v_5523 (=> ?v_5519 ?v_5527))) (?v_5530 (= k.216 4)) (?v_5461 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5))) (?v_5528 (= k.216 3)) (?v_5526 (= k.216 2)) (?v_5522 (= k.216 1)) (?v_5517 (= k.216 0))) (let ((?v_5539 (=> true (=> (<= k.215 k.216) (=> (< k.216 5) (and (=> true (=> ?v_5517 (=> (= Mem_0_T.CancelRoutine__IRP.55 (MapType0Store Mem_0_T.CancelRoutine__IRP.53 ?v_5461 ?v_552)) (=> true (=> ?v_5518 (=> (= Mem_0_T.CancelRoutine__IRP.56 Mem_0_T.CancelRoutine__IRP.55) (=> ?v_5519 (=> ?v_5524 (=> ?v_5520 ?v_5521))))))))) (=> true (=> (not ?v_5517) (and (=> true (=> ?v_5522 (=> (= Mem_1_T.CancelRoutine__IRP.55 (MapType0Store Mem_1_T.CancelRoutine__IRP.53 ?v_5461 ?v_552)) (=> true (=> ?v_5518 (=> ?v_5523 (=> ?v_5519 (=> (= Mem_1_T.CancelRoutine__IRP.56 Mem_1_T.CancelRoutine__IRP.55) ?v_5525)))))))) (=> true (=> (not ?v_5522) (and (=> true (=> ?v_5526 (=> (= Mem_2_T.CancelRoutine__IRP.55 (MapType0Store Mem_2_T.CancelRoutine__IRP.53 ?v_5461 ?v_552)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.56 Mem_2_T.CancelRoutine__IRP.55) ?v_5531))))) (=> true (=> (not ?v_5526) (and (=> true (=> ?v_5528 (=> (= Mem_3_T.CancelRoutine__IRP.55 (MapType0Store Mem_3_T.CancelRoutine__IRP.53 ?v_5461 ?v_552)) (=> true (=> ?v_5518 (=> ?v_5523 (=> (= Mem_3_T.CancelRoutine__IRP.56 Mem_3_T.CancelRoutine__IRP.55) ?v_5527))))))) (=> true (=> (not ?v_5528) (and (=> true (=> ?v_5530 (=> (= Mem_4_T.CancelRoutine__IRP.55 (MapType0Store Mem_4_T.CancelRoutine__IRP.53 ?v_5461 ?v_552)) (=> true (=> ?v_5518 (=> ?v_5523 (=> ?v_5519 (=> ?v_5524 (=> (= Mem_4_T.CancelRoutine__IRP.56 Mem_4_T.CancelRoutine__IRP.55) ?v_5529))))))))) (=> true (=> (not ?v_5530) (=> true (=> ?v_5518 ?v_5531)))))))))))))))))))))) (let ((?v_5540 (=> (= errorReached.40 errorReached.38) ?v_5539)) (?v_5537 (= k.215 k.214)) (?v_5538 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..0 call69153formal.ret.0)) (?v_5532 (= k.214 0)) (?v_5533 (= k.214 1)) (?v_5534 (= k.214 2)) (?v_5535 (= k.214 3)) (?v_5536 (= k.214 4))) (let ((?v_5542 (and (=> true (=> ?v_5462 (=> true (=> (<= k.213 k.214) (=> (< k.214 5) (and (=> true (=> (=> ?v_5532 ?v_5255) (=> (=> ?v_5533 ?v_5256) (=> (=> ?v_5534 ?v_5257) (=> (=> ?v_5535 ?v_5258) (=> (=> ?v_5536 ?v_5259) (=> true (=> ?v_5537 (=> ?v_5538 (=> (= errorReached.40 1) ?v_5539)))))))))) (=> true (=> (=> ?v_5532 ?v_5187) (=> (=> ?v_5533 ?v_5189) (=> (=> ?v_5534 ?v_5191) (=> (=> ?v_5535 ?v_5193) (=> (=> ?v_5536 ?v_5195) (=> true (=> ?v_5537 (=> ?v_5538 ?v_5540))))))))))))))) (=> true (=> ?v_5515 (=> true (=> (= k.215 k.213) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.) ?v_5540)))))))) (let ((?v_5544 (=> true (=> true ?v_5542))) (?v_5547 (= k.213 4)) (?v_5546 (= k.213 3)) (?v_5545 (= k.213 2)) (?v_5543 (= k.213 1)) (?v_5541 (= k.213 0)) (?v_5401 (= k.212 0)) (?v_5402 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5)))) (let ((?v_5452 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_5402)) 0)) (?v_5453 (= k.212 1)) (?v_5454 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_5402)) 0)) (?v_5455 (= k.212 2)) (?v_5456 (= (U_2_int (MapType0Select Mem_2_T.Cancel__IRP ?v_5402)) 0)) (?v_5457 (= k.212 3)) (?v_5458 (= (U_2_int (MapType0Select Mem_3_T.Cancel__IRP ?v_5402)) 0)) (?v_5459 (= k.212 4)) (?v_5460 (= (U_2_int (MapType0Select Mem_4_T.Cancel__IRP ?v_5402)) 0)) (?v_5406 (= inline.SerialGetNextWrite.1.myNondetVar_1.3 inline.SerialGetNextWrite.1.myNondetVar_1)) (?v_5407 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5409 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_5410 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_5411 (= k.219 k.212)) (?v_5413 (= inline.KeSynchronizeExecution.4.myNondetVar_0.7 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_5415 (= inline.SerialGetNextWrite.1.myNondetVar_2.2 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_5416 (= Mem_1_T.CancelRoutine__IRP.57 Mem_1_T.CancelRoutine__IRP.53)) (?v_5418 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5419 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_5421 (= Mem_4_T.P_IRP.35 Mem_4_T.P_IRP.32)) (?v_5422 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_5423 (= Mem_2_T.CancelRoutine__IRP.57 Mem_2_T.CancelRoutine__IRP.53)) (?v_5424 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3313.2.3.)) (?v_5425 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5426 (= Mem_1_T.P_IRP.35 Mem_1_T.P_IRP.32)) (?v_5427 (= Mem_2_T.P_IRP.35 Mem_2_T.P_IRP.32)) (?v_5428 (= errorReached.41 errorReached.38)) (?v_5430 (= Mem_0_T.CancelRoutine__IRP.57 Mem_0_T.CancelRoutine__IRP.53)) (?v_5431 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_5432 (= Mem_0_T.P_IRP.35 Mem_0_T.P_IRP.32)) (?v_5433 (= Mem_3_T.P_IRP.35 Mem_3_T.P_IRP.32)) (?v_5434 (= inline.SerialGetNextWrite.1.tempBoogie0.4 inline.SerialGetNextWrite.1.tempBoogie0.1)) (?v_5435 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_5439 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5441 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_5442 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_5443 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.)) (?v_5445 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_5446 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_5448 (= Mem_4_T.CancelRoutine__IRP.57 Mem_4_T.CancelRoutine__IRP.53)) (?v_5450 (= Mem_3_T.CancelRoutine__IRP.57 Mem_3_T.CancelRoutine__IRP.53))) (let ((?v_5549 (=> true (=> (= inline.SerialGetNextWrite.1.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.1.myNondetVar_0.3 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.1.myNondetVar_0.5 0)) (=> true (=> ?v_5403 (=> ?v_5404 (=> ?v_5405 (=> ?v_5406 (=> ?v_5407 (=> ?v_5408 (=> ?v_5409 (=> ?v_5410 (=> ?v_5411 (=> ?v_5412 (=> ?v_5413 (=> ?v_5414 (=> ?v_5415 (=> ?v_5416 (=> ?v_5417 (=> ?v_5418 (=> ?v_5419 (=> ?v_5420 (=> ?v_5421 (=> ?v_5422 (=> ?v_5423 (=> ?v_5424 (=> ?v_5425 (=> ?v_5426 (=> ?v_5427 (=> ?v_5428 (=> ?v_5429 (=> ?v_5430 (=> ?v_5431 (=> ?v_5432 (=> ?v_5433 (=> ?v_5434 (=> ?v_5435 (=> ?v_5436 (=> ?v_5437 (=> ?v_5438 (=> ?v_5439 (=> ?v_5440 (=> ?v_5441 (=> ?v_5442 (=> ?v_5443 (=> ?v_5444 (=> ?v_5445 (=> ?v_5446 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.5) (=> ?v_5447 (=> ?v_5448 (=> ?v_5449 (=> ?v_5450 ?v_5451)))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.4 0) (and (=> true (=> (=> ?v_5401 (not ?v_5452)) (=> (=> ?v_5453 (not ?v_5454)) (=> (=> ?v_5455 (not ?v_5456)) (=> (=> ?v_5457 (not ?v_5458)) (=> (=> ?v_5459 (not ?v_5460)) (=> true (=> ?v_5403 (=> ?v_5404 (=> ?v_5405 (=> ?v_5406 (=> ?v_5407 (=> ?v_5408 (=> ?v_5409 (=> ?v_5410 (=> ?v_5411 (=> ?v_5412 (=> ?v_5413 (=> ?v_5414 (=> ?v_5415 (=> ?v_5416 (=> ?v_5417 (=> ?v_5418 (=> ?v_5419 (=> ?v_5420 (=> ?v_5421 (=> ?v_5422 (=> ?v_5423 (=> ?v_5424 (=> ?v_5425 (=> ?v_5426 (=> ?v_5427 (=> ?v_5428 (=> ?v_5429 (=> ?v_5430 (=> ?v_5431 (=> ?v_5432 (=> ?v_5433 (=> ?v_5434 (=> ?v_5435 (=> ?v_5436 (=> ?v_5437 (=> ?v_5438 (=> ?v_5439 (=> ?v_5440 (=> ?v_5441 (=> ?v_5442 (=> ?v_5443 (=> ?v_5444 (=> ?v_5445 (=> ?v_5446 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.4) (=> ?v_5447 (=> ?v_5448 (=> ?v_5449 (=> ?v_5450 ?v_5465)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_5401 ?v_5452) (=> (=> ?v_5453 ?v_5454) (=> (=> ?v_5455 ?v_5456) (=> (=> ?v_5457 ?v_5458) (=> (=> ?v_5459 ?v_5460) (=> true (=> (<= k.212 k.213) (=> (< k.213 5) (and (=> true (=> ?v_5541 (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.53 ?v_5461))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_5542))))) (=> true (=> (not ?v_5541) (and (=> true (=> ?v_5543 (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.53 ?v_5461))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_5544))))) (=> true (=> (not ?v_5543) (and (=> true (=> ?v_5545 (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.53 ?v_5461))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_5544))))) (=> true (=> (not ?v_5545) (and (=> true (=> ?v_5546 (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.53 ?v_5461))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_5544))))) (=> true (=> (not ?v_5546) (and (=> true (=> ?v_5547 (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.53 ?v_5461))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_5544))))) (=> true (=> (not ?v_5547) (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_5544)))))))))))))))))))))))))))))))))) (let ((?v_5551 (=> true (=> true ?v_5549))) (?v_5553 (U_2_int (MapType0Select Mem_4_T.P_IRP.32 ?v_5053))) (?v_5552 (U_2_int (MapType0Select Mem_3_T.P_IRP.32 ?v_5053))) (?v_5550 (U_2_int (MapType0Select Mem_2_T.P_IRP.32 ?v_5053))) (?v_5548 (U_2_int (MapType0Select Mem_1_T.P_IRP.32 ?v_5053))) (?v_5050 (U_2_int (MapType0Select Mem_0_T.P_IRP.32 ?v_5053)))) (let ((?v_5558 (=> true (=> (<= k.211 k.212) (=> (< k.212 5) (and (=> true (=> ?v_5401 (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.0 ?v_5050) (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.0) ?v_5549))))) (=> true (=> (not ?v_5401) (and (=> true (=> ?v_5453 (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.1 ?v_5548) (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.1) ?v_5551))))) (=> true (=> (not ?v_5453) (and (=> true (=> ?v_5455 (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.4 ?v_5550) (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.4) ?v_5551))))) (=> true (=> (not ?v_5455) (and (=> true (=> ?v_5457 (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.3 ?v_5552) (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.3) ?v_5551))))) (=> true (=> (not ?v_5457) (and (=> true (=> ?v_5459 (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 ?v_5553) (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2) ?v_5551))))) (=> true (=> (not ?v_5459) (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite) ?v_5551)))))))))))))))))))))) (let ((?v_5564 (=> true (=> true (=> true (=> true ?v_5558))))) (?v_5560 (= cancelLockStatus_1.40 cancelLockStatus_1.38)) (?v_5561 (= cancelLockStatus_0.40 cancelLockStatus_0.38)) (?v_5555 (= cancelLockStatus_2.40 cancelLockStatus_2.38)) (?v_5556 (= cancelLockStatus_4.40 cancelLockStatus_4.38)) (?v_5557 (= cancelLockStatus_3.40 cancelLockStatus_3.38))) (let ((?v_5566 (=> ?v_5557 ?v_5564))) (let ((?v_5562 (=> ?v_5556 ?v_5566))) (let ((?v_5567 (=> ?v_5561 (=> ?v_5555 ?v_5562))) (?v_5565 (= k.211 4)) (?v_5563 (= k.211 3)) (?v_5559 (= k.211 2)) (?v_5554 (= k.211 1)) (?v_5384 (= k.211 0)) (?v_5048 (= cancelLockStatus_0.38 0)) (?v_5380 (= cancelLockStatus_1.38 0)) (?v_5381 (= cancelLockStatus_2.38 0)) (?v_5382 (= cancelLockStatus_3.38 0)) (?v_5383 (= cancelLockStatus_4.38 0))) (let ((?v_5629 (and (=> true (=> ?v_5568 (=> true (=> (<= k.209 k.211) (=> (< k.211 5) (=> true (=> (=> ?v_5384 ?v_5048) (=> (=> ?v_5554 ?v_5380) (=> (=> ?v_5559 ?v_5381) (=> (=> ?v_5563 ?v_5382) (=> (=> ?v_5565 ?v_5383) (and (=> true (=> ?v_5384 (=> true (=> ?v_5560 (=> (= cancelLockStatus_0.40 1) (=> ?v_5555 (=> ?v_5556 (=> ?v_5557 ?v_5558)))))))) (=> true (=> (not ?v_5384) (and (=> true (=> ?v_5554 (=> true (=> (= cancelLockStatus_1.40 1) ?v_5567)))) (=> true (=> (not ?v_5554) (and (=> true (=> ?v_5559 (=> true (=> ?v_5560 (=> ?v_5561 (=> (= cancelLockStatus_2.40 1) ?v_5562)))))) (=> true (=> (not ?v_5559) (and (=> true (=> ?v_5563 (=> true (=> ?v_5560 (=> ?v_5561 (=> ?v_5555 (=> ?v_5556 (=> (= cancelLockStatus_3.40 1) ?v_5564)))))))) (=> true (=> (not ?v_5563) (and (=> true (=> ?v_5565 (=> true (=> ?v_5560 (=> ?v_5561 (=> ?v_5555 (=> (= cancelLockStatus_4.40 1) ?v_5566))))))) (=> true (=> (not ?v_5565) (=> true (=> ?v_5560 ?v_5567)))))))))))))))))))))))))))) (=> true (=> (not ?v_5568) (=> true (=> ?v_5569 (=> ?v_5570 (=> ?v_5571 (=> ?v_5572 (=> ?v_5573 (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.4 inline.SerialGetNextWrite.1.myNondetVar_1) (=> ?v_5574 (=> ?v_5575 (=> ?v_5576 (=> ?v_5577 (=> ?v_5578 (=> (= k.221 k.209) (=> ?v_5579 (=> ?v_5580 (=> ?v_5581 (=> ?v_5582 (=> ?v_5583 (=> ?v_5584 (=> (= cancelLockStatus_4.43 cancelLockStatus_4.38) (=> (= cancelLockStatus_0.43 cancelLockStatus_0.38) (=> ?v_5585 (=> ?v_5586 (=> ?v_5587 (=> (= cancelLockStatus_1.43 cancelLockStatus_1.38) (=> ?v_5588 (=> ?v_5589 (=> ?v_5590 (=> ?v_5591 (=> ?v_5592 (=> ?v_5593 (=> (= cancelLockStatus_2.43 cancelLockStatus_2.38) (=> ?v_5594 (=> ?v_5595 (=> ?v_5596 (=> ?v_5597 (=> ?v_5598 (=> ?v_5599 (=> ?v_5600 (=> ?v_5601 (=> ?v_5602 (=> ?v_5603 (=> ?v_5604 (=> ?v_5605 (=> ?v_5606 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.5 inline.SerialGetNextWrite.1.tempBoogie0) (=> ?v_5607 (=> (= cancelLockStatus_3.43 cancelLockStatus_3.38) (=> ?v_5608 (=> ?v_5609 (=> ?v_5610 (=> ?v_5611 (=> ?v_5612 (=> ?v_5613 (=> ?v_5614 (=> ?v_5615 (=> ?v_5616 (=> ?v_5617 (=> ?v_5618 (=> ?v_5619 (=> ?v_5620 (=> ?v_5621 (=> ?v_5622 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.16 inline.SerialGetNextWrite.1.myNondetVar_0) (=> ?v_5623 (=> ?v_5624 (=> ?v_5625 (=> ?v_5626 ?v_5627)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5628 (= inline.SerialGetNextWrite.1.myVar_0.17 hirp))) (let ((?v_5631 (and (=> true (=> ?v_5628 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5629)))) (=> true (=> (not ?v_5628) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5629))))))))))) (let ((?v_5633 (=> true (=> true (=> true (=> true ?v_5631))))) (?v_5636 (= k.209 4)) (?v_5635 (= k.209 3)) (?v_5634 (= k.209 2)) (?v_5632 (= k.209 1)) (?v_5630 (= k.209 0)) (?v_5379 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_5345 (=> true (=> (= inline.sdv_IoAcquireCancelSpinLock.9..result.userContextSwitch.1645.2.1..0 call65984formal.ret.0) (=> ?v_5570 (=> ?v_5571 (=> ?v_5572 (=> ?v_5573 (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.4 inline.SerialGetNextWrite.1.myNondetVar_1.0) (=> ?v_5574 (=> ?v_5575 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_5577 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= k.221 k.210) (=> ?v_5579 (=> ?v_5580 (=> ?v_5581 (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0 call66245formal.ret.0) (=> ?v_5583 (=> ?v_5584 (=> (= cancelLockStatus_4.43 cancelLockStatus_4.41) (=> (= cancelLockStatus_0.43 cancelLockStatus_0.41) (=> ?v_5585 (=> ?v_5586 (=> ?v_5587 (=> (= cancelLockStatus_1.43 cancelLockStatus_1.41) (=> ?v_5588 (=> ?v_5589 (=> ?v_5590 (=> ?v_5591 (=> ?v_5592 (=> ?v_5593 (=> (= cancelLockStatus_2.43 cancelLockStatus_2.41) (=> ?v_5594 (=> ?v_5595 (=> ?v_5596 (=> ?v_5597 (=> ?v_5598 (=> ?v_5599 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_5601 (=> ?v_5602 (=> ?v_5603 (=> ?v_5604 (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> ?v_5606 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.5 inline.SerialGetNextWrite.1.tempBoogie0.0) (=> ?v_5607 (=> (= cancelLockStatus_3.43 cancelLockStatus_3.41) (=> ?v_5608 (=> (= inline.SerialGetNextWrite.1.myVar_0.18 inline.SerialGetNextWrite.1.myVar_0.11) (=> ?v_5610 (=> ?v_5611 (=> ?v_5612 (=> ?v_5613 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.11) (=> ?v_5615 (=> ?v_5616 (=> ?v_5617 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_5619 (=> ?v_5620 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.11) (=> ?v_5622 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.16 inline.SerialGetNextWrite.1.myNondetVar_0.1) (=> ?v_5623 (=> ?v_5624 (=> ?v_5625 (=> ?v_5626 ?v_5385)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5351 (=> true (=> true (=> true (=> true ?v_5345))))) (?v_5347 (= cancelLockStatus_1.41 cancelLockStatus_1.39)) (?v_5348 (= cancelLockStatus_0.41 cancelLockStatus_0.39)) (?v_5342 (= cancelLockStatus_2.41 cancelLockStatus_2.39)) (?v_5343 (= cancelLockStatus_4.41 cancelLockStatus_4.39)) (?v_5344 (= cancelLockStatus_3.41 cancelLockStatus_3.39))) (let ((?v_5353 (=> ?v_5344 ?v_5351))) (let ((?v_5349 (=> ?v_5343 ?v_5353))) (let ((?v_5355 (=> ?v_5348 (=> ?v_5342 ?v_5349))) (?v_5354 (= k.210 4)) (?v_5352 (= k.210 3)) (?v_5350 (= k.210 2)) (?v_5346 (= k.210 1)) (?v_5341 (= k.210 0))) (let ((?v_5357 (=> true (=> (= inline.SerialGetNextWrite.1.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.1.myNondetVar_0.0 inline.SerialGetNextWrite.1.myNondetVar_1.0 1)) (=> true (=> (<= k.208 k.210) (=> (< k.210 5) (and (=> true (=> ?v_5341 (=> true (=> ?v_5347 (=> (= cancelLockStatus_0.41 0) (=> ?v_5342 (=> ?v_5343 (=> ?v_5344 ?v_5345)))))))) (=> true (=> (not ?v_5341) (and (=> true (=> ?v_5346 (=> true (=> (= cancelLockStatus_1.41 0) ?v_5355)))) (=> true (=> (not ?v_5346) (and (=> true (=> ?v_5350 (=> true (=> ?v_5347 (=> ?v_5348 (=> (= cancelLockStatus_2.41 0) ?v_5349)))))) (=> true (=> (not ?v_5350) (and (=> true (=> ?v_5352 (=> true (=> ?v_5347 (=> ?v_5348 (=> ?v_5342 (=> ?v_5343 (=> (= cancelLockStatus_3.41 0) ?v_5351)))))))) (=> true (=> (not ?v_5352) (and (=> true (=> ?v_5354 (=> true (=> ?v_5347 (=> ?v_5348 (=> ?v_5342 (=> (= cancelLockStatus_4.41 0) ?v_5353))))))) (=> true (=> (not ?v_5354) (=> true (=> ?v_5347 ?v_5355))))))))))))))))))))))) (?v_5356 (= inline.SerialGetNextWrite.1.myVar_0.11 hirp))) (let ((?v_5359 (and (=> true (=> ?v_5356 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5357)))) (=> true (=> (not ?v_5356) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_5357)))))))))) (let ((?v_5361 (=> true (=> true (=> true (=> true ?v_5359))))) (?v_5364 (= k.208 4)) (?v_5363 (= k.208 3)) (?v_5362 (= k.208 2)) (?v_5360 (= k.208 1)) (?v_5358 (= k.208 0))) (let ((?v_5369 (=> true (=> (<= k.207 k.208) (=> (< k.208 5) (and (=> true (=> ?v_5358 (=> (= inline.SerialGetNextWrite.1.myVar_0.6 ?v_5050) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.11 inline.SerialGetNextWrite.1.myVar_0.6) ?v_5359))))) (=> true (=> (not ?v_5358) (and (=> true (=> ?v_5360 (=> (= inline.SerialGetNextWrite.1.myVar_0.9 ?v_5548) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.11 inline.SerialGetNextWrite.1.myVar_0.9) ?v_5361))))) (=> true (=> (not ?v_5360) (and (=> true (=> ?v_5362 (=> (= inline.SerialGetNextWrite.1.myVar_0.10 ?v_5550) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.11 inline.SerialGetNextWrite.1.myVar_0.10) ?v_5361))))) (=> true (=> (not ?v_5362) (and (=> true (=> ?v_5363 (=> (= inline.SerialGetNextWrite.1.myVar_0.8 ?v_5552) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.11 inline.SerialGetNextWrite.1.myVar_0.8) ?v_5361))))) (=> true (=> (not ?v_5363) (and (=> true (=> ?v_5364 (=> (= inline.SerialGetNextWrite.1.myVar_0.7 ?v_5553) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.11 inline.SerialGetNextWrite.1.myVar_0.7) ?v_5361))))) (=> true (=> (not ?v_5364) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.11 inline.SerialGetNextWrite.1.myVar_0.5) ?v_5361)))))))))))))))))))))) (let ((?v_5375 (=> true (=> true (=> true (=> true ?v_5369))))) (?v_5371 (= cancelLockStatus_1.39 cancelLockStatus_1.38)) (?v_5372 (= cancelLockStatus_0.39 cancelLockStatus_0.38)) (?v_5366 (= cancelLockStatus_2.39 cancelLockStatus_2.38)) (?v_5367 (= cancelLockStatus_4.39 cancelLockStatus_4.38)) (?v_5368 (= cancelLockStatus_3.39 cancelLockStatus_3.38))) (let ((?v_5377 (=> ?v_5368 ?v_5375))) (let ((?v_5373 (=> ?v_5367 ?v_5377))) (let ((?v_5378 (=> ?v_5372 (=> ?v_5366 ?v_5373))) (?v_5376 (= k.207 4)) (?v_5374 (= k.207 3)) (?v_5370 (= k.207 2)) (?v_5365 (= k.207 1)) (?v_5049 (= k.207 0))) (let ((?v_5638 (and (=> true (=> ?v_5379 (=> true (=> (<= k.206 k.207) (=> (< k.207 5) (=> true (=> (=> ?v_5049 ?v_5048) (=> (=> ?v_5365 ?v_5380) (=> (=> ?v_5370 ?v_5381) (=> (=> ?v_5374 ?v_5382) (=> (=> ?v_5376 ?v_5383) (and (=> true (=> ?v_5049 (=> true (=> ?v_5371 (=> (= cancelLockStatus_0.39 1) (=> ?v_5366 (=> ?v_5367 (=> ?v_5368 ?v_5369)))))))) (=> true (=> (not ?v_5049) (and (=> true (=> ?v_5365 (=> true (=> (= cancelLockStatus_1.39 1) ?v_5378)))) (=> true (=> (not ?v_5365) (and (=> true (=> ?v_5370 (=> true (=> ?v_5371 (=> ?v_5372 (=> (= cancelLockStatus_2.39 1) ?v_5373)))))) (=> true (=> (not ?v_5370) (and (=> true (=> ?v_5374 (=> true (=> ?v_5371 (=> ?v_5372 (=> ?v_5366 (=> ?v_5367 (=> (= cancelLockStatus_3.39 1) ?v_5375)))))))) (=> true (=> (not ?v_5374) (and (=> true (=> ?v_5376 (=> true (=> ?v_5371 (=> ?v_5372 (=> ?v_5366 (=> (= cancelLockStatus_4.39 1) ?v_5377))))))) (=> true (=> (not ?v_5376) (=> true (=> ?v_5371 ?v_5378)))))))))))))))))))))))))))) (=> true (=> (not ?v_5379) (=> true (=> (<= k.206 k.209) (=> (< k.209 5) (and (=> true (=> ?v_5630 (=> (= inline.SerialGetNextWrite.1.myVar_0.12 ?v_5050) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.17 inline.SerialGetNextWrite.1.myVar_0.12) ?v_5631))))) (=> true (=> (not ?v_5630) (and (=> true (=> ?v_5632 (=> (= inline.SerialGetNextWrite.1.myVar_0.14 ?v_5548) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.17 inline.SerialGetNextWrite.1.myVar_0.14) ?v_5633))))) (=> true (=> (not ?v_5632) (and (=> true (=> ?v_5634 (=> (= inline.SerialGetNextWrite.1.myVar_0.15 ?v_5550) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.17 inline.SerialGetNextWrite.1.myVar_0.15) ?v_5633))))) (=> true (=> (not ?v_5634) (and (=> true (=> ?v_5635 (=> (= inline.SerialGetNextWrite.1.myVar_0.13 ?v_5552) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.17 inline.SerialGetNextWrite.1.myVar_0.13) ?v_5633))))) (=> true (=> (not ?v_5635) (and (=> true (=> ?v_5636 (=> (= inline.SerialGetNextWrite.1.myVar_0.16 ?v_5553) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.17 inline.SerialGetNextWrite.1.myVar_0.16) ?v_5633))))) (=> true (=> (not ?v_5636) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.17 inline.SerialGetNextWrite.1.myVar_0.5) ?v_5633)))))))))))))))))))))))) (?v_5637 (= inline.SerialGetNextWrite.1.myVar_0.5 hirp))) (let ((?v_5640 (and (=> true (=> ?v_5637 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5638)))) (=> true (=> (not ?v_5637) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5638))))))))))) (let ((?v_5642 (=> true (=> true (=> true (=> true ?v_5640))))) (?v_5645 (= k.206 4)) (?v_5644 (= k.206 3)) (?v_5643 (= k.206 2)) (?v_5641 (= k.206 1)) (?v_5639 (= k.206 0)) (?v_5047 (int_2_U call65700formal.new.0)) (?v_5043 (int_2_U call65657formal.new.0)) (?v_5044 (int_2_U call65660formal.new.0)) (?v_5045 (int_2_U call65663formal.new.0)) (?v_5046 (int_2_U call65666formal.new.0))) (let ((?v_5646 (=> true (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 ?v_5042) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0 (WriteQueue__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (=> true (and ?v_11 (=> ?v_11 (=> (> call65657formal.new.0 0) (=> (forall ((?x1651 Int)) (! (=> (and (<= call65657formal.new.0 ?x1651) (< ?x1651 (+ call65657formal.new.0 1))) (= (Base ?x1651) call65657formal.new.0)) :pattern ((Base ?x1651)) )) (=> (forall ((?x1652 boogieU)) (! (=> (= (type ?x1652) intType) (or (= (U_2_int ?x1652) call65657formal.new.0) (= (MapType0Select alloc.57 ?x1652) (MapType0Select alloc.58 ?x1652)))) :pattern ((MapType0Select alloc.58 ?x1652)) )) (=> (and (= (MapType0Select alloc.57 ?v_5043) UNALLOCATED) (= (MapType0Select alloc.58 ?v_5043) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call65660formal.new.0 0) (=> (forall ((?x1653 Int)) (! (=> (and (<= call65660formal.new.0 ?x1653) (< ?x1653 (+ call65660formal.new.0 1))) (= (Base ?x1653) call65660formal.new.0)) :pattern ((Base ?x1653)) )) (=> (forall ((?x1654 boogieU)) (! (=> (= (type ?x1654) intType) (or (= (U_2_int ?x1654) call65660formal.new.0) (= (MapType0Select alloc.58 ?x1654) (MapType0Select alloc.59 ?x1654)))) :pattern ((MapType0Select alloc.59 ?x1654)) )) (=> (and (= (MapType0Select alloc.58 ?v_5044) UNALLOCATED) (= (MapType0Select alloc.59 ?v_5044) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call65663formal.new.0 0) (=> (forall ((?x1655 Int)) (! (=> (and (<= call65663formal.new.0 ?x1655) (< ?x1655 (+ call65663formal.new.0 1))) (= (Base ?x1655) call65663formal.new.0)) :pattern ((Base ?x1655)) )) (=> (forall ((?x1656 boogieU)) (! (=> (= (type ?x1656) intType) (or (= (U_2_int ?x1656) call65663formal.new.0) (= (MapType0Select alloc.59 ?x1656) (MapType0Select alloc.60 ?x1656)))) :pattern ((MapType0Select alloc.60 ?x1656)) )) (=> (and (= (MapType0Select alloc.59 ?v_5045) UNALLOCATED) (= (MapType0Select alloc.60 ?v_5045) ALLOCATED)) (and ?v_73 (=> ?v_73 (=> (> call65666formal.new.0 0) (=> (forall ((?x1657 Int)) (! (=> (and (<= call65666formal.new.0 ?x1657) (< ?x1657 (+ call65666formal.new.0 8))) (= (Base ?x1657) call65666formal.new.0)) :pattern ((Base ?x1657)) )) (=> (forall ((?x1658 boogieU)) (! (=> (= (type ?x1658) intType) (or (= (U_2_int ?x1658) call65666formal.new.0) (= (MapType0Select alloc.60 ?x1658) (MapType0Select alloc.61 ?x1658)))) :pattern ((MapType0Select alloc.61 ?x1658)) )) (=> (and (= (MapType0Select alloc.60 ?v_5046) UNALLOCATED) (= (MapType0Select alloc.61 ?v_5046) ALLOCATED)) (=> true (and ?v_11 (=> ?v_11 (=> (> call65700formal.new.0 0) (=> (forall ((?x1649 Int)) (! (=> (and (<= call65700formal.new.0 ?x1649) (< ?x1649 (+ call65700formal.new.0 1))) (= (Base ?x1649) call65700formal.new.0)) :pattern ((Base ?x1649)) )) (=> (forall ((?x1650 boogieU)) (! (=> (= (type ?x1650) intType) (or (= (U_2_int ?x1650) call65700formal.new.0) (= (MapType0Select alloc.61 ?x1650) (MapType0Select alloc.62 ?x1650)))) :pattern ((MapType0Select alloc.62 ?x1650)) )) (=> (and (= (MapType0Select alloc.61 ?v_5047) UNALLOCATED) (= (MapType0Select alloc.62 ?v_5047) ALLOCATED)) (=> true (=> (<= k.205 k.206) (=> (< k.206 5) (and (=> true (=> ?v_5639 (=> (= inline.SerialGetNextWrite.1.myVar_0.4 ?v_5050) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0.4) ?v_5640))))) (=> true (=> (not ?v_5639) (and (=> true (=> ?v_5641 (=> (= inline.SerialGetNextWrite.1.myVar_0.3 ?v_5548) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0.3) ?v_5642))))) (=> true (=> (not ?v_5641) (and (=> true (=> ?v_5643 (=> (= inline.SerialGetNextWrite.1.myVar_0.0 ?v_5550) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0.0) ?v_5642))))) (=> true (=> (not ?v_5643) (and (=> true (=> ?v_5644 (=> (= inline.SerialGetNextWrite.1.myVar_0.1 ?v_5552) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0.1) ?v_5642))))) (=> true (=> (not ?v_5644) (and (=> true (=> ?v_5645 (=> (= inline.SerialGetNextWrite.1.myVar_0.2 ?v_5553) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0.2) ?v_5642))))) (=> true (=> (not ?v_5645) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0) ?v_5642))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5651 (and (=> true (=> ?v_40 (=> true (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1 0) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite) ?v_5646))))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.1 ?v_1489) (=> true (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1 1) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.1) (=> true ?v_5646))))))))))) (let ((?v_5657 (=> true (=> true (=> true (=> true (=> true (=> true ?v_5651))))))) (?v_5653 (= cancelLockStatus_1.38 cancelLockStatus_1.37)) (?v_5654 (= cancelLockStatus_0.38 cancelLockStatus_0.37)) (?v_5648 (= cancelLockStatus_2.38 cancelLockStatus_2.37)) (?v_5649 (= cancelLockStatus_4.38 cancelLockStatus_4.37)) (?v_5650 (= cancelLockStatus_3.38 cancelLockStatus_3.37))) (let ((?v_5659 (=> ?v_5650 ?v_5657))) (let ((?v_5655 (=> ?v_5649 ?v_5659))) (let ((?v_5661 (=> ?v_5654 (=> ?v_5648 ?v_5655))) (?v_5660 (= k.205 4)) (?v_5658 (= k.205 3)) (?v_5656 (= k.205 2)) (?v_5652 (= k.205 1)) (?v_5647 (= k.205 0))) (let ((?v_5764 (and (=> true (=> (=> ?v_5036 (not ?v_5662)) (=> (=> ?v_5037 (not ?v_5663)) (=> (=> ?v_5039 (not ?v_5664)) (=> (=> ?v_5040 (not ?v_5665)) (=> (=> ?v_5041 (not ?v_5666)) (=> true (=> (<= k.197 k.205) (=> (< k.205 5) (and (=> true (=> ?v_5647 (=> true (=> ?v_5653 (=> ?v_5048 (=> ?v_5648 (=> ?v_5649 (=> ?v_5650 ?v_5651)))))))) (=> true (=> (not ?v_5647) (and (=> true (=> ?v_5652 (=> true (=> ?v_5380 ?v_5661)))) (=> true (=> (not ?v_5652) (and (=> true (=> ?v_5656 (=> true (=> ?v_5653 (=> ?v_5654 (=> ?v_5381 ?v_5655)))))) (=> true (=> (not ?v_5656) (and (=> true (=> ?v_5658 (=> true (=> ?v_5653 (=> ?v_5654 (=> ?v_5648 (=> ?v_5649 (=> ?v_5382 ?v_5657)))))))) (=> true (=> (not ?v_5658) (and (=> true (=> ?v_5660 (=> true (=> ?v_5653 (=> ?v_5654 (=> ?v_5648 (=> ?v_5383 ?v_5659))))))) (=> true (=> (not ?v_5660) (=> true (=> ?v_5653 ?v_5661)))))))))))))))))))))))))) (=> true (=> (=> ?v_5036 ?v_5662) (=> (=> ?v_5037 ?v_5663) (=> (=> ?v_5039 ?v_5664) (=> (=> ?v_5040 ?v_5665) (=> (=> ?v_5041 ?v_5666) (and (=> true (=> ?v_40 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.32 inline.SerialStartWrite.0.myVar_0.25) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0 0) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.0 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite) (=> (= k.199 k.197) ?v_5753))))))) (=> true (=> ?v_0 (=> true (=> (<= k.197 k.198) (=> (< k.198 5) (and (=> true (=> ?v_5754 (=> (= inline.SerialStartWrite.0.myVar_0.28 ?v_5035) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.31 inline.SerialStartWrite.0.myVar_0.28) ?v_5755))))) (=> true (=> (not ?v_5754) (and (=> true (=> ?v_5756 (=> (= inline.SerialStartWrite.0.myVar_0.26 ?v_5690) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.31 inline.SerialStartWrite.0.myVar_0.26) ?v_5757))))) (=> true (=> (not ?v_5756) (and (=> true (=> ?v_5758 (=> (= inline.SerialStartWrite.0.myVar_0.29 ?v_5693) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.31 inline.SerialStartWrite.0.myVar_0.29) ?v_5757))))) (=> true (=> (not ?v_5758) (and (=> true (=> ?v_5759 (=> (= inline.SerialStartWrite.0.myVar_0.30 ?v_5696) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.31 inline.SerialStartWrite.0.myVar_0.30) ?v_5757))))) (=> true (=> (not ?v_5759) (and (=> true (=> ?v_5760 (=> (= inline.SerialStartWrite.0.myVar_0.27 ?v_5698) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.31 inline.SerialStartWrite.0.myVar_0.27) ?v_5757))))) (=> true (=> (not ?v_5760) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.31 inline.SerialStartWrite.0.myVar_0.25) ?v_5757)))))))))))))))))))))))))))))))) (let ((?v_5768 (=> true (=> true (=> true (=> true (=> true ?v_5764)))))) (?v_5765 (= cancelLockStatus_1.37 cancelLockStatus_1.36)) (?v_5766 (= cancelLockStatus_0.37 cancelLockStatus_0.36)) (?v_5761 (= cancelLockStatus_2.37 cancelLockStatus_2.36)) (?v_5762 (= cancelLockStatus_4.37 cancelLockStatus_4.36)) (?v_5763 (= cancelLockStatus_3.37 cancelLockStatus_3.36))) (let ((?v_5769 (=> ?v_5763 ?v_5768))) (let ((?v_5767 (=> ?v_5762 ?v_5769))) (let ((?v_5770 (=> ?v_5766 (=> ?v_5761 ?v_5767)))) (let ((?v_5772 (=> true (=> (<= k.196 k.197) (=> (< k.197 5) (=> true (=> (=> ?v_5036 (= cancelLockStatus_0.36 0)) (=> (=> ?v_5037 (= cancelLockStatus_1.36 0)) (=> (=> ?v_5039 (= cancelLockStatus_2.36 0)) (=> (=> ?v_5040 (= cancelLockStatus_3.36 0)) (=> (=> ?v_5041 (= cancelLockStatus_4.36 0)) (and (=> true (=> ?v_5036 (=> true (=> ?v_5765 (=> (= cancelLockStatus_0.37 1) (=> ?v_5761 (=> ?v_5762 (=> ?v_5763 ?v_5764)))))))) (=> true (=> (not ?v_5036) (and (=> true (=> ?v_5037 (=> true (=> (= cancelLockStatus_1.37 1) ?v_5770)))) (=> true (=> (not ?v_5037) (and (=> true (=> ?v_5039 (=> true (=> ?v_5765 (=> ?v_5766 (=> (= cancelLockStatus_2.37 1) ?v_5767)))))) (=> true (=> (not ?v_5039) (and (=> true (=> ?v_5040 (=> true (=> ?v_5765 (=> ?v_5766 (=> ?v_5761 (=> ?v_5762 (=> (= cancelLockStatus_3.37 1) ?v_5768)))))))) (=> true (=> (not ?v_5040) (and (=> true (=> ?v_5041 (=> true (=> ?v_5765 (=> ?v_5766 (=> ?v_5761 (=> (= cancelLockStatus_4.37 1) ?v_5769))))))) (=> true (=> (not ?v_5041) (=> true (=> ?v_5765 ?v_5770))))))))))))))))))))))))))) (?v_5771 (= inline.SerialStartWrite.0.myVar_0.25 hirp))) (let ((?v_5774 (and (=> true (=> ?v_5771 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5772)))) (=> true (=> (not ?v_5771) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5772)))))))))))))) (let ((?v_5776 (=> true (=> true (=> true (=> true ?v_5774))))) (?v_5779 (= k.196 4)) (?v_5778 (= k.196 3)) (?v_5777 (= k.196 2)) (?v_5775 (= k.196 1)) (?v_5773 (= k.196 0))) (let ((?v_5792 (=> true (=> (<= k.195 k.196) (=> (< k.196 5) (and (=> true (=> ?v_5773 (=> (= inline.SerialStartWrite.0.myVar_0.20 ?v_5035) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.25 inline.SerialStartWrite.0.myVar_0.20) ?v_5774))))) (=> true (=> (not ?v_5773) (and (=> true (=> ?v_5775 (=> (= inline.SerialStartWrite.0.myVar_0.21 ?v_5690) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.25 inline.SerialStartWrite.0.myVar_0.21) ?v_5776))))) (=> true (=> (not ?v_5775) (and (=> true (=> ?v_5777 (=> (= inline.SerialStartWrite.0.myVar_0.22 ?v_5693) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.25 inline.SerialStartWrite.0.myVar_0.22) ?v_5776))))) (=> true (=> (not ?v_5777) (and (=> true (=> ?v_5778 (=> (= inline.SerialStartWrite.0.myVar_0.24 ?v_5696) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.25 inline.SerialStartWrite.0.myVar_0.24) ?v_5776))))) (=> true (=> (not ?v_5778) (and (=> true (=> ?v_5779 (=> (= inline.SerialStartWrite.0.myVar_0.23 ?v_5698) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.25 inline.SerialStartWrite.0.myVar_0.23) ?v_5776))))) (=> true (=> (not ?v_5779) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.25 inline.SerialStartWrite.0.myVar_0.19) ?v_5776)))))))))))))))))))))) (let ((?v_5781 (=> true (=> (= inline.SerialStartWrite.0..result.question.7..1 inline.SerialStartWrite.0..result.question.7..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.18) (=> (= inline.SerialStartWrite.0.myVar_0.19 inline.SerialStartWrite.0.myVar_0.18) (=> (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0 1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.18) (=> (= k.195 k.194) (=> (= inline.SerialStartWrite.0.myNondetVar_0.26 inline.SerialStartWrite.0.myNondetVar_0.25) (=> (= inline.SerialStartWrite.0.myNondetVar_1.5 inline.SerialStartWrite.0.myNondetVar_1.4) (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) ?v_5792))))))))))))) (?v_5780 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4))) (let ((?v_5783 (and (=> true (=> ?v_5780 (=> true (=> (= inline.SerialStartWrite.0..result.question.7..0 inline.SerialStartWrite.0.myNondetVar_0.23) (=> (= inline.SerialStartWrite.0.myNondetVar_0.24 inline.SerialStartWrite.0.myNondetVar_0.23) ?v_5781))))) (=> true (=> (not ?v_5780) (=> true (=> (= inline.SerialStartWrite.0..result.question.7..0 1) (=> (= inline.SerialStartWrite.0.myNondetVar_0.24 inline.SerialStartWrite.0.myNondetVar_0.22) (=> true ?v_5781)))))))) (?v_5782 (= inline.SerialStartWrite.0.myVar_0.18 hirp))) (let ((?v_5785 (and (=> true (=> ?v_5782 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5783)))) (=> true (=> (not ?v_5782) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5783))))))))))))) (let ((?v_5787 (=> true (=> true (=> true (=> true ?v_5785))))) (?v_5790 (= k.194 4)) (?v_5789 (= k.194 3)) (?v_5788 (= k.194 2)) (?v_5786 (= k.194 1)) (?v_5784 (= k.194 0))) (let ((?v_5791 (=> true (=> (<= k.193 k.194) (=> (< k.194 5) (and (=> true (=> ?v_5784 (=> (= inline.SerialStartWrite.0.myVar_0.13 ?v_5035) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.18 inline.SerialStartWrite.0.myVar_0.13) ?v_5785))))) (=> true (=> (not ?v_5784) (and (=> true (=> ?v_5786 (=> (= inline.SerialStartWrite.0.myVar_0.14 ?v_5690) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.18 inline.SerialStartWrite.0.myVar_0.14) ?v_5787))))) (=> true (=> (not ?v_5786) (and (=> true (=> ?v_5788 (=> (= inline.SerialStartWrite.0.myVar_0.15 ?v_5693) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.18 inline.SerialStartWrite.0.myVar_0.15) ?v_5787))))) (=> true (=> (not ?v_5788) (and (=> true (=> ?v_5789 (=> (= inline.SerialStartWrite.0.myVar_0.17 ?v_5696) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.18 inline.SerialStartWrite.0.myVar_0.17) ?v_5787))))) (=> true (=> (not ?v_5789) (and (=> true (=> ?v_5790 (=> (= inline.SerialStartWrite.0.myVar_0.16 ?v_5698) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.18 inline.SerialStartWrite.0.myVar_0.16) ?v_5787))))) (=> true (=> (not ?v_5790) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.18 inline.SerialStartWrite.0.myVar_0.12) ?v_5787)))))))))))))))))))))) (let ((?v_5809 (and (=> true (=> (not (= inline.SerialStartWrite.0.myNondetVar_0.21 0)) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.22 inline.SerialStartWrite.0.myNondetVar_0.21) ?v_5791)))) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.18 0) (and (=> true (=> (not (= inline.SerialStartWrite.0.myNondetVar_0.19 0)) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.22 inline.SerialStartWrite.0.myNondetVar_0.19) (=> true ?v_5791))))) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.20 0) (=> true (=> (= inline.SerialStartWrite.0..result.question.7..1 inline.SerialStartWrite.0..result.question.7.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialStartWrite.0.myVar_0.19 inline.SerialStartWrite.0.myVar_0.12) (=> ?v_5702 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= k.195 k.193) (=> (= inline.SerialStartWrite.0.myNondetVar_0.26 inline.SerialStartWrite.0.myNondetVar_0.20) (=> (= inline.SerialStartWrite.0.myNondetVar_1.5 inline.SerialStartWrite.0.myNondetVar_1.3) (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6.) (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) ?v_5792))))))))))))))))))) (?v_5808 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5797 (=> true (=> (= inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1..0 call64802formal.ret.0) (=> (= lockStatus_3.39 lockStatus_3.38) (=> (= lockStatus_1.39 lockStatus_1.38) (=> (= k.193 k.192) (=> (= lockStatus_0.39 lockStatus_0.38) (=> (= lockStatus_2.39 lockStatus_2.38) (=> (= lockStatus_4.39 lockStatus_4.38) ?v_5809)))))))))) (let ((?v_5805 (=> true ?v_5797)) (?v_5794 (= lockStatus_3.38 lockStatus_3.37)) (?v_5799 (= lockStatus_1.38 lockStatus_1.37)) (?v_5795 (= lockStatus_2.38 lockStatus_2.37)) (?v_5804 (= lockStatus_0.38 lockStatus_0.37)) (?v_5796 (= lockStatus_4.38 lockStatus_4.37))) (let ((?v_5800 (=> ?v_5804 (=> ?v_5796 ?v_5805)))) (let ((?v_5802 (=> ?v_5795 ?v_5800))) (let ((?v_5807 (=> ?v_5799 ?v_5802)) (?v_5806 (= k.192 4)) (?v_5803 (= k.192 3)) (?v_5801 (= k.192 2)) (?v_5798 (= k.192 1)) (?v_5793 (= k.192 0))) (let ((?v_5825 (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.15 inline.SerialStartWrite.0.myNondetVar_1.3) (=> true (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_5034) (and (=> true (=> ?v_5808 (=> true (=> (<= k.191 k.192) (=> (< k.192 5) (and (=> true (=> ?v_5793 (=> true (=> ?v_5794 (=> ?v_5799 (=> ?v_5795 (=> (= lockStatus_0.38 0) (=> ?v_5796 ?v_5797)))))))) (=> true (=> (not ?v_5793) (and (=> true (=> ?v_5798 (=> true (=> ?v_5794 (=> (= lockStatus_1.38 0) ?v_5802))))) (=> true (=> (not ?v_5798) (and (=> true (=> ?v_5801 (=> true (=> ?v_5794 (=> ?v_5799 (=> (= lockStatus_2.38 0) ?v_5800)))))) (=> true (=> (not ?v_5801) (and (=> true (=> ?v_5803 (=> true (=> (= lockStatus_3.38 0) ?v_5807)))) (=> true (=> (not ?v_5803) (and (=> true (=> ?v_5806 (=> true (=> ?v_5794 (=> ?v_5799 (=> ?v_5795 (=> ?v_5804 (=> (= lockStatus_4.38 0) ?v_5805)))))))) (=> true (=> (not ?v_5806) (=> true (=> ?v_5794 ?v_5807)))))))))))))))))))))) (=> true (=> (not ?v_5808) (=> true (=> (= inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.6..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_3.39 lockStatus_3.37) (=> (= lockStatus_1.39 lockStatus_1.37) (=> (= k.193 k.191) (=> (= lockStatus_0.39 lockStatus_0.37) (=> (= lockStatus_2.39 lockStatus_2.37) (=> (= lockStatus_4.39 lockStatus_4.37) (=> true (=> true (=> true (=> true ?v_5809)))))))))))))))))))) (?v_5824 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_5814 (=> true (=> (= lockStatus_3.37 lockStatus_3.36) (=> (= lockStatus_1.37 lockStatus_1.36) (=> (= k.191 k.190) (=> (= lockStatus_0.37 lockStatus_0.36) (=> (= lockStatus_2.37 lockStatus_2.36) (=> (= lockStatus_4.37 lockStatus_4.36) (=> (= inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..0 call64632formal.ret.0) ?v_5825)))))))))) (let ((?v_5822 (=> true ?v_5814)) (?v_5811 (= lockStatus_3.36 lockStatus_3.14)) (?v_5816 (= lockStatus_1.36 lockStatus_1.14)) (?v_5812 (= lockStatus_2.36 lockStatus_2.14)) (?v_5821 (= lockStatus_0.36 lockStatus_0.14)) (?v_5813 (= lockStatus_4.36 lockStatus_4.14))) (let ((?v_5817 (=> ?v_5821 (=> ?v_5813 ?v_5822)))) (let ((?v_5819 (=> ?v_5812 ?v_5817))) (let ((?v_5823 (=> ?v_5816 ?v_5819)) (?v_5820 (= k.190 4)) (?v_5818 (= k.190 3)) (?v_5815 (= k.190 2)) (?v_5810 (= k.190 1)) (?v_5033 (= k.190 0))) (let ((?v_7227 (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.8 inline.SerialStartWrite.0.myNondetVar_1.2) (=> true (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_5034) (and (=> true (=> ?v_5824 (=> true (=> (<= k.189 k.190) (=> (< k.190 5) (=> true (=> (=> ?v_5033 ?v_7874) (=> (=> ?v_5810 ?v_7875) (=> (=> ?v_5815 ?v_7876) (=> (=> ?v_5818 ?v_7877) (=> (=> ?v_5820 ?v_7878) (and (=> true (=> ?v_5033 (=> true (=> ?v_5811 (=> ?v_5816 (=> ?v_5812 (=> (= lockStatus_0.36 1) (=> ?v_5813 ?v_5814)))))))) (=> true (=> (not ?v_5033) (and (=> true (=> ?v_5810 (=> true (=> ?v_5811 (=> (= lockStatus_1.36 1) ?v_5819))))) (=> true (=> (not ?v_5810) (and (=> true (=> ?v_5815 (=> true (=> ?v_5811 (=> ?v_5816 (=> (= lockStatus_2.36 1) ?v_5817)))))) (=> true (=> (not ?v_5815) (and (=> true (=> ?v_5818 (=> true (=> (= lockStatus_3.36 1) ?v_5823)))) (=> true (=> (not ?v_5818) (and (=> true (=> ?v_5820 (=> true (=> ?v_5811 (=> ?v_5816 (=> ?v_5812 (=> ?v_5821 (=> (= lockStatus_4.36 1) ?v_5822)))))))) (=> true (=> (not ?v_5820) (=> true (=> ?v_5811 ?v_5823)))))))))))))))))))))))))))) (=> true (=> (not ?v_5824) (=> true (=> (= lockStatus_3.37 lockStatus_3.14) (=> (= lockStatus_1.37 lockStatus_1.14) (=> (= k.191 k.189) (=> (= lockStatus_0.37 lockStatus_0.14) (=> (= lockStatus_2.37 lockStatus_2.14) (=> (= lockStatus_4.37 lockStatus_4.14) (=> (= inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1..0 inline.sdv_KeAcquireSpinLock.1..result.userContextSwitch.4339.4.1.) (=> true (=> true (=> true (=> true ?v_5825)))))))))))))))))))) (?v_7257 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_7258 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_7259 (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7260 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_7261 (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1.)) (?v_7262 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_7263 (= Mem_3_T.CancelRoutine__IRP.53 Mem_3_T.CancelRoutine__IRP.6)) (?v_7264 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_7265 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_7266 (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7267 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_7268 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7269 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1)) (?v_7270 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_7271 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7272 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_7273 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_7274 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_7275 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_7276 (= irpCompleted_3.24 irpCompleted_3.2)) (?v_7277 (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_7278 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2.)) (?v_7279 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_7280 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.12 inline.SerialRundownIrpRefs.0.myNondetVar_0)) (?v_7281 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_7282 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_7283 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1)) (?v_7284 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.9 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_7285 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7286 (= inline.SerialGetNextWrite.0.myNondetVar_1.7 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_7287 (= inline.SerialGetNextWrite.0.myNondetVar_0.22 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_7288 (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2.)) (?v_7289 (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.)) (?v_7290 (= inline.SerialCancelTimer.1.myNondetVar_0.3 inline.SerialCancelTimer.1.myNondetVar_0)) (?v_7291 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_7292 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_7293 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_7294 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_7295 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.0.myNondetVar_0)) (?v_7296 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_7297 (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1.)) (?v_7298 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_7299 (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1.)) (?v_7300 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_7301 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_7302 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_7303 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_7304 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_7305 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.)) (?v_7306 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.6 inline.SerialRundownIrpRefs.0.myNondetVar_2)) (?v_7307 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_7308 (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.)) (?v_7309 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_7310 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_7311 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.6 inline.SerialRundownIrpRefs.0.myNondetVar_1)) (?v_7312 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_7313 (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite)) (?v_7314 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_7315 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs)) (?v_7316 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_7317 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_7318 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_7319 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_7320 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_7321 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7322 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent)) (?v_7323 (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1.)) (?v_7324 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_7325 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3.)) (?v_7326 (= irpCompleted_0.24 irpCompleted_0.2)) (?v_7327 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7328 (= inline.SerialTryToCompleteCurrent.0.myVar_0.12 inline.SerialTryToCompleteCurrent.0.myVar_0)) (?v_7329 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_7330 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7331 (= alloc.57 alloc.17)) (?v_7332 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7333 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_7334 (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.)) (?v_7335 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.)) (?v_7336 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_7337 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_7338 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7339 (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3.)) (?v_7340 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.)) (?v_7341 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_7342 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7343 (= inline.KeSynchronizeExecution.1.myNondetVar_0.10 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_7344 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7345 (= Mem_2_T.P_IRP.32 Mem_2_T.P_IRP.1)) (?v_7346 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_7347 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_7348 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.5 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_7349 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_7350 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1)) (?v_7351 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_7352 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_7353 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_7354 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.6 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_7355 (= inline.SerialGetNextWrite.0.havoc_stringTemp.2 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_7356 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_7357 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_7358 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_7359 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_7360 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_7361 (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution)) (?v_7362 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent)) (?v_7363 (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.)) (?v_7364 (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.)) (?v_7365 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_7366 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7367 (= irpCompleted_2.24 irpCompleted_2.2)) (?v_7368 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_1)) (?v_7369 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7370 (= Mem_2_T.CancelRoutine__IRP.53 Mem_2_T.CancelRoutine__IRP.6)) (?v_7371 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_7372 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_7373 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_7374 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_7375 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.7 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_7376 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7377 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_7378 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_7379 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_7380 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_7381 (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_7382 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_7383 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_7384 (= Mem_4_T.P_IRP.32 Mem_4_T.P_IRP.1)) (?v_7385 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_7386 (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1.)) (?v_7387 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_7388 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7389 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_7390 (= inline.SerialGetNextIrpLocked.0.myVar_0.9 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_7391 (= inline.RemoveHeadList.0.myNondetVar_0.5 inline.RemoveHeadList.0.myNondetVar_0)) (?v_7392 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_7393 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_7394 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7395 (= irpCompleted_1.24 irpCompleted_1.2)) (?v_7396 (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7397 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_7398 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_7399 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1)) (?v_7400 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.4 inline.sdv_InterlockedDecrement.3.myNondetVar_0)) (?v_7401 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_7402 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.7 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_7403 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_7404 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.)) (?v_7405 (= inline.SerialGetNextIrpLocked.1.myVar_0.9 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_7406 (= inline.KeSynchronizeExecution.2.myNondetVar_0.11 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_7407 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_7408 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_7409 (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_7410 (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_7411 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1)) (?v_7412 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_7413 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_7414 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_7415 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_7416 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_7417 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_7418 (= inline.SerialGetNextIrp.0.myNondetVar_0.3 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_7419 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_7420 (= inline.KeSynchronizeExecution.0.myNondetVar_0.8 inline.KeSynchronizeExecution.0.myNondetVar_0)) (?v_7421 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7422 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7423 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7424 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_7425 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_7426 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_7427 (= inline.RemoveHeadList.1.myNondetVar_0.5 inline.RemoveHeadList.1.myNondetVar_0)) (?v_7428 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_7429 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7430 (= inline.SerialGetNextWrite.0.myNondetVar_2.6 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_7431 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_7432 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7433 (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1.)) (?v_7434 (= errorReached.38 errorReached.4)) (?v_7435 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_7436 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_7437 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_7438 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer)) (?v_7439 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7440 (= irpCompleted_4.24 irpCompleted_4.2)) (?v_7441 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1)) (?v_7442 (= Mem_1_T.CancelRoutine__IRP.53 Mem_1_T.CancelRoutine__IRP.6)) (?v_7443 (= inline.SerialCancelTimer.0.myNondetVar_0.3 inline.SerialCancelTimer.0.myNondetVar_0)) (?v_7444 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_7445 (= inline.SerialRundownIrpRefs.0.tempBoogie0.6 inline.SerialRundownIrpRefs.0.tempBoogie0)) (?v_7446 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_7447 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.5 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_7448 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_7449 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_7450 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_7451 (= Mem_3_T.P_IRP.32 Mem_3_T.P_IRP.1)) (?v_7452 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_7453 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_7454 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_7455 (= inline.SerialGetNextIrp.1.myNondetVar_0.3 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_7456 (= inline.SerialStartWrite.0.myNondetVar_1.1 inline.SerialStartWrite.0.myNondetVar_1)) (?v_7457 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_7458 (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.)) (?v_7459 (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1.)) (?v_7460 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_7461 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_7462 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_7463 (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer)) (?v_7464 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.)) (?v_7465 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_7466 (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1.)) (?v_7467 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_7468 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_7469 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_7470 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_7471 (= inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1.)) (?v_7472 (= Mem_0_T.P_IRP.32 Mem_0_T.P_IRP.1)) (?v_7473 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7474 (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1.)) (?v_7475 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_7476 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_7477 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_7478 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_7479 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7480 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1)) (?v_7481 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_7482 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7483 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_7484 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_7485 (= inline.SerialStartWrite.0.myNondetVar_2.1 inline.SerialStartWrite.0.myNondetVar_2)) (?v_7486 (= Mem_4_T.CancelRoutine__IRP.53 Mem_4_T.CancelRoutine__IRP.6)) (?v_7487 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_7488 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7489 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_7490 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_7491 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_7492 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7493 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_7494 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_7495 (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent)) (?v_7496 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1)) (?v_7497 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_7498 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_7499 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7500 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1)) (?v_7501 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7502 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_7503 (= Mem_0_T.CancelRoutine__IRP.53 Mem_0_T.CancelRoutine__IRP.6)) (?v_7504 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_7505 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7506 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2.)) (?v_7507 (= inline.SerialSetTimer.0.myNondetVar_0.9 inline.SerialSetTimer.0.myNondetVar_0)) (?v_7508 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_7509 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.4 inline.sdv_InterlockedDecrement.2.myNondetVar_0)) (?v_7510 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_7511 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_7512 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7513 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_7514 (= inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1.)) (?v_7515 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_7516 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_7517 (= inline.SerialGetNextWrite.0.tempBoogie0.8 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_7518 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_7519 (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent)) (?v_7520 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_7521 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_7522 (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs)) (?v_7523 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7524 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.)) (?v_7525 (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs))) (let ((?v_7526 (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty) (=> (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.3 inline.sdv_InterlockedDecrement.7.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.27 inline.SerialRundownIrpRefs.0.myVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> (= Mem_1_T.P_IRP.32 Mem_1_T.P_IRP.1) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent) (=> (= inline.IsListEmpty.2.myNondetVar_0.3 inline.IsListEmpty.2.myNondetVar_0) (=> (= inline.IsListEmpty.1.myNondetVar_0.3 inline.IsListEmpty.1.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.SerialGetNextWrite.0.myVar_0.28 inline.SerialGetNextWrite.0.myVar_0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3.) (=> (= inline.SerialStartWrite.0.tempBoogie0.1 inline.SerialStartWrite.0.tempBoogie0) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_2) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs) (=> true ?v_7227))))))))))))))))))))))))))))))))))))))))) (let ((?v_7531 (=> true (=> ?v_7257 (=> ?v_7258 (=> ?v_7259 (=> ?v_7260 (=> ?v_7261 (=> ?v_7262 (=> ?v_7263 (=> ?v_7264 (=> ?v_7265 (=> ?v_7266 (=> ?v_7267 (=> ?v_7268 (=> ?v_7269 (=> ?v_7270 (=> ?v_7271 (=> (= cancelLockStatus_4.36 cancelLockStatus_4.8) (=> ?v_7272 (=> ?v_7273 (=> ?v_7274 (=> ?v_7275 (=> ?v_7276 (=> ?v_7277 (=> ?v_7278 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_7279 (=> ?v_7280 (=> ?v_7281 (=> ?v_7282 (=> ?v_7283 (=> ?v_7284 (=> ?v_7285 (=> ?v_7286 (=> ?v_7287 (=> ?v_7288 (=> ?v_7289 (=> ?v_7290 (=> ?v_7291 (=> ?v_7292 (=> ?v_7293 (=> ?v_7294 (=> ?v_7295 (=> ?v_7296 (=> ?v_7297 (=> ?v_7298 (=> ?v_7299 (=> ?v_7300 (=> ?v_7301 (=> ?v_7302 (=> ?v_7303 (=> ?v_7304 (=> ?v_7305 (=> ?v_7306 (=> (= cancelLockStatus_0.36 cancelLockStatus_0.8) (=> ?v_7307 (=> ?v_7308 (=> ?v_7309 (=> ?v_7310 (=> ?v_7311 (=> ?v_7312 (=> ?v_7313 (=> ?v_7314 (=> ?v_7315 (=> ?v_7316 (=> ?v_7317 (=> ?v_7318 (=> ?v_7319 (=> ?v_7320 (=> ?v_7321 (=> ?v_7322 (=> ?v_7323 (=> ?v_7324 (=> ?v_7325 (=> ?v_7326 (=> ?v_7327 (=> ?v_7328 (=> ?v_7329 (=> ?v_7330 (=> ?v_7331 (=> ?v_7332 (=> ?v_7333 (=> ?v_7334 (=> ?v_7335 (=> ?v_7336 (=> ?v_7337 (=> ?v_7338 (=> ?v_7339 (=> ?v_7340 (=> ?v_7341 (=> ?v_7342 (=> ?v_7343 (=> ?v_7344 (=> ?v_7345 (=> ?v_7346 (=> ?v_7347 (=> ?v_7348 (=> ?v_7349 (=> ?v_7350 (=> ?v_7351 (=> ?v_7352 (=> ?v_7353 (=> ?v_7354 (=> (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..0 call55460formal.ret.0) (=> ?v_7355 (=> ?v_7356 (=> ?v_7357 (=> ?v_7358 (=> ?v_7359 (=> ?v_7360 (=> ?v_7361 (=> ?v_7362 (=> ?v_7363 (=> ?v_7364 (=> ?v_7365 (=> ?v_7366 (=> ?v_7367 (=> ?v_7368 (=> ?v_7369 (=> ?v_7370 (=> ?v_7371 (=> ?v_7372 (=> ?v_7373 (=> ?v_7374 (=> ?v_7375 (=> ?v_7376 (=> ?v_7377 (=> ?v_7378 (=> ?v_7379 (=> (= inline.SerialStartWrite.0.myVar_0.12 inline.SerialStartWrite.0.myVar_0) (=> ?v_7380 (=> ?v_7381 (=> ?v_7382 (=> ?v_7383 (=> ?v_7384 (=> ?v_7385 (=> ?v_7386 (=> ?v_7387 (=> (= cancelLockStatus_1.36 cancelLockStatus_1.8) (=> ?v_7388 (=> ?v_7389 (=> ?v_7390 (=> ?v_7391 (=> ?v_7392 (=> ?v_7393 (=> (= cancelLockStatus_3.36 cancelLockStatus_3.8) (=> ?v_7394 (=> ?v_7395 (=> ?v_7396 (=> ?v_7397 (=> ?v_7398 (=> ?v_7399 (=> ?v_7400 (=> ?v_7401 (=> ?v_7402 (=> ?v_7403 (=> ?v_7404 (=> ?v_7405 (=> ?v_7406 (=> ?v_7407 (=> ?v_7408 (=> ?v_7409 (=> ?v_7410 (=> ?v_7411 (=> ?v_7412 (=> ?v_7413 (=> ?v_7414 (=> ?v_7415 (=> ?v_7416 (=> ?v_7417 (=> ?v_7418 (=> ?v_7419 (=> ?v_7420 (=> ?v_7421 (=> ?v_7422 (=> ?v_7423 (=> ?v_7424 (=> ?v_7425 (=> ?v_7426 (=> ?v_7427 (=> ?v_7428 (=> ?v_7429 (=> ?v_7430 (=> ?v_7431 (=> ?v_7432 (=> ?v_7433 (=> ?v_7434 (=> ?v_7435 (=> ?v_7436 (=> ?v_7437 (=> ?v_7438 (=> ?v_7439 (=> ?v_7440 (=> ?v_7441 (=> ?v_7442 (=> ?v_7443 (=> ?v_7444 (=> ?v_7445 (=> ?v_7446 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_7447 (=> ?v_7448 (=> ?v_7449 (=> ?v_7450 (=> ?v_7451 (=> ?v_7452 (=> ?v_7453 (=> ?v_7454 (=> ?v_7455 (=> ?v_7456 (=> ?v_7457 (=> ?v_7458 (=> ?v_7459 (=> ?v_7460 (=> ?v_7461 (=> ?v_7462 (=> ?v_7463 (=> (= k.189 k.43) (=> ?v_7464 (=> ?v_7465 (=> ?v_7466 (=> ?v_7467 (=> ?v_7468 (=> ?v_7469 (=> ?v_7470 (=> ?v_7471 (=> ?v_7472 (=> ?v_7473 (=> ?v_7474 (=> ?v_7475 (=> ?v_7476 (=> ?v_7477 (=> ?v_7478 (=> ?v_7479 (=> ?v_7480 (=> ?v_7481 (=> ?v_7482 (=> ?v_7483 (=> ?v_7484 (=> ?v_7485 (=> ?v_7486 (=> ?v_7487 (=> ?v_7488 (=> ?v_7489 (=> ?v_7490 (=> ?v_7491 (=> ?v_7492 (=> ?v_7493 (=> ?v_7494 (=> ?v_7495 (=> ?v_7496 (=> ?v_7497 (=> ?v_7498 (=> ?v_7499 (=> (= inline.SerialStartWrite.0.myNondetVar_0.7 inline.SerialStartWrite.0.myNondetVar_0.3) (=> ?v_7500 (=> ?v_7501 (=> ?v_7502 (=> ?v_7503 (=> ?v_7504 (=> ?v_7505 (=> ?v_7506 (=> ?v_7507 (=> ?v_7508 (=> ?v_7509 (=> ?v_7510 (=> ?v_7511 (=> ?v_7512 (=> ?v_7513 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_7514 (=> ?v_7515 (=> ?v_7516 (=> ?v_7517 (=> ?v_7518 (=> ?v_7519 (=> ?v_7520 (=> ?v_7521 (=> ?v_7522 (=> ?v_7523 (=> ?v_7524 (=> ?v_7525 (=> (= cancelLockStatus_2.36 cancelLockStatus_2.8) ?v_7526)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_7537 (=> true (=> true (=> true (=> true ?v_7531))))) (?v_7533 (= cancelLockStatus_1.8 cancelLockStatus_1.6)) (?v_7534 (= cancelLockStatus_0.8 cancelLockStatus_0.6)) (?v_7528 (= cancelLockStatus_2.8 cancelLockStatus_2.6)) (?v_7529 (= cancelLockStatus_4.8 cancelLockStatus_4.6)) (?v_7530 (= cancelLockStatus_3.8 cancelLockStatus_3.6))) (let ((?v_7539 (=> ?v_7530 ?v_7537))) (let ((?v_7535 (=> ?v_7529 ?v_7539))) (let ((?v_7541 (=> ?v_7534 (=> ?v_7528 ?v_7535))) (?v_7540 (= k.43 4)) (?v_7538 (= k.43 3)) (?v_7536 (= k.43 2)) (?v_7532 (= k.43 1)) (?v_7527 (= k.43 0)) (?v_5017 (= k.40 0)) (?v_5023 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_5019)))) (let ((?v_7252 (= ?v_5023 0)) (?v_5018 (= k.40 1)) (?v_7213 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_5019)))) (let ((?v_7253 (= ?v_7213 0)) (?v_5020 (= k.40 2)) (?v_7216 (U_2_int (MapType0Select Mem_2_T.P_IRP.1 ?v_5019)))) (let ((?v_7254 (= ?v_7216 0)) (?v_5021 (= k.40 3)) (?v_7219 (U_2_int (MapType0Select Mem_3_T.P_IRP.1 ?v_5019)))) (let ((?v_7255 (= ?v_7219 0)) (?v_5022 (= k.40 4)) (?v_7221 (U_2_int (MapType0Select Mem_4_T.P_IRP.1 ?v_5019)))) (let ((?v_7256 (= ?v_7221 0)) (?v_7223 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.5)) (?v_7224 (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1.)) (?v_7225 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.5)) (?v_7226 (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0))) (let ((?v_7232 (=> true (=> ?v_7257 (=> ?v_7258 (=> ?v_7259 (=> ?v_7260 (=> ?v_7261 (=> ?v_7262 (=> ?v_7263 (=> ?v_7264 (=> ?v_7265 (=> ?v_7266 (=> ?v_7267 (=> ?v_7268 (=> ?v_7269 (=> ?v_7270 (=> ?v_7271 (=> (= cancelLockStatus_4.36 cancelLockStatus_4.7) (=> ?v_7272 (=> ?v_7273 (=> ?v_7274 (=> ?v_7275 (=> ?v_7276 (=> ?v_7277 (=> ?v_7278 (=> ?v_7223 (=> ?v_7279 (=> ?v_7280 (=> ?v_7281 (=> ?v_7282 (=> ?v_7283 (=> ?v_7284 (=> ?v_7285 (=> ?v_7286 (=> ?v_7287 (=> ?v_7288 (=> ?v_7289 (=> ?v_7290 (=> ?v_7291 (=> ?v_7292 (=> ?v_7293 (=> ?v_7294 (=> ?v_7295 (=> ?v_7296 (=> ?v_7297 (=> ?v_7298 (=> ?v_7299 (=> ?v_7300 (=> ?v_7301 (=> ?v_7302 (=> ?v_7303 (=> ?v_7304 (=> ?v_7305 (=> ?v_7306 (=> (= cancelLockStatus_0.36 cancelLockStatus_0.7) (=> ?v_7307 (=> ?v_7308 (=> ?v_7309 (=> ?v_7310 (=> ?v_7311 (=> ?v_7312 (=> ?v_7313 (=> ?v_7314 (=> ?v_7315 (=> ?v_7316 (=> ?v_7317 (=> ?v_7318 (=> ?v_7319 (=> ?v_7320 (=> ?v_7321 (=> ?v_7322 (=> ?v_7323 (=> ?v_7324 (=> ?v_7325 (=> ?v_7326 (=> ?v_7327 (=> ?v_7328 (=> ?v_7329 (=> ?v_7330 (=> ?v_7331 (=> ?v_7332 (=> ?v_7333 (=> ?v_7334 (=> ?v_7335 (=> ?v_7336 (=> ?v_7337 (=> ?v_7338 (=> ?v_7339 (=> ?v_7340 (=> ?v_7341 (=> ?v_7342 (=> ?v_7343 (=> ?v_7344 (=> ?v_7345 (=> ?v_7346 (=> ?v_7347 (=> ?v_7348 (=> ?v_7349 (=> ?v_7350 (=> ?v_7351 (=> ?v_7352 (=> ?v_7353 (=> ?v_7354 (=> ?v_7224 (=> ?v_7355 (=> ?v_7356 (=> ?v_7357 (=> ?v_7358 (=> ?v_7359 (=> ?v_7360 (=> ?v_7361 (=> ?v_7362 (=> ?v_7363 (=> ?v_7364 (=> ?v_7365 (=> ?v_7366 (=> ?v_7367 (=> ?v_7368 (=> ?v_7369 (=> ?v_7370 (=> ?v_7371 (=> ?v_7372 (=> ?v_7373 (=> ?v_7374 (=> ?v_7375 (=> ?v_7376 (=> ?v_7377 (=> ?v_7378 (=> ?v_7379 (=> (= inline.SerialStartWrite.0.myVar_0.12 inline.SerialStartWrite.0.myVar_0.5) (=> ?v_7380 (=> ?v_7381 (=> ?v_7382 (=> ?v_7383 (=> ?v_7384 (=> ?v_7385 (=> ?v_7386 (=> ?v_7387 (=> (= cancelLockStatus_1.36 cancelLockStatus_1.7) (=> ?v_7388 (=> ?v_7389 (=> ?v_7390 (=> ?v_7391 (=> ?v_7392 (=> ?v_7393 (=> (= cancelLockStatus_3.36 cancelLockStatus_3.7) (=> ?v_7394 (=> ?v_7395 (=> ?v_7396 (=> ?v_7397 (=> ?v_7398 (=> ?v_7399 (=> ?v_7400 (=> ?v_7401 (=> ?v_7402 (=> ?v_7403 (=> ?v_7404 (=> ?v_7405 (=> ?v_7406 (=> ?v_7407 (=> ?v_7408 (=> ?v_7409 (=> ?v_7410 (=> ?v_7411 (=> ?v_7412 (=> ?v_7413 (=> ?v_7414 (=> ?v_7415 (=> ?v_7416 (=> ?v_7417 (=> ?v_7418 (=> ?v_7419 (=> ?v_7420 (=> ?v_7421 (=> ?v_7422 (=> ?v_7423 (=> ?v_7424 (=> ?v_7425 (=> ?v_7426 (=> ?v_7427 (=> ?v_7428 (=> ?v_7429 (=> ?v_7430 (=> ?v_7431 (=> ?v_7432 (=> ?v_7433 (=> ?v_7434 (=> ?v_7435 (=> ?v_7436 (=> ?v_7437 (=> ?v_7438 (=> ?v_7439 (=> ?v_7440 (=> ?v_7441 (=> ?v_7442 (=> ?v_7443 (=> ?v_7444 (=> ?v_7445 (=> ?v_7446 (=> ?v_7225 (=> ?v_7447 (=> ?v_7448 (=> ?v_7449 (=> ?v_7450 (=> ?v_7451 (=> ?v_7452 (=> ?v_7453 (=> ?v_7454 (=> ?v_7455 (=> ?v_7456 (=> ?v_7457 (=> ?v_7458 (=> ?v_7459 (=> ?v_7460 (=> ?v_7461 (=> ?v_7462 (=> ?v_7463 (=> (= k.189 k.42) (=> ?v_7464 (=> ?v_7465 (=> ?v_7466 (=> ?v_7467 (=> ?v_7468 (=> ?v_7469 (=> ?v_7470 (=> ?v_7471 (=> ?v_7472 (=> ?v_7473 (=> ?v_7474 (=> ?v_7475 (=> ?v_7476 (=> ?v_7477 (=> ?v_7478 (=> ?v_7479 (=> ?v_7480 (=> ?v_7481 (=> ?v_7482 (=> ?v_7483 (=> ?v_7484 (=> ?v_7485 (=> ?v_7486 (=> ?v_7487 (=> ?v_7488 (=> ?v_7489 (=> ?v_7490 (=> ?v_7491 (=> ?v_7492 (=> ?v_7493 (=> ?v_7494 (=> ?v_7495 (=> ?v_7496 (=> ?v_7497 (=> ?v_7498 (=> ?v_7499 (=> (= inline.SerialStartWrite.0.myNondetVar_0.7 inline.SerialStartWrite.0.myNondetVar_0.2) (=> ?v_7500 (=> ?v_7501 (=> ?v_7502 (=> ?v_7503 (=> ?v_7504 (=> ?v_7505 (=> ?v_7506 (=> ?v_7507 (=> ?v_7508 (=> ?v_7509 (=> ?v_7510 (=> ?v_7511 (=> ?v_7512 (=> ?v_7513 (=> ?v_7226 (=> (= inline.sdv_IoReleaseCancelSpinLock.4..result.userContextSwitch.3151.2.1..0 call55692formal.ret.0) (=> ?v_7515 (=> ?v_7516 (=> ?v_7517 (=> ?v_7518 (=> ?v_7519 (=> ?v_7520 (=> ?v_7521 (=> ?v_7522 (=> ?v_7523 (=> ?v_7524 (=> ?v_7525 (=> (= cancelLockStatus_2.36 cancelLockStatus_2.7) ?v_7526)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_7238 (=> true (=> true (=> true (=> true ?v_7232))))) (?v_7234 (= cancelLockStatus_1.7 cancelLockStatus_1.6)) (?v_7235 (= cancelLockStatus_0.7 cancelLockStatus_0.6)) (?v_7229 (= cancelLockStatus_2.7 cancelLockStatus_2.6)) (?v_7230 (= cancelLockStatus_4.7 cancelLockStatus_4.6)) (?v_7231 (= cancelLockStatus_3.7 cancelLockStatus_3.6))) (let ((?v_7240 (=> ?v_7231 ?v_7238))) (let ((?v_7236 (=> ?v_7230 ?v_7240))) (let ((?v_7242 (=> ?v_7235 (=> ?v_7229 ?v_7236))) (?v_7241 (= k.42 4)) (?v_7239 (= k.42 3)) (?v_7237 (= k.42 2)) (?v_7233 (= k.42 1)) (?v_7228 (= k.42 0)) (?v_5866 (=> true (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= Mem_3_T.CancelRoutine__IRP.53 Mem_3_T.CancelRoutine__IRP.52) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 0) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= cancelLockStatus_4.36 cancelLockStatus_4.35) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3) (=> (= irpCompleted_3.24 irpCompleted_3.23) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..4) (=> ?v_7223 (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.12 inline.SerialRundownIrpRefs.0.myNondetVar_0.11) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 0) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 1073741832) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.9 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.7 inline.SerialGetNextWrite.0.myNondetVar_1.6) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.22 inline.SerialGetNextWrite.0.myNondetVar_0.21) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..3) (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.3 inline.SerialCancelTimer.1.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0 16) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.6 inline.SerialRundownIrpRefs.0.myNondetVar_2.5) (=> (= cancelLockStatus_0.36 cancelLockStatus_0.35) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.6 inline.SerialRundownIrpRefs.0.myNondetVar_1.5) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0 16) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 1073741832) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 0) (=> (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..2) (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..3) (=> (= irpCompleted_0.24 irpCompleted_0.23) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.0.myVar_0.5) (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.12 inline.SerialTryToCompleteCurrent.0.myVar_0.11) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.0.myVar_0.11) (=> (= alloc.57 alloc.56) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..2) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..2) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.10 inline.KeSynchronizeExecution.1.myNondetVar_0.9) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= Mem_2_T.P_IRP.32 Mem_2_T.P_IRP.31) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.5 inline.sdv_InterlockedDecrement.4.myNondetVar_0.4) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.6 inline.sdv_InterlockedIncrement.1.myNondetVar_0.5) (=> ?v_7224 (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.2 inline.SerialGetNextWrite.0.havoc_stringTemp.1) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 SerialGrabXoffFromIsr) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..3) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= irpCompleted_2.24 irpCompleted_2.23) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.11) (=> (= Mem_2_T.CancelRoutine__IRP.53 Mem_2_T.CancelRoutine__IRP.52) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.7 inline.sdv_InterlockedDecrement.5.myNondetVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.0.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.10 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 0) (=> (= inline.SerialStartWrite.0.myVar_0.12 inline.SerialStartWrite.0.myVar_0.11) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.7) (=> (= Mem_4_T.P_IRP.32 Mem_4_T.P_IRP.31) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..3) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 0) (=> (= cancelLockStatus_1.36 cancelLockStatus_1.35) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.9 inline.SerialGetNextIrpLocked.0.myVar_0.8) (=> (= inline.RemoveHeadList.0.myNondetVar_0.5 inline.RemoveHeadList.0.myNondetVar_0.4) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= cancelLockStatus_3.36 cancelLockStatus_3.35) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= irpCompleted_1.24 irpCompleted_1.23) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 0) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.4 inline.sdv_InterlockedDecrement.3.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2) (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.7 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.6) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.9 inline.SerialGetNextIrpLocked.1.myVar_0.8) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.11 inline.KeSynchronizeExecution.2.myNondetVar_0.10) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..2) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.3 inline.SerialGetNextIrp.0.myNondetVar_0.2) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.8 inline.KeSynchronizeExecution.0.myNondetVar_0.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 0) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.RemoveHeadList.1.myNondetVar_0.5 inline.RemoveHeadList.1.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.6 inline.SerialGetNextWrite.0.myNondetVar_2.5) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..1) (=> (= errorReached.38 errorReached.37) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= irpCompleted_4.24 irpCompleted_4.23) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 SerialGrabXoffFromIsr) (=> (= Mem_1_T.CancelRoutine__IRP.53 Mem_1_T.CancelRoutine__IRP.52) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.3 inline.SerialCancelTimer.0.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.6 inline.SerialRundownIrpRefs.0.tempBoogie0.5) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_7225 (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.5 inline.sdv_InterlockedDecrement.6.myNondetVar_0.4) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= Mem_3_T.P_IRP.32 Mem_3_T.P_IRP.31) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.3 inline.SerialGetNextIrp.1.myNondetVar_0.2) (=> (= inline.SerialStartWrite.0.myNondetVar_1.1 inline.SerialStartWrite.0.myNondetVar_1.0) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0) (=> (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= k.189 k.188) (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..1) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..1) (=> (= Mem_0_T.P_IRP.32 Mem_0_T.P_IRP.31) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.0.myVar_0.11) (=> (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..2) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialStartWrite.0.myNondetVar_2.1 inline.SerialStartWrite.0.myNondetVar_2.0) (=> (= Mem_4_T.CancelRoutine__IRP.53 Mem_4_T.CancelRoutine__IRP.52) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.11) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0 16) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialStartWrite.0.myNondetVar_0.7 inline.SerialStartWrite.0.myNondetVar_0.6) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2) (=> (= Mem_0_T.CancelRoutine__IRP.53 Mem_0_T.CancelRoutine__IRP.52) (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..3) (=> (= inline.SerialSetTimer.0.myNondetVar_0.9 inline.SerialSetTimer.0.myNondetVar_0.8) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.4 inline.sdv_InterlockedDecrement.2.myNondetVar_0.3) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3) (=> ?v_7226 (=> ?v_7514 (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.8 inline.SerialGetNextWrite.0.tempBoogie0.7) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0 call56006formal.new.0) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0) (=> (= cancelLockStatus_2.36 cancelLockStatus_2.35) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.3 inline.sdv_InterlockedDecrement.7.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.8 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.7) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0 16) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.27 inline.SerialRundownIrpRefs.0.myVar_0.26) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= Mem_1_T.P_IRP.32 Mem_1_T.P_IRP.31) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 0) (=> (= inline.IsListEmpty.2.myNondetVar_0.3 inline.IsListEmpty.2.myNondetVar_0.2) (=> (= inline.IsListEmpty.1.myNondetVar_0.3 inline.IsListEmpty.1.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialGetNextWrite.0.myVar_0.28 inline.SerialGetNextWrite.0.myVar_0.27) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..0) (=> (= inline.SerialStartWrite.0.tempBoogie0.1 inline.SerialStartWrite.0.tempBoogie0.0) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_2.0) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0) ?v_7227)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_6979 (=> true (=> true (=> true ?v_5866)))) (?v_6797 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_6798 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_6799 (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1.)) (?v_6800 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_6801 (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1.)) (?v_6802 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_6803 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_6804 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6805 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_6806 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6807 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_6808 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_6809 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_6810 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_6811 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_6812 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_6813 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6814 (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2.)) (?v_6815 (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.)) (?v_6816 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_6817 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_6818 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_6819 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_6820 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.5)) (?v_6821 (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1.)) (?v_6822 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_6823 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_6824 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_6825 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.6 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_6826 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_6827 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_6828 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_6829 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_6830 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_6831 (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1.)) (?v_6832 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_6833 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3.)) (?v_6834 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_6835 (= inline.SerialGetNextWrite.0.myNondetVar_0.21 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_6836 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.)) (?v_6837 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_6838 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_6839 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6840 (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3.)) (?v_6841 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_6842 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_6843 (= inline.KeSynchronizeExecution.1.myNondetVar_0.9 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_6844 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6845 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_6846 (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1.)) (?v_6847 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_6848 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.5 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_6849 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_6850 (= inline.SerialGetNextWrite.0.havoc_stringTemp.1 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_6851 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_6852 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_6853 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_6854 (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.)) (?v_6855 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_6856 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6857 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_6858 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_6859 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_6860 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_6861 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_6862 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_6863 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_6864 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_6865 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_6866 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_6867 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_6868 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_6869 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_6870 (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1.)) (?v_6871 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_6872 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6873 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_6874 (= inline.SerialGetNextIrpLocked.0.myVar_0.8 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_6875 (= inline.RemoveHeadList.0.myNondetVar_0.4 inline.RemoveHeadList.0.myNondetVar_0)) (?v_6876 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_6877 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_6878 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_6879 (= inline.SerialGetNextWrite.0.myNondetVar_1.6 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_6880 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_6881 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_6882 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_6883 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.4 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_6884 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_6885 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_6886 (= inline.SerialGetNextIrp.0.myNondetVar_0.2 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_6887 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_6888 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_6889 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6890 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_6891 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6892 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_6893 (= inline.RemoveHeadList.1.myNondetVar_0.4 inline.RemoveHeadList.1.myNondetVar_0)) (?v_6894 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_6895 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6896 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_6897 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6898 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_6899 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_6900 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_6901 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6902 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_6903 (= inline.KeSynchronizeExecution.2.myNondetVar_0.10 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_6904 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_6905 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_6906 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_6907 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_6908 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_6909 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_6910 (= inline.SerialGetNextIrp.1.myNondetVar_0.2 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_6911 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_6912 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_6913 (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1.)) (?v_6914 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_6915 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_6916 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_6917 (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1.)) (?v_6918 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_6919 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_6920 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_6921 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_6922 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_6923 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_6924 (= inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1.)) (?v_6925 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6926 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_6927 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6928 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_6929 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2.)) (?v_6930 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_6931 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_6932 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_6933 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_6934 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_6935 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_6936 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_6937 (= inline.SerialGetNextIrpLocked.1.myVar_0.8 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_6938 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_6939 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6940 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_6941 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6942 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2.)) (?v_6943 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_6944 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_6945 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_6946 (= inline.SerialGetNextWrite.0.myNondetVar_2.5 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_6947 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_6948 (= inline.SerialGetNextWrite.0.tempBoogie0.7 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_6949 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_6950 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_6951 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_6952 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_6953 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6954 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_6955 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.4 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_6956 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_6957 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_6958 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_6959 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_6960 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_6961 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_6962 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_6963 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_6964 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_6965 (= inline.SerialSetTimer.0.myNondetVar_0.8 inline.SerialSetTimer.0.myNondetVar_0)) (?v_6966 (= inline.IsListEmpty.2.myNondetVar_0.2 inline.IsListEmpty.2.myNondetVar_0)) (?v_6967 (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0)) (?v_6968 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6969 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_6970 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_6971 (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1.)) (?v_6972 (= inline.SerialGetNextWrite.0.myVar_0.27 inline.SerialGetNextWrite.0.myVar_0)) (?v_6973 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_6974 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_6975 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_6976 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_6977 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_6978 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine))) (let ((?v_6981 (=> true (=> ?v_6797 (=> ?v_6798 (=> ?v_6799 (=> ?v_6800 (=> (= Mem_3_T.CancelRoutine__IRP.52 Mem_3_T.CancelRoutine__IRP.51) (=> ?v_6801 (=> ?v_6802 (=> ?v_6803 (=> ?v_6804 (=> ?v_6805 (=> ?v_6806 (=> (= cancelLockStatus_4.35 cancelLockStatus_4.34) (=> ?v_6807 (=> ?v_6808 (=> ?v_6809 (=> (= irpCompleted_3.23 irpCompleted_3.22) (=> ?v_6810 (=> ?v_6811 (=> ?v_6812 (=> ?v_6813 (=> ?v_6814 (=> ?v_6815 (=> ?v_6816 (=> ?v_6817 (=> ?v_6818 (=> ?v_6819 (=> ?v_6820 (=> ?v_6821 (=> ?v_6822 (=> (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..0 call64150formal.ret.0) (=> ?v_6823 (=> ?v_6824 (=> ?v_6825 (=> (= cancelLockStatus_0.35 cancelLockStatus_0.34) (=> ?v_6826 (=> ?v_6827 (=> ?v_6828 (=> ?v_6829 (=> ?v_6830 (=> ?v_6831 (=> ?v_6832 (=> ?v_6833 (=> (= irpCompleted_0.23 irpCompleted_0.22) (=> ?v_6834 (=> ?v_6835 (=> (= alloc.56 alloc.55) (=> ?v_6836 (=> ?v_6837 (=> ?v_6838 (=> ?v_6839 (=> ?v_6840 (=> ?v_6841 (=> ?v_6842 (=> (= cancelLockStatus_1.35 cancelLockStatus_1.34) (=> ?v_6843 (=> ?v_6844 (=> (= Mem_2_T.P_IRP.31 Mem_2_T.P_IRP.30) (=> ?v_6845 (=> ?v_6846 (=> ?v_6847 (=> ?v_6848 (=> ?v_6849 (=> ?v_6850 (=> ?v_6851 (=> ?v_6852 (=> (= Mem_2_T.CancelRoutine__IRP.52 Mem_2_T.CancelRoutine__IRP.51) (=> ?v_6853 (=> ?v_6854 (=> ?v_6855 (=> ?v_6856 (=> (= irpCompleted_2.23 irpCompleted_2.22) (=> ?v_6857 (=> ?v_6858 (=> ?v_6859 (=> ?v_6860 (=> ?v_6861 (=> ?v_6862 (=> ?v_6863 (=> ?v_6864 (=> ?v_6865 (=> ?v_6866 (=> ?v_6867 (=> ?v_6868 (=> (= Mem_4_T.P_IRP.31 Mem_4_T.P_IRP.30) (=> ?v_6869 (=> ?v_6870 (=> ?v_6871 (=> ?v_6872 (=> ?v_6873 (=> ?v_6874 (=> ?v_6875 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5) (=> ?v_6876 (=> (= cancelLockStatus_3.35 cancelLockStatus_3.34) (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> ?v_6877 (=> ?v_6878 (=> ?v_6879 (=> ?v_6880 (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> ?v_6881 (=> ?v_6882 (=> ?v_6883 (=> ?v_6884 (=> ?v_6885 (=> ?v_6886 (=> ?v_6887 (=> ?v_6888 (=> ?v_6889 (=> ?v_6890 (=> ?v_6891 (=> ?v_6892 (=> ?v_6893 (=> ?v_6894 (=> ?v_6895 (=> ?v_6896 (=> ?v_6897 (=> (= errorReached.37 errorReached.36) (=> ?v_6898 (=> ?v_6899 (=> ?v_6900 (=> ?v_6901 (=> (= irpCompleted_4.23 irpCompleted_4.22) (=> (= Mem_1_T.CancelRoutine__IRP.52 Mem_1_T.CancelRoutine__IRP.51) (=> ?v_6902 (=> ?v_6903 (=> ?v_6904 (=> ?v_6905 (=> ?v_6906 (=> ?v_6907 (=> (= Mem_3_T.P_IRP.31 Mem_3_T.P_IRP.30) (=> (= irpCompleted_1.23 irpCompleted_1.22) (=> ?v_6908 (=> ?v_6909 (=> ?v_6910 (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..0) (=> ?v_6911 (=> ?v_6912 (=> ?v_6913 (=> ?v_6914 (=> ?v_6915 (=> ?v_6916 (=> ?v_6917 (=> (= k.188 k.187) (=> ?v_6918 (=> ?v_6919 (=> ?v_6920 (=> ?v_6921 (=> ?v_6922 (=> ?v_6923 (=> ?v_6924 (=> (= Mem_0_T.P_IRP.31 Mem_0_T.P_IRP.30) (=> ?v_6925 (=> ?v_6926 (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0 call64228formal.new.0) (=> ?v_6927 (=> ?v_6928 (=> ?v_6929 (=> ?v_6930 (=> ?v_6931 (=> (= Mem_4_T.CancelRoutine__IRP.52 Mem_4_T.CancelRoutine__IRP.51) (=> ?v_6932 (=> ?v_6933 (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5) (=> ?v_6934 (=> ?v_6935 (=> ?v_6936 (=> ?v_6937 (=> ?v_6938 (=> ?v_6939 (=> ?v_6940 (=> (= Mem_0_T.CancelRoutine__IRP.52 Mem_0_T.CancelRoutine__IRP.51) (=> ?v_6941 (=> ?v_6942 (=> ?v_6943 (=> ?v_6944 (=> ?v_6945 (=> ?v_6946 (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5) (=> ?v_6947 (=> ?v_6948 (=> ?v_6949 (=> ?v_6950 (=> ?v_6951 (=> ?v_6952 (=> ?v_6953 (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.2 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> (= cancelLockStatus_2.35 cancelLockStatus_2.34) (=> ?v_6954 (=> ?v_6955 (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0) (=> ?v_6956 (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0) (=> ?v_6957 (=> ?v_6958 (=> ?v_6959 (=> ?v_6960 (=> ?v_6961 (=> ?v_6962 (=> ?v_6963 (=> ?v_6964 (=> ?v_6965 (=> (= Mem_1_T.P_IRP.31 Mem_1_T.P_IRP.30) (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> ?v_6966 (=> ?v_6967 (=> ?v_6968 (=> ?v_6969 (=> ?v_6970 (=> ?v_6971 (=> ?v_6972 (=> ?v_6973 (=> ?v_6974 (=> ?v_6975 (=> ?v_6976 (=> ?v_6977 (=> ?v_6978 ?v_6979))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_6980 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.1 0))) (let ((?v_7018 (and (=> true (=> (not ?v_6980) (=> true (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.) ?v_6981)))) (=> true (=> ?v_6980 (=> true (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0 call64579formal.ret.0) (=> true (=> true (=> true ?v_6981))))))))) (?v_7017 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 hirp))) (let ((?v_6985 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.51 Mem_1_T.CancelRoutine__IRP.50) (=> (= irpCompleted_1.22 irpCompleted_1.21) (=> (= Mem_2_T.CancelRoutine__IRP.51 Mem_2_T.CancelRoutine__IRP.50) (=> (= irpCompleted_2.22 irpCompleted_2.21) (=> (= Mem_4_T.CancelRoutine__IRP.51 Mem_4_T.CancelRoutine__IRP.50) (=> (= k.187 k.186) (=> (= irpCompleted_3.22 irpCompleted_3.21) (=> (= errorReached.36 errorReached.35) (=> (= Mem_0_T.CancelRoutine__IRP.51 Mem_0_T.CancelRoutine__IRP.50) (=> (= irpCompleted_0.22 irpCompleted_0.21) (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0 call64261formal.ret.0) (=> (= irpCompleted_4.22 irpCompleted_4.21) (=> (= Mem_3_T.CancelRoutine__IRP.51 Mem_3_T.CancelRoutine__IRP.50) ?v_7018))))))))))))))) (?v_6982 (= irpCompleted_4.21 irpCompleted_4.2)) (?v_6983 (= irpCompleted_2.21 irpCompleted_2.2)) (?v_6984 (= irpCompleted_3.21 irpCompleted_3.2)) (?v_6987 (= irpCompleted_1.21 irpCompleted_1.2))) (let ((?v_6988 (=> (= irpCompleted_0.21 irpCompleted_0.2) (=> true ?v_6985)))) (let ((?v_6990 (=> ?v_6987 ?v_6988))) (let ((?v_6992 (=> ?v_6984 ?v_6990))) (let ((?v_6994 (=> ?v_6983 ?v_6992)) (?v_6993 (= k.186 4))) (let ((?v_7009 (not ?v_6993)) (?v_6991 (= k.186 3))) (let ((?v_7007 (not ?v_6991)) (?v_6989 (= k.186 2))) (let ((?v_7005 (not ?v_6989)) (?v_6986 (= k.186 1))) (let ((?v_7001 (not ?v_6986)) (?v_6796 (= k.186 0))) (let ((?v_6995 (not ?v_6796))) (let ((?v_7000 (and (=> true (=> ?v_6796 (=> true (=> ?v_6982 (=> ?v_6983 (=> ?v_6984 (=> ?v_6987 (=> (= irpCompleted_0.21 1) ?v_6985)))))))) (=> true (=> ?v_6995 (and (=> true (=> ?v_6986 (=> true (=> ?v_6982 (=> ?v_6983 (=> ?v_6984 (=> (= irpCompleted_1.21 1) ?v_6988))))))) (=> true (=> ?v_7001 (and (=> true (=> ?v_6989 (=> true (=> ?v_6982 (=> (= irpCompleted_2.21 1) ?v_6992))))) (=> true (=> ?v_7005 (and (=> true (=> ?v_6991 (=> true (=> ?v_6982 (=> ?v_6983 (=> (= irpCompleted_3.21 1) ?v_6990)))))) (=> true (=> ?v_7007 (and (=> true (=> ?v_6993 (=> true (=> (= irpCompleted_4.21 1) ?v_6994)))) (=> true (=> ?v_7009 (=> true (=> ?v_6982 ?v_6994))))))))))))))))))) (let ((?v_7008 (=> true (=> true ?v_7000))) (?v_6997 (= Mem_2_T.CancelRoutine__IRP.50 Mem_2_T.CancelRoutine__IRP.21)) (?v_7002 (= Mem_0_T.CancelRoutine__IRP.50 Mem_0_T.CancelRoutine__IRP.21)) (?v_6998 (= Mem_3_T.CancelRoutine__IRP.50 Mem_3_T.CancelRoutine__IRP.21)) (?v_7003 (= Mem_1_T.CancelRoutine__IRP.50 Mem_1_T.CancelRoutine__IRP.21)) (?v_6999 (= Mem_4_T.CancelRoutine__IRP.50 Mem_4_T.CancelRoutine__IRP.21))) (let ((?v_7004 (=> ?v_6999 ?v_7008))) (let ((?v_7006 (=> ?v_7003 ?v_7004))) (let ((?v_7010 (=> ?v_7002 (=> ?v_6998 ?v_7006))) (?v_6996 (int_2_U (CancelRoutine__IRP inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5)))) (let ((?v_7016 (=> true (=> (<= k.185 k.186) (=> (< k.186 5) (and (=> true (=> ?v_6796 (=> (= Mem_0_T.CancelRoutine__IRP.49 (MapType0Store Mem_0_T.CancelRoutine__IRP.21 ?v_6996 ?v_46)) (=> true (=> ?v_6997 (=> (= Mem_0_T.CancelRoutine__IRP.50 Mem_0_T.CancelRoutine__IRP.49) (=> ?v_6998 (=> ?v_7003 (=> ?v_6999 ?v_7000))))))))) (=> true (=> ?v_6995 (and (=> true (=> ?v_6986 (=> (= Mem_1_T.CancelRoutine__IRP.49 (MapType0Store Mem_1_T.CancelRoutine__IRP.21 ?v_6996 ?v_46)) (=> true (=> ?v_6997 (=> ?v_7002 (=> ?v_6998 (=> (= Mem_1_T.CancelRoutine__IRP.50 Mem_1_T.CancelRoutine__IRP.49) ?v_7004)))))))) (=> true (=> ?v_7001 (and (=> true (=> ?v_6989 (=> (= Mem_2_T.CancelRoutine__IRP.49 (MapType0Store Mem_2_T.CancelRoutine__IRP.21 ?v_6996 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.50 Mem_2_T.CancelRoutine__IRP.49) ?v_7010))))) (=> true (=> ?v_7005 (and (=> true (=> ?v_6991 (=> (= Mem_3_T.CancelRoutine__IRP.49 (MapType0Store Mem_3_T.CancelRoutine__IRP.21 ?v_6996 ?v_46)) (=> true (=> ?v_6997 (=> ?v_7002 (=> (= Mem_3_T.CancelRoutine__IRP.50 Mem_3_T.CancelRoutine__IRP.49) ?v_7006))))))) (=> true (=> ?v_7007 (and (=> true (=> ?v_6993 (=> (= Mem_4_T.CancelRoutine__IRP.49 (MapType0Store Mem_4_T.CancelRoutine__IRP.21 ?v_6996 ?v_46)) (=> true (=> ?v_6997 (=> ?v_7002 (=> ?v_6998 (=> ?v_7003 (=> (= Mem_4_T.CancelRoutine__IRP.50 Mem_4_T.CancelRoutine__IRP.49) ?v_7008))))))))) (=> true (=> ?v_7009 (=> true (=> ?v_6997 ?v_7010))))))))))))))))))))) (?v_7011 (= k.185 0)) (?v_7012 (= k.185 1)) (?v_7013 (= k.185 2)) (?v_7014 (= k.185 3)) (?v_7015 (= k.185 4)) (?v_6795 (int_2_U call64228formal.new.0))) (let ((?v_7023 (=> true (and ?v_11 (=> ?v_11 (=> (> call64228formal.new.0 0) (=> (forall ((?x1659 Int)) (! (=> (and (<= call64228formal.new.0 ?x1659) (< ?x1659 (+ call64228formal.new.0 1))) (= (Base ?x1659) call64228formal.new.0)) :pattern ((Base ?x1659)) )) (=> (forall ((?x1660 boogieU)) (! (=> (= (type ?x1660) intType) (or (= (U_2_int ?x1660) call64228formal.new.0) (= (MapType0Select alloc.28 ?x1660) (MapType0Select alloc.55 ?x1660)))) :pattern ((MapType0Select alloc.55 ?x1660)) )) (=> (and (= (MapType0Select alloc.28 ?v_6795) UNALLOCATED) (= (MapType0Select alloc.55 ?v_6795) ALLOCATED)) (and (=> true (=> ?v_7017 (=> true (=> (<= k.184 k.185) (=> (< k.185 5) (and (=> true (=> (=> ?v_7011 ?v_4231) (=> (=> ?v_7012 ?v_4232) (=> (=> ?v_7013 ?v_4233) (=> (=> ?v_7014 ?v_4234) (=> (=> ?v_7015 ?v_4235) (=> true (=> (= errorReached.35 1) ?v_7016)))))))) (=> true (=> (=> ?v_7011 ?v_4197) (=> (=> ?v_7012 ?v_4199) (=> (=> ?v_7013 ?v_4201) (=> (=> ?v_7014 ?v_4203) (=> (=> ?v_7015 ?v_4205) (=> true (=> (= errorReached.35 errorReached.14) ?v_7016)))))))))))))) (=> true (=> (not ?v_7017) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.51 Mem_1_T.CancelRoutine__IRP.21) (=> (= irpCompleted_1.22 irpCompleted_1.2) (=> (= Mem_2_T.CancelRoutine__IRP.51 Mem_2_T.CancelRoutine__IRP.21) (=> (= irpCompleted_2.22 irpCompleted_2.2) (=> (= Mem_4_T.CancelRoutine__IRP.51 Mem_4_T.CancelRoutine__IRP.21) (=> (= k.187 k.184) (=> (= irpCompleted_3.22 irpCompleted_3.2) (=> (= errorReached.36 errorReached.14) (=> (= Mem_0_T.CancelRoutine__IRP.51 Mem_0_T.CancelRoutine__IRP.21) (=> (= irpCompleted_0.22 irpCompleted_0.2) (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_4.22 irpCompleted_4.2) (=> (= Mem_3_T.CancelRoutine__IRP.51 Mem_3_T.CancelRoutine__IRP.21) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_7018))))))))))))))))))))))))))))))))))))))))))) (let ((?v_7029 (=> true (=> true (=> true (=> true ?v_7023))))) (?v_7025 (= cancelLockStatus_1.34 cancelLockStatus_1.6)) (?v_7026 (= cancelLockStatus_0.34 cancelLockStatus_0.6)) (?v_7020 (= cancelLockStatus_2.34 cancelLockStatus_2.6)) (?v_7021 (= cancelLockStatus_4.34 cancelLockStatus_4.6)) (?v_7022 (= cancelLockStatus_3.34 cancelLockStatus_3.6))) (let ((?v_7031 (=> ?v_7022 ?v_7029))) (let ((?v_7027 (=> ?v_7021 ?v_7031))) (let ((?v_7033 (=> ?v_7026 (=> ?v_7020 ?v_7027))) (?v_7032 (= k.184 4)) (?v_7030 (= k.184 3)) (?v_7028 (= k.184 2)) (?v_7024 (= k.184 1)) (?v_7019 (= k.184 0))) (let ((?v_7039 (=> true (=> (<= k.183 k.184) (=> (< k.184 5) (and (=> true (=> ?v_7019 (=> true (=> ?v_7025 (=> (= cancelLockStatus_0.34 0) (=> ?v_7020 (=> ?v_7021 (=> ?v_7022 ?v_7023)))))))) (=> true (=> (not ?v_7019) (and (=> true (=> ?v_7024 (=> true (=> (= cancelLockStatus_1.34 0) ?v_7033)))) (=> true (=> (not ?v_7024) (and (=> true (=> ?v_7028 (=> true (=> ?v_7025 (=> ?v_7026 (=> (= cancelLockStatus_2.34 0) ?v_7027)))))) (=> true (=> (not ?v_7028) (and (=> true (=> ?v_7030 (=> true (=> ?v_7025 (=> ?v_7026 (=> ?v_7020 (=> ?v_7021 (=> (= cancelLockStatus_3.34 0) ?v_7029)))))))) (=> true (=> (not ?v_7030) (and (=> true (=> ?v_7032 (=> true (=> ?v_7025 (=> ?v_7026 (=> ?v_7020 (=> (= cancelLockStatus_4.34 0) ?v_7031))))))) (=> true (=> (not ?v_7032) (=> true (=> ?v_7025 ?v_7033)))))))))))))))))))))) (let ((?v_7050 (=> true (=> true (=> true (=> true ?v_7039))))) (?v_7036 (= Mem_3_T.P_IRP.30 Mem_3_T.P_IRP.1)) (?v_7042 (= Mem_1_T.P_IRP.30 Mem_1_T.P_IRP.1)) (?v_7043 (= Mem_0_T.P_IRP.30 Mem_0_T.P_IRP.1)) (?v_7037 (= Mem_2_T.P_IRP.30 Mem_2_T.P_IRP.1)) (?v_7038 (= Mem_4_T.P_IRP.30 Mem_4_T.P_IRP.1))) (let ((?v_7044 (=> ?v_7038 ?v_7050))) (let ((?v_7047 (=> ?v_7043 (=> ?v_7037 ?v_7044)))) (let ((?v_7052 (=> ?v_7042 ?v_7047)) (?v_7051 (= k.183 4)) (?v_5029 (int_2_U inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0))) (let ((?v_7049 (MapType0Store Mem_4_T.P_IRP.1 ?v_5029 ?v_46)) (?v_7048 (= k.183 3)) (?v_7046 (MapType0Store Mem_3_T.P_IRP.1 ?v_5029 ?v_46)) (?v_7045 (= k.183 2)) (?v_7041 (MapType0Store Mem_2_T.P_IRP.1 ?v_5029 ?v_46)) (?v_7040 (= k.183 1)) (?v_7035 (MapType0Store Mem_1_T.P_IRP.1 ?v_5029 ?v_46)) (?v_7034 (= k.183 0)) (?v_6794 (MapType0Store Mem_0_T.P_IRP.1 ?v_5029 ?v_46))) (let ((?v_7054 (=> true (=> (<= k.85 k.183) (=> (< k.183 5) (and (=> true (=> ?v_7034 (=> (= Mem_0_T.P_IRP.29 ?v_6794) (=> true (=> ?v_7036 (=> ?v_7042 (=> (= Mem_0_T.P_IRP.30 Mem_0_T.P_IRP.29) (=> ?v_7037 (=> ?v_7038 ?v_7039))))))))) (=> true (=> (not ?v_7034) (and (=> true (=> ?v_7040 (=> (= Mem_1_T.P_IRP.29 ?v_7035) (=> true (=> ?v_7036 (=> (= Mem_1_T.P_IRP.30 Mem_1_T.P_IRP.29) ?v_7047)))))) (=> true (=> (not ?v_7040) (and (=> true (=> ?v_7045 (=> (= Mem_2_T.P_IRP.29 ?v_7041) (=> true (=> ?v_7036 (=> ?v_7042 (=> ?v_7043 (=> (= Mem_2_T.P_IRP.30 Mem_2_T.P_IRP.29) ?v_7044)))))))) (=> true (=> (not ?v_7045) (and (=> true (=> ?v_7048 (=> (= Mem_3_T.P_IRP.29 ?v_7046) (=> true (=> (= Mem_3_T.P_IRP.30 Mem_3_T.P_IRP.29) ?v_7052))))) (=> true (=> (not ?v_7048) (and (=> true (=> ?v_7051 (=> (= Mem_4_T.P_IRP.29 ?v_7049) (=> true (=> ?v_7036 (=> ?v_7042 (=> ?v_7043 (=> ?v_7037 (=> (= Mem_4_T.P_IRP.30 Mem_4_T.P_IRP.29) ?v_7050))))))))) (=> true (=> (not ?v_7051) (=> true (=> ?v_7036 ?v_7052)))))))))))))))))))))) (let ((?v_7056 (=> true ?v_7054)) (?v_7059 (= k.85 4)) (?v_6145 (U_2_int (MapType0Select Mem_4_T.P_IRP.1 ?v_5029))) (?v_7058 (= k.85 3)) (?v_6143 (U_2_int (MapType0Select Mem_3_T.P_IRP.1 ?v_5029))) (?v_7057 (= k.85 2)) (?v_6140 (U_2_int (MapType0Select Mem_2_T.P_IRP.1 ?v_5029))) (?v_7055 (= k.85 1)) (?v_6137 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_5029))) (?v_7053 (= k.85 0)) (?v_5028 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_5029))) (?v_5854 (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1.)) (?v_5855 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_5856 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_5857 (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_5858 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_5859 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_5860 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_5861 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_5862 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.2 inline.sdv_InterlockedDecrement.7.myNondetVar_0)) (?v_5863 (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.)) (?v_5864 (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.)) (?v_5865 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.))) (let ((?v_5877 (=> true (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= Mem_3_T.CancelRoutine__IRP.52 Mem_3_T.CancelRoutine__IRP.40) (=> (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..0) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= cancelLockStatus_4.35 cancelLockStatus_4.25) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2) (=> (= irpCompleted_3.23 irpCompleted_3.16) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..2) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1) (=> ?v_6820 (=> (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> ?v_5854 (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.6 inline.sdv_InterlockedDecrement.5.myNondetVar_0.5) (=> (= cancelLockStatus_0.35 cancelLockStatus_0.25) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..1) (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..2) (=> (= irpCompleted_0.23 irpCompleted_0.16) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.21 inline.SerialGetNextWrite.0.myNondetVar_0.20) (=> (= alloc.56 alloc.44) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..1) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..1) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= cancelLockStatus_1.35 cancelLockStatus_1.25) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.9 inline.KeSynchronizeExecution.1.myNondetVar_0.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= Mem_2_T.P_IRP.31 Mem_2_T.P_IRP.20) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..1) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.5 inline.sdv_InterlockedIncrement.1.myNondetVar_0.4) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.1 inline.SerialGetNextWrite.0.havoc_stringTemp.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= Mem_2_T.CancelRoutine__IRP.52 Mem_2_T.CancelRoutine__IRP.40) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..2) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= irpCompleted_2.23 irpCompleted_2.16) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> (= Mem_4_T.P_IRP.31 Mem_4_T.P_IRP.20) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..2) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.8 inline.SerialGetNextIrpLocked.0.myVar_0.7) (=> (= inline.RemoveHeadList.0.myNondetVar_0.4 inline.RemoveHeadList.0.myNondetVar_0.3) (=> ?v_5855 (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= cancelLockStatus_3.35 cancelLockStatus_3.25) (=> ?v_5856 (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.6 inline.SerialGetNextWrite.0.myNondetVar_1.5) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> ?v_5857 (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.4 inline.sdv_InterlockedDecrement.4.myNondetVar_0.3) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.2 inline.SerialGetNextIrp.0.myNondetVar_0.1) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.RemoveHeadList.1.myNondetVar_0.4 inline.RemoveHeadList.1.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= errorReached.37 errorReached.28) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= irpCompleted_4.23 irpCompleted_4.16) (=> (= Mem_1_T.CancelRoutine__IRP.52 Mem_1_T.CancelRoutine__IRP.40) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.10 inline.KeSynchronizeExecution.2.myNondetVar_0.9) (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= Mem_3_T.P_IRP.31 Mem_3_T.P_IRP.20) (=> (= irpCompleted_1.23 irpCompleted_1.16) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.2 inline.SerialGetNextIrp.1.myNondetVar_0.1) (=> ?v_5858 (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> ?v_6913 (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..0) (=> (= k.188 k.141) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..0) (=> (= Mem_0_T.P_IRP.31 Mem_0_T.P_IRP.20) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> ?v_5859 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..3) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= Mem_4_T.CancelRoutine__IRP.52 Mem_4_T.CancelRoutine__IRP.40) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0) (=> ?v_5860 (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.8 inline.SerialGetNextIrpLocked.1.myVar_0.7) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1) (=> (= Mem_0_T.CancelRoutine__IRP.52 Mem_0_T.CancelRoutine__IRP.40) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..2) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.5 inline.SerialGetNextWrite.0.myNondetVar_2.4) (=> ?v_5861 (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.7 inline.SerialGetNextWrite.0.tempBoogie0.6) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_5862 (=> (= cancelLockStatus_2.35 cancelLockStatus_2.25) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.4 inline.sdv_InterlockedDecrement.6.myNondetVar_0.3) (=> ?v_5863 (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> ?v_5864 (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1) (=> (= inline.SerialSetTimer.0.myNondetVar_0.8 inline.SerialSetTimer.0.myNondetVar_0.7) (=> (= Mem_1_T.P_IRP.31 Mem_1_T.P_IRP.20) (=> ?v_5865 (=> (= inline.IsListEmpty.2.myNondetVar_0.2 inline.IsListEmpty.2.myNondetVar_0.1) (=> (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..0 call58051formal.ret.0) (=> (= inline.SerialGetNextWrite.0.myVar_0.27 inline.SerialGetNextWrite.0.myVar_0.26) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) ?v_6979))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5867 (= k.141 0)) (?v_5025 (int_2_U call56006formal.new.0))) (let ((?v_5868 (= (U_2_int (MapType0Select Mem_0_T.P_IRP.20 ?v_5025)) 0)) (?v_5869 (= k.141 1)) (?v_5870 (= (U_2_int (MapType0Select Mem_1_T.P_IRP.20 ?v_5025)) 0)) (?v_5871 (= k.141 2)) (?v_5872 (= (U_2_int (MapType0Select Mem_2_T.P_IRP.20 ?v_5025)) 0)) (?v_5873 (= k.141 3)) (?v_5874 (= (U_2_int (MapType0Select Mem_3_T.P_IRP.20 ?v_5025)) 0)) (?v_5875 (= k.141 4)) (?v_5876 (= (U_2_int (MapType0Select Mem_4_T.P_IRP.20 ?v_5025)) 0))) (let ((?v_6429 (and (=> true (=> (=> ?v_5867 (not ?v_5868)) (=> (=> ?v_5869 (not ?v_5870)) (=> (=> ?v_5871 (not ?v_5872)) (=> (=> ?v_5873 (not ?v_5874)) (=> (=> ?v_5875 (not ?v_5876)) (=> true (=> ?v_40 ?v_5877)))))))) (=> true (=> (=> ?v_5867 ?v_5868) (=> (=> ?v_5869 ?v_5870) (=> (=> ?v_5871 ?v_5872) (=> (=> ?v_5873 ?v_5874) (=> (=> ?v_5875 ?v_5876) ?v_5877)))))))) (?v_6602 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_6603 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_6604 (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1.)) (?v_6605 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_6606 (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1.)) (?v_6607 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_6608 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_6609 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6610 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_6611 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6612 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_6613 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_6614 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_6615 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_6616 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_6617 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_6618 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6619 (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2.)) (?v_6620 (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.)) (?v_6621 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_6622 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_6623 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_6624 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_6625 (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1.)) (?v_6626 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_6627 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_6628 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_6629 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.5 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_6630 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_6631 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_6632 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_6633 (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0)) (?v_6634 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_6635 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_6636 (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1.)) (?v_6637 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3.)) (?v_6638 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_6639 (= inline.SerialGetNextWrite.0.myNondetVar_0.20 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_6640 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.)) (?v_6641 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_6642 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_6643 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6644 (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3.)) (?v_6645 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_6646 (= inline.KeSynchronizeExecution.1.myNondetVar_0.8 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_6647 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6648 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_6649 (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1.)) (?v_6650 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_6651 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.4 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_6652 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_6653 (= inline.SerialGetNextWrite.0.havoc_stringTemp.0 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_6654 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_6655 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_6656 (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.)) (?v_6657 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_6658 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6659 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_6660 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_6661 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_6662 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_6663 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_6664 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_6665 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_6666 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_6667 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_6668 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_6669 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_6670 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_6671 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_6672 (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1.)) (?v_6673 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_6674 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6675 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_6676 (= inline.SerialGetNextIrpLocked.0.myVar_0.7 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_6677 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_6678 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_6679 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_6680 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_6681 (= inline.SerialGetNextWrite.0.myNondetVar_1.5 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_6682 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_6683 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_6684 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_6685 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.3 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_6686 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_6687 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_6688 (= inline.SerialGetNextIrp.0.myNondetVar_0.1 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_6689 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_6690 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_6691 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6692 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_6693 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6694 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_6695 (= inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1.)) (?v_6696 (= inline.RemoveHeadList.1.myNondetVar_0.3 inline.RemoveHeadList.1.myNondetVar_0)) (?v_6697 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_6698 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_6699 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6700 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6701 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_6702 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_6703 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_6704 (= inline.SerialGetNextWrite.0.myVar_0.26 inline.SerialGetNextWrite.0.myVar_0)) (?v_6705 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_6706 (= inline.KeSynchronizeExecution.2.myNondetVar_0.9 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_6707 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_6708 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_6709 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_6710 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_6711 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_6712 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_6713 (= inline.SerialGetNextIrp.1.myNondetVar_0.1 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_6714 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_6715 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_6716 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_6717 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_6718 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_6719 (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1.)) (?v_6720 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_6721 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_6722 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_6723 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_6724 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_6725 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_6726 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6727 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6728 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_6729 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6730 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_6731 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2.)) (?v_6732 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_6733 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_6734 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_6735 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_6736 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_6737 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_6738 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_6739 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_6740 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_6741 (= inline.SerialGetNextIrpLocked.1.myVar_0.7 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_6742 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_6743 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6744 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_6745 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6746 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2.)) (?v_6747 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_6748 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_6749 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_6750 (= inline.SerialGetNextWrite.0.myNondetVar_2.4 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_6751 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_6752 (= inline.SerialGetNextWrite.0.tempBoogie0.6 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_6753 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_6754 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_6755 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_6756 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6757 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_6758 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.3 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_6759 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_6760 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_6761 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_6762 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_6763 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_6764 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_6765 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_6766 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_6767 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_6768 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_6769 (= inline.SerialSetTimer.0.myNondetVar_0.7 inline.SerialSetTimer.0.myNondetVar_0)) (?v_6770 (= inline.IsListEmpty.2.myNondetVar_0.1 inline.IsListEmpty.2.myNondetVar_0)) (?v_6771 (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0)) (?v_6772 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6773 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_6774 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_6775 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_6776 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_6777 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp))) (let ((?v_6778 (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> true ?v_6429))))) (?v_6601 (= 0 SerialGetNextIrp))) (let ((?v_6470 (=> true (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0 call56006formal.new.0) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0 call56006formal.new.0) (=> ?v_6604 (=> ?v_6605 (=> (= Mem_3_T.CancelRoutine__IRP.40 Mem_3_T.CancelRoutine__IRP.32) (=> ?v_6606 (=> ?v_6607 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> ?v_6609 (=> ?v_6610 (=> ?v_6611 (=> (= cancelLockStatus_4.25 cancelLockStatus_4.17) (=> ?v_6612 (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0 0) (=> ?v_6614 (=> (= irpCompleted_3.16 irpCompleted_3.12) (=> ?v_6615 (=> ?v_6616 (=> ?v_6617 (=> ?v_6618 (=> ?v_6619 (=> ?v_6620 (=> ?v_6621 (=> ?v_6622 (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0) (=> ?v_6625 (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> ?v_6627 (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_6629 (=> (= cancelLockStatus_0.25 cancelLockStatus_0.17) (=> ?v_6630 (=> ?v_6631 (=> ?v_6632 (=> ?v_6633 (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_6635 (=> (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..0 call62906formal.ret.0) (=> ?v_6637 (=> (= irpCompleted_0.16 irpCompleted_0.12) (=> ?v_6638 (=> ?v_6639 (=> (= alloc.44 alloc.40) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..0) (=> ?v_6641 (=> ?v_6642 (=> ?v_6643 (=> ?v_6644 (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0) (=> (= cancelLockStatus_1.25 cancelLockStatus_1.17) (=> ?v_6646 (=> ?v_6647 (=> (= Mem_2_T.P_IRP.20 Mem_2_T.P_IRP.8) (=> ?v_6648 (=> ?v_6649 (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0) (=> ?v_6651 (=> ?v_6652 (=> ?v_6653 (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= Mem_2_T.CancelRoutine__IRP.40 Mem_2_T.CancelRoutine__IRP.32) (=> ?v_6655 (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..1) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1) (=> ?v_6658 (=> (= irpCompleted_2.16 irpCompleted_2.12) (=> ?v_6659 (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0 0) (=> ?v_6661 (=> ?v_6662 (=> ?v_6663 (=> ?v_6664 (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> ?v_6666 (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_6668 (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 0) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= Mem_4_T.P_IRP.20 Mem_4_T.P_IRP.8) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 0) (=> ?v_6672 (=> ?v_6673 (=> ?v_6674 (=> ?v_6675 (=> ?v_6676 (=> ?v_6677 (=> ?v_6678 (=> (= cancelLockStatus_3.25 cancelLockStatus_3.17) (=> ?v_6679 (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0) (=> ?v_6681 (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> ?v_6683 (=> ?v_6684 (=> ?v_6685 (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call56006formal.new.0) (=> ?v_6687 (=> ?v_6688 (=> ?v_6689 (=> ?v_6690 (=> ?v_6691 (=> ?v_6692 (=> ?v_6693 (=> ?v_6694 (=> ?v_6695 (=> (= inline.RemoveHeadList.1.myNondetVar_0.3 inline.RemoveHeadList.1.myNondetVar_0.2) (=> ?v_6697 (=> ?v_6698 (=> ?v_6699 (=> ?v_6700 (=> (= errorReached.28 errorReached.22) (=> ?v_6701 (=> ?v_6702 (=> ?v_6703 (=> ?v_6704 (=> (= irpCompleted_4.16 irpCompleted_4.12) (=> (= Mem_1_T.CancelRoutine__IRP.40 Mem_1_T.CancelRoutine__IRP.32) (=> ?v_6705 (=> ?v_6706 (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0 call62395formal.new.0) (=> ?v_6708 (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0) (=> ?v_6710 (=> (= Mem_3_T.P_IRP.20 Mem_3_T.P_IRP.8) (=> (= irpCompleted_1.16 irpCompleted_1.12) (=> ?v_6711 (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 0) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.1 inline.SerialGetNextIrp.1.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_6716 (=> ?v_6717 (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call56006formal.new.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..0 call62426formal.ret.0) (=> (= k.141 k.124) (=> ?v_6720 (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 0) (=> ?v_6722 (=> ?v_6723 (=> ?v_6724 (=> ?v_6725 (=> ?v_6726 (=> (= Mem_0_T.P_IRP.20 Mem_0_T.P_IRP.8) (=> ?v_6727 (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> ?v_6729 (=> ?v_6730 (=> ?v_6731 (=> ?v_6732 (=> ?v_6733 (=> ?v_6734 (=> (= Mem_4_T.CancelRoutine__IRP.40 Mem_4_T.CancelRoutine__IRP.32) (=> ?v_6735 (=> ?v_6736 (=> ?v_6737 (=> ?v_6738 (=> ?v_6739 (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.7 inline.SerialGetNextIrpLocked.1.myVar_0.6) (=> ?v_6742 (=> ?v_6743 (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0) (=> (= Mem_0_T.CancelRoutine__IRP.40 Mem_0_T.CancelRoutine__IRP.32) (=> ?v_6745 (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..1) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> ?v_6748 (=> ?v_6749 (=> ?v_6750 (=> ?v_6751 (=> ?v_6752 (=> ?v_6753 (=> ?v_6754 (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> ?v_6756 (=> (= cancelLockStatus_2.25 cancelLockStatus_2.17) (=> ?v_6757 (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.3 inline.sdv_InterlockedDecrement.6.myNondetVar_0.2) (=> ?v_6759 (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) (=> ?v_6762 (=> ?v_6763 (=> ?v_6764 (=> ?v_6765 (=> ?v_6766 (=> ?v_6767 (=> ?v_6768 (=> ?v_6769 (=> (= Mem_1_T.P_IRP.20 Mem_1_T.P_IRP.8) (=> (= inline.IsListEmpty.2.myNondetVar_0.1 inline.IsListEmpty.2.myNondetVar_0.0) (=> ?v_6771 (=> ?v_6772 (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1) (=> ?v_6774 (=> ?v_6775 (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) ?v_6778)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_6471 (=> true (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.) (=> (= Mem_4_T.CancelRoutine__IRP.32 Mem_4_T.CancelRoutine__IRP.24) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= errorReached.22 errorReached.16) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= irpCompleted_2.12 irpCompleted_2.2) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_0.12 irpCompleted_0.2) (=> (= irpCompleted_4.12 irpCompleted_4.2) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= irpCompleted_3.12 irpCompleted_3.2) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.2 inline.sdv_InterlockedDecrement.6.myNondetVar_0) (=> (= alloc.40 alloc.34) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.) (=> (= k.124 k.106) (=> (= Mem_3_T.CancelRoutine__IRP.32 Mem_3_T.CancelRoutine__IRP.24) (=> (= irpCompleted_1.12 irpCompleted_1.2) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.1.havoc_stringTemp) (=> (= Mem_2_T.CancelRoutine__IRP.32 Mem_2_T.CancelRoutine__IRP.24) (=> (= Mem_1_T.CancelRoutine__IRP.32 Mem_1_T.CancelRoutine__IRP.24) (=> (= Mem_0_T.CancelRoutine__IRP.32 Mem_0_T.CancelRoutine__IRP.24) (=> true (=> true (=> true (=> true (=> true (=> true ?v_6470))))))))))))))))))))))))))))))) (?v_6469 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 0)) (?v_6431 (=> true (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0) (=> (= Mem_4_T.CancelRoutine__IRP.32 Mem_4_T.CancelRoutine__IRP.31) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= errorReached.22 errorReached.21) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) (=> (= irpCompleted_2.12 irpCompleted_2.11) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0) (=> (= irpCompleted_0.12 irpCompleted_0.11) (=> (= irpCompleted_4.12 irpCompleted_4.11) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) (=> (= irpCompleted_3.12 irpCompleted_3.11) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.2 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) (=> (= alloc.40 alloc.35) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..0) (=> (= k.124 k.123) (=> (= Mem_3_T.CancelRoutine__IRP.32 Mem_3_T.CancelRoutine__IRP.31) (=> (= irpCompleted_1.12 irpCompleted_1.11) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0 call63006formal.new.0) (=> (= Mem_2_T.CancelRoutine__IRP.32 Mem_2_T.CancelRoutine__IRP.31) (=> (= Mem_1_T.CancelRoutine__IRP.32 Mem_1_T.CancelRoutine__IRP.31) (=> (= Mem_0_T.CancelRoutine__IRP.32 Mem_0_T.CancelRoutine__IRP.31) ?v_6470))))))))))))))))))))))))) (?v_6430 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.1 0))) (let ((?v_6468 (and (=> true (=> (not ?v_6430) (=> true (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.) ?v_6431)))) (=> true (=> ?v_6430 (=> true (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0 call63357formal.ret.0) (=> true (=> true (=> true ?v_6431))))))))) (?v_6467 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 hirp))) (let ((?v_6435 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.31 Mem_1_T.CancelRoutine__IRP.26) (=> (= Mem_2_T.CancelRoutine__IRP.31 Mem_2_T.CancelRoutine__IRP.26) (=> (= irpCompleted_2.11 irpCompleted_2.10) (=> (= k.123 k.108) (=> (= irpCompleted_1.11 irpCompleted_1.10) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0 call63039formal.ret.0) (=> (= irpCompleted_3.11 irpCompleted_3.10) (=> (= errorReached.21 errorReached.17) (=> (= Mem_0_T.CancelRoutine__IRP.31 Mem_0_T.CancelRoutine__IRP.26) (=> (= irpCompleted_0.11 irpCompleted_0.10) (=> (= Mem_4_T.CancelRoutine__IRP.31 Mem_4_T.CancelRoutine__IRP.26) (=> (= irpCompleted_4.11 irpCompleted_4.10) (=> (= Mem_3_T.CancelRoutine__IRP.31 Mem_3_T.CancelRoutine__IRP.26) ?v_6468))))))))))))))) (?v_6432 (= irpCompleted_4.10 irpCompleted_4.2)) (?v_6433 (= irpCompleted_2.10 irpCompleted_2.2)) (?v_6434 (= irpCompleted_3.10 irpCompleted_3.2)) (?v_6437 (= irpCompleted_1.10 irpCompleted_1.2))) (let ((?v_6438 (=> (= irpCompleted_0.10 irpCompleted_0.2) (=> true ?v_6435)))) (let ((?v_6440 (=> ?v_6437 ?v_6438))) (let ((?v_6442 (=> ?v_6434 ?v_6440))) (let ((?v_6444 (=> ?v_6433 ?v_6442)) (?v_6443 (= k.108 4))) (let ((?v_6459 (not ?v_6443)) (?v_6441 (= k.108 3))) (let ((?v_6457 (not ?v_6441)) (?v_6439 (= k.108 2))) (let ((?v_6455 (not ?v_6439)) (?v_6436 (= k.108 1))) (let ((?v_6451 (not ?v_6436)) (?v_6428 (= k.108 0))) (let ((?v_6445 (not ?v_6428))) (let ((?v_6450 (and (=> true (=> ?v_6428 (=> true (=> ?v_6432 (=> ?v_6433 (=> ?v_6434 (=> ?v_6437 (=> (= irpCompleted_0.10 1) ?v_6435)))))))) (=> true (=> ?v_6445 (and (=> true (=> ?v_6436 (=> true (=> ?v_6432 (=> ?v_6433 (=> ?v_6434 (=> (= irpCompleted_1.10 1) ?v_6438))))))) (=> true (=> ?v_6451 (and (=> true (=> ?v_6439 (=> true (=> ?v_6432 (=> (= irpCompleted_2.10 1) ?v_6442))))) (=> true (=> ?v_6455 (and (=> true (=> ?v_6441 (=> true (=> ?v_6432 (=> ?v_6433 (=> (= irpCompleted_3.10 1) ?v_6440)))))) (=> true (=> ?v_6457 (and (=> true (=> ?v_6443 (=> true (=> (= irpCompleted_4.10 1) ?v_6444)))) (=> true (=> ?v_6459 (=> true (=> ?v_6432 ?v_6444))))))))))))))))))) (let ((?v_6458 (=> true (=> true ?v_6450))) (?v_6447 (= Mem_2_T.CancelRoutine__IRP.26 Mem_2_T.CancelRoutine__IRP.24)) (?v_6452 (= Mem_0_T.CancelRoutine__IRP.26 Mem_0_T.CancelRoutine__IRP.24)) (?v_6448 (= Mem_3_T.CancelRoutine__IRP.26 Mem_3_T.CancelRoutine__IRP.24)) (?v_6453 (= Mem_1_T.CancelRoutine__IRP.26 Mem_1_T.CancelRoutine__IRP.24)) (?v_6449 (= Mem_4_T.CancelRoutine__IRP.26 Mem_4_T.CancelRoutine__IRP.24))) (let ((?v_6454 (=> ?v_6449 ?v_6458))) (let ((?v_6456 (=> ?v_6453 ?v_6454))) (let ((?v_6460 (=> ?v_6452 (=> ?v_6448 ?v_6456))) (?v_6446 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5)))) (let ((?v_6466 (=> true (=> (<= k.107 k.108) (=> (< k.108 5) (and (=> true (=> ?v_6428 (=> (= Mem_0_T.CancelRoutine__IRP.25 (MapType0Store Mem_0_T.CancelRoutine__IRP.24 ?v_6446 ?v_46)) (=> true (=> ?v_6447 (=> (= Mem_0_T.CancelRoutine__IRP.26 Mem_0_T.CancelRoutine__IRP.25) (=> ?v_6448 (=> ?v_6453 (=> ?v_6449 ?v_6450))))))))) (=> true (=> ?v_6445 (and (=> true (=> ?v_6436 (=> (= Mem_1_T.CancelRoutine__IRP.25 (MapType0Store Mem_1_T.CancelRoutine__IRP.24 ?v_6446 ?v_46)) (=> true (=> ?v_6447 (=> ?v_6452 (=> ?v_6448 (=> (= Mem_1_T.CancelRoutine__IRP.26 Mem_1_T.CancelRoutine__IRP.25) ?v_6454)))))))) (=> true (=> ?v_6451 (and (=> true (=> ?v_6439 (=> (= Mem_2_T.CancelRoutine__IRP.25 (MapType0Store Mem_2_T.CancelRoutine__IRP.24 ?v_6446 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.26 Mem_2_T.CancelRoutine__IRP.25) ?v_6460))))) (=> true (=> ?v_6455 (and (=> true (=> ?v_6441 (=> (= Mem_3_T.CancelRoutine__IRP.25 (MapType0Store Mem_3_T.CancelRoutine__IRP.24 ?v_6446 ?v_46)) (=> true (=> ?v_6447 (=> ?v_6452 (=> (= Mem_3_T.CancelRoutine__IRP.26 Mem_3_T.CancelRoutine__IRP.25) ?v_6456))))))) (=> true (=> ?v_6457 (and (=> true (=> ?v_6443 (=> (= Mem_4_T.CancelRoutine__IRP.25 (MapType0Store Mem_4_T.CancelRoutine__IRP.24 ?v_6446 ?v_46)) (=> true (=> ?v_6447 (=> ?v_6452 (=> ?v_6448 (=> ?v_6453 (=> (= Mem_4_T.CancelRoutine__IRP.26 Mem_4_T.CancelRoutine__IRP.25) ?v_6458))))))))) (=> true (=> ?v_6459 (=> true (=> ?v_6447 ?v_6460))))))))))))))))))))) (?v_6461 (= k.107 0)) (?v_6462 (= k.107 1)) (?v_6463 (= k.107 2)) (?v_6464 (= k.107 3)) (?v_6465 (= k.107 4)) (?v_6427 (int_2_U call63006formal.new.0))) (let ((?v_6476 (and (=> true (=> ?v_2118 (and (=> true (=> (not ?v_6469) (=> true (and ?v_11 (=> ?v_11 (=> (> call63006formal.new.0 0) (=> (forall ((?x1661 Int)) (! (=> (and (<= call63006formal.new.0 ?x1661) (< ?x1661 (+ call63006formal.new.0 1))) (= (Base ?x1661) call63006formal.new.0)) :pattern ((Base ?x1661)) )) (=> (forall ((?x1662 boogieU)) (! (=> (= (type ?x1662) intType) (or (= (U_2_int ?x1662) call63006formal.new.0) (= (MapType0Select alloc.34 ?x1662) (MapType0Select alloc.35 ?x1662)))) :pattern ((MapType0Select alloc.35 ?x1662)) )) (=> (and (= (MapType0Select alloc.34 ?v_6427) UNALLOCATED) (= (MapType0Select alloc.35 ?v_6427) ALLOCATED)) (and (=> true (=> ?v_6467 (=> true (=> (<= k.106 k.107) (=> (< k.107 5) (and (=> true (=> (=> ?v_6461 ?v_4231) (=> (=> ?v_6462 ?v_4232) (=> (=> ?v_6463 ?v_4233) (=> (=> ?v_6464 ?v_4234) (=> (=> ?v_6465 ?v_4235) (=> true (=> (= errorReached.17 1) ?v_6466)))))))) (=> true (=> (=> ?v_6461 ?v_4197) (=> (=> ?v_6462 ?v_4199) (=> (=> ?v_6463 ?v_4201) (=> (=> ?v_6464 ?v_4203) (=> (=> ?v_6465 ?v_4205) (=> true (=> (= errorReached.17 errorReached.16) ?v_6466)))))))))))))) (=> true (=> (not ?v_6467) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.31 Mem_1_T.CancelRoutine__IRP.24) (=> (= Mem_2_T.CancelRoutine__IRP.31 Mem_2_T.CancelRoutine__IRP.24) (=> (= irpCompleted_2.11 irpCompleted_2.2) (=> (= k.123 k.106) (=> (= irpCompleted_1.11 irpCompleted_1.2) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_3.11 irpCompleted_3.2) (=> (= errorReached.21 errorReached.16) (=> (= Mem_0_T.CancelRoutine__IRP.31 Mem_0_T.CancelRoutine__IRP.24) (=> (= irpCompleted_0.11 irpCompleted_0.2) (=> (= Mem_4_T.CancelRoutine__IRP.31 Mem_4_T.CancelRoutine__IRP.24) (=> (= irpCompleted_4.11 irpCompleted_4.2) (=> (= Mem_3_T.CancelRoutine__IRP.31 Mem_3_T.CancelRoutine__IRP.24) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_6468))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_6469 ?v_6471))))) (=> true (=> ?v_724 ?v_6471))))) (let ((?v_6482 (=> true (=> true (=> true (=> true (=> true ?v_6476)))))) (?v_6478 (= cancelLockStatus_1.17 cancelLockStatus_1.12)) (?v_6479 (= cancelLockStatus_0.17 cancelLockStatus_0.12)) (?v_6473 (= cancelLockStatus_2.17 cancelLockStatus_2.12)) (?v_6474 (= cancelLockStatus_4.17 cancelLockStatus_4.12)) (?v_6475 (= cancelLockStatus_3.17 cancelLockStatus_3.12))) (let ((?v_6484 (=> ?v_6475 ?v_6482))) (let ((?v_6480 (=> ?v_6474 ?v_6484))) (let ((?v_6486 (=> ?v_6479 (=> ?v_6473 ?v_6480))) (?v_6485 (= k.106 4)) (?v_6483 (= k.106 3)) (?v_6481 (= k.106 2)) (?v_6477 (= k.106 1)) (?v_6472 (= k.106 0))) (let ((?v_6491 (=> true (=> (<= k.105 k.106) (=> (< k.106 5) (and (=> true (=> ?v_6472 (=> true (=> ?v_6478 (=> (= cancelLockStatus_0.17 0) (=> ?v_6473 (=> ?v_6474 (=> ?v_6475 ?v_6476)))))))) (=> true (=> (not ?v_6472) (and (=> true (=> ?v_6477 (=> true (=> (= cancelLockStatus_1.17 0) ?v_6486)))) (=> true (=> (not ?v_6477) (and (=> true (=> ?v_6481 (=> true (=> ?v_6478 (=> ?v_6479 (=> (= cancelLockStatus_2.17 0) ?v_6480)))))) (=> true (=> (not ?v_6481) (and (=> true (=> ?v_6483 (=> true (=> ?v_6478 (=> ?v_6479 (=> ?v_6473 (=> ?v_6474 (=> (= cancelLockStatus_3.17 0) ?v_6482)))))))) (=> true (=> (not ?v_6483) (and (=> true (=> ?v_6485 (=> true (=> ?v_6478 (=> ?v_6479 (=> ?v_6473 (=> (= cancelLockStatus_4.17 0) ?v_6484))))))) (=> true (=> (not ?v_6485) (=> true (=> ?v_6478 ?v_6486)))))))))))))))))))))) (let ((?v_6499 (=> true (=> true (=> true (=> true ?v_6491))))) (?v_6488 (= Mem_3_T.P_IRP.8 Mem_3_T.P_IRP.6)) (?v_6493 (= Mem_1_T.P_IRP.8 Mem_1_T.P_IRP.6)) (?v_6494 (= Mem_0_T.P_IRP.8 Mem_0_T.P_IRP.6)) (?v_6489 (= Mem_2_T.P_IRP.8 Mem_2_T.P_IRP.6)) (?v_6490 (= Mem_4_T.P_IRP.8 Mem_4_T.P_IRP.6))) (let ((?v_6495 (=> ?v_6490 ?v_6499))) (let ((?v_6497 (=> ?v_6494 (=> ?v_6489 ?v_6495)))) (let ((?v_6501 (=> ?v_6493 ?v_6497)) (?v_6500 (= k.105 4)) (?v_6498 (= k.105 3)) (?v_6496 (= k.105 2)) (?v_6492 (= k.105 1)) (?v_6487 (= k.105 0))) (let ((?v_6521 (=> true (=> (<= k.104 k.105) (=> (< k.105 5) (and (=> true (=> ?v_6487 (=> (= Mem_0_T.P_IRP.7 (MapType0Store Mem_0_T.P_IRP.6 ?v_5025 (MapType0Select Mem_0_T.P_IRP.6 ?v_5029))) (=> true (=> ?v_6488 (=> ?v_6493 (=> (= Mem_0_T.P_IRP.8 Mem_0_T.P_IRP.7) (=> ?v_6489 (=> ?v_6490 ?v_6491))))))))) (=> true (=> (not ?v_6487) (and (=> true (=> ?v_6492 (=> (= Mem_1_T.P_IRP.7 (MapType0Store Mem_1_T.P_IRP.6 ?v_5025 (MapType0Select Mem_1_T.P_IRP.6 ?v_5029))) (=> true (=> ?v_6488 (=> (= Mem_1_T.P_IRP.8 Mem_1_T.P_IRP.7) ?v_6497)))))) (=> true (=> (not ?v_6492) (and (=> true (=> ?v_6496 (=> (= Mem_2_T.P_IRP.7 (MapType0Store Mem_2_T.P_IRP.6 ?v_5025 (MapType0Select Mem_2_T.P_IRP.6 ?v_5029))) (=> true (=> ?v_6488 (=> ?v_6493 (=> ?v_6494 (=> (= Mem_2_T.P_IRP.8 Mem_2_T.P_IRP.7) ?v_6495)))))))) (=> true (=> (not ?v_6496) (and (=> true (=> ?v_6498 (=> (= Mem_3_T.P_IRP.7 (MapType0Store Mem_3_T.P_IRP.6 ?v_5025 (MapType0Select Mem_3_T.P_IRP.6 ?v_5029))) (=> true (=> (= Mem_3_T.P_IRP.8 Mem_3_T.P_IRP.7) ?v_6501))))) (=> true (=> (not ?v_6498) (and (=> true (=> ?v_6500 (=> (= Mem_4_T.P_IRP.7 (MapType0Store Mem_4_T.P_IRP.6 ?v_5025 (MapType0Select Mem_4_T.P_IRP.6 ?v_5029))) (=> true (=> ?v_6488 (=> ?v_6493 (=> ?v_6494 (=> ?v_6489 (=> (= Mem_4_T.P_IRP.8 Mem_4_T.P_IRP.7) ?v_6499))))))))) (=> true (=> (not ?v_6500) (=> true (=> ?v_6488 ?v_6501)))))))))))))))))))))) (let ((?v_6526 (=> true (=> (<= k.101 k.102) (=> (< k.102 5) (=> true (=> (= Mem_1_T.P_IRP.6 Mem_1_T.P_IRP.5) (=> (= Mem_4_T.CancelRoutine__IRP.24 Mem_4_T.CancelRoutine__IRP.23) (=> (= errorReached.16 errorReached.15) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.6 inline.SerialGetNextIrpLocked.1.myVar_0.5) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.1.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.1.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.RemoveHeadList.1.myNondetVar_0.2 inline.RemoveHeadList.1.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= Mem_0_T.P_IRP.6 Mem_0_T.P_IRP.5) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..0 call63962formal.ret.0) (=> (= Mem_1_T.CancelRoutine__IRP.24 Mem_1_T.CancelRoutine__IRP.23) (=> (= k.104 k.102) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= Mem_3_T.CancelRoutine__IRP.24 Mem_3_T.CancelRoutine__IRP.23) (=> (= Mem_2_T.CancelRoutine__IRP.24 Mem_2_T.CancelRoutine__IRP.23) (=> (= Mem_0_T.CancelRoutine__IRP.24 Mem_0_T.CancelRoutine__IRP.23) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= Mem_3_T.P_IRP.6 Mem_3_T.P_IRP.5) (=> (= Mem_2_T.P_IRP.6 Mem_2_T.P_IRP.5) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..0) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= Mem_4_T.P_IRP.6 Mem_4_T.P_IRP.5) ?v_6521))))))))))))))))))))))))))))))) (let ((?v_6534 (=> true ?v_6526)) (?v_6523 (= Mem_2_T.CancelRoutine__IRP.23 Mem_2_T.CancelRoutine__IRP.21)) (?v_6528 (= Mem_0_T.CancelRoutine__IRP.23 Mem_0_T.CancelRoutine__IRP.21)) (?v_6524 (= Mem_3_T.CancelRoutine__IRP.23 Mem_3_T.CancelRoutine__IRP.21)) (?v_6529 (= Mem_1_T.CancelRoutine__IRP.23 Mem_1_T.CancelRoutine__IRP.21)) (?v_6525 (= Mem_4_T.CancelRoutine__IRP.23 Mem_4_T.CancelRoutine__IRP.21))) (let ((?v_6530 (=> ?v_6525 ?v_6534))) (let ((?v_6532 (=> ?v_6529 ?v_6530))) (let ((?v_6536 (=> ?v_6528 (=> ?v_6524 ?v_6532))) (?v_6535 (= k.101 4)) (?v_6520 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.1.myVar_0.5))) (?v_6533 (= k.101 3)) (?v_6531 (= k.101 2)) (?v_6527 (= k.101 1)) (?v_6522 (= k.101 0))) (let ((?v_6546 (=> true (=> (<= k.100 k.101) (=> (< k.101 5) (and (=> true (=> ?v_6522 (=> (= Mem_0_T.CancelRoutine__IRP.22 (MapType0Store Mem_0_T.CancelRoutine__IRP.21 ?v_6520 ?v_46)) (=> true (=> ?v_6523 (=> (= Mem_0_T.CancelRoutine__IRP.23 Mem_0_T.CancelRoutine__IRP.22) (=> ?v_6524 (=> ?v_6529 (=> ?v_6525 ?v_6526))))))))) (=> true (=> (not ?v_6522) (and (=> true (=> ?v_6527 (=> (= Mem_1_T.CancelRoutine__IRP.22 (MapType0Store Mem_1_T.CancelRoutine__IRP.21 ?v_6520 ?v_46)) (=> true (=> ?v_6523 (=> ?v_6528 (=> ?v_6524 (=> (= Mem_1_T.CancelRoutine__IRP.23 Mem_1_T.CancelRoutine__IRP.22) ?v_6530)))))))) (=> true (=> (not ?v_6527) (and (=> true (=> ?v_6531 (=> (= Mem_2_T.CancelRoutine__IRP.22 (MapType0Store Mem_2_T.CancelRoutine__IRP.21 ?v_6520 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.23 Mem_2_T.CancelRoutine__IRP.22) ?v_6536))))) (=> true (=> (not ?v_6531) (and (=> true (=> ?v_6533 (=> (= Mem_3_T.CancelRoutine__IRP.22 (MapType0Store Mem_3_T.CancelRoutine__IRP.21 ?v_6520 ?v_46)) (=> true (=> ?v_6523 (=> ?v_6528 (=> (= Mem_3_T.CancelRoutine__IRP.23 Mem_3_T.CancelRoutine__IRP.22) ?v_6532))))))) (=> true (=> (not ?v_6533) (and (=> true (=> ?v_6535 (=> (= Mem_4_T.CancelRoutine__IRP.22 (MapType0Store Mem_4_T.CancelRoutine__IRP.21 ?v_6520 ?v_46)) (=> true (=> ?v_6523 (=> ?v_6528 (=> ?v_6524 (=> ?v_6529 (=> (= Mem_4_T.CancelRoutine__IRP.23 Mem_4_T.CancelRoutine__IRP.22) ?v_6534))))))))) (=> true (=> (not ?v_6535) (=> true (=> ?v_6523 ?v_6536))))))))))))))))))))) (?v_6545 (= errorReached.15 errorReached.14)) (?v_6544 (= inline.SerialGetNextIrpLocked.1.myVar_0.5 hirp)) (?v_6542 (= k.100 k.99))) (let ((?v_6543 (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..0 call63871formal.ret.0) ?v_6546)) (?v_6537 (= k.99 0)) (?v_6538 (= k.99 1)) (?v_6539 (= k.99 2)) (?v_6540 (= k.99 3)) (?v_6541 (= k.99 4))) (let ((?v_6548 (and (=> true (=> ?v_6544 (=> true (=> (<= k.98 k.99) (=> (< k.99 5) (and (=> true (=> (=> ?v_6537 ?v_4231) (=> (=> ?v_6538 ?v_4232) (=> (=> ?v_6539 ?v_4233) (=> (=> ?v_6540 ?v_4234) (=> (=> ?v_6541 ?v_4235) (=> true (=> ?v_6542 (=> (= errorReached.15 1) ?v_6543))))))))) (=> true (=> (=> ?v_6537 ?v_4197) (=> (=> ?v_6538 ?v_4199) (=> (=> ?v_6539 ?v_4201) (=> (=> ?v_6540 ?v_4203) (=> (=> ?v_6541 ?v_4205) (=> true (=> ?v_6542 (=> ?v_6545 ?v_6543))))))))))))))) (=> true (=> (not ?v_6544) (=> true (=> (= k.100 k.98) (=> ?v_6545 (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2.) ?v_6546))))))))) (let ((?v_6550 (=> true (=> true ?v_6548))) (?v_6553 (= k.98 4)) (?v_6552 (= k.98 3)) (?v_6551 (= k.98 2)) (?v_6549 (= k.98 1)) (?v_6547 (= k.98 0))) (let ((?v_6556 (=> true (=> (<= k.97 k.98) (=> (< k.98 5) (and (=> true (=> ?v_6547 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.21 ?v_6520))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_6548))))) (=> true (=> (not ?v_6547) (and (=> true (=> ?v_6549 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.21 ?v_6520))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_6550))))) (=> true (=> (not ?v_6549) (and (=> true (=> ?v_6551 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.21 ?v_6520))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_6550))))) (=> true (=> (not ?v_6551) (and (=> true (=> ?v_6552 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.21 ?v_6520))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_6550))))) (=> true (=> (not ?v_6552) (and (=> true (=> ?v_6553 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.21 ?v_6520))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_6550))))) (=> true (=> (not ?v_6553) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_6550)))))))))))))))))))))) (let ((?v_6559 (=> true (=> true (=> true (=> true ?v_6556))))) (?v_6564 (= k.97 4)) (?v_6563 (U_2_int (MapType0Select Mem_4_T.P_IRP.5 ?v_5029))) (?v_6562 (= k.97 3)) (?v_6561 (U_2_int (MapType0Select Mem_3_T.P_IRP.5 ?v_5029))) (?v_6560 (= k.97 2)) (?v_6558 (U_2_int (MapType0Select Mem_2_T.P_IRP.5 ?v_5029))) (?v_6557 (= k.97 1)) (?v_6555 (U_2_int (MapType0Select Mem_1_T.P_IRP.5 ?v_5029))) (?v_6554 (= k.97 0)) (?v_6519 (U_2_int (MapType0Select Mem_0_T.P_IRP.5 ?v_5029))) (?v_6518 (= k.91 0)) (?v_6565 (= k.91 1)) (?v_6571 (= k.91 2)) (?v_6575 (= k.91 3)) (?v_6577 (= k.91 4))) (let ((?v_6570 (=> true (=> (=> ?v_6518 (not (= ?v_6519 hirp))) (=> (=> ?v_6565 (not (= ?v_6555 hirp))) (=> (=> ?v_6571 (not (= ?v_6558 hirp))) (=> (=> ?v_6575 (not (= ?v_6561 hirp))) (=> (=> ?v_6577 (not (= ?v_6563 hirp))) (=> true (=> (<= k.91 k.97) (=> (< k.97 5) (and (=> true (=> ?v_6554 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.0 ?v_6519) (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.5 inline.SerialGetNextIrpLocked.1.myVar_0.0) ?v_6556))))) (=> true (=> (not ?v_6554) (and (=> true (=> ?v_6557 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.1 ?v_6555) (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.5 inline.SerialGetNextIrpLocked.1.myVar_0.1) ?v_6559))))) (=> true (=> (not ?v_6557) (and (=> true (=> ?v_6560 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.4 ?v_6558) (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.5 inline.SerialGetNextIrpLocked.1.myVar_0.4) ?v_6559))))) (=> true (=> (not ?v_6560) (and (=> true (=> ?v_6562 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.2 ?v_6561) (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.5 inline.SerialGetNextIrpLocked.1.myVar_0.2) ?v_6559))))) (=> true (=> (not ?v_6562) (and (=> true (=> ?v_6564 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.3 ?v_6563) (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.5 inline.SerialGetNextIrpLocked.1.myVar_0.3) ?v_6559))))) (=> true (=> (not ?v_6564) (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.5 inline.SerialGetNextIrpLocked.1.myVar_0) ?v_6559)))))))))))))))))))))))))))) (let ((?v_6578 (=> true ?v_6570)) (?v_6567 (= Mem_3_T.P_IRP.5 Mem_3_T.P_IRP.1)) (?v_6572 (= Mem_1_T.P_IRP.5 Mem_1_T.P_IRP.1)) (?v_6573 (= Mem_0_T.P_IRP.5 Mem_0_T.P_IRP.1)) (?v_6568 (= Mem_2_T.P_IRP.5 Mem_2_T.P_IRP.1)) (?v_6569 (= Mem_4_T.P_IRP.5 Mem_4_T.P_IRP.1))) (let ((?v_6574 (=> ?v_6569 ?v_6578))) (let ((?v_6576 (=> ?v_6573 (=> ?v_6568 ?v_6574)))) (let ((?v_6579 (=> ?v_6572 ?v_6576)) (?v_6566 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.1.myNondetVar_0.0 1 88))) (?v_6517 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 0)) (?v_6506 (=> true (=> (= Mem_1_T.P_IRP.6 Mem_1_T.P_IRP.4) (=> (= Mem_4_T.CancelRoutine__IRP.24 Mem_4_T.CancelRoutine__IRP.21) (=> (= errorReached.16 errorReached.14) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.6 inline.SerialGetNextIrpLocked.1.myVar_0) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.RemoveHeadList.1.myNondetVar_0.2 inline.RemoveHeadList.1.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= Mem_0_T.P_IRP.6 Mem_0_T.P_IRP.4) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.) (=> (= Mem_1_T.CancelRoutine__IRP.24 Mem_1_T.CancelRoutine__IRP.21) (=> (= k.104 k.90) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.) (=> (= Mem_3_T.CancelRoutine__IRP.24 Mem_3_T.CancelRoutine__IRP.21) (=> (= Mem_2_T.CancelRoutine__IRP.24 Mem_2_T.CancelRoutine__IRP.21) (=> (= Mem_0_T.CancelRoutine__IRP.24 Mem_0_T.CancelRoutine__IRP.21) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= Mem_3_T.P_IRP.6 Mem_3_T.P_IRP.4) (=> (= Mem_2_T.P_IRP.6 Mem_2_T.P_IRP.4) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3310.4.2.) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_4_T.P_IRP.6 Mem_4_T.P_IRP.3) ?v_6521)))))))))))))))))))))))))))) (let ((?v_6514 (=> true ?v_6506)) (?v_6503 (= Mem_3_T.P_IRP.4 Mem_3_T.P_IRP.1)) (?v_6508 (= Mem_1_T.P_IRP.4 Mem_1_T.P_IRP.1)) (?v_6509 (= Mem_0_T.P_IRP.4 Mem_0_T.P_IRP.1)) (?v_6504 (= Mem_2_T.P_IRP.4 Mem_2_T.P_IRP.1)) (?v_6505 (= Mem_4_T.P_IRP.3 Mem_4_T.P_IRP.1))) (let ((?v_6510 (=> ?v_6505 ?v_6514))) (let ((?v_6512 (=> ?v_6509 (=> ?v_6504 ?v_6510)))) (let ((?v_6516 (=> ?v_6508 ?v_6512)) (?v_6515 (= k.90 4)) (?v_6513 (= k.90 3)) (?v_6511 (= k.90 2)) (?v_6507 (= k.90 1)) (?v_6502 (= k.90 0))) (let ((?v_6581 (=> true (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.2.myNondetVar_0.0 0))) (and (=> true (=> (not ?v_6517) (=> true (=> (<= k.89 k.90) (=> (< k.90 5) (and (=> true (=> ?v_6502 (=> (= Mem_0_T.P_IRP.2 ?v_6794) (=> true (=> ?v_6503 (=> ?v_6508 (=> (= Mem_0_T.P_IRP.4 Mem_0_T.P_IRP.2) (=> ?v_6504 (=> ?v_6505 ?v_6506))))))))) (=> true (=> (not ?v_6502) (and (=> true (=> ?v_6507 (=> (= Mem_1_T.P_IRP.2 ?v_7035) (=> true (=> ?v_6503 (=> (= Mem_1_T.P_IRP.4 Mem_1_T.P_IRP.2) ?v_6512)))))) (=> true (=> (not ?v_6507) (and (=> true (=> ?v_6511 (=> (= Mem_2_T.P_IRP.2 ?v_7041) (=> true (=> ?v_6503 (=> ?v_6508 (=> ?v_6509 (=> (= Mem_2_T.P_IRP.4 Mem_2_T.P_IRP.2) ?v_6510)))))))) (=> true (=> (not ?v_6511) (and (=> true (=> ?v_6513 (=> (= Mem_3_T.P_IRP.2 ?v_7046) (=> true (=> (= Mem_3_T.P_IRP.4 Mem_3_T.P_IRP.2) ?v_6516))))) (=> true (=> (not ?v_6513) (and (=> true (=> ?v_6515 (=> (= Mem_4_T.P_IRP.2 ?v_7049) (=> true (=> ?v_6503 (=> ?v_6508 (=> ?v_6509 (=> ?v_6504 (=> (= Mem_4_T.P_IRP.3 Mem_4_T.P_IRP.2) ?v_6514))))))))) (=> true (=> (not ?v_6515) (=> true (=> ?v_6503 ?v_6516)))))))))))))))))))))) (=> true (=> ?v_6517 (=> true (=> (<= k.89 k.91) (=> (< k.91 5) (and (=> true (=> ?v_6518 (=> (= Mem_0_T.P_IRP.3 (MapType0Store Mem_0_T.P_IRP.1 ?v_5029 ?v_6566)) (=> true (=> ?v_6567 (=> ?v_6572 (=> (= Mem_0_T.P_IRP.5 Mem_0_T.P_IRP.3) (=> ?v_6568 (=> ?v_6569 ?v_6570))))))))) (=> true (=> (not ?v_6518) (and (=> true (=> ?v_6565 (=> (= Mem_1_T.P_IRP.3 (MapType0Store Mem_1_T.P_IRP.1 ?v_5029 ?v_6566)) (=> true (=> ?v_6567 (=> (= Mem_1_T.P_IRP.5 Mem_1_T.P_IRP.3) ?v_6576)))))) (=> true (=> (not ?v_6565) (and (=> true (=> ?v_6571 (=> (= Mem_2_T.P_IRP.3 (MapType0Store Mem_2_T.P_IRP.1 ?v_5029 ?v_6566)) (=> true (=> ?v_6567 (=> ?v_6572 (=> ?v_6573 (=> (= Mem_2_T.P_IRP.5 Mem_2_T.P_IRP.3) ?v_6574)))))))) (=> true (=> (not ?v_6571) (and (=> true (=> ?v_6575 (=> (= Mem_3_T.P_IRP.3 (MapType0Store Mem_3_T.P_IRP.1 ?v_5029 ?v_6566)) (=> true (=> (= Mem_3_T.P_IRP.5 Mem_3_T.P_IRP.3) ?v_6579))))) (=> true (=> (not ?v_6575) (and (=> true (=> ?v_6577 (=> (= Mem_4_T.P_IRP.4 (MapType0Store Mem_4_T.P_IRP.1 ?v_5029 ?v_6566)) (=> true (=> ?v_6567 (=> ?v_6572 (=> ?v_6573 (=> ?v_6568 (=> (= Mem_4_T.P_IRP.5 Mem_4_T.P_IRP.4) ?v_6578))))))))) (=> true (=> (not ?v_6577) (=> true (=> ?v_6567 ?v_6579))))))))))))))))))))))))))) (let ((?v_6583 (=> true (=> true (=> true (=> true ?v_6581))))) (?v_6586 (= k.89 4)) (?v_6585 (= k.89 3)) (?v_6584 (= k.89 2)) (?v_6582 (= k.89 1)) (?v_6580 (= k.89 0))) (let ((?v_6591 (=> true (=> (<= k.88 k.89) (=> (< k.89 5) (and (=> true (=> ?v_6580 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.4 ?v_5028) (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.4) ?v_6581))))) (=> true (=> (not ?v_6580) (and (=> true (=> ?v_6582 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 ?v_6137) (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2) ?v_6583))))) (=> true (=> (not ?v_6582) (and (=> true (=> ?v_6584 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.0 ?v_6140) (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_6583))))) (=> true (=> (not ?v_6584) (and (=> true (=> ?v_6585 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.3 ?v_6143) (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.3) ?v_6583))))) (=> true (=> (not ?v_6585) (and (=> true (=> ?v_6586 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.1 ?v_6145) (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_6583))))) (=> true (=> (not ?v_6586) (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_6583)))))))))))))))))))))) (let ((?v_6597 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_6591))))))))) (?v_6593 (= cancelLockStatus_1.12 cancelLockStatus_1.11)) (?v_6594 (= cancelLockStatus_0.12 cancelLockStatus_0.11)) (?v_6588 (= cancelLockStatus_2.12 cancelLockStatus_2.11)) (?v_6589 (= cancelLockStatus_4.12 cancelLockStatus_4.11)) (?v_6590 (= cancelLockStatus_3.12 cancelLockStatus_3.11))) (let ((?v_6599 (=> ?v_6590 ?v_6597))) (let ((?v_6595 (=> ?v_6589 ?v_6599))) (let ((?v_6600 (=> ?v_6594 (=> ?v_6588 ?v_6595))) (?v_6598 (= k.88 4)) (?v_6596 (= k.88 3)) (?v_6592 (= k.88 2)) (?v_6587 (= k.88 1)) (?v_6426 (= k.88 0)) (?v_5846 (= cancelLockStatus_0.11 0)) (?v_6162 (= cancelLockStatus_1.11 0)) (?v_6163 (= cancelLockStatus_2.11 0)) (?v_6164 (= cancelLockStatus_3.11 0)) (?v_6165 (= cancelLockStatus_4.11 0)) (?v_6425 (int_2_U call62395formal.new.0)) (?v_6424 (= 0 SerialGetNextWrite)) (?v_5853 (int_2_U call60686formal.new.0))) (let ((?v_5912 (=> true (and ?v_11 (=> ?v_11 (=> (> call60686formal.new.0 0) (=> (forall ((?x1665 Int)) (! (=> (and (<= call60686formal.new.0 ?x1665) (< ?x1665 (+ call60686formal.new.0 1))) (= (Base ?x1665) call60686formal.new.0)) :pattern ((Base ?x1665)) )) (=> (forall ((?x1666 boogieU)) (! (=> (= (type ?x1666) intType) (or (= (U_2_int ?x1666) call60686formal.new.0) (= (MapType0Select alloc.42 ?x1666) (MapType0Select alloc.43 ?x1666)))) :pattern ((MapType0Select alloc.43 ?x1666)) )) (=> (and (= (MapType0Select alloc.42 ?v_5853) UNALLOCATED) (= (MapType0Select alloc.43 ?v_5853) ALLOCATED)) (=> true (=> ?v_6602 (=> ?v_6603 (=> (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> (= Mem_3_T.CancelRoutine__IRP.40 Mem_3_T.CancelRoutine__IRP.39) (=> (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..0 call58890formal.ret.0) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_6608 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.5) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0 call58178formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= cancelLockStatus_4.25 cancelLockStatus_4.24) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2) (=> ?v_6613 (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1) (=> (= irpCompleted_3.16 irpCompleted_3.15) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_6623 (=> ?v_6624 (=> (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..0) (=> ?v_6626 (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_6628 (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.5 inline.sdv_InterlockedDecrement.5.myNondetVar_0.4) (=> (= cancelLockStatus_0.25 cancelLockStatus_0.24) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 0) (=> (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0.2) (=> ?v_6634 (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> ?v_6636 (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..1) (=> (= irpCompleted_0.16 irpCompleted_0.15) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.20 inline.SerialGetNextWrite.0.myNondetVar_0.19) (=> (= alloc.44 alloc.43) (=> ?v_6640 (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..0) (=> ?v_6645 (=> (= cancelLockStatus_1.25 cancelLockStatus_1.24) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.8 inline.KeSynchronizeExecution.1.myNondetVar_0.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= Mem_2_T.P_IRP.20 Mem_2_T.P_IRP.19) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..0) (=> ?v_6650 (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.4 inline.sdv_InterlockedIncrement.1.myNondetVar_0.3) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.0 call60686formal.new.0) (=> ?v_6654 (=> (= Mem_2_T.CancelRoutine__IRP.40 Mem_2_T.CancelRoutine__IRP.39) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0 call58175formal.new.0) (=> ?v_6656 (=> ?v_6657 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= irpCompleted_2.16 irpCompleted_2.15) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_6660 (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0 0) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> ?v_6665 (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> ?v_6667 (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> ?v_6669 (=> ?v_6670 (=> (= Mem_4_T.P_IRP.20 Mem_4_T.P_IRP.19) (=> ?v_6671 (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0 call56006formal.new.0) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.7 inline.SerialGetNextIrpLocked.0.myVar_0.6) (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0 0) (=> (= cancelLockStatus_3.25 cancelLockStatus_3.24) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..0) (=> ?v_6680 (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.5 inline.SerialGetNextWrite.0.myNondetVar_1.4) (=> ?v_6682 (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..0) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.3 inline.sdv_InterlockedDecrement.4.myNondetVar_0.2) (=> ?v_6686 (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.1 inline.SerialGetNextIrp.0.myNondetVar_0.0) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0 call58184formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0 0) (=> (= inline.sdv_IoReleaseCancelSpinLock.8..result.userContextSwitch.3151.2.1..0 call59370formal.ret.0) (=> ?v_6696 (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0 call58181formal.new.0) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= errorReached.28 errorReached.27) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialGetNextWrite.0.myVar_0.26 inline.SerialGetNextWrite.0.myVar_0.25) (=> (= irpCompleted_4.16 irpCompleted_4.15) (=> (= Mem_1_T.CancelRoutine__IRP.40 Mem_1_T.CancelRoutine__IRP.39) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.9 inline.KeSynchronizeExecution.2.myNondetVar_0.8) (=> ?v_6707 (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> ?v_6709 (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= Mem_3_T.P_IRP.20 Mem_3_T.P_IRP.19) (=> (= irpCompleted_1.16 irpCompleted_1.15) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2) (=> ?v_6712 (=> ?v_6713 (=> ?v_6714 (=> ?v_6715 (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1) (=> ?v_6718 (=> ?v_6719 (=> (= k.141 k.140) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_6721 (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0 call56006formal.new.0) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= Mem_0_T.P_IRP.20 Mem_0_T.P_IRP.19) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_6728 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..2) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call56006formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= Mem_4_T.CancelRoutine__IRP.40 Mem_4_T.CancelRoutine__IRP.39) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialRead.0..extension.3.119.29.SerialRead.5) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 0) (=> ?v_6740 (=> ?v_6741 (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.5) (=> ?v_6744 (=> (= Mem_0_T.CancelRoutine__IRP.40 Mem_0_T.CancelRoutine__IRP.39) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_6746 (=> ?v_6747 (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0 call56006formal.new.0) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.4 inline.SerialGetNextWrite.0.myNondetVar_2.3) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.6 inline.SerialGetNextWrite.0.tempBoogie0.5) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2) (=> ?v_6755 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= cancelLockStatus_2.25 cancelLockStatus_2.24) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 0) (=> ?v_6758 (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0 call58859formal.new.0) (=> ?v_6760 (=> ?v_6761 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0 0) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 0) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..0) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call56006formal.new.0) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0) (=> (= inline.SerialSetTimer.0.myNondetVar_0.7 inline.SerialSetTimer.0.myNondetVar_0.6) (=> (= Mem_1_T.P_IRP.20 Mem_1_T.P_IRP.19) (=> ?v_6770 (=> (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_6773 (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0 call56006formal.new.0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> ?v_6776 (=> ?v_6777 (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) ?v_6429))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5911 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_5917 (=> true (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= cancelLockStatus_4.24 cancelLockStatus_4.23) (=> (= cancelLockStatus_3.24 cancelLockStatus_3.23) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> (= cancelLockStatus_1.24 cancelLockStatus_1.23) (=> ?v_5911 (=> (= inline.SerialGetNextWrite.0.myVar_0.25 inline.SerialGetNextWrite.0.myVar_0.18) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.7 inline.KeSynchronizeExecution.1.myNondetVar_0.6) (=> (= k.140 k.139) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0) (=> (= cancelLockStatus_0.24 cancelLockStatus_0.23) (=> (= cancelLockStatus_2.24 cancelLockStatus_2.23) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..0 call60898formal.ret.0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.19 inline.SerialGetNextWrite.0.myNondetVar_0.18) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..0 call60705formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) ?v_5912))))))))))))))))))))))) (let ((?v_5923 (=> true (=> true (=> true (=> true ?v_5917))))) (?v_5919 (= cancelLockStatus_1.23 cancelLockStatus_1.22)) (?v_5920 (= cancelLockStatus_0.23 cancelLockStatus_0.22)) (?v_5914 (= cancelLockStatus_2.23 cancelLockStatus_2.22)) (?v_5915 (= cancelLockStatus_4.23 cancelLockStatus_4.22)) (?v_5916 (= cancelLockStatus_3.23 cancelLockStatus_3.22))) (let ((?v_5925 (=> ?v_5916 ?v_5923))) (let ((?v_5921 (=> ?v_5915 ?v_5925))) (let ((?v_5927 (=> ?v_5920 (=> ?v_5914 ?v_5921))) (?v_5926 (= k.139 4)) (?v_5924 (= k.139 3)) (?v_5922 (= k.139 2)) (?v_5918 (= k.139 1)) (?v_5913 (= k.139 0))) (let ((?v_5928 (=> true (=> (<= k.138 k.139) (=> (< k.139 5) (and (=> true (=> ?v_5913 (=> true (=> ?v_5919 (=> (= cancelLockStatus_0.23 0) (=> ?v_5914 (=> ?v_5915 (=> ?v_5916 ?v_5917)))))))) (=> true (=> (not ?v_5913) (and (=> true (=> ?v_5918 (=> true (=> (= cancelLockStatus_1.23 0) ?v_5927)))) (=> true (=> (not ?v_5918) (and (=> true (=> ?v_5922 (=> true (=> ?v_5919 (=> ?v_5920 (=> (= cancelLockStatus_2.23 0) ?v_5921)))))) (=> true (=> (not ?v_5922) (and (=> true (=> ?v_5924 (=> true (=> ?v_5919 (=> ?v_5920 (=> ?v_5914 (=> ?v_5915 (=> (= cancelLockStatus_3.23 0) ?v_5923)))))))) (=> true (=> (not ?v_5924) (and (=> true (=> ?v_5926 (=> true (=> ?v_5919 (=> ?v_5920 (=> ?v_5914 (=> (= cancelLockStatus_4.23 0) ?v_5925))))))) (=> true (=> (not ?v_5926) (=> true (=> ?v_5919 ?v_5927)))))))))))))))))))))) (let ((?v_5933 (and (=> true (=> ?v_1594 (=> true (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.6 inline.KeSynchronizeExecution.1.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.1..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.1..result.SynchronizeRoutine.4679.26.2.) ?v_5928)))))) (=> true (=> ?v_173 (=> true (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.6 inline.KeSynchronizeExecution.1.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5928))))))))))))))) (let ((?v_5939 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5933)))))))))) (?v_5935 (= cancelLockStatus_1.22 cancelLockStatus_1.21)) (?v_5936 (= cancelLockStatus_0.22 cancelLockStatus_0.21)) (?v_5930 (= cancelLockStatus_2.22 cancelLockStatus_2.21)) (?v_5931 (= cancelLockStatus_4.22 cancelLockStatus_4.21)) (?v_5932 (= cancelLockStatus_3.22 cancelLockStatus_3.21))) (let ((?v_5941 (=> ?v_5932 ?v_5939))) (let ((?v_5937 (=> ?v_5931 ?v_5941))) (let ((?v_5942 (=> ?v_5936 (=> ?v_5930 ?v_5937))) (?v_5940 (= k.138 4)) (?v_5938 (= k.138 3)) (?v_5934 (= k.138 2)) (?v_5929 (= k.138 1)) (?v_5910 (= k.138 0)) (?v_5909 (= cancelLockStatus_0.21 0)) (?v_5987 (= cancelLockStatus_1.21 0)) (?v_5995 (= cancelLockStatus_2.21 0)) (?v_5998 (= cancelLockStatus_3.21 0)) (?v_6001 (= cancelLockStatus_4.21 0)) (?v_5899 (= k.136 0)) (?v_5852 (U_2_int (MapType0Select Mem_0_T.P_IRP.19 ?v_5025)))) (let ((?v_5900 (= ?v_5852 0)) (?v_5901 (= k.136 1)) (?v_5889 (U_2_int (MapType0Select Mem_1_T.P_IRP.19 ?v_5025)))) (let ((?v_5902 (= ?v_5889 0)) (?v_5903 (= k.136 2)) (?v_5892 (U_2_int (MapType0Select Mem_2_T.P_IRP.19 ?v_5025)))) (let ((?v_5904 (= ?v_5892 0)) (?v_5905 (= k.136 3)) (?v_5895 (U_2_int (MapType0Select Mem_3_T.P_IRP.19 ?v_5025)))) (let ((?v_5906 (= ?v_5895 0)) (?v_5907 (= k.136 4)) (?v_5897 (U_2_int (MapType0Select Mem_4_T.P_IRP.19 ?v_5025)))) (let ((?v_5908 (= ?v_5897 0)) (?v_5879 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5880 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.24)) (?v_5881 (= cancelLockStatus_4.24 cancelLockStatus_4.21)) (?v_5882 (= cancelLockStatus_3.24 cancelLockStatus_3.21)) (?v_5883 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5884 (= cancelLockStatus_1.24 cancelLockStatus_1.21)) (?v_5885 (=> (= inline.SerialGetNextWrite.0.myVar_0.25 inline.SerialGetNextWrite.0.myVar_0.24) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.7 inline.KeSynchronizeExecution.1.myNondetVar_0) (=> (= k.140 k.137) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution) (=> (= cancelLockStatus_0.24 cancelLockStatus_0.21) (=> (= cancelLockStatus_2.24 cancelLockStatus_2.21) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.19 inline.SerialGetNextWrite.0.myNondetVar_0.16) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.5..result.userContextSwitch.1645.2.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.24) ?v_5912)))))))))))))) (?v_5878 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_5887 (and (=> true (=> ?v_5878 (=> true (=> ?v_5879 (=> ?v_5880 (=> ?v_5881 (=> ?v_5882 (=> ?v_5883 (=> ?v_5884 (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_5885)))))))))) (=> true (=> (not ?v_5878) (=> true (=> ?v_5879 (=> ?v_5880 (=> ?v_5881 (=> ?v_5882 (=> ?v_5883 (=> ?v_5884 (=> ?v_5911 ?v_5885)))))))))))) (?v_5886 (= inline.SerialGetNextWrite.0.myVar_0.24 hirp))) (let ((?v_5890 (and (=> true (=> ?v_5886 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5887)))) (=> true (=> (not ?v_5886) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5887))))))))))) (let ((?v_5893 (=> true (=> true (=> true (=> true ?v_5890))))) (?v_5898 (= k.137 4)) (?v_5896 (= k.137 3)) (?v_5894 (= k.137 2)) (?v_5891 (= k.137 1)) (?v_5888 (= k.137 0))) (let ((?v_5983 (and (=> true (=> (=> ?v_5899 (not ?v_5900)) (=> (=> ?v_5901 (not ?v_5902)) (=> (=> ?v_5903 (not ?v_5904)) (=> (=> ?v_5905 (not ?v_5906)) (=> (=> ?v_5907 (not ?v_5908)) (=> true (=> (<= k.136 k.137) (=> (< k.137 5) (and (=> true (=> ?v_5888 (=> (= inline.SerialGetNextWrite.0.myVar_0.19 ?v_5852) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.24 inline.SerialGetNextWrite.0.myVar_0.19) ?v_5890))))) (=> true (=> (not ?v_5888) (and (=> true (=> ?v_5891 (=> (= inline.SerialGetNextWrite.0.myVar_0.21 ?v_5889) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.24 inline.SerialGetNextWrite.0.myVar_0.21) ?v_5893))))) (=> true (=> (not ?v_5891) (and (=> true (=> ?v_5894 (=> (= inline.SerialGetNextWrite.0.myVar_0.22 ?v_5892) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.24 inline.SerialGetNextWrite.0.myVar_0.22) ?v_5893))))) (=> true (=> (not ?v_5894) (and (=> true (=> ?v_5896 (=> (= inline.SerialGetNextWrite.0.myVar_0.20 ?v_5895) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.24 inline.SerialGetNextWrite.0.myVar_0.20) ?v_5893))))) (=> true (=> (not ?v_5896) (and (=> true (=> ?v_5898 (=> (= inline.SerialGetNextWrite.0.myVar_0.23 ?v_5897) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.24 inline.SerialGetNextWrite.0.myVar_0.23) ?v_5893))))) (=> true (=> (not ?v_5898) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.24 inline.SerialGetNextWrite.0.myVar_0.18) ?v_5893)))))))))))))))))))))))))) (=> true (=> (=> ?v_5899 ?v_5900) (=> (=> ?v_5901 ?v_5902) (=> (=> ?v_5903 ?v_5904) (=> (=> ?v_5905 ?v_5906) (=> (=> ?v_5907 ?v_5908) (=> true (=> (<= k.136 k.138) (=> (< k.138 5) (=> true (=> (=> ?v_5910 ?v_5909) (=> (=> ?v_5929 ?v_5987) (=> (=> ?v_5934 ?v_5995) (=> (=> ?v_5938 ?v_5998) (=> (=> ?v_5940 ?v_6001) (and (=> true (=> ?v_5910 (=> true (=> ?v_5935 (=> (= cancelLockStatus_0.22 1) (=> ?v_5930 (=> ?v_5931 (=> ?v_5932 ?v_5933)))))))) (=> true (=> (not ?v_5910) (and (=> true (=> ?v_5929 (=> true (=> (= cancelLockStatus_1.22 1) ?v_5942)))) (=> true (=> (not ?v_5929) (and (=> true (=> ?v_5934 (=> true (=> ?v_5935 (=> ?v_5936 (=> (= cancelLockStatus_2.22 1) ?v_5937)))))) (=> true (=> (not ?v_5934) (and (=> true (=> ?v_5938 (=> true (=> ?v_5935 (=> ?v_5936 (=> ?v_5930 (=> ?v_5931 (=> (= cancelLockStatus_3.22 1) ?v_5939)))))))) (=> true (=> (not ?v_5938) (and (=> true (=> ?v_5940 (=> true (=> ?v_5935 (=> ?v_5936 (=> ?v_5930 (=> (= cancelLockStatus_4.22 1) ?v_5941))))))) (=> true (=> (not ?v_5940) (=> true (=> ?v_5935 ?v_5942))))))))))))))))))))))))))))))))))) (let ((?v_5985 (=> true (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= irpCompleted_1.15 irpCompleted_1.2) (=> (= errorReached.27 errorReached.24) (=> (= irpCompleted_2.15 irpCompleted_2.2) (=> (= irpCompleted_0.15 irpCompleted_0.2) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.) (=> (= irpCompleted_4.15 irpCompleted_4.2) (=> (= irpCompleted_3.15 irpCompleted_3.2) (=> (= alloc.42 alloc.39) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.0.havoc_stringTemp) (=> (= Mem_4_T.CancelRoutine__IRP.39 Mem_4_T.CancelRoutine__IRP.35) (=> (= k.136 k.132) (=> (= Mem_3_T.CancelRoutine__IRP.39 Mem_3_T.CancelRoutine__IRP.35) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.2 inline.sdv_InterlockedDecrement.4.myNondetVar_0) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1.) (=> (= Mem_2_T.CancelRoutine__IRP.39 Mem_2_T.CancelRoutine__IRP.35) (=> (= Mem_1_T.CancelRoutine__IRP.39 Mem_1_T.CancelRoutine__IRP.35) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= Mem_0_T.CancelRoutine__IRP.39 Mem_0_T.CancelRoutine__IRP.35) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5983)))))))))))))))))))))))))))))))) (?v_5984 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_5982 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 0)) (?v_5944 (=> true (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= irpCompleted_1.15 irpCompleted_1.14) (=> (= errorReached.27 errorReached.26) (=> (= irpCompleted_2.15 irpCompleted_2.14) (=> (= irpCompleted_0.15 irpCompleted_0.14) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0) (=> (= irpCompleted_4.15 irpCompleted_4.14) (=> (= irpCompleted_3.15 irpCompleted_3.14) (=> (= alloc.42 alloc.41) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0 call59470formal.new.0) (=> (= Mem_4_T.CancelRoutine__IRP.39 Mem_4_T.CancelRoutine__IRP.38) (=> (= k.136 k.135) (=> (= Mem_3_T.CancelRoutine__IRP.39 Mem_3_T.CancelRoutine__IRP.38) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.2 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..0) (=> (= Mem_2_T.CancelRoutine__IRP.39 Mem_2_T.CancelRoutine__IRP.38) (=> (= Mem_1_T.CancelRoutine__IRP.39 Mem_1_T.CancelRoutine__IRP.38) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..0) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= Mem_0_T.CancelRoutine__IRP.39 Mem_0_T.CancelRoutine__IRP.38) ?v_5983))))))))))))))))))))))))) (?v_5943 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.1 0))) (let ((?v_5981 (and (=> true (=> (not ?v_5943) (=> true (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.) ?v_5944)))) (=> true (=> ?v_5943 (=> true (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0 call59821formal.ret.0) (=> true (=> true (=> true ?v_5944))))))))) (?v_5980 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 hirp))) (let ((?v_5948 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.38 Mem_1_T.CancelRoutine__IRP.37) (=> (= irpCompleted_1.14 irpCompleted_1.13) (=> (= Mem_2_T.CancelRoutine__IRP.38 Mem_2_T.CancelRoutine__IRP.37) (=> (= irpCompleted_2.14 irpCompleted_2.13) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..0 call59503formal.ret.0) (=> (= k.135 k.134) (=> (= irpCompleted_3.14 irpCompleted_3.13) (=> (= errorReached.26 errorReached.25) (=> (= Mem_0_T.CancelRoutine__IRP.38 Mem_0_T.CancelRoutine__IRP.37) (=> (= irpCompleted_0.14 irpCompleted_0.13) (=> (= Mem_4_T.CancelRoutine__IRP.38 Mem_4_T.CancelRoutine__IRP.37) (=> (= irpCompleted_4.14 irpCompleted_4.13) (=> (= Mem_3_T.CancelRoutine__IRP.38 Mem_3_T.CancelRoutine__IRP.37) ?v_5981))))))))))))))) (?v_5945 (= irpCompleted_4.13 irpCompleted_4.2)) (?v_5946 (= irpCompleted_2.13 irpCompleted_2.2)) (?v_5947 (= irpCompleted_3.13 irpCompleted_3.2)) (?v_5950 (= irpCompleted_1.13 irpCompleted_1.2))) (let ((?v_5951 (=> (= irpCompleted_0.13 irpCompleted_0.2) (=> true ?v_5948)))) (let ((?v_5953 (=> ?v_5950 ?v_5951))) (let ((?v_5955 (=> ?v_5947 ?v_5953))) (let ((?v_5957 (=> ?v_5946 ?v_5955)) (?v_5956 (= k.134 4))) (let ((?v_5972 (not ?v_5956)) (?v_5954 (= k.134 3))) (let ((?v_5970 (not ?v_5954)) (?v_5952 (= k.134 2))) (let ((?v_5968 (not ?v_5952)) (?v_5949 (= k.134 1))) (let ((?v_5964 (not ?v_5949)) (?v_5851 (= k.134 0))) (let ((?v_5958 (not ?v_5851))) (let ((?v_5963 (and (=> true (=> ?v_5851 (=> true (=> ?v_5945 (=> ?v_5946 (=> ?v_5947 (=> ?v_5950 (=> (= irpCompleted_0.13 1) ?v_5948)))))))) (=> true (=> ?v_5958 (and (=> true (=> ?v_5949 (=> true (=> ?v_5945 (=> ?v_5946 (=> ?v_5947 (=> (= irpCompleted_1.13 1) ?v_5951))))))) (=> true (=> ?v_5964 (and (=> true (=> ?v_5952 (=> true (=> ?v_5945 (=> (= irpCompleted_2.13 1) ?v_5955))))) (=> true (=> ?v_5968 (and (=> true (=> ?v_5954 (=> true (=> ?v_5945 (=> ?v_5946 (=> (= irpCompleted_3.13 1) ?v_5953)))))) (=> true (=> ?v_5970 (and (=> true (=> ?v_5956 (=> true (=> (= irpCompleted_4.13 1) ?v_5957)))) (=> true (=> ?v_5972 (=> true (=> ?v_5945 ?v_5957))))))))))))))))))) (let ((?v_5971 (=> true (=> true ?v_5963))) (?v_5960 (= Mem_2_T.CancelRoutine__IRP.37 Mem_2_T.CancelRoutine__IRP.35)) (?v_5965 (= Mem_0_T.CancelRoutine__IRP.37 Mem_0_T.CancelRoutine__IRP.35)) (?v_5961 (= Mem_3_T.CancelRoutine__IRP.37 Mem_3_T.CancelRoutine__IRP.35)) (?v_5966 (= Mem_1_T.CancelRoutine__IRP.37 Mem_1_T.CancelRoutine__IRP.35)) (?v_5962 (= Mem_4_T.CancelRoutine__IRP.37 Mem_4_T.CancelRoutine__IRP.35))) (let ((?v_5967 (=> ?v_5962 ?v_5971))) (let ((?v_5969 (=> ?v_5966 ?v_5967))) (let ((?v_5973 (=> ?v_5965 (=> ?v_5961 ?v_5969))) (?v_5959 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5)))) (let ((?v_5979 (=> true (=> (<= k.133 k.134) (=> (< k.134 5) (and (=> true (=> ?v_5851 (=> (= Mem_0_T.CancelRoutine__IRP.36 (MapType0Store Mem_0_T.CancelRoutine__IRP.35 ?v_5959 ?v_46)) (=> true (=> ?v_5960 (=> (= Mem_0_T.CancelRoutine__IRP.37 Mem_0_T.CancelRoutine__IRP.36) (=> ?v_5961 (=> ?v_5966 (=> ?v_5962 ?v_5963))))))))) (=> true (=> ?v_5958 (and (=> true (=> ?v_5949 (=> (= Mem_1_T.CancelRoutine__IRP.36 (MapType0Store Mem_1_T.CancelRoutine__IRP.35 ?v_5959 ?v_46)) (=> true (=> ?v_5960 (=> ?v_5965 (=> ?v_5961 (=> (= Mem_1_T.CancelRoutine__IRP.37 Mem_1_T.CancelRoutine__IRP.36) ?v_5967)))))))) (=> true (=> ?v_5964 (and (=> true (=> ?v_5952 (=> (= Mem_2_T.CancelRoutine__IRP.36 (MapType0Store Mem_2_T.CancelRoutine__IRP.35 ?v_5959 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.37 Mem_2_T.CancelRoutine__IRP.36) ?v_5973))))) (=> true (=> ?v_5968 (and (=> true (=> ?v_5954 (=> (= Mem_3_T.CancelRoutine__IRP.36 (MapType0Store Mem_3_T.CancelRoutine__IRP.35 ?v_5959 ?v_46)) (=> true (=> ?v_5960 (=> ?v_5965 (=> (= Mem_3_T.CancelRoutine__IRP.37 Mem_3_T.CancelRoutine__IRP.36) ?v_5969))))))) (=> true (=> ?v_5970 (and (=> true (=> ?v_5956 (=> (= Mem_4_T.CancelRoutine__IRP.36 (MapType0Store Mem_4_T.CancelRoutine__IRP.35 ?v_5959 ?v_46)) (=> true (=> ?v_5960 (=> ?v_5965 (=> ?v_5961 (=> ?v_5966 (=> (= Mem_4_T.CancelRoutine__IRP.37 Mem_4_T.CancelRoutine__IRP.36) ?v_5971))))))))) (=> true (=> ?v_5972 (=> true (=> ?v_5960 ?v_5973))))))))))))))))))))) (?v_5974 (= k.133 0)) (?v_5975 (= k.133 1)) (?v_5976 (= k.133 2)) (?v_5977 (= k.133 3)) (?v_5978 (= k.133 4)) (?v_5850 (int_2_U call59470formal.new.0))) (let ((?v_5991 (and (=> true (=> (not ?v_5984) (and (=> true (=> (not ?v_5982) (=> true (and ?v_11 (=> ?v_11 (=> (> call59470formal.new.0 0) (=> (forall ((?x1667 Int)) (! (=> (and (<= call59470formal.new.0 ?x1667) (< ?x1667 (+ call59470formal.new.0 1))) (= (Base ?x1667) call59470formal.new.0)) :pattern ((Base ?x1667)) )) (=> (forall ((?x1668 boogieU)) (! (=> (= (type ?x1668) intType) (or (= (U_2_int ?x1668) call59470formal.new.0) (= (MapType0Select alloc.39 ?x1668) (MapType0Select alloc.41 ?x1668)))) :pattern ((MapType0Select alloc.41 ?x1668)) )) (=> (and (= (MapType0Select alloc.39 ?v_5850) UNALLOCATED) (= (MapType0Select alloc.41 ?v_5850) ALLOCATED)) (and (=> true (=> ?v_5980 (=> true (=> (<= k.132 k.133) (=> (< k.133 5) (and (=> true (=> (=> ?v_5974 ?v_4231) (=> (=> ?v_5975 ?v_4232) (=> (=> ?v_5976 ?v_4233) (=> (=> ?v_5977 ?v_4234) (=> (=> ?v_5978 ?v_4235) (=> true (=> (= errorReached.25 1) ?v_5979)))))))) (=> true (=> (=> ?v_5974 ?v_4197) (=> (=> ?v_5975 ?v_4199) (=> (=> ?v_5976 ?v_4201) (=> (=> ?v_5977 ?v_4203) (=> (=> ?v_5978 ?v_4205) (=> true (=> (= errorReached.25 errorReached.24) ?v_5979)))))))))))))) (=> true (=> (not ?v_5980) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.38 Mem_1_T.CancelRoutine__IRP.35) (=> (= irpCompleted_1.14 irpCompleted_1.2) (=> (= Mem_2_T.CancelRoutine__IRP.38 Mem_2_T.CancelRoutine__IRP.35) (=> (= irpCompleted_2.14 irpCompleted_2.2) (=> (= inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.2..result.userContextSwitch.2077.4.1.) (=> (= k.135 k.132) (=> (= irpCompleted_3.14 irpCompleted_3.2) (=> (= errorReached.26 errorReached.24) (=> (= Mem_0_T.CancelRoutine__IRP.38 Mem_0_T.CancelRoutine__IRP.35) (=> (= irpCompleted_0.14 irpCompleted_0.2) (=> (= Mem_4_T.CancelRoutine__IRP.38 Mem_4_T.CancelRoutine__IRP.35) (=> (= irpCompleted_4.14 irpCompleted_4.2) (=> (= Mem_3_T.CancelRoutine__IRP.38 Mem_3_T.CancelRoutine__IRP.35) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5981))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_5982 ?v_5985))))) (=> true (=> ?v_5984 ?v_5985))))) (let ((?v_5999 (=> true (=> true (=> true (=> true (=> true ?v_5991)))))) (?v_5993 (= cancelLockStatus_1.21 cancelLockStatus_1.20)) (?v_5994 (= cancelLockStatus_0.21 cancelLockStatus_0.20)) (?v_5988 (= cancelLockStatus_2.21 cancelLockStatus_2.20)) (?v_5989 (= cancelLockStatus_4.21 cancelLockStatus_4.20)) (?v_5990 (= cancelLockStatus_3.21 cancelLockStatus_3.20))) (let ((?v_6002 (=> ?v_5990 ?v_5999))) (let ((?v_5996 (=> ?v_5989 ?v_6002))) (let ((?v_6004 (=> ?v_5994 (=> ?v_5988 ?v_5996))) (?v_6003 (= k.132 4)) (?v_6000 (= k.132 3)) (?v_5997 (= k.132 2)) (?v_5992 (= k.132 1)) (?v_5986 (= k.132 0))) (let ((?v_6009 (=> true (=> (<= k.131 k.132) (=> (< k.132 5) (and (=> true (=> ?v_5986 (=> true (=> ?v_5993 (=> ?v_5909 (=> ?v_5988 (=> ?v_5989 (=> ?v_5990 ?v_5991)))))))) (=> true (=> (not ?v_5986) (and (=> true (=> ?v_5992 (=> true (=> ?v_5987 ?v_6004)))) (=> true (=> (not ?v_5992) (and (=> true (=> ?v_5997 (=> true (=> ?v_5993 (=> ?v_5994 (=> ?v_5995 ?v_5996)))))) (=> true (=> (not ?v_5997) (and (=> true (=> ?v_6000 (=> true (=> ?v_5993 (=> ?v_5994 (=> ?v_5988 (=> ?v_5989 (=> ?v_5998 ?v_5999)))))))) (=> true (=> (not ?v_6000) (and (=> true (=> ?v_6003 (=> true (=> ?v_5993 (=> ?v_5994 (=> ?v_5988 (=> ?v_6001 ?v_6002))))))) (=> true (=> (not ?v_6003) (=> true (=> ?v_5993 ?v_6004)))))))))))))))))))))) (let ((?v_6017 (=> true (=> true (=> true (=> true ?v_6009))))) (?v_6006 (= Mem_3_T.P_IRP.19 Mem_3_T.P_IRP.17)) (?v_6011 (= Mem_1_T.P_IRP.19 Mem_1_T.P_IRP.17)) (?v_6012 (= Mem_0_T.P_IRP.19 Mem_0_T.P_IRP.17)) (?v_6007 (= Mem_2_T.P_IRP.19 Mem_2_T.P_IRP.17)) (?v_6008 (= Mem_4_T.P_IRP.19 Mem_4_T.P_IRP.17))) (let ((?v_6013 (=> ?v_6008 ?v_6017))) (let ((?v_6015 (=> ?v_6012 (=> ?v_6007 ?v_6013)))) (let ((?v_6019 (=> ?v_6011 ?v_6015)) (?v_6018 (= k.131 4)) (?v_6016 (= k.131 3)) (?v_6014 (= k.131 2)) (?v_6010 (= k.131 1)) (?v_6005 (= k.131 0))) (let ((?v_6039 (=> true (=> (<= k.130 k.131) (=> (< k.131 5) (and (=> true (=> ?v_6005 (=> (= Mem_0_T.P_IRP.18 (MapType0Store Mem_0_T.P_IRP.17 ?v_5025 (MapType0Select Mem_0_T.P_IRP.17 ?v_5029))) (=> true (=> ?v_6006 (=> ?v_6011 (=> (= Mem_0_T.P_IRP.19 Mem_0_T.P_IRP.18) (=> ?v_6007 (=> ?v_6008 ?v_6009))))))))) (=> true (=> (not ?v_6005) (and (=> true (=> ?v_6010 (=> (= Mem_1_T.P_IRP.18 (MapType0Store Mem_1_T.P_IRP.17 ?v_5025 (MapType0Select Mem_1_T.P_IRP.17 ?v_5029))) (=> true (=> ?v_6006 (=> (= Mem_1_T.P_IRP.19 Mem_1_T.P_IRP.18) ?v_6015)))))) (=> true (=> (not ?v_6010) (and (=> true (=> ?v_6014 (=> (= Mem_2_T.P_IRP.18 (MapType0Store Mem_2_T.P_IRP.17 ?v_5025 (MapType0Select Mem_2_T.P_IRP.17 ?v_5029))) (=> true (=> ?v_6006 (=> ?v_6011 (=> ?v_6012 (=> (= Mem_2_T.P_IRP.19 Mem_2_T.P_IRP.18) ?v_6013)))))))) (=> true (=> (not ?v_6014) (and (=> true (=> ?v_6016 (=> (= Mem_3_T.P_IRP.18 (MapType0Store Mem_3_T.P_IRP.17 ?v_5025 (MapType0Select Mem_3_T.P_IRP.17 ?v_5029))) (=> true (=> (= Mem_3_T.P_IRP.19 Mem_3_T.P_IRP.18) ?v_6019))))) (=> true (=> (not ?v_6016) (and (=> true (=> ?v_6018 (=> (= Mem_4_T.P_IRP.18 (MapType0Store Mem_4_T.P_IRP.17 ?v_5025 (MapType0Select Mem_4_T.P_IRP.17 ?v_5029))) (=> true (=> ?v_6006 (=> ?v_6011 (=> ?v_6012 (=> ?v_6007 (=> (= Mem_4_T.P_IRP.19 Mem_4_T.P_IRP.18) ?v_6017))))))))) (=> true (=> (not ?v_6018) (=> true (=> ?v_6006 ?v_6019)))))))))))))))))))))) (let ((?v_6044 (=> true (=> (<= k.128 k.129) (=> (< k.129 5) (=> true (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= Mem_4_T.CancelRoutine__IRP.35 Mem_4_T.CancelRoutine__IRP.34) (=> (= errorReached.24 errorReached.23) (=> (= Mem_4_T.P_IRP.17 Mem_4_T.P_IRP.16) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.6 inline.SerialGetNextIrpLocked.0.myVar_0.5) (=> (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.0.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..0 call60426formal.ret.0) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= Mem_0_T.P_IRP.17 Mem_0_T.P_IRP.16) (=> (= Mem_2_T.P_IRP.17 Mem_2_T.P_IRP.16) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..0) (=> (= k.130 k.129) (=> (= Mem_3_T.CancelRoutine__IRP.35 Mem_3_T.CancelRoutine__IRP.34) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= Mem_2_T.CancelRoutine__IRP.35 Mem_2_T.CancelRoutine__IRP.34) (=> (= Mem_0_T.CancelRoutine__IRP.35 Mem_0_T.CancelRoutine__IRP.34) (=> (= Mem_1_T.P_IRP.17 Mem_1_T.P_IRP.16) (=> (= Mem_3_T.P_IRP.17 Mem_3_T.P_IRP.16) (=> (= Mem_1_T.CancelRoutine__IRP.35 Mem_1_T.CancelRoutine__IRP.34) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.0.myVar_0.5) ?v_6039))))))))))))))))))))))))))))))) (let ((?v_6052 (=> true ?v_6044)) (?v_6041 (= Mem_2_T.CancelRoutine__IRP.34 Mem_2_T.CancelRoutine__IRP.30)) (?v_6046 (= Mem_0_T.CancelRoutine__IRP.34 Mem_0_T.CancelRoutine__IRP.30)) (?v_6042 (= Mem_3_T.CancelRoutine__IRP.34 Mem_3_T.CancelRoutine__IRP.30)) (?v_6047 (= Mem_1_T.CancelRoutine__IRP.34 Mem_1_T.CancelRoutine__IRP.30)) (?v_6043 (= Mem_4_T.CancelRoutine__IRP.34 Mem_4_T.CancelRoutine__IRP.30))) (let ((?v_6048 (=> ?v_6043 ?v_6052))) (let ((?v_6050 (=> ?v_6047 ?v_6048))) (let ((?v_6054 (=> ?v_6046 (=> ?v_6042 ?v_6050))) (?v_6053 (= k.128 4)) (?v_6038 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.0.myVar_0.5))) (?v_6051 (= k.128 3)) (?v_6049 (= k.128 2)) (?v_6045 (= k.128 1)) (?v_6040 (= k.128 0))) (let ((?v_6062 (=> true (=> (<= k.127 k.128) (=> (< k.128 5) (and (=> true (=> ?v_6040 (=> (= Mem_0_T.CancelRoutine__IRP.33 (MapType0Store Mem_0_T.CancelRoutine__IRP.30 ?v_6038 ?v_46)) (=> true (=> ?v_6041 (=> (= Mem_0_T.CancelRoutine__IRP.34 Mem_0_T.CancelRoutine__IRP.33) (=> ?v_6042 (=> ?v_6047 (=> ?v_6043 ?v_6044))))))))) (=> true (=> (not ?v_6040) (and (=> true (=> ?v_6045 (=> (= Mem_1_T.CancelRoutine__IRP.33 (MapType0Store Mem_1_T.CancelRoutine__IRP.30 ?v_6038 ?v_46)) (=> true (=> ?v_6041 (=> ?v_6046 (=> ?v_6042 (=> (= Mem_1_T.CancelRoutine__IRP.34 Mem_1_T.CancelRoutine__IRP.33) ?v_6048)))))))) (=> true (=> (not ?v_6045) (and (=> true (=> ?v_6049 (=> (= Mem_2_T.CancelRoutine__IRP.33 (MapType0Store Mem_2_T.CancelRoutine__IRP.30 ?v_6038 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.34 Mem_2_T.CancelRoutine__IRP.33) ?v_6054))))) (=> true (=> (not ?v_6049) (and (=> true (=> ?v_6051 (=> (= Mem_3_T.CancelRoutine__IRP.33 (MapType0Store Mem_3_T.CancelRoutine__IRP.30 ?v_6038 ?v_46)) (=> true (=> ?v_6041 (=> ?v_6046 (=> (= Mem_3_T.CancelRoutine__IRP.34 Mem_3_T.CancelRoutine__IRP.33) ?v_6050))))))) (=> true (=> (not ?v_6051) (and (=> true (=> ?v_6053 (=> (= Mem_4_T.CancelRoutine__IRP.33 (MapType0Store Mem_4_T.CancelRoutine__IRP.30 ?v_6038 ?v_46)) (=> true (=> ?v_6041 (=> ?v_6046 (=> ?v_6042 (=> ?v_6047 (=> (= Mem_4_T.CancelRoutine__IRP.34 Mem_4_T.CancelRoutine__IRP.33) ?v_6052))))))))) (=> true (=> (not ?v_6053) (=> true (=> ?v_6041 ?v_6054)))))))))))))))))))))) (let ((?v_6064 (=> (= errorReached.23 errorReached.20) ?v_6062)) (?v_6063 (= inline.SerialGetNextIrpLocked.0.myVar_0.5 hirp)) (?v_6060 (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..0 call60335formal.ret.0)) (?v_6061 (= k.127 k.126)) (?v_6055 (= k.126 0)) (?v_6056 (= k.126 1)) (?v_6057 (= k.126 2)) (?v_6058 (= k.126 3)) (?v_6059 (= k.126 4))) (let ((?v_6066 (and (=> true (=> ?v_6063 (=> true (=> (<= k.125 k.126) (=> (< k.126 5) (and (=> true (=> (=> ?v_6055 ?v_4231) (=> (=> ?v_6056 ?v_4232) (=> (=> ?v_6057 ?v_4233) (=> (=> ?v_6058 ?v_4234) (=> (=> ?v_6059 ?v_4235) (=> true (=> ?v_6060 (=> ?v_6061 (=> (= errorReached.23 1) ?v_6062)))))))))) (=> true (=> (=> ?v_6055 ?v_4197) (=> (=> ?v_6056 ?v_4199) (=> (=> ?v_6057 ?v_4201) (=> (=> ?v_6058 ?v_4203) (=> (=> ?v_6059 ?v_4205) (=> true (=> ?v_6060 (=> ?v_6061 ?v_6064))))))))))))))) (=> true (=> (not ?v_6063) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2.) (=> (= k.127 k.125) ?v_6064)))))))) (let ((?v_6068 (=> true (=> true ?v_6066))) (?v_6071 (= k.125 4)) (?v_6070 (= k.125 3)) (?v_6069 (= k.125 2)) (?v_6067 (= k.125 1)) (?v_6065 (= k.125 0))) (let ((?v_6074 (=> true (=> (<= k.122 k.125) (=> (< k.125 5) (and (=> true (=> ?v_6065 (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.30 ?v_6038))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_6066))))) (=> true (=> (not ?v_6065) (and (=> true (=> ?v_6067 (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.30 ?v_6038))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_6068))))) (=> true (=> (not ?v_6067) (and (=> true (=> ?v_6069 (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.30 ?v_6038))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_6068))))) (=> true (=> (not ?v_6069) (and (=> true (=> ?v_6070 (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.30 ?v_6038))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_6068))))) (=> true (=> (not ?v_6070) (and (=> true (=> ?v_6071 (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.30 ?v_6038))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_6068))))) (=> true (=> (not ?v_6071) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_6068)))))))))))))))))))))) (let ((?v_6077 (=> true (=> true (=> true (=> true ?v_6074))))) (?v_6082 (= k.122 4)) (?v_6081 (U_2_int (MapType0Select Mem_4_T.P_IRP.16 ?v_5029))) (?v_6080 (= k.122 3)) (?v_6079 (U_2_int (MapType0Select Mem_3_T.P_IRP.16 ?v_5029))) (?v_6078 (= k.122 2)) (?v_6076 (U_2_int (MapType0Select Mem_2_T.P_IRP.16 ?v_5029))) (?v_6075 (= k.122 1)) (?v_6073 (U_2_int (MapType0Select Mem_1_T.P_IRP.16 ?v_5029))) (?v_6072 (= k.122 0)) (?v_6037 (U_2_int (MapType0Select Mem_0_T.P_IRP.16 ?v_5029))) (?v_6036 (= k.121 0)) (?v_6083 (= k.121 1)) (?v_6089 (= k.121 2)) (?v_6093 (= k.121 3)) (?v_6095 (= k.121 4))) (let ((?v_6088 (=> true (=> (=> ?v_6036 (not (= ?v_6037 hirp))) (=> (=> ?v_6083 (not (= ?v_6073 hirp))) (=> (=> ?v_6089 (not (= ?v_6076 hirp))) (=> (=> ?v_6093 (not (= ?v_6079 hirp))) (=> (=> ?v_6095 (not (= ?v_6081 hirp))) (=> true (=> (<= k.121 k.122) (=> (< k.122 5) (and (=> true (=> ?v_6072 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.0 ?v_6037) (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.5 inline.SerialGetNextIrpLocked.0.myVar_0.0) ?v_6074))))) (=> true (=> (not ?v_6072) (and (=> true (=> ?v_6075 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.2 ?v_6073) (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.5 inline.SerialGetNextIrpLocked.0.myVar_0.2) ?v_6077))))) (=> true (=> (not ?v_6075) (and (=> true (=> ?v_6078 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.4 ?v_6076) (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.5 inline.SerialGetNextIrpLocked.0.myVar_0.4) ?v_6077))))) (=> true (=> (not ?v_6078) (and (=> true (=> ?v_6080 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.1 ?v_6079) (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.5 inline.SerialGetNextIrpLocked.0.myVar_0.1) ?v_6077))))) (=> true (=> (not ?v_6080) (and (=> true (=> ?v_6082 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.3 ?v_6081) (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.5 inline.SerialGetNextIrpLocked.0.myVar_0.3) ?v_6077))))) (=> true (=> (not ?v_6082) (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.5 inline.SerialGetNextIrpLocked.0.myVar_0) ?v_6077)))))))))))))))))))))))))))) (let ((?v_6096 (=> true ?v_6088)) (?v_6085 (= Mem_3_T.P_IRP.16 Mem_3_T.P_IRP.12)) (?v_6090 (= Mem_1_T.P_IRP.16 Mem_1_T.P_IRP.12)) (?v_6091 (= Mem_0_T.P_IRP.16 Mem_0_T.P_IRP.12)) (?v_6086 (= Mem_2_T.P_IRP.16 Mem_2_T.P_IRP.12)) (?v_6087 (= Mem_4_T.P_IRP.16 Mem_4_T.P_IRP.12))) (let ((?v_6092 (=> ?v_6087 ?v_6096))) (let ((?v_6094 (=> ?v_6091 (=> ?v_6086 ?v_6092)))) (let ((?v_6097 (=> ?v_6090 ?v_6094)) (?v_6084 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.0.myNondetVar_0.0 1 88))) (?v_6035 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 0)) (?v_6024 (=> true (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= Mem_4_T.CancelRoutine__IRP.35 Mem_4_T.CancelRoutine__IRP.30) (=> (= errorReached.24 errorReached.20) (=> (= Mem_4_T.P_IRP.17 Mem_4_T.P_IRP.14) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.6 inline.SerialGetNextIrpLocked.0.myVar_0) (=> (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.) (=> (= Mem_0_T.P_IRP.17 Mem_0_T.P_IRP.14) (=> (= Mem_2_T.P_IRP.17 Mem_2_T.P_IRP.14) (=> (= inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.2..result.userContextSwitch.3310.4.2.) (=> (= k.130 k.120) (=> (= Mem_3_T.CancelRoutine__IRP.35 Mem_3_T.CancelRoutine__IRP.30) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList) (=> (= Mem_2_T.CancelRoutine__IRP.35 Mem_2_T.CancelRoutine__IRP.30) (=> (= Mem_0_T.CancelRoutine__IRP.35 Mem_0_T.CancelRoutine__IRP.30) (=> (= Mem_1_T.P_IRP.17 Mem_1_T.P_IRP.14) (=> (= Mem_3_T.P_IRP.17 Mem_3_T.P_IRP.14) (=> (= Mem_1_T.CancelRoutine__IRP.35 Mem_1_T.CancelRoutine__IRP.30) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1) ?v_6039)))))))))))))))))))))))))))) (let ((?v_6032 (=> true ?v_6024)) (?v_6021 (= Mem_3_T.P_IRP.14 Mem_3_T.P_IRP.12)) (?v_6026 (= Mem_1_T.P_IRP.14 Mem_1_T.P_IRP.12)) (?v_6027 (= Mem_0_T.P_IRP.14 Mem_0_T.P_IRP.12)) (?v_6022 (= Mem_2_T.P_IRP.14 Mem_2_T.P_IRP.12)) (?v_6023 (= Mem_4_T.P_IRP.14 Mem_4_T.P_IRP.12))) (let ((?v_6028 (=> ?v_6023 ?v_6032))) (let ((?v_6030 (=> ?v_6027 (=> ?v_6022 ?v_6028)))) (let ((?v_6034 (=> ?v_6026 ?v_6030)) (?v_6033 (= k.120 4)) (?v_6031 (= k.120 3)) (?v_6029 (= k.120 2)) (?v_6025 (= k.120 1)) (?v_6020 (= k.120 0))) (let ((?v_6099 (=> true (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.1.myNondetVar_0.0 0))) (and (=> true (=> (not ?v_6035) (=> true (=> (<= k.119 k.120) (=> (< k.120 5) (and (=> true (=> ?v_6020 (=> (= Mem_0_T.P_IRP.13 (MapType0Store Mem_0_T.P_IRP.12 ?v_5029 ?v_46)) (=> true (=> ?v_6021 (=> ?v_6026 (=> (= Mem_0_T.P_IRP.14 Mem_0_T.P_IRP.13) (=> ?v_6022 (=> ?v_6023 ?v_6024))))))))) (=> true (=> (not ?v_6020) (and (=> true (=> ?v_6025 (=> (= Mem_1_T.P_IRP.13 (MapType0Store Mem_1_T.P_IRP.12 ?v_5029 ?v_46)) (=> true (=> ?v_6021 (=> (= Mem_1_T.P_IRP.14 Mem_1_T.P_IRP.13) ?v_6030)))))) (=> true (=> (not ?v_6025) (and (=> true (=> ?v_6029 (=> (= Mem_2_T.P_IRP.13 (MapType0Store Mem_2_T.P_IRP.12 ?v_5029 ?v_46)) (=> true (=> ?v_6021 (=> ?v_6026 (=> ?v_6027 (=> (= Mem_2_T.P_IRP.14 Mem_2_T.P_IRP.13) ?v_6028)))))))) (=> true (=> (not ?v_6029) (and (=> true (=> ?v_6031 (=> (= Mem_3_T.P_IRP.13 (MapType0Store Mem_3_T.P_IRP.12 ?v_5029 ?v_46)) (=> true (=> (= Mem_3_T.P_IRP.14 Mem_3_T.P_IRP.13) ?v_6034))))) (=> true (=> (not ?v_6031) (and (=> true (=> ?v_6033 (=> (= Mem_4_T.P_IRP.13 (MapType0Store Mem_4_T.P_IRP.12 ?v_5029 ?v_46)) (=> true (=> ?v_6021 (=> ?v_6026 (=> ?v_6027 (=> ?v_6022 (=> (= Mem_4_T.P_IRP.14 Mem_4_T.P_IRP.13) ?v_6032))))))))) (=> true (=> (not ?v_6033) (=> true (=> ?v_6021 ?v_6034)))))))))))))))))))))) (=> true (=> ?v_6035 (=> true (=> (<= k.119 k.121) (=> (< k.121 5) (and (=> true (=> ?v_6036 (=> (= Mem_0_T.P_IRP.15 (MapType0Store Mem_0_T.P_IRP.12 ?v_5029 ?v_6084)) (=> true (=> ?v_6085 (=> ?v_6090 (=> (= Mem_0_T.P_IRP.16 Mem_0_T.P_IRP.15) (=> ?v_6086 (=> ?v_6087 ?v_6088))))))))) (=> true (=> (not ?v_6036) (and (=> true (=> ?v_6083 (=> (= Mem_1_T.P_IRP.15 (MapType0Store Mem_1_T.P_IRP.12 ?v_5029 ?v_6084)) (=> true (=> ?v_6085 (=> (= Mem_1_T.P_IRP.16 Mem_1_T.P_IRP.15) ?v_6094)))))) (=> true (=> (not ?v_6083) (and (=> true (=> ?v_6089 (=> (= Mem_2_T.P_IRP.15 (MapType0Store Mem_2_T.P_IRP.12 ?v_5029 ?v_6084)) (=> true (=> ?v_6085 (=> ?v_6090 (=> ?v_6091 (=> (= Mem_2_T.P_IRP.16 Mem_2_T.P_IRP.15) ?v_6092)))))))) (=> true (=> (not ?v_6089) (and (=> true (=> ?v_6093 (=> (= Mem_3_T.P_IRP.15 (MapType0Store Mem_3_T.P_IRP.12 ?v_5029 ?v_6084)) (=> true (=> (= Mem_3_T.P_IRP.16 Mem_3_T.P_IRP.15) ?v_6097))))) (=> true (=> (not ?v_6093) (and (=> true (=> ?v_6095 (=> (= Mem_4_T.P_IRP.15 (MapType0Store Mem_4_T.P_IRP.12 ?v_5029 ?v_6084)) (=> true (=> ?v_6085 (=> ?v_6090 (=> ?v_6091 (=> ?v_6086 (=> (= Mem_4_T.P_IRP.16 Mem_4_T.P_IRP.15) ?v_6096))))))))) (=> true (=> (not ?v_6095) (=> true (=> ?v_6085 ?v_6097))))))))))))))))))))))))))) (let ((?v_6101 (=> true (=> true (=> true (=> true ?v_6099))))) (?v_6104 (= k.119 4)) (?v_6103 (= k.119 3)) (?v_6102 (= k.119 2)) (?v_6100 (= k.119 1)) (?v_6098 (= k.119 0))) (let ((?v_6109 (=> true (=> (<= k.118 k.119) (=> (< k.119 5) (and (=> true (=> ?v_6098 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.12 ?v_5029))) (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_6099))))) (=> true (=> (not ?v_6098) (and (=> true (=> ?v_6100 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.3 (U_2_int (MapType0Select Mem_1_T.P_IRP.12 ?v_5029))) (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.3) ?v_6101))))) (=> true (=> (not ?v_6100) (and (=> true (=> ?v_6102 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_2_T.P_IRP.12 ?v_5029))) (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_6101))))) (=> true (=> (not ?v_6102) (and (=> true (=> ?v_6103 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.4 (U_2_int (MapType0Select Mem_3_T.P_IRP.12 ?v_5029))) (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.4) ?v_6101))))) (=> true (=> (not ?v_6103) (and (=> true (=> ?v_6104 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 (U_2_int (MapType0Select Mem_4_T.P_IRP.12 ?v_5029))) (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2) ?v_6101))))) (=> true (=> (not ?v_6104) (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_6101)))))))))))))))))))))) (let ((?v_6115 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_6109))))))))) (?v_6111 (= cancelLockStatus_1.20 cancelLockStatus_1.19)) (?v_6112 (= cancelLockStatus_0.20 cancelLockStatus_0.19)) (?v_6106 (= cancelLockStatus_2.20 cancelLockStatus_2.19)) (?v_6107 (= cancelLockStatus_4.20 cancelLockStatus_4.19)) (?v_6108 (= cancelLockStatus_3.20 cancelLockStatus_3.19))) (let ((?v_6117 (=> ?v_6108 ?v_6115))) (let ((?v_6113 (=> ?v_6107 ?v_6117))) (let ((?v_6118 (=> ?v_6112 (=> ?v_6106 ?v_6113))) (?v_6116 (= k.118 4)) (?v_6114 (= k.118 3)) (?v_6110 (= k.118 2)) (?v_6105 (= k.118 1)) (?v_5849 (= k.118 0)) (?v_5848 (int_2_U call58859formal.new.0))) (let ((?v_6167 (=> true (and ?v_11 (=> ?v_11 (=> (> call58859formal.new.0 0) (=> (forall ((?x1669 Int)) (! (=> (and (<= call58859formal.new.0 ?x1669) (< ?x1669 (+ call58859formal.new.0 1))) (= (Base ?x1669) call58859formal.new.0)) :pattern ((Base ?x1669)) )) (=> (forall ((?x1670 boogieU)) (! (=> (= (type ?x1670) intType) (or (= (U_2_int ?x1670) call58859formal.new.0) (= (MapType0Select alloc.38 ?x1670) (MapType0Select alloc.39 ?x1670)))) :pattern ((MapType0Select alloc.39 ?x1670)) )) (=> (and (= (MapType0Select alloc.38 ?v_5848) UNALLOCATED) (= (MapType0Select alloc.39 ?v_5848) ALLOCATED)) (=> true (=> (<= k.117 k.118) (=> (< k.118 5) (=> true (=> (=> ?v_5849 (= cancelLockStatus_0.19 0)) (=> (=> ?v_6105 (= cancelLockStatus_1.19 0)) (=> (=> ?v_6110 (= cancelLockStatus_2.19 0)) (=> (=> ?v_6114 (= cancelLockStatus_3.19 0)) (=> (=> ?v_6116 (= cancelLockStatus_4.19 0)) (and (=> true (=> ?v_5849 (=> true (=> ?v_6111 (=> (= cancelLockStatus_0.20 1) (=> ?v_6106 (=> ?v_6107 (=> ?v_6108 ?v_6109)))))))) (=> true (=> (not ?v_5849) (and (=> true (=> ?v_6105 (=> true (=> (= cancelLockStatus_1.20 1) ?v_6118)))) (=> true (=> (not ?v_6105) (and (=> true (=> ?v_6110 (=> true (=> ?v_6111 (=> ?v_6112 (=> (= cancelLockStatus_2.20 1) ?v_6113)))))) (=> true (=> (not ?v_6110) (and (=> true (=> ?v_6114 (=> true (=> ?v_6111 (=> ?v_6112 (=> ?v_6106 (=> ?v_6107 (=> (= cancelLockStatus_3.20 1) ?v_6115)))))))) (=> true (=> (not ?v_6114) (and (=> true (=> ?v_6116 (=> true (=> ?v_6111 (=> ?v_6112 (=> ?v_6106 (=> (= cancelLockStatus_4.20 1) ?v_6117))))))) (=> true (=> (not ?v_6116) (=> true (=> ?v_6111 ?v_6118))))))))))))))))))))))))))))))))))) (let ((?v_6405 (=> true (=> true ?v_6167))) (?v_6347 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_6348 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_6349 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6350 (= alloc.38 alloc.33)) (?v_6351 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6352 (= Mem_3_T.CancelRoutine__IRP.30 Mem_3_T.CancelRoutine__IRP.21)) (?v_6353 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_6354 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_6355 (= inline.SerialGetNextWrite.0.myVar_0.18 inline.SerialGetNextWrite.0.myVar_0.16)) (?v_6356 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6357 (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1.)) (?v_6358 (= Mem_1_T.CancelRoutine__IRP.30 Mem_1_T.CancelRoutine__IRP.21)) (?v_6359 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.16)) (?v_6360 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_6361 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_6362 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6363 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_6364 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2.)) (?v_6365 (= Mem_0_T.P_IRP.12 Mem_0_T.P_IRP.1)) (?v_6366 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_6367 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6368 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.3 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_6369 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_6370 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_6371 (= Mem_0_T.CancelRoutine__IRP.30 Mem_0_T.CancelRoutine__IRP.21)) (?v_6372 (= inline.KeSynchronizeExecution.2.myNondetVar_0.8 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_6373 (= Mem_4_T.P_IRP.12 Mem_4_T.P_IRP.1)) (?v_6374 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_6375 (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1.)) (?v_6376 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_6377 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6378 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_6379 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_6380 (= Mem_2_T.P_IRP.12 Mem_2_T.P_IRP.1)) (?v_6381 (= errorReached.20 errorReached.14)) (?v_6382 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_6383 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6384 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_6385 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_6386 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_6387 (= Mem_3_T.P_IRP.12 Mem_3_T.P_IRP.1)) (?v_6388 (= Mem_1_T.P_IRP.12 Mem_1_T.P_IRP.1)) (?v_6389 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_6390 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_6391 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.16)) (?v_6392 (= inline.SerialSetTimer.0.myNondetVar_0.6 inline.SerialSetTimer.0.myNondetVar_0)) (?v_6393 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6394 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_6395 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.4 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_6396 (= Mem_2_T.CancelRoutine__IRP.30 Mem_2_T.CancelRoutine__IRP.21)) (?v_6397 (= inline.SerialGetNextWrite.0.myNondetVar_2.3 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_6398 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_6399 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3.)) (?v_6400 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6401 (= Mem_4_T.CancelRoutine__IRP.30 Mem_4_T.CancelRoutine__IRP.21)) (?v_6402 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_6403 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_6404 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_6346 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_6172 (=> true (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5) (=> ?v_6349 (=> (= alloc.38 alloc.37) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= Mem_3_T.CancelRoutine__IRP.30 Mem_3_T.CancelRoutine__IRP.29) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0) (=> ?v_6355 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_6357 (=> (= Mem_1_T.CancelRoutine__IRP.30 Mem_1_T.CancelRoutine__IRP.29) (=> ?v_6359 (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_6363 (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..1) (=> (= k.117 k.116) (=> (= cancelLockStatus_4.19 cancelLockStatus_4.18) (=> (= Mem_0_T.P_IRP.12 Mem_0_T.P_IRP.11) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.5 inline.SerialGetNextWrite.0.tempBoogie0.4) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.4 inline.SerialGetNextWrite.0.myNondetVar_1.3) (=> (= cancelLockStatus_0.19 cancelLockStatus_0.18) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.3 inline.sdv_InterlockedIncrement.1.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.16 inline.SerialGetNextWrite.0.myNondetVar_0.15) (=> ?v_6369 (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> (= Mem_0_T.CancelRoutine__IRP.30 Mem_0_T.CancelRoutine__IRP.29) (=> (= cancelLockStatus_1.19 cancelLockStatus_1.18) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.8 inline.KeSynchronizeExecution.2.myNondetVar_0.7) (=> (= Mem_4_T.P_IRP.12 Mem_4_T.P_IRP.11) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.10..result.userContextSwitch.3151.2.1..0 call61367formal.ret.0) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> ?v_6377 (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..0 call61005formal.ret.0) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0) (=> (= Mem_2_T.P_IRP.12 Mem_2_T.P_IRP.11) (=> (= errorReached.20 errorReached.19) (=> ?v_6382 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1) (=> (= Mem_3_T.P_IRP.12 Mem_3_T.P_IRP.11) (=> (= Mem_1_T.P_IRP.12 Mem_1_T.P_IRP.11) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= cancelLockStatus_3.19 cancelLockStatus_3.18) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1) (=> ?v_6391 (=> (= inline.SerialSetTimer.0.myNondetVar_0.6 inline.SerialSetTimer.0.myNondetVar_0.5) (=> (= cancelLockStatus_2.19 cancelLockStatus_2.18) (=> ?v_6393 (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.4 inline.sdv_InterlockedDecrement.5.myNondetVar_0.3) (=> (= Mem_2_T.CancelRoutine__IRP.30 Mem_2_T.CancelRoutine__IRP.29) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.3 inline.SerialGetNextWrite.0.myNondetVar_2.2) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= Mem_4_T.CancelRoutine__IRP.30 Mem_4_T.CancelRoutine__IRP.29) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) ?v_6405)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_6178 (=> true (=> true (=> true (=> true ?v_6172))))) (?v_6174 (= cancelLockStatus_1.18 cancelLockStatus_1.14)) (?v_6175 (= cancelLockStatus_0.18 cancelLockStatus_0.14)) (?v_6169 (= cancelLockStatus_2.18 cancelLockStatus_2.14)) (?v_6170 (= cancelLockStatus_4.18 cancelLockStatus_4.14)) (?v_6171 (= cancelLockStatus_3.18 cancelLockStatus_3.14))) (let ((?v_6180 (=> ?v_6171 ?v_6178))) (let ((?v_6176 (=> ?v_6170 ?v_6180))) (let ((?v_6182 (=> ?v_6175 (=> ?v_6169 ?v_6176))) (?v_6181 (= k.116 4)) (?v_6179 (= k.116 3)) (?v_6177 (= k.116 2)) (?v_6173 (= k.116 1)) (?v_6168 (= k.116 0))) (let ((?v_6233 (=> true (=> (<= k.115 k.116) (=> (< k.116 5) (and (=> true (=> ?v_6168 (=> true (=> ?v_6174 (=> (= cancelLockStatus_0.18 0) (=> ?v_6169 (=> ?v_6170 (=> ?v_6171 ?v_6172)))))))) (=> true (=> (not ?v_6168) (and (=> true (=> ?v_6173 (=> true (=> (= cancelLockStatus_1.18 0) ?v_6182)))) (=> true (=> (not ?v_6173) (and (=> true (=> ?v_6177 (=> true (=> ?v_6174 (=> ?v_6175 (=> (= cancelLockStatus_2.18 0) ?v_6176)))))) (=> true (=> (not ?v_6177) (and (=> true (=> ?v_6179 (=> true (=> ?v_6174 (=> ?v_6175 (=> ?v_6169 (=> ?v_6170 (=> (= cancelLockStatus_3.18 0) ?v_6178)))))))) (=> true (=> (not ?v_6179) (and (=> true (=> ?v_6181 (=> true (=> ?v_6174 (=> ?v_6175 (=> ?v_6169 (=> (= cancelLockStatus_4.18 0) ?v_6180))))))) (=> true (=> (not ?v_6181) (=> true (=> ?v_6174 ?v_6182)))))))))))))))))))))) (let ((?v_6247 (=> true (=> true (=> true ?v_6233)))) (?v_6185 (= alloc.37 alloc.33)) (?v_6251 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5)) (?v_6188 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_6252 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_6190 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6191 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_6192 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_6253 (= Mem_2_T.CancelRoutine__IRP.29 Mem_2_T.CancelRoutine__IRP.28)) (?v_6254 (= k.115 k.114)) (?v_6195 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.3 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_6255 (= Mem_0_T.P_IRP.11 Mem_0_T.P_IRP.10)) (?v_6256 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_6257 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_6200 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.2 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_6258 (= Mem_1_T.CancelRoutine__IRP.29 Mem_1_T.CancelRoutine__IRP.28)) (?v_6259 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0)) (?v_6203 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6260 (= inline.KeSynchronizeExecution.2.myNondetVar_0.7 inline.KeSynchronizeExecution.2.myNondetVar_0.6)) (?v_6261 (= Mem_1_T.P_IRP.11 Mem_1_T.P_IRP.10)) (?v_6262 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_6263 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5)) (?v_6264 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr)) (?v_6265 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5)) (?v_6210 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_6266 (= Mem_2_T.P_IRP.11 Mem_2_T.P_IRP.10)) (?v_6267 (= errorReached.19 errorReached.18)) (?v_6268 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5)) (?v_6214 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_6269 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..0)) (?v_6270 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0)) (?v_6271 (= Mem_3_T.P_IRP.11 Mem_3_T.P_IRP.10)) (?v_6272 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5)) (?v_6273 (= Mem_4_T.P_IRP.11 Mem_4_T.P_IRP.10)) (?v_6220 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_6274 (= Mem_0_T.CancelRoutine__IRP.29 Mem_0_T.CancelRoutine__IRP.28)) (?v_6222 (= inline.SerialSetTimer.0.myNondetVar_0.5 inline.SerialSetTimer.0.myNondetVar_0)) (?v_6223 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_6224 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_6275 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0)) (?v_6276 (= Mem_3_T.CancelRoutine__IRP.29 Mem_3_T.CancelRoutine__IRP.28)) (?v_6277 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..0 call61762formal.ret.0)) (?v_6278 (= Mem_4_T.CancelRoutine__IRP.29 Mem_4_T.CancelRoutine__IRP.28)) (?v_6230 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_6231 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.))) (let ((?v_6279 (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff) ?v_6247))) (let ((?v_6248 (=> true (=> (forall ((?r17 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.0.myNondetVar_1.2 ?r17) 0)) (not (= (BIT_BAND 4 ?r17) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_2.1 4) ?r17) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.12 4) ?r17)) )) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.3 (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.13 4)) (=> true (=> (= alloc.37 alloc.36) (=> ?v_6251 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.4 inline.SerialGetNextWrite.0.tempBoogie0.3) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0 call62125formal.ret.0) (=> ?v_6252 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0 call62075formal.new.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_6253 (=> ?v_6254 (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.3 inline.sdv_InterlockedDecrement.5.myNondetVar_0.2) (=> ?v_6255 (=> ?v_6256 (=> ?v_6257 (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.3 inline.SerialGetNextWrite.0.myNondetVar_1.2) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.2 inline.sdv_InterlockedIncrement.1.myNondetVar_0.1) (=> ?v_6258 (=> ?v_6259 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5) (=> ?v_6260 (=> ?v_6261 (=> ?v_6262 (=> ?v_6263 (=> ?v_6264 (=> ?v_6265 (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0 4) (=> ?v_6266 (=> ?v_6267 (=> ?v_6268 (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0 call62125formal.ret.0) (=> ?v_6269 (=> ?v_6270 (=> ?v_6271 (=> ?v_6272 (=> ?v_6273 (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_6274 (=> (= inline.SerialSetTimer.0.myNondetVar_0.5 inline.SerialSetTimer.0.myNondetVar_0.4) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0 call58184formal.new.0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.2 inline.SerialGetNextWrite.0.myNondetVar_2.1) (=> ?v_6275 (=> ?v_6276 (=> ?v_6277 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.13) (=> ?v_6278 (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) ?v_6279))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_6244 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 hirp))) (let ((?v_6297 (not ?v_6244))) (let ((?v_6250 (and (=> true (=> ?v_6244 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_6248)))) (=> true (=> ?v_6297 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_6248)))))))))) (?v_6249 (= call62125formal.ret.0 0)) (?v_6246 (int_2_U call62075formal.new.0))) (let ((?v_6280 (and (=> true (=> (not (= inline.SerialGetNextWrite.0.myNondetVar_0.10 0)) (=> true (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0 ?v_5463) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0 ?v_6245) (=> true (and ?v_73 (=> ?v_73 (=> (> call62075formal.new.0 0) (=> (forall ((?x1671 Int)) (! (=> (and (<= call62075formal.new.0 ?x1671) (< ?x1671 (+ call62075formal.new.0 8))) (= (Base ?x1671) call62075formal.new.0)) :pattern ((Base ?x1671)) )) (=> (forall ((?x1672 boogieU)) (! (=> (= (type ?x1672) intType) (or (= (U_2_int ?x1672) call62075formal.new.0) (= (MapType0Select alloc.33 ?x1672) (MapType0Select alloc.36 ?x1672)))) :pattern ((MapType0Select alloc.36 ?x1672)) )) (=> (and (= (MapType0Select alloc.33 ?v_6246) UNALLOCATED) (= (MapType0Select alloc.36 ?v_6246) ALLOCATED)) (=> (= (Base call58184formal.new.0) call58184formal.new.0) (and (=> true (=> (not ?v_6249) (=> true (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.2 inline.sdv_InterlockedDecrement.5.myNondetVar_0.1) ?v_6250)))) (=> true (=> ?v_6249 (=> true (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.2 inline.sdv_InterlockedDecrement.5.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_6250))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.9 0) (=> true (=> ?v_6185 (=> ?v_6251 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.4 inline.SerialGetNextWrite.0.tempBoogie0.2) (=> ?v_6188 (=> ?v_6252 (=> ?v_6190 (=> ?v_6191 (=> ?v_6192 (=> ?v_6253 (=> ?v_6254 (=> ?v_6195 (=> ?v_6255 (=> ?v_6256 (=> ?v_6257 (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.3 inline.SerialGetNextWrite.0.myNondetVar_1.1) (=> ?v_6200 (=> ?v_6258 (=> ?v_6259 (=> ?v_6203 (=> ?v_6260 (=> ?v_6261 (=> ?v_6262 (=> ?v_6263 (=> ?v_6264 (=> ?v_6265 (=> ?v_6210 (=> ?v_6266 (=> ?v_6267 (=> ?v_6268 (=> ?v_6214 (=> ?v_6269 (=> ?v_6270 (=> ?v_6271 (=> ?v_6272 (=> ?v_6273 (=> ?v_6220 (=> ?v_6274 (=> ?v_6222 (=> ?v_6223 (=> ?v_6224 (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.2 inline.SerialGetNextWrite.0.myNondetVar_2.0) (=> ?v_6275 (=> ?v_6276 (=> ?v_6277 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.9) (=> ?v_6278 (=> ?v_6230 (=> ?v_6231 ?v_6279)))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_6286 (and (=> true (=> ?v_1934 (=> true (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.6 inline.KeSynchronizeExecution.2.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.2..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.2..result.SynchronizeRoutine.4679.26.2.) ?v_6280)))))) (=> true (=> ?v_530 (=> true (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.6 inline.KeSynchronizeExecution.2.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true (=> true ?v_6280))))))))))))) (let ((?v_6294 (=> true (=> true (=> true (=> true (=> true (=> true ?v_6286))))))) (?v_6283 (= Mem_3_T.P_IRP.10 Mem_3_T.P_IRP.1)) (?v_6288 (= Mem_1_T.P_IRP.10 Mem_1_T.P_IRP.1)) (?v_6289 (= Mem_0_T.P_IRP.10 Mem_0_T.P_IRP.1)) (?v_6284 (= Mem_2_T.P_IRP.10 Mem_2_T.P_IRP.1)) (?v_6285 (= Mem_4_T.P_IRP.10 Mem_4_T.P_IRP.1))) (let ((?v_6290 (=> ?v_6285 ?v_6294))) (let ((?v_6292 (=> ?v_6289 (=> ?v_6284 ?v_6290)))) (let ((?v_6296 (=> ?v_6288 ?v_6292)) (?v_6295 (= k.114 4)) (?v_6282 (int_2_U inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5)) (?v_6293 (= k.114 3)) (?v_6291 (= k.114 2)) (?v_6287 (= k.114 1)) (?v_6281 (= k.114 0))) (let ((?v_6298 (=> true (=> (forall ((?r18 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.0.myNondetVar_1.1 ?r18) 0)) (not (= (BIT_BAND 2 ?r18) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_2.0 2) ?r18) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.6 2) ?r18)) )) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.7 2)) (=> true (=> (<= k.113 k.114) (=> (< k.114 5) (and (=> true (=> ?v_6281 (=> (= Mem_0_T.P_IRP.9 (MapType0Store Mem_0_T.P_IRP.1 ?v_5019 ?v_6282)) (=> true (=> ?v_6283 (=> ?v_6288 (=> (= Mem_0_T.P_IRP.10 Mem_0_T.P_IRP.9) (=> ?v_6284 (=> ?v_6285 ?v_6286))))))))) (=> true (=> (not ?v_6281) (and (=> true (=> ?v_6287 (=> (= Mem_1_T.P_IRP.9 (MapType0Store Mem_1_T.P_IRP.1 ?v_5019 ?v_6282)) (=> true (=> ?v_6283 (=> (= Mem_1_T.P_IRP.10 Mem_1_T.P_IRP.9) ?v_6292)))))) (=> true (=> (not ?v_6287) (and (=> true (=> ?v_6291 (=> (= Mem_2_T.P_IRP.9 (MapType0Store Mem_2_T.P_IRP.1 ?v_5019 ?v_6282)) (=> true (=> ?v_6283 (=> ?v_6288 (=> ?v_6289 (=> (= Mem_2_T.P_IRP.10 Mem_2_T.P_IRP.9) ?v_6290)))))))) (=> true (=> (not ?v_6291) (and (=> true (=> ?v_6293 (=> (= Mem_3_T.P_IRP.9 (MapType0Store Mem_3_T.P_IRP.1 ?v_5019 ?v_6282)) (=> true (=> (= Mem_3_T.P_IRP.10 Mem_3_T.P_IRP.9) ?v_6296))))) (=> true (=> (not ?v_6293) (and (=> true (=> ?v_6295 (=> (= Mem_4_T.P_IRP.9 (MapType0Store Mem_4_T.P_IRP.1 ?v_5019 ?v_6282)) (=> true (=> ?v_6283 (=> ?v_6288 (=> ?v_6289 (=> ?v_6284 (=> (= Mem_4_T.P_IRP.10 Mem_4_T.P_IRP.9) ?v_6294))))))))) (=> true (=> (not ?v_6295) (=> true (=> ?v_6283 ?v_6296))))))))))))))))))))))))) (let ((?v_6303 (=> true (=> (<= k.112 k.113) (=> (< k.113 5) (and (=> true (=> ?v_6244 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_6298)))) (=> true (=> ?v_6297 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_6298)))))))))))))) (let ((?v_6311 (=> true ?v_6303)) (?v_6300 (= Mem_2_T.CancelRoutine__IRP.28 Mem_2_T.CancelRoutine__IRP.21)) (?v_6305 (= Mem_0_T.CancelRoutine__IRP.28 Mem_0_T.CancelRoutine__IRP.21)) (?v_6301 (= Mem_3_T.CancelRoutine__IRP.28 Mem_3_T.CancelRoutine__IRP.21)) (?v_6306 (= Mem_1_T.CancelRoutine__IRP.28 Mem_1_T.CancelRoutine__IRP.21)) (?v_6302 (= Mem_4_T.CancelRoutine__IRP.28 Mem_4_T.CancelRoutine__IRP.21))) (let ((?v_6307 (=> ?v_6302 ?v_6311))) (let ((?v_6309 (=> ?v_6306 ?v_6307))) (let ((?v_6313 (=> ?v_6305 (=> ?v_6301 ?v_6309))) (?v_6312 (= k.112 4)) (?v_6243 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5))) (?v_6310 (= k.112 3)) (?v_6308 (= k.112 2)) (?v_6304 (= k.112 1)) (?v_6299 (= k.112 0))) (let ((?v_6321 (=> true (=> (<= k.111 k.112) (=> (< k.112 5) (and (=> true (=> ?v_6299 (=> (= Mem_0_T.CancelRoutine__IRP.27 (MapType0Store Mem_0_T.CancelRoutine__IRP.21 ?v_6243 ?v_552)) (=> true (=> ?v_6300 (=> (= Mem_0_T.CancelRoutine__IRP.28 Mem_0_T.CancelRoutine__IRP.27) (=> ?v_6301 (=> ?v_6306 (=> ?v_6302 ?v_6303))))))))) (=> true (=> (not ?v_6299) (and (=> true (=> ?v_6304 (=> (= Mem_1_T.CancelRoutine__IRP.27 (MapType0Store Mem_1_T.CancelRoutine__IRP.21 ?v_6243 ?v_552)) (=> true (=> ?v_6300 (=> ?v_6305 (=> ?v_6301 (=> (= Mem_1_T.CancelRoutine__IRP.28 Mem_1_T.CancelRoutine__IRP.27) ?v_6307)))))))) (=> true (=> (not ?v_6304) (and (=> true (=> ?v_6308 (=> (= Mem_2_T.CancelRoutine__IRP.27 (MapType0Store Mem_2_T.CancelRoutine__IRP.21 ?v_6243 ?v_552)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.28 Mem_2_T.CancelRoutine__IRP.27) ?v_6313))))) (=> true (=> (not ?v_6308) (and (=> true (=> ?v_6310 (=> (= Mem_3_T.CancelRoutine__IRP.27 (MapType0Store Mem_3_T.CancelRoutine__IRP.21 ?v_6243 ?v_552)) (=> true (=> ?v_6300 (=> ?v_6305 (=> (= Mem_3_T.CancelRoutine__IRP.28 Mem_3_T.CancelRoutine__IRP.27) ?v_6309))))))) (=> true (=> (not ?v_6310) (and (=> true (=> ?v_6312 (=> (= Mem_4_T.CancelRoutine__IRP.27 (MapType0Store Mem_4_T.CancelRoutine__IRP.21 ?v_6243 ?v_552)) (=> true (=> ?v_6300 (=> ?v_6305 (=> ?v_6301 (=> ?v_6306 (=> (= Mem_4_T.CancelRoutine__IRP.28 Mem_4_T.CancelRoutine__IRP.27) ?v_6311))))))))) (=> true (=> (not ?v_6312) (=> true (=> ?v_6300 ?v_6313)))))))))))))))))))))) (let ((?v_6322 (=> (= errorReached.18 errorReached.14) ?v_6321)) (?v_6319 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..0 call61671formal.ret.0)) (?v_6320 (= k.111 k.110)) (?v_6314 (= k.110 0)) (?v_6315 (= k.110 1)) (?v_6316 (= k.110 2)) (?v_6317 (= k.110 3)) (?v_6318 (= k.110 4))) (let ((?v_6324 (and (=> true (=> ?v_6244 (=> true (=> (<= k.109 k.110) (=> (< k.110 5) (and (=> true (=> (=> ?v_6314 ?v_4231) (=> (=> ?v_6315 ?v_4232) (=> (=> ?v_6316 ?v_4233) (=> (=> ?v_6317 ?v_4234) (=> (=> ?v_6318 ?v_4235) (=> true (=> ?v_6319 (=> ?v_6320 (=> (= errorReached.18 1) ?v_6321)))))))))) (=> true (=> (=> ?v_6314 ?v_4197) (=> (=> ?v_6315 ?v_4199) (=> (=> ?v_6316 ?v_4201) (=> (=> ?v_6317 ?v_4203) (=> (=> ?v_6318 ?v_4205) (=> true (=> ?v_6319 (=> ?v_6320 ?v_6322))))))))))))))) (=> true (=> ?v_6297 (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2.) (=> (= k.111 k.109) ?v_6322)))))))) (let ((?v_6326 (=> true (=> true ?v_6324))) (?v_6329 (= k.109 4)) (?v_6328 (= k.109 3)) (?v_6327 (= k.109 2)) (?v_6325 (= k.109 1)) (?v_6323 (= k.109 0)) (?v_6183 (= k.96 0)) (?v_6184 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5)))) (let ((?v_6234 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_6184)) 0)) (?v_6235 (= k.96 1)) (?v_6236 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_6184)) 0)) (?v_6237 (= k.96 2)) (?v_6238 (= (U_2_int (MapType0Select Mem_2_T.Cancel__IRP ?v_6184)) 0)) (?v_6239 (= k.96 3)) (?v_6240 (= (U_2_int (MapType0Select Mem_3_T.Cancel__IRP ?v_6184)) 0)) (?v_6241 (= k.96 4)) (?v_6242 (= (U_2_int (MapType0Select Mem_4_T.Cancel__IRP ?v_6184)) 0)) (?v_6186 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_6187 (= inline.SerialGetNextWrite.0.tempBoogie0.4 inline.SerialGetNextWrite.0.tempBoogie0.0)) (?v_6189 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_6193 (= Mem_2_T.CancelRoutine__IRP.29 Mem_2_T.CancelRoutine__IRP.21)) (?v_6194 (= k.115 k.96)) (?v_6196 (= Mem_0_T.P_IRP.11 Mem_0_T.P_IRP.1)) (?v_6197 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_6198 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_6199 (= inline.SerialGetNextWrite.0.myNondetVar_1.3 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_6201 (= Mem_1_T.CancelRoutine__IRP.29 Mem_1_T.CancelRoutine__IRP.21)) (?v_6202 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_6204 (= inline.KeSynchronizeExecution.2.myNondetVar_0.7 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_6205 (= Mem_1_T.P_IRP.11 Mem_1_T.P_IRP.1)) (?v_6206 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_6207 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_6208 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_6209 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_6211 (= Mem_2_T.P_IRP.11 Mem_2_T.P_IRP.1)) (?v_6212 (= errorReached.19 errorReached.14)) (?v_6213 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_6215 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3310.4.2.)) (?v_6216 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_6217 (= Mem_3_T.P_IRP.11 Mem_3_T.P_IRP.1)) (?v_6218 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_6219 (= Mem_4_T.P_IRP.11 Mem_4_T.P_IRP.1)) (?v_6221 (= Mem_0_T.CancelRoutine__IRP.29 Mem_0_T.CancelRoutine__IRP.21)) (?v_6225 (= inline.SerialGetNextWrite.0.myNondetVar_2.2 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_6226 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_6227 (= Mem_3_T.CancelRoutine__IRP.29 Mem_3_T.CancelRoutine__IRP.21)) (?v_6228 (= inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.3..result.userContextSwitch.3313.2.3.)) (?v_6229 (= Mem_4_T.CancelRoutine__IRP.29 Mem_4_T.CancelRoutine__IRP.21)) (?v_6232 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine))) (let ((?v_6330 (=> true (=> (= inline.SerialGetNextWrite.0.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.0.myNondetVar_0.1 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.0.myNondetVar_0.3 0)) (=> true (=> ?v_6185 (=> ?v_6186 (=> ?v_6187 (=> ?v_6188 (=> ?v_6189 (=> ?v_6190 (=> ?v_6191 (=> ?v_6192 (=> ?v_6193 (=> ?v_6194 (=> ?v_6195 (=> ?v_6196 (=> ?v_6197 (=> ?v_6198 (=> ?v_6199 (=> ?v_6200 (=> ?v_6201 (=> ?v_6202 (=> ?v_6203 (=> ?v_6204 (=> ?v_6205 (=> ?v_6206 (=> ?v_6207 (=> ?v_6208 (=> ?v_6209 (=> ?v_6210 (=> ?v_6211 (=> ?v_6212 (=> ?v_6213 (=> ?v_6214 (=> ?v_6215 (=> ?v_6216 (=> ?v_6217 (=> ?v_6218 (=> ?v_6219 (=> ?v_6220 (=> ?v_6221 (=> ?v_6222 (=> ?v_6223 (=> ?v_6224 (=> ?v_6225 (=> ?v_6226 (=> ?v_6227 (=> ?v_6228 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.3) (=> ?v_6229 (=> ?v_6230 (=> ?v_6231 (=> ?v_6232 ?v_6233)))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.2 0) (and (=> true (=> (=> ?v_6183 (not ?v_6234)) (=> (=> ?v_6235 (not ?v_6236)) (=> (=> ?v_6237 (not ?v_6238)) (=> (=> ?v_6239 (not ?v_6240)) (=> (=> ?v_6241 (not ?v_6242)) (=> true (=> ?v_6185 (=> ?v_6186 (=> ?v_6187 (=> ?v_6188 (=> ?v_6189 (=> ?v_6190 (=> ?v_6191 (=> ?v_6192 (=> ?v_6193 (=> ?v_6194 (=> ?v_6195 (=> ?v_6196 (=> ?v_6197 (=> ?v_6198 (=> ?v_6199 (=> ?v_6200 (=> ?v_6201 (=> ?v_6202 (=> ?v_6203 (=> ?v_6204 (=> ?v_6205 (=> ?v_6206 (=> ?v_6207 (=> ?v_6208 (=> ?v_6209 (=> ?v_6210 (=> ?v_6211 (=> ?v_6212 (=> ?v_6213 (=> ?v_6214 (=> ?v_6215 (=> ?v_6216 (=> ?v_6217 (=> ?v_6218 (=> ?v_6219 (=> ?v_6220 (=> ?v_6221 (=> ?v_6222 (=> ?v_6223 (=> ?v_6224 (=> ?v_6225 (=> ?v_6226 (=> ?v_6227 (=> ?v_6228 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.2) (=> ?v_6229 (=> ?v_6230 (=> ?v_6231 (=> ?v_6232 ?v_6247)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_6183 ?v_6234) (=> (=> ?v_6235 ?v_6236) (=> (=> ?v_6237 ?v_6238) (=> (=> ?v_6239 ?v_6240) (=> (=> ?v_6241 ?v_6242) (=> true (=> (<= k.96 k.109) (=> (< k.109 5) (and (=> true (=> ?v_6323 (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.21 ?v_6243))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_6324))))) (=> true (=> (not ?v_6323) (and (=> true (=> ?v_6325 (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.21 ?v_6243))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_6326))))) (=> true (=> (not ?v_6325) (and (=> true (=> ?v_6327 (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.21 ?v_6243))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_6326))))) (=> true (=> (not ?v_6327) (and (=> true (=> ?v_6328 (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.21 ?v_6243))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_6326))))) (=> true (=> (not ?v_6328) (and (=> true (=> ?v_6329 (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.21 ?v_6243))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_6326))))) (=> true (=> (not ?v_6329) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_6326)))))))))))))))))))))))))))))))))) (let ((?v_6331 (=> true (=> true ?v_6330)))) (let ((?v_6336 (=> true (=> (<= k.95 k.96) (=> (< k.96 5) (and (=> true (=> ?v_6183 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.0 ?v_5028) (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.0) ?v_6330))))) (=> true (=> (not ?v_6183) (and (=> true (=> ?v_6235 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.4 ?v_6137) (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.4) ?v_6331))))) (=> true (=> (not ?v_6235) (and (=> true (=> ?v_6237 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.1 ?v_6140) (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.1) ?v_6331))))) (=> true (=> (not ?v_6237) (and (=> true (=> ?v_6239 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 ?v_6143) (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2) ?v_6331))))) (=> true (=> (not ?v_6239) (and (=> true (=> ?v_6241 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.3 ?v_6145) (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.3) ?v_6331))))) (=> true (=> (not ?v_6241) (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite) ?v_6331)))))))))))))))))))))) (let ((?v_6342 (=> true (=> true (=> true (=> true ?v_6336))))) (?v_6338 (= cancelLockStatus_1.14 cancelLockStatus_1.11)) (?v_6339 (= cancelLockStatus_0.14 cancelLockStatus_0.11)) (?v_6333 (= cancelLockStatus_2.14 cancelLockStatus_2.11)) (?v_6334 (= cancelLockStatus_4.14 cancelLockStatus_4.11)) (?v_6335 (= cancelLockStatus_3.14 cancelLockStatus_3.11))) (let ((?v_6344 (=> ?v_6335 ?v_6342))) (let ((?v_6340 (=> ?v_6334 ?v_6344))) (let ((?v_6345 (=> ?v_6339 (=> ?v_6333 ?v_6340))) (?v_6343 (= k.95 4)) (?v_6341 (= k.95 3)) (?v_6337 (= k.95 2)) (?v_6332 (= k.95 1)) (?v_6166 (= k.95 0))) (let ((?v_6407 (and (=> true (=> ?v_6346 (=> true (=> (<= k.94 k.95) (=> (< k.95 5) (=> true (=> (=> ?v_6166 ?v_5846) (=> (=> ?v_6332 ?v_6162) (=> (=> ?v_6337 ?v_6163) (=> (=> ?v_6341 ?v_6164) (=> (=> ?v_6343 ?v_6165) (and (=> true (=> ?v_6166 (=> true (=> ?v_6338 (=> (= cancelLockStatus_0.14 1) (=> ?v_6333 (=> ?v_6334 (=> ?v_6335 ?v_6336)))))))) (=> true (=> (not ?v_6166) (and (=> true (=> ?v_6332 (=> true (=> (= cancelLockStatus_1.14 1) ?v_6345)))) (=> true (=> (not ?v_6332) (and (=> true (=> ?v_6337 (=> true (=> ?v_6338 (=> ?v_6339 (=> (= cancelLockStatus_2.14 1) ?v_6340)))))) (=> true (=> (not ?v_6337) (and (=> true (=> ?v_6341 (=> true (=> ?v_6338 (=> ?v_6339 (=> ?v_6333 (=> ?v_6334 (=> (= cancelLockStatus_3.14 1) ?v_6342)))))))) (=> true (=> (not ?v_6341) (and (=> true (=> ?v_6343 (=> true (=> ?v_6338 (=> ?v_6339 (=> ?v_6333 (=> (= cancelLockStatus_4.14 1) ?v_6344))))))) (=> true (=> (not ?v_6343) (=> true (=> ?v_6338 ?v_6345)))))))))))))))))))))))))))) (=> true (=> (not ?v_6346) (=> true (=> ?v_6347 (=> ?v_6348 (=> ?v_6349 (=> ?v_6350 (=> ?v_6351 (=> ?v_6352 (=> ?v_6353 (=> ?v_6354 (=> ?v_6355 (=> ?v_6356 (=> ?v_6357 (=> ?v_6358 (=> ?v_6359 (=> ?v_6360 (=> ?v_6361 (=> ?v_6362 (=> ?v_6363 (=> ?v_6364 (=> (= k.117 k.94) (=> (= cancelLockStatus_4.19 cancelLockStatus_4.11) (=> ?v_6365 (=> ?v_6366 (=> ?v_6367 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.5 inline.SerialGetNextWrite.0.tempBoogie0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.4 inline.SerialGetNextWrite.0.myNondetVar_1) (=> (= cancelLockStatus_0.19 cancelLockStatus_0.11) (=> ?v_6368 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.16 inline.SerialGetNextWrite.0.myNondetVar_0) (=> ?v_6369 (=> ?v_6370 (=> ?v_6371 (=> (= cancelLockStatus_1.19 cancelLockStatus_1.11) (=> ?v_6372 (=> ?v_6373 (=> ?v_6374 (=> ?v_6375 (=> ?v_6376 (=> ?v_6377 (=> ?v_6378 (=> ?v_6379 (=> ?v_6380 (=> ?v_6381 (=> ?v_6382 (=> ?v_6383 (=> ?v_6384 (=> ?v_6385 (=> ?v_6386 (=> ?v_6387 (=> ?v_6388 (=> ?v_6389 (=> (= cancelLockStatus_3.19 cancelLockStatus_3.11) (=> ?v_6390 (=> ?v_6391 (=> ?v_6392 (=> (= cancelLockStatus_2.19 cancelLockStatus_2.11) (=> ?v_6393 (=> ?v_6394 (=> ?v_6395 (=> ?v_6396 (=> ?v_6397 (=> ?v_6398 (=> ?v_6399 (=> ?v_6400 (=> ?v_6401 (=> ?v_6402 (=> ?v_6403 (=> ?v_6404 ?v_6405)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_6406 (= inline.SerialGetNextWrite.0.myVar_0.16 hirp))) (let ((?v_6409 (and (=> true (=> ?v_6406 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_6407)))) (=> true (=> (not ?v_6406) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_6407))))))))))) (let ((?v_6411 (=> true (=> true (=> true (=> true ?v_6409))))) (?v_6414 (= k.94 4)) (?v_6413 (= k.94 3)) (?v_6412 (= k.94 2)) (?v_6410 (= k.94 1)) (?v_6408 (= k.94 0)) (?v_6161 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_6123 (=> true (=> ?v_6347 (=> ?v_6348 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_6350 (=> ?v_6351 (=> ?v_6352 (=> ?v_6353 (=> ?v_6354 (=> (= inline.SerialGetNextWrite.0.myVar_0.18 inline.SerialGetNextWrite.0.myVar_0.17) (=> ?v_6356 (=> (= inline.sdv_IoReleaseCancelSpinLock.7..result.userContextSwitch.3151.2.1..0 call58763formal.ret.0) (=> ?v_6358 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_6360 (=> ?v_6361 (=> ?v_6362 (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> ?v_6364 (=> (= k.117 k.103) (=> (= cancelLockStatus_4.19 cancelLockStatus_4.16) (=> ?v_6365 (=> ?v_6366 (=> ?v_6367 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.5 inline.SerialGetNextWrite.0.tempBoogie0.1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.4 inline.SerialGetNextWrite.0.myNondetVar_1.0) (=> (= cancelLockStatus_0.19 cancelLockStatus_0.16) (=> ?v_6368 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.16 inline.SerialGetNextWrite.0.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_6370 (=> ?v_6371 (=> (= cancelLockStatus_1.19 cancelLockStatus_1.16) (=> ?v_6372 (=> ?v_6373 (=> ?v_6374 (=> ?v_6375 (=> ?v_6376 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.17) (=> ?v_6378 (=> ?v_6379 (=> ?v_6380 (=> ?v_6381 (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..0 call58502formal.ret.0) (=> ?v_6383 (=> ?v_6384 (=> ?v_6385 (=> ?v_6386 (=> ?v_6387 (=> ?v_6388 (=> ?v_6389 (=> (= cancelLockStatus_3.19 cancelLockStatus_3.16) (=> ?v_6390 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_6392 (=> (= cancelLockStatus_2.19 cancelLockStatus_2.16) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.17) (=> ?v_6394 (=> ?v_6395 (=> ?v_6396 (=> ?v_6397 (=> ?v_6398 (=> ?v_6399 (=> ?v_6400 (=> ?v_6401 (=> ?v_6402 (=> ?v_6403 (=> ?v_6404 ?v_6167)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_6129 (=> true (=> true (=> true (=> true ?v_6123))))) (?v_6125 (= cancelLockStatus_1.16 cancelLockStatus_1.13)) (?v_6126 (= cancelLockStatus_0.16 cancelLockStatus_0.13)) (?v_6120 (= cancelLockStatus_2.16 cancelLockStatus_2.13)) (?v_6121 (= cancelLockStatus_4.16 cancelLockStatus_4.13)) (?v_6122 (= cancelLockStatus_3.16 cancelLockStatus_3.13))) (let ((?v_6131 (=> ?v_6122 ?v_6129))) (let ((?v_6127 (=> ?v_6121 ?v_6131))) (let ((?v_6133 (=> ?v_6126 (=> ?v_6120 ?v_6127))) (?v_6132 (= k.103 4)) (?v_6130 (= k.103 3)) (?v_6128 (= k.103 2)) (?v_6124 (= k.103 1)) (?v_6119 (= k.103 0))) (let ((?v_6135 (=> true (=> (= inline.SerialGetNextWrite.0.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.0.myNondetVar_0.4 inline.SerialGetNextWrite.0.myNondetVar_1.0 1)) (=> true (=> (<= k.93 k.103) (=> (< k.103 5) (and (=> true (=> ?v_6119 (=> true (=> ?v_6125 (=> (= cancelLockStatus_0.16 0) (=> ?v_6120 (=> ?v_6121 (=> ?v_6122 ?v_6123)))))))) (=> true (=> (not ?v_6119) (and (=> true (=> ?v_6124 (=> true (=> (= cancelLockStatus_1.16 0) ?v_6133)))) (=> true (=> (not ?v_6124) (and (=> true (=> ?v_6128 (=> true (=> ?v_6125 (=> ?v_6126 (=> (= cancelLockStatus_2.16 0) ?v_6127)))))) (=> true (=> (not ?v_6128) (and (=> true (=> ?v_6130 (=> true (=> ?v_6125 (=> ?v_6126 (=> ?v_6120 (=> ?v_6121 (=> (= cancelLockStatus_3.16 0) ?v_6129)))))))) (=> true (=> (not ?v_6130) (and (=> true (=> ?v_6132 (=> true (=> ?v_6125 (=> ?v_6126 (=> ?v_6120 (=> (= cancelLockStatus_4.16 0) ?v_6131))))))) (=> true (=> (not ?v_6132) (=> true (=> ?v_6125 ?v_6133))))))))))))))))))))))) (?v_6134 (= inline.SerialGetNextWrite.0.myVar_0.17 hirp))) (let ((?v_6138 (and (=> true (=> ?v_6134 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_6135)))) (=> true (=> (not ?v_6134) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_6135)))))))))) (let ((?v_6141 (=> true (=> true (=> true (=> true ?v_6138))))) (?v_6146 (= k.93 4)) (?v_6144 (= k.93 3)) (?v_6142 (= k.93 2)) (?v_6139 (= k.93 1)) (?v_6136 (= k.93 0))) (let ((?v_6151 (=> true (=> (<= k.92 k.93) (=> (< k.93 5) (and (=> true (=> ?v_6136 (=> (= inline.SerialGetNextWrite.0.myVar_0.9 ?v_5028) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.17 inline.SerialGetNextWrite.0.myVar_0.9) ?v_6138))))) (=> true (=> (not ?v_6136) (and (=> true (=> ?v_6139 (=> (= inline.SerialGetNextWrite.0.myVar_0.6 ?v_6137) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.17 inline.SerialGetNextWrite.0.myVar_0.6) ?v_6141))))) (=> true (=> (not ?v_6139) (and (=> true (=> ?v_6142 (=> (= inline.SerialGetNextWrite.0.myVar_0.7 ?v_6140) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.17 inline.SerialGetNextWrite.0.myVar_0.7) ?v_6141))))) (=> true (=> (not ?v_6142) (and (=> true (=> ?v_6144 (=> (= inline.SerialGetNextWrite.0.myVar_0.8 ?v_6143) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.17 inline.SerialGetNextWrite.0.myVar_0.8) ?v_6141))))) (=> true (=> (not ?v_6144) (and (=> true (=> ?v_6146 (=> (= inline.SerialGetNextWrite.0.myVar_0.10 ?v_6145) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.17 inline.SerialGetNextWrite.0.myVar_0.10) ?v_6141))))) (=> true (=> (not ?v_6146) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.17 inline.SerialGetNextWrite.0.myVar_0.5) ?v_6141)))))))))))))))))))))) (let ((?v_6157 (=> true (=> true (=> true (=> true ?v_6151))))) (?v_6153 (= cancelLockStatus_1.13 cancelLockStatus_1.11)) (?v_6154 (= cancelLockStatus_0.13 cancelLockStatus_0.11)) (?v_6148 (= cancelLockStatus_2.13 cancelLockStatus_2.11)) (?v_6149 (= cancelLockStatus_4.13 cancelLockStatus_4.11)) (?v_6150 (= cancelLockStatus_3.13 cancelLockStatus_3.11))) (let ((?v_6159 (=> ?v_6150 ?v_6157))) (let ((?v_6155 (=> ?v_6149 ?v_6159))) (let ((?v_6160 (=> ?v_6154 (=> ?v_6148 ?v_6155))) (?v_6158 (= k.92 4)) (?v_6156 (= k.92 3)) (?v_6152 (= k.92 2)) (?v_6147 (= k.92 1)) (?v_5847 (= k.92 0))) (let ((?v_6416 (and (=> true (=> ?v_6161 (=> true (=> (<= k.87 k.92) (=> (< k.92 5) (=> true (=> (=> ?v_5847 ?v_5846) (=> (=> ?v_6147 ?v_6162) (=> (=> ?v_6152 ?v_6163) (=> (=> ?v_6156 ?v_6164) (=> (=> ?v_6158 ?v_6165) (and (=> true (=> ?v_5847 (=> true (=> ?v_6153 (=> (= cancelLockStatus_0.13 1) (=> ?v_6148 (=> ?v_6149 (=> ?v_6150 ?v_6151)))))))) (=> true (=> (not ?v_5847) (and (=> true (=> ?v_6147 (=> true (=> (= cancelLockStatus_1.13 1) ?v_6160)))) (=> true (=> (not ?v_6147) (and (=> true (=> ?v_6152 (=> true (=> ?v_6153 (=> ?v_6154 (=> (= cancelLockStatus_2.13 1) ?v_6155)))))) (=> true (=> (not ?v_6152) (and (=> true (=> ?v_6156 (=> true (=> ?v_6153 (=> ?v_6154 (=> ?v_6148 (=> ?v_6149 (=> (= cancelLockStatus_3.13 1) ?v_6157)))))))) (=> true (=> (not ?v_6156) (and (=> true (=> ?v_6158 (=> true (=> ?v_6153 (=> ?v_6154 (=> ?v_6148 (=> (= cancelLockStatus_4.13 1) ?v_6159))))))) (=> true (=> (not ?v_6158) (=> true (=> ?v_6153 ?v_6160)))))))))))))))))))))))))))) (=> true (=> (not ?v_6161) (=> true (=> (<= k.87 k.94) (=> (< k.94 5) (and (=> true (=> ?v_6408 (=> (= inline.SerialGetNextWrite.0.myVar_0.11 ?v_5028) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.16 inline.SerialGetNextWrite.0.myVar_0.11) ?v_6409))))) (=> true (=> (not ?v_6408) (and (=> true (=> ?v_6410 (=> (= inline.SerialGetNextWrite.0.myVar_0.12 ?v_6137) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.16 inline.SerialGetNextWrite.0.myVar_0.12) ?v_6411))))) (=> true (=> (not ?v_6410) (and (=> true (=> ?v_6412 (=> (= inline.SerialGetNextWrite.0.myVar_0.14 ?v_6140) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.16 inline.SerialGetNextWrite.0.myVar_0.14) ?v_6411))))) (=> true (=> (not ?v_6412) (and (=> true (=> ?v_6413 (=> (= inline.SerialGetNextWrite.0.myVar_0.13 ?v_6143) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.16 inline.SerialGetNextWrite.0.myVar_0.13) ?v_6411))))) (=> true (=> (not ?v_6413) (and (=> true (=> ?v_6414 (=> (= inline.SerialGetNextWrite.0.myVar_0.15 ?v_6145) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.16 inline.SerialGetNextWrite.0.myVar_0.15) ?v_6411))))) (=> true (=> (not ?v_6414) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.16 inline.SerialGetNextWrite.0.myVar_0.5) ?v_6411)))))))))))))))))))))))) (?v_6415 (= inline.SerialGetNextWrite.0.myVar_0.5 hirp))) (let ((?v_6418 (and (=> true (=> ?v_6415 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_6416)))) (=> true (=> (not ?v_6415) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_6416))))))))))) (let ((?v_6420 (=> true (=> true (=> true (=> true ?v_6418))))) (?v_6423 (= k.87 4)) (?v_6422 (= k.87 3)) (?v_6421 (= k.87 2)) (?v_6419 (= k.87 1)) (?v_6417 (= k.87 0)) (?v_5845 (int_2_U call58218formal.new.0)) (?v_5841 (int_2_U call58175formal.new.0)) (?v_5842 (int_2_U call58178formal.new.0)) (?v_5843 (int_2_U call58181formal.new.0)) (?v_5844 (int_2_U call58184formal.new.0))) (let ((?v_6783 (and (=> true (=> ?v_6424 (=> true (and ?v_11 (=> ?v_11 (=> (> call58175formal.new.0 0) (=> (forall ((?x1675 Int)) (! (=> (and (<= call58175formal.new.0 ?x1675) (< ?x1675 (+ call58175formal.new.0 1))) (= (Base ?x1675) call58175formal.new.0)) :pattern ((Base ?x1675)) )) (=> (forall ((?x1676 boogieU)) (! (=> (= (type ?x1676) intType) (or (= (U_2_int ?x1676) call58175formal.new.0) (= (MapType0Select alloc.28 ?x1676) (MapType0Select alloc.29 ?x1676)))) :pattern ((MapType0Select alloc.29 ?x1676)) )) (=> (and (= (MapType0Select alloc.28 ?v_5841) UNALLOCATED) (= (MapType0Select alloc.29 ?v_5841) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call58178formal.new.0 0) (=> (forall ((?x1677 Int)) (! (=> (and (<= call58178formal.new.0 ?x1677) (< ?x1677 (+ call58178formal.new.0 1))) (= (Base ?x1677) call58178formal.new.0)) :pattern ((Base ?x1677)) )) (=> (forall ((?x1678 boogieU)) (! (=> (= (type ?x1678) intType) (or (= (U_2_int ?x1678) call58178formal.new.0) (= (MapType0Select alloc.29 ?x1678) (MapType0Select alloc.30 ?x1678)))) :pattern ((MapType0Select alloc.30 ?x1678)) )) (=> (and (= (MapType0Select alloc.29 ?v_5842) UNALLOCATED) (= (MapType0Select alloc.30 ?v_5842) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call58181formal.new.0 0) (=> (forall ((?x1679 Int)) (! (=> (and (<= call58181formal.new.0 ?x1679) (< ?x1679 (+ call58181formal.new.0 1))) (= (Base ?x1679) call58181formal.new.0)) :pattern ((Base ?x1679)) )) (=> (forall ((?x1680 boogieU)) (! (=> (= (type ?x1680) intType) (or (= (U_2_int ?x1680) call58181formal.new.0) (= (MapType0Select alloc.30 ?x1680) (MapType0Select alloc.31 ?x1680)))) :pattern ((MapType0Select alloc.31 ?x1680)) )) (=> (and (= (MapType0Select alloc.30 ?v_5843) UNALLOCATED) (= (MapType0Select alloc.31 ?v_5843) ALLOCATED)) (and ?v_73 (=> ?v_73 (=> (> call58184formal.new.0 0) (=> (forall ((?x1681 Int)) (! (=> (and (<= call58184formal.new.0 ?x1681) (< ?x1681 (+ call58184formal.new.0 8))) (= (Base ?x1681) call58184formal.new.0)) :pattern ((Base ?x1681)) )) (=> (forall ((?x1682 boogieU)) (! (=> (= (type ?x1682) intType) (or (= (U_2_int ?x1682) call58184formal.new.0) (= (MapType0Select alloc.31 ?x1682) (MapType0Select alloc.32 ?x1682)))) :pattern ((MapType0Select alloc.32 ?x1682)) )) (=> (and (= (MapType0Select alloc.31 ?v_5844) UNALLOCATED) (= (MapType0Select alloc.32 ?v_5844) ALLOCATED)) (=> true (and ?v_11 (=> ?v_11 (=> (> call58218formal.new.0 0) (=> (forall ((?x1673 Int)) (! (=> (and (<= call58218formal.new.0 ?x1673) (< ?x1673 (+ call58218formal.new.0 1))) (= (Base ?x1673) call58218formal.new.0)) :pattern ((Base ?x1673)) )) (=> (forall ((?x1674 boogieU)) (! (=> (= (type ?x1674) intType) (or (= (U_2_int ?x1674) call58218formal.new.0) (= (MapType0Select alloc.32 ?x1674) (MapType0Select alloc.33 ?x1674)))) :pattern ((MapType0Select alloc.33 ?x1674)) )) (=> (and (= (MapType0Select alloc.32 ?v_5845) UNALLOCATED) (= (MapType0Select alloc.33 ?v_5845) ALLOCATED)) (=> true (=> (<= k.86 k.87) (=> (< k.87 5) (and (=> true (=> ?v_6417 (=> (= inline.SerialGetNextWrite.0.myVar_0.0 ?v_5028) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0.0) ?v_6418))))) (=> true (=> (not ?v_6417) (and (=> true (=> ?v_6419 (=> (= inline.SerialGetNextWrite.0.myVar_0.1 ?v_6137) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0.1) ?v_6420))))) (=> true (=> (not ?v_6419) (and (=> true (=> ?v_6421 (=> (= inline.SerialGetNextWrite.0.myVar_0.2 ?v_6140) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0.2) ?v_6420))))) (=> true (=> (not ?v_6421) (and (=> true (=> ?v_6422 (=> (= inline.SerialGetNextWrite.0.myVar_0.3 ?v_6143) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0.3) ?v_6420))))) (=> true (=> (not ?v_6422) (and (=> true (=> ?v_6423 (=> (= inline.SerialGetNextWrite.0.myVar_0.4 ?v_6145) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0.4) ?v_6420))))) (=> true (=> (not ?v_6423) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0) ?v_6420)))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_6424) (and (=> true (=> ?v_6601 (=> true (and ?v_11 (=> ?v_11 (=> (> call62395formal.new.0 0) (=> (forall ((?x1663 Int)) (! (=> (and (<= call62395formal.new.0 ?x1663) (< ?x1663 (+ call62395formal.new.0 1))) (= (Base ?x1663) call62395formal.new.0)) :pattern ((Base ?x1663)) )) (=> (forall ((?x1664 boogieU)) (! (=> (= (type ?x1664) intType) (or (= (U_2_int ?x1664) call62395formal.new.0) (= (MapType0Select alloc.28 ?x1664) (MapType0Select alloc.34 ?x1664)))) :pattern ((MapType0Select alloc.34 ?x1664)) )) (=> (and (= (MapType0Select alloc.28 ?v_6425) UNALLOCATED) (= (MapType0Select alloc.34 ?v_6425) ALLOCATED)) (=> true (=> (<= k.86 k.88) (=> (< k.88 5) (=> true (=> (=> ?v_6426 ?v_5846) (=> (=> ?v_6587 ?v_6162) (=> (=> ?v_6592 ?v_6163) (=> (=> ?v_6596 ?v_6164) (=> (=> ?v_6598 ?v_6165) (and (=> true (=> ?v_6426 (=> true (=> ?v_6593 (=> (= cancelLockStatus_0.12 1) (=> ?v_6588 (=> ?v_6589 (=> ?v_6590 ?v_6591)))))))) (=> true (=> (not ?v_6426) (and (=> true (=> ?v_6587 (=> true (=> (= cancelLockStatus_1.12 1) ?v_6600)))) (=> true (=> (not ?v_6587) (and (=> true (=> ?v_6592 (=> true (=> ?v_6593 (=> ?v_6594 (=> (= cancelLockStatus_2.12 1) ?v_6595)))))) (=> true (=> (not ?v_6592) (and (=> true (=> ?v_6596 (=> true (=> ?v_6593 (=> ?v_6594 (=> ?v_6588 (=> ?v_6589 (=> (= cancelLockStatus_3.12 1) ?v_6597)))))))) (=> true (=> (not ?v_6596) (and (=> true (=> ?v_6598 (=> true (=> ?v_6593 (=> ?v_6594 (=> ?v_6588 (=> (= cancelLockStatus_4.12 1) ?v_6599))))))) (=> true (=> (not ?v_6598) (=> true (=> ?v_6593 ?v_6600))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_6601) (=> true (and ?v_40 (=> ?v_40 (=> true (=> ?v_6602 (=> ?v_6603 (=> ?v_6604 (=> ?v_6605 (=> (= Mem_3_T.CancelRoutine__IRP.40 Mem_3_T.CancelRoutine__IRP.21) (=> ?v_6606 (=> ?v_6607 (=> ?v_6608 (=> ?v_6609 (=> ?v_6610 (=> ?v_6611 (=> (= cancelLockStatus_4.25 cancelLockStatus_4.11) (=> ?v_6612 (=> ?v_6613 (=> ?v_6614 (=> (= irpCompleted_3.16 irpCompleted_3.2) (=> ?v_6615 (=> ?v_6616 (=> ?v_6617 (=> ?v_6618 (=> ?v_6619 (=> ?v_6620 (=> ?v_6621 (=> ?v_6622 (=> ?v_6623 (=> ?v_6624 (=> ?v_6625 (=> ?v_6626 (=> ?v_6627 (=> ?v_6628 (=> ?v_6629 (=> (= cancelLockStatus_0.25 cancelLockStatus_0.11) (=> ?v_6630 (=> ?v_6631 (=> ?v_6632 (=> ?v_6633 (=> ?v_6634 (=> ?v_6635 (=> ?v_6636 (=> ?v_6637 (=> (= irpCompleted_0.16 irpCompleted_0.2) (=> ?v_6638 (=> ?v_6639 (=> (= alloc.44 alloc.28) (=> ?v_6640 (=> ?v_6641 (=> ?v_6642 (=> ?v_6643 (=> ?v_6644 (=> ?v_6645 (=> (= cancelLockStatus_1.25 cancelLockStatus_1.11) (=> ?v_6646 (=> ?v_6647 (=> (= Mem_2_T.P_IRP.20 Mem_2_T.P_IRP.1) (=> ?v_6648 (=> ?v_6649 (=> ?v_6650 (=> ?v_6651 (=> ?v_6652 (=> ?v_6653 (=> ?v_6654 (=> (= Mem_2_T.CancelRoutine__IRP.40 Mem_2_T.CancelRoutine__IRP.21) (=> ?v_6655 (=> ?v_6656 (=> ?v_6657 (=> ?v_6658 (=> (= irpCompleted_2.16 irpCompleted_2.2) (=> ?v_6659 (=> ?v_6660 (=> ?v_6661 (=> ?v_6662 (=> ?v_6663 (=> ?v_6664 (=> ?v_6665 (=> ?v_6666 (=> ?v_6667 (=> ?v_6668 (=> ?v_6669 (=> ?v_6670 (=> (= Mem_4_T.P_IRP.20 Mem_4_T.P_IRP.1) (=> ?v_6671 (=> ?v_6672 (=> ?v_6673 (=> ?v_6674 (=> ?v_6675 (=> ?v_6676 (=> ?v_6677 (=> ?v_6678 (=> (= cancelLockStatus_3.25 cancelLockStatus_3.11) (=> ?v_6679 (=> ?v_6680 (=> ?v_6681 (=> ?v_6682 (=> ?v_6683 (=> ?v_6684 (=> ?v_6685 (=> ?v_6686 (=> ?v_6687 (=> ?v_6688 (=> ?v_6689 (=> ?v_6690 (=> ?v_6691 (=> ?v_6692 (=> ?v_6693 (=> ?v_6694 (=> ?v_6695 (=> ?v_6696 (=> ?v_6697 (=> ?v_6698 (=> ?v_6699 (=> ?v_6700 (=> (= errorReached.28 errorReached.14) (=> ?v_6701 (=> ?v_6702 (=> ?v_6703 (=> ?v_6704 (=> (= irpCompleted_4.16 irpCompleted_4.2) (=> (= Mem_1_T.CancelRoutine__IRP.40 Mem_1_T.CancelRoutine__IRP.21) (=> ?v_6705 (=> ?v_6706 (=> ?v_6707 (=> ?v_6708 (=> ?v_6709 (=> ?v_6710 (=> (= Mem_3_T.P_IRP.20 Mem_3_T.P_IRP.1) (=> (= irpCompleted_1.16 irpCompleted_1.2) (=> ?v_6711 (=> ?v_6712 (=> ?v_6713 (=> ?v_6714 (=> ?v_6715 (=> ?v_6716 (=> ?v_6717 (=> ?v_6718 (=> ?v_6719 (=> (= k.141 k.86) (=> ?v_6720 (=> ?v_6721 (=> ?v_6722 (=> ?v_6723 (=> ?v_6724 (=> ?v_6725 (=> ?v_6726 (=> (= Mem_0_T.P_IRP.20 Mem_0_T.P_IRP.1) (=> ?v_6727 (=> ?v_6728 (=> ?v_6729 (=> ?v_6730 (=> ?v_6731 (=> ?v_6732 (=> ?v_6733 (=> ?v_6734 (=> (= Mem_4_T.CancelRoutine__IRP.40 Mem_4_T.CancelRoutine__IRP.21) (=> ?v_6735 (=> ?v_6736 (=> ?v_6737 (=> ?v_6738 (=> ?v_6739 (=> ?v_6740 (=> ?v_6741 (=> ?v_6742 (=> ?v_6743 (=> ?v_6744 (=> (= Mem_0_T.CancelRoutine__IRP.40 Mem_0_T.CancelRoutine__IRP.21) (=> ?v_6745 (=> ?v_6746 (=> ?v_6747 (=> ?v_6748 (=> ?v_6749 (=> ?v_6750 (=> ?v_6751 (=> ?v_6752 (=> ?v_6753 (=> ?v_6754 (=> ?v_6755 (=> ?v_6756 (=> (= cancelLockStatus_2.25 cancelLockStatus_2.11) (=> ?v_6757 (=> ?v_6758 (=> ?v_6759 (=> ?v_6760 (=> ?v_6761 (=> ?v_6762 (=> ?v_6763 (=> ?v_6764 (=> ?v_6765 (=> ?v_6766 (=> ?v_6767 (=> ?v_6768 (=> ?v_6769 (=> (= Mem_1_T.P_IRP.20 Mem_1_T.P_IRP.1) (=> ?v_6770 (=> ?v_6771 (=> ?v_6772 (=> ?v_6773 (=> ?v_6774 (=> ?v_6775 (=> ?v_6776 (=> ?v_6777 ?v_6778))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_6789 (=> true (=> true (=> true (=> true (=> true ?v_6783)))))) (?v_6785 (= cancelLockStatus_1.11 cancelLockStatus_1.6)) (?v_6786 (= cancelLockStatus_0.11 cancelLockStatus_0.6)) (?v_6780 (= cancelLockStatus_2.11 cancelLockStatus_2.6)) (?v_6781 (= cancelLockStatus_4.11 cancelLockStatus_4.6)) (?v_6782 (= cancelLockStatus_3.11 cancelLockStatus_3.6))) (let ((?v_6791 (=> ?v_6782 ?v_6789))) (let ((?v_6787 (=> ?v_6781 ?v_6791))) (let ((?v_6793 (=> ?v_6786 (=> ?v_6780 ?v_6787))) (?v_6792 (= k.86 4)) (?v_6790 (= k.86 3)) (?v_6788 (= k.86 2)) (?v_6784 (= k.86 1)) (?v_6779 (= k.86 0))) (let ((?v_7061 (and (=> true (=> ?v_40 (=> true (=> (<= k.83 k.86) (=> (< k.86 5) (and (=> true (=> ?v_6779 (=> true (=> ?v_6785 (=> ?v_5846 (=> ?v_6780 (=> ?v_6781 (=> ?v_6782 ?v_6783)))))))) (=> true (=> (not ?v_6779) (and (=> true (=> ?v_6784 (=> true (=> ?v_6162 ?v_6793)))) (=> true (=> (not ?v_6784) (and (=> true (=> ?v_6788 (=> true (=> ?v_6785 (=> ?v_6786 (=> ?v_6163 ?v_6787)))))) (=> true (=> (not ?v_6788) (and (=> true (=> ?v_6790 (=> true (=> ?v_6785 (=> ?v_6786 (=> ?v_6780 (=> ?v_6781 (=> ?v_6164 ?v_6789)))))))) (=> true (=> (not ?v_6790) (and (=> true (=> ?v_6792 (=> true (=> ?v_6785 (=> ?v_6786 (=> ?v_6780 (=> ?v_6165 ?v_6791))))))) (=> true (=> (not ?v_6792) (=> true (=> ?v_6785 ?v_6793)))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> (<= k.83 k.85) (=> (< k.85 5) (and (=> true (=> ?v_7053 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 ?v_5028) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.0) ?v_7054))))) (=> true (=> (not ?v_7053) (and (=> true (=> ?v_7055 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 ?v_6137) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) ?v_7056))))) (=> true (=> (not ?v_7055) (and (=> true (=> ?v_7057 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 ?v_6140) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.3) ?v_7056))))) (=> true (=> (not ?v_7057) (and (=> true (=> ?v_7058 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 ?v_6143) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.4) ?v_7056))))) (=> true (=> (not ?v_7058) (and (=> true (=> ?v_7059 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 ?v_6145) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.1) ?v_7056))))) (=> true (=> (not ?v_7059) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent) ?v_7056)))))))))))))))))))))))) (?v_7060 (= 1073741832 ?v_1489)) (?v_5830 (=> true (=> ?v_6797 (=> ?v_6798 (=> ?v_6799 (=> ?v_6800 (=> (= Mem_3_T.CancelRoutine__IRP.52 Mem_3_T.CancelRoutine__IRP.21) (=> ?v_6801 (=> ?v_6802 (=> ?v_6803 (=> ?v_6804 (=> ?v_6805 (=> ?v_6806 (=> (= cancelLockStatus_4.35 cancelLockStatus_4.15) (=> ?v_6807 (=> ?v_6808 (=> ?v_6809 (=> (= irpCompleted_3.23 irpCompleted_3.2) (=> ?v_6810 (=> ?v_6811 (=> ?v_6812 (=> ?v_6813 (=> ?v_6814 (=> ?v_6815 (=> ?v_6816 (=> ?v_6817 (=> ?v_6818 (=> ?v_6819 (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.6) (=> ?v_6821 (=> ?v_6822 (=> ?v_5854 (=> ?v_6823 (=> ?v_6824 (=> ?v_6825 (=> (= cancelLockStatus_0.35 cancelLockStatus_0.15) (=> ?v_6826 (=> ?v_6827 (=> ?v_6828 (=> ?v_6829 (=> ?v_6830 (=> ?v_6831 (=> ?v_6832 (=> ?v_6833 (=> (= irpCompleted_0.23 irpCompleted_0.2) (=> ?v_6834 (=> ?v_6835 (=> (= alloc.56 alloc.28) (=> ?v_6836 (=> ?v_6837 (=> ?v_6838 (=> ?v_6839 (=> ?v_6840 (=> ?v_6841 (=> ?v_6842 (=> (= cancelLockStatus_1.35 cancelLockStatus_1.15) (=> ?v_6843 (=> ?v_6844 (=> (= Mem_2_T.P_IRP.31 Mem_2_T.P_IRP.1) (=> ?v_6845 (=> ?v_6846 (=> ?v_6847 (=> ?v_6848 (=> ?v_6849 (=> ?v_6850 (=> ?v_6851 (=> ?v_6852 (=> (= Mem_2_T.CancelRoutine__IRP.52 Mem_2_T.CancelRoutine__IRP.21) (=> ?v_6853 (=> ?v_6854 (=> ?v_6855 (=> ?v_6856 (=> (= irpCompleted_2.23 irpCompleted_2.2) (=> ?v_6857 (=> ?v_6858 (=> ?v_6859 (=> ?v_6860 (=> ?v_6861 (=> ?v_6862 (=> ?v_6863 (=> ?v_6864 (=> ?v_6865 (=> ?v_6866 (=> ?v_6867 (=> ?v_6868 (=> (= Mem_4_T.P_IRP.31 Mem_4_T.P_IRP.1) (=> ?v_6869 (=> ?v_6870 (=> ?v_6871 (=> ?v_6872 (=> ?v_6873 (=> ?v_6874 (=> ?v_6875 (=> ?v_5855 (=> ?v_6876 (=> (= cancelLockStatus_3.35 cancelLockStatus_3.15) (=> ?v_5856 (=> ?v_6877 (=> ?v_6878 (=> ?v_6879 (=> ?v_6880 (=> ?v_5857 (=> ?v_6881 (=> ?v_6882 (=> ?v_6883 (=> ?v_6884 (=> ?v_6885 (=> ?v_6886 (=> ?v_6887 (=> ?v_6888 (=> ?v_6889 (=> ?v_6890 (=> ?v_6891 (=> ?v_6892 (=> ?v_6893 (=> ?v_6894 (=> ?v_6895 (=> ?v_6896 (=> ?v_6897 (=> (= errorReached.37 errorReached.14) (=> ?v_6898 (=> ?v_6899 (=> ?v_6900 (=> ?v_6901 (=> (= irpCompleted_4.23 irpCompleted_4.2) (=> (= Mem_1_T.CancelRoutine__IRP.52 Mem_1_T.CancelRoutine__IRP.21) (=> ?v_6902 (=> ?v_6903 (=> ?v_6904 (=> ?v_6905 (=> ?v_6906 (=> ?v_6907 (=> (= Mem_3_T.P_IRP.31 Mem_3_T.P_IRP.1) (=> (= irpCompleted_1.23 irpCompleted_1.2) (=> ?v_6908 (=> ?v_6909 (=> ?v_6910 (=> ?v_5858 (=> ?v_6911 (=> ?v_6912 (=> (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..0 call57937formal.ret.0) (=> ?v_6914 (=> ?v_6915 (=> ?v_6916 (=> ?v_6917 (=> (= k.188 k.84) (=> ?v_6918 (=> ?v_6919 (=> ?v_6920 (=> ?v_6921 (=> ?v_6922 (=> ?v_6923 (=> ?v_6924 (=> (= Mem_0_T.P_IRP.31 Mem_0_T.P_IRP.1) (=> ?v_6925 (=> ?v_6926 (=> ?v_5859 (=> ?v_6927 (=> ?v_6928 (=> ?v_6929 (=> ?v_6930 (=> ?v_6931 (=> (= Mem_4_T.CancelRoutine__IRP.52 Mem_4_T.CancelRoutine__IRP.21) (=> ?v_6932 (=> ?v_6933 (=> ?v_5860 (=> ?v_6934 (=> ?v_6935 (=> ?v_6936 (=> ?v_6937 (=> ?v_6938 (=> ?v_6939 (=> ?v_6940 (=> (= Mem_0_T.CancelRoutine__IRP.52 Mem_0_T.CancelRoutine__IRP.21) (=> ?v_6941 (=> ?v_6942 (=> ?v_6943 (=> ?v_6944 (=> ?v_6945 (=> ?v_6946 (=> ?v_5861 (=> ?v_6947 (=> ?v_6948 (=> ?v_6949 (=> ?v_6950 (=> ?v_6951 (=> ?v_6952 (=> ?v_6953 (=> ?v_5862 (=> (= cancelLockStatus_2.35 cancelLockStatus_2.15) (=> ?v_6954 (=> ?v_6955 (=> ?v_5863 (=> ?v_6956 (=> ?v_5864 (=> ?v_6957 (=> ?v_6958 (=> ?v_6959 (=> ?v_6960 (=> ?v_6961 (=> ?v_6962 (=> ?v_6963 (=> ?v_6964 (=> ?v_6965 (=> (= Mem_1_T.P_IRP.31 Mem_1_T.P_IRP.1) (=> ?v_5865 (=> ?v_6966 (=> ?v_6967 (=> ?v_6968 (=> ?v_6969 (=> ?v_6970 (=> ?v_6971 (=> ?v_6972 (=> ?v_6973 (=> ?v_6974 (=> ?v_6975 (=> ?v_6976 (=> ?v_6977 (=> ?v_6978 ?v_5866)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5836 (=> true (=> true (=> true (=> true ?v_5830))))) (?v_5832 (= cancelLockStatus_1.15 cancelLockStatus_1.6)) (?v_5833 (= cancelLockStatus_0.15 cancelLockStatus_0.6)) (?v_5827 (= cancelLockStatus_2.15 cancelLockStatus_2.6)) (?v_5828 (= cancelLockStatus_4.15 cancelLockStatus_4.6)) (?v_5829 (= cancelLockStatus_3.15 cancelLockStatus_3.6))) (let ((?v_5838 (=> ?v_5829 ?v_5836))) (let ((?v_5834 (=> ?v_5828 ?v_5838))) (let ((?v_5840 (=> ?v_5833 (=> ?v_5827 ?v_5834))) (?v_5839 (= k.84 4)) (?v_5837 (= k.84 3)) (?v_5835 (= k.84 2)) (?v_5831 (= k.84 1)) (?v_5826 (= k.84 0))) (let ((?v_7063 (and (=> true (=> (not (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.6 0)) (=> true (=> (<= k.83 k.84) (=> (< k.84 5) (and (=> true (=> ?v_5826 (=> true (=> ?v_5832 (=> (= cancelLockStatus_0.15 0) (=> ?v_5827 (=> ?v_5828 (=> ?v_5829 ?v_5830)))))))) (=> true (=> (not ?v_5826) (and (=> true (=> ?v_5831 (=> true (=> (= cancelLockStatus_1.15 0) ?v_5840)))) (=> true (=> (not ?v_5831) (and (=> true (=> ?v_5835 (=> true (=> ?v_5832 (=> ?v_5833 (=> (= cancelLockStatus_2.15 0) ?v_5834)))))) (=> true (=> (not ?v_5835) (and (=> true (=> ?v_5837 (=> true (=> ?v_5832 (=> ?v_5833 (=> ?v_5827 (=> ?v_5828 (=> (= cancelLockStatus_3.15 0) ?v_5836)))))))) (=> true (=> (not ?v_5837) (and (=> true (=> ?v_5839 (=> true (=> ?v_5832 (=> ?v_5833 (=> ?v_5827 (=> (= cancelLockStatus_4.15 0) ?v_5838))))))) (=> true (=> (not ?v_5839) (=> true (=> ?v_5832 ?v_5840)))))))))))))))))))))) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.5 0) (and (=> true (=> ?v_7060 ?v_7061)) (=> true (=> (not ?v_7060) (=> true ?v_7061)))))))) (?v_7062 (= inline.SerialTryToCompleteCurrent.0.myVar_0.11 hirp))) (let ((?v_7065 (and (=> true (=> ?v_7062 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_7063)))) (=> true (=> (not ?v_7062) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_7063))))))))))) (let ((?v_7067 (=> true (=> true (=> true (=> true ?v_7065))))) (?v_7070 (= k.83 4)) (?v_7069 (= k.83 3)) (?v_7068 (= k.83 2)) (?v_7066 (= k.83 1)) (?v_7064 (= k.83 0))) (let ((?v_7093 (=> true (=> (<= k.82 k.83) (=> (< k.83 5) (and (=> true (=> ?v_7064 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.6 ?v_5028) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.11 inline.SerialTryToCompleteCurrent.0.myVar_0.6) ?v_7065))))) (=> true (=> (not ?v_7064) (and (=> true (=> ?v_7066 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.8 ?v_6137) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.11 inline.SerialTryToCompleteCurrent.0.myVar_0.8) ?v_7067))))) (=> true (=> (not ?v_7066) (and (=> true (=> ?v_7068 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.10 ?v_6140) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.11 inline.SerialTryToCompleteCurrent.0.myVar_0.10) ?v_7067))))) (=> true (=> (not ?v_7068) (and (=> true (=> ?v_7069 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.7 ?v_6143) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.11 inline.SerialTryToCompleteCurrent.0.myVar_0.7) ?v_7067))))) (=> true (=> (not ?v_7069) (and (=> true (=> ?v_7070 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.9 ?v_6145) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.11 inline.SerialTryToCompleteCurrent.0.myVar_0.9) ?v_7067))))) (=> true (=> (not ?v_7070) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.11 inline.SerialTryToCompleteCurrent.0.myVar_0.5) ?v_7067)))))))))))))))))))))) (let ((?v_7108 (=> true (=> true (=> true ?v_7093)))) (?v_7098 (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs)) (?v_7099 (= inline.SerialRundownIrpRefs.0.tempBoogie0.5 inline.SerialRundownIrpRefs.0.tempBoogie0.3)) (?v_7100 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.5 inline.SerialRundownIrpRefs.0.myNondetVar_1.3)) (?v_7101 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_7102 (= inline.SerialRundownIrpRefs.0.myVar_0.26 inline.SerialRundownIrpRefs.0.myVar_0.19)) (?v_7103 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.11 inline.SerialRundownIrpRefs.0.myNondetVar_0.7)) (?v_7104 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7105 (= k.82 k.80)) (?v_7106 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7107 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.5 inline.SerialRundownIrpRefs.0.myNondetVar_2.3)) (?v_7097 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 0)) (?v_7081 (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_7082 (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0 call57412formal.ret.0)) (?v_7083 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1)) (?v_7084 (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_7085 (= inline.SerialCancelTimer.1.myNondetVar_0.2 inline.SerialCancelTimer.1.myNondetVar_0.1)) (?v_7086 (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_7087 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.3 inline.sdv_InterlockedDecrement.3.myNondetVar_0.2)) (?v_7088 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0 call57412formal.ret.0)) (?v_7089 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_7090 (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0 call57412formal.ret.0)) (?v_7091 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_7092 (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0 call57412formal.ret.0)) (?v_7080 (= call57412formal.ret.0 0))) (let ((?v_7072 (=> true (=> (forall ((?r19 Int)) (! (=> (and (= (POW2 ?r19) boolTrue) (= (POW2 4) boolTrue) (not (= ?r19 4))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_1.4 ?r19) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_2.4 ?v_50) ?r19) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.8 ?v_50) ?r19)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.9 ?v_50) 4) 0) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.4 (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.10 ?v_50)) (=> true (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0 4) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.5 inline.SerialRundownIrpRefs.0.tempBoogie0.4) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.5 inline.SerialRundownIrpRefs.0.myNondetVar_1.4) (=> ?v_7081 (=> ?v_7082 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.0.myVar_0.25) (=> ?v_7083 (=> ?v_7084 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.26 inline.SerialRundownIrpRefs.0.myVar_0.25) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.11 inline.SerialRundownIrpRefs.0.myNondetVar_0.10) (=> ?v_7085 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_7086 (=> (= k.82 k.81) (=> ?v_7087 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.0.myVar_0.25) (=> ?v_7088 (=> ?v_7089 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.5 inline.SerialRundownIrpRefs.0.myNondetVar_2.4) (=> ?v_7090 (=> ?v_7091 (=> ?v_7092 ?v_7093)))))))))))))))))))))))))))) (?v_7071 (= inline.SerialRundownIrpRefs.0.myVar_0.25 hirp))) (let ((?v_7074 (and (=> true (=> ?v_7071 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_7072)))) (=> true (=> (not ?v_7071) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_7072))))))))))) (let ((?v_7076 (=> true (=> true (=> true (=> true ?v_7074))))) (?v_7079 (= k.81 4)) (?v_7078 (= k.81 3)) (?v_7077 (= k.81 2)) (?v_7075 (= k.81 1)) (?v_7073 (= k.81 0)) (?v_5032 (not ?v_7080))) (let ((?v_7096 (and (=> true (=> ?v_5032 (=> true (=> (<= k.80 k.81) (=> (< k.81 5) (and (=> true (=> ?v_7073 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.22 ?v_5028) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.25 inline.SerialRundownIrpRefs.0.myVar_0.22) ?v_7074))))) (=> true (=> (not ?v_7073) (and (=> true (=> ?v_7075 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.20 ?v_6137) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.25 inline.SerialRundownIrpRefs.0.myVar_0.20) ?v_7076))))) (=> true (=> (not ?v_7075) (and (=> true (=> ?v_7077 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.21 ?v_6140) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.25 inline.SerialRundownIrpRefs.0.myVar_0.21) ?v_7076))))) (=> true (=> (not ?v_7077) (and (=> true (=> ?v_7078 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.23 ?v_6143) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.25 inline.SerialRundownIrpRefs.0.myVar_0.23) ?v_7076))))) (=> true (=> (not ?v_7078) (and (=> true (=> ?v_7079 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.24 ?v_6145) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.25 inline.SerialRundownIrpRefs.0.myVar_0.24) ?v_7076))))) (=> true (=> (not ?v_7079) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.25 inline.SerialRundownIrpRefs.0.myVar_0.19) ?v_7076)))))))))))))))))))))) (=> true (=> ?v_7080 (=> true (=> ?v_7098 (=> ?v_7099 (=> ?v_7100 (=> ?v_7081 (=> ?v_7082 (=> ?v_7101 (=> ?v_7083 (=> ?v_7084 (=> ?v_7102 (=> ?v_7103 (=> ?v_7085 (=> ?v_7104 (=> ?v_7086 (=> ?v_7105 (=> ?v_7087 (=> ?v_7106 (=> ?v_7088 (=> ?v_7089 (=> ?v_7107 (=> ?v_7090 (=> ?v_7091 (=> ?v_7092 ?v_7108)))))))))))))))))))))))))))) (let ((?v_7095 (=> true (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.2 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.1 inline.SerialCancelTimer.1.myNondetVar_0.0) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) ?v_7096)))))))) (?v_7094 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.1 0))) (let ((?v_7131 (and (=> true (=> (not ?v_7097) (and (=> true (=> ?v_5032 (and (=> true (=> (not ?v_7094) (=> true (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.) ?v_7095)))) (=> true (=> ?v_7094 (=> true (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0 call57493formal.ret.0) (=> true (=> true (=> true ?v_7095)))))))))) (=> true (=> ?v_7080 (=> true (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.2 inline.sdv_InterlockedDecrement.3.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.1 inline.SerialCancelTimer.1.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.) (=> true (=> true (=> true (=> true (=> true ?v_7096))))))))))))))))) (=> true (=> ?v_7097 (=> true (=> ?v_7098 (=> ?v_7099 (=> ?v_7100 (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer) (=> ?v_7101 (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.) (=> ?v_7102 (=> ?v_7103 (=> (= inline.SerialCancelTimer.1.myNondetVar_0.2 inline.SerialCancelTimer.1.myNondetVar_0) (=> ?v_7104 (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_7105 (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.3 inline.sdv_InterlockedDecrement.3.myNondetVar_0) (=> ?v_7106 (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1) (=> ?v_7107 (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.) ?v_7108))))))))))))))))))))))))))) (?v_7135 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_7136 (= inline.SerialRundownIrpRefs.0.tempBoogie0.3 inline.SerialRundownIrpRefs.0.tempBoogie0.1)) (?v_7137 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.3 inline.SerialRundownIrpRefs.0.myNondetVar_1.1)) (?v_7138 (= inline.SerialRundownIrpRefs.0.myVar_0.19 inline.SerialRundownIrpRefs.0.myVar_0.12)) (?v_7139 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_7140 (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs)) (?v_7141 (= k.80 k.78)) (?v_7142 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.7 inline.SerialRundownIrpRefs.0.myNondetVar_0.3)) (?v_7143 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.3 inline.SerialRundownIrpRefs.0.myNondetVar_2.1))) (let ((?v_7144 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> true ?v_7131))) (?v_7119 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0 call57082formal.ret.0)) (?v_7120 (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0 call57082formal.ret.0)) (?v_7121 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.3 inline.sdv_InterlockedDecrement.2.myNondetVar_0.2)) (?v_7122 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0 call57082formal.ret.0)) (?v_7123 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_7124 (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0 call57082formal.ret.0)) (?v_7125 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0 0)) (?v_7126 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_7127 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1)) (?v_7128 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0 0)) (?v_7129 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_7130 (= inline.SerialCancelTimer.0.myNondetVar_0.2 inline.SerialCancelTimer.0.myNondetVar_0.1)) (?v_7118 (= call57082formal.ret.0 0))) (let ((?v_7110 (=> true (=> (forall ((?r20 Int)) (! (=> (and (= (POW2 ?r20) boolTrue) (= (POW2 8) boolTrue) (not (= ?r20 8))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_1.2 ?r20) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_2.2 ?v_48) ?r20) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.4 ?v_48) ?r20)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.5 ?v_48) 8) 0) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.2 (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.6 ?v_48)) (=> true (=> ?v_7119 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.0.myVar_0.18) (=> ?v_7120 (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.3 inline.SerialRundownIrpRefs.0.tempBoogie0.2) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.3 inline.SerialRundownIrpRefs.0.myNondetVar_1.2) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.19 inline.SerialRundownIrpRefs.0.myVar_0.18) (=> ?v_7121 (=> ?v_7122 (=> ?v_7123 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_7124 (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0 8) (=> (= k.80 k.79) (=> ?v_7125 (=> ?v_7126 (=> ?v_7127 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.7 inline.SerialRundownIrpRefs.0.myNondetVar_0.6) (=> ?v_7128 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.3 inline.SerialRundownIrpRefs.0.myNondetVar_2.2) (=> ?v_7129 (=> ?v_7130 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.0.myVar_0.18) ?v_7131)))))))))))))))))))))))))))) (?v_7109 (= inline.SerialRundownIrpRefs.0.myVar_0.18 hirp))) (let ((?v_7112 (and (=> true (=> ?v_7109 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_7110)))) (=> true (=> (not ?v_7109) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_7110))))))))))) (let ((?v_7114 (=> true (=> true (=> true (=> true ?v_7112))))) (?v_7117 (= k.79 4)) (?v_7116 (= k.79 3)) (?v_7115 (= k.79 2)) (?v_7113 (= k.79 1)) (?v_7111 (= k.79 0)) (?v_5031 (not ?v_7118))) (let ((?v_7134 (and (=> true (=> ?v_5031 (=> true (=> (<= k.78 k.79) (=> (< k.79 5) (and (=> true (=> ?v_7111 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.13 ?v_5028) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.18 inline.SerialRundownIrpRefs.0.myVar_0.13) ?v_7112))))) (=> true (=> (not ?v_7111) (and (=> true (=> ?v_7113 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.16 ?v_6137) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.18 inline.SerialRundownIrpRefs.0.myVar_0.16) ?v_7114))))) (=> true (=> (not ?v_7113) (and (=> true (=> ?v_7115 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.17 ?v_6140) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.18 inline.SerialRundownIrpRefs.0.myVar_0.17) ?v_7114))))) (=> true (=> (not ?v_7115) (and (=> true (=> ?v_7116 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.14 ?v_6143) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.18 inline.SerialRundownIrpRefs.0.myVar_0.14) ?v_7114))))) (=> true (=> (not ?v_7116) (and (=> true (=> ?v_7117 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.15 ?v_6145) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.18 inline.SerialRundownIrpRefs.0.myVar_0.15) ?v_7114))))) (=> true (=> (not ?v_7117) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.18 inline.SerialRundownIrpRefs.0.myVar_0.12) ?v_7114)))))))))))))))))))))) (=> true (=> ?v_7118 (=> true (=> ?v_7119 (=> ?v_7135 (=> ?v_7120 (=> ?v_7136 (=> ?v_7137 (=> ?v_7138 (=> ?v_7121 (=> ?v_7122 (=> ?v_7123 (=> ?v_7139 (=> ?v_7124 (=> ?v_7140 (=> ?v_7141 (=> ?v_7125 (=> ?v_7126 (=> ?v_7127 (=> ?v_7142 (=> ?v_7128 (=> ?v_7143 (=> ?v_7129 (=> ?v_7130 ?v_7144))))))))))))))))))))))))))) (let ((?v_7133 (=> true (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.2 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.1 inline.SerialCancelTimer.0.myNondetVar_0.0) ?v_7134)))))))) (?v_7132 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.1 0))) (let ((?v_7202 (and (=> true (=> ?v_40 (and (=> true (=> ?v_5031 (and (=> true (=> (not ?v_7132) (=> true (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.) ?v_7133)))) (=> true (=> ?v_7132 (=> true (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0 call57163formal.ret.0) (=> true (=> true (=> true ?v_7133)))))))))) (=> true (=> ?v_7118 (=> true (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.2 inline.sdv_InterlockedDecrement.2.myNondetVar_0) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.1 inline.SerialCancelTimer.0.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true ?v_7134))))))))))))))))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer) (=> ?v_7135 (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.) (=> ?v_7136 (=> ?v_7137 (=> ?v_7138 (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.3 inline.sdv_InterlockedDecrement.2.myNondetVar_0) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.) (=> ?v_7139 (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.) (=> ?v_7140 (=> ?v_7141 (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.) (=> ?v_7142 (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer) (=> ?v_7143 (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.2 inline.SerialCancelTimer.0.myNondetVar_0) ?v_7144)))))))))))))))))))))))))) (?v_5027 (= k.70 0)) (?v_7193 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.6 (int_2_U (CancelRoutine__IRP ?v_5028)))) 0)) (?v_7194 (= k.70 1)) (?v_7195 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.6 (int_2_U (CancelRoutine__IRP ?v_6137)))) 0)) (?v_7196 (= k.70 2)) (?v_7197 (= (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.6 (int_2_U (CancelRoutine__IRP ?v_6140)))) 0)) (?v_7198 (= k.70 3)) (?v_7199 (= (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.6 (int_2_U (CancelRoutine__IRP ?v_6143)))) 0)) (?v_7200 (= k.70 4)) (?v_7201 (= (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.6 (int_2_U (CancelRoutine__IRP ?v_6145)))) 0))) (let ((?v_7149 (=> true (=> (<= k.76 k.77) (=> (< k.77 5) (=> true (=> (= errorReached.14 errorReached.13) (=> (= Mem_4_T.CancelRoutine__IRP.21 Mem_4_T.CancelRoutine__IRP.20) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.1 inline.SerialRundownIrpRefs.0.tempBoogie0.0) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialRundownIrpRefs.0.myVar_0.11) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialRundownIrpRefs.0.myVar_0.11) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.12 inline.SerialRundownIrpRefs.0.myVar_0.11) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0 2) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..0 call57048formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.0.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= k.78 k.77) (=> (= Mem_3_T.CancelRoutine__IRP.21 Mem_3_T.CancelRoutine__IRP.20) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.3 inline.SerialRundownIrpRefs.0.myNondetVar_0.2) (=> (= Mem_2_T.CancelRoutine__IRP.21 Mem_2_T.CancelRoutine__IRP.20) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.1 inline.SerialRundownIrpRefs.0.myNondetVar_2.0) (=> (= Mem_1_T.CancelRoutine__IRP.21 Mem_1_T.CancelRoutine__IRP.20) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.1 inline.SerialRundownIrpRefs.0.myNondetVar_1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.0.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0) (=> (= Mem_0_T.CancelRoutine__IRP.21 Mem_0_T.CancelRoutine__IRP.20) ?v_7202))))))))))))))))))))))))))))) (let ((?v_7157 (=> true ?v_7149)) (?v_7146 (= Mem_2_T.CancelRoutine__IRP.20 Mem_2_T.CancelRoutine__IRP.6)) (?v_7151 (= Mem_0_T.CancelRoutine__IRP.20 Mem_0_T.CancelRoutine__IRP.6)) (?v_7147 (= Mem_3_T.CancelRoutine__IRP.20 Mem_3_T.CancelRoutine__IRP.6)) (?v_7152 (= Mem_1_T.CancelRoutine__IRP.20 Mem_1_T.CancelRoutine__IRP.6)) (?v_7148 (= Mem_4_T.CancelRoutine__IRP.20 Mem_4_T.CancelRoutine__IRP.6))) (let ((?v_7153 (=> ?v_7148 ?v_7157))) (let ((?v_7155 (=> ?v_7152 ?v_7153))) (let ((?v_7159 (=> ?v_7151 (=> ?v_7147 ?v_7155))) (?v_7158 (= k.76 4)) (?v_5030 (int_2_U (CancelRoutine__IRP inline.SerialRundownIrpRefs.0.myVar_0.11))) (?v_7156 (= k.76 3)) (?v_7154 (= k.76 2)) (?v_7150 (= k.76 1)) (?v_7145 (= k.76 0))) (let ((?v_7167 (=> true (=> (<= k.75 k.76) (=> (< k.76 5) (and (=> true (=> ?v_7145 (=> (= Mem_0_T.CancelRoutine__IRP.19 (MapType0Store Mem_0_T.CancelRoutine__IRP.6 ?v_5030 ?v_46)) (=> true (=> ?v_7146 (=> (= Mem_0_T.CancelRoutine__IRP.20 Mem_0_T.CancelRoutine__IRP.19) (=> ?v_7147 (=> ?v_7152 (=> ?v_7148 ?v_7149))))))))) (=> true (=> (not ?v_7145) (and (=> true (=> ?v_7150 (=> (= Mem_1_T.CancelRoutine__IRP.19 (MapType0Store Mem_1_T.CancelRoutine__IRP.6 ?v_5030 ?v_46)) (=> true (=> ?v_7146 (=> ?v_7151 (=> ?v_7147 (=> (= Mem_1_T.CancelRoutine__IRP.20 Mem_1_T.CancelRoutine__IRP.19) ?v_7153)))))))) (=> true (=> (not ?v_7150) (and (=> true (=> ?v_7154 (=> (= Mem_2_T.CancelRoutine__IRP.19 (MapType0Store Mem_2_T.CancelRoutine__IRP.6 ?v_5030 ?v_46)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.20 Mem_2_T.CancelRoutine__IRP.19) ?v_7159))))) (=> true (=> (not ?v_7154) (and (=> true (=> ?v_7156 (=> (= Mem_3_T.CancelRoutine__IRP.19 (MapType0Store Mem_3_T.CancelRoutine__IRP.6 ?v_5030 ?v_46)) (=> true (=> ?v_7146 (=> ?v_7151 (=> (= Mem_3_T.CancelRoutine__IRP.20 Mem_3_T.CancelRoutine__IRP.19) ?v_7155))))))) (=> true (=> (not ?v_7156) (and (=> true (=> ?v_7158 (=> (= Mem_4_T.CancelRoutine__IRP.19 (MapType0Store Mem_4_T.CancelRoutine__IRP.6 ?v_5030 ?v_46)) (=> true (=> ?v_7146 (=> ?v_7151 (=> ?v_7147 (=> ?v_7152 (=> (= Mem_4_T.CancelRoutine__IRP.20 Mem_4_T.CancelRoutine__IRP.19) ?v_7157))))))))) (=> true (=> (not ?v_7158) (=> true (=> ?v_7146 ?v_7159)))))))))))))))))))))) (let ((?v_7169 (=> (= errorReached.13 errorReached.4) ?v_7167)) (?v_7168 (= inline.SerialRundownIrpRefs.0.myVar_0.11 hirp)) (?v_7165 (= k.75 k.74)) (?v_7166 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0 call56957formal.ret.0)) (?v_7160 (= k.74 0)) (?v_7161 (= k.74 1)) (?v_7162 (= k.74 2)) (?v_7163 (= k.74 3)) (?v_7164 (= k.74 4))) (let ((?v_7171 (and (=> true (=> ?v_7168 (=> true (=> (<= k.73 k.74) (=> (< k.74 5) (and (=> true (=> (=> ?v_7160 ?v_4231) (=> (=> ?v_7161 ?v_4232) (=> (=> ?v_7162 ?v_4233) (=> (=> ?v_7163 ?v_4234) (=> (=> ?v_7164 ?v_4235) (=> true (=> ?v_7165 (=> ?v_7166 (=> (= errorReached.13 1) ?v_7167)))))))))) (=> true (=> (=> ?v_7160 ?v_4197) (=> (=> ?v_7161 ?v_4199) (=> (=> ?v_7162 ?v_4201) (=> (=> ?v_7163 ?v_4203) (=> (=> ?v_7164 ?v_4205) (=> true (=> ?v_7165 (=> ?v_7166 ?v_7169))))))))))))))) (=> true (=> (not ?v_7168) (=> true (=> (= k.75 k.73) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.) ?v_7169)))))))) (let ((?v_7173 (=> true (=> true ?v_7171))) (?v_7176 (= k.73 4)) (?v_7175 (= k.73 3)) (?v_7174 (= k.73 2)) (?v_7172 (= k.73 1)) (?v_7170 (= k.73 0))) (let ((?v_7178 (=> true (=> (<= k.72 k.73) (=> (< k.73 5) (and (=> true (=> ?v_7170 (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.6 ?v_5030))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_7171))))) (=> true (=> (not ?v_7170) (and (=> true (=> ?v_7172 (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.6 ?v_5030))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_7173))))) (=> true (=> (not ?v_7172) (and (=> true (=> ?v_7174 (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.6 ?v_5030))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_7173))))) (=> true (=> (not ?v_7174) (and (=> true (=> ?v_7175 (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.6 ?v_5030))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_7173))))) (=> true (=> (not ?v_7175) (and (=> true (=> ?v_7176 (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.6 ?v_5030))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_7173))))) (=> true (=> (not ?v_7176) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_7173)))))))))))))))))))))) (let ((?v_7180 (=> true (=> true (=> true (=> true ?v_7178))))) (?v_7183 (= k.72 4)) (?v_7182 (= k.72 3)) (?v_7181 (= k.72 2)) (?v_7179 (= k.72 1)) (?v_7177 (= k.72 0))) (let ((?v_7185 (=> true (=> (forall ((?r21 Int)) (! (=> (and (= (POW2 ?r21) boolTrue) (= (POW2 2) boolTrue) (not (= ?r21 2))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_1.0 ?r21) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_2.0 ?v_44) ?r21) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.0 ?v_44) ?r21)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.1 ?v_44) 2) 0) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.0 (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.2 ?v_44)) (=> true (=> (<= k.71 k.72) (=> (< k.72 5) (and (=> true (=> ?v_7177 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.9 ?v_5028) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.11 inline.SerialRundownIrpRefs.0.myVar_0.9) ?v_7178))))) (=> true (=> (not ?v_7177) (and (=> true (=> ?v_7179 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.10 ?v_6137) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.11 inline.SerialRundownIrpRefs.0.myVar_0.10) ?v_7180))))) (=> true (=> (not ?v_7179) (and (=> true (=> ?v_7181 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.6 ?v_6140) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.11 inline.SerialRundownIrpRefs.0.myVar_0.6) ?v_7180))))) (=> true (=> (not ?v_7181) (and (=> true (=> ?v_7182 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.7 ?v_6143) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.11 inline.SerialRundownIrpRefs.0.myVar_0.7) ?v_7180))))) (=> true (=> (not ?v_7182) (and (=> true (=> ?v_7183 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.8 ?v_6145) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.11 inline.SerialRundownIrpRefs.0.myVar_0.8) ?v_7180))))) (=> true (=> (not ?v_7183) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.11 inline.SerialRundownIrpRefs.0.myVar_0.5) ?v_7180))))))))))))))))))))))))) (?v_7184 (= inline.SerialRundownIrpRefs.0.myVar_0.5 hirp))) (let ((?v_7187 (and (=> true (=> ?v_7184 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_7185)))) (=> true (=> (not ?v_7184) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_7185))))))))))) (let ((?v_7189 (=> true (=> true (=> true (=> true ?v_7187))))) (?v_7192 (= k.71 4)) (?v_7191 (= k.71 3)) (?v_7190 (= k.71 2)) (?v_7188 (= k.71 1)) (?v_7186 (= k.71 0))) (let ((?v_7205 (and (=> true (=> (=> ?v_5027 (not ?v_7193)) (=> (=> ?v_7194 (not ?v_7195)) (=> (=> ?v_7196 (not ?v_7197)) (=> (=> ?v_7198 (not ?v_7199)) (=> (=> ?v_7200 (not ?v_7201)) (=> true (=> (<= k.70 k.71) (=> (< k.71 5) (and (=> true (=> ?v_7186 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.3 ?v_5028) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0.3) ?v_7187))))) (=> true (=> (not ?v_7186) (and (=> true (=> ?v_7188 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.0 ?v_6137) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0.0) ?v_7189))))) (=> true (=> (not ?v_7188) (and (=> true (=> ?v_7190 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.1 ?v_6140) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0.1) ?v_7189))))) (=> true (=> (not ?v_7190) (and (=> true (=> ?v_7191 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.2 ?v_6143) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0.2) ?v_7189))))) (=> true (=> (not ?v_7191) (and (=> true (=> ?v_7192 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.4 ?v_6145) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0.4) ?v_7189))))) (=> true (=> (not ?v_7192) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0) ?v_7189)))))))))))))))))))))))))) (=> true (=> (=> ?v_5027 ?v_7193) (=> (=> ?v_7194 ?v_7195) (=> (=> ?v_7196 ?v_7197) (=> (=> ?v_7198 ?v_7199) (=> (=> ?v_7200 ?v_7201) (=> true (=> (= errorReached.14 errorReached.4) (=> (= Mem_4_T.CancelRoutine__IRP.21 Mem_4_T.CancelRoutine__IRP.6) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.1 inline.SerialRundownIrpRefs.0.tempBoogie0) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.12 inline.SerialRundownIrpRefs.0.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= k.78 k.70) (=> (= Mem_3_T.CancelRoutine__IRP.21 Mem_3_T.CancelRoutine__IRP.6) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.3 inline.SerialRundownIrpRefs.0.myNondetVar_0) (=> (= Mem_2_T.CancelRoutine__IRP.21 Mem_2_T.CancelRoutine__IRP.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.1 inline.SerialRundownIrpRefs.0.myNondetVar_2) (=> (= Mem_1_T.CancelRoutine__IRP.21 Mem_1_T.CancelRoutine__IRP.6) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.1 inline.SerialRundownIrpRefs.0.myNondetVar_1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.) (=> (= Mem_0_T.CancelRoutine__IRP.21 Mem_0_T.CancelRoutine__IRP.6) (=> true ?v_7202)))))))))))))))))))))))))))))))))) (let ((?v_7204 (=> true (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.7 inline.KeSynchronizeExecution.0.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGrabXoffFromIsr) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGrabXoffFromIsr) ?v_7205))))))))) (let ((?v_7207 (=> true (=> (forall ((?r22 Int)) (! (=> (and (= (POW2 ?r22) boolTrue) (= (POW2 16) boolTrue) (not (= ?r22 16))) (= (not (= (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_1.0 ?r22) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_2.0 (BIT_BNOT 16)) ?r22) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_0.0 (BIT_BNOT 16)) ?r22)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_0.1 (BIT_BNOT 16)) 16) 0) (and (=> true (=> ?v_5026 (and (=> true (=> ?v_5026 (=> true (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.6 inline.KeSynchronizeExecution.0.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.0..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.0..result.SynchronizeRoutine.4679.26.2.) ?v_7204)))))) (=> true (=> ?v_7203 (=> true (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.6 inline.KeSynchronizeExecution.0.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true ?v_7204)))))))))))) (=> true (=> ?v_7203 (=> true (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.7 inline.KeSynchronizeExecution.0.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_7205)))))))))))))))))) (?v_7206 (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 hirp))) (let ((?v_7208 (and (=> true (=> ?v_7206 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_7207)))) (=> true (=> (not ?v_7206) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_7207))))))))))) (let ((?v_7209 (=> true (=> true (=> true (=> true ?v_7208)))))) (let ((?v_7211 (=> true (=> (forall ((?r23 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartWrite.0.myNondetVar_1.0 ?r23) 0)) (not (= (BIT_BAND 16 ?r23) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_2.0 16) ?r23) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.4 16) ?r23)) )) (=> (= inline.SerialStartWrite.0.tempBoogie0.0 (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.5 16)) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 ?v_5024) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 ?v_5463) (=> true (and ?v_38 (=> ?v_38 (=> (> call56006formal.new.0 0) (=> (forall ((?x1683 Int)) (! (=> (and (<= call56006formal.new.0 ?x1683) (< ?x1683 (+ call56006formal.new.0 4))) (= (Base ?x1683) call56006formal.new.0)) :pattern ((Base ?x1683)) )) (=> (forall ((?x1684 boogieU)) (! (=> (= (type ?x1684) intType) (or (= (U_2_int ?x1684) call56006formal.new.0) (= (MapType0Select alloc.17 ?x1684) (MapType0Select alloc.28 ?x1684)))) :pattern ((MapType0Select alloc.28 ?x1684)) )) (=> (and (= (MapType0Select alloc.17 ?v_5025) UNALLOCATED) (= (MapType0Select alloc.28 ?v_5025) ALLOCATED)) (=> true (=> (<= k.69 k.70) (=> (< k.70 5) (and (=> true (=> ?v_5027 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.0 ?v_5028) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0.0) ?v_7208))))) (=> true (=> (not ?v_5027) (and (=> true (=> ?v_7194 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.1 ?v_6137) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0.1) ?v_7209))))) (=> true (=> (not ?v_7194) (and (=> true (=> ?v_7196 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.2 ?v_6140) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0.2) ?v_7209))))) (=> true (=> (not ?v_7196) (and (=> true (=> ?v_7198 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.4 ?v_6143) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0.4) ?v_7209))))) (=> true (=> (not ?v_7198) (and (=> true (=> ?v_7200 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.3 ?v_6145) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0.3) ?v_7209))))) (=> true (=> (not ?v_7200) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0) ?v_7209)))))))))))))))))))))))))))))))))) (?v_7210 (= inline.SerialStartWrite.0.myVar_0.11 hirp))) (let ((?v_7214 (and (=> true (=> ?v_7210 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_7211)))) (=> true (=> (not ?v_7210) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_7211))))))))))) (let ((?v_7217 (=> true (=> true (=> true (=> true ?v_7214))))) (?v_7222 (= k.69 4)) (?v_7220 (= k.69 3)) (?v_7218 (= k.69 2)) (?v_7215 (= k.69 1)) (?v_7212 (= k.69 0))) (let ((?v_7244 (and (=> true (=> (not (= inline.SerialStartWrite.0.myNondetVar_0.0 0)) (=> true (=> (<= k.41 k.69) (=> (< k.69 5) (and (=> true (=> ?v_7212 (=> (= inline.SerialStartWrite.0.myVar_0.10 ?v_5023) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.11 inline.SerialStartWrite.0.myVar_0.10) ?v_7214))))) (=> true (=> (not ?v_7212) (and (=> true (=> ?v_7215 (=> (= inline.SerialStartWrite.0.myVar_0.6 ?v_7213) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.11 inline.SerialStartWrite.0.myVar_0.6) ?v_7217))))) (=> true (=> (not ?v_7215) (and (=> true (=> ?v_7218 (=> (= inline.SerialStartWrite.0.myVar_0.7 ?v_7216) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.11 inline.SerialStartWrite.0.myVar_0.7) ?v_7217))))) (=> true (=> (not ?v_7218) (and (=> true (=> ?v_7220 (=> (= inline.SerialStartWrite.0.myVar_0.8 ?v_7219) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.11 inline.SerialStartWrite.0.myVar_0.8) ?v_7217))))) (=> true (=> (not ?v_7220) (and (=> true (=> ?v_7222 (=> (= inline.SerialStartWrite.0.myVar_0.9 ?v_7221) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.11 inline.SerialStartWrite.0.myVar_0.9) ?v_7217))))) (=> true (=> (not ?v_7222) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.11 inline.SerialStartWrite.0.myVar_0.5) ?v_7217)))))))))))))))))))))) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.1 0) (=> true (=> (<= k.41 k.42) (=> (< k.42 5) (and (=> true (=> ?v_7228 (=> true (=> ?v_7234 (=> (= cancelLockStatus_0.7 0) (=> ?v_7229 (=> ?v_7230 (=> ?v_7231 ?v_7232)))))))) (=> true (=> (not ?v_7228) (and (=> true (=> ?v_7233 (=> true (=> (= cancelLockStatus_1.7 0) ?v_7242)))) (=> true (=> (not ?v_7233) (and (=> true (=> ?v_7237 (=> true (=> ?v_7234 (=> ?v_7235 (=> (= cancelLockStatus_2.7 0) ?v_7236)))))) (=> true (=> (not ?v_7237) (and (=> true (=> ?v_7239 (=> true (=> ?v_7234 (=> ?v_7235 (=> ?v_7229 (=> ?v_7230 (=> (= cancelLockStatus_3.7 0) ?v_7238)))))))) (=> true (=> (not ?v_7239) (and (=> true (=> ?v_7241 (=> true (=> ?v_7234 (=> ?v_7235 (=> ?v_7229 (=> (= cancelLockStatus_4.7 0) ?v_7240))))))) (=> true (=> (not ?v_7241) (=> true (=> ?v_7234 ?v_7242)))))))))))))))))))))))) (?v_7243 (= inline.SerialStartWrite.0.myVar_0.5 hirp))) (let ((?v_7246 (and (=> true (=> ?v_7243 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_7244)))) (=> true (=> (not ?v_7243) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_7244))))))))))) (let ((?v_7248 (=> true (=> true (=> true (=> true ?v_7246))))) (?v_7251 (= k.41 4)) (?v_7250 (= k.41 3)) (?v_7249 (= k.41 2)) (?v_7247 (= k.41 1)) (?v_7245 (= k.41 0))) (let ((?v_7545 (and (=> true (=> (=> ?v_5017 (not ?v_7252)) (=> (=> ?v_5018 (not ?v_7253)) (=> (=> ?v_5020 (not ?v_7254)) (=> (=> ?v_5021 (not ?v_7255)) (=> (=> ?v_5022 (not ?v_7256)) (=> true (=> (<= k.40 k.41) (=> (< k.41 5) (and (=> true (=> ?v_7245 (=> (= inline.SerialStartWrite.0.myVar_0.1 ?v_5023) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0.1) ?v_7246))))) (=> true (=> (not ?v_7245) (and (=> true (=> ?v_7247 (=> (= inline.SerialStartWrite.0.myVar_0.2 ?v_7213) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0.2) ?v_7248))))) (=> true (=> (not ?v_7247) (and (=> true (=> ?v_7249 (=> (= inline.SerialStartWrite.0.myVar_0.0 ?v_7216) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0.0) ?v_7248))))) (=> true (=> (not ?v_7249) (and (=> true (=> ?v_7250 (=> (= inline.SerialStartWrite.0.myVar_0.4 ?v_7219) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0.4) ?v_7248))))) (=> true (=> (not ?v_7250) (and (=> true (=> ?v_7251 (=> (= inline.SerialStartWrite.0.myVar_0.3 ?v_7221) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0.3) ?v_7248))))) (=> true (=> (not ?v_7251) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0) ?v_7248)))))))))))))))))))))))))) (=> true (=> (=> ?v_5017 ?v_7252) (=> (=> ?v_5018 ?v_7253) (=> (=> ?v_5020 ?v_7254) (=> (=> ?v_5021 ?v_7255) (=> (=> ?v_5022 ?v_7256) (=> true (=> (<= k.40 k.43) (=> (< k.43 5) (and (=> true (=> ?v_7527 (=> true (=> ?v_7533 (=> (= cancelLockStatus_0.8 0) (=> ?v_7528 (=> ?v_7529 (=> ?v_7530 ?v_7531)))))))) (=> true (=> (not ?v_7527) (and (=> true (=> ?v_7532 (=> true (=> (= cancelLockStatus_1.8 0) ?v_7541)))) (=> true (=> (not ?v_7532) (and (=> true (=> ?v_7536 (=> true (=> ?v_7533 (=> ?v_7534 (=> (= cancelLockStatus_2.8 0) ?v_7535)))))) (=> true (=> (not ?v_7536) (and (=> true (=> ?v_7538 (=> true (=> ?v_7533 (=> ?v_7534 (=> ?v_7528 (=> ?v_7529 (=> (= cancelLockStatus_3.8 0) ?v_7537)))))))) (=> true (=> (not ?v_7538) (and (=> true (=> ?v_7540 (=> true (=> ?v_7533 (=> ?v_7534 (=> ?v_7528 (=> (= cancelLockStatus_4.8 0) ?v_7539))))))) (=> true (=> (not ?v_7540) (=> true (=> ?v_7533 ?v_7541))))))))))))))))))))))))))))) (let ((?v_7549 (=> true (=> true (=> true (=> true (=> true ?v_7545)))))) (?v_7546 (= cancelLockStatus_1.6 cancelLockStatus_1.5)) (?v_7547 (= cancelLockStatus_0.6 cancelLockStatus_0.5)) (?v_7542 (= cancelLockStatus_2.6 cancelLockStatus_2.5)) (?v_7543 (= cancelLockStatus_4.6 cancelLockStatus_4.5)) (?v_7544 (= cancelLockStatus_3.6 cancelLockStatus_3.5))) (let ((?v_7550 (=> ?v_7544 ?v_7549))) (let ((?v_7548 (=> ?v_7543 ?v_7550))) (let ((?v_7551 (=> ?v_7547 (=> ?v_7542 ?v_7548))) (?v_5015 (int_2_U call55197formal.new.0)) (?v_5011 (int_2_U call55167formal.new.0)) (?v_5013 (int_2_U call55170formal.new.0)) (?v_5014 (int_2_U call55173formal.new.0))) (let ((?v_8441 (and (=> true (=> ?v_7552 (=> true (and ?v_38 (=> ?v_38 (=> (> call55164formal.new.0 0) (=> (forall ((?x1687 Int)) (! (=> (and (<= call55164formal.new.0 ?x1687) (< ?x1687 (+ call55164formal.new.0 4))) (= (Base ?x1687) call55164formal.new.0)) :pattern ((Base ?x1687)) )) (=> (forall ((?x1688 boogieU)) (! (=> (= (type ?x1688) intType) (or (= (U_2_int ?x1688) call55164formal.new.0) (= (MapType0Select alloc.12 ?x1688) (MapType0Select alloc.13 ?x1688)))) :pattern ((MapType0Select alloc.13 ?x1688)) )) (=> (and (= (MapType0Select alloc.12 ?v_5010) UNALLOCATED) (= (MapType0Select alloc.13 ?v_5010) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call55167formal.new.0 0) (=> (forall ((?x1689 Int)) (! (=> (and (<= call55167formal.new.0 ?x1689) (< ?x1689 (+ call55167formal.new.0 1))) (= (Base ?x1689) call55167formal.new.0)) :pattern ((Base ?x1689)) )) (=> (forall ((?x1690 boogieU)) (! (=> (= (type ?x1690) intType) (or (= (U_2_int ?x1690) call55167formal.new.0) (= (MapType0Select alloc.13 ?x1690) (MapType0Select alloc.14 ?x1690)))) :pattern ((MapType0Select alloc.14 ?x1690)) )) (=> (and (= (MapType0Select alloc.13 ?v_5011) UNALLOCATED) (= (MapType0Select alloc.14 ?v_5011) ALLOCATED)) (and ?v_5012 (=> ?v_5012 (=> (> call55170formal.new.0 0) (=> (forall ((?x1691 Int)) (! (=> (and (<= call55170formal.new.0 ?x1691) (< ?x1691 (+ call55170formal.new.0 20))) (= (Base ?x1691) call55170formal.new.0)) :pattern ((Base ?x1691)) )) (=> (forall ((?x1692 boogieU)) (! (=> (= (type ?x1692) intType) (or (= (U_2_int ?x1692) call55170formal.new.0) (= (MapType0Select alloc.14 ?x1692) (MapType0Select alloc.15 ?x1692)))) :pattern ((MapType0Select alloc.15 ?x1692)) )) (=> (and (= (MapType0Select alloc.14 ?v_5013) UNALLOCATED) (= (MapType0Select alloc.15 ?v_5013) ALLOCATED)) (and ?v_73 (=> ?v_73 (=> (> call55173formal.new.0 0) (=> (forall ((?x1693 Int)) (! (=> (and (<= call55173formal.new.0 ?x1693) (< ?x1693 (+ call55173formal.new.0 8))) (= (Base ?x1693) call55173formal.new.0)) :pattern ((Base ?x1693)) )) (=> (forall ((?x1694 boogieU)) (! (=> (= (type ?x1694) intType) (or (= (U_2_int ?x1694) call55173formal.new.0) (= (MapType0Select alloc.15 ?x1694) (MapType0Select alloc.16 ?x1694)))) :pattern ((MapType0Select alloc.16 ?x1694)) )) (=> (and (= (MapType0Select alloc.15 ?v_5014) UNALLOCATED) (= (MapType0Select alloc.16 ?v_5014) ALLOCATED)) (=> true (and ?v_11 (=> ?v_11 (=> (> call55197formal.new.0 0) (=> (forall ((?x1685 Int)) (! (=> (and (<= call55197formal.new.0 ?x1685) (< ?x1685 (+ call55197formal.new.0 1))) (= (Base ?x1685) call55197formal.new.0)) :pattern ((Base ?x1685)) )) (=> (forall ((?x1686 boogieU)) (! (=> (= (type ?x1686) intType) (or (= (U_2_int ?x1686) call55197formal.new.0) (= (MapType0Select alloc.16 ?x1686) (MapType0Select alloc.17 ?x1686)))) :pattern ((MapType0Select alloc.17 ?x1686)) )) (=> (and (= (MapType0Select alloc.16 ?v_5015) UNALLOCATED) (= (MapType0Select alloc.17 ?v_5015) ALLOCATED)) (=> true (=> (<= k.39 k.40) (=> (< k.40 5) (=> true (=> (=> ?v_5017 ?v_5016) (=> (=> ?v_5018 ?v_8049) (=> (=> ?v_5020 ?v_8050) (=> (=> ?v_5021 ?v_8051) (=> (=> ?v_5022 ?v_8052) (and (=> true (=> ?v_5017 (=> true (=> ?v_7546 (=> (= cancelLockStatus_0.6 1) (=> ?v_7542 (=> ?v_7543 (=> ?v_7544 ?v_7545)))))))) (=> true (=> (not ?v_5017) (and (=> true (=> ?v_5018 (=> true (=> (= cancelLockStatus_1.6 1) ?v_7551)))) (=> true (=> (not ?v_5018) (and (=> true (=> ?v_5020 (=> true (=> ?v_7546 (=> ?v_7547 (=> (= cancelLockStatus_2.6 1) ?v_7548)))))) (=> true (=> (not ?v_5020) (and (=> true (=> ?v_5021 (=> true (=> ?v_7546 (=> ?v_7547 (=> ?v_7542 (=> ?v_7543 (=> (= cancelLockStatus_3.6 1) ?v_7549)))))))) (=> true (=> (not ?v_5021) (and (=> true (=> ?v_5022 (=> true (=> ?v_7546 (=> ?v_7547 (=> ?v_7542 (=> (= cancelLockStatus_4.6 1) ?v_7550))))))) (=> true (=> (not ?v_5022) (=> true (=> ?v_7546 ?v_7551)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_7552) (and (=> true (=> ?v_8430 (=> true (and ?v_11 (=> ?v_11 (=> (> call71019formal.new.0 0) (=> (forall ((?x1625 Int)) (! (=> (and (<= call71019formal.new.0 ?x1625) (< ?x1625 (+ call71019formal.new.0 1))) (= (Base ?x1625) call71019formal.new.0)) :pattern ((Base ?x1625)) )) (=> (forall ((?x1626 boogieU)) (! (=> (= (type ?x1626) intType) (or (= (U_2_int ?x1626) call71019formal.new.0) (= (MapType0Select alloc.12 ?x1626) (MapType0Select alloc.18 ?x1626)))) :pattern ((MapType0Select alloc.18 ?x1626)) )) (=> (and (= (MapType0Select alloc.12 ?v_7553) UNALLOCATED) (= (MapType0Select alloc.18 ?v_7553) ALLOCATED)) (and ?v_38 (=> ?v_38 (=> (> call71022formal.new.0 0) (=> (forall ((?x1627 Int)) (! (=> (and (<= call71022formal.new.0 ?x1627) (< ?x1627 (+ call71022formal.new.0 4))) (= (Base ?x1627) call71022formal.new.0)) :pattern ((Base ?x1627)) )) (=> (forall ((?x1628 boogieU)) (! (=> (= (type ?x1628) intType) (or (= (U_2_int ?x1628) call71022formal.new.0) (= (MapType0Select alloc.18 ?x1628) (MapType0Select alloc.19 ?x1628)))) :pattern ((MapType0Select alloc.19 ?x1628)) )) (=> (and (= (MapType0Select alloc.18 ?v_7554) UNALLOCATED) (= (MapType0Select alloc.19 ?v_7554) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call71025formal.new.0 0) (=> (forall ((?x1629 Int)) (! (=> (and (<= call71025formal.new.0 ?x1629) (< ?x1629 (+ call71025formal.new.0 1))) (= (Base ?x1629) call71025formal.new.0)) :pattern ((Base ?x1629)) )) (=> (forall ((?x1630 boogieU)) (! (=> (= (type ?x1630) intType) (or (= (U_2_int ?x1630) call71025formal.new.0) (= (MapType0Select alloc.19 ?x1630) (MapType0Select alloc.20 ?x1630)))) :pattern ((MapType0Select alloc.20 ?x1630)) )) (=> (and (= (MapType0Select alloc.19 ?v_7555) UNALLOCATED) (= (MapType0Select alloc.20 ?v_7555) ALLOCATED)) (and ?v_5012 (=> ?v_5012 (=> (> call71028formal.new.0 0) (=> (forall ((?x1631 Int)) (! (=> (and (<= call71028formal.new.0 ?x1631) (< ?x1631 (+ call71028formal.new.0 20))) (= (Base ?x1631) call71028formal.new.0)) :pattern ((Base ?x1631)) )) (=> (forall ((?x1632 boogieU)) (! (=> (= (type ?x1632) intType) (or (= (U_2_int ?x1632) call71028formal.new.0) (= (MapType0Select alloc.20 ?x1632) (MapType0Select alloc.21 ?x1632)))) :pattern ((MapType0Select alloc.21 ?x1632)) )) (=> (and (= (MapType0Select alloc.20 ?v_7556) UNALLOCATED) (= (MapType0Select alloc.21 ?v_7556) ALLOCATED)) (and ?v_73 (=> ?v_73 (=> (> call71031formal.new.0 0) (=> (forall ((?x1633 Int)) (! (=> (and (<= call71031formal.new.0 ?x1633) (< ?x1633 (+ call71031formal.new.0 8))) (= (Base ?x1633) call71031formal.new.0)) :pattern ((Base ?x1633)) )) (=> (forall ((?x1634 boogieU)) (! (=> (= (type ?x1634) intType) (or (= (U_2_int ?x1634) call71031formal.new.0) (= (MapType0Select alloc.21 ?x1634) (MapType0Select alloc.22 ?x1634)))) :pattern ((MapType0Select alloc.22 ?x1634)) )) (=> (and (= (MapType0Select alloc.21 ?v_7557) UNALLOCATED) (= (MapType0Select alloc.22 ?v_7557) ALLOCATED)) (and ?v_7558 (=> ?v_7558 (=> (> call71034formal.new.0 0) (=> (forall ((?x1635 Int)) (! (=> (and (<= call71034formal.new.0 ?x1635) (< ?x1635 (+ call71034formal.new.0 12))) (= (Base ?x1635) call71034formal.new.0)) :pattern ((Base ?x1635)) )) (=> (forall ((?x1636 boogieU)) (! (=> (= (type ?x1636) intType) (or (= (U_2_int ?x1636) call71034formal.new.0) (= (MapType0Select alloc.22 ?x1636) (MapType0Select alloc.23 ?x1636)))) :pattern ((MapType0Select alloc.23 ?x1636)) )) (=> (and (= (MapType0Select alloc.22 ?v_7559) UNALLOCATED) (= (MapType0Select alloc.23 ?v_7559) ALLOCATED)) (=> true (and ?v_11 (=> ?v_11 (=> (> call71066formal.new.0 0) (=> (forall ((?x1623 Int)) (! (=> (and (<= call71066formal.new.0 ?x1623) (< ?x1623 (+ call71066formal.new.0 1))) (= (Base ?x1623) call71066formal.new.0)) :pattern ((Base ?x1623)) )) (=> (forall ((?x1624 boogieU)) (! (=> (= (type ?x1624) intType) (or (= (U_2_int ?x1624) call71066formal.new.0) (= (MapType0Select alloc.23 ?x1624) (MapType0Select alloc.24 ?x1624)))) :pattern ((MapType0Select alloc.24 ?x1624)) )) (=> (and (= (MapType0Select alloc.23 ?v_7560) UNALLOCATED) (= (MapType0Select alloc.24 ?v_7560) ALLOCATED)) (=> true (=> (<= k.39 k.44) (=> (< k.44 5) (and (=> true (=> ?v_8423 (=> (= inline.SerialStartRead.0.myVar_0.2 ?v_7564) (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0.2) ?v_8424))))) (=> true (=> (not ?v_8423) (and (=> true (=> ?v_8425 (=> (= inline.SerialStartRead.0.myVar_0.1 ?v_8055) (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0.1) ?v_8426))))) (=> true (=> (not ?v_8425) (and (=> true (=> ?v_8427 (=> (= inline.SerialStartRead.0.myVar_0.0 ?v_8057) (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0.0) ?v_8426))))) (=> true (=> (not ?v_8427) (and (=> true (=> ?v_8428 (=> (= inline.SerialStartRead.0.myVar_0.3 ?v_8059) (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0.3) ?v_8426))))) (=> true (=> (not ?v_8428) (and (=> true (=> ?v_8429 (=> (= inline.SerialStartRead.0.myVar_0.4 ?v_8061) (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0.4) ?v_8426))))) (=> true (=> (not ?v_8429) (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0) ?v_8426)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_8430) (=> true (and ?v_40 (=> ?v_40 (=> true (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> (= cancelLockStatus_2.51 cancelLockStatus_2.5) (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> (= Mem_4_T.CancelRoutine__IRP.68 Mem_4_T.CancelRoutine__IRP.6) (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_5064 (=> ?v_5065 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_8431 (=> (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP.1) (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_5066 (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> (= Mem_3_T.CancelRoutine__IRP.68 Mem_3_T.CancelRoutine__IRP.6) (=> ?v_4303 (=> ?v_4304 (=> ?v_5067 (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> (= errorReached.49 errorReached.4) (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_5068 (=> ?v_4364 (=> ?v_4365 (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> (= cancelLockStatus_3.51 cancelLockStatus_3.5) (=> ?v_4379 (=> ?v_5069 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_5070 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.5) (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_5071 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_5072 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_5073 (=> ?v_4461 (=> ?v_8432 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> (= Mem_2_T.CancelRoutine__IRP.68 Mem_2_T.CancelRoutine__IRP.6) (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.6) (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_7572 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_5074 (=> ?v_4532 (=> (= Mem_2_T.P_IRP.45 Mem_2_T.P_IRP.1) (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_5075 (=> ?v_4572 (=> ?v_5076 (=> ?v_5077 (=> ?v_4573 (=> ?v_5078 (=> ?v_4574 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.6) (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_5079 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> (= Mem_4_T.P_IRP.45 Mem_4_T.P_IRP.1) (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_4614 (=> ?v_5080 (=> ?v_4615 (=> ?v_4616 (=> (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP.1) (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_5081 (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1.) (=> ?v_4648 (=> ?v_4649 (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> ?v_4656 (=> ?v_4657 (=> ?v_5082 (=> ?v_4658 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.5) (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> ?v_4672 (=> ?v_4673 (=> ?v_4674 (=> ?v_4675 (=> ?v_4676 (=> ?v_4677 (=> ?v_4678 (=> ?v_4679 (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> ?v_4683 (=> ?v_4684 (=> ?v_4685 (=> ?v_4686 (=> ?v_4687 (=> ?v_4688 (=> ?v_4689 (=> ?v_4690 (=> ?v_4691 (=> ?v_4692 (=> ?v_4693 (=> ?v_4694 (=> ?v_4695 (=> ?v_4696 (=> ?v_4697 (=> ?v_4698 (=> ?v_4699 (=> ?v_4700 (=> ?v_4701 (=> ?v_4702 (=> ?v_4703 (=> ?v_4704 (=> ?v_4705 (=> ?v_4706 (=> ?v_4707 (=> ?v_4708 (=> ?v_4709 (=> ?v_4710 (=> ?v_4711 (=> ?v_4712 (=> ?v_4713 (=> ?v_4714 (=> ?v_4715 (=> ?v_4716 (=> ?v_4717 (=> ?v_4718 (=> ?v_4719 (=> ?v_4720 (=> ?v_4721 (=> ?v_4722 (=> ?v_4723 (=> ?v_4724 (=> ?v_4725 (=> ?v_4726 (=> ?v_4727 (=> ?v_4728 (=> ?v_4729 (=> ?v_4730 (=> ?v_4731 (=> ?v_4732 (=> ?v_4733 (=> ?v_4734 (=> ?v_4735 (=> ?v_4736 (=> ?v_4737 (=> ?v_4738 (=> ?v_4739 (=> ?v_4740 (=> ?v_4741 (=> ?v_4742 (=> ?v_4743 (=> ?v_4744 (=> ?v_4745 (=> ?v_4746 (=> ?v_4747 (=> ?v_4748 (=> ?v_4749 (=> ?v_4750 (=> ?v_4751 (=> ?v_4752 (=> ?v_4753 (=> ?v_4754 (=> ?v_4755 (=> ?v_4756 (=> ?v_4757 (=> ?v_4758 (=> ?v_4759 (=> ?v_4760 (=> ?v_4761 (=> ?v_5083 (=> ?v_4762 (=> ?v_5084 (=> ?v_4763 (=> ?v_4764 (=> ?v_4765 (=> ?v_4766 (=> ?v_8433 (=> ?v_8434 (=> ?v_4767 (=> ?v_4768 (=> ?v_4769 (=> ?v_4770 (=> ?v_4771 (=> ?v_4772 (=> ?v_4773 (=> ?v_4774 (=> ?v_4775 (=> ?v_4776 (=> ?v_4777 (=> ?v_4778 (=> ?v_4779 (=> ?v_4780 (=> ?v_4781 (=> ?v_4782 (=> ?v_4783 (=> ?v_4784 (=> ?v_4785 (=> (= cancelLockStatus_4.51 cancelLockStatus_4.5) (=> ?v_4786 (=> ?v_4787 (=> ?v_4788 (=> ?v_4789 (=> ?v_4790 (=> ?v_4791 (=> ?v_4792 (=> ?v_4793 (=> ?v_4794 (=> ?v_4795 (=> ?v_4796 (=> ?v_4797 (=> ?v_4798 (=> ?v_4799 (=> ?v_4800 (=> ?v_4801 (=> ?v_4802 (=> ?v_4803 (=> ?v_4804 (=> ?v_4805 (=> ?v_4806 (=> ?v_4807 (=> ?v_4808 (=> ?v_4809 (=> ?v_4810 (=> ?v_4811 (=> ?v_4812 (=> ?v_4813 (=> ?v_4814 (=> ?v_4815 (=> ?v_4816 (=> ?v_4817 (=> (= Mem_3_T.P_IRP.45 Mem_3_T.P_IRP.1) (=> ?v_4819 (=> ?v_4820 (=> ?v_4821 (=> ?v_4822 (=> ?v_4823 (=> ?v_4824 (=> ?v_4825 (=> ?v_4826 (=> ?v_4827 (=> ?v_4828 (=> ?v_4829 (=> ?v_4830 (=> ?v_4831 (=> ?v_4832 (=> ?v_4833 (=> ?v_4834 (=> ?v_4835 (=> ?v_4836 (=> ?v_4837 (=> ?v_4838 (=> ?v_4839 (=> ?v_4840 (=> ?v_4841 (=> ?v_4842 (=> ?v_4843 (=> ?v_4844 (=> ?v_4845 (=> ?v_4846 (=> ?v_4847 (=> ?v_4848 (=> ?v_4849 (=> ?v_4850 (=> ?v_4851 (=> ?v_4852 (=> ?v_4853 (=> ?v_4854 (=> ?v_4855 (=> ?v_4856 (=> ?v_4857 (=> ?v_4858 (=> ?v_4859 (=> ?v_4860 (=> ?v_4861 (=> ?v_4862 (=> ?v_4863 (=> ?v_4864 (=> ?v_4865 (=> ?v_4866 (=> ?v_4867 (=> ?v_4868 (=> ?v_4869 (=> ?v_4870 (=> ?v_4871 (=> ?v_8435 (=> ?v_4872 (=> ?v_4873 (=> ?v_4874 (=> ?v_4875 (=> ?v_4876 (=> ?v_4877 (=> ?v_4878 (=> ?v_4879 (=> ?v_4880 (=> ?v_4881 (=> ?v_4882 (=> ?v_4883 (=> ?v_4884 (=> ?v_4885 (=> ?v_4886 (=> ?v_4887 (=> ?v_4888 (=> ?v_4889 (=> ?v_4890 (=> ?v_4891 (=> ?v_4892 (=> ?v_4893 (=> ?v_4894 (=> ?v_4895 (=> ?v_4896 (=> ?v_4897 (=> ?v_4898 (=> ?v_5085 (=> ?v_4899 (=> ?v_4900 (=> ?v_4901 (=> ?v_4902 (=> ?v_4903 (=> ?v_4904 (=> ?v_4905 (=> ?v_4906 (=> ?v_4907 (=> ?v_4908 (=> ?v_4909 (=> ?v_4910 (=> ?v_4911 (=> ?v_8436 (=> ?v_4912 (=> ?v_4913 (=> ?v_4914 (=> ?v_4915 (=> ?v_4916 (=> ?v_4917 (=> ?v_4918 (=> ?v_4919 (=> ?v_4920 (=> ?v_4921 (=> ?v_4922 (=> ?v_4923 (=> ?v_4924 (=> ?v_4925 (=> ?v_4926 (=> ?v_4927 (=> ?v_4928 (=> ?v_4929 (=> ?v_4930 (=> ?v_4931 (=> ?v_4932 (=> ?v_4933 (=> ?v_4934 (=> ?v_4935 (=> ?v_4936 (=> ?v_4937 (=> ?v_4938 (=> ?v_4939 (=> ?v_4940 (=> ?v_4941 (=> ?v_4942 (=> ?v_4943 (=> ?v_4944 (=> ?v_7573 (=> ?v_5086 (=> ?v_4946 (=> ?v_4947 (=> ?v_4948 (=> ?v_4949 (=> ?v_4950 (=> ?v_4951 (=> ?v_4952 (=> ?v_4953 (=> ?v_4954 (=> ?v_4955 (=> ?v_4956 (=> (= k.249 k.39) ?v_5087)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_8447 (=> true (=> true (=> true (=> true (=> true ?v_8441)))))) (?v_8443 (= cancelLockStatus_1.5 cancelLockStatus_1.4)) (?v_8444 (= cancelLockStatus_0.5 cancelLockStatus_0.4)) (?v_8438 (= cancelLockStatus_2.5 cancelLockStatus_2.4)) (?v_8439 (= cancelLockStatus_4.5 cancelLockStatus_4.4)) (?v_8440 (= cancelLockStatus_3.5 cancelLockStatus_3.4))) (let ((?v_8449 (=> ?v_8440 ?v_8447))) (let ((?v_8445 (=> ?v_8439 ?v_8449))) (let ((?v_8451 (=> ?v_8444 (=> ?v_8438 ?v_8445))) (?v_8450 (= k.39 4)) (?v_8448 (= k.39 3)) (?v_8446 (= k.39 2)) (?v_8442 (= k.39 1)) (?v_8437 (= k.39 0))) (let ((?v_8457 (=> true (=> (<= k.38 k.39) (=> (< k.39 5) (and (=> true (=> ?v_8437 (=> true (=> ?v_8443 (=> ?v_5016 (=> ?v_8438 (=> ?v_8439 (=> ?v_8440 ?v_8441)))))))) (=> true (=> (not ?v_8437) (and (=> true (=> ?v_8442 (=> true (=> ?v_8049 ?v_8451)))) (=> true (=> (not ?v_8442) (and (=> true (=> ?v_8446 (=> true (=> ?v_8443 (=> ?v_8444 (=> ?v_8050 ?v_8445)))))) (=> true (=> (not ?v_8446) (and (=> true (=> ?v_8448 (=> true (=> ?v_8443 (=> ?v_8444 (=> ?v_8438 (=> ?v_8439 (=> ?v_8051 ?v_8447)))))))) (=> true (=> (not ?v_8448) (and (=> true (=> ?v_8450 (=> true (=> ?v_8443 (=> ?v_8444 (=> ?v_8438 (=> ?v_8052 ?v_8449))))))) (=> true (=> (not ?v_8450) (=> true (=> ?v_8443 ?v_8451)))))))))))))))))))))) (let ((?v_8465 (=> true (=> true (=> true (=> true ?v_8457))))) (?v_8454 (= Mem_3_T.P_IRP.1 Mem_3_T.P_IRP)) (?v_8459 (= Mem_1_T.P_IRP.1 Mem_1_T.P_IRP)) (?v_8460 (= Mem_0_T.P_IRP.1 Mem_0_T.P_IRP)) (?v_8455 (= Mem_2_T.P_IRP.1 Mem_2_T.P_IRP)) (?v_8456 (= Mem_4_T.P_IRP.1 Mem_4_T.P_IRP))) (let ((?v_8461 (=> ?v_8456 ?v_8465))) (let ((?v_8463 (=> ?v_8460 (=> ?v_8455 ?v_8461)))) (let ((?v_8467 (=> ?v_8459 ?v_8463)) (?v_8466 (= k.38 4)) (?v_4122 (int_2_U inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0)) (?v_8464 (= k.38 3)) (?v_8462 (= k.38 2)) (?v_8458 (= k.38 1)) (?v_8452 (= k.38 0)) (?v_4120 (= k.36 0))) (let ((?v_5005 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_4122)) 0)) (?v_4121 (= k.36 1)) (?v_5006 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_4122)) 0)) (?v_4123 (= k.36 2)) (?v_5007 (= (U_2_int (MapType0Select Mem_2_T.P_IRP ?v_4122)) 0)) (?v_4124 (= k.36 3)) (?v_5008 (= (U_2_int (MapType0Select Mem_3_T.P_IRP ?v_4122)) 0)) (?v_4125 (= k.36 4)) (?v_5009 (= (U_2_int (MapType0Select Mem_4_T.P_IRP ?v_4122)) 0)) (?v_4280 (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP)) (?v_4533 (= Mem_2_T.P_IRP.45 Mem_2_T.P_IRP)) (?v_4589 (= Mem_4_T.P_IRP.45 Mem_4_T.P_IRP)) (?v_4617 (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP)) (?v_4818 (= Mem_3_T.P_IRP.45 Mem_3_T.P_IRP)) (?v_4945 (= inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1.))) (let ((?v_4962 (=> true (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> (= cancelLockStatus_2.51 cancelLockStatus_2.9) (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> (= Mem_4_T.CancelRoutine__IRP.68 Mem_4_T.CancelRoutine__IRP.15) (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> (= inline.sdv_IoReleaseCancelSpinLock.24..result.userContextSwitch.3151.2.1..0 call78578formal.ret.0) (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 hirp) (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> ?v_8431 (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> ?v_5066 (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> (= Mem_3_T.CancelRoutine__IRP.68 Mem_3_T.CancelRoutine__IRP.15) (=> ?v_4303 (=> ?v_4304 (=> ?v_5067 (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> (= errorReached.49 errorReached.10) (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 hirp) (=> ?v_4364 (=> ?v_4365 (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> (= cancelLockStatus_3.51 cancelLockStatus_3.9) (=> ?v_4379 (=> ?v_5069 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> (= inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3313.2.3..0 call78563formal.ret.0) (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.9) (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_5071 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_5072 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> ?v_4461 (=> ?v_8432 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> (= Mem_2_T.CancelRoutine__IRP.68 Mem_2_T.CancelRoutine__IRP.15) (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.15) (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.15 inline.SerialStartOrQueue.0.myNondetVar_0.10) (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> ?v_5074 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> ?v_5075 (=> ?v_4572 (=> (= inline.InsertTailList.1.myNondetVar_0.1 inline.InsertTailList.1.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2..0) (=> ?v_4573 (=> ?v_5078 (=> ?v_4574 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.15) (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_5079 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_4614 (=> ?v_5080 (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_5081 (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 259) (=> ?v_4648 (=> ?v_4649 (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> ?v_4656 (=> ?v_4657 (=> ?v_5082 (=> ?v_4658 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.9) (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> ?v_4672 (=> ?v_4673 (=> ?v_4674 (=> ?v_4675 (=> ?v_4676 (=> ?v_4677 (=> ?v_4678 (=> ?v_4679 (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> ?v_4683 (=> ?v_4684 (=> ?v_4685 (=> ?v_4686 (=> ?v_4687 (=> ?v_4688 (=> ?v_4689 (=> ?v_4690 (=> ?v_4691 (=> ?v_4692 (=> ?v_4693 (=> ?v_4694 (=> ?v_4695 (=> ?v_4696 (=> ?v_4697 (=> ?v_4698 (=> ?v_4699 (=> ?v_4700 (=> ?v_4701 (=> ?v_4702 (=> ?v_4703 (=> ?v_4704 (=> ?v_4705 (=> ?v_4706 (=> ?v_4707 (=> ?v_4708 (=> ?v_4709 (=> ?v_4710 (=> ?v_4711 (=> ?v_4712 (=> ?v_4713 (=> ?v_4714 (=> ?v_4715 (=> ?v_4716 (=> ?v_4717 (=> ?v_4718 (=> ?v_4719 (=> ?v_4720 (=> ?v_4721 (=> ?v_4722 (=> ?v_4723 (=> ?v_4724 (=> ?v_4725 (=> ?v_4726 (=> ?v_4727 (=> ?v_4728 (=> ?v_4729 (=> ?v_4730 (=> ?v_4731 (=> ?v_4732 (=> ?v_4733 (=> ?v_4734 (=> ?v_4735 (=> ?v_4736 (=> ?v_4737 (=> ?v_4738 (=> ?v_4739 (=> ?v_4740 (=> ?v_4741 (=> ?v_4742 (=> ?v_4743 (=> ?v_4744 (=> ?v_4745 (=> ?v_4746 (=> ?v_4747 (=> ?v_4748 (=> ?v_4749 (=> ?v_4750 (=> ?v_4751 (=> ?v_4752 (=> ?v_4753 (=> ?v_4754 (=> ?v_4755 (=> ?v_4756 (=> ?v_4757 (=> ?v_4758 (=> ?v_4759 (=> ?v_4760 (=> ?v_4761 (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelQueued) (=> ?v_4762 (=> ?v_5084 (=> ?v_4763 (=> ?v_4764 (=> ?v_4765 (=> ?v_4766 (=> ?v_8433 (=> ?v_8434 (=> ?v_4767 (=> ?v_4768 (=> ?v_4769 (=> ?v_4770 (=> ?v_4771 (=> ?v_4772 (=> ?v_4773 (=> ?v_4774 (=> ?v_4775 (=> ?v_4776 (=> ?v_4777 (=> ?v_4778 (=> ?v_4779 (=> ?v_4780 (=> ?v_4781 (=> ?v_4782 (=> ?v_4783 (=> ?v_4784 (=> ?v_4785 (=> (= cancelLockStatus_4.51 cancelLockStatus_4.9) (=> ?v_4786 (=> ?v_4787 (=> ?v_4788 (=> ?v_4789 (=> ?v_4790 (=> ?v_4791 (=> ?v_4792 (=> ?v_4793 (=> ?v_4794 (=> ?v_4795 (=> ?v_4796 (=> ?v_4797 (=> ?v_4798 (=> ?v_4799 (=> ?v_4800 (=> ?v_4801 (=> ?v_4802 (=> ?v_4803 (=> ?v_4804 (=> ?v_4805 (=> ?v_4806 (=> ?v_4807 (=> ?v_4808 (=> ?v_4809 (=> ?v_4810 (=> ?v_4811 (=> ?v_4812 (=> ?v_4813 (=> ?v_4814 (=> ?v_4815 (=> ?v_4816 (=> ?v_4817 (=> ?v_4818 (=> ?v_4819 (=> ?v_4820 (=> ?v_4821 (=> ?v_4822 (=> ?v_4823 (=> ?v_4824 (=> ?v_4825 (=> ?v_4826 (=> ?v_4827 (=> ?v_4828 (=> ?v_4829 (=> ?v_4830 (=> ?v_4831 (=> ?v_4832 (=> ?v_4833 (=> ?v_4834 (=> ?v_4835 (=> ?v_4836 (=> ?v_4837 (=> ?v_4838 (=> ?v_4839 (=> ?v_4840 (=> ?v_4841 (=> ?v_4842 (=> ?v_4843 (=> ?v_4844 (=> ?v_4845 (=> ?v_4846 (=> ?v_4847 (=> ?v_4848 (=> ?v_4849 (=> ?v_4850 (=> ?v_4851 (=> ?v_4852 (=> ?v_4853 (=> ?v_4854 (=> ?v_4855 (=> ?v_4856 (=> ?v_4857 (=> ?v_4858 (=> ?v_4859 (=> ?v_4860 (=> ?v_4861 (=> ?v_4862 (=> ?v_4863 (=> ?v_4864 (=> ?v_4865 (=> ?v_4866 (=> ?v_4867 (=> ?v_4868 (=> ?v_4869 (=> ?v_4870 (=> ?v_4871 (=> ?v_8435 (=> ?v_4872 (=> ?v_4873 (=> ?v_4874 (=> ?v_4875 (=> ?v_4876 (=> ?v_4877 (=> ?v_4878 (=> ?v_4879 (=> ?v_4880 (=> ?v_4881 (=> ?v_4882 (=> ?v_4883 (=> ?v_4884 (=> ?v_4885 (=> ?v_4886 (=> ?v_4887 (=> ?v_4888 (=> ?v_4889 (=> ?v_4890 (=> ?v_4891 (=> ?v_4892 (=> ?v_4893 (=> ?v_4894 (=> ?v_4895 (=> ?v_4896 (=> ?v_4897 (=> ?v_4898 (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelQueued) (=> ?v_4899 (=> ?v_4900 (=> ?v_4901 (=> ?v_4902 (=> ?v_4903 (=> ?v_4904 (=> ?v_4905 (=> ?v_4906 (=> ?v_4907 (=> ?v_4908 (=> ?v_4909 (=> ?v_4910 (=> ?v_4911 (=> ?v_8436 (=> ?v_4912 (=> ?v_4913 (=> ?v_4914 (=> ?v_4915 (=> ?v_4916 (=> ?v_4917 (=> ?v_4918 (=> ?v_4919 (=> ?v_4920 (=> ?v_4921 (=> ?v_4922 (=> ?v_4923 (=> ?v_4924 (=> ?v_4925 (=> ?v_4926 (=> ?v_4927 (=> ?v_4928 (=> ?v_4929 (=> ?v_4930 (=> ?v_4931 (=> ?v_4932 (=> ?v_4933 (=> ?v_4934 (=> ?v_4935 (=> ?v_4936 (=> ?v_4937 (=> ?v_4938 (=> ?v_4939 (=> ?v_4940 (=> ?v_4941 (=> ?v_4942 (=> ?v_4943 (=> ?v_4944 (=> ?v_4945 (=> ?v_5086 (=> ?v_4946 (=> ?v_4947 (=> ?v_4948 (=> ?v_4949 (=> ?v_4950 (=> ?v_4951 (=> ?v_4952 (=> ?v_4953 (=> ?v_4954 (=> ?v_4955 (=> ?v_4956 (=> (= k.249 k.65) ?v_5087))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4968 (=> true (=> true (=> true (=> true (=> true ?v_4962)))))) (?v_4964 (= cancelLockStatus_1.9 cancelLockStatus_1.4)) (?v_4965 (= cancelLockStatus_0.9 cancelLockStatus_0.4)) (?v_4959 (= cancelLockStatus_2.9 cancelLockStatus_2.4)) (?v_4960 (= cancelLockStatus_4.9 cancelLockStatus_4.4)) (?v_4961 (= cancelLockStatus_3.9 cancelLockStatus_3.4))) (let ((?v_4970 (=> ?v_4961 ?v_4968))) (let ((?v_4966 (=> ?v_4960 ?v_4970))) (let ((?v_4972 (=> ?v_4965 (=> ?v_4959 ?v_4966))) (?v_4971 (= k.65 4)) (?v_4969 (= k.65 3)) (?v_4967 (= k.65 2)) (?v_4963 (= k.65 1)) (?v_4958 (= k.65 0))) (let ((?v_4978 (=> true (=> (<= k.63 k.64) (=> (< k.64 5) (=> true (=> (<= k.64 k.65) (=> (< k.65 5) (and (=> true (=> ?v_4958 (=> true (=> ?v_4964 (=> (= cancelLockStatus_0.9 0) (=> ?v_4959 (=> ?v_4960 (=> ?v_4961 ?v_4962)))))))) (=> true (=> (not ?v_4958) (and (=> true (=> ?v_4963 (=> true (=> (= cancelLockStatus_1.9 0) ?v_4972)))) (=> true (=> (not ?v_4963) (and (=> true (=> ?v_4967 (=> true (=> ?v_4964 (=> ?v_4965 (=> (= cancelLockStatus_2.9 0) ?v_4966)))))) (=> true (=> (not ?v_4967) (and (=> true (=> ?v_4969 (=> true (=> ?v_4964 (=> ?v_4965 (=> ?v_4959 (=> ?v_4960 (=> (= cancelLockStatus_3.9 0) ?v_4968)))))))) (=> true (=> (not ?v_4969) (and (=> true (=> ?v_4971 (=> true (=> ?v_4964 (=> ?v_4965 (=> ?v_4959 (=> (= cancelLockStatus_4.9 0) ?v_4970))))))) (=> true (=> (not ?v_4971) (=> true (=> ?v_4964 ?v_4972))))))))))))))))))))))))) (let ((?v_4986 (=> true ?v_4978)) (?v_4975 (= Mem_2_T.CancelRoutine__IRP.15 Mem_2_T.CancelRoutine__IRP.6)) (?v_4980 (= Mem_0_T.CancelRoutine__IRP.15 Mem_0_T.CancelRoutine__IRP.6)) (?v_4976 (= Mem_3_T.CancelRoutine__IRP.15 Mem_3_T.CancelRoutine__IRP.6)) (?v_4981 (= Mem_1_T.CancelRoutine__IRP.15 Mem_1_T.CancelRoutine__IRP.6)) (?v_4977 (= Mem_4_T.CancelRoutine__IRP.15 Mem_4_T.CancelRoutine__IRP.6))) (let ((?v_4982 (=> ?v_4977 ?v_4986))) (let ((?v_4984 (=> ?v_4981 ?v_4982))) (let ((?v_4988 (=> ?v_4980 (=> ?v_4976 ?v_4984))) (?v_4987 (= k.63 4)) (?v_4985 (= k.63 3)) (?v_4983 (= k.63 2)) (?v_4979 (= k.63 1)) (?v_4973 (= k.63 0))) (let ((?v_4996 (=> true (=> (<= k.62 k.63) (=> (< k.63 5) (and (=> true (=> ?v_4973 (=> (= Mem_0_T.CancelRoutine__IRP.14 (MapType0Store Mem_0_T.CancelRoutine__IRP.6 ?v_1488 ?v_4974)) (=> true (=> ?v_4975 (=> (= Mem_0_T.CancelRoutine__IRP.15 Mem_0_T.CancelRoutine__IRP.14) (=> ?v_4976 (=> ?v_4981 (=> ?v_4977 ?v_4978))))))))) (=> true (=> (not ?v_4973) (and (=> true (=> ?v_4979 (=> (= Mem_1_T.CancelRoutine__IRP.14 (MapType0Store Mem_1_T.CancelRoutine__IRP.6 ?v_1488 ?v_4974)) (=> true (=> ?v_4975 (=> ?v_4980 (=> ?v_4976 (=> (= Mem_1_T.CancelRoutine__IRP.15 Mem_1_T.CancelRoutine__IRP.14) ?v_4982)))))))) (=> true (=> (not ?v_4979) (and (=> true (=> ?v_4983 (=> (= Mem_2_T.CancelRoutine__IRP.14 (MapType0Store Mem_2_T.CancelRoutine__IRP.6 ?v_1488 ?v_4974)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.15 Mem_2_T.CancelRoutine__IRP.14) ?v_4988))))) (=> true (=> (not ?v_4983) (and (=> true (=> ?v_4985 (=> (= Mem_3_T.CancelRoutine__IRP.14 (MapType0Store Mem_3_T.CancelRoutine__IRP.6 ?v_1488 ?v_4974)) (=> true (=> ?v_4975 (=> ?v_4980 (=> (= Mem_3_T.CancelRoutine__IRP.15 Mem_3_T.CancelRoutine__IRP.14) ?v_4984))))))) (=> true (=> (not ?v_4985) (and (=> true (=> ?v_4987 (=> (= Mem_4_T.CancelRoutine__IRP.14 (MapType0Store Mem_4_T.CancelRoutine__IRP.6 ?v_1488 ?v_4974)) (=> true (=> ?v_4975 (=> ?v_4980 (=> ?v_4976 (=> ?v_4981 (=> (= Mem_4_T.CancelRoutine__IRP.15 Mem_4_T.CancelRoutine__IRP.14) ?v_4986))))))))) (=> true (=> (not ?v_4987) (=> true (=> ?v_4975 ?v_4988)))))))))))))))))))))) (let ((?v_4997 (=> (= errorReached.10 errorReached.4) ?v_4996)) (?v_4994 (= k.62 k.61)) (?v_4995 (= inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2..0 call78472formal.ret.0)) (?v_4989 (= k.61 0)) (?v_4990 (= k.61 1)) (?v_4991 (= k.61 2)) (?v_4992 (= k.61 3)) (?v_4993 (= k.61 4))) (let ((?v_4999 (and (=> true (=> ?v_15 (=> true (=> (<= k.37 k.61) (=> (< k.61 5) (and (=> true (=> (=> ?v_4989 ?v_4231) (=> (=> ?v_4990 ?v_4232) (=> (=> ?v_4991 ?v_4233) (=> (=> ?v_4992 ?v_4234) (=> (=> ?v_4993 ?v_4235) (=> true (=> ?v_4994 (=> ?v_4995 (=> (= errorReached.10 1) ?v_4996)))))))))) (=> true (=> (=> ?v_4989 ?v_4197) (=> (=> ?v_4990 ?v_4199) (=> (=> ?v_4991 ?v_4201) (=> (=> ?v_4992 ?v_4203) (=> (=> ?v_4993 ?v_4205) (=> true (=> ?v_4994 (=> ?v_4995 ?v_4997))))))))))))))) (=> true (=> ?v_4207 (=> true (=> (= k.62 k.37) (=> (= inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.9..result.userContextSwitch.3310.4.2.) ?v_4997)))))))) (let ((?v_5001 (=> true (=> true ?v_4999))) (?v_5004 (= k.37 4)) (?v_5003 (= k.37 3)) (?v_5002 (= k.37 2)) (?v_5000 (= k.37 1)) (?v_4998 (= k.37 0)) (?v_4226 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_3238)) 0)) (?v_4227 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_3238)) 0)) (?v_4228 (= (U_2_int (MapType0Select Mem_2_T.Cancel__IRP ?v_3238)) 0)) (?v_4229 (= (U_2_int (MapType0Select Mem_3_T.Cancel__IRP ?v_3238)) 0)) (?v_4230 (= (U_2_int (MapType0Select Mem_4_T.Cancel__IRP ?v_3238)) 0)) (?v_4167 (=> true (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..0 ?v_1489) (=> true (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> (= cancelLockStatus_2.51 cancelLockStatus_2.10) (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4252 (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 (=> ?v_4260 (=> ?v_4261 (=> ?v_4262 (=> ?v_4263 (=> ?v_4264 (=> ?v_4265 (=> (= Mem_4_T.CancelRoutine__IRP.68 Mem_4_T.CancelRoutine__IRP.18) (=> ?v_4266 (=> ?v_4267 (=> ?v_4268 (=> ?v_4269 (=> ?v_4270 (=> ?v_4271 (=> ?v_4272 (=> ?v_4273 (=> ?v_5064 (=> ?v_5065 (=> ?v_4274 (=> ?v_4275 (=> ?v_4276 (=> ?v_4277 (=> ?v_4278 (=> ?v_4279 (=> (= irpCompleted_0.29 irpCompleted_0.9) (=> ?v_4280 (=> ?v_4281 (=> ?v_4282 (=> ?v_4283 (=> ?v_4284 (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> ?v_4285 (=> ?v_4286 (=> ?v_4287 (=> ?v_4288 (=> ?v_4289 (=> ?v_4290 (=> ?v_4291 (=> ?v_4292 (=> ?v_4293 (=> ?v_4294 (=> ?v_4295 (=> ?v_4296 (=> ?v_4297 (=> ?v_4298 (=> ?v_4299 (=> ?v_4300 (=> ?v_4301 (=> ?v_4302 (=> (= Mem_3_T.CancelRoutine__IRP.68 Mem_3_T.CancelRoutine__IRP.18) (=> ?v_4303 (=> ?v_4304 (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> ?v_4305 (=> ?v_4306 (=> ?v_4307 (=> ?v_4308 (=> ?v_4309 (=> ?v_4310 (=> ?v_4311 (=> ?v_4312 (=> ?v_4313 (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> (= errorReached.49 errorReached.12) (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4358 (=> ?v_4359 (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_5068 (=> ?v_4364 (=> ?v_4365 (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> (= cancelLockStatus_3.51 cancelLockStatus_3.10) (=> ?v_4379 (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0) (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_5070 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.10) (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> (= inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1..0) (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_5073 (=> ?v_4461 (=> (= irpCompleted_1.29 irpCompleted_1.9) (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> (= Mem_2_T.CancelRoutine__IRP.68 Mem_2_T.CancelRoutine__IRP.18) (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.18) (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 (=> ?v_4497 (=> ?v_4498 (=> ?v_4499 (=> ?v_4500 (=> ?v_4501 (=> ?v_4502 (=> ?v_4503 (=> ?v_4504 (=> ?v_4505 (=> ?v_4506 (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> ?v_4512 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.15 inline.SerialStartOrQueue.0.myNondetVar_0.14) (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> ?v_4528 (=> ?v_4529 (=> ?v_4530 (=> ?v_4531 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_4572 (=> ?v_5076 (=> ?v_5077 (=> ?v_4573 (=> (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..0) (=> ?v_4574 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.18) (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> (= inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..0 call77745formal.ret.0) (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_4614 (=> (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..0) (=> ?v_4648 (=> ?v_4649 (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> ?v_4656 (=> ?v_4657 (=> (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.2 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_4658 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.10) (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> ?v_4672 (=> ?v_4673 (=> ?v_4674 (=> ?v_4675 (=> ?v_4676 (=> ?v_4677 (=> ?v_4678 (=> ?v_4679 (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> ?v_4683 (=> ?v_4684 (=> ?v_4685 (=> ?v_4686 (=> ?v_4687 (=> ?v_4688 (=> ?v_4689 (=> ?v_4690 (=> ?v_4691 (=> ?v_4692 (=> ?v_4693 (=> ?v_4694 (=> ?v_4695 (=> ?v_4696 (=> ?v_4697 (=> ?v_4698 (=> ?v_4699 (=> ?v_4700 (=> ?v_4701 (=> ?v_4702 (=> ?v_4703 (=> ?v_4704 (=> ?v_4705 (=> ?v_4706 (=> ?v_4707 (=> ?v_4708 (=> ?v_4709 (=> ?v_4710 (=> ?v_4711 (=> ?v_4712 (=> ?v_4713 (=> ?v_4714 (=> ?v_4715 (=> ?v_4716 (=> ?v_4717 (=> ?v_4718 (=> ?v_4719 (=> ?v_4720 (=> ?v_4721 (=> ?v_4722 (=> ?v_4723 (=> ?v_4724 (=> ?v_4725 (=> ?v_4726 (=> ?v_4727 (=> ?v_4728 (=> ?v_4729 (=> ?v_4730 (=> ?v_4731 (=> ?v_4732 (=> ?v_4733 (=> ?v_4734 (=> ?v_4735 (=> ?v_4736 (=> ?v_4737 (=> ?v_4738 (=> ?v_4739 (=> ?v_4740 (=> ?v_4741 (=> ?v_4742 (=> ?v_4743 (=> ?v_4744 (=> ?v_4745 (=> ?v_4746 (=> ?v_4747 (=> ?v_4748 (=> ?v_4749 (=> ?v_4750 (=> ?v_4751 (=> ?v_4752 (=> ?v_4753 (=> ?v_4754 (=> ?v_4755 (=> ?v_4756 (=> ?v_4757 (=> ?v_4758 (=> ?v_4759 (=> ?v_4760 (=> ?v_4761 (=> ?v_5083 (=> ?v_4762 (=> (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_4763 (=> ?v_4764 (=> ?v_4765 (=> ?v_4766 (=> (= alloc.74 alloc.27) (=> (= irpCompleted_3.29 irpCompleted_3.9) (=> ?v_4767 (=> ?v_4768 (=> ?v_4769 (=> ?v_4770 (=> ?v_4771 (=> ?v_4772 (=> ?v_4773 (=> ?v_4774 (=> ?v_4775 (=> ?v_4776 (=> ?v_4777 (=> ?v_4778 (=> ?v_4779 (=> ?v_4780 (=> ?v_4781 (=> ?v_4782 (=> ?v_4783 (=> ?v_4784 (=> ?v_4785 (=> (= cancelLockStatus_4.51 cancelLockStatus_4.10) (=> ?v_4786 (=> ?v_4787 (=> ?v_4788 (=> ?v_4789 (=> ?v_4790 (=> ?v_4791 (=> ?v_4792 (=> ?v_4793 (=> ?v_4794 (=> ?v_4795 (=> ?v_4796 (=> ?v_4797 (=> ?v_4798 (=> ?v_4799 (=> ?v_4800 (=> ?v_4801 (=> ?v_4802 (=> ?v_4803 (=> ?v_4804 (=> ?v_4805 (=> ?v_4806 (=> ?v_4807 (=> ?v_4808 (=> ?v_4809 (=> ?v_4810 (=> ?v_4811 (=> ?v_4812 (=> ?v_4813 (=> ?v_4814 (=> ?v_4815 (=> ?v_4816 (=> ?v_4817 (=> ?v_4818 (=> ?v_4819 (=> ?v_4820 (=> ?v_4821 (=> ?v_4822 (=> ?v_4823 (=> ?v_4824 (=> ?v_4825 (=> ?v_4826 (=> ?v_4827 (=> ?v_4828 (=> ?v_4829 (=> ?v_4830 (=> ?v_4831 (=> ?v_4832 (=> ?v_4833 (=> ?v_4834 (=> ?v_4835 (=> ?v_4836 (=> ?v_4837 (=> ?v_4838 (=> ?v_4839 (=> ?v_4840 (=> ?v_4841 (=> ?v_4842 (=> ?v_4843 (=> ?v_4844 (=> ?v_4845 (=> ?v_4846 (=> ?v_4847 (=> ?v_4848 (=> ?v_4849 (=> ?v_4850 (=> ?v_4851 (=> ?v_4852 (=> ?v_4853 (=> ?v_4854 (=> ?v_4855 (=> ?v_4856 (=> ?v_4857 (=> ?v_4858 (=> ?v_4859 (=> ?v_4860 (=> ?v_4861 (=> ?v_4862 (=> ?v_4863 (=> ?v_4864 (=> ?v_4865 (=> ?v_4866 (=> ?v_4867 (=> ?v_4868 (=> ?v_4869 (=> ?v_4870 (=> ?v_4871 (=> (= irpCompleted_4.29 irpCompleted_4.9) (=> ?v_4872 (=> ?v_4873 (=> ?v_4874 (=> ?v_4875 (=> ?v_4876 (=> ?v_4877 (=> ?v_4878 (=> ?v_4879 (=> ?v_4880 (=> ?v_4881 (=> ?v_4882 (=> ?v_4883 (=> ?v_4884 (=> ?v_4885 (=> ?v_4886 (=> ?v_4887 (=> ?v_4888 (=> ?v_4889 (=> ?v_4890 (=> ?v_4891 (=> ?v_4892 (=> ?v_4893 (=> ?v_4894 (=> ?v_4895 (=> ?v_4896 (=> ?v_4897 (=> ?v_4898 (=> ?v_5085 (=> ?v_4899 (=> ?v_4900 (=> ?v_4901 (=> ?v_4902 (=> ?v_4903 (=> ?v_4904 (=> ?v_4905 (=> ?v_4906 (=> ?v_4907 (=> ?v_4908 (=> ?v_4909 (=> ?v_4910 (=> ?v_4911 (=> (= irpCompleted_2.29 irpCompleted_2.9) (=> ?v_4912 (=> ?v_4913 (=> ?v_4914 (=> ?v_4915 (=> ?v_4916 (=> ?v_4917 (=> ?v_4918 (=> ?v_4919 (=> ?v_4920 (=> ?v_4921 (=> ?v_4922 (=> ?v_4923 (=> ?v_4924 (=> ?v_4925 (=> ?v_4926 (=> ?v_4927 (=> ?v_4928 (=> ?v_4929 (=> ?v_4930 (=> ?v_4931 (=> ?v_4932 (=> ?v_4933 (=> ?v_4934 (=> ?v_4935 (=> ?v_4936 (=> ?v_4937 (=> ?v_4938 (=> ?v_4939 (=> ?v_4940 (=> ?v_4941 (=> ?v_4942 (=> ?v_4943 (=> ?v_4944 (=> ?v_4945 (=> (= inline.SerialStartOrQueue.0.havoc_stringTemp.0 call77852formal.new.0) (=> ?v_4946 (=> ?v_4947 (=> ?v_4948 (=> ?v_4949 (=> ?v_4950 (=> ?v_4951 (=> ?v_4952 (=> ?v_4953 (=> ?v_4954 (=> ?v_4955 (=> ?v_4956 (=> (= k.249 k.68) ?v_4957)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4166 (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.1 0))) (let ((?v_4208 (and (=> true (=> (not ?v_4166) (=> true (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2.) ?v_4167)))) (=> true (=> ?v_4166 (=> true (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0 call78203formal.ret.0) (=> true (=> true (=> true ?v_4167)))))))))) (let ((?v_4171 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.18 Mem_1_T.CancelRoutine__IRP.17) (=> (= Mem_2_T.CancelRoutine__IRP.18 Mem_2_T.CancelRoutine__IRP.17) (=> (= irpCompleted_2.9 irpCompleted_2.8) (=> (= inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1..0 call77885formal.ret.0) (=> (= Mem_4_T.CancelRoutine__IRP.18 Mem_4_T.CancelRoutine__IRP.17) (=> (= irpCompleted_1.9 irpCompleted_1.8) (=> (= k.68 k.67) (=> (= irpCompleted_3.9 irpCompleted_3.8) (=> (= errorReached.12 errorReached.11) (=> (= Mem_0_T.CancelRoutine__IRP.18 Mem_0_T.CancelRoutine__IRP.17) (=> (= irpCompleted_0.9 irpCompleted_0.8) (=> (= irpCompleted_4.9 irpCompleted_4.8) (=> (= Mem_3_T.CancelRoutine__IRP.18 Mem_3_T.CancelRoutine__IRP.17) ?v_4208))))))))))))))) (?v_4168 (= irpCompleted_4.8 irpCompleted_4.2)) (?v_4169 (= irpCompleted_2.8 irpCompleted_2.2)) (?v_4170 (= irpCompleted_3.8 irpCompleted_3.2)) (?v_4173 (= irpCompleted_1.8 irpCompleted_1.2))) (let ((?v_4174 (=> (= irpCompleted_0.8 irpCompleted_0.2) (=> true ?v_4171)))) (let ((?v_4176 (=> ?v_4173 ?v_4174))) (let ((?v_4178 (=> ?v_4170 ?v_4176))) (let ((?v_4180 (=> ?v_4169 ?v_4178)) (?v_4179 (= k.67 4))) (let ((?v_4194 (not ?v_4179)) (?v_4177 (= k.67 3))) (let ((?v_4192 (not ?v_4177)) (?v_4175 (= k.67 2))) (let ((?v_4190 (not ?v_4175)) (?v_4172 (= k.67 1))) (let ((?v_4186 (not ?v_4172)) (?v_4127 (= k.67 0))) (let ((?v_4181 (not ?v_4127))) (let ((?v_4185 (and (=> true (=> ?v_4127 (=> true (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> ?v_4173 (=> (= irpCompleted_0.8 1) ?v_4171)))))))) (=> true (=> ?v_4181 (and (=> true (=> ?v_4172 (=> true (=> ?v_4168 (=> ?v_4169 (=> ?v_4170 (=> (= irpCompleted_1.8 1) ?v_4174))))))) (=> true (=> ?v_4186 (and (=> true (=> ?v_4175 (=> true (=> ?v_4168 (=> (= irpCompleted_2.8 1) ?v_4178))))) (=> true (=> ?v_4190 (and (=> true (=> ?v_4177 (=> true (=> ?v_4168 (=> ?v_4169 (=> (= irpCompleted_3.8 1) ?v_4176)))))) (=> true (=> ?v_4192 (and (=> true (=> ?v_4179 (=> true (=> (= irpCompleted_4.8 1) ?v_4180)))) (=> true (=> ?v_4194 (=> true (=> ?v_4168 ?v_4180))))))))))))))))))) (let ((?v_4193 (=> true (=> true ?v_4185))) (?v_4182 (= Mem_2_T.CancelRoutine__IRP.17 Mem_2_T.CancelRoutine__IRP.6)) (?v_4187 (= Mem_0_T.CancelRoutine__IRP.17 Mem_0_T.CancelRoutine__IRP.6)) (?v_4183 (= Mem_3_T.CancelRoutine__IRP.17 Mem_3_T.CancelRoutine__IRP.6)) (?v_4188 (= Mem_1_T.CancelRoutine__IRP.17 Mem_1_T.CancelRoutine__IRP.6)) (?v_4184 (= Mem_4_T.CancelRoutine__IRP.17 Mem_4_T.CancelRoutine__IRP.6))) (let ((?v_4189 (=> ?v_4184 ?v_4193))) (let ((?v_4191 (=> ?v_4188 ?v_4189))) (let ((?v_4195 (=> ?v_4187 (=> ?v_4183 ?v_4191)))) (let ((?v_4206 (=> true (=> (<= k.66 k.67) (=> (< k.67 5) (and (=> true (=> ?v_4127 (=> (= Mem_0_T.CancelRoutine__IRP.16 ?v_8504) (=> true (=> ?v_4182 (=> (= Mem_0_T.CancelRoutine__IRP.17 Mem_0_T.CancelRoutine__IRP.16) (=> ?v_4183 (=> ?v_4188 (=> ?v_4184 ?v_4185))))))))) (=> true (=> ?v_4181 (and (=> true (=> ?v_4172 (=> (= Mem_1_T.CancelRoutine__IRP.16 ?v_8527) (=> true (=> ?v_4182 (=> ?v_4187 (=> ?v_4183 (=> (= Mem_1_T.CancelRoutine__IRP.17 Mem_1_T.CancelRoutine__IRP.16) ?v_4189)))))))) (=> true (=> ?v_4186 (and (=> true (=> ?v_4175 (=> (= Mem_2_T.CancelRoutine__IRP.16 ?v_8533) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.17 Mem_2_T.CancelRoutine__IRP.16) ?v_4195))))) (=> true (=> ?v_4190 (and (=> true (=> ?v_4177 (=> (= Mem_3_T.CancelRoutine__IRP.16 ?v_8538) (=> true (=> ?v_4182 (=> ?v_4187 (=> (= Mem_3_T.CancelRoutine__IRP.17 Mem_3_T.CancelRoutine__IRP.16) ?v_4191))))))) (=> true (=> ?v_4192 (and (=> true (=> ?v_4179 (=> (= Mem_4_T.CancelRoutine__IRP.16 ?v_8541) (=> true (=> ?v_4182 (=> ?v_4187 (=> ?v_4183 (=> ?v_4188 (=> (= Mem_4_T.CancelRoutine__IRP.17 Mem_4_T.CancelRoutine__IRP.16) ?v_4193))))))))) (=> true (=> ?v_4194 (=> true (=> ?v_4182 ?v_4195))))))))))))))))))))) (?v_4196 (= k.66 0)) (?v_4198 (= k.66 1)) (?v_4200 (= k.66 2)) (?v_4202 (= k.66 3)) (?v_4204 (= k.66 4)) (?v_4126 (int_2_U call77852formal.new.0))) (let ((?v_4209 (=> true (and ?v_11 (=> ?v_11 (=> (> call77852formal.new.0 0) (=> (forall ((?x1695 Int)) (! (=> (and (<= call77852formal.new.0 ?x1695) (< ?x1695 (+ call77852formal.new.0 1))) (= (Base ?x1695) call77852formal.new.0)) :pattern ((Base ?x1695)) )) (=> (forall ((?x1696 boogieU)) (! (=> (= (type ?x1696) intType) (or (= (U_2_int ?x1696) call77852formal.new.0) (= (MapType0Select alloc.12 ?x1696) (MapType0Select alloc.27 ?x1696)))) :pattern ((MapType0Select alloc.27 ?x1696)) )) (=> (and (= (MapType0Select alloc.12 ?v_4126) UNALLOCATED) (= (MapType0Select alloc.27 ?v_4126) ALLOCATED)) (and (=> true (=> ?v_15 (=> true (=> (<= k.60 k.66) (=> (< k.66 5) (and (=> true (=> (=> ?v_4196 ?v_4231) (=> (=> ?v_4198 ?v_4232) (=> (=> ?v_4200 ?v_4233) (=> (=> ?v_4202 ?v_4234) (=> (=> ?v_4204 ?v_4235) (=> true (=> (= errorReached.11 1) ?v_4206)))))))) (=> true (=> (=> ?v_4196 ?v_4197) (=> (=> ?v_4198 ?v_4199) (=> (=> ?v_4200 ?v_4201) (=> (=> ?v_4202 ?v_4203) (=> (=> ?v_4204 ?v_4205) (=> true (=> (= errorReached.11 errorReached.4) ?v_4206)))))))))))))) (=> true (=> ?v_4207 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.18 Mem_1_T.CancelRoutine__IRP.6) (=> (= Mem_2_T.CancelRoutine__IRP.18 Mem_2_T.CancelRoutine__IRP.6) (=> (= irpCompleted_2.9 irpCompleted_2.2) (=> (= inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.7..result.userContextSwitch.2077.4.1.) (=> (= Mem_4_T.CancelRoutine__IRP.18 Mem_4_T.CancelRoutine__IRP.6) (=> (= irpCompleted_1.9 irpCompleted_1.2) (=> (= k.68 k.60) (=> (= irpCompleted_3.9 irpCompleted_3.2) (=> (= errorReached.12 errorReached.4) (=> (= Mem_0_T.CancelRoutine__IRP.18 Mem_0_T.CancelRoutine__IRP.6) (=> (= irpCompleted_0.9 irpCompleted_0.2) (=> (= irpCompleted_4.9 irpCompleted_4.2) (=> (= Mem_3_T.CancelRoutine__IRP.18 Mem_3_T.CancelRoutine__IRP.6) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4208))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4214 (and (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.11 1769480) (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.14 inline.SerialStartOrQueue.0.myNondetVar_0.13) ?v_4209)))) (=> true (=> (not (= inline.SerialStartOrQueue.0.myNondetVar_0.12 1769480)) (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.14 inline.SerialStartOrQueue.0.myNondetVar_0.12) (=> true ?v_4209)))))))) (let ((?v_4220 (=> true (=> true (=> true (=> true (=> true ?v_4214)))))) (?v_4216 (= cancelLockStatus_1.10 cancelLockStatus_1.4)) (?v_4217 (= cancelLockStatus_0.10 cancelLockStatus_0.4)) (?v_4211 (= cancelLockStatus_2.10 cancelLockStatus_2.4)) (?v_4212 (= cancelLockStatus_4.10 cancelLockStatus_4.4)) (?v_4213 (= cancelLockStatus_3.10 cancelLockStatus_3.4))) (let ((?v_4222 (=> ?v_4213 ?v_4220))) (let ((?v_4218 (=> ?v_4212 ?v_4222))) (let ((?v_4224 (=> ?v_4217 (=> ?v_4211 ?v_4218))) (?v_4223 (= k.60 4)) (?v_4221 (= k.60 3)) (?v_4219 (= k.60 2)) (?v_4215 (= k.60 1)) (?v_4210 (= k.60 0))) (let ((?v_4225 (=> true (=> (<= k.36 k.60) (=> (< k.60 5) (and (=> true (=> ?v_4210 (=> true (=> ?v_4216 (=> (= cancelLockStatus_0.10 0) (=> ?v_4211 (=> ?v_4212 (=> ?v_4213 ?v_4214)))))))) (=> true (=> (not ?v_4210) (and (=> true (=> ?v_4215 (=> true (=> (= cancelLockStatus_1.10 0) ?v_4224)))) (=> true (=> (not ?v_4215) (and (=> true (=> ?v_4219 (=> true (=> ?v_4216 (=> ?v_4217 (=> (= cancelLockStatus_2.10 0) ?v_4218)))))) (=> true (=> (not ?v_4219) (and (=> true (=> ?v_4221 (=> true (=> ?v_4216 (=> ?v_4217 (=> ?v_4211 (=> ?v_4212 (=> (= cancelLockStatus_3.10 0) ?v_4220)))))))) (=> true (=> (not ?v_4221) (and (=> true (=> ?v_4223 (=> true (=> ?v_4216 (=> ?v_4217 (=> ?v_4211 (=> (= cancelLockStatus_4.10 0) ?v_4222))))))) (=> true (=> (not ?v_4223) (=> true (=> ?v_4216 ?v_4224))))))))))))))))))))) (?v_8748 (not ?v_4226)) (?v_8750 (not ?v_4227)) (?v_8752 (not ?v_4228)) (?v_8754 (not ?v_4229)) (?v_8756 (not ?v_4230))) (let ((?v_8469 (and (=> true (=> (=> ?v_4120 ?v_8748) (=> (=> ?v_4121 ?v_8750) (=> (=> ?v_4123 ?v_8752) (=> (=> ?v_4124 ?v_8754) (=> (=> ?v_4125 ?v_8756) (and (=> true (=> ?v_15 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4225)))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4225)))))))))))))))))) (=> true (=> (=> ?v_4120 ?v_4226) (=> (=> ?v_4121 ?v_4227) (=> (=> ?v_4123 ?v_4228) (=> (=> ?v_4124 ?v_4229) (=> (=> ?v_4125 ?v_4230) (=> true (=> (<= k.36 k.37) (=> (< k.37 5) (and (=> true (=> ?v_4998 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.6 ?v_1488))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_4999))))) (=> true (=> (not ?v_4998) (and (=> true (=> ?v_5000 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.6 ?v_1488))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_5001))))) (=> true (=> (not ?v_5000) (and (=> true (=> ?v_5002 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP.6 ?v_1488))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_5001))))) (=> true (=> (not ?v_5002) (and (=> true (=> ?v_5003 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP.6 ?v_1488))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_5001))))) (=> true (=> (not ?v_5003) (and (=> true (=> ?v_5004 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP.6 ?v_1488))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_5001))))) (=> true (=> (not ?v_5004) (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_5001)))))))))))))))))))))))))))) (?v_8468 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_8472 (=> true (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.0.myNondetVar_0.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0))) (and (=> true (=> (not ?v_8468) (and (=> true (=> (=> ?v_4120 (not ?v_5005)) (=> (=> ?v_4121 (not ?v_5006)) (=> (=> ?v_4123 (not ?v_5007)) (=> (=> ?v_4124 (not ?v_5008)) (=> (=> ?v_4125 (not ?v_5009)) ?v_8469)))))) (=> true (=> (=> ?v_4120 ?v_5005) (=> (=> ?v_4121 ?v_5006) (=> (=> ?v_4123 ?v_5007) (=> (=> ?v_4124 ?v_5008) (=> (=> ?v_4125 ?v_5009) (=> true (=> (<= k.36 k.38) (=> (< k.38 5) (and (=> true (=> ?v_8452 (=> (= Mem_0_T.P_IRP.0 (MapType0Store Mem_0_T.P_IRP ?v_4122 ?v_8453)) (=> true (=> ?v_8454 (=> ?v_8459 (=> (= Mem_0_T.P_IRP.1 Mem_0_T.P_IRP.0) (=> ?v_8455 (=> ?v_8456 ?v_8457))))))))) (=> true (=> (not ?v_8452) (and (=> true (=> ?v_8458 (=> (= Mem_1_T.P_IRP.0 (MapType0Store Mem_1_T.P_IRP ?v_4122 ?v_8453)) (=> true (=> ?v_8454 (=> (= Mem_1_T.P_IRP.1 Mem_1_T.P_IRP.0) ?v_8463)))))) (=> true (=> (not ?v_8458) (and (=> true (=> ?v_8462 (=> (= Mem_2_T.P_IRP.0 (MapType0Store Mem_2_T.P_IRP ?v_4122 ?v_8453)) (=> true (=> ?v_8454 (=> ?v_8459 (=> ?v_8460 (=> (= Mem_2_T.P_IRP.1 Mem_2_T.P_IRP.0) ?v_8461)))))))) (=> true (=> (not ?v_8462) (and (=> true (=> ?v_8464 (=> (= Mem_3_T.P_IRP.0 (MapType0Store Mem_3_T.P_IRP ?v_4122 ?v_8453)) (=> true (=> (= Mem_3_T.P_IRP.1 Mem_3_T.P_IRP.0) ?v_8467))))) (=> true (=> (not ?v_8464) (and (=> true (=> ?v_8466 (=> (= Mem_4_T.P_IRP.0 (MapType0Store Mem_4_T.P_IRP ?v_4122 ?v_8453)) (=> true (=> ?v_8454 (=> ?v_8459 (=> ?v_8460 (=> ?v_8455 (=> (= Mem_4_T.P_IRP.1 Mem_4_T.P_IRP.0) ?v_8465))))))))) (=> true (=> (not ?v_8466) (=> true (=> ?v_8454 ?v_8467))))))))))))))))))))))))))))) (=> true (=> ?v_8468 (=> true ?v_8469))))))) (?v_8474 (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp)) (?v_8483 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_8484 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_8485 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_8476 (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_8486 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_8487 (= inline.SerialStartOrQueue.0.tempBoogie0.2 inline.SerialStartOrQueue.0.tempBoogie0)) (?v_8478 (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_8488 (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_8489 (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.))) (let ((?v_8490 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialStartOrQueue.0.myNondetVar_1.1 inline.SerialStartOrQueue.0.myNondetVar_1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> true (=> true (=> true ?v_8472))))))))) (?v_8482 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14)) (?v_8475 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp)) (?v_8477 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp))) (let ((?v_8479 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) ?v_8490))) (let ((?v_8473 (=> true (=> (= inline.SerialStartOrQueue.0.tempBoogie0.1 (PLUS inline.SerialStartOrQueue.0.myNondetVar_0.6 1 1)) (=> true (=> ?v_8474 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_8475 (=> ?v_8476 (=> ?v_8477 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0.6) (=> (= inline.SerialStartOrQueue.0.tempBoogie0.2 inline.SerialStartOrQueue.0.tempBoogie0.1) (=> ?v_8478 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) ?v_8479))))))))))))))) (let ((?v_8480 (and (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.4 1769584) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.5 inline.SerialStartOrQueue.0.myNondetVar_0.4) ?v_8473))))))) (=> true (=> (not (= inline.SerialStartOrQueue.0.myNondetVar_0.3 1769584)) (=> true (=> ?v_8474 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 hirp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 hirp) (=> ?v_8475 (=> ?v_8476 (=> ?v_8477 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0.3) (=> ?v_8487 (=> ?v_8478 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) ?v_8479)))))))))))))))) (let ((?v_8481 (and (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.2 1769496) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.5 inline.SerialStartOrQueue.0.myNondetVar_0.2) ?v_8473))))))) (=> true (=> (not (= inline.SerialStartOrQueue.0.myNondetVar_0.1 1769496)) (and (=> true (=> ?v_15 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8480)))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_8480)))))))))))))) (let ((?v_8491 (and (=> true (=> ?v_8482 (and (=> true (=> ?v_15 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8481)))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_8481))))))))))) (=> true (=> (not ?v_8482) (=> true (=> ?v_8474 (=> ?v_8483 (=> ?v_8484 (=> ?v_8485 (=> ?v_8476 (=> ?v_8486 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0) (=> ?v_8487 (=> ?v_8478 (=> ?v_8488 (=> ?v_8489 ?v_8490)))))))))))))))) (?v_8471 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_8470 (=> true (=> (= inline.SerialStartOrQueue.0.tempBoogie0.0 (PLUS inline.SerialStartOrQueue.0.myNondetVar_0.0 1 inline.SerialStartOrQueue.0.myNondetVar_1.0)) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_8483 (=> ?v_8484 (=> ?v_8485 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_8486 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0.0) (=> (= inline.SerialStartOrQueue.0.tempBoogie0.2 inline.SerialStartOrQueue.0.tempBoogie0.0) (=> (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4.) (=> ?v_8488 (=> ?v_8489 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialStartOrQueue.0.myNondetVar_1.1 inline.SerialStartOrQueue.0.myNondetVar_1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) ?v_8472))))))))))))))))))))) (let ((?v_8492 (and (=> true (=> ?v_8471 (and (=> true (=> ?v_15 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8470)))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_8470)))))))))) (=> true (=> (not ?v_8471) (and (=> true (=> ?v_15 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8491)))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_8491)))))))))))))) (let ((?v_8496 (and (=> true (=> ?v_15 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8492)))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_8492))))))))))) (let ((?v_8500 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_8496))))))))) (?v_8497 (= cancelLockStatus_1.4 cancelLockStatus_1.3)) (?v_8498 (= cancelLockStatus_0.4 cancelLockStatus_0.3)) (?v_8493 (= cancelLockStatus_2.4 cancelLockStatus_2.3)) (?v_8494 (= cancelLockStatus_4.4 cancelLockStatus_4.3)) (?v_8495 (= cancelLockStatus_3.4 cancelLockStatus_3.3))) (let ((?v_8501 (=> ?v_8495 ?v_8500))) (let ((?v_8499 (=> ?v_8494 ?v_8501))) (let ((?v_8502 (=> ?v_8498 (=> ?v_8493 ?v_8499))) (?v_4119 (int_2_U call54379formal.new.0))) (let ((?v_8552 (and (=> true (=> (not (= inline.SerialRead.0.myNondetVar_0.1 0)) (=> true (=> (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0 ?v_7565) (=> (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0 ?v_7561) (=> true (and ?v_11 (=> ?v_11 (=> (> call54379formal.new.0 0) (=> (forall ((?x1697 Int)) (! (=> (and (<= call54379formal.new.0 ?x1697) (< ?x1697 (+ call54379formal.new.0 1))) (= (Base ?x1697) call54379formal.new.0)) :pattern ((Base ?x1697)) )) (=> (forall ((?x1698 boogieU)) (! (=> (= (type ?x1698) intType) (or (= (U_2_int ?x1698) call54379formal.new.0) (= (MapType0Select alloc.6 ?x1698) (MapType0Select alloc.12 ?x1698)))) :pattern ((MapType0Select alloc.12 ?x1698)) )) (=> (and (= (MapType0Select alloc.6 ?v_4119) UNALLOCATED) (= (MapType0Select alloc.12 ?v_4119) ALLOCATED)) (=> true (=> (<= k.29 k.36) (=> (< k.36 5) (=> true (=> (=> ?v_4120 (= cancelLockStatus_0.3 0)) (=> (=> ?v_4121 (= cancelLockStatus_1.3 0)) (=> (=> ?v_4123 (= cancelLockStatus_2.3 0)) (=> (=> ?v_4124 (= cancelLockStatus_3.3 0)) (=> (=> ?v_4125 (= cancelLockStatus_4.3 0)) (and (=> true (=> ?v_4120 (=> true (=> ?v_8497 (=> (= cancelLockStatus_0.4 1) (=> ?v_8493 (=> ?v_8494 (=> ?v_8495 ?v_8496)))))))) (=> true (=> (not ?v_4120) (and (=> true (=> ?v_4121 (=> true (=> (= cancelLockStatus_1.4 1) ?v_8502)))) (=> true (=> (not ?v_4121) (and (=> true (=> ?v_4123 (=> true (=> ?v_8497 (=> ?v_8498 (=> (= cancelLockStatus_2.4 1) ?v_8499)))))) (=> true (=> (not ?v_4123) (and (=> true (=> ?v_4124 (=> true (=> ?v_8497 (=> ?v_8498 (=> ?v_8493 (=> ?v_8494 (=> (= cancelLockStatus_3.4 1) ?v_8500)))))))) (=> true (=> (not ?v_4124) (and (=> true (=> ?v_4125 (=> true (=> ?v_8497 (=> ?v_8498 (=> ?v_8493 (=> (= cancelLockStatus_4.4 1) ?v_8501))))))) (=> true (=> (not ?v_4125) (=> true (=> ?v_8497 ?v_8502)))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialRead.0.myNondetVar_0.0 0) (=> true (and ?v_11 (=> ?v_11 (=> (> call78825formal.new.0 0) (=> (forall ((?x1605 Int)) (! (=> (and (<= call78825formal.new.0 ?x1605) (< ?x1605 (+ call78825formal.new.0 1))) (= (Base ?x1605) call78825formal.new.0)) :pattern ((Base ?x1605)) )) (=> (forall ((?x1606 boogieU)) (! (=> (= (type ?x1606) intType) (or (= (U_2_int ?x1606) call78825formal.new.0) (= (MapType0Select alloc.6 ?x1606) (MapType0Select alloc.8 ?x1606)))) :pattern ((MapType0Select alloc.8 ?x1606)) )) (=> (and (= (MapType0Select alloc.6 ?v_8503) UNALLOCATED) (= (MapType0Select alloc.8 ?v_8503) ALLOCATED)) (and (=> true (=> ?v_15 (=> true (=> (<= k.29 k.31) (=> (< k.31 5) (and (=> true (=> (=> ?v_8545 ?v_4231) (=> (=> ?v_8546 ?v_4232) (=> (=> ?v_8547 ?v_4233) (=> (=> ?v_8548 ?v_4234) (=> (=> ?v_8549 ?v_4235) (=> true (=> (= errorReached.6 1) ?v_8550)))))))) (=> true (=> (=> ?v_8545 ?v_4197) (=> (=> ?v_8546 ?v_4199) (=> (=> ?v_8547 ?v_4201) (=> (=> ?v_8548 ?v_4203) (=> (=> ?v_8549 ?v_4205) (=> true (=> (= errorReached.6 errorReached.4) ?v_8550)))))))))))))) (=> true (=> ?v_4207 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.10 Mem_1_T.CancelRoutine__IRP.6) (=> (= Mem_2_T.CancelRoutine__IRP.10 Mem_2_T.CancelRoutine__IRP.6) (=> (= irpCompleted_2.4 irpCompleted_2.2) (=> (= inline.sdv_IoCompleteRequest.8..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.8..result.userContextSwitch.2077.4.1.) (=> (= Mem_4_T.CancelRoutine__IRP.9 Mem_4_T.CancelRoutine__IRP.6) (=> (= irpCompleted_1.4 irpCompleted_1.2) (=> (= k.33 k.29) (=> (= irpCompleted_3.4 irpCompleted_3.2) (=> (= errorReached.7 errorReached.4) (=> (= Mem_0_T.CancelRoutine__IRP.10 Mem_0_T.CancelRoutine__IRP.6) (=> (= irpCompleted_0.4 irpCompleted_0.2) (=> (= irpCompleted_4.4 irpCompleted_4.2) (=> (= Mem_3_T.CancelRoutine__IRP.10 Mem_3_T.CancelRoutine__IRP.6) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_8551))))))))))))))))))))))))))))))))))))))))))))) (?v_4118 (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1 0)) (?v_3374 (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3699 (= inline.SerialRead.0.myNondetVar_0.2 inline.SerialRead.0.myNondetVar_0)) (?v_3792 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4070 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3312 (int_2_U call54284formal.new.0))) (let ((?v_8601 (and (=> true (=> (not ?v_4118) (=> true (and ?v_11 (=> ?v_11 (=> (> call54284formal.new.0 0) (=> (forall ((?x1699 Int)) (! (=> (and (<= call54284formal.new.0 ?x1699) (< ?x1699 (+ call54284formal.new.0 1))) (= (Base ?x1699) call54284formal.new.0)) :pattern ((Base ?x1699)) )) (=> (forall ((?x1700 boogieU)) (! (=> (= (type ?x1700) intType) (or (= (U_2_int ?x1700) call54284formal.new.0) (= (MapType0Select alloc.6 ?x1700) (MapType0Select alloc.7 ?x1700)))) :pattern ((MapType0Select alloc.7 ?x1700)) )) (=> (and (= (MapType0Select alloc.6 ?v_3312) UNALLOCATED) (= (MapType0Select alloc.7 ?v_3312) ALLOCATED)) (=> true (=> (= inline.SerialRead.0..result.SerialRead.90.0.1..0 ?v_1489) (=> true (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> (= Mem_2_T.CancelRoutine__IRP.69 Mem_2_T.CancelRoutine__IRP.6) (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_4129 (=> ?v_3368 (=> ?v_3369 (=> ?v_4130 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_4131 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_4132 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_4133 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> (= inline.SerialRead.0..result.SerialRead.90.0.1..1 inline.SerialRead.0..result.SerialRead.90.0.1..0) (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_4134 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> (= irpCompleted_0.30 irpCompleted_0.2) (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_4135 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> ?v_4136 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_4137 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_4138 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> (= irpCompleted_1.30 irpCompleted_1.2) (=> ?v_4139 (=> ?v_3525 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> ?v_4140 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> (= Mem_3_T.CancelRoutine__IRP.69 Mem_3_T.CancelRoutine__IRP.6) (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_4141 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.6) (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> (= irpCompleted_2.30 irpCompleted_2.2) (=> ?v_3575 (=> (= alloc.76 alloc.7) (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.6) (=> ?v_3587 (=> (= inline.SerialRead.0.havoc_stringTemp.1 call54284formal.new.0) (=> ?v_3588 (=> ?v_3589 (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_4142 (=> ?v_3602 (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_4143 (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_4144 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_4145 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3650 (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_3663 (=> ?v_3664 (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> ?v_3668 (=> ?v_3669 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> ?v_3679 (=> ?v_3680 (=> ?v_3681 (=> ?v_3682 (=> (= irpCompleted_4.30 irpCompleted_4.2) (=> ?v_3683 (=> ?v_3684 (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> ?v_3690 (=> ?v_3691 (=> ?v_3692 (=> ?v_3693 (=> ?v_3694 (=> ?v_3695 (=> ?v_3696 (=> ?v_3697 (=> ?v_3698 (=> ?v_3699 (=> ?v_3700 (=> ?v_3701 (=> ?v_3702 (=> ?v_3703 (=> ?v_3704 (=> ?v_3705 (=> ?v_3706 (=> ?v_3707 (=> ?v_3708 (=> ?v_3709 (=> ?v_3710 (=> ?v_3711 (=> ?v_3712 (=> ?v_3713 (=> ?v_3714 (=> ?v_3715 (=> ?v_3716 (=> ?v_3717 (=> ?v_3718 (=> ?v_3719 (=> ?v_3720 (=> ?v_3721 (=> ?v_3722 (=> ?v_3723 (=> ?v_3724 (=> ?v_4146 (=> ?v_3725 (=> ?v_3726 (=> ?v_3727 (=> ?v_3728 (=> ?v_3729 (=> ?v_3730 (=> ?v_3731 (=> ?v_3732 (=> ?v_3733 (=> ?v_3734 (=> ?v_3735 (=> ?v_3736 (=> ?v_3737 (=> ?v_3738 (=> ?v_3739 (=> ?v_3740 (=> ?v_3741 (=> ?v_3742 (=> ?v_4147 (=> ?v_3743 (=> ?v_3744 (=> ?v_3745 (=> ?v_3746 (=> ?v_3747 (=> ?v_3748 (=> ?v_3749 (=> ?v_3750 (=> ?v_3751 (=> ?v_3752 (=> ?v_4148 (=> ?v_3753 (=> ?v_3754 (=> ?v_3755 (=> ?v_3756 (=> ?v_3757 (=> ?v_3758 (=> ?v_3759 (=> ?v_3760 (=> ?v_3761 (=> ?v_3762 (=> ?v_3763 (=> ?v_3764 (=> ?v_3765 (=> ?v_3766 (=> ?v_3767 (=> ?v_3768 (=> ?v_3769 (=> ?v_3770 (=> ?v_3771 (=> ?v_3772 (=> ?v_3773 (=> ?v_3774 (=> ?v_3775 (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> ?v_3779 (=> ?v_3780 (=> ?v_3781 (=> ?v_3782 (=> ?v_3783 (=> ?v_3784 (=> ?v_3785 (=> ?v_4149 (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> ?v_3789 (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> ?v_3793 (=> ?v_3794 (=> ?v_3795 (=> ?v_3796 (=> ?v_3797 (=> ?v_3798 (=> ?v_3799 (=> ?v_3800 (=> ?v_3801 (=> ?v_3802 (=> ?v_3803 (=> ?v_4150 (=> ?v_3804 (=> ?v_3805 (=> ?v_3806 (=> ?v_3807 (=> ?v_3808 (=> ?v_3809 (=> ?v_3810 (=> ?v_3811 (=> ?v_3812 (=> ?v_3813 (=> ?v_3814 (=> ?v_3815 (=> ?v_3816 (=> ?v_3817 (=> ?v_3818 (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> ?v_3822 (=> ?v_3823 (=> ?v_3824 (=> ?v_3825 (=> ?v_4151 (=> ?v_3826 (=> ?v_3827 (=> ?v_3828 (=> ?v_4152 (=> ?v_3829 (=> ?v_3830 (=> ?v_3831 (=> ?v_3832 (=> ?v_3833 (=> ?v_3834 (=> ?v_3835 (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> ?v_3845 (=> ?v_3846 (=> ?v_3847 (=> ?v_4153 (=> ?v_3848 (=> ?v_3849 (=> ?v_3850 (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> ?v_4154 (=> ?v_4155 (=> ?v_3875 (=> ?v_3876 (=> ?v_3877 (=> ?v_3878 (=> ?v_3879 (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> ?v_3883 (=> ?v_3884 (=> ?v_3885 (=> ?v_3886 (=> ?v_3887 (=> ?v_3888 (=> ?v_3889 (=> ?v_3890 (=> ?v_3891 (=> ?v_3892 (=> ?v_3893 (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> ?v_3900 (=> ?v_3901 (=> ?v_3902 (=> ?v_3903 (=> ?v_3904 (=> ?v_3905 (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> ?v_3910 (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> ?v_3916 (=> ?v_3917 (=> (= inline.SerialRead.0..result.SerialDbgPrintEx.141.23.12..1 inline.SerialRead.0..result.SerialDbgPrintEx.141.23.12..0) (=> ?v_3918 (=> ?v_3919 (=> ?v_3920 (=> ?v_3921 (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> ?v_3932 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> ?v_3939 (=> ?v_3940 (=> ?v_3941 (=> (= Mem_4_T.CancelRoutine__IRP.69 Mem_4_T.CancelRoutine__IRP.6) (=> ?v_3942 (=> ?v_3943 (=> ?v_3944 (=> ?v_3945 (=> ?v_3946 (=> ?v_3947 (=> ?v_3948 (=> ?v_4157 (=> ?v_3949 (=> ?v_3950 (=> ?v_3951 (=> ?v_3952 (=> ?v_3953 (=> ?v_3954 (=> ?v_3955 (=> ?v_3956 (=> ?v_3957 (=> ?v_3958 (=> ?v_3959 (=> ?v_3960 (=> ?v_3961 (=> (= irpCompleted_3.30 irpCompleted_3.2) (=> ?v_4158 (=> ?v_3962 (=> ?v_3963 (=> ?v_3964 (=> ?v_3965 (=> ?v_3966 (=> ?v_3967 (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> ?v_3971 (=> ?v_3972 (=> ?v_3973 (=> ?v_3974 (=> ?v_3975 (=> ?v_3976 (=> ?v_3977 (=> ?v_3978 (=> ?v_3979 (=> ?v_3980 (=> ?v_3981 (=> ?v_3982 (=> ?v_3983 (=> ?v_3984 (=> ?v_3985 (=> ?v_3986 (=> ?v_3987 (=> ?v_3988 (=> ?v_3989 (=> ?v_3990 (=> ?v_4159 (=> ?v_3991 (=> ?v_3992 (=> ?v_3993 (=> ?v_3994 (=> ?v_3995 (=> ?v_3996 (=> ?v_3997 (=> ?v_3998 (=> ?v_3999 (=> ?v_4000 (=> ?v_4001 (=> ?v_4002 (=> ?v_4003 (=> ?v_4004 (=> ?v_4005 (=> ?v_4006 (=> ?v_4007 (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4160 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4050 (=> ?v_4161 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> (= k.250 k.29) (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4069 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> (= errorReached.50 errorReached.4) ?v_8510)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4118 (and (=> true (=> ?v_15 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8552)))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_8552))))))))))))) (?v_8621 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_8603 (= alloc.6 alloc.3)) (?v_8604 (= irpCompleted_2.2 irpCompleted_2)) (?v_8605 (= inline.SerialCompleteIfError.0.havoc_stringTemp.0 inline.SerialCompleteIfError.0.havoc_stringTemp)) (?v_8606 (= errorReached.4 errorReached.1)) (?v_8607 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_8608 (= irpCompleted_4.2 irpCompleted_4)) (?v_8609 (= irpCompleted_0.2 irpCompleted_0)) (?v_8610 (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_8622 (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0 inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2.)) (?v_8623 (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0 inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError)) (?v_8611 (= irpCompleted_3.2 irpCompleted_3)) (?v_8612 (= irpCompleted_1.2 irpCompleted_1)) (?v_8613 (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_8624 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_8614 (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_8615 (= k.29 k.25)) (?v_8616 (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1.)) (?v_8617 (= Mem_3_T.CancelRoutine__IRP.6 Mem_3_T.CancelRoutine__IRP.2)) (?v_8625 (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_8618 (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2.)) (?v_8619 (= Mem_1_T.CancelRoutine__IRP.6 Mem_1_T.CancelRoutine__IRP.2))) (let ((?v_8620 (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.2 inline.sdv_InterlockedDecrement.1.myNondetVar_0) (=> (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3.) (=> (= Mem_2_T.CancelRoutine__IRP.6 Mem_2_T.CancelRoutine__IRP.2) (=> (= Mem_4_T.CancelRoutine__IRP.6 Mem_4_T.CancelRoutine__IRP.2) (=> (= Mem_0_T.CancelRoutine__IRP.6 Mem_0_T.CancelRoutine__IRP.2) (=> true (=> true (=> true (=> true (=> true ?v_8601)))))))))))) (?v_8596 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp)) (?v_8597 (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_8598 (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_8599 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp)) (?v_8600 (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0))) (let ((?v_8554 (=> true (=> ?v_8596 (=> (= alloc.6 alloc.5) (=> (= irpCompleted_2.2 irpCompleted_2.1) (=> (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.0) (=> (= inline.SerialCompleteIfError.0.havoc_stringTemp.0 call53905formal.new.0) (=> (= errorReached.4 errorReached.3) (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> (= irpCompleted_4.2 irpCompleted_4.1) (=> (= irpCompleted_0.2 irpCompleted_0.1) (=> (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> ?v_8597 (=> ?v_8598 (=> (= irpCompleted_3.2 irpCompleted_3.1) (=> (= irpCompleted_1.2 irpCompleted_1.1) (=> (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> ?v_8599 (=> (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> (= k.29 k.28) (=> (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..0) (=> (= Mem_3_T.CancelRoutine__IRP.6 Mem_3_T.CancelRoutine__IRP.5) (=> ?v_8600 (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0) (=> (= Mem_1_T.CancelRoutine__IRP.6 Mem_1_T.CancelRoutine__IRP.5) (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.4) (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.2 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..0) (=> (= Mem_2_T.CancelRoutine__IRP.6 Mem_2_T.CancelRoutine__IRP.5) (=> (= Mem_4_T.CancelRoutine__IRP.6 Mem_4_T.CancelRoutine__IRP.5) (=> (= Mem_0_T.CancelRoutine__IRP.6 Mem_0_T.CancelRoutine__IRP.5) ?v_8601)))))))))))))))))))))))))))))))) (?v_8553 (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.1 0))) (let ((?v_8593 (and (=> true (=> (not ?v_8553) (=> true (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2.) ?v_8554)))) (=> true (=> ?v_8553 (=> true (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0 call54256formal.ret.0) (=> true (=> true (=> true ?v_8554)))))))))) (let ((?v_8558 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.5 Mem_1_T.CancelRoutine__IRP.4) (=> (= irpCompleted_1.1 irpCompleted_1.0) (=> (= Mem_2_T.CancelRoutine__IRP.5 Mem_2_T.CancelRoutine__IRP.4) (=> (= irpCompleted_2.1 irpCompleted_2.0) (=> (= Mem_4_T.CancelRoutine__IRP.5 Mem_4_T.CancelRoutine__IRP.4) (=> (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..0 call53938formal.ret.0) (=> (= irpCompleted_3.1 irpCompleted_3.0) (=> (= errorReached.3 errorReached.2) (=> (= Mem_0_T.CancelRoutine__IRP.5 Mem_0_T.CancelRoutine__IRP.4) (=> (= irpCompleted_0.1 irpCompleted_0.0) (=> (= k.28 k.27) (=> (= irpCompleted_4.1 irpCompleted_4.0) (=> (= Mem_3_T.CancelRoutine__IRP.5 Mem_3_T.CancelRoutine__IRP.4) ?v_8593))))))))))))))) (?v_8555 (= irpCompleted_4.0 irpCompleted_4)) (?v_8556 (= irpCompleted_2.0 irpCompleted_2)) (?v_8557 (= irpCompleted_3.0 irpCompleted_3)) (?v_8560 (= irpCompleted_1.0 irpCompleted_1))) (let ((?v_8561 (=> (= irpCompleted_0.0 irpCompleted_0) (=> true ?v_8558)))) (let ((?v_8563 (=> ?v_8560 ?v_8561))) (let ((?v_8565 (=> ?v_8557 ?v_8563))) (let ((?v_8567 (=> ?v_8556 ?v_8565)) (?v_8566 (= k.27 4))) (let ((?v_8585 (not ?v_8566)) (?v_8564 (= k.27 3))) (let ((?v_8582 (not ?v_8564)) (?v_8562 (= k.27 2))) (let ((?v_8579 (not ?v_8562)) (?v_8559 (= k.27 1))) (let ((?v_8574 (not ?v_8559)) (?v_3311 (= k.27 0))) (let ((?v_8568 (not ?v_3311))) (let ((?v_8573 (and (=> true (=> ?v_3311 (=> true (=> ?v_8555 (=> ?v_8556 (=> ?v_8557 (=> ?v_8560 (=> (= irpCompleted_0.0 1) ?v_8558)))))))) (=> true (=> ?v_8568 (and (=> true (=> ?v_8559 (=> true (=> ?v_8555 (=> ?v_8556 (=> ?v_8557 (=> (= irpCompleted_1.0 1) ?v_8561))))))) (=> true (=> ?v_8574 (and (=> true (=> ?v_8562 (=> true (=> ?v_8555 (=> (= irpCompleted_2.0 1) ?v_8565))))) (=> true (=> ?v_8579 (and (=> true (=> ?v_8564 (=> true (=> ?v_8555 (=> ?v_8556 (=> (= irpCompleted_3.0 1) ?v_8563)))))) (=> true (=> ?v_8582 (and (=> true (=> ?v_8566 (=> true (=> (= irpCompleted_4.0 1) ?v_8567)))) (=> true (=> ?v_8585 (=> true (=> ?v_8555 ?v_8567))))))))))))))))))) (let ((?v_8584 (=> true (=> true ?v_8573))) (?v_8570 (= Mem_2_T.CancelRoutine__IRP.4 Mem_2_T.CancelRoutine__IRP.2)) (?v_8576 (= Mem_0_T.CancelRoutine__IRP.4 Mem_0_T.CancelRoutine__IRP.2)) (?v_8571 (= Mem_3_T.CancelRoutine__IRP.4 Mem_3_T.CancelRoutine__IRP.2)) (?v_8577 (= Mem_1_T.CancelRoutine__IRP.4 Mem_1_T.CancelRoutine__IRP.2)) (?v_8572 (= Mem_4_T.CancelRoutine__IRP.4 Mem_4_T.CancelRoutine__IRP.2))) (let ((?v_8578 (=> ?v_8572 ?v_8584))) (let ((?v_8581 (=> ?v_8577 ?v_8578))) (let ((?v_8586 (=> ?v_8576 (=> ?v_8571 ?v_8581))) (?v_8583 (MapType0Store Mem_4_T.CancelRoutine__IRP.2 ?v_1488 ?v_46)) (?v_8580 (MapType0Store Mem_3_T.CancelRoutine__IRP.2 ?v_1488 ?v_46)) (?v_8575 (MapType0Store Mem_2_T.CancelRoutine__IRP.2 ?v_1488 ?v_46)) (?v_8569 (MapType0Store Mem_1_T.CancelRoutine__IRP.2 ?v_1488 ?v_46)) (?v_3310 (MapType0Store Mem_0_T.CancelRoutine__IRP.2 ?v_1488 ?v_46))) (let ((?v_8592 (=> true (=> (<= k.26 k.27) (=> (< k.27 5) (and (=> true (=> ?v_3311 (=> (= Mem_0_T.CancelRoutine__IRP.3 ?v_3310) (=> true (=> ?v_8570 (=> (= Mem_0_T.CancelRoutine__IRP.4 Mem_0_T.CancelRoutine__IRP.3) (=> ?v_8571 (=> ?v_8577 (=> ?v_8572 ?v_8573))))))))) (=> true (=> ?v_8568 (and (=> true (=> ?v_8559 (=> (= Mem_1_T.CancelRoutine__IRP.3 ?v_8569) (=> true (=> ?v_8570 (=> ?v_8576 (=> ?v_8571 (=> (= Mem_1_T.CancelRoutine__IRP.4 Mem_1_T.CancelRoutine__IRP.3) ?v_8578)))))))) (=> true (=> ?v_8574 (and (=> true (=> ?v_8562 (=> (= Mem_2_T.CancelRoutine__IRP.3 ?v_8575) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.4 Mem_2_T.CancelRoutine__IRP.3) ?v_8586))))) (=> true (=> ?v_8579 (and (=> true (=> ?v_8564 (=> (= Mem_3_T.CancelRoutine__IRP.3 ?v_8580) (=> true (=> ?v_8570 (=> ?v_8576 (=> (= Mem_3_T.CancelRoutine__IRP.4 Mem_3_T.CancelRoutine__IRP.3) ?v_8581))))))) (=> true (=> ?v_8582 (and (=> true (=> ?v_8566 (=> (= Mem_4_T.CancelRoutine__IRP.3 ?v_8583) (=> true (=> ?v_8570 (=> ?v_8576 (=> ?v_8571 (=> ?v_8577 (=> (= Mem_4_T.CancelRoutine__IRP.4 Mem_4_T.CancelRoutine__IRP.3) ?v_8584))))))))) (=> true (=> ?v_8585 (=> true (=> ?v_8570 ?v_8586))))))))))))))))))))) (?v_8587 (= k.26 0)) (?v_25 (= irpCompleted_0 0)) (?v_8588 (= k.26 1)) (?v_26 (= irpCompleted_1 0)) (?v_8589 (= k.26 2)) (?v_27 (= irpCompleted_2 0)) (?v_8590 (= k.26 3)) (?v_28 (= irpCompleted_3 0)) (?v_8591 (= k.26 4)) (?v_29 (= irpCompleted_4 0))) (let ((?v_3305 (not ?v_25)) (?v_3306 (not ?v_26)) (?v_3307 (not ?v_27)) (?v_3308 (not ?v_28)) (?v_3309 (not ?v_29)) (?v_3304 (int_2_U call53905formal.new.0))) (let ((?v_8595 (=> true (=> (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.0 ?v_1489) (=> true (and ?v_11 (=> ?v_11 (=> (> call53905formal.new.0 0) (=> (forall ((?x1701 Int)) (! (=> (and (<= call53905formal.new.0 ?x1701) (< ?x1701 (+ call53905formal.new.0 1))) (= (Base ?x1701) call53905formal.new.0)) :pattern ((Base ?x1701)) )) (=> (forall ((?x1702 boogieU)) (! (=> (= (type ?x1702) intType) (or (= (U_2_int ?x1702) call53905formal.new.0) (= (MapType0Select alloc.3 ?x1702) (MapType0Select alloc.5 ?x1702)))) :pattern ((MapType0Select alloc.5 ?x1702)) )) (=> (and (= (MapType0Select alloc.3 ?v_3304) UNALLOCATED) (= (MapType0Select alloc.5 ?v_3304) ALLOCATED)) (and (=> true (=> ?v_15 (=> true (=> (<= k.25 k.26) (=> (< k.26 5) (and (=> true (=> (=> ?v_8587 ?v_3305) (=> (=> ?v_8588 ?v_3306) (=> (=> ?v_8589 ?v_3307) (=> (=> ?v_8590 ?v_3308) (=> (=> ?v_8591 ?v_3309) (=> true (=> (= errorReached.2 1) ?v_8592)))))))) (=> true (=> (=> ?v_8587 ?v_25) (=> (=> ?v_8588 ?v_26) (=> (=> ?v_8589 ?v_27) (=> (=> ?v_8590 ?v_28) (=> (=> ?v_8591 ?v_29) (=> true (=> (= errorReached.2 errorReached.1) ?v_8592)))))))))))))) (=> true (=> ?v_4207 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.5 Mem_1_T.CancelRoutine__IRP.2) (=> (= irpCompleted_1.1 irpCompleted_1) (=> (= Mem_2_T.CancelRoutine__IRP.5 Mem_2_T.CancelRoutine__IRP.2) (=> (= irpCompleted_2.1 irpCompleted_2) (=> (= Mem_4_T.CancelRoutine__IRP.5 Mem_4_T.CancelRoutine__IRP.2) (=> (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_3.1 irpCompleted_3) (=> (= errorReached.3 errorReached.1) (=> (= Mem_0_T.CancelRoutine__IRP.5 Mem_0_T.CancelRoutine__IRP.2) (=> (= irpCompleted_0.1 irpCompleted_0) (=> (= k.28 k.25) (=> (= irpCompleted_4.1 irpCompleted_4) (=> (= Mem_3_T.CancelRoutine__IRP.5 Mem_3_T.CancelRoutine__IRP.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_8593)))))))))))))))))))))))))))))))))))))))))))) (?v_8594 (not (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14)))) (let ((?v_8602 (and (=> true (=> ?v_8594 (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.4 inline.SerialCompleteIfError.0.myNondetVar_0.2) ?v_8595)))) (=> true (=> (not ?v_8594) (and (=> true (=> (not (= inline.SerialCompleteIfError.0.myNondetVar_0.3 1769580)) (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.4 inline.SerialCompleteIfError.0.myNondetVar_0.3) ?v_8595)))) (=> true (=> (not (not (= inline.SerialCompleteIfError.0.myNondetVar_0.6 1769580))) (=> true (=> ?v_8596 (=> ?v_8603 (=> ?v_8604 (=> ?v_4118 (=> ?v_8605 (=> ?v_8606 (=> ?v_8607 (=> ?v_8608 (=> ?v_8609 (=> ?v_8610 (=> ?v_8597 (=> ?v_8598 (=> ?v_8611 (=> ?v_8612 (=> ?v_8613 (=> ?v_8599 (=> ?v_8614 (=> ?v_8615 (=> ?v_8616 (=> ?v_8617 (=> ?v_8600 (=> ?v_8618 (=> ?v_8619 (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.6) ?v_8620))))))))))))))))))))))))))))))))) (let ((?v_8627 (and (=> true (=> (not (= (BIT_BAND inline.SerialCompleteIfError.0.myNondetVar_0.1 BOOGIE_LARGE_INT_2147483648) 0)) (and (=> true (=> (not (= inline.SerialCompleteIfError.0.myNondetVar_0.2 0)) (and (=> true (=> ?v_15 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8602)))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true ?v_8602)))))))))))) (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.5 0) (=> true (=> ?v_8621 (=> ?v_8603 (=> ?v_8604 (=> ?v_4118 (=> ?v_8605 (=> ?v_8606 (=> ?v_8607 (=> ?v_8608 (=> ?v_8609 (=> ?v_8610 (=> ?v_8622 (=> ?v_8623 (=> ?v_8611 (=> ?v_8612 (=> ?v_8613 (=> ?v_8624 (=> ?v_8614 (=> ?v_8615 (=> ?v_8616 (=> ?v_8617 (=> ?v_8625 (=> ?v_8618 (=> ?v_8619 (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.5) ?v_8620)))))))))))))))))))))))))))))) (=> true (=> (= (BIT_BAND inline.SerialCompleteIfError.0.myNondetVar_0.0 BOOGIE_LARGE_INT_2147483648) 0) (=> true (=> ?v_8621 (=> ?v_8603 (=> ?v_8604 (=> ?v_4118 (=> ?v_8605 (=> ?v_8606 (=> ?v_8607 (=> ?v_8608 (=> ?v_8609 (=> ?v_8610 (=> ?v_8622 (=> ?v_8623 (=> ?v_8611 (=> ?v_8612 (=> ?v_8613 (=> ?v_8624 (=> ?v_8614 (=> ?v_8615 (=> ?v_8616 (=> ?v_8617 (=> ?v_8625 (=> ?v_8618 (=> ?v_8619 (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.0) ?v_8620)))))))))))))))))))))))))))))) (let ((?v_8629 (=> true (=> true (=> true (=> true ?v_8627))))) (?v_8632 (= k.25 4)) (?v_8631 (= k.25 3)) (?v_8630 (= k.25 2)) (?v_8628 (= k.25 1)) (?v_8626 (= k.25 0)) (?v_3303 (int_2_U call53255formal.new.0)) (?v_23 (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 0)) (?v_31 (int_2_U call53271formal.new.0))) (let ((?v_3302 (=> true (and ?v_11 (=> ?v_11 (=> (> call53271formal.new.0 0) (=> (forall ((?x1705 Int)) (! (=> (and (<= call53271formal.new.0 ?x1705) (< ?x1705 (+ call53271formal.new.0 1))) (= (Base ?x1705) call53271formal.new.0)) :pattern ((Base ?x1705)) )) (=> (forall ((?x1706 boogieU)) (! (=> (= (type ?x1706) intType) (or (= (U_2_int ?x1706) call53271formal.new.0) (= (MapType0Select alloc.10 ?x1706) (MapType0Select alloc.11 ?x1706)))) :pattern ((MapType0Select alloc.11 ?x1706)) )) (=> (and (= (MapType0Select alloc.10 ?v_31) UNALLOCATED) (= (MapType0Select alloc.11 ?v_31) ALLOCATED)) (=> true (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> (= Mem_2_T.CancelRoutine__IRP.69 Mem_2_T.CancelRoutine__IRP.13) (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1.0 inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1) (=> ?v_3368 (=> ?v_3369 (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1) (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..1 inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2.) (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0) (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> (= inline.SerialRead.0..result.SerialRead.90.0.1..1 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2) (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.1 inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError) (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> (= irpCompleted_0.30 irpCompleted_0.7) (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..2 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3.) (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> (= inline.SerialCompleteIfError.0.havoc_stringTemp.1 inline.SerialCompleteIfError.0.havoc_stringTemp) (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..1) (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> (= irpCompleted_1.30 irpCompleted_1.7) (=> (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_3525 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> (= inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5..2 inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5..1) (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> (= Mem_3_T.CancelRoutine__IRP.69 Mem_3_T.CancelRoutine__IRP.13) (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> (= inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.1..result.userContextSwitch.2077.4.1.) (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.13) (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> (= irpCompleted_2.30 irpCompleted_2.7) (=> ?v_3575 (=> (= alloc.76 alloc.11) (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.13) (=> ?v_3587 (=> (= inline.SerialRead.0.havoc_stringTemp.1 call53271formal.new.0) (=> ?v_3588 (=> ?v_3589 (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.3 inline.sdv_InterlockedDecrement.0.myNondetVar_0.2) (=> ?v_3602 (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> (= inline.SerialRead.0..result.SerialDbgPrintEx.137.20.9..1 inline.SerialRead.0..result.SerialDbgPrintEx.137.20.9.) (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1.) (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3650 (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_3663 (=> ?v_3664 (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> ?v_3668 (=> ?v_3669 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> ?v_3679 (=> ?v_3680 (=> ?v_3681 (=> ?v_3682 (=> (= irpCompleted_4.30 irpCompleted_4.7) (=> ?v_3683 (=> ?v_3684 (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> ?v_3690 (=> ?v_3691 (=> ?v_3692 (=> ?v_3693 (=> ?v_3694 (=> ?v_3695 (=> ?v_3696 (=> ?v_3697 (=> ?v_3698 (=> ?v_3699 (=> ?v_3700 (=> ?v_3701 (=> ?v_3702 (=> ?v_3703 (=> ?v_3704 (=> ?v_3705 (=> ?v_3706 (=> ?v_3707 (=> ?v_3708 (=> ?v_3709 (=> ?v_3710 (=> ?v_3711 (=> ?v_3712 (=> ?v_3713 (=> ?v_3714 (=> ?v_3715 (=> ?v_3716 (=> ?v_3717 (=> ?v_3718 (=> ?v_3719 (=> ?v_3720 (=> ?v_3721 (=> ?v_3722 (=> ?v_3723 (=> ?v_3724 (=> (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError) (=> ?v_3725 (=> ?v_3726 (=> ?v_3727 (=> ?v_3728 (=> ?v_3729 (=> ?v_3730 (=> ?v_3731 (=> ?v_3732 (=> ?v_3733 (=> ?v_3734 (=> ?v_3735 (=> ?v_3736 (=> ?v_3737 (=> ?v_3738 (=> ?v_3739 (=> ?v_3740 (=> ?v_3741 (=> ?v_3742 (=> (= inline.SerialRead.0..result.SerialCompleteIfError.139.29.11..0 inline.SerialRead.0..result.SerialCompleteIfError.139.29.11.) (=> ?v_3743 (=> ?v_3744 (=> ?v_3745 (=> ?v_3746 (=> ?v_3747 (=> ?v_3748 (=> ?v_3749 (=> ?v_3750 (=> ?v_3751 (=> ?v_3752 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_3753 (=> ?v_3754 (=> ?v_3755 (=> ?v_3756 (=> ?v_3757 (=> ?v_3758 (=> ?v_3759 (=> ?v_3760 (=> ?v_3761 (=> ?v_3762 (=> ?v_3763 (=> ?v_3764 (=> ?v_3765 (=> ?v_3766 (=> ?v_3767 (=> ?v_3768 (=> ?v_3769 (=> ?v_3770 (=> ?v_3771 (=> ?v_3772 (=> ?v_3773 (=> ?v_3774 (=> ?v_3775 (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> ?v_3779 (=> ?v_3780 (=> ?v_3781 (=> ?v_3782 (=> ?v_3783 (=> ?v_3784 (=> ?v_3785 (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest) (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> ?v_3789 (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> ?v_3793 (=> ?v_3794 (=> ?v_3795 (=> ?v_3796 (=> ?v_3797 (=> ?v_3798 (=> ?v_3799 (=> ?v_3800 (=> ?v_3801 (=> ?v_3802 (=> ?v_3803 (=> (= inline.SerialRead.0..result.SerialDbgPrintEx.133.22.7..1 inline.SerialRead.0..result.SerialDbgPrintEx.133.22.7..0) (=> ?v_3804 (=> ?v_3805 (=> ?v_3806 (=> ?v_3807 (=> ?v_3808 (=> ?v_3809 (=> ?v_3810 (=> ?v_3811 (=> ?v_3812 (=> ?v_3813 (=> ?v_3814 (=> ?v_3815 (=> ?v_3816 (=> ?v_3817 (=> ?v_3818 (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> ?v_3822 (=> ?v_3823 (=> ?v_3824 (=> ?v_3825 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.6 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError) (=> ?v_3826 (=> ?v_3827 (=> ?v_3828 (=> (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_3829 (=> ?v_3830 (=> ?v_3831 (=> ?v_3832 (=> ?v_3833 (=> ?v_3834 (=> ?v_3835 (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> ?v_3845 (=> ?v_3846 (=> ?v_3847 (=> (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.3 inline.sdv_InterlockedDecrement.1.myNondetVar_0) (=> ?v_3848 (=> ?v_3849 (=> ?v_3850 (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> (= inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1..0 inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1.) (=> (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1.0 inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1) (=> ?v_3875 (=> ?v_3876 (=> ?v_3877 (=> ?v_3878 (=> ?v_3879 (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> ?v_3883 (=> ?v_3884 (=> ?v_3885 (=> ?v_3886 (=> ?v_3887 (=> ?v_3888 (=> ?v_3889 (=> ?v_3890 (=> ?v_3891 (=> ?v_3892 (=> ?v_3893 (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> ?v_3900 (=> ?v_3901 (=> ?v_3902 (=> ?v_3903 (=> ?v_3904 (=> ?v_3905 (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> ?v_3910 (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> ?v_3916 (=> ?v_3917 (=> ?v_4156 (=> ?v_3918 (=> ?v_3919 (=> ?v_3920 (=> ?v_3921 (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> ?v_3932 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> ?v_3939 (=> ?v_3940 (=> ?v_3941 (=> (= Mem_4_T.CancelRoutine__IRP.69 Mem_4_T.CancelRoutine__IRP.13) (=> ?v_3942 (=> ?v_3943 (=> ?v_3944 (=> ?v_3945 (=> ?v_3946 (=> ?v_3947 (=> ?v_3948 (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> ?v_3949 (=> ?v_3950 (=> ?v_3951 (=> ?v_3952 (=> ?v_3953 (=> ?v_3954 (=> ?v_3955 (=> ?v_3956 (=> ?v_3957 (=> ?v_3958 (=> ?v_3959 (=> ?v_3960 (=> ?v_3961 (=> (= irpCompleted_3.30 irpCompleted_3.7) (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2.) (=> ?v_3962 (=> ?v_3963 (=> ?v_3964 (=> ?v_3965 (=> ?v_3966 (=> ?v_3967 (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> ?v_3971 (=> ?v_3972 (=> ?v_3973 (=> ?v_3974 (=> ?v_3975 (=> ?v_3976 (=> ?v_3977 (=> ?v_3978 (=> ?v_3979 (=> ?v_3980 (=> ?v_3981 (=> ?v_3982 (=> ?v_3983 (=> ?v_3984 (=> ?v_3985 (=> ?v_3986 (=> ?v_3987 (=> ?v_3988 (=> ?v_3989 (=> ?v_3990 (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.8 inline.SerialCompleteIfError.0.myNondetVar_0) (=> ?v_3991 (=> ?v_3992 (=> ?v_3993 (=> ?v_3994 (=> ?v_3995 (=> ?v_3996 (=> ?v_3997 (=> ?v_3998 (=> ?v_3999 (=> ?v_4000 (=> ?v_4001 (=> ?v_4002 (=> ?v_4003 (=> ?v_4004 (=> ?v_4005 (=> ?v_4006 (=> ?v_4007 (=> ?v_4008 (=> ?v_4009 (=> ?v_4010 (=> ?v_4011 (=> ?v_4012 (=> ?v_4013 (=> ?v_4014 (=> ?v_4015 (=> ?v_4016 (=> ?v_4017 (=> ?v_4018 (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError.0 inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError) (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4050 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> (= k.250 k.35) (=> ?v_4056 (=> ?v_4057 (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 (=> ?v_4063 (=> ?v_4064 (=> ?v_4065 (=> ?v_4066 (=> ?v_4067 (=> ?v_4068 (=> ?v_4069 (=> ?v_4070 (=> ?v_4071 (=> ?v_4072 (=> ?v_4073 (=> ?v_4074 (=> ?v_4075 (=> ?v_4076 (=> (= errorReached.50 errorReached.9) (=> ?v_4077 (=> ?v_4078 (=> ?v_4079 (=> ?v_4080 (=> (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> ?v_4081 (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> ?v_4082 (=> ?v_4083 (=> ?v_4084 (=> ?v_4085 (=> ?v_4086 (=> ?v_4087 (=> ?v_4088 (=> ?v_4089 (=> ?v_4090 (=> ?v_4091 (=> ?v_4092 (=> ?v_4093 (=> ?v_4094 (=> ?v_4095 (=> ?v_4096 (=> ?v_4097 (=> ?v_4098 (=> ?v_4099 (=> ?v_4100 (=> ?v_4101 (=> ?v_4102 (=> ?v_4103 (=> ?v_4104 (=> ?v_4105 (=> ?v_4106 (=> ?v_4107 (=> (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError.0 inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError) (=> ?v_4108 (=> ?v_4109 (=> ?v_4110 (=> ?v_4111 (=> ?v_4112 (=> ?v_4113 (=> ?v_4114 (=> ?v_4115 (=> ?v_4116 ?v_4117)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_8773 (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 259))) (let ((?v_3301 (not ?v_8773)) (?v_3265 (=> true (=> (= Mem_4_T.CancelRoutine__IRP.13 Mem_4_T.CancelRoutine__IRP.12) (=> (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= errorReached.9 errorReached.8) (=> (= irpCompleted_2.7 irpCompleted_2.6) (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0) (=> (= irpCompleted_0.7 irpCompleted_0.6) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> (= irpCompleted_4.7 irpCompleted_4.6) (=> (= inline.SerialRead.0.havoc_stringTemp.0 call53275formal.new.0) (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0) (=> (= irpCompleted_3.7 irpCompleted_3.6) (=> (= alloc.10 alloc.4) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> (= k.35 k.34) (=> (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= irpCompleted_1.7 irpCompleted_1.6) (=> (= inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5..1 inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5..0) (=> (= Mem_2_T.CancelRoutine__IRP.13 Mem_2_T.CancelRoutine__IRP.12) (=> (= Mem_1_T.CancelRoutine__IRP.13 Mem_1_T.CancelRoutine__IRP.12) (=> (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.2 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= Mem_3_T.CancelRoutine__IRP.13 Mem_3_T.CancelRoutine__IRP.12) (=> (= Mem_0_T.CancelRoutine__IRP.13 Mem_0_T.CancelRoutine__IRP.12) ?v_3302))))))))))))))))))))))))) (?v_3264 (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.1 0))) (let ((?v_3300 (and (=> true (=> (not ?v_3264) (=> true (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2.) ?v_3265)))) (=> true (=> ?v_3264 (=> true (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0 call53626formal.ret.0) (=> true (=> true (=> true ?v_3265)))))))))) (let ((?v_3269 (=> true (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0 call53308formal.ret.0) (=> (= irpCompleted_1.6 irpCompleted_1.5) (=> (= Mem_2_T.CancelRoutine__IRP.12 Mem_2_T.CancelRoutine__IRP.11) (=> (= irpCompleted_2.6 irpCompleted_2.5) (=> (= Mem_4_T.CancelRoutine__IRP.12 Mem_4_T.CancelRoutine__IRP.11) (=> (= Mem_3_T.CancelRoutine__IRP.12 Mem_3_T.CancelRoutine__IRP.11) (=> (= k.34 k.30) (=> (= irpCompleted_3.6 irpCompleted_3.5) (=> (= errorReached.8 errorReached.5) (=> (= Mem_0_T.CancelRoutine__IRP.12 Mem_0_T.CancelRoutine__IRP.11) (=> (= irpCompleted_0.6 irpCompleted_0.5) (=> (= irpCompleted_4.6 irpCompleted_4.5) (=> (= Mem_1_T.CancelRoutine__IRP.12 Mem_1_T.CancelRoutine__IRP.11) ?v_3300))))))))))))))) (?v_3266 (= irpCompleted_4.5 irpCompleted_4)) (?v_3267 (= irpCompleted_2.5 irpCompleted_2)) (?v_3268 (= irpCompleted_3.5 irpCompleted_3)) (?v_3271 (= irpCompleted_1.5 irpCompleted_1))) (let ((?v_3272 (=> (= irpCompleted_0.5 irpCompleted_0) (=> true ?v_3269)))) (let ((?v_3274 (=> ?v_3271 ?v_3272))) (let ((?v_3276 (=> ?v_3268 ?v_3274))) (let ((?v_3278 (=> ?v_3267 ?v_3276)) (?v_3277 (= k.30 4))) (let ((?v_3292 (not ?v_3277)) (?v_3275 (= k.30 3))) (let ((?v_3290 (not ?v_3275)) (?v_3273 (= k.30 2))) (let ((?v_3288 (not ?v_3273)) (?v_3270 (= k.30 1))) (let ((?v_3284 (not ?v_3270)) (?v_30 (= k.30 0))) (let ((?v_3279 (not ?v_30))) (let ((?v_3283 (and (=> true (=> ?v_30 (=> true (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> ?v_3271 (=> (= irpCompleted_0.5 1) ?v_3269)))))))) (=> true (=> ?v_3279 (and (=> true (=> ?v_3270 (=> true (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> (= irpCompleted_1.5 1) ?v_3272))))))) (=> true (=> ?v_3284 (and (=> true (=> ?v_3273 (=> true (=> ?v_3266 (=> (= irpCompleted_2.5 1) ?v_3276))))) (=> true (=> ?v_3288 (and (=> true (=> ?v_3275 (=> true (=> ?v_3266 (=> ?v_3267 (=> (= irpCompleted_3.5 1) ?v_3274)))))) (=> true (=> ?v_3290 (and (=> true (=> ?v_3277 (=> true (=> (= irpCompleted_4.5 1) ?v_3278)))) (=> true (=> ?v_3292 (=> true (=> ?v_3266 ?v_3278))))))))))))))))))) (let ((?v_3291 (=> true (=> true ?v_3283))) (?v_3280 (= Mem_2_T.CancelRoutine__IRP.11 Mem_2_T.CancelRoutine__IRP.2)) (?v_3285 (= Mem_0_T.CancelRoutine__IRP.11 Mem_0_T.CancelRoutine__IRP.2)) (?v_3281 (= Mem_3_T.CancelRoutine__IRP.11 Mem_3_T.CancelRoutine__IRP.2)) (?v_3286 (= Mem_1_T.CancelRoutine__IRP.11 Mem_1_T.CancelRoutine__IRP.2)) (?v_3282 (= Mem_4_T.CancelRoutine__IRP.11 Mem_4_T.CancelRoutine__IRP.2))) (let ((?v_3287 (=> ?v_3282 ?v_3291))) (let ((?v_3289 (=> ?v_3286 ?v_3287))) (let ((?v_3293 (=> ?v_3285 (=> ?v_3281 ?v_3289)))) (let ((?v_3299 (=> true (=> (<= k.24 k.30) (=> (< k.30 5) (and (=> true (=> ?v_30 (=> (= Mem_0_T.CancelRoutine__IRP.7 ?v_3310) (=> true (=> ?v_3280 (=> (= Mem_0_T.CancelRoutine__IRP.11 Mem_0_T.CancelRoutine__IRP.7) (=> ?v_3281 (=> ?v_3286 (=> ?v_3282 ?v_3283))))))))) (=> true (=> ?v_3279 (and (=> true (=> ?v_3270 (=> (= Mem_1_T.CancelRoutine__IRP.7 ?v_8569) (=> true (=> ?v_3280 (=> ?v_3285 (=> ?v_3281 (=> (= Mem_1_T.CancelRoutine__IRP.11 Mem_1_T.CancelRoutine__IRP.7) ?v_3287)))))))) (=> true (=> ?v_3284 (and (=> true (=> ?v_3273 (=> (= Mem_2_T.CancelRoutine__IRP.7 ?v_8575) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.11 Mem_2_T.CancelRoutine__IRP.7) ?v_3293))))) (=> true (=> ?v_3288 (and (=> true (=> ?v_3275 (=> (= Mem_3_T.CancelRoutine__IRP.7 ?v_8580) (=> true (=> ?v_3280 (=> ?v_3285 (=> (= Mem_3_T.CancelRoutine__IRP.11 Mem_3_T.CancelRoutine__IRP.7) ?v_3289))))))) (=> true (=> ?v_3290 (and (=> true (=> ?v_3277 (=> (= Mem_4_T.CancelRoutine__IRP.10 ?v_8583) (=> true (=> ?v_3280 (=> ?v_3285 (=> ?v_3281 (=> ?v_3286 (=> (= Mem_4_T.CancelRoutine__IRP.11 Mem_4_T.CancelRoutine__IRP.10) ?v_3291))))))))) (=> true (=> ?v_3292 (=> true (=> ?v_3280 ?v_3293))))))))))))))))))))) (?v_3294 (= k.24 0)) (?v_3295 (= k.24 1)) (?v_3296 (= k.24 2)) (?v_3297 (= k.24 3)) (?v_3298 (= k.24 4)) (?v_24 (int_2_U call53275formal.new.0))) (let ((?v_8682 (and (=> true (=> (not ?v_23) (and (=> true (=> ?v_3301 (=> true (and ?v_11 (=> ?v_11 (=> (> call53275formal.new.0 0) (=> (forall ((?x1707 Int)) (! (=> (and (<= call53275formal.new.0 ?x1707) (< ?x1707 (+ call53275formal.new.0 1))) (= (Base ?x1707) call53275formal.new.0)) :pattern ((Base ?x1707)) )) (=> (forall ((?x1708 boogieU)) (! (=> (= (type ?x1708) intType) (or (= (U_2_int ?x1708) call53275formal.new.0) (= (MapType0Select alloc.2 ?x1708) (MapType0Select alloc.4 ?x1708)))) :pattern ((MapType0Select alloc.4 ?x1708)) )) (=> (and (= (MapType0Select alloc.2 ?v_24) UNALLOCATED) (= (MapType0Select alloc.4 ?v_24) ALLOCATED)) (and (=> true (=> ?v_15 (=> true (=> (<= k.23 k.24) (=> (< k.24 5) (and (=> true (=> (=> ?v_3294 ?v_3305) (=> (=> ?v_3295 ?v_3306) (=> (=> ?v_3296 ?v_3307) (=> (=> ?v_3297 ?v_3308) (=> (=> ?v_3298 ?v_3309) (=> true (=> (= errorReached.5 1) ?v_3299)))))))) (=> true (=> (=> ?v_3294 ?v_25) (=> (=> ?v_3295 ?v_26) (=> (=> ?v_3296 ?v_27) (=> (=> ?v_3297 ?v_28) (=> (=> ?v_3298 ?v_29) (=> true (=> (= errorReached.5 errorReached.1) ?v_3299)))))))))))))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_1.6 irpCompleted_1) (=> (= Mem_2_T.CancelRoutine__IRP.12 Mem_2_T.CancelRoutine__IRP.2) (=> (= irpCompleted_2.6 irpCompleted_2) (=> (= Mem_4_T.CancelRoutine__IRP.12 Mem_4_T.CancelRoutine__IRP.2) (=> (= Mem_3_T.CancelRoutine__IRP.12 Mem_3_T.CancelRoutine__IRP.2) (=> (= k.34 k.23) (=> (= irpCompleted_3.6 irpCompleted_3) (=> (= errorReached.8 errorReached.1) (=> (= Mem_0_T.CancelRoutine__IRP.12 Mem_0_T.CancelRoutine__IRP.2) (=> (= irpCompleted_0.6 irpCompleted_0) (=> (= irpCompleted_4.6 irpCompleted_4) (=> (= Mem_1_T.CancelRoutine__IRP.12 Mem_1_T.CancelRoutine__IRP.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3300))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_3301) (=> true (=> (= Mem_4_T.CancelRoutine__IRP.13 Mem_4_T.CancelRoutine__IRP.2) (=> (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= errorReached.9 errorReached.1) (=> (= irpCompleted_2.7 irpCompleted_2) (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_0.7 irpCompleted_0) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= irpCompleted_4.7 irpCompleted_4) (=> (= inline.SerialRead.0.havoc_stringTemp.0 call51193formal.new.0) (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2.) (=> (= irpCompleted_3.7 irpCompleted_3) (=> (= alloc.10 alloc.2) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= k.35 k.23) (=> (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= irpCompleted_1.7 irpCompleted_1) (=> (= inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5..1 inline.SerialRead.0..result.SerialDbgPrintEx.131.9.5.) (=> (= Mem_2_T.CancelRoutine__IRP.13 Mem_2_T.CancelRoutine__IRP.2) (=> (= Mem_1_T.CancelRoutine__IRP.13 Mem_1_T.CancelRoutine__IRP.2) (=> (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.2 inline.sdv_InterlockedDecrement.0.myNondetVar_0) (=> (= Mem_3_T.CancelRoutine__IRP.13 Mem_3_T.CancelRoutine__IRP.2) (=> (= Mem_0_T.CancelRoutine__IRP.13 Mem_0_T.CancelRoutine__IRP.2) ?v_3302))))))))))))))))))))))))))))) (=> true (=> ?v_23 (=> true (and ?v_11 (=> ?v_11 (=> (> call53255formal.new.0 0) (=> (forall ((?x1703 Int)) (! (=> (and (<= call53255formal.new.0 ?x1703) (< ?x1703 (+ call53255formal.new.0 1))) (= (Base ?x1703) call53255formal.new.0)) :pattern ((Base ?x1703)) )) (=> (forall ((?x1704 boogieU)) (! (=> (= (type ?x1704) intType) (or (= (U_2_int ?x1704) call53255formal.new.0) (= (MapType0Select alloc.2 ?x1704) (MapType0Select alloc.3 ?x1704)))) :pattern ((MapType0Select alloc.3 ?x1704)) )) (=> (and (= (MapType0Select alloc.2 ?v_3303) UNALLOCATED) (= (MapType0Select alloc.3 ?v_3303) ALLOCATED)) (=> true (=> (<= k.23 k.25) (=> (< k.25 5) (and (=> true (=> ?v_8626 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.4 ?v_34) (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.5 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.4) ?v_8627))))) (=> true (=> (not ?v_8626) (and (=> true (=> ?v_8628 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.0 ?v_2902) (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.5 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.0) ?v_8629))))) (=> true (=> (not ?v_8628) (and (=> true (=> ?v_8630 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.3 ?v_2905) (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.5 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.3) ?v_8629))))) (=> true (=> (not ?v_8630) (and (=> true (=> ?v_8631 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.1 ?v_2908) (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.5 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.1) ?v_8629))))) (=> true (=> (not ?v_8631) (and (=> true (=> ?v_8632 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2 ?v_2910) (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.5 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2) ?v_8629))))) (=> true (=> (not ?v_8632) (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.5 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError) ?v_8629)))))))))))))))))))))))))))))))) (let ((?v_8784 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_8682)))))))))) (?v_8634 (= inline.sdv_IoReleaseCancelSpinLock.1..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.1..result.userContextSwitch.3151.2.1.)) (?v_8635 (= Mem_3_T.CancelRoutine__IRP.2 Mem_3_T.CancelRoutine__IRP)) (?v_8636 (= Mem_4_T.CancelRoutine__IRP.2 Mem_4_T.CancelRoutine__IRP)) (?v_8637 (= inline.sdv_KeReleaseSpinLock.4..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.4..result.userContextSwitch.4629.4.1.)) (?v_8639 (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2.)) (?v_8640 (= Mem_1_T.CancelRoutine__IRP.2 Mem_1_T.CancelRoutine__IRP)) (?v_8642 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_8643 (= Mem_2_T.CancelRoutine__IRP.2 Mem_2_T.CancelRoutine__IRP)) (?v_8644 (= inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1.)) (?v_8646 (= cancelLockStatus_4.3 cancelLockStatus_4)) (?v_8647 (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0)) (?v_8721 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_8649 (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_8650 (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_8651 (= cancelLockStatus_1.3 cancelLockStatus_1)) (?v_8652 (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_8653 (= inline.sdv_KeReleaseSpinLock.2..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.2..result.userContextSwitch.4629.4.1.)) (?v_8655 (= cancelLockStatus_0.3 cancelLockStatus_0)) (?v_8656 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_8658 (= cancelLockStatus_3.3 cancelLockStatus_3)) (?v_8659 (= inline.sdv_IoAcquireCancelSpinLock.0..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.0..result.userContextSwitch.1645.2.1.)) (?v_8660 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_8661 (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_8662 (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_8663 (= inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1.)) (?v_8665 (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_8666 (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3.)) (?v_8722 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_8670 (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_8671 (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_8672 (= cancelLockStatus_2.3 cancelLockStatus_2)) (?v_8723 (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1.)) (?v_8676 (= inline.sdv_KeReleaseSpinLock.3..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.3..result.userContextSwitch.4629.4.1.)) (?v_8677 (= errorReached.1 0)) (?v_8679 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_8680 (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_8681 (= Mem_0_T.CancelRoutine__IRP.2 Mem_0_T.CancelRoutine__IRP))) (let ((?v_8701 (=> ?v_8680 (=> ?v_8681 ?v_8784)))) (let ((?v_8880 (=> ?v_8679 ?v_8701))) (let ((?v_8897 (=> true (=> ?v_23 (=> ?v_8634 (=> ?v_8635 (=> ?v_8636 (=> ?v_8637 (=> (= lockStatus_4.14 lockStatus_4.3) (=> ?v_8639 (=> ?v_8640 (=> (= k.23 k.4) (=> ?v_8642 (=> ?v_8643 (=> ?v_8644 (=> (= lockStatus_1.14 lockStatus_1.3) (=> ?v_8646 (=> ?v_8647 (=> ?v_8721 (=> ?v_8649 (=> ?v_8650 (=> ?v_8651 (=> ?v_8652 (=> ?v_8653 (=> (= lockStatus_3.14 lockStatus_3.3) (=> ?v_8655 (=> ?v_8656 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.11) (=> ?v_8658 (=> ?v_8659 (=> ?v_8660 (=> ?v_8661 (=> ?v_8662 (=> ?v_8663 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.1) (=> ?v_8665 (=> ?v_8666 (=> (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_8722 (=> (= lockStatus_0.14 lockStatus_0.3) (=> ?v_8670 (=> ?v_8671 (=> ?v_8672 (=> ?v_8723 (=> (= lockStatus_2.14 lockStatus_2.3) (=> (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_8676 (=> ?v_8677 (=> (= inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..0) ?v_8880)))))))))))))))))))))))))))))))))))))))))))))))) (?v_8896 (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_8885 (=> true (=> (= lockStatus_1.3 lockStatus_1.2) (=> (= lockStatus_3.3 lockStatus_3.2) (=> (= lockStatus_0.3 lockStatus_0.2) (=> (= k.4 k.3) (=> (= inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..0 call53137formal.ret.0) (=> (= lockStatus_2.3 lockStatus_2.2) (=> (= lockStatus_4.3 lockStatus_4.2) ?v_8897)))))))))) (let ((?v_8893 (=> true ?v_8885)) (?v_8882 (= lockStatus_3.2 lockStatus_3.1)) (?v_8887 (= lockStatus_1.2 lockStatus_1.1)) (?v_8883 (= lockStatus_2.2 lockStatus_2.1)) (?v_8892 (= lockStatus_0.2 lockStatus_0.1)) (?v_8884 (= lockStatus_4.2 lockStatus_4.1))) (let ((?v_8888 (=> ?v_8892 (=> ?v_8884 ?v_8893)))) (let ((?v_8890 (=> ?v_8883 ?v_8888))) (let ((?v_8895 (=> ?v_8887 ?v_8890)) (?v_8894 (= k.3 4)) (?v_8891 (= k.3 3)) (?v_8889 (= k.3 2)) (?v_8886 (= k.3 1)) (?v_8881 (= k.3 0)) (?v_22 (FlagsLock__SERIAL_DEVICE_EXTENSION inline.SerialRead.0..extension.3.119.29.SerialRead.5)) (?v_8667 (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_8675 (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_8678 (= inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1.))) (let ((?v_8724 (=> ?v_8677 (=> ?v_8678 ?v_8880)))) (let ((?v_8757 (=> ?v_8675 (=> ?v_8676 ?v_8724)))) (let ((?v_8878 (=> true (=> ?v_23 (=> ?v_8634 (=> ?v_8635 (=> ?v_8636 (=> (= inline.sdv_KeReleaseSpinLock.4..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.4..result.userContextSwitch.4629.4.1..0) (=> (= lockStatus_4.14 lockStatus_4.11) (=> ?v_8639 (=> ?v_8640 (=> (= k.23 k.13) (=> ?v_8642 (=> ?v_8643 (=> ?v_8644 (=> (= lockStatus_1.14 lockStatus_1.11) (=> ?v_8646 (=> ?v_8647 (=> ?v_8721 (=> ?v_8649 (=> ?v_8650 (=> ?v_8651 (=> ?v_8652 (=> ?v_8653 (=> (= lockStatus_3.14 lockStatus_3.11) (=> ?v_8655 (=> ?v_8656 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.38) (=> ?v_8658 (=> ?v_8659 (=> ?v_8660 (=> ?v_8661 (=> (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_8663 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.6) (=> ?v_8665 (=> ?v_8666 (=> ?v_8667 (=> ?v_8722 (=> (= lockStatus_0.14 lockStatus_0.11) (=> (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_8671 (=> ?v_8672 (=> ?v_8723 (=> (= lockStatus_2.14 lockStatus_2.11) ?v_8757)))))))))))))))))))))))))))))))))))))))))))) (?v_8877 (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_8866 (=> true (=> (= lockStatus_1.11 lockStatus_1.10) (=> (= lockStatus_3.11 lockStatus_3.10) (=> (= lockStatus_0.11 lockStatus_0.10) (=> (= k.13 k.12) (=> (= inline.sdv_KeReleaseSpinLock.4..result.userContextSwitch.4629.4.1..0 call53014formal.ret.0) (=> (= lockStatus_4.11 lockStatus_4.10) (=> (= lockStatus_2.11 lockStatus_2.10) ?v_8878)))))))))) (let ((?v_8874 (=> true ?v_8866)) (?v_8863 (= lockStatus_3.10 lockStatus_3.1)) (?v_8868 (= lockStatus_1.10 lockStatus_1.1)) (?v_8864 (= lockStatus_2.10 lockStatus_2.1)) (?v_8873 (= lockStatus_0.10 lockStatus_0.1)) (?v_8865 (= lockStatus_4.10 lockStatus_4.1))) (let ((?v_8869 (=> ?v_8873 (=> ?v_8865 ?v_8874)))) (let ((?v_8871 (=> ?v_8864 ?v_8869))) (let ((?v_8876 (=> ?v_8868 ?v_8871)) (?v_8875 (= k.12 4)) (?v_8872 (= k.12 3)) (?v_8870 (= k.12 2)) (?v_8867 (= k.12 1)) (?v_8862 (= k.12 0)) (?v_8774 (= lockStatus_4.14 lockStatus_4.13)) (?v_8775 (= lockStatus_1.14 lockStatus_1.13)) (?v_8776 (= inline.sdv_KeReleaseSpinLock.2..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.2..result.userContextSwitch.4629.4.1..0)) (?v_8777 (= lockStatus_3.14 lockStatus_3.13)) (?v_8778 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_8779 (= inline.sdv_IoAcquireCancelSpinLock.0..result.userContextSwitch.1645.2.1..0 call52198formal.ret.0)) (?v_8780 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_8781 (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.4)) (?v_8782 (= lockStatus_0.14 lockStatus_0.13)) (?v_8783 (= lockStatus_2.14 lockStatus_2.13))) (let ((?v_8789 (=> true (=> ?v_8773 (=> (= inline.sdv_IoReleaseCancelSpinLock.1..result.userContextSwitch.3151.2.1..0 call52893formal.ret.0) (=> (= Mem_3_T.CancelRoutine__IRP.2 Mem_3_T.CancelRoutine__IRP.1) (=> (= Mem_4_T.CancelRoutine__IRP.2 Mem_4_T.CancelRoutine__IRP.1) (=> ?v_8637 (=> ?v_8774 (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0) (=> (= Mem_1_T.CancelRoutine__IRP.2 Mem_1_T.CancelRoutine__IRP.1) (=> (= k.23 k.22) (=> ?v_8642 (=> (= Mem_2_T.CancelRoutine__IRP.2 Mem_2_T.CancelRoutine__IRP.1) (=> ?v_8644 (=> ?v_8775 (=> (= cancelLockStatus_4.3 cancelLockStatus_4.2) (=> (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0.0) (=> ?v_8721 (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialFilterCancelQueued) (=> ?v_8650 (=> (= cancelLockStatus_1.3 cancelLockStatus_1.2) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialFilterCancelQueued) (=> ?v_8776 (=> ?v_8777 (=> (= cancelLockStatus_0.3 cancelLockStatus_0.2) (=> ?v_8778 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.41) (=> (= cancelLockStatus_3.3 cancelLockStatus_3.2) (=> ?v_8779 (=> ?v_8780 (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 hirp) (=> ?v_8662 (=> ?v_8663 (=> ?v_8781 (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 hirp) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..0 call52878formal.ret.0) (=> ?v_8667 (=> ?v_8722 (=> ?v_8782 (=> ?v_8670 (=> ?v_8671 (=> (= cancelLockStatus_2.3 cancelLockStatus_2.2) (=> ?v_8723 (=> ?v_8783 (=> ?v_8675 (=> ?v_8676 (=> (= errorReached.1 errorReached.0) (=> ?v_8678 (=> ?v_8679 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= Mem_0_T.CancelRoutine__IRP.2 Mem_0_T.CancelRoutine__IRP.1) ?v_8784)))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_8795 (=> true (=> true (=> true (=> true (=> true ?v_8789)))))) (?v_8791 (= cancelLockStatus_1.2 cancelLockStatus_1.0)) (?v_8792 (= cancelLockStatus_0.2 cancelLockStatus_0.0)) (?v_8786 (= cancelLockStatus_2.2 cancelLockStatus_2.0)) (?v_8787 (= cancelLockStatus_4.2 cancelLockStatus_4.0)) (?v_8788 (= cancelLockStatus_3.2 cancelLockStatus_3.0))) (let ((?v_8797 (=> ?v_8788 ?v_8795))) (let ((?v_8793 (=> ?v_8787 ?v_8797))) (let ((?v_8799 (=> ?v_8792 (=> ?v_8786 ?v_8793))) (?v_8798 (= k.22 4)) (?v_8796 (= k.22 3)) (?v_8794 (= k.22 2)) (?v_8790 (= k.22 1)) (?v_8785 (= k.22 0))) (let ((?v_8805 (=> true (=> (<= k.20 k.21) (=> (< k.21 5) (=> true (=> (<= k.21 k.22) (=> (< k.22 5) (and (=> true (=> ?v_8785 (=> true (=> ?v_8791 (=> (= cancelLockStatus_0.2 0) (=> ?v_8786 (=> ?v_8787 (=> ?v_8788 ?v_8789)))))))) (=> true (=> (not ?v_8785) (and (=> true (=> ?v_8790 (=> true (=> (= cancelLockStatus_1.2 0) ?v_8799)))) (=> true (=> (not ?v_8790) (and (=> true (=> ?v_8794 (=> true (=> ?v_8791 (=> ?v_8792 (=> (= cancelLockStatus_2.2 0) ?v_8793)))))) (=> true (=> (not ?v_8794) (and (=> true (=> ?v_8796 (=> true (=> ?v_8791 (=> ?v_8792 (=> ?v_8786 (=> ?v_8787 (=> (= cancelLockStatus_3.2 0) ?v_8795)))))))) (=> true (=> (not ?v_8796) (and (=> true (=> ?v_8798 (=> true (=> ?v_8791 (=> ?v_8792 (=> ?v_8786 (=> (= cancelLockStatus_4.2 0) ?v_8797))))))) (=> true (=> (not ?v_8798) (=> true (=> ?v_8791 ?v_8799))))))))))))))))))))))))) (let ((?v_8813 (=> true ?v_8805)) (?v_8802 (= Mem_2_T.CancelRoutine__IRP.1 Mem_2_T.CancelRoutine__IRP)) (?v_8807 (= Mem_0_T.CancelRoutine__IRP.1 Mem_0_T.CancelRoutine__IRP)) (?v_8803 (= Mem_3_T.CancelRoutine__IRP.1 Mem_3_T.CancelRoutine__IRP)) (?v_8808 (= Mem_1_T.CancelRoutine__IRP.1 Mem_1_T.CancelRoutine__IRP)) (?v_8804 (= Mem_4_T.CancelRoutine__IRP.1 Mem_4_T.CancelRoutine__IRP))) (let ((?v_8809 (=> ?v_8804 ?v_8813))) (let ((?v_8811 (=> ?v_8808 ?v_8809))) (let ((?v_8815 (=> ?v_8807 (=> ?v_8803 ?v_8811))) (?v_8814 (= k.20 4)) (?v_8812 (= k.20 3)) (?v_8810 (= k.20 2)) (?v_8806 (= k.20 1)) (?v_8800 (= k.20 0))) (let ((?v_8823 (=> true (=> (<= k.19 k.20) (=> (< k.20 5) (and (=> true (=> ?v_8800 (=> (= Mem_0_T.CancelRoutine__IRP.0 (MapType0Store Mem_0_T.CancelRoutine__IRP ?v_1488 ?v_8801)) (=> true (=> ?v_8802 (=> (= Mem_0_T.CancelRoutine__IRP.1 Mem_0_T.CancelRoutine__IRP.0) (=> ?v_8803 (=> ?v_8808 (=> ?v_8804 ?v_8805))))))))) (=> true (=> (not ?v_8800) (and (=> true (=> ?v_8806 (=> (= Mem_1_T.CancelRoutine__IRP.0 (MapType0Store Mem_1_T.CancelRoutine__IRP ?v_1488 ?v_8801)) (=> true (=> ?v_8802 (=> ?v_8807 (=> ?v_8803 (=> (= Mem_1_T.CancelRoutine__IRP.1 Mem_1_T.CancelRoutine__IRP.0) ?v_8809)))))))) (=> true (=> (not ?v_8806) (and (=> true (=> ?v_8810 (=> (= Mem_2_T.CancelRoutine__IRP.0 (MapType0Store Mem_2_T.CancelRoutine__IRP ?v_1488 ?v_8801)) (=> true (=> (= Mem_2_T.CancelRoutine__IRP.1 Mem_2_T.CancelRoutine__IRP.0) ?v_8815))))) (=> true (=> (not ?v_8810) (and (=> true (=> ?v_8812 (=> (= Mem_3_T.CancelRoutine__IRP.0 (MapType0Store Mem_3_T.CancelRoutine__IRP ?v_1488 ?v_8801)) (=> true (=> ?v_8802 (=> ?v_8807 (=> (= Mem_3_T.CancelRoutine__IRP.1 Mem_3_T.CancelRoutine__IRP.0) ?v_8811))))))) (=> true (=> (not ?v_8812) (and (=> true (=> ?v_8814 (=> (= Mem_4_T.CancelRoutine__IRP.0 (MapType0Store Mem_4_T.CancelRoutine__IRP ?v_1488 ?v_8801)) (=> true (=> ?v_8802 (=> ?v_8807 (=> ?v_8803 (=> ?v_8808 (=> (= Mem_4_T.CancelRoutine__IRP.1 Mem_4_T.CancelRoutine__IRP.0) ?v_8813))))))))) (=> true (=> (not ?v_8814) (=> true (=> ?v_8802 ?v_8815)))))))))))))))))))))) (let ((?v_8824 (=> (= errorReached.0 0) ?v_8823)) (?v_8821 (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0 call52787formal.ret.0)) (?v_8822 (= k.19 k.18)) (?v_8816 (= k.18 0)) (?v_8817 (= k.18 1)) (?v_8818 (= k.18 2)) (?v_8819 (= k.18 3)) (?v_8820 (= k.18 4))) (let ((?v_8826 (and (=> true (=> ?v_15 (=> true (=> (<= k.17 k.18) (=> (< k.18 5) (and (=> true (=> (=> ?v_8816 ?v_3305) (=> (=> ?v_8817 ?v_3306) (=> (=> ?v_8818 ?v_3307) (=> (=> ?v_8819 ?v_3308) (=> (=> ?v_8820 ?v_3309) (=> true (=> ?v_8821 (=> ?v_8822 (=> (= errorReached.0 1) ?v_8823)))))))))) (=> true (=> (=> ?v_8816 ?v_25) (=> (=> ?v_8817 ?v_26) (=> (=> ?v_8818 ?v_27) (=> (=> ?v_8819 ?v_28) (=> (=> ?v_8820 ?v_29) (=> true (=> ?v_8821 (=> ?v_8822 ?v_8824))))))))))))))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2.) (=> (= k.19 k.17) ?v_8824)))))))) (let ((?v_8828 (=> true (=> true ?v_8826))) (?v_8831 (= k.17 4)) (?v_8830 (= k.17 3)) (?v_8829 (= k.17 2)) (?v_8827 (= k.17 1)) (?v_8825 (= k.17 0)) (?v_8747 (= k.15 0)) (?v_8749 (= k.15 1)) (?v_8751 (= k.15 2)) (?v_8753 (= k.15 3)) (?v_8755 (= k.15 4)) (?v_8762 (=> true (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..1 ?v_1489) (=> true (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..1) (=> ?v_8634 (=> ?v_8635 (=> ?v_8636 (=> ?v_8637 (=> ?v_8774 (=> ?v_8639 (=> ?v_8640 (=> (= k.23 k.16) (=> ?v_8642 (=> ?v_8643 (=> ?v_8644 (=> ?v_8775 (=> (= cancelLockStatus_4.3 cancelLockStatus_4.1) (=> ?v_8647 (=> ?v_8721 (=> ?v_8649 (=> ?v_8650 (=> (= cancelLockStatus_1.3 cancelLockStatus_1.1) (=> ?v_8652 (=> ?v_8776 (=> ?v_8777 (=> (= cancelLockStatus_0.3 cancelLockStatus_0.1) (=> ?v_8778 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.40) (=> (= cancelLockStatus_3.3 cancelLockStatus_3.1) (=> ?v_8779 (=> ?v_8780 (=> ?v_8661 (=> ?v_8662 (=> (= inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1..0 call52449formal.ret.0) (=> ?v_8781 (=> ?v_8665 (=> ?v_8666 (=> ?v_8667 (=> ?v_8722 (=> ?v_8782 (=> ?v_8670 (=> ?v_8671 (=> (= cancelLockStatus_2.3 cancelLockStatus_2.1) (=> ?v_8723 (=> ?v_8783 ?v_8757))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_8768 (=> true (=> true (=> true (=> true (=> true ?v_8762)))))) (?v_8764 (= cancelLockStatus_1.1 cancelLockStatus_1.0)) (?v_8765 (= cancelLockStatus_0.1 cancelLockStatus_0.0)) (?v_8759 (= cancelLockStatus_2.1 cancelLockStatus_2.0)) (?v_8760 (= cancelLockStatus_4.1 cancelLockStatus_4.0)) (?v_8761 (= cancelLockStatus_3.1 cancelLockStatus_3.0))) (let ((?v_8770 (=> ?v_8761 ?v_8768))) (let ((?v_8766 (=> ?v_8760 ?v_8770))) (let ((?v_8772 (=> ?v_8765 (=> ?v_8759 ?v_8766))) (?v_8771 (= k.16 4)) (?v_8769 (= k.16 3)) (?v_8767 (= k.16 2)) (?v_8763 (= k.16 1)) (?v_8758 (= k.16 0))) (let ((?v_8835 (and (=> true (=> (=> ?v_8747 ?v_8748) (=> (=> ?v_8749 ?v_8750) (=> (=> ?v_8751 ?v_8752) (=> (=> ?v_8753 ?v_8754) (=> (=> ?v_8755 ?v_8756) (=> true (=> (<= k.15 k.16) (=> (< k.16 5) (and (=> true (=> ?v_8758 (=> true (=> ?v_8764 (=> (= cancelLockStatus_0.1 0) (=> ?v_8759 (=> ?v_8760 (=> ?v_8761 ?v_8762)))))))) (=> true (=> (not ?v_8758) (and (=> true (=> ?v_8763 (=> true (=> (= cancelLockStatus_1.1 0) ?v_8772)))) (=> true (=> (not ?v_8763) (and (=> true (=> ?v_8767 (=> true (=> ?v_8764 (=> ?v_8765 (=> (= cancelLockStatus_2.1 0) ?v_8766)))))) (=> true (=> (not ?v_8767) (and (=> true (=> ?v_8769 (=> true (=> ?v_8764 (=> ?v_8765 (=> ?v_8759 (=> ?v_8760 (=> (= cancelLockStatus_3.1 0) ?v_8768)))))))) (=> true (=> (not ?v_8769) (and (=> true (=> ?v_8771 (=> true (=> ?v_8764 (=> ?v_8765 (=> ?v_8759 (=> (= cancelLockStatus_4.1 0) ?v_8770))))))) (=> true (=> (not ?v_8771) (=> true (=> ?v_8764 ?v_8772)))))))))))))))))))))))))) (=> true (=> (=> ?v_8747 ?v_4226) (=> (=> ?v_8749 ?v_4227) (=> (=> ?v_8751 ?v_4228) (=> (=> ?v_8753 ?v_4229) (=> (=> ?v_8755 ?v_4230) (=> true (=> (<= k.15 k.17) (=> (< k.17 5) (and (=> true (=> ?v_8825 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP ?v_1488))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_8826))))) (=> true (=> (not ?v_8825) (and (=> true (=> ?v_8827 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP ?v_1488))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_8828))))) (=> true (=> (not ?v_8827) (and (=> true (=> ?v_8829 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP ?v_1488))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_8828))))) (=> true (=> (not ?v_8829) (and (=> true (=> ?v_8830 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP ?v_1488))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) ?v_8828))))) (=> true (=> (not ?v_8830) (and (=> true (=> ?v_8831 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP ?v_1488))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) ?v_8828))))) (=> true (=> (not ?v_8831) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_8828))))))))))))))))))))))))))))) (let ((?v_8839 (=> true (=> true (=> true (=> true (=> true ?v_8835)))))) (?v_8836 (= cancelLockStatus_1.0 cancelLockStatus_1)) (?v_8837 (= cancelLockStatus_0.0 cancelLockStatus_0)) (?v_8832 (= cancelLockStatus_2.0 cancelLockStatus_2)) (?v_8833 (= cancelLockStatus_4.0 cancelLockStatus_4)) (?v_8834 (= cancelLockStatus_3.0 cancelLockStatus_3))) (let ((?v_8840 (=> ?v_8834 ?v_8839))) (let ((?v_8838 (=> ?v_8833 ?v_8840))) (let ((?v_8841 (=> ?v_8837 (=> ?v_8832 ?v_8838))) (?v_8742 (= cancelLockStatus_0 0)) (?v_8743 (= cancelLockStatus_1 0)) (?v_8744 (= cancelLockStatus_2 0)) (?v_8745 (= cancelLockStatus_3 0)) (?v_8746 (= cancelLockStatus_4 0))) (let ((?v_8858 (=> true (=> (<= k.14 k.15) (=> (< k.15 5) (=> true (=> (=> ?v_8747 ?v_8742) (=> (=> ?v_8749 ?v_8743) (=> (=> ?v_8751 ?v_8744) (=> (=> ?v_8753 ?v_8745) (=> (=> ?v_8755 ?v_8746) (and (=> true (=> ?v_8747 (=> true (=> ?v_8836 (=> (= cancelLockStatus_0.0 1) (=> ?v_8832 (=> ?v_8833 (=> ?v_8834 ?v_8835)))))))) (=> true (=> (not ?v_8747) (and (=> true (=> ?v_8749 (=> true (=> (= cancelLockStatus_1.0 1) ?v_8841)))) (=> true (=> (not ?v_8749) (and (=> true (=> ?v_8751 (=> true (=> ?v_8836 (=> ?v_8837 (=> (= cancelLockStatus_2.0 1) ?v_8838)))))) (=> true (=> (not ?v_8751) (and (=> true (=> ?v_8753 (=> true (=> ?v_8836 (=> ?v_8837 (=> ?v_8832 (=> ?v_8833 (=> (= cancelLockStatus_3.0 1) ?v_8839)))))))) (=> true (=> (not ?v_8753) (and (=> true (=> ?v_8755 (=> true (=> ?v_8836 (=> ?v_8837 (=> ?v_8832 (=> (= cancelLockStatus_4.0 1) ?v_8840))))))) (=> true (=> (not ?v_8755) (=> true (=> ?v_8836 ?v_8841))))))))))))))))))))))))))) (?v_8857 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_8846 (=> true (=> (= lockStatus_2.13 lockStatus_2.12) (=> (= lockStatus_1.13 lockStatus_1.12) (=> (= k.14 k.7) (=> (= lockStatus_0.13 lockStatus_0.12) (=> (= lockStatus_3.13 lockStatus_3.12) (=> (= lockStatus_4.13 lockStatus_4.12) (=> (= inline.sdv_KeReleaseSpinLock.2..result.userContextSwitch.4629.4.1..0 call51968formal.ret.0) ?v_8858)))))))))) (let ((?v_8854 (=> true ?v_8846)) (?v_8843 (= lockStatus_3.12 lockStatus_3.1)) (?v_8848 (= lockStatus_1.12 lockStatus_1.1)) (?v_8844 (= lockStatus_2.12 lockStatus_2.1)) (?v_8853 (= lockStatus_0.12 lockStatus_0.1)) (?v_8845 (= lockStatus_4.12 lockStatus_4.1))) (let ((?v_8849 (=> ?v_8853 (=> ?v_8845 ?v_8854)))) (let ((?v_8851 (=> ?v_8844 ?v_8849))) (let ((?v_8856 (=> ?v_8848 ?v_8851)) (?v_8855 (= k.7 4)) (?v_8852 (= k.7 3)) (?v_8850 (= k.7 2)) (?v_8847 (= k.7 1)) (?v_8842 (= k.7 0))) (let ((?v_8860 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.28 inline.SerialFilterIrps.0.myNondetVar_1.4) (=> true (=> (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_22) (and (=> true (=> ?v_8857 (=> true (=> (<= k.2 k.7) (=> (< k.7 5) (and (=> true (=> ?v_8842 (=> true (=> ?v_8843 (=> ?v_8848 (=> ?v_8844 (=> (= lockStatus_0.12 0) (=> ?v_8845 ?v_8846)))))))) (=> true (=> (not ?v_8842) (and (=> true (=> ?v_8847 (=> true (=> ?v_8843 (=> (= lockStatus_1.12 0) ?v_8851))))) (=> true (=> (not ?v_8847) (and (=> true (=> ?v_8850 (=> true (=> ?v_8843 (=> ?v_8848 (=> (= lockStatus_2.12 0) ?v_8849)))))) (=> true (=> (not ?v_8850) (and (=> true (=> ?v_8852 (=> true (=> (= lockStatus_3.12 0) ?v_8856)))) (=> true (=> (not ?v_8852) (and (=> true (=> ?v_8855 (=> true (=> ?v_8843 (=> ?v_8848 (=> ?v_8844 (=> ?v_8853 (=> (= lockStatus_4.12 0) ?v_8854)))))))) (=> true (=> (not ?v_8855) (=> true (=> ?v_8843 ?v_8856)))))))))))))))))))))) (=> true (=> (not ?v_8857) (=> true (=> (= lockStatus_2.13 lockStatus_2.1) (=> (= lockStatus_1.13 lockStatus_1.1) (=> (= k.14 k.2) (=> (= lockStatus_0.13 lockStatus_0.1) (=> (= lockStatus_3.13 lockStatus_3.1) (=> (= lockStatus_4.13 lockStatus_4.1) (=> (= inline.sdv_KeReleaseSpinLock.2..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.2..result.userContextSwitch.4629.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_8858)))))))))))))))))))))) (?v_8720 (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))))) (let ((?v_8859 (= ?v_8720 22)) (?v_8741 (=> true (=> ?v_23 (=> ?v_8634 (=> ?v_8635 (=> ?v_8636 (=> ?v_8637 (=> (= lockStatus_4.14 lockStatus_4.7) (=> ?v_8639 (=> ?v_8640 (=> (= k.23 k.10) (=> ?v_8642 (=> ?v_8643 (=> ?v_8644 (=> (= lockStatus_1.14 lockStatus_1.7) (=> ?v_8646 (=> ?v_8647 (=> ?v_8721 (=> ?v_8649 (=> (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_8651 (=> ?v_8652 (=> ?v_8653 (=> (= lockStatus_3.14 lockStatus_3.7) (=> ?v_8655 (=> ?v_8656 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.33) (=> ?v_8658 (=> ?v_8659 (=> ?v_8660 (=> ?v_8661 (=> ?v_8662 (=> ?v_8663 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.5) (=> ?v_8665 (=> ?v_8666 (=> ?v_8667 (=> ?v_8722 (=> (= lockStatus_0.14 lockStatus_0.7) (=> ?v_8670 (=> (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_8672 (=> ?v_8723 (=> (= lockStatus_2.14 lockStatus_2.7) (=> ?v_8675 (=> (= inline.sdv_KeReleaseSpinLock.3..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.3..result.userContextSwitch.4629.4.1..0) ?v_8724)))))))))))))))))))))))))))))))))))))))))))))) (?v_8740 (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_8729 (=> true (=> (= lockStatus_1.7 lockStatus_1.6) (=> (= lockStatus_3.7 lockStatus_3.6) (=> (= lockStatus_0.7 lockStatus_0.6) (=> (= k.10 k.9) (=> (= lockStatus_2.7 lockStatus_2.6) (=> (= inline.sdv_KeReleaseSpinLock.3..result.userContextSwitch.4629.4.1..0 call52107formal.ret.0) (=> (= lockStatus_4.7 lockStatus_4.6) ?v_8741)))))))))) (let ((?v_8737 (=> true ?v_8729)) (?v_8726 (= lockStatus_3.6 lockStatus_3.1)) (?v_8731 (= lockStatus_1.6 lockStatus_1.1)) (?v_8727 (= lockStatus_2.6 lockStatus_2.1)) (?v_8736 (= lockStatus_0.6 lockStatus_0.1)) (?v_8728 (= lockStatus_4.6 lockStatus_4.1))) (let ((?v_8732 (=> ?v_8736 (=> ?v_8728 ?v_8737)))) (let ((?v_8734 (=> ?v_8727 ?v_8732))) (let ((?v_8739 (=> ?v_8731 ?v_8734)) (?v_8738 (= k.9 4)) (?v_8735 (= k.9 3)) (?v_8733 (= k.9 2)) (?v_8730 (= k.9 1)) (?v_8725 (= k.9 0)) (?v_8633 (= ?v_8720 27))) (let ((?v_8719 (not ?v_8633)) (?v_8718 (=> true (=> ?v_23 (=> ?v_8634 (=> ?v_8635 (=> ?v_8636 (=> ?v_8637 (=> (= lockStatus_4.14 lockStatus_4.9) (=> ?v_8639 (=> ?v_8640 (=> (= k.23 k.11) (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_8643 (=> (= inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..0) (=> (= lockStatus_1.14 lockStatus_1.9) (=> ?v_8646 (=> ?v_8647 (=> ?v_8721 (=> ?v_8649 (=> ?v_8650 (=> ?v_8651 (=> ?v_8652 (=> ?v_8653 (=> (= lockStatus_3.14 lockStatus_3.9) (=> ?v_8655 (=> ?v_8656 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.34) (=> ?v_8658 (=> ?v_8659 (=> ?v_8660 (=> ?v_8661 (=> ?v_8662 (=> ?v_8663 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.3) (=> ?v_8665 (=> ?v_8666 (=> ?v_8667 (=> ?v_8722 (=> (= lockStatus_0.14 lockStatus_0.9) (=> ?v_8670 (=> ?v_8671 (=> ?v_8672 (=> ?v_8723 (=> (= lockStatus_2.14 lockStatus_2.9) (=> ?v_8675 (=> ?v_8676 (=> ?v_8677 (=> ?v_8678 (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) ?v_8701))))))))))))))))))))))))))))))))))))))))))))))))) (?v_8717 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_8706 (=> true (=> (= lockStatus_1.9 lockStatus_1.8) (=> (= lockStatus_2.9 lockStatus_2.8) (=> (= lockStatus_0.9 lockStatus_0.8) (=> (= k.11 k.8) (=> (= inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..0 call51845formal.ret.0) (=> (= lockStatus_4.9 lockStatus_4.8) (=> (= lockStatus_3.9 lockStatus_3.8) ?v_8718)))))))))) (let ((?v_8714 (=> true ?v_8706)) (?v_8703 (= lockStatus_3.8 lockStatus_3.1)) (?v_8708 (= lockStatus_1.8 lockStatus_1.1)) (?v_8704 (= lockStatus_2.8 lockStatus_2.1)) (?v_8713 (= lockStatus_0.8 lockStatus_0.1)) (?v_8705 (= lockStatus_4.8 lockStatus_4.1))) (let ((?v_8709 (=> ?v_8713 (=> ?v_8705 ?v_8714)))) (let ((?v_8711 (=> ?v_8704 ?v_8709))) (let ((?v_8716 (=> ?v_8708 ?v_8711)) (?v_8715 (= k.8 4)) (?v_8712 (= k.8 3)) (?v_8710 (= k.8 2)) (?v_8707 (= k.8 1)) (?v_8702 (= k.8 0))) (let ((?v_8861 (and (=> true (=> ?v_8633 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.25 inline.SerialFilterIrps.0.myNondetVar_1.3) (=> true (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_22) (and (=> true (=> ?v_8717 (=> true (=> (<= k.2 k.8) (=> (< k.8 5) (and (=> true (=> ?v_8702 (=> true (=> ?v_8703 (=> ?v_8708 (=> ?v_8704 (=> (= lockStatus_0.8 0) (=> ?v_8705 ?v_8706)))))))) (=> true (=> (not ?v_8702) (and (=> true (=> ?v_8707 (=> true (=> ?v_8703 (=> (= lockStatus_1.8 0) ?v_8711))))) (=> true (=> (not ?v_8707) (and (=> true (=> ?v_8710 (=> true (=> ?v_8703 (=> ?v_8708 (=> (= lockStatus_2.8 0) ?v_8709)))))) (=> true (=> (not ?v_8710) (and (=> true (=> ?v_8712 (=> true (=> (= lockStatus_3.8 0) ?v_8716)))) (=> true (=> (not ?v_8712) (and (=> true (=> ?v_8715 (=> true (=> ?v_8703 (=> ?v_8708 (=> ?v_8704 (=> ?v_8713 (=> (= lockStatus_4.8 0) ?v_8714)))))))) (=> true (=> (not ?v_8715) (=> true (=> ?v_8703 ?v_8716)))))))))))))))))))))) (=> true (=> (not ?v_8717) (=> true (=> (= lockStatus_1.9 lockStatus_1.1) (=> (= lockStatus_2.9 lockStatus_2.1) (=> (= lockStatus_0.9 lockStatus_0.1) (=> (= k.11 k.2) (=> (= inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.1..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_4.9 lockStatus_4.1) (=> (= lockStatus_3.9 lockStatus_3.1) (=> true (=> true (=> true (=> true ?v_8718))))))))))))))))))))) (=> true (=> ?v_8719 (and (=> true (=> ?v_8859 (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.30 16) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.31 inline.SerialFilterIrps.0.myNondetVar_1.5) (=> true (=> (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_22) (and (=> true (=> ?v_8740 (=> true (=> (<= k.2 k.9) (=> (< k.9 5) (and (=> true (=> ?v_8725 (=> true (=> ?v_8726 (=> ?v_8731 (=> ?v_8727 (=> (= lockStatus_0.6 0) (=> ?v_8728 ?v_8729)))))))) (=> true (=> (not ?v_8725) (and (=> true (=> ?v_8730 (=> true (=> ?v_8726 (=> (= lockStatus_1.6 0) ?v_8734))))) (=> true (=> (not ?v_8730) (and (=> true (=> ?v_8733 (=> true (=> ?v_8726 (=> ?v_8731 (=> (= lockStatus_2.6 0) ?v_8732)))))) (=> true (=> (not ?v_8733) (and (=> true (=> ?v_8735 (=> true (=> (= lockStatus_3.6 0) ?v_8739)))) (=> true (=> (not ?v_8735) (and (=> true (=> ?v_8738 (=> true (=> ?v_8726 (=> ?v_8731 (=> ?v_8727 (=> ?v_8736 (=> (= lockStatus_4.6 0) ?v_8737)))))))) (=> true (=> (not ?v_8738) (=> true (=> ?v_8726 ?v_8739)))))))))))))))))))))) (=> true (=> (not ?v_8740) (=> true (=> (= lockStatus_1.7 lockStatus_1.1) (=> (= lockStatus_3.7 lockStatus_3.1) (=> (= lockStatus_0.7 lockStatus_0.1) (=> (= k.10 k.2) (=> (= lockStatus_2.7 lockStatus_2.1) (=> (= inline.sdv_KeReleaseSpinLock.3..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.3..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_4.7 lockStatus_4.1) (=> true (=> true (=> true (=> true ?v_8741))))))))))))))))))))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.24 16) 0) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.27 inline.SerialFilterIrps.0.myNondetVar_0.24) ?v_8860))))))) (=> true (=> (not ?v_8859) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.27 inline.SerialFilterIrps.0.myNondetVar_0.23) ?v_8860))))))))) (?v_8638 (= lockStatus_4.14 lockStatus_4.5)) (?v_8641 (= k.23 k.6)) (?v_8645 (= lockStatus_1.14 lockStatus_1.5)) (?v_8648 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_8654 (= lockStatus_3.14 lockStatus_3.5)) (?v_8657 (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.21)) (?v_8664 (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.2)) (?v_8668 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_8669 (= lockStatus_0.14 lockStatus_0.5)) (?v_8673 (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..0)) (?v_8674 (= lockStatus_2.14 lockStatus_2.5))) (let ((?v_8699 (and (=> true (=> ?v_8633 (=> true (=> ?v_23 (=> ?v_8634 (=> ?v_8635 (=> ?v_8636 (=> ?v_8637 (=> ?v_8638 (=> ?v_8639 (=> ?v_8640 (=> ?v_8641 (=> ?v_8642 (=> ?v_8643 (=> ?v_8644 (=> ?v_8645 (=> ?v_8646 (=> ?v_8647 (=> ?v_8648 (=> ?v_8649 (=> ?v_8650 (=> ?v_8651 (=> ?v_8652 (=> ?v_8653 (=> ?v_8654 (=> ?v_8655 (=> ?v_8656 (=> ?v_8657 (=> ?v_8658 (=> ?v_8659 (=> ?v_8660 (=> ?v_8661 (=> ?v_8662 (=> ?v_8663 (=> ?v_8664 (=> ?v_8665 (=> ?v_8666 (=> ?v_8667 (=> ?v_8668 (=> ?v_8669 (=> ?v_8670 (=> ?v_8671 (=> ?v_8672 (=> ?v_8673 (=> ?v_8674 (=> ?v_8675 (=> ?v_8676 (=> ?v_8677 (=> ?v_8678 (=> ?v_8679 (=> ?v_8680 (=> ?v_8681 ?v_8682)))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_8719 (=> true (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..0 (- 0 1073741738)) (=> true (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..0) (=> ?v_8634 (=> ?v_8635 (=> ?v_8636 (=> ?v_8637 (=> ?v_8638 (=> ?v_8639 (=> ?v_8640 (=> ?v_8641 (=> ?v_8642 (=> ?v_8643 (=> ?v_8644 (=> ?v_8645 (=> ?v_8646 (=> ?v_8647 (=> ?v_8648 (=> ?v_8649 (=> ?v_8650 (=> ?v_8651 (=> ?v_8652 (=> ?v_8653 (=> ?v_8654 (=> ?v_8655 (=> ?v_8656 (=> ?v_8657 (=> ?v_8658 (=> ?v_8659 (=> ?v_8660 (=> ?v_8661 (=> ?v_8662 (=> ?v_8663 (=> ?v_8664 (=> ?v_8665 (=> ?v_8666 (=> ?v_8667 (=> ?v_8668 (=> ?v_8669 (=> ?v_8670 (=> ?v_8671 (=> ?v_8672 (=> ?v_8673 (=> ?v_8674 ?v_8757))))))))))))))))))))))))))))))))))))))))))))))))) (?v_8698 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_8687 (=> true (=> (= lockStatus_2.5 lockStatus_2.4) (=> (= lockStatus_1.5 lockStatus_1.4) (=> (= k.6 k.5) (=> (= lockStatus_0.5 lockStatus_0.4) (=> (= lockStatus_3.5 lockStatus_3.4) (=> (= lockStatus_4.5 lockStatus_4.4) (=> (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..0 call51590formal.ret.0) ?v_8699)))))))))) (let ((?v_8695 (=> true ?v_8687)) (?v_8684 (= lockStatus_3.4 lockStatus_3.1)) (?v_8689 (= lockStatus_1.4 lockStatus_1.1)) (?v_8685 (= lockStatus_2.4 lockStatus_2.1)) (?v_8694 (= lockStatus_0.4 lockStatus_0.1)) (?v_8686 (= lockStatus_4.4 lockStatus_4.1))) (let ((?v_8690 (=> ?v_8694 (=> ?v_8686 ?v_8695)))) (let ((?v_8692 (=> ?v_8685 ?v_8690))) (let ((?v_8697 (=> ?v_8689 ?v_8692)) (?v_8696 (= k.5 4)) (?v_8693 (= k.5 3)) (?v_8691 (= k.5 2)) (?v_8688 (= k.5 1)) (?v_8683 (= k.5 0))) (let ((?v_8700 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.19 inline.SerialFilterIrps.0.myNondetVar_1.2) (=> true (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_22) (and (=> true (=> ?v_8698 (=> true (=> (<= k.2 k.5) (=> (< k.5 5) (and (=> true (=> ?v_8683 (=> true (=> ?v_8684 (=> ?v_8689 (=> ?v_8685 (=> (= lockStatus_0.4 0) (=> ?v_8686 ?v_8687)))))))) (=> true (=> (not ?v_8683) (and (=> true (=> ?v_8688 (=> true (=> ?v_8684 (=> (= lockStatus_1.4 0) ?v_8692))))) (=> true (=> (not ?v_8688) (and (=> true (=> ?v_8691 (=> true (=> ?v_8684 (=> ?v_8689 (=> (= lockStatus_2.4 0) ?v_8690)))))) (=> true (=> (not ?v_8691) (and (=> true (=> ?v_8693 (=> true (=> (= lockStatus_3.4 0) ?v_8697)))) (=> true (=> (not ?v_8693) (and (=> true (=> ?v_8696 (=> true (=> ?v_8684 (=> ?v_8689 (=> ?v_8685 (=> ?v_8694 (=> (= lockStatus_4.4 0) ?v_8695)))))))) (=> true (=> (not ?v_8696) (=> true (=> ?v_8684 ?v_8697)))))))))))))))))))))) (=> true (=> (not ?v_8698) (=> true (=> (= lockStatus_2.5 lockStatus_2.1) (=> (= lockStatus_1.5 lockStatus_1.1) (=> (= k.6 k.2) (=> (= lockStatus_0.5 lockStatus_0.1) (=> (= lockStatus_3.5 lockStatus_3.1) (=> (= lockStatus_4.5 lockStatus_4.1) (=> (= inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.0..result.userContextSwitch.4629.4.1.) (=> true (=> true (=> true (=> true ?v_8699))))))))))))))))))))) (let ((?v_8879 (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.10 1) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.18 inline.SerialFilterIrps.0.myNondetVar_0.10) ?v_8700)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.9 1) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.12 4) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.18 inline.SerialFilterIrps.0.myNondetVar_0.12) ?v_8700)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.13 4) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.15 8) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.18 inline.SerialFilterIrps.0.myNondetVar_0.15) ?v_8700)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.14 8) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.16 2) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.23 inline.SerialFilterIrps.0.myNondetVar_0.16) ?v_8861)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.17 2) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.22 16) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.23 inline.SerialFilterIrps.0.myNondetVar_0.22) (=> true (=> true ?v_8861)))))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.35 16) 0) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.36 inline.SerialFilterIrps.0.myNondetVar_1.6) (=> true (=> (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_22) (and (=> true (=> ?v_8877 (=> true (=> (<= k.2 k.12) (=> (< k.12 5) (and (=> true (=> ?v_8862 (=> true (=> ?v_8863 (=> ?v_8868 (=> ?v_8864 (=> (= lockStatus_0.10 0) (=> ?v_8865 ?v_8866)))))))) (=> true (=> (not ?v_8862) (and (=> true (=> ?v_8867 (=> true (=> ?v_8863 (=> (= lockStatus_1.10 0) ?v_8871))))) (=> true (=> (not ?v_8867) (and (=> true (=> ?v_8870 (=> true (=> ?v_8863 (=> ?v_8868 (=> (= lockStatus_2.10 0) ?v_8869)))))) (=> true (=> (not ?v_8870) (and (=> true (=> ?v_8872 (=> true (=> (= lockStatus_3.10 0) ?v_8876)))) (=> true (=> (not ?v_8872) (and (=> true (=> ?v_8875 (=> true (=> ?v_8863 (=> ?v_8868 (=> ?v_8864 (=> ?v_8873 (=> (= lockStatus_4.10 0) ?v_8874)))))))) (=> true (=> (not ?v_8875) (=> true (=> ?v_8863 ?v_8876)))))))))))))))))))))) (=> true (=> (not ?v_8877) (=> true (=> (= lockStatus_1.11 lockStatus_1.1) (=> (= lockStatus_3.11 lockStatus_3.1) (=> (= lockStatus_0.11 lockStatus_0.1) (=> (= k.13 k.2) (=> (= inline.sdv_KeReleaseSpinLock.4..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.4..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_4.11 lockStatus_4.1) (=> (= lockStatus_2.11 lockStatus_2.1) (=> true (=> true (=> true (=> true ?v_8878)))))))))))))))))))))))))))))))))))) (let ((?v_8913 (and (=> true (=> (not (= inline.SerialFilterIrps.0.myNondetVar_0.3 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.8 inline.SerialFilterIrps.0.myNondetVar_0.3) ?v_8879)))) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.2 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.7 4) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.8 inline.SerialFilterIrps.0.myNondetVar_0.7) (=> true ?v_8879))))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.4 4) 0) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.5 inline.SerialFilterIrps.0.myNondetVar_1.1) (=> true (=> (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_22) (and (=> true (=> ?v_8896 (=> true (=> (<= k.2 k.3) (=> (< k.3 5) (and (=> true (=> ?v_8881 (=> true (=> ?v_8882 (=> ?v_8887 (=> ?v_8883 (=> (= lockStatus_0.2 0) (=> ?v_8884 ?v_8885)))))))) (=> true (=> (not ?v_8881) (and (=> true (=> ?v_8886 (=> true (=> ?v_8882 (=> (= lockStatus_1.2 0) ?v_8890))))) (=> true (=> (not ?v_8886) (and (=> true (=> ?v_8889 (=> true (=> ?v_8882 (=> ?v_8887 (=> (= lockStatus_2.2 0) ?v_8888)))))) (=> true (=> (not ?v_8889) (and (=> true (=> ?v_8891 (=> true (=> (= lockStatus_3.2 0) ?v_8895)))) (=> true (=> (not ?v_8891) (and (=> true (=> ?v_8894 (=> true (=> ?v_8882 (=> ?v_8887 (=> ?v_8883 (=> ?v_8892 (=> (= lockStatus_4.2 0) ?v_8893)))))))) (=> true (=> (not ?v_8894) (=> true (=> ?v_8882 ?v_8895)))))))))))))))))))))) (=> true (=> (not ?v_8896) (=> true (=> (= lockStatus_1.3 lockStatus_1.1) (=> (= lockStatus_3.3 lockStatus_3.1) (=> (= lockStatus_0.3 lockStatus_0.1) (=> (= k.4 k.2) (=> (= inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_2.3 lockStatus_2.1) (=> (= lockStatus_4.3 lockStatus_4.1) (=> true (=> true (=> true (=> true ?v_8897)))))))))))))))))))))))))) (?v_8912 (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_8902 (=> true (=> (= lockStatus_1.1 lockStatus_1.0) (=> (= lockStatus_3.1 lockStatus_3.0) (=> (= lockStatus_0.1 lockStatus_0.0) (=> (= lockStatus_2.1 lockStatus_2.0) (=> (= lockStatus_4.1 lockStatus_4.0) (=> (= k.2 k.1) (=> (= inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..0 call51353formal.ret.0) ?v_8913)))))))))) (let ((?v_8910 (=> true ?v_8902)) (?v_8899 (= lockStatus_3.0 lockStatus_3)) (?v_8904 (= lockStatus_1.0 lockStatus_1)) (?v_8900 (= lockStatus_2.0 lockStatus_2)) (?v_8909 (= lockStatus_0.0 lockStatus_0)) (?v_8901 (= lockStatus_4.0 lockStatus_4))) (let ((?v_8905 (=> ?v_8909 (=> ?v_8901 ?v_8910)))) (let ((?v_8907 (=> ?v_8900 ?v_8905))) (let ((?v_8911 (=> ?v_8904 ?v_8907)) (?v_8908 (= k.1 4)) (?v_8906 (= k.1 3)) (?v_8903 (= k.1 2)) (?v_8898 (= k.1 1)) (?v_21 (= k.1 0)) (?v_16 (= lockStatus_0 0)) (?v_17 (= lockStatus_1 0)) (?v_18 (= lockStatus_2 0)) (?v_19 (= lockStatus_3 0)) (?v_20 (= lockStatus_4 0))) (let ((?v_8914 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.0 inline.SerialFilterIrps.0.myNondetVar_1.0) (=> true (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_22) (and (=> true (=> ?v_8912 (=> true (=> (<= k.0 k.1) (=> (< k.1 5) (=> true (=> (=> ?v_21 ?v_16) (=> (=> ?v_8898 ?v_17) (=> (=> ?v_8903 ?v_18) (=> (=> ?v_8906 ?v_19) (=> (=> ?v_8908 ?v_20) (and (=> true (=> ?v_21 (=> true (=> ?v_8899 (=> ?v_8904 (=> ?v_8900 (=> (= lockStatus_0.0 1) (=> ?v_8901 ?v_8902)))))))) (=> true (=> (not ?v_21) (and (=> true (=> ?v_8898 (=> true (=> ?v_8899 (=> (= lockStatus_1.0 1) ?v_8907))))) (=> true (=> (not ?v_8898) (and (=> true (=> ?v_8903 (=> true (=> ?v_8899 (=> ?v_8904 (=> (= lockStatus_2.0 1) ?v_8905)))))) (=> true (=> (not ?v_8903) (and (=> true (=> ?v_8906 (=> true (=> (= lockStatus_3.0 1) ?v_8911)))) (=> true (=> (not ?v_8906) (and (=> true (=> ?v_8908 (=> true (=> ?v_8899 (=> ?v_8904 (=> ?v_8900 (=> ?v_8909 (=> (= lockStatus_4.0 1) ?v_8910)))))))) (=> true (=> (not ?v_8908) (=> true (=> ?v_8899 ?v_8911)))))))))))))))))))))))))))) (=> true (=> (not ?v_8912) (=> true (=> (= lockStatus_1.1 lockStatus_1) (=> (= lockStatus_3.1 lockStatus_3) (=> (= lockStatus_0.1 lockStatus_0) (=> (= lockStatus_2.1 lockStatus_2) (=> (= lockStatus_4.1 lockStatus_4) (=> (= k.2 k.0) (=> (= inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1..0 inline.sdv_KeAcquireSpinLock.0..result.userContextSwitch.4339.4.1.) (=> true (=> true (=> true (=> true ?v_8913)))))))))))))))))))) (?v_13 (int_2_U call51248formal.new.0)) (?v_14 (int_2_U call51251formal.new.0)) (?v_12 (int_2_U call51193formal.new.0))) (let ((?v_8916 (=> true (and ?v_11 (=> ?v_11 (=> (> call51193formal.new.0 0) (=> (forall ((?x1713 Int)) (! (=> (and (<= call51193formal.new.0 ?x1713) (< ?x1713 (+ call51193formal.new.0 1))) (= (Base ?x1713) call51193formal.new.0)) :pattern ((Base ?x1713)) )) (=> (forall ((?x1714 boogieU)) (! (=> (= (type ?x1714) intType) (or (= (U_2_int ?x1714) call51193formal.new.0) (= (MapType0Select alloc ?x1714) (MapType0Select alloc.0 ?x1714)))) :pattern ((MapType0Select alloc.0 ?x1714)) )) (=> (and (= (MapType0Select alloc ?v_12) UNALLOCATED) (= (MapType0Select alloc.0 ?v_12) ALLOCATED)) (=> true (and ?v_11 (=> ?v_11 (=> (> call51248formal.new.0 0) (=> (forall ((?x1709 Int)) (! (=> (and (<= call51248formal.new.0 ?x1709) (< ?x1709 (+ call51248formal.new.0 1))) (= (Base ?x1709) call51248formal.new.0)) :pattern ((Base ?x1709)) )) (=> (forall ((?x1710 boogieU)) (! (=> (= (type ?x1710) intType) (or (= (U_2_int ?x1710) call51248formal.new.0) (= (MapType0Select alloc.0 ?x1710) (MapType0Select alloc.1 ?x1710)))) :pattern ((MapType0Select alloc.1 ?x1710)) )) (=> (and (= (MapType0Select alloc.0 ?v_13) UNALLOCATED) (= (MapType0Select alloc.1 ?v_13) ALLOCATED)) (and ?v_11 (=> ?v_11 (=> (> call51251formal.new.0 0) (=> (forall ((?x1711 Int)) (! (=> (and (<= call51251formal.new.0 ?x1711) (< ?x1711 (+ call51251formal.new.0 1))) (= (Base ?x1711) call51251formal.new.0)) :pattern ((Base ?x1711)) )) (=> (forall ((?x1712 boogieU)) (! (=> (= (type ?x1712) intType) (or (= (U_2_int ?x1712) call51251formal.new.0) (= (MapType0Select alloc.1 ?x1712) (MapType0Select alloc.2 ?x1712)))) :pattern ((MapType0Select alloc.2 ?x1712)) )) (=> (and (= (MapType0Select alloc.1 ?v_14) UNALLOCATED) (= (MapType0Select alloc.2 ?v_14) ALLOCATED)) (and (=> true (=> ?v_15 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8914)))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_8914))))))))))))))))))))))))))))))) (let ((?v_8918 (=> true (=> true (=> true ?v_8916)))) (?v_8921 (= k.0 4)) (?v_8920 (= k.0 3)) (?v_8919 (= k.0 2)) (?v_8917 (= k.0 1)) (?v_8915 (= k.0 0))) (let ((?v_8922 (=> true (=> (= Mem_T.MajorFunction__IO_STACK_LOCATION.0 (MapType0Store Mem_T.MajorFunction__IO_STACK_LOCATION (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (int_2_U 3))) (=> true (=> (<= 0 k.0) (=> (< k.0 5) (and (=> true (=> ?v_8915 (=> (= inline.SerialRead.0..extension.3.119.29.SerialRead.0 ?v_34) (=> true (=> (= inline.SerialRead.0..extension.3.119.29.SerialRead.5 inline.SerialRead.0..extension.3.119.29.SerialRead.0) ?v_8916))))) (=> true (=> (not ?v_8915) (and (=> true (=> ?v_8917 (=> (= inline.SerialRead.0..extension.3.119.29.SerialRead.1 ?v_2902) (=> true (=> (= inline.SerialRead.0..extension.3.119.29.SerialRead.5 inline.SerialRead.0..extension.3.119.29.SerialRead.1) ?v_8918))))) (=> true (=> (not ?v_8917) (and (=> true (=> ?v_8919 (=> (= inline.SerialRead.0..extension.3.119.29.SerialRead.2 ?v_2905) (=> true (=> (= inline.SerialRead.0..extension.3.119.29.SerialRead.5 inline.SerialRead.0..extension.3.119.29.SerialRead.2) ?v_8918))))) (=> true (=> (not ?v_8919) (and (=> true (=> ?v_8920 (=> (= inline.SerialRead.0..extension.3.119.29.SerialRead.3 ?v_2908) (=> true (=> (= inline.SerialRead.0..extension.3.119.29.SerialRead.5 inline.SerialRead.0..extension.3.119.29.SerialRead.3) ?v_8918))))) (=> true (=> (not ?v_8920) (and (=> true (=> ?v_8921 (=> (= inline.SerialRead.0..extension.3.119.29.SerialRead.4 ?v_2910) (=> true (=> (= inline.SerialRead.0..extension.3.119.29.SerialRead.5 inline.SerialRead.0..extension.3.119.29.SerialRead.4) ?v_8918))))) (=> true (=> (not ?v_8921) (=> true (=> (= inline.SerialRead.0..extension.3.119.29.SerialRead.5 inline.SerialRead.0..extension.3.119.29.SerialRead) ?v_8918))))))))))))))))))))))) (?v_1 (= 0 1)) (?v_2 (= 0 2)) (?v_3 (= 0 3)) (?v_4 (= 0 4)) (?v_9 (int_2_U (Cancel__IRP x.tmpIrp.2.6628.7.sdv_main))) (?v_8 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION inline.myInitDriver.0..Extension.2.11.27.myInitDriver))) (?v_7 (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION inline.myInitDriver.0..Extension.2.11.27.myInitDriver))) (?v_6 (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSION inline.myInitDriver.0..Extension.2.11.27.myInitDriver))) (?v_5 (int_2_U (DeviceExtension__DEVICE_OBJECT inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver)))) (not (=> true (=> (= Mem_1_T.CancelRoutine__IRP Mem_s_1_T.CancelRoutine__IRP) (=> (= Mem_2_T.CancelRoutine__IRP Mem_s_2_T.CancelRoutine__IRP) (=> (= Mem_3_T.CancelRoutine__IRP Mem_s_3_T.CancelRoutine__IRP) (=> (= Mem_4_T.CancelRoutine__IRP Mem_s_4_T.CancelRoutine__IRP) (=> (= Mem_1_T.Cancel__IRP Mem_s_1_T.Cancel__IRP) (=> (= Mem_2_T.Cancel__IRP Mem_s_2_T.Cancel__IRP) (=> (= Mem_3_T.Cancel__IRP Mem_s_3_T.Cancel__IRP) (=> (= Mem_4_T.Cancel__IRP Mem_s_4_T.Cancel__IRP) (=> (= Mem_1_T.DeviceExtension__DEVICE_OBJECT Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_2_T.DeviceExtension__DEVICE_OBJECT Mem_s_2_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_3_T.DeviceExtension__DEVICE_OBJECT Mem_s_3_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_4_T.DeviceExtension__DEVICE_OBJECT Mem_s_4_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_1_T.P_IRP Mem_s_1_T.P_IRP) (=> (= Mem_2_T.P_IRP Mem_s_2_T.P_IRP) (=> (= Mem_3_T.P_IRP Mem_s_3_T.P_IRP) (=> (= Mem_4_T.P_IRP Mem_s_4_T.P_IRP) (=> (= irpCompleted_1 irpCompleted_s_1) (=> (= irpCompleted_2 irpCompleted_s_2) (=> (= irpCompleted_3 irpCompleted_s_3) (=> (= irpCompleted_4 irpCompleted_s_4) (=> (= lockStatus_1 lockStatus_s_1) (=> (= lockStatus_2 lockStatus_s_2) (=> (= lockStatus_3 lockStatus_s_3) (=> (= lockStatus_4 lockStatus_s_4) (=> (= cancelLockStatus_1 cancelLockStatus_s_1) (=> (= cancelLockStatus_2 cancelLockStatus_s_2) (=> (= cancelLockStatus_3 cancelLockStatus_s_3) (=> (= cancelLockStatus_4 cancelLockStatus_s_4) (=> true (=> (=> ?v_0 ?v_25) (=> (=> ?v_1 ?v_26) (=> (=> ?v_2 ?v_27) (=> (=> ?v_3 ?v_28) (=> (=> ?v_4 ?v_29) (=> true (=> (=> ?v_0 ?v_16) (=> (=> ?v_1 ?v_17) (=> (=> ?v_2 ?v_18) (=> (=> ?v_3 ?v_19) (=> (=> ?v_4 ?v_20) (=> true (=> (=> ?v_0 ?v_8742) (=> (=> ?v_1 ?v_8743) (=> (=> ?v_2 ?v_8744) (=> (=> ?v_3 ?v_8745) (=> (=> ?v_4 ?v_8746) (=> true (=> (= inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver hdevobj) (=> true (=> (=> ?v_0 (= inline.myInitDriver.0..Extension.2.11.27.myInitDriver (U_2_int (MapType0Select Mem_0_T.DeviceExtension__DEVICE_OBJECT ?v_5)))) (=> (=> ?v_1 (= inline.myInitDriver.0..Extension.2.11.27.myInitDriver (U_2_int (MapType0Select Mem_1_T.DeviceExtension__DEVICE_OBJECT ?v_5)))) (=> (=> ?v_2 (= inline.myInitDriver.0..Extension.2.11.27.myInitDriver (U_2_int (MapType0Select Mem_2_T.DeviceExtension__DEVICE_OBJECT ?v_5)))) (=> (=> ?v_3 (= inline.myInitDriver.0..Extension.2.11.27.myInitDriver (U_2_int (MapType0Select Mem_3_T.DeviceExtension__DEVICE_OBJECT ?v_5)))) (=> (=> ?v_4 (= inline.myInitDriver.0..Extension.2.11.27.myInitDriver (U_2_int (MapType0Select Mem_4_T.DeviceExtension__DEVICE_OBJECT ?v_5)))) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_6)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_6)) 0)) (=> (=> ?v_2 (= (U_2_int (MapType0Select Mem_2_T.P_IRP ?v_6)) 0)) (=> (=> ?v_3 (= (U_2_int (MapType0Select Mem_3_T.P_IRP ?v_6)) 0)) (=> (=> ?v_4 (= (U_2_int (MapType0Select Mem_4_T.P_IRP ?v_6)) 0)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_7)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_7)) 0)) (=> (=> ?v_2 (= (U_2_int (MapType0Select Mem_2_T.P_IRP ?v_7)) 0)) (=> (=> ?v_3 (= (U_2_int (MapType0Select Mem_3_T.P_IRP ?v_7)) 0)) (=> (=> ?v_4 (= (U_2_int (MapType0Select Mem_4_T.P_IRP ?v_7)) 0)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_8)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_8)) 0)) (=> (=> ?v_2 (= (U_2_int (MapType0Select Mem_2_T.P_IRP ?v_8)) 0)) (=> (=> ?v_3 (= (U_2_int (MapType0Select Mem_3_T.P_IRP ?v_8)) 0)) (=> (=> ?v_4 (= (U_2_int (MapType0Select Mem_4_T.P_IRP ?v_8)) 0)) (=> true (=> (= x.tmpIrp.2.6628.7.sdv_main hirp) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_9)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_9)) 0)) (=> (=> ?v_2 (= (U_2_int (MapType0Select Mem_2_T.Cancel__IRP ?v_9)) 0)) (=> (=> ?v_3 (= (U_2_int (MapType0Select Mem_3_T.Cancel__IRP ?v_9)) 0)) (=> (=> ?v_4 (= (U_2_int (MapType0Select Mem_4_T.Cancel__IRP ?v_9)) 0)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP ?v_10)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP ?v_10)) 0)) (=> (=> ?v_2 (= (U_2_int (MapType0Select Mem_2_T.CancelRoutine__IRP ?v_10)) 0)) (=> (=> ?v_3 (= (U_2_int (MapType0Select Mem_3_T.CancelRoutine__IRP ?v_10)) 0)) (=> (=> ?v_4 (= (U_2_int (MapType0Select Mem_4_T.CancelRoutine__IRP ?v_10)) 0)) (and (=> true (=> ?v_15 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_8922)))) (=> true (=> ?v_4207 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_8922)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
